﻿// Generated by Construct 2, the HTML5 game and app creator :: http://www.scirra.com
//////////////////////////////////////
// COCOONJS.JS                      //
//////////////////////////////////////

(function()
{
	// There should not be a CocoonJS object when this code is executed.
	// if (typeof window.CocoonJS !== 'undefined') throw("This is strange, a CocoonJS object already exists when trying to create it.");

    /**
    * The basic object for all the CocoonJS related specific APIs === extensions.
    * @namespace
    */
    CocoonJS = window.CocoonJS ? window.CocoonJS : {};

	CocoonJS.nativeExtensionObjectAvailable = typeof window.ext !== 'undefined';

	/**
	* This type represents a 2D size structure with horizontal and vertical values.
	* @namespace
	*/
	CocoonJS.Size = {
		/**
		* The horizontal size value.
		*/
		width : 0,

		/**
		* The vertical size value.
		*/
		height : 0
	};

	/**
	* This utility function allows to create an object oriented like hierarchy between two functions using their prototypes.
	* This function adds a "superclass" and a "__super" attributes to the subclass and it's functions to reference the super class.
	* @param {function} subc The subclass function.
	* @param {function} superc The superclass function.
	*/
	CocoonJS.extend = function(subc, superc) {
	    var subcp = subc.prototype;

	    // Class pattern.
	    var CocoonJSExtendHierarchyChainClass = function() {};
	    CocoonJSExtendHierarchyChainClass.prototype = superc.prototype;

	    subc.prototype = new CocoonJSExtendHierarchyChainClass();       // chain prototypes.
	    subc.superclass = superc.prototype;
	    subc.prototype.constructor = subc;

	    // Reset constructor. See Object Oriented Javascript for an in-depth explanation of this.
	    if (superc.prototype.constructor === Object.prototype.constructor) {
	        superc.prototype.constructor = superc;
	    }

	    // Check all the elements in the subclass prototype and add them to the chain object's prototype.
	    for (var method in subcp) {
	        if (subcp.hasOwnProperty(method)) {
	            subc.prototype[method] = subcp[method];

	            // // tenemos en super un metodo con igual nombre.
	            // if ( superc.prototype[method]) 
	            // {
	            //     subc.prototype[method]= (function(fn, fnsuper) 
	            //     {
	            //         return function() 
	            //         {
	            //             var prevMethod= this.__super;

	            //             this.__super= fnsuper;

	            //             var retValue= fn.apply(
	            //                     this,
	            //                     Array.prototype.slice.call(arguments) );

	            //             this.__super= prevMethod;

	            //             return retValue;
	            //         };
	            //     })(subc.prototype[method], superc.prototype[method]);
	            // }
	        }
	    }
	}

	/**
	* IMPORTANT: This function should only be used by Ludei.
	* This function allows a call to the native extension object function reusing the same arguments object.
	* Why is interesting to use this function instead of calling the native object's function directly?
	* As the CocoonJS object functions expicitly receive parameters, if they are not present and the native call is direcly mapped,
	* undefined arguments are passed to the native side. Some native functions do not check the parameters validation
	* correctly (just check the number of parameters passed).
	* Another solution instead of using this function call is to correctly check if the parameters are valid (not undefined) to make the
	* call, but it takes more work than using this approach.
	* @static
	* @param {string} nativeExtensionObjectName The name of the native extension object name. The object that is a member of the 'ext' object.
	* @param {string} nativeFunctionName The name of the function to be called inside the native extension object.
	* @param {object} arguments The arguments object of the CocoonJS extension object function. It contains all the arguments passed to the CocoonJS extension object function and these are the ones that will be passed to the native call too.
	* @param {boolean} [async] A flag to indicate if the makeCall (false or undefined) or the makeCallAsync function should be used to perform the native call.
	* @returns Whatever the native function call returns.
	*/
	CocoonJS.makeNativeExtensionObjectFunctionCall = function(nativeExtensionObjectName, nativeFunctionName, args, async) {
		if (CocoonJS.nativeExtensionObjectAvailable) {
			var argumentsArray = Array.prototype.slice.call(args);
			argumentsArray.unshift(nativeFunctionName);
			var nativeExtensionObject = ext[nativeExtensionObjectName];
			var makeCallFunction = async ? nativeExtensionObject.makeCallAsync : nativeExtensionObject.makeCall;
			var ret = makeCallFunction.apply(nativeExtensionObject, argumentsArray);
			var finalRet = ret;
			if (typeof ret === "string") {
				try	{
					finalRet = JSON.parse(ret);
				}
				catch(error) {
				}
			}
			return finalRet;
		}
	};

	/**
	* Returns an object retrieved from a path specified by a dot specified text path starting from a given base object.
	* It could be useful to find the reference of an object from a defined base object. For example the base object could be window and the
	* path could be "CocoonJS.App" or "document.body".
	* @param {Object} baseObject The object to start from to find the object using the given text path.
	* @param {string} objectPath The path in the form of a text using the dot notation. i.e. "document.body"
	* For example:
	* var body = getObjectFromPath(window, "document.body");
	*/
	CocoonJS.getObjectFromPath = function(baseObject, objectPath) {
    	var parts = objectPath.split('.');
    	var obj = baseObject;
        for (var i = 0, len = parts.length; i < len; ++i) 
        {
            obj[parts[i]] = obj[parts[i]] || undefined;
    		obj = obj[parts[i]];
    	}
    	return obj;
 	};

 	/**
 	* Returns the key for a value in a dictionary. It looks for an specific value inside a dictionary and returns the corresponding key.
 	* @param {Object} dictionary The dictionary to look for the value in and get the corresponding key.
 	* @param {Object} value The value to look for inside the dictionary and return it's corresponding key.
 	* @return The key that corresponds to the given value it is has been found or null.
 	*/
 	CocoonJS.getKeyForValueInDictionary = function(dictionary, value) {
        var finalKey = null;
        for (var key in dictionary) {
            if (dictionary[key] === value)            {
                finalKey = key;
                break;
            }
        }
        return finalKey;
 	}

 	/**
 	* Finds a string inside a given array of strings by looking for a given substring. It can also
 	* specify if the search must be performed taking care or not of the case sensitivity.
 	* @param {Array} stringArray The array of strings in which to to look for the string.
 	* @param {string} subString The substring to look for inside all the strings of the array.
 	* @param {boolean} caseSensitive A flag to indicate if the search must be performed taking case of the 
 	* case sensitiveness (true) or not (false).
 	* @return {string} The string that has been found or null if the substring is not inside any of the string of the array.
 	*/
 	CocoonJS.findStringInStringArrayThatIsIndexOf = function(stringArray, subString, caseSensitive) {
 		var foundString = null;
 		subString = caseSensitive ? subString : subString.toUpperCase();
 		for (var i = 0; foundString == null && i < stringArray.length; i++)	{
 			foundString = caseSensitive ? stringArray[i] : stringArray[i].toUpperCase();
 			foundString = foundString.indexOf(subString) >= 0 ? stringArray[i] : null; 
 		}
 		return foundString;
 	};

	/**
	* A class that represents objects to handle events. Event handlers have always the same structure:
	* Mainly they provide the addEventListener and removeEventListener functions.
	* Both functions receive a callback function that will be added or removed. All the added callback
	* functions will be called when the event takes place.
	* Additionally they also allow the addEventListenerOnce and notifyEventListeners functions.
	* @constructor
	* @param {string} nativeExtensionObjectName The name of the native extension object (inside the ext object) to be used.
	* @param {string} cocoonJSExtensionObjectName The name of the sugarized extension object.
	* @param {string} nativeEventName The name of the native event inside the ext object.
	* @param {number} [chainFunction] An optional function used to preprocess the listener callbacks. This function, if provided,
	* will be called before any of the other listeners.
	*/
	CocoonJS.EventHandler = function(nativeExtensionObjectName, cocoonJSExtensionObjectName, nativeEventName, chainFunction) {
		this.listeners = [];
		this.listenersOnce = [];
		this.chainFunction = chainFunction;

		/**
		* Adds a callback function so it can be called when the event takes place.
		* @param {function} listener The callback function to be added to the event handler object. See the referenced Listener function documentation for more detail in each event handler object's documentation.
		*/
		this.addEventListener = function(listener) {
			if (chainFunction) {
				var f = function() {
					chainFunction.call(this, arguments.callee.sourceListener, Array.prototype.slice.call(arguments)); 
				};
				listener.CocoonJSEventHandlerChainFunction = f;
				f.sourceListener = listener;
				listener = f;
			}

			var cocoonJSExtensionObject = CocoonJS.getObjectFromPath(CocoonJS, cocoonJSExtensionObjectName);
            if (cocoonJSExtensionObject && cocoonJSExtensionObject.nativeExtensionObjectAvailable) {
                ext[nativeExtensionObjectName].addEventListener(nativeEventName, listener);
            }
            else {
                var indexOfListener = this.listeners.indexOf(listener);
                if (indexOfListener < 0) {
                	this.listeners.push(listener);
                }
            }
		};

        this.addEventListenerOnce = function(listener)
		{
			if (chainFunction) {
				var f = function() { chainFunction(arguments.callee.sourceListener,Array.prototype.slice.call(arguments)); };
				f.sourceListener = listener;
				listener = f;
			}

			var cocoonJSExtensionObject = CocoonJS.getObjectFromPath(CocoonJS, cocoonJSExtensionObjectName);
            if (cocoonJSExtensionObject.nativeExtensionObjectAvailable) {
                ext[nativeExtensionObjectName].addEventListenerOnce(nativeEventName, listener);
            }
            else
            {
                var indexOfListener = this.listeners.indexOf(listener);
                if (indexOfListener < 0)
                {
                	this.listenersOnce.push(listener);
                }
            }
		};

        /**
         * Removes a callback function that was added to the event handler so it won't be called when the event takes place.
         * @param {function} listener The callback function to be removed from the event handler object. See the referenced Listener function documentation for more detail in each event handler object's documentation.
         */
        this.removeEventListener = function (listener) {

        	if (chainFunction) {
        		listener = listener.CocoonJSEventHandlerChainFunction;
        		delete listener.CocoonJSEventHandlerChainFunction;
        	}

			var cocoonJSExtensionObject = CocoonJS.getObjectFromPath(CocoonJS, cocoonJSExtensionObjectName);
            if (cocoonJSExtensionObject.nativeExtensionObjectAvailable) {
                ext[nativeExtensionObjectName].removeEventListener(nativeEventName, listener);
            }
            else {
                var indexOfListener = this.listeners.indexOf(listener);
                if (indexOfListener >= 0) {
                    this.listeners.splice(indexOfListener, 1);
                }
            }
        };

		this.notifyEventListeners = function() {
			var cocoonJSExtensionObject = CocoonJS.getObjectFromPath(CocoonJS, cocoonJSExtensionObjectName);
            if (cocoonJSExtensionObject && cocoonJSExtensionObject.nativeExtensionObjectAvailable) {
                ext[nativeExtensionObjectName].notifyEventListeners(nativeEventName);
            } else {

                var argumentsArray= Array.prototype.slice.call(arguments);
                var listeners =     Array.prototype.slice.call(this.listeners);
                var listenersOnce = Array.prototype.slice.call(this.listenersOnce);
                var _this = this;
                // Notify listeners after a while ;) === do not block this thread.
                setTimeout(function() {
                    for (var i = 0; i < listeners.length; i++) {
                        listeners[i].apply(_this, argumentsArray);
                    }
                    for (var i = 0; i < listenersOnce.length; i++) {
                        listenersOnce[i].apply(_this, argumentsArray);
                    }
                }, 0);

                _this.listenersOnce= [];
            }
		};
		return this;
	};

	/**
	* A simple timer class. Update it every loop iteration and get values from accumulated time to elapsed time in seconds or milliseconds.
	*/
	CocoonJS.Timer = function() {
		this.reset();
		return this;
	};

	CocoonJS.Timer.prototype = {
		currentTimeInMillis : 0,
		lastTimeInMillis : 0,
		elapsedTimeInMillis : 0,
		elapsedTimeInSeconds : 0,
		accumTimeInMillis : 0,

		/**
		Resets the timer to 0.
		*/
		reset : function() {
			this.currentTimeInMillis = this.lastTimeInMillis = new Date().getTime();
			this.accumTimeInMillis = this.elapsedTimeInMillis = this.elapsedTimeInSeconds = 0;
		},

		/**
		Updates the timer calculating the elapsed time between update calls.
		*/
		update : function() {
			this.currentTimeInMillis = new Date().getTime();
			this.elapsedTimeInMillis = this.currentTimeInMillis - this.lastTimeInMillis;
			this.elapsedTimeInSeconds = this.elapsedTimeInMillis / 1000.0;
			this.lastTimeInMillis = this.currentTimeInMillis;
			this.accumTimeInMillis += this.elapsedTimeInMillis;
		}
	};

	// CocoonJS.FindAllNativeBindingsInCocoonJSExtensionObject = function(cocoonJSExtensionObject, nativeFunctionBindingCallback, nativeEventBindingCallback)
	// {
	// 	for (var cocoonJSExtensionObjectAttributeName in cocoonJSExtensionObject)
	// 	{
	// 		var cocoonJSExtensionObjectAttribute = cocoonJSExtensionObject[cocoonJSExtensionObjectAttributeName];

	// 		// Function
	// 		if (typeof cocoonJSExtensionObjectAttribute === 'function' && typeof cocoonJSExtensionObjectAttribute.nativeFunctionName !== 'undefined')
	// 		{
	// 			var nativeFunctionName = cocoonJSExtensionObjectAttribute.nativeFunctionName;
	// 			nativeFunctionBindingCallback(cocoonJSExtensionObjectAttributeName, nativeFunctionName);
	// 		}
	// 		// Event object
	// 		else if (typeof cocoonJSExtensionObjectAttribute === 'object' && cocoonJSExtensionObjectAttribute !== null && typeof cocoonJSExtensionObjectAttribute.nativeEventName !== 'undefined')
	// 		{
	// 			var nativeEventName = cocoonJSExtensionObjectAttribute.nativeEventName;
	// 			nativeEventBindingCallback(cocoonJSExtensionObjectAttributeName, nativeEventName);
	// 		}
	// 	}
	// }

	/**
	This function looks for a CocoonJS extension object that is bound to the given native ext object name.
	@returns The CocoonJS extension object that corresponds to the give native extension object name or null if it cannot be found.
	*/
	// CocoonJS.GetCocoonJSExtensionObjectForNativeExtensionObjectName = function(nativeExtensionObjectName)
	// {
	// 	var cocoonJSExtensionObject = null;
	// 	// Look in the CocoonJS object and for every object that is a CocoonJS.Extension check if it's nativeExtensionObjectName matches to the one passed as argument. If so, create an object that will represent it's documentation for the native ext object.
	// 	for (var cocoonJSAttributeName in CocoonJS)
	// 	{
	// 		var cocoonJSAttribute = CocoonJS[cocoonJSAttributeName];
	// 		if (typeof cocoonJSAttribute === 'object' && cocoonJSAttribute instanceof CocoonJS.Extension && cocoonJSAttribute.nativeExtensionObjectName === nativeExtensionObjectName)
	// 		{
	// 			// We have found the CocoonJS object that represents the native ext extension object name. 
	// 			cocoonJSExtensionObject = cocoonJSAttribute;
	// 			break;
	// 		}
	// 	}
	// 	return cocoonJSExtensionObject;
	// };

	/**
	This function adds functions to a CocoonJS extension object in order to bind them to the native makeCall function calls of the ext object.

	@param extensionObject The reference to the CocoonJS extension object where to add the new functions bound to the ext object makeCall functions calls.

	@param nativeFunctionsConfiguration An array of objects with the following structure:

		{ nativeFunctionName : "" [, functionName : "", isAsync : true/false] }

		- nativeFunctionName: Specifies the name of the function inside the ext object makeCall function call that will be bound.
		- functionName: An optional attribute that allows to specify the name of the function to be added to the CocoonJS extension object. If is not present, the name of the function will be the same
		as the nativeFunctionName.
		- isAsync: An optional attribute that allows to specify if the call should be performed using makeCall (false or missing) or makeCallAsync (true).
		- alternativeFunction: An optional attribute that allows to specify an alternative function that will be called internally when this function is called. This attribute
		allows for adding new functionalities like for example adding methods 

	@returns The CocoonJS extension object.
	*/
	// CocoonJS.AddNativeFunctionBindingsToExtensionObject = function(extensionObject, nativeFunctionsConfiguration)
	// {
	// 	if (typeof extensionObject === 'undefined' || extensionObject === null) throw("The passed extension object be a valid object.");
	// 	if (typeof nativeFunctionsConfiguration === 'undefined' || nativeFunctionsConfiguration === null) throw("The passed native functions configuration array must be a valid object.");

	// 	for (var i = 0; i < nativeFunctionsConfiguration.length; i++)
	// 	{
	// 		if (typeof nativeFunctionsConfiguration[i].nativeFunctionName === 'undefined') throw("The 'nativeFunctionName' attribute in the native function configuration object at index '" + i + "' in the native function configuration array cannot be undefined.");
	// 		var nativeFunctionName = nativeFunctionsConfiguration[i].nativeFunctionName;
	// 		var functionName = typeof nativeFunctionsConfiguration[i].functionName !== 'undefined' ? nativeFunctionsConfiguration[i].functionName : nativeFunctionName;
	// 		var makeCallFunction = null;
	// 		makeCallFunction = typeof nativeFunctionsConfiguration[i].isAsync !== 'undefined' && nativeFunctionsConfiguration[i].isAsync ? extensionObject.nativeExtensionObject.makeCallAsync : extensionObject.nativeExtensionObject.makeCall;
	// 		// Add the new function to the CocoonJS extension object
	// 		extensionObject[functionName] = function()
	// 		{
	// 			// Convert the arguments object to an array
	// 			var arguments = Array.prototype.slice.call(arguments);
	// 			// Add the native function name as the first parameter
	// 			arguments.unshift(nativeFunctionName);
	// 			// Make the native ext object call
	// 			var result = makeCallFunction.apply(extensionObject.nativeExtensionObject, arguments);
	// 			return result;
	// 		}
	// 		// Add a property to the newly added function to store the name of the original function.
	// 		extensionObject[functionName].nativeFunctionName = nativeFunctionName;
	// 	}
	// 	return extensionObject;
	// };

	/**
	This function adds objects to a CocoonJS extension object to allow event listener handling (add and remove) bound to the native ext object event listener handling.

	@param extensionObject The reference to the CocoonJS extension object where to add the new objects bound to the ext object event listener handling.

	@param nativeEventsConfiguration An array of objects with the following structure:

		{ nativeEventName : "" [, eventObjectName : ""] }

		- nativeEventName: Specifies the event in the native ext object to be bound.
		- eventObjectName: An optional attribute that allows to specify the name of the object to be added to the CocoonJS extension object. If is not present, the name of the function will be the same
		as the nativeEventName.
		- alternativeAddEventListenerFunction:
		- alternativeRemoveEventListenerFunction:

	@returns The CocoonJS extension object.
	*/
	// CocoonJS.AddNativeEventBindingsToExtensionObject = function(extensionObject, nativeEventsConfiguration)
	// {
	// 	if (typeof extensionObject === 'undefined' || extensionObject === null) throw("The passed extension object be a valid object.");
	// 	if (typeof nativeEventsConfiguration === 'undefined' || nativeEventsConfiguration === null) throw("The passed native events configuration array must be a valid object.");

	// 	for (var i = 0; i < nativeEventsConfiguration.length; i++)
	// 	{
	// 		if (typeof nativeEventsConfiguration[i].nativeEventName === 'undefined') throw("The 'nativeEventName' attribute in the native event configuration object at index '" + i + "' in the native event configuration array cannot be undefined.");
	// 		var nativeEventName = nativeEventsConfiguration[i].nativeEventName;
	// 		var eventObjectName = typeof nativeEventsConfiguration[i].eventObjectName !== 'undefined' ? nativeEventsConfiguration[i].eventObjectName : nativeEventName;
	// 		// Anonymous function call so each variable in the loop is used in the event listener handling function bindings.
	// 		(function(nativeEventName, eventObjectName)
	// 		{
	//     		extensionObject[eventObjectName] =
	//     		{
	//     			// Store the native event name
	//     			nativeEventName : nativeEventName,
	//     			// Create the event listener management functions bound to the native counterparts
	//     			addEventListener : function(callback)
	// 	    		{
	// 	    			extensionObject.nativeExtensionObject.addEventListener(nativeEventName, callback);
	//     			},
	//     			removeEventListener : function(callback)
	//     			{
	// 	    			extensionObject.nativeExtensionObject.removeEventListener(nativeEventName, callback);
	//     			}
	//     			// ,
	//     			// removeAllEventListeners : function()
	//     			// {

	//     			// }
	//     		};
	// 		})(nativeEventName, eventObjectName);
	// 	}
	// 	return extensionObject;
	// };

	/**
	The function object constructor function all the CocoonJS extensions can use to instantiate the CocoonJS extension object and add all the functionality needed bound to the native ext object.

	@param nativeExtensionObject The reference to the ext object extension object.

	@param nativeFunctionsConfiguration See CocoonJS.AddNativeFunctionBindingsToExtensionObject function's documentation for more details.

	@param nativeEventsConfiguration See CocoonJS.AddNativeEventBindingsToExtensionObject function's documentation for more details.

	@returns The new CocoonJS extension object.
	*/
	// CocoonJS.Extension = function(nativeExtensionObjectName, nativeFunctionsConfiguration, nativeEventsConfiguration)
	// {
	// 	if (typeof nativeExtensionObjectName === 'undefined' || nativeExtensionObjectName === null) throw("The native extension object name cannot be null");

	// 	if (window.ext[nativeExtensionObjectName] === 'undefined') throw("The given native extension object name '" + nativeExtensionObjectName + "' is incorrect or the native extension object is undefined.");

	// 	var nativeExtensionObject = window.ext[nativeExtensionObjectName];

	// 	// Store a reference to the native extension object and to it's name
	// 	this.nativeExtensionObject = nativeExtensionObject;
	// 	this.nativeExtensionObjectName = nativeExtensionObjectName;

	// 	// If native function configuration is passed, use it to add some functions to the new extension object.
	// 	if (typeof nativeFunctionsConfiguration !== 'undefined')
	// 	{
	// 		CocoonJS.AddNativeFunctionBindingsToExtensionObject(this, nativeFunctionsConfiguration);
	// 	}

	// 	// If native event configuration is passed, use it to add some event objects to the new extension object.
	// 	if (typeof nativeEventsConfiguration !== 'undefined')
	// 	{
	// 		CocoonJS.AddNativeEventBindingsToExtensionObject(this, nativeEventsConfiguration);
	// 	}

	// 	return this;
	// };   

})();

//////////////////////////////////////
// COCOONJS_APP.JS                  //
//////////////////////////////////////

(function () {
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

    /**
     * This namespace represents all the basic functionalities available in the CocoonJS extension API.
     * @namespace
     */
    CocoonJS.App = CocoonJS.App ? CocoonJS.App : {};

    CocoonJS.App.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext.IDTK_APP !== 'undefined';

    /**
     * The predefined possible layouts for the FPS overlay.
     * @namespace
     */
    CocoonJS.App.FPSLayout = {
        TOP_LEFT:'top-left',
        TOP_RIGHT:'top-right',
        BOTTOM_LEFT:'bottom-left',
        BOTTOM_RIGHT:'bottom-right'
    };

    /**
     * Contains all the possible values to specify the input keyboard type to be used when introducing text.
     * @namespace
     */
    CocoonJS.App.KeyboardType = {
        /**
         * Represents a generic text input keyboard.
         */
        TEXT:"text",

        /**
         * Represents a number like input keyboard.
         */
        NUMBER:"num",

        /**
         * Represents a phone like input keyboard.
         */
        PHONE:"phone",

        /**
         * Represents an email like input keyboard.
         */
        EMAIL:"email",

        /**
         * Represents an URL like input keyboard.
         */
        URL:"url"
    };

    /**
     * The storage types to be used with file system related operations.
     * @namespace
     */
    CocoonJS.App.StorageType = {
        /**
         * Represents the application storage. The application storage is the place where all the resources that come with the application are stored.
         */
        APP_STORAGE:"APP_STORAGE",

        /**
         * Represents the internal storage. The internal storage is a different storage space that the application storage and only the data that the application has stored
         * in it will be in this storage. It is internal to the platform/device.
         */
        INTERNAL_STORAGE:"INTERNAL_STORAGE",

        /**
         * Represents an external storage. The external storage is similar to the internal storage in the sense that it only contains information that the application has written
         * in it but it represents an external storage device like a SD-CARD. If there is no exrernal storage, it will represent the same as the internal storage.
         */
        EXTERNAL_STORAGE:"EXTERNAL_STORAGE",

        /**
         * Represents the temporal storage. Same as the internal and external storage spaces in the sense that it only contains information that the application has written
         * in it but the main difference is that the information in this storage may dissapear without notice.
         */
        TEMPORARY_STORAGE:"TEMPORARY_STORAGE"
    };

    /**
     * The capture types to capture screenshots using CocoonJS native capabilities.
     * @namespace
     */
    CocoonJS.App.CaptureType = {
        /**
         Captures everything, both the CocoonJS GL hardware accelerated surface and the system views (like the WebView).
         */
        EVERYTHING:0,

        /**
         * Captures just the CocoonJS GL hardware accelerated surface.
         */
        JUST_COCOONJS_GL_SURFACE:1,

        /**
         * Captures just the sustem views (like the webview)
         */
        JUST_SYSTEM_VIEWS:2
    };

    /**
     * Makes a forward call of some javascript code to be executed in a different environment (i.e. from CocoonJS to the WebView and viceversa).
     * It waits until the code is executed and the result of it is returned === synchronous.
     * @function
     * @param {string} javaScriptCode Some JavaScript code in a string to be forwarded and executed in a different JavaScript environment (i.e. from CocoonJS to the WebView and viceversa).
     * @return {string} The result of the execution of the passed JavaScript code in the different JavaScript environment.
     */
    CocoonJS.App.forward = function (javaScriptCode) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "forward", arguments);
        }
        else if (!navigator.isCocoonJS) {
            if (window.name == 'CocoonJS_App_ForCocoonJS_WebViewIFrame') {
                return window.parent.eval(javaScriptCode);
            }
            else {
                //return window.parent.frames['CocoonJS_App_ForCocoonJS_WebViewIFrame'].window.eval(javaScriptCode);
                return window.frames['CocoonJS_App_ForCocoonJS_WebViewIFrame'].window.eval(javaScriptCode);
            }
        }
    };

    /**
     * Makes a forward call of some javascript code to be executed in a different environment (i.e. from CocoonJS to the WebView and viceversa).
     * It is asyncrhonous so it does not wait until the code is executed and the result of it is returned. Instead, it calls a callback function when the execution has finished to pass the result.
     * @function
     * @param {string} javaScriptCode Some JavaScript code in a string to be forwarded and executed in a different JavaScript environment (i.e. from CocoonJS to the WebView and viceversa).
     * @param {function} [returnCallback] A function callback that will be called when the passed JavaScript code is executed in a different thread to pass the result of the execution in the different JavaScript environment.
     */
    CocoonJS.App.forwardAsync = function (javaScriptCode, returnCallback) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            if (typeof returnCallback !== 'undefined') {
                return ext.IDTK_APP.makeCallAsync("forward", javaScriptCode, returnCallback);
            }
            else {
                return ext.IDTK_APP.makeCallAsync("forward", javaScriptCode);
            }
        }
        else if (!navigator.isCocoonJS) {
            if (window.name == 'CocoonJS_App_ForCocoonJS_WebViewIFrame') {
                return window.parent.eval(javaScriptCode);
            }
            else {
                return window.parent.frames['CocoonJS_App_ForCocoonJS_WebViewIFrame'].window.eval(javaScriptCode);
                // window.frames['CocoonJS_App_ForCocoonJS_WebViewIFrame'].window.eval(javaScriptCode);
            }
        }
    };

    /**
     * Pops up a text dialog so the user can introduce some text and the application can get it back. It is the first approach CocoonJS has taken to be able to introduce
     * text input in a easy way. The dialog execution events are passed to the application through the {@link CocoonJS.App.onTextDialogFinished} and the {@link CocoonJS.App.onTextDialogCancelled} event objects.
     * @function
     * @param {string} [title] Default value is "". The title to be displayed in the dialog.
     * @param {string} [message] Default value is "". The message to be displayed in the dialog, next to the text input field.
     * @param {string} [text] Default value is "". The initial text to be introduced in the text input field.
     * @param {CocoonJS.App.KeyboardType} [keyboardType] Default value is {@link CocoonJS.App.KeyboardType.TEXT}. The keyboard type to be used when the text has to be introduced.
     * @param {string} [cancelButtonText] Default value is "". The text to be displayed in the cancel button of the dialog.
     * @param {string} [okButtonText] Default value is "". The text to be displayed in the ok button of the dialog.
     * @see CocoonJS.App.onTextDialogFinished
     * @see CocoonJS.App.onTextDialogCancelled
     */
    CocoonJS.App.showTextDialog = function (title, message, text, keyboardType, cancelButtonText, okButtonText) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "showTextDialog", arguments, true);
        }
        else if (!navigator.isCocoonJS) {
            if (!message) {
                message = "";
            }
            if (!text) {
                text = "";
            }
            var result = prompt(message, text);
            var eventObject = result ? CocoonJS.App.onTextDialogFinished : CocoonJS.App.onTextDialogCancelled;
            eventObject.notifyEventListeners(result);
        }
    };

    /**
     * Pops up a message dialog so the user can decide between a yes or no like confirmation. The message box execution events are passed to the application through the {@link CocoonJS.App.onMessageBoxConfirmed} and the {@link CocoonJS.App.onMessageBoxDenied} event objects.
     * @function
     * @param {string} [title] Default value is "". The title to be displayed in the dialog.
     * @param {string} [message] Default value is "". The message to be displayed in the dialog, next to the text input field.
     * @param {string} [confirmButtonText] Default value is "Yes". The text to be displayed for the confirm button.
     * @param {string} [denyButtonText] Default value is "No". The text to be displayed for the deny button.
     * @see CocoonJS.App.onMessageBoxConfirmed
     * @see CocoonJS.App.onMessageBoxDenied
     */
    CocoonJS.App.showMessageBox = function (title, message, confirmButtonText, denyButtonText) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "showMessageBox", arguments, true);
        }
        else if (!navigator.isCocoonJS) {
            if (!message) {
                message = "";
            }
            var result = confirm(message);
            var eventObject = result ? CocoonJS.App.onMessageBoxConfirmed : CocoonJS.App.onMessageBoxDenied;
            eventObject.notifyEventListeners();
        }
    };

    /**
     * It allows to load a new JavaScript/HTML5 resource that can be loaded either locally (inside the platform/device storage) or using a remote URL.
     * @function
     * @param {string} path A path to a resource stored in the platform or in a URL to a remote resource.
     * @param {CocoonJS.App.StorageType} [storageType] If the path argument represents a locally stored resource, the developer can specify the storage where it is stored. If no value is passes, the {@link CocoonJS.App.StorageType.APP_STORAGE} value is used by default.
     */
    CocoonJS.App.load = function (path, storageType) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "loadPath", arguments);
        }
        else if (!navigator.isCocoonJS) {
            var xhr = new XMLHttpRequest();

            xhr.onreadystatechange = function (event) {
                if (xhr.readyState === 4) {
                    if (xhr.status === 200) {
                        // TODO: As window load event is not being called (WHY???), I have decided to call the listeners directly
                        // var callback= function(event){
                        //     window.removeEventListener("load", callback);
                        var jsCode;
                        // If there is no webview, it means we are in the webview, so notify the CocoonJS environment
                        if (!CocoonJS.App.EmulatedWebViewIFrame) {
                            jsCode = "window.CocoonJS && window.CocoonJS.App.onLoadInTheWebViewSucceed.notifyEventListeners('" + path + "');";
                        }
                        // If there is a webview, it means we are in CocoonJS, so notify the webview environment
                        else {
                            jsCode = "window.CocoonJS && window.CocoonJS.App.onLoadInCocoonJSSucceed.notifyEventListeners('" + path + "');";
                        }
                        CocoonJS.App.forwardAsync(jsCode);
                        // };
                        // window.addEventListener("load", callback);
                        window.location.href = path;
                    }
                    else if (xhr.status === 404) {
                        this.onreadystatechange = null;
                        var jsCode;
                        // If there is no webview, it means we are in the webview, so notify the CocoonJS environment
                        if (!CocoonJS.App.EmulatedWebViewIFrame) {
                            jsCode = "CocoonJS && CocoonJS.App.onLoadInTheWebViewFailed.notifyEventListeners('" + path + "');";
                        }
                        // If there is a webview, it means we are in CocoonJS, so notify the webview environment
                        else {
                            jsCode = "CocoonJS && CocoonJS.App.onLoadInCocoonJSFailed.notifyEventListeners('" + path + "');";
                        }
                        CocoonJS.App.forwardAsync(jsCode);
                    }
                }
            };
            xhr.open("GET", path, true);
            xhr.send();
        }
    };

    /**
     * Reloads the last loaded path in the current context.
     * @function
     */
    CocoonJS.App.reload = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "reload", arguments);
        }
        else if (!navigator.isCocoonJS) {
            if (window.name == 'CocoonJS_App_ForCocoonJS_WebViewIFrame') {
                return window.parent.location.reload();
            }
            else {
                return window.parent.frames['CocoonJS_App_ForCocoonJS_WebViewIFrame'].window.location.reload();
            }
        }
    };

    /**
     * Opens a given URL using a system service that is able to open it. For example, open a HTTP URL using the system WebBrowser.+
     * @function
     * @param {string} url The URL to be opened by a system service.
     */
    CocoonJS.App.openURL = function (url) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "openURL", arguments, true);
        }
        else if (!navigator.isCocoonJS) {
            window.open(url, '_blank');
        }
    }

    /**
     * Forces the app to be finished.
     * @function
     */
    CocoonJS.App.forceToFinish = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "forceToFinish", arguments);
        }
        else if (!navigator.isCocoonJS) {
            window.close();
        }
    }

    /**
     * Enables or disables the auto lock to control if the screen keeps on after an inactivity period.
     * When the auto lock is enabled and the application has no user input for a short period, the system puts the device into a "sleepâ€ state where the screen dims or turns off.
     * When the auto lock is disabled the screen keeps on even when there is no user input for long times.
     * @param enabled A boolean value that controls whether to enable or disable the auto lock.
     */
    CocoonJS.App.setAutoLockEnabled = function (enabled) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "setAutoLockEnabled", arguments);
        }
    }

    /**
     * Creates a canvas element that is automatically resized to the screen size. When the app is being executed
     * inside CocoonJS. This canvas is optimized for rendering so it is higly recommended to use it if it fits
     * your app needs. If your app uses one canvas as the main canvas where all other canvases and images are displayed, Ludei recommends to
     * call this function in order to create this main canvas. A usual 2x performance gain is achieved by doing so
     * depending on the device and the graphics card driver.
     * @function
     * @return {object} The canvas object that should be used as the main canvas and that is resized to the screen resolution.
     */
    CocoonJS.App.createScreenCanvas = function () {
        var screenCanvas;
        if (navigator.isCocoonJS) {
            screenCanvas = document.createElement("screencanvas");
        }
        else if (!navigator.isCocoonJS) {
            screenCanvas = document.createElement("canvas");
            screenCanvas.width = window.innerWidth;
            screenCanvas.height = window.innerHeight;
        }
        return screenCanvas;
    };

    /**
     * Disables the touch events in the CocoonJS environment.
     * @function
     */
    CocoonJS.App.disableTouchInCocoonJS = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            window.ext.IDTK_APP.makeCall("disableTouchLayer", "CocoonJSView");
        }
    };

    /**
     * Enables the touch events in the CocoonJS environment.
     * @function
     */
    CocoonJS.App.enableTouchInCocoonJS = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            window.ext.IDTK_APP.makeCall("enableTouchLayer", "CocoonJSView");
        }
    };

    /**
     * Disables the touch events in the WebView environment.
     * @function
     */
    CocoonJS.App.disableTouchInTheWebView = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            window.ext.IDTK_APP.makeCall("disableTouchLayer", "WebView");
        }
    };

    /**
     * Enables the touch events in the WebView environment.
     * @function
     */
    CocoonJS.App.enableTouchInTheWebView = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            window.ext.IDTK_APP.makeCall("enableTouchLayer", "WebView");
        }
    };

    /**
     * Setups the update interval in seconds (1 second / X frames) to receive the accelerometer updates.
     * It defines the rate at which the devicemotion events are updated.
     * @function
     * @param {number} updateIntervalInSeconds The update interval in seconds to be set.
     */
    CocoonJS.App.setAccelerometerUpdateIntervalInSeconds = function (updateIntervalInSeconds) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return window.ext.IDTK_APP.makeCall("setAccelerometerUpdateIntervalInSeconds", updateIntervalInSeconds);
        }
    };

    /**
     * Returns the update interval in seconds that is currently set for accelerometer related events.
     * @function
     * @return {number} The update interval in seconds that is currently set for accelerometer related events.
     */
    CocoonJS.App.getAccelerometerUpdateIntervalInSeconds = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return window.ext.IDTK_APP.makeCall("getAccelerometerUpdateIntervalInSeconds");
        }
    };

    /**
     * Setups the update interval in seconds (1 second / X frames) to receive the gyroscope updates.
     * It defines the rate at which the devicemotion and deviceorientation events are updated.
     * @function
     * @param {number} updateIntervalInSeconds The update interval in seconds to be set.
     */
    CocoonJS.App.setGyroscopeUpdateIntervalInSeconds = function (updateIntervalInSeconds) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return window.ext.IDTK_APP.makeCall("setGyroscopeUpdateIntervalInSeconds", updateIntervalInSeconds);
        }
    };

    /**
     * Returns the update interval in seconds that is currently set for gyroscope related events.
     * @function
     * @return {number} The update interval in seconds that is currently set for gyroscope related events.
     */
    CocoonJS.App.getGyroscopeUpdateIntervalInSeconds = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            window.ext.IDTK_APP.makeCall("getGyroscopeUpdateIntervalInSeconds");
        }
    };


    /**
     * Setups a origin proxy for a given typeName. What this means is that after calling this function the environment that makes this call will suddenly
     * have a way of creating instances of the given typeName and those instances will act as a transparent proxy to counterpart instances in the destination environment.
     * Manipulating attributes, calling funcitions or handling events will all be performed in the destination environment but the developer will think they will be
     * happening in the origin environment.
     * IMPORTANT NOTE: These proxies only work with types that use attributes and function parameters and return types that are primitive like numbers, strings or arrays.
     * @param {string} typeName The name of the type to be proxified.
     * @param {array} [attributeNames] A list of the names of the attributes to be proxified.
     * @param {array} [functionNames] A list of the names of the functions to be proxified.
     * @param {array} [eventHandlerNames] A list of the names of the event handlers to be proxified (onXXXX like attributes that represent callbacks).
     * A valid typeName and at least one valid array for attribute, function or event handler names is mandatory.
     */
    CocoonJS.App.setupOriginProxyType = function (typeName, attributeNames, functionNames, eventHandlerNames) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            // Control the parameters.
            if (!typeName) throw "The given typeName must be valid.";
            if (!attributeNames && !functionNames && !eventHandlerNames) throw "There is no point on setting up a proxy for no attributes, functions nor eventHandlers.";
            attributeNames = attributeNames ? attributeNames : [];
            functionNames = functionNames ? functionNames : [];
            eventHandlerNames = eventHandlerNames ? eventHandlerNames : [];

            // The parent object will be the window. It could be another object but careful, the destination side should know about this.
            // TODO: Specify the parentObject as a parameter, obtain it's path from the window object and pass it to the destination environment so it knows about it.
            var parentObject = window;

            // Setup the destination side too.
            var jsCode = "CocoonJS.App.setupDestinationProxyType(" + JSON.stringify(typeName) + ", " + JSON.stringify(eventHandlerNames) + ");";
            CocoonJS.App.forward(jsCode);

            var originalType = parentObject[typeName];

            // Constructor. This will be the new proxified type in the origin environment. Instances of this type will be created by the developer without knowing that they are
            // internally calling to their counterparts in the destination environment.
            parentObject[typeName] = function () {
                var _this = this;

                // Each proxy object will have a origin object inside with all the necessary information to be a proxy to the destination.
                this._cocoonjs_proxy_object_data = {};
                // The id is obtained calling to the destination side to create an instance of the type.
                var jsCode = "CocoonJS.App.newDestinationProxyObject(" + JSON.stringify(typeName) + ");";
                this._cocoonjs_proxy_object_data.id = CocoonJS.App.forward(jsCode);
                // The eventHandlers dictionary contains objects of the type { eventHandlerName : string, eventHandler : function } to be able to make the callbacks when the 
                // webview makes the corresponding calls.
                this._cocoonjs_proxy_object_data.eventHandlers = {};
                // Also store the typename inside each instance.
                this._cocoonjs_proxy_object_data.typeName = typeName;
                // A dictionary to store the event handlers
                this._cocoonjs_proxy_object_data.eventListeners = {};

                // TODO: eventHandlers and eventListeners should be in the same list ;)

                // Store all the proxy instances in a list that belongs to the type itself.
                parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[this._cocoonjs_proxy_object_data.id] = this;

                // Create a setter and a getter for all the attribute names that have been specified. When the attributes are accessed (set or get) a call to the destination counterpart will be performed.
                for (var i = 0; i < attributeNames.length; i++) {
                    (function (attributeName) {
                        _this.__defineSetter__(attributeName, function (value) {
                            var jsCode = "CocoonJS.App.setDestinationProxyObjectAttribute(" + JSON.stringify(typeName) + ", " + _this._cocoonjs_proxy_object_data.id + ", " + JSON.stringify(attributeName) + ", " + JSON.stringify(value) + ");";
                            return CocoonJS.App.forwardAsync(jsCode);
                        });
                        _this.__defineGetter__(attributeName, function () {
                            var jsCode = "CocoonJS.App.getDestinationProxyObjectAttribute(" + JSON.stringify(typeName) + ", " + _this._cocoonjs_proxy_object_data.id + ", " + JSON.stringify(attributeName) + ");";
                            return CocoonJS.App.forwardAsync(jsCode);
                        });
                    })(attributeNames[i]);
                }

                // Create a function that performs a call to the destination environment counterpart for all the function names that have been specified.
                for (var i = 0; i < functionNames.length; i++) {
                    (function (functionName) {
                        _this[functionName] = function () {
                            // Get the arguments as an array and add the typeName, the proxy id and the functionName before all the other arguments before making the call to the destination counterpart.
                            var argumentsArray = Array.prototype.slice.call(arguments);
                            argumentsArray.unshift(functionName);
                            argumentsArray.unshift(this._cocoonjs_proxy_object_data.id);
                            argumentsArray.unshift(typeName);
                            // Use the array to create the correct function call.
                            var jsCode = "CocoonJS.App.callDestinationProxyObjectFunction(";
                            for (var i = 0; i < argumentsArray.length; i++) {
                                // The second argument (the id) should not be stringified
                                jsCode += (i !== 1 ? JSON.stringify(argumentsArray[i]) : argumentsArray[i]) + (i < argumentsArray.length - 1 ? ", " : "");
                            }
                            jsCode += ");";
                            // TODO: This next call should be synchronous but it seems that some customers are experiencing some crash issues. Making it async solves these crashes.
                            // Another possible solution could be to be able to specify which calls could be async and which sync in the proxification array.
                            var ret = CocoonJS.App.forwardAsync(jsCode);
                            return ret;
                        };
                    })(functionNames[i]);
                }

                // Create a setter and getter for all the event handler names that have been specified. When the event handlers are accessed, store them inside the corresponding position on the eventHandlers
                // array so they can be called when the destination environment makes the corresponding callback call.
                for (var i = 0; i < eventHandlerNames.length; i++) {
                    (function (eventHandlerName) {
                        _this.__defineSetter__(eventHandlerName, function (value) {
                            _this._cocoonjs_proxy_object_data.eventHandlers[eventHandlerName] = value;
                        });
                        _this.__defineGetter__(eventHandlerName, function () {
                            return _this._cocoonjs_proxy_object_data.eventHandlers[eventHandlerName];
                        });
                    })(eventHandlerNames[i]);
                }

                // Setup the add and remove event listeners in the proxy object
                _this.addEventListener = function (eventTypeName, eventCallback) {
                    var addEventCallback = true;
                    // Check for the eventListeners
                    var eventListeners = _this._cocoonjs_proxy_object_data.eventListeners[eventTypeName];
                    if (eventListeners) {
                        // As the eventListeners were already added, check that the same callback has not been added.
                        addEventCallback = eventListeners.indexOf(eventCallback) < 0;
                    }
                    else {
                        // There are no event listeners, so add the one and add the listeners array for the specific event type name
                        eventListeners = [];
                        _this._cocoonjs_proxy_object_data.eventListeners[eventTypeName] = eventListeners;

                        // Forward the call so the other end registers a event listener (only one is needed).
                        var jsCode = "CocoonJS.App.addDestinationProxyObjectEventListener(" + JSON.stringify(_this._cocoonjs_proxy_object_data.typeName) + ", " + _this._cocoonjs_proxy_object_data.id + ", " + JSON.stringify(eventTypeName) + ");";
                        CocoonJS.App.forwardAsync(jsCode);
                    }
                    // Only if the alforithm above specify so, add the eventcallback and notify the destination environment to do the same
                    if (addEventCallback) {
                        eventListeners.push(eventCallback);
                    }
                };

                _this.removeEventListener = function (eventTypeName, eventCallback) {
                    // Check for the eventListeners
                    var eventListeners = _this._cocoonjs_proxy_object_data.eventListeners[eventTypeName];
                    if (eventListeners) {
                        var eventCallbackIndex = eventListeners.indexOf(eventCallback);
                        if (eventCallbackIndex >= 0) {
                            eventListeners.splice(eventCallbackIndex, 1);
                        }
                    }
                };

                // Return the proxy instance.
                return this;
            };

            // The type will contain a proxy data structure to store all the instances that are created so they are available when the destination environment calls back. 
            parentObject[typeName]._cocoonjs_proxy_type_data =
            {
                originalType:originalType,
                proxyObjects:[]
            };

            /**
             * Deletes a proxy instance from both the CocoonJS environment structures and also deleting it's webview environment counterpart.
             * This function should be manually called whenever a proxy instance won't be accessed anymore.
             * @param {object} object The proxy object to be deleted.
             */
            parentObject[typeName]._cocoonjs_proxy_type_data.deleteProxyObject = function (object) {
                var proxyObjectKey = CocoonJS.getKeyForValueInDictionary(this.proxyObjects, object);
                if (proxyObjectKey) {
                    var jsCode = "CocoonJS.App.deleteDestinationProxyObject(" + JSON.stringify(typeName) + ", " + object._cocoonjs_proxy_object_data.id + ");";
                    CocoonJS.App.forwardAsync(jsCode);
                    object._cocoonjs_proxy_object_data = null;
                    delete this.proxyObjects[proxyObjectKey];
                }
            };

            /**
             * Calls a event handler for the given proxy object id and eventHandlerName.
             * @param {number} id The id to be used to look for the proxy object for which to make the call to it's event handler.
             * @param {string} eventHandlerName The name of the handler to be called.
             * NOTE: Events are a complex thing in the HTML specification. This function just performs a call but at least provides a
             * structure to the event passing the target (the proxy object).
             * TODO: The destination should serialize the event object as far as it can so many parameters can be passed to the origin
             * side. Using JSON.stringify in the destination side and parse in origin side maybe? Still must add the target to the event structure though.
             */
            parentObject[typeName]._cocoonjs_proxy_type_data.callProxyObjectEventHandler = function (id, eventHandlerName) {
                var object = this.proxyObjects[id];
                var eventHandler = object._cocoonjs_proxy_object_data.eventHandlers[eventHandlerName];
                if (eventHandler) {
                    eventHandler({ target:object });
                }
            };

            parentObject[typeName]._cocoonjs_proxy_type_data.callProxyObjectEventListeners = function (id, eventTypeName) {
                var object = this.proxyObjects[id];
                var eventListeners = object._cocoonjs_proxy_object_data.eventListeners[eventTypeName].slice();
                for (var i = 0; i < eventListeners.length; i++) {
                    eventListeners[i]({ target:object });
                }
            };
        }
    };

    /**
     * Takes down the proxification of a type and restores it to it's original type. Do not worry if you pass a type name that is not proxified yet. The
     * function will handle it correctly for compativility reasons.
     * @param {string} typeName The name of the type to be deproxified (take down the proxification and restore the type to it's original state)
     */
    CocoonJS.App.takedownOriginProxyType = function (typeName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            if (parentObject[typeName] && parentObject[typeName]._cocoonjs_proxy_type_data) {
                parentObject[typeName] = parentObject[typeName]._cocoonjs_proxy_type_data.originalType;
            }
        }
    };

    /**
     * Deletes everything related to a proxy object in both environments. Do not worry of you do not pass a proxified object to the
     * function. For compatibility reasons, you can still have calls to this function even when no poxification of a type has been done.
     * @param {object} object The proxified object to be deleted.
     */
    CocoonJS.App.deleteOriginProxyObject = function (object) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            if (object && object._cocoonjs_proxy_object_data) {
                parentObject[object._cocoonjs_proxy_object_data.typeName]._cocoonjs_proxy_type_data.deleteProxyObject(object);
            }
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the destination environment whenever it is needed to work with proxy objects.
     * It calls the origin proxy object when an event handler need to be updated/called from the destination environment.
     * @param {string} typeName The type name of the proxified type.
     * @param {number} id The id of the proxy object.
     * @param {string} eventHandlerName The name of the event handler to be called.
     */
    CocoonJS.App.callOriginProxyObjectEventHandler = function (typeName, id, eventHandlerName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            parentObject[typeName]._cocoonjs_proxy_type_data.callProxyObjectEventHandler(id, eventHandlerName);
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the destination environment whenever it is needed to work with proxy objects.
     * It calls the origin proxy object when all the event listeners related to a specific event need to be updated/called from the destination environment.
     * @param {string} typeName The type name of the proxified type.
     * @param {number} id The id of the proxy object.
     * @param {string} eventTypeName The name of the event type to call the listeners related to it.
     */
    CocoonJS.App.callOriginProxyObjectEventListeners = function (typeName, id, eventTypeName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            parentObject[typeName]._cocoonjs_proxy_type_data.callProxyObjectEventListeners(id, eventTypeName);
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the origin environment whenever it is needed to work with proxy objects.
     * Setups all the structures that are needed to proxify a destination type to an origin type.
     * @param {string} typeName The name of the type to be proxified.
     * @param {array} eventHandlerNames An array with al the event handlers to be proxified. Needed in order to be able to create callbacks for all the event handlers
     * and call to the CocoonJS counterparts accordingly.
     */
    CocoonJS.App.setupDestinationProxyType = function (typeName, eventHandlerNames) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;

            // Add a cocoonjs structure to the destination proxified type to store some useful information like all the proxy instances that are created, plus the id counter 
            // and the names of all the event handlers and some utility functions.
            parentObject[typeName]._cocoonjs_proxy_type_data =
            {
                nextId:0,
                proxyObjects:{},
                eventHandlerNames:eventHandlerNames
            }
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the origin environment whenever it is needed to work with proxy objects.
     * Takes down the proxy type at the destination environment. Just removes the data structure related to proxies that was added to the type when proxification tool place.
     * @param {string} typeName The name of the type to take the proxification down.
     */
    CocoonJS.App.takedownDestinationProxyType = function (typeName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            if (parent[typeName] && parentObject[typeName]._cocoonjs_proxy_type_data) {
                delete parentObject[typeName]._cocoonjs_proxy_type_data;
            }
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the original environment whenever it is needed to work with proxy objects.
     * Creates a new destination object instance and generates a id to reference it from the original environment.
     * @param {string} typeName The name of the type to be proxified and to generate an instance.
     * @return The id to be used from the original environment to identify the corresponding destination object instance.
     */
    CocoonJS.App.newDestinationProxyObject = function (typeName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;

            var proxyObject = new parentObject[typeName]();
            // Also store some additional information in the proxy object
            proxyObject._cocoonjs_proxy_object_data = {};
            // Like the type name, that could be useful late ;)
            proxyObject._cocoonjs_proxy_object_data.typeName = typeName;
            // Caculate the id for the object. It will be returned to the origin environment so this object can be referenced later
            var proxyObjectId = parentObject[typeName]._cocoonjs_proxy_type_data.nextId;
            // Store the created object in the structure defined in the setup of proxification with an id associated to it
            parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[proxyObjectId] = proxyObject;
            // Also store the id inside the proxy object itself
            proxyObject._cocoonjs_proxy_object_data.id = proxyObjectId;
            // Calculate a new id for the next object.
            parentObject[typeName]._cocoonjs_proxy_type_data.nextId++;

            // Setup all the event handlers.
            for (var i = 0; i < parentObject[typeName]._cocoonjs_proxy_type_data.eventHandlerNames.length; i++) {
                (function (eventHandlerName) {
                    proxyObject[eventHandlerName] = function (event) {
                        var proxyObject = this; // event.target;
                        // var eventHandlerName = CocoonJS.getKeyForValueInDictionary(proxyObject, this); // Avoid closures ;)
                        var jsCode = "CocoonJS.App.callOriginProxyObjectEventHandler(" + JSON.stringify(proxyObject._cocoonjs_proxy_object_data.typeName) + ", " + proxyObject._cocoonjs_proxy_object_data.id + ", " + JSON.stringify(eventHandlerName) + ");";
                        CocoonJS.App.forwardAsync(jsCode);
                    };
                })(parentObject[typeName]._cocoonjs_proxy_type_data.eventHandlerNames[i]);
            }

            // Add the dictionary where the event listeners (callbacks) will be added.
            proxyObject._cocoonjs_proxy_object_data.eventListeners = {};

            return proxyObjectId;
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the origin environement whenever it is needed to work with proxy objects.
     * Calls a function of a destination object idetified by it's typeName and id.
     * @param {string} typeName The name of the type of the proxy.
     * @param {number} id The id of the proxy object.
     * @param {string} functionName The name of the function to be called.
     * @return Whatever the function call returns.
     */
    CocoonJS.App.callDestinationProxyObjectFunction = function (typeName, id, functionName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            var argumentsArray = Array.prototype.slice.call(arguments);
            argumentsArray.splice(0, 3);
            var proxyObject = parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[id];
            var result = proxyObject[functionName].apply(proxyObject, argumentsArray);
            return result;
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the original environment whenever it is needed to work with proxy objects.
     * Sets a value to the corresponding attributeName of a proxy object represented by it's typeName and id.
     * @param {string} typeName The name of the type of the proxy.
     * @param {number} id The id of the proxy object.
     * @param {string} attributeName The name of the attribute to be set.
     * @param {unknown} attributeValue The value to be set to the attribute.
     */
    CocoonJS.App.setDestinationProxyObjectAttribute = function (typeName, id, attributeName, attributeValue) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            var proxyObject = parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[id];
            proxyObject[attributeName] = attributeValue;
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the original environment whenever it is needed to work with proxy objects.
     * Retrieves the value of the corresponding attributeName of a proxy object represented by it's typeName and id.
     * @param {string} typeName The name of the type of the proxy.
     * @param {number} id The id of the proxy object.
     * @param {string} attributeName The name of the attribute to be retrieved.
     */
    CocoonJS.App.getDestinationProxyObjectAttribute = function (typeName, id, attributeName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            var proxyObject = parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[id];
            return proxyObject[attributeName];
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the original environment whenever it is needed to work with proxy objects.
     * Deletes a proxy object identifying it using it's typeName and id. Deleting a proxy object mainly means to remove the instance from the global structure
     * that hold all the instances.
     * @param {string} typeName The name of the type of the proxy.
     * @param {number} id The id of the proxy object.
     */
    CocoonJS.App.deleteDestinationProxyObject = function (typeName, id) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            delete parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[id];
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the original environment whenever it is needed to work with proxy objects.
     */
    CocoonJS.App.addDestinationProxyObjectEventListener = function (typeName, id, eventTypeName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            // Look for the proxy object
            var proxyObject = parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[id];

            var callback = function (event) {
                var proxyObject = this; // event.target;
                // var eventTypeName = CocoonJS.getKeyForValueInDictionary(proxyObject._cocoonjs_proxy_object_data.eventListeners, this); // Avoid closures ;)
                // TODO: Is there a way to retrieve the callbackId without a closure?
                var jsCode = "CocoonJS.App.callOriginProxyObjectEventListeners(" + JSON.stringify(proxyObject._cocoonjs_proxy_object_data.typeName) + ", " + proxyObject._cocoonjs_proxy_object_data.id + ", " + JSON.stringify(eventTypeName) + ");";
                CocoonJS.App.forwardAsync(jsCode);
            };

            proxyObject._cocoonjs_proxy_object_data.eventListeners[eventTypeName] = callback;

            // Finally add the event listener callback to the proxy object
            proxyObject.addEventListener(eventTypeName, callback);
        }
    };

    // TODO: We could add a removeDestinationProxyObjectEventListener although it seems that is not completely necessary.

    /**
     * Proxifies the XMLHttpRequest type for the environment where this call is made. After calling this function, all the new objects
     * of XMLHttpRequest that are instantiated, will be proxified objects that will make calls to the counterparts in the other environment (CocoonJS <-> WebView viceversa).
     * IMPORTANT NOTE: Remember to take down the proxification once you are done or to delete proxy objects whenever they are not needed anymore or memory leaks may occur.
     */
    CocoonJS.App.proxifyXHR = function () {
        var ATTRIBUTE_NAMES =
            [
                "timeout",
                "withCredentials",
                "upload",
                "status",
                "statusText",
                "responseType",
                "response",
                "responseText",
                "responseXML",
                "readyState"
            ];
        var FUNCTION_NAMES =
            [
                "open",
                "setRequestHeader",
                "send",
                "abort",
                "getResponseHeader",
                "getAllResponseHeaders",
                "overrideMimeType"
            ];
        var EVENT_HANDLER_NAMES =
            [
                "onloadstart",
                "onprogress",
                "onabort",
                "onerror",
                "onload",
                "ontimeout",
                "onloadend",
                "onreadystatechange"
            ];
        CocoonJS.App.setupOriginProxyType("XMLHttpRequest", ATTRIBUTE_NAMES, FUNCTION_NAMES, EVENT_HANDLER_NAMES);
    };

    /**
     * Proxifies the Audio type for the environment where this call is made. After calling this function, all the new objects
     * of Audio that are instantiated, will be proxified objects that will make calls to the counterparts in the other environment (CocoonJS <-> WebView viceversa).
     * IMPORTANT NOTE: Remember to take down the proxification once you are done or to delete proxy objects whenever they are not needed anymore or memory leaks may occur.
     */
    CocoonJS.App.proxifyAudio = function () {
        var ATTRIBUTE_NAMES =
            [
                "src",
                "loop",
                "volume",
                "preload"
            ];
        var FUNCTION_NAMES =
            [
                "play",
                "pause",
                "load",
                "canPlayType"
            ];
        var EVENT_HANDLER_NAMES =
            [
                "onended",
                "oncanplay",
                "oncanplaythrough",
                "onerror"
            ];
        CocoonJS.App.setupOriginProxyType("Audio", ATTRIBUTE_NAMES, FUNCTION_NAMES, EVENT_HANDLER_NAMES);
    };

    /**
     * Captures a image of the screen synchronously and saves it to a file. Sync mode allows to capture the screen in the middle of a frame rendering.
     * @param {string} fileName Desired file name and format (png or jpg). If no value is passed, "capture.png" value is used by default
     * @param {CocoonJS.App.StorageType} storageType The developer can specify the storage where it is stored. If no value is passed, the {@link CocoonJS.App.StorageType.TMP_STORAGE} value is used by default.
     * @param {CocoonJS.App.CaptureType} captureType. Optional value to choose capture type. [0: captures everything, 1: only captures cocoonjs surface 2: only captures system views]. @see CocoonJS.App.CaptureType
     * @return The URL of the saved file.
     * @throws exception if the image fails to be stored or there is another error.
     * @see CocoonJS.App.onCaptureScreenSucceeded
     * @see CocoonJS.App.onCaptureScreenFailed
     */
    CocoonJS.App.captureScreen = function (fileName, storageType, captureType) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return window.ext.IDTK_APP.makeCall("captureScreen", fileName, storageType, captureType);
        }
    };

    /**
     * Captures a image of the screen asynchronously and saves it to a file.
     * Async mode captures a final frame as soon as possible.
     * @param {string} Desired file name and format (png or jpg). If no value is passed, "capture.png" value is used by default
     * @param {CocoonJS.App.StorageType} [storageType] The developer can specify the storage where it is stored. If no value is passed, the {@link CocoonJS.App.StorageType.TMP_STORAGE} value is used by default.
     * @param {CocoonJS.App.CaptureType} captureType. Optional value to choose capture type. [0: captures everything, 1: only captures cocoonjs surface, 2: only captures system views]. @see CocoonJS.App.CaptureType
     * @param {function} callback. Response callback, check the error property to monitor errors. Check the 'url' property to get the URL of the saved Image
     */
    CocoonJS.App.captureScreenAsync = function (fileName, storageType, captureType, callback) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            window.ext.IDTK_APP.makeCallAsync("captureScreen", fileName, storageType, captureType, callback);
        }
    };

    /**
     * Returns the device UUID
     * @return {string} The device UUID
     */
    CocoonJS.App.getDeviceId = function() {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return window.ext.IDTK_APP.makeCall("getDeviceId");
        }
    };

    /**
     * Structure that defines the getDeviceInfo returned information
     */
    CocoonJS.App.DeviceInfo = {

        /**
        * The operating system name (ios, android,...)
        * @type string
        */
        os: null,

        /**
        * The operating system version (4.2.2, 5.0,...)
        * @type string
        */
        version: null,

        /**
        * The operating system screen density in dpi
        * @type string
        */
        dpi: null,

        /**
        * The device manufacturer (apple, samsung, lg,...)
        * @type string
        */
        brand: null,

        /**
        * The device model (iPhone 4S, SAMSUNG-SGH-I997, SAMSUNG-SGH-I997R, etc)
        * @type string
        */
        model: null,

        /**
        * The phone IMEI
        * Android: The phone IMEI is returned or null if the device has not telepohny
        * iOS: null is returned as we cannot get the IMEI in iOS, no public API available for that yet.
        * @type string
        */
        imei: null,

        /**
        * The platform Id
        * Android: The ANDROID_ID is used.
        * iOS: The OpenUDID is used as there is no Android ANDROID_ID equivalent in iOS
        * @type string
        */
        platformId: null,

        /**
        * The Odin generated id https://code.google.com/p/odinmobile/
        * @type string
        */
        odin: null,

        /**
        * The OpenUDID generated Id https://github.com/ylechelle/OpenUDID
        * @type string
        */
        openudid: null
    };

    /**
     * Returns the device Info
     * @return {CocoonJS.App.DeviceInfo} The device Info
     */
    CocoonJS.App.getDeviceInfo = function() {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return window.ext.IDTK_APP.makeCall("getDeviceInfo");
        }
    };    

    /**
     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.App.onTextDialogFinished} event calls.
     * @name OnTextDialogFinishedListener
     * @function
     * @static
     * @memberOf CocoonJS.App
     * @param {string} text The text that was introduced in the text dialog when it was finished.
     */
    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the text dialog is finished by accepting it's content.
     * The callback function's documentation is represented by {@link CocoonJS.App.OnTextDialogFinishedListener}
     * @event
     * @static
     * @memberOf CocoonJS.App
     */
    CocoonJS.App.onTextDialogFinished = new CocoonJS.EventHandler("IDTK_APP", "App", "ontextdialogfinish");

    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the text dialog is finished by dismissing it's content.
     * The callback function does not receive any parameter.
     * @event
     * @static
     * @memberOf CocoonJS.App
     */
    CocoonJS.App.onTextDialogCancelled = new CocoonJS.EventHandler("IDTK_APP", "App", "ontextdialogcancel");

    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the text dialog is finished by accepting it's content.
     * The callback function does not receive any parameter.
     * @event
     * @static
     * @memberOf CocoonJS.App
     */
    CocoonJS.App.onMessageBoxConfirmed = new CocoonJS.EventHandler("IDTK_APP", "App", "onmessageboxconfirmed");

    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the text dialog is finished by dismissing it's content.
     * The callback function does not receive any parameter.
     * @event
     * @static
     * @memberOf CocoonJS.App
     */
    CocoonJS.App.onMessageBoxDenied = new CocoonJS.EventHandler("IDTK_APP", "App", "onmessageboxdenied");

    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the application is suspended.
     * The callback function does not receive any parameter.
     * @event
     * @static
     * @memberOf CocoonJS.App
     */
    CocoonJS.App.onSuspended = new CocoonJS.EventHandler("IDTK_APP", "App", "onsuspended");

    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the application is activated.
     * The callback function does not receive any parameter.
     * @event
     * @static
     * @memberOf CocoonJS.App
     */
    CocoonJS.App.onActivated = new CocoonJS.EventHandler("IDTK_APP", "App", "onactivated");

})();

//////////////////////////////////////
// COCOONJS_APP_FORCOCOONJS.JS		//
//////////////////////////////////////

(function()
{
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before adding more functionalities to an extension.");
    if (typeof window.CocoonJS.App === 'undefined' || window.CocoonJS.App === null) throw("The CocoonJS.App object must exist and be valid before adding more functionalities to it.");

    /**
    * This namespace represents all the basic functionalities available in the CocoonJS extension API.
    * @namespace
    */
    CocoonJS.App = CocoonJS.App ? CocoonJS.App : {};

    if (!CocoonJS.App.nativeExtensionObjectAvailable)
    {
        (function createWebView() { 
            CocoonJS.App.EmulatedWebView = document.createElement('div'); 
            CocoonJS.App.EmulatedWebView.setAttribute('id', 'CocoonJS_App_ForCocoonJS_WebViewDiv'); 
            CocoonJS.App.EmulatedWebView.style.width = 0; 
            CocoonJS.App.EmulatedWebView.style.height = 0; 
            CocoonJS.App.EmulatedWebView.style.position = "absolute"; 
            CocoonJS.App.EmulatedWebView.style.left = 0; 
            CocoonJS.App.EmulatedWebView.style.top = 0;
            CocoonJS.App.EmulatedWebView.style.backgroundColor = 'transparent';
            CocoonJS.App.EmulatedWebView.style.border = "0px solid #000"; 
            CocoonJS.App.EmulatedWebViewIFrame = document.createElement("IFRAME"); 
            CocoonJS.App.EmulatedWebViewIFrame.setAttribute('id', 'CocoonJS_App_ForCocoonJS_WebViewIFrame');
            CocoonJS.App.EmulatedWebViewIFrame.setAttribute('name', 'CocoonJS_App_ForCocoonJS_WebViewIFrame');
            CocoonJS.App.EmulatedWebViewIFrame.style.width = 0; 
            CocoonJS.App.EmulatedWebViewIFrame.style.height = 0; 
            CocoonJS.App.EmulatedWebViewIFrame.frameBorder = 0;
            CocoonJS.App.EmulatedWebViewIFrame.allowtransparency = true;
            CocoonJS.App.EmulatedWebView.appendChild(CocoonJS.App.EmulatedWebViewIFrame);
            if(!document.body)
            document.body = document.createElement("body");
            document.body.appendChild(CocoonJS.App.EmulatedWebView);
        })(); 
    }

    /**
    * Pauses the CocoonJS JavaScript execution loop.
    * @function
    * @augments CocoonJS.App
    */
    CocoonJS.App.pause = function()
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "pause", arguments);
        }
    };

    /**
    * Resumes the CocoonJS JavaScript execution loop.
    * @static
    * @function
    */
    CocoonJS.App.resume = function()
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "resume", arguments);
        }
    };

    /**
    * Loads a resource in the WebView environment from the CocoonJS environment.
    * @function
    * @param {string} path The path to the resource. It can be a remote URL or a path to a local file.
    * @param {CocoonJS.App.StorageType} [storageType] An optional parameter to specify at which storage in the device the file path is stored. By default, APP_STORAGE is used.
    * @see CocoonJS.App.load
    * @see CocoonJS.App.onLoadInTheWebViewSucceed
    * @see CocoonJS.App.onLoadInTheWebViewFailed
    */
    CocoonJS.App.loadInTheWebView = function(path, storageType)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            // TODO: All this code should be changed to a simple call makeNativeExtensionObjectFunctionCall when the native argument control is improved.
            var javaScriptCodeToForward = "ext.IDTK_APP.makeCall('loadPath'";
            if (typeof path !== 'undefined')
            {
                javaScriptCodeToForward += ", '" + path + "'";
                if (typeof storageType !== 'undefined')
                {
                    javaScriptCodeToForward += ", '" + storageType + "'";
                }
            }
            javaScriptCodeToForward += ");";

            return CocoonJS.App.forwardAsync(javaScriptCodeToForward);
        }
        else if (!navigator.isCocoonJS)
        {
            var xhr = new XMLHttpRequest();

            xhr.onreadystatechange = function(event) {
                if (xhr.readyState === 4)
                {
                    if (xhr.status === 200)
                    {
                        var callback= function(event){
                            CocoonJS.App.onLoadInTheWebViewSucceed.notifyEventListeners(path);
                            CocoonJS.App.EmulatedWebViewIFrame.removeEventListener("load", callback);
                        };

                        CocoonJS.App.EmulatedWebViewIFrame.addEventListener(
                            "load", 
                            callback
                        );
                        CocoonJS.App.EmulatedWebViewIFrame.contentWindow.location.href= path;
                    }
                    else if (xhr.status === 404)
                    {
                        this.onreadystatechange = null;
                        CocoonJS.App.onLoadInTheWebViewFailed.notifyEventListeners(path);
                    }
                }
            };
            xhr.open("GET", path, true);
            xhr.send();
        }
    };

    /**
     * Reloads the last loaded path in the WebView context.
     * @function
     */
    CocoonJS.App.reloadWebView = function()
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            return CocoonJS.App.forwardAsync("ext.IDTK_APP.makeCall('reload');");
        }
        else if (!navigator.isCocoonJS)
        {
            CocoonJS.App.EmulatedWebViewIFrame.contentWindow.location.reload();
        }
    };

    /**
    * Shows the webview.
    * @function
    * @param {int} x The top lef x coordinate of the rectangle where the webview will be shown.
    * @param {int} y The top lef y coordinate of the rectangle where the webview will be shown.
    * @param {width} y The width of the rectangle where the webview will be shown.
    * @param {height} y The height of the rectangle where the webview will be shown.
    */
    CocoonJS.App.showTheWebView = function(x, y, width, height)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            var javaScriptCodeToForward = "ext.IDTK_APP.makeCall('show'";
            if (typeof x !== 'undefined' && typeof y !== 'undefined' && typeof width !== 'undefined' && typeof height !== 'undefined')
            {
                javaScriptCodeToForward += ", " + x + ", " + y + ", " + width + ", " + height;
            }
            javaScriptCodeToForward += ");";

            return CocoonJS.App.forwardAsync(javaScriptCodeToForward);
        }
        else if (!navigator.isCocoonJS)
        {
            CocoonJS.App.EmulatedWebViewIFrame.style.width = (width ? width : window.innerWidth)+'px';
            CocoonJS.App.EmulatedWebViewIFrame.style.height = (height ? height : window.innerHeight)+'px';
            CocoonJS.App.EmulatedWebView.style.left = (x ? x : 0)+'px';
            CocoonJS.App.EmulatedWebView.style.top = (y ? y : 0)+'px';
            CocoonJS.App.EmulatedWebView.style.width = (width ? width : window.innerWidth)+'px';
            CocoonJS.App.EmulatedWebView.style.height = (height ? height : window.innerHeight)+'px';
            CocoonJS.App.EmulatedWebView.style.display = "block";
        }
    };

    /**
    * Hides the webview.
    * @function
    */
    CocoonJS.App.hideTheWebView = function()
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            var javaScriptCodeToForward = "ext.IDTK_APP.makeCall('hide');";
            return CocoonJS.App.forwardAsync(javaScriptCodeToForward);
        }
        else if (!navigator.isCocoonJS)
        {
            CocoonJS.App.EmulatedWebView.style.display = "none";
        }
    };

    /**
    * Marks a audio file to be used as music by the system. CocoonJS, internally, differentiates among music files and sound files.
    * Music files are usually bigger in size and longer in duration that sound files. There can only be just one music file 
    * playing at a specific given time. The developer can mark as many files as he/she wants to be treated as music. When the corresponding
    * HTML5 audio object is used, the system will automatically know how to treat the audio resource as music or as sound.
    * Note that it is not mandatory to use this function. The system automatically tries to identify if a file is suitable to be treated as music
    * or as sound by checking file size and duration thresholds. It is recommended, though, that the developer specifies him/herself what he/she considers
    * to be music.
    * @function
    * @param {string} audioFilePath The same audio file path that will be used to create HTML5 audio objects.
    */
    CocoonJS.App.markAsMusic = function(audioFilePath)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
           return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "addForceMusic", arguments);
        }
    };

    /**
    * Activates or deactivates the antialas functionality from the CocoonJS rendering.
    * @function
    * @param {boolean} enable A flag that indicates if the antialas should be activated (true) or deactivated (false).
    */
    CocoonJS.App.setAntialias = function(enable)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
           return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "setDefaultAntialias", arguments);
        }
    };

    /**
    * Sets a callback function that will be called whenever the system tries to finish the app.
    * The developer can specify how the system will react to the finish of the app by returning a
    * boolean value in the callback function: true means, close the app, false means that the developer
    * will handle the app close.
    * A common example of this is the back button in Android devices. When the back button is pressed, this
    * callback will be called and the system will react depending on the developers choice finishing, or not,
    * the application.
    * @function
    * @param {function} appShouldFinishCallback A function object that will be called when the system
    * determines that the app should be finished. This function must return a true or a false value
    * depending on what the developer wants: true === finish the app, false === do not close the app.
    */
    CocoonJS.App.setAppShouldFinishCallback = function(appShouldFinishCallback)
    {
        if (navigator.isCocoonJS)
        {
            window.onidtkappfinish = appShouldFinishCallback;
        }
    }

    /**
    * Sets the texture reduction options. The texture reduction is a process that allows big images to be reduced/scaled down when they are loaded.
    * Although the quality of the images may decrease, it can be very useful in low end devices or those with limited amount of memory.
    * The function sets the threshold on image size (width or height) that will be used in order to know if an image should be reduced or not.
    * It also allows to specify a list of strings to identify in which images file paths should be applied (when they meet the size threshold requirement) 
    * The developer will still think that the image is of the original size. CocoonJS handles all of the internals to be able to show the image correctly.
    * IMPORTANT NOTE: This function should be called when the application is initialized before any image is set to be loaded for obvious reasons ;).
    * and in which sould be forbid (even if they meet the threshold requirement).
    * @function
    * @param {number} sizeThreshold This parameter specifies the minimun size (either width or height) that an image should have in order to be reduced.
    * @param {string or array} [applyTo] This parameter can either be a string or an array of strings. It's purpose is to specify one (the string) or more (the array) substring(s) 
    * that will be compared against the file path of an image to be loaded in order to know if the reduction should be applied or not. If the image meets the
    * threshold size requirement and it's file path contains this string (or strings), it will be reduced. This parameter can also be null.
    * @param {string or array} [forbidFor] This parameter can either be a string or an array of strings. It's purpose is to specify one (the string) or more (the array) substring(s) 
    * that will be compared against the file path of an image to be loaded in order to know if the reduction should be applied or not. If the image meets the
    * threshold size requirement and it's file path contains this string (or strings), it won't be reduced. This parameter should be used in order to mantain the 
    * quality of some images even they meet the size threshold requirement.
    */
    CocoonJS.App.setTextureReduction = function(sizeThreshold, applyTo, forbidFor)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "setDefaultTextureReducerThreshold", arguments);
        }
    };


    /**
    * Prints to the console the memory usage of the currently alive textures
    * @function
    */
    CocoonJS.App.logMemoryInfo = function()
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "logMemoryInfo", arguments);
        }
    };

    /**
    * Enable CocoonJS Webview FPS overlay.
    * @function
    */
    CocoonJS.App.enableFPSInTheWebView = function(fpsLayout, textColor)
    {
        if (!CocoonJS.App.fpsInTheWebViewEnabled)
        {
            fpsLayout = fpsLayout ? fpsLayout : CocoonJS.App.FPSLayout.TOP_RIGHT;
            textColor = textColor ? textColor : "white";
            var jsCode = "" +
                "(function()" +
                "{" +
                    "var COCOONJS_WEBVIEW_EXTENSION_SCRIPT_FILES = ['js/CocoonJSExtensions/CocoonJS.js', 'js/CocoonJSExtensions/CocoonJS_App.js', 'js/CocoonJSExtensions/CocoonJS_App_ForWebView.js'];" +
                    "var loadedScriptCounter = 0;" + 
                    "var loadedScriptFunction = function() " +
                    "{ " +
                        "loadedScriptCounter++;"+
                        "if (loadedScriptCounter >= COCOONJS_WEBVIEW_EXTENSION_SCRIPT_FILES.length)"+
                        "{"+
                            "CocoonJS.App.enableFPS(" + JSON.stringify(fpsLayout) + ", " + JSON.stringify(textColor) + ");"+
                        "}"+
                    "};"+
                    "for (var i = 0; i < COCOONJS_WEBVIEW_EXTENSION_SCRIPT_FILES.length; i++)"+
                    "{"+
                        "var s = document.createElement('script');"+
                        "s.onload = loadedScriptFunction;"+
                        "s.src = COCOONJS_WEBVIEW_EXTENSION_SCRIPT_FILES[i];"+
                        "document.body.appendChild(s);"+
                    "}" +
                "})();";
            setTimeout(function()
            {
                CocoonJS.App.forward(jsCode);
            }, 3000);
            CocoonJS.App.fpsInTheWebViewEnabled = true;
        }
    };

    /**
    * Disable CocoonJS Webview FPS overlay.
    * @function
    */
    CocoonJS.App.disableFPSInTheWebView = function()
    {
        // TODO: Implement this function.
    };

    /**
     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.App.onLoadInTheWebViewSucceed} event calls.
     * @name OnLoadInTheWebViewSucceedListener
     * @function
     * @static
     * @memberOf CocoonJS.App
     * @param {string} pageURL The URL of the page that had been loaded in the webview.
     */
    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the WebView load has completed successfully.
    * The callback function's documentation is represented by {@link CocoonJS.App.OnLoadInTheWebViewSucceedListener}
    * @event
    * @static
    * @memberOf CocoonJS.App
    * @param {string} pageURL A string that represents the page URL loaded.
    */
    CocoonJS.App.onLoadInTheWebViewSucceed = new CocoonJS.EventHandler("IDTK_APP", "App", "forwardpageload");

    /**
     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.App.onLoadInTheWebViewFailed} event calls.
     * @name OnLoadInTheWebViewFailedListener
     * @function
     * @static
     * @memberOf CocoonJS.App
     * @param {string} pageURL The URL of the page that had been loaded in the webview.
     */
    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the WebView load fails.
    * The callback function's documentation is represented by {@link CocoonJS.App.OnLoadInTheWebViewFailedListener}
    * @event
    * @static
    * @memberOf CocoonJS.App
    */
    CocoonJS.App.onLoadInTheWebViewFailed = new CocoonJS.EventHandler("IDTK_APP", "App", "forwardpagefail");
    
})();

//////////////////////////////////////
// COCOONJS_AD.JS                   //
//////////////////////////////////////

(function()
{
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

    /**
    * This namespace represents the CocoonJS Advertisement extension API.
    * @namespace
    */
    CocoonJS.Ad = {};

    CocoonJS.Ad.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext.IDTK_SRV_AD !== 'undefined';

    /**
    * The predefined possible layouts for a banner ad.
    * @namespace 
    */
	CocoonJS.Ad.BannerLayout = 
	{
		/**
		* Specifies that the banner must be shown in the top of the screen and vertically centered.
		*/
	    TOP_CENTER      : "TOP_CENTER",

		/**
		* Specifies that the banner must be shown in the bottom of the screen and vertically centered.
		*/
	    BOTTOM_CENTER   : "BOTTOM_CENTER"
	};

	/**
    * A rectangle object that contains the banner dimensions
    * @namespace 
    * @constructor
    * @param {int} x The top lef x coordinate of the rectangle.
    * @param {int} y The top lef y coordinate of the rectangle.
    * @param {width} y The rectangle width.
    * @param {height} y The rectangle height.
    */
	CocoonJS.Ad.Rectangle = function(x, y, width, height) 
	{
		/**
		* The top lef x coordinate of the rectangle 
		* @field 
		* @type {int}
		*/
	    this.x = x;

		/**
		* The top lef y coordinate of the rectangle 
		* @field 
		* @type {int}
		*/
	    this.y = y;

	    /**
		* The rectangle width
		* @field 
		* @type {int}
		*/
	    this.width = width;

	    /**
		* The rectangle height
		* @field 
		* @type {int}
		*/
	    this.height = height;
	};

	CocoonJS.Ad.Banner = function(id)
	{
		if (typeof id !== 'number') throw "The given ad ID is not a number.";

		this.id = id;
		var me = this;

		/**
    	* This {@link CocoonJS.EventHandler} object allows listening to events called when a banner is shown.
    	* The callback function does not receive any parameter.
    	* @static
    	* @event
    	*/
		this.onBannerShown = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onbannershow", function(sourceListener, args)
    	{
    		if (me.id === args[0]) 
    		{
    			sourceListener();
    		}
    	});

    	/**
    	* This {@link CocoonJS.EventHandler} object allows listening to events called when a banner is hidden.
    	* The callback function does not receive any parameter.
    	* @static
    	* @event
    	*/
		this.onBannerHidden = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onbannerhide", function(sourceListener, args)
    	{
    		if (me.id === args[0]) 
    		{
    			sourceListener();
    		}
    	});

    	/**
    	* This {@link CocoonJS.EventHandler} object allows listening to events called when a banner is ready (cached).
    	* The callback function does not receive any parameter.
    	* @param {number} width The banner width
    	* @param {number} height The banner height
    	* @static
    	* @event
    	*/
		this.onBannerReady = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onbannerready", function(sourceListener, args)
    	{
    		if (me.id === args[0]) 
    		{
    			sourceListener(args[1], args[2]);
    		}
    	});
	};

	CocoonJS.Ad.Banner.prototype = {

		/**
		* Shows a banner ad if available.
		* @function
		*/
		showBanner : function()
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "showBanner", [this.id], true);
			}
		},

		/**
		* Hides the banner ad if it was being shown.
		* @function
		*/
		hideBanner : function()
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "hideBanner", [this.id], true);
			}
		},

		/**
		* Refreshes the banner.
		* @function
		*/
		refreshBanner : function()
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "refreshBanner", [this.id], true);
			}
		},

		/**
		* Gets the rectangle representing the banner screen position.
		* @function
		* @return {CocoonJS.Ad.Rectangle} rectangle The rectangle representing the banner position and domensions.
		*/
		getRectangle : function()
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "getRectangle", [this.id]);
			}
		},

		/**
		* Sets the rectangle where the banner ad is going to be shown.
		* @function
		* @param {CocoonJS.Ad.Rectangle} rect The rectangle representing the banner position and domensions.
		*/
		setRectangle : function(rect)
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "setRectangle", [this.id, rect],true);
			}
		},

		/**
		* Sets the rectangle where the banner ad is going to be shown.
		* You can use this method if you want to have better control of the banner screen positioning.
		* @function
		* @param {CocoonJS.Ad.BannerLayout} bannerLayout The layout where the bannerwill be placed.
		*/
		setBannerLayout : function(bannerLayout)
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "setBannerLayout", [this.id, bannerLayout],true);
			}
		}
	};

	CocoonJS.Ad.Fullscreen = function(id)
	{
		if (typeof id !== 'number') throw "The given ad ID is not a number.";

		this.id = id;
		var me = this;

		/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a full screen ad is shown.
	    * The callback function does not receive any parameter.
	    * @static
	    * @event
	    */
		this.onFullScreenShown = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onfullscreenshow", function(sourceListener, args)
    	{
    		if (me.id === args[0]) {
    			sourceListener();
    		}
    	});

		/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a full screen ad is hidden.
	    * The callback function does not receive any parameter.
	    * @static
	    * @event
	    */
    	this.onFullScreenHidden = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onfullscreenhide", function(sourceListener, args)
    	{
    		if (me.id === args[0]) {
    			sourceListener();
    		}
    	});

    	/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a full screen ad is ready (cached).
	    * The callback function does not receive any parameter.
	    * @static
	    * @event
	    */
    	this.onFullScreenReady = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onfullscreenready", function(sourceListener, args)
    	{
    		if (me.id === args[0]) {
    			sourceListener();
    		}
    	});
	};

	CocoonJS.Ad.Fullscreen.prototype = {

		/**
		* Shows a full screen ad if available.
		* @function
		* @see CocoonJS.Ad.onFullScreenShown
		* @see CocoonJS.Ad.onFullScreenHidden
		*/
		showFullScreen : function()
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "showFullScreen", [this.id], true);
			}
		},

		/**
		* Refreshes the fullscreen.
		* @function
		*/
		refreshFullScreen : function()
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "refreshFullScreen", [this.id], true);
			}
		}
	};

	/**
	* Initialize the service with service level initialization parameters.
	* @function
	* @param {object} An object with the required initialization parameters for the service.
	*/
	CocoonJS.Ad.requestInitialization = function(parameters)
	{
        if (typeof parameters === "undefined") {
            parameters = {};
        }

		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "requestInitialization", arguments, true);
		}
	};

	/**
	* Creates a new banner ad.
	* @function
	* @param {object} An object containing the properties the ad will need for its initialization.
	*/
	CocoonJS.Ad.createBanner = function(parameters)
	{
		if (typeof parameters === "undefined") {
            parameters = {};
        }

		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			var adId = CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "createBanner", [parameters]);
			var banner = new CocoonJS.Ad.Banner(adId);

			return banner;
		}
	};

	/**
	* Releases a banner.
	* @function
	* @param {object} The banner ad object to be released.
	*/
	CocoonJS.Ad.releaseBanner = function(banner)
	{
		if (typeof banner === "undefined") {
            throw "The banner ad object to be released is undefined"
        }

		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "releaseBanner", [banner.id]);
		}
	};

	/**
	* Creates a new fullscreen ad.
	* @function
	* @param {object} An object containing the properties the ad will need for its initialization.
	*/
	CocoonJS.Ad.createFullscreen = function(parameters)
	{
		if (typeof parameters === "undefined") {
            parameters = {};
        }

		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			var adId = CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "createFullscreen", [parameters]);
			var fullscreen = new CocoonJS.Ad.Fullscreen(adId);

			return fullscreen;
		}
	};

	/**
	* Releases a fullscreen ad.
	* @function
	* @param {object} The fullscreen ad object to be released.
	*/
	CocoonJS.Ad.releaseFullscreen = function(fullscreen)
	{
		if (typeof fullscreen === "undefined") {
            throw "The fullscreen ad object to be released is undefined"
        }

		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "releaseFullscreen", [fullscreen.id]);
		}
	};

	/**
	* Shows a banner ad if available.
	* @function
	* @see CocoonJS.Ad.setBannerLayout
	* @see CocoonJS.Ad.onBannerShown
	*/
	CocoonJS.Ad.showBanner = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "showBanner", arguments, true);
		}
	};

	/**
	* Hides the banner ad if it was being shown.
	* @function
	*/
	CocoonJS.Ad.hideBanner = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "hideBanner", arguments, true);
		}
	};

	/**
	* Refreshes the banner.
	* @function
	*/
	CocoonJS.Ad.refreshBanner = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "refreshBanner", arguments, true);
		}
	};

	/**
	* Shows a full screen ad if available.
	* @function
	* @see CocoonJS.Ad.onFullScreenShown
	* @see CocoonJS.Ad.onFullScreenHidden
	*/
	CocoonJS.Ad.showFullScreen = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "showFullScreen", arguments, true);
		}
	};

	/**
	* Refreshes the fullscreen.
	* @function
	*/
	CocoonJS.Ad.refreshFullScreen = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "refreshFullScreen", arguments, true);
		}
	};

	/**
	* Makes a request to preload a banner ad.
	* @function
	*/
	CocoonJS.Ad.preloadBanner = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "preloadBanner", arguments, true);
		}
	};

	/**
	* Makes a request to preload a full screen ad.
	* @function
	*/
	CocoonJS.Ad.preloadFullScreen = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "preloadFullScreen", arguments, true);
		}
	};

	/**
	* Sets the rectangle where the banner ad is going to be shown.
	* @function
	* @param {CocoonJS.Ad.Rectangle} rect The rectangle representing the banner position and domensions.
	*/
	CocoonJS.Ad.setRectangle = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "setRectangle", arguments, true);
		}
	};

	/**
	* Gets the rectangle representing the banner screen position.
	* @function
	* @return {CocoonJS.Ad.Rectangle} rectangle The rectangle representing the banner position and domensions.
	*/
	CocoonJS.Ad.getRectangle = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "getRectangle", arguments);
		}
	};

	/**
	* Sets the rectangle where the banner ad is going to be shown.
	* You can use this method if you want to have better control of the banner screen positioning.
	* @function
	* @param {CocoonJS.Ad.BannerLayout} bannerLayout The layout where the bannerwill be placed.
	*/
	CocoonJS.Ad.setBannerLayout = function(bannerLayout)
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "setBannerLayout", arguments, true);
		}
	};

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a banner is shown.
    * The callback function does not receive any parameter.
    * @static
    * @event
    */
	CocoonJS.Ad.onBannerShown = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onbannershow");

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a banner is hidden.
    * The callback function does not receive any parameter.
    * @static
    * @event
    */
	CocoonJS.Ad.onBannerHidden = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onbannerhide"); 

	/**
	* This {@link CocoonJS.EventHandler} object allows listening to events called when a banner is ready (cached).
	* The callback function does not receive any parameter.
	* @param {number} width The banner width
	* @param {number} height The banner height
	* @static
	* @event
	*/
	CocoonJS.Ad.onBannerReady = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onbannerready"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a full screen ad is shown.
    * The callback function does not receive any parameter.
    * @static
    * @event
    */
	CocoonJS.Ad.onFullScreenShown = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onfullscreenshow"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a full screen ad is hidden.
    * The callback function does not receive any parameter.
    * @static
    * @event
    */
	CocoonJS.Ad.onFullScreenHidden = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onfullscreenhide");

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a full screen ad is ready (cached).
    * The callback function does not receive any parameter.
    * @static
    * @event
    */
	CocoonJS.Ad.onFullScreenReady = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onfullscreenready"); 

})();

//////////////////////////////////////
// COCOONJS_STORE.JS                //
//////////////////////////////////////

(function()
{
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

    /**
    * This namespace represents the CocoonJS In-App Purchase extension.
    * @namespace
    */
    CocoonJS.Store = {};

    CocoonJS.Store.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext.IDTK_SRV_STORE !== 'undefined';

	/**
	* The data structure that represents the information of a product in the store.
	* @namespace
	* @constructor
	* @param {string} The id of the product.
	* @param {string} The alias of the product.
	* @param {CocoonJS.Store.ProductType} The product type @see CocoonJS.Store.ProductType.
	* @param {string} The title of the product.
	* @param {string} The description of the product.
	* @param {string} The localized price of the product.
	* @param {string} The URL of the asset to be downloaded for this purchase.
	*/
	CocoonJS.Store.ProductInfo = function(productAlias, productId, productType, title, description, price, localizedPrice, downloadURL)
	{
		/**
		* The id of the product.
		* @field
		* @type string
		*/
		this.productId = productId;

		/**
		* The alias of the product.
		* @field
		* @type string
		*/
		this.productAlias = productAlias;

		/**
		* The product type @see CocoonJS.Store.ProductType
		* @field
		* @type CocoonJS.Store.ProductType
		*/
		this.productType = productType;

		/**
		* The title of the product.
		* @field
		* @type string
		*/
		this.title = title;

		/**
		* The description of the product.
		* @field
		* @type string
		*/
		this.description = description;

		/**
		* The price of the product.
		* @field
		* @type string
		*/
		this.price = price;

		/**
		* The localized price of the product.
		* @field
		* @type string
		*/
		this.localizedPrice = localizedPrice;

		/**
		* The URL of the asset to be downloaded for this purchase.
		* @field
		* @type string
		*/
		this.downloadURL = downloadURL;

		return this;
	};

	/**
    * The predefined possible states of a purchase.
    * @namespace 
    */
	CocoonJS.Store.ProductType = 
	{
		/**
		* A consumable product. See platform documentation for further information.
		*/
	    CONSUMABLE : 0,

		/**
		* A non-cunsumable product. . See platform documentation for further information.
		*/
	    NON_CONSUMABLE : 1,

	    /**
		* An auto-renewable subscription. See platform documentation for further information.
		*/
	    AUTO_RENEWABLE_SUBSCRIPTION : 2,

	    /**
		* A free subscription. See platform documentation for further information.
		*/
	    FREE_SUBSCRIPTION : 3,

	    /**
		* A non-renewable subscription. See platform documentation for further information.
		*/
	    NON_RENEWABLE_SUBSCRIPTION : 4
	};

	/**
    * The predefined possible store types.
    * @namespace 
    */
	CocoonJS.Store.StoreType = 
	{
		/**
		* Apple AppStore
		*/
	    APP_STORE : 0,

	    /**
	    * Android Play Store
	    */
	    PLAY_STORE : 1,

		/**
		* Mock Store
		*/
		MOCK_STORE : 2,

		/**
	    * Amazon AppStore
	    */
	    CHROME_STORE : 3,

	    /**
	    * Amazon AppStore
	    */
	    AMAZON_STORE : 4,

	    /**
	    * Nook Store
	    */
	    NOOK_STORE : 5
	};

	/**
	* The data structure that represents the information of a purchase.
	* @namespace
	* @constructor
	* @param {string} The transaction id of a purchase.
	* @param {string} The time when the purchase was done in seconds since 1970.
	* @param {CocoonJS.Store.PurchaseState} The state of the purchase. @see CocoonJS.Store.PurchaseState
	* @param {string} The product id related to this purchase.
	* @param {number} The number of products of the productId kind purchased in this transaction.
	*/
	CocoonJS.Store.PurchaseInfo = function(transactionId, purchaseTime, purchaseState, productId, quantity)
	{
		/**
		* The transaction id of a purchase.
		* @field
		* @type string
		*/
		this.transactionId = transactionId;

		/**
		* The time when the purchase was done in seconds since 1970.
		* @field
		* @type string
		*/
		this.purchaseTime = purchaseTime;

		/**
		* The state of the purchase. @see CocoonJS.Store.PurchaseState
		* @field
		* @type CocoonJS.Store.PurchaseState
		*/
		this.purchaseState = purchaseState;

		/**
		* The product id related to this purchase.
		* @field
		* @type string
		*/
		this.productId = productId;

		/**
		* The number of products of the productId kind purchased in this transaction.
		* @field
		* @type number
		*/
		this.quantity = quantity;

		return this;
	};

	/**
    * The predefined possible states of a purchase.
    * @namespace 
    */
	CocoonJS.Store.PurchaseState = 
	{
		/**
		* The product has been successfully purchased. The transaction has ended successfully.
		*/
	    PURCHASED : 0,

		/**
		* The purchase has been canceled.
		*/
	    CANCELED : 1,

	    /**
		* The purchase has been refunded.
		*/
	    REFUNDED : 2,

	    /**
		* The purchase (subscriptions only) has expired and is no longer valid.
		*/
	    EXPIRED : 3
	};

	/**
	* Gets the name of the native store implementation. 
	* @return {CocoonJS.Store.StoreType} The store type
	* @function
	*/ 
	CocoonJS.Store.getStoreType = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "getStoreType", arguments);
		}
	};

	/**
	* Initialize the service with service level initialization parameters.
	* @function
	* @param {object} An object with the required initialization parameters for the service.
	*/
	CocoonJS.Store.requestInitialization = function(parameters)
	{
        if (typeof parameters === "undefined") 
        {
            parameters = {};
        }
        else
        {
        	if (parameters['managed'] !== undefined) parameters['remote'] = parameters['managed'];
        	if (parameters['sandbox'] !== undefined) parameters['debug'] = parameters['sandbox'];
        }

		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "requestInitialization", arguments, true);
		}
	};

	/**
	* Starts the Store Service. 
	* This will make the system to initialize the Store Service and probably Store callbacks will start to be received after calling this method so you should have set your event handler before calling this method so don't lose any callback.
	* @function
	*/ 
	CocoonJS.Store.start = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "start", arguments);
		}
	};

	/**
	* This method allows you to check is the  Store service is available in this platform. 
	* Not all iOS and Android devices will have the Store service available so you should check if it is before calling any other method.
	* @function
	* @return {boolean} True if the service is available and false otherwise.
	*/ 
	CocoonJS.Store.canPurchase = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "canPurchase", arguments);
		}
	};

	/**
	* Fetches the products from the CocoonJS Cloud Compiling service store configuration. 
	* The request is monitored using the {@link CocoonJS.Store.onProductsFetchStarted}, {@link CocoonJS.Store.onProductsFetchCompleted} and {@link CocoonJS.Store.onProductsFetchFailed} event handlers.
	* @deprecated You should now use fetchProductsFromStore. We don't support cloud products now.
	* @function
	* @see CocoonJS.Store.onProductsFetchStarted
	* @see CocoonJS.Store.onProductsFetchCompleted
	* @see CocoonJS.Store.onProductsFetchFailed
	*/ 
	CocoonJS.Store.fetchProductsFromServer = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "fetchProductsFromServer", arguments, true);
		}
	};

	/**
	* Fetches the products information from the Store. 
	* The request is monitored using the {@link CocoonJS.Store.onProductsFetchStarted}, {@link CocoonJS.Store.onProductsFetchCompleted} and {@link CocoonJS.Store.onProductsFetchFailed} event handlers.
	* @function
	* @param {array} productIds An array with the ids of the products to retrieve information from.
	* @see CocoonJS.Store.onProductsFetchStarted
	* @see CocoonJS.Store.onProductsFetchCompleted
	* @see CocoonJS.Store.onProductsFetchFailed
	*/ 
	CocoonJS.Store.fetchProductsFromStore = function(productIds)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "fetchProductsFromStore", arguments, true);
		}
	};

	/**
	* Finish a purchase transaction and removes the transaction from the transaction queue. 
	* This method must be called after a purchase finishes successfully and the  {@link CocoonJS.Store.onProductPurchaseCompleted} callback has been received. 
	* If the purchase includes some asset to download from an external server this method must be called after the asset has been successfully downloaded. 
	* If you do not finish the transaction because the asset has not been correctly downloaded the {@link CocoonJS.Store.onProductPurchaseStarted} method will be called again later on.
	* @function
	* @param {string} transactionId The transactionId of the purchase to finish.
	*/ 
	CocoonJS.Store.finishPurchase = function(transactionId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "finishPurchase", arguments, true);
		}
	};

	/**
	* Consumes a purchase. This makes that product to be purchasable again. 
	* @function
	* @param {string} transactionId The transaction Id of the purchase to consume.
	* @param {string} productId The product Id of the product to be consumed.
	*/ 
	CocoonJS.Store.consumePurchase = function(transactionId, productId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "consumePurchase", arguments, true);
		}
	};

	/**
	* Request a product purchase given it's product id. 
	* The request is monitored using the {@link CocoonJS.Store.onPurchaseProductStarted}, {@link CocoonJS.Store.onProductPurchaseStarted} and {@link CocoonJS.Store.onProductPurchaseFailed} event handlers.
	* @function
	* @param {string} productId The id or alias of the product to be purchased.
	* @see CocoonJS.Store.onProductPurchaseStarted
	* @see CocoonJS.Store.onProductPurchaseCompleted
	* @see CocoonJS.Store.onProductPurchaseFailed
	*/ 
	CocoonJS.Store.purchaseProduct = function(productId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "purchaseFeature", arguments, true);
		}
	};

	/**
	* Request a product purchase given it's product id showing a modal progress dialog. 
	* The request is monitored using the {@link CocoonJS.Store.onProductPurchaseStarted}, {@link CocoonJS.Store.onProductPurchaseCompleted} and {@link CocoonJS.Store.onProductPurchaseFailed} event handlers.
	* @function
	* @param {string} productId The id or alias of the product to be purchased.
	* @see CocoonJS.Store.onProductPurchaseStarted
	* @see CocoonJS.Store.onProductPurchaseCompleted
	* @see CocoonJS.Store.onProductPurchaseFailed
	*/ 
	CocoonJS.Store.puchaseProductModal = function(productId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "purchaseFeatureModal", arguments, true);
		}
	};

	/**
	* Request the purchase of a product given it's product id showing a dialog with a preview of the product (title and description). 
	* The request is monitored using the {@link CocoonJS.Store.onProductPurchaseStarted}, {@link CocoonJS.Store.onProductPurchaseCompleted} and {@link CocoonJS.Store.onProductPurchaseFailed} event handlers.
	* @function
	* @param {string} productId The id or alias of the product to be purchased.
	* @see CocoonJS.Store.onProductPurchaseStarted
	* @see CocoonJS.Store.onProductPurchaseCompleted
	* @see CocoonJS.Store.onProductPurchaseFailed
	*/ 
	CocoonJS.Store.purchaseProductModalWithPreview = function(productId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "purchaseFeatureModalWithPreview", arguments, true);
		}
	};

	/**
	* Returns if a product has been already purchased or not. 
	* @function
	* @param {string} productId The product id or alias of the product to be checked.
	* @returns {boolean} A flag that indicates whether the product has been already purchased (true) or not (false).
	*/
	CocoonJS.Store.isProductPurchased = function(productId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "isFeaturePurchased", arguments);
		}
	};

	/**
	* Restores all the purchases from the platform's market. 
	* For each already purchased product {@link CocoonJS.Store.onPurchaseProductStarted}, {@link CocoonJS.Store.onPurchaseProductCompleted} and {@link CocoonJS.Store.onPurchaseProductFailed} event handlers are called again
	* @function
	* @see CocoonJS.Store.onRestorePurchasesStarted
	* @see CocoonJS.Store.onRestorePurchasesCompleted
	* @see CocoonJS.Store.onRestorePurchasesFailed
	*/
	CocoonJS.Store.restorePurchases = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "restorePurchases", arguments, true);
		}
	};

	/**
	* Restores all the purchases from the platform's market showing a modal progress dialog. 
	* For each already purchased product {@link CocoonJS.Store.onPurchaseProductStarted}, {@link CocoonJS.Store.onPurchaseProductCompleted} and {@link CocoonJS.Store.onPurchaseProductFailed} event handlers are called again
	* @function
	* @see CocoonJS.Store.onRestorePurchasesStarted
	* @see CocoonJS.Store.onRestorePurchasesCompleted
	* @see CocoonJS.Store.onRestorePurchasesFailed
	*/
	CocoonJS.Store.restorePurchasesModal = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "restorePurchasesModal", arguments, true);
		}
	};

	/**
	* Returns all the products available to be purchased.
	* @function
	* @returns {array} An array with  all the {@link CocoonJS.Store.ProductInfo} objects available for purchase.
	*/
	CocoonJS.Store.getProducts = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "getProducts", arguments);
		}
	};

	/**
	* Adds a product to the products local DB. 
	* @function
	* @param {CocoonJS.Store.ProductInfo} product The product to be added to the local products DB.
	*/
	CocoonJS.Store.addProduct = function(product)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "addProduct", arguments);
		}
	};

	/**
	* Removes a product from the products local DB given its productId. 
	* @function
	* @param {string} productId The product or alias of the product to be removed from the local products DB.
	*/
	CocoonJS.Store.removeProduct = function(productId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "removeProduct", arguments);
		}
	};

	/**
	* Returns all the locally stored purchases.
	* @function
	* @returns {array} An array with all the {@link CocoonJS.Store.PurchaseInfo} completed purchases.
	*/
	CocoonJS.Store.getPurchases = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "getPurchases", arguments);
		}
	};

	/**
	* Adds a purchase to the local purchases DB. 
	* @function
	* @param {CocoonJS.Store.StorePurchase} purchase The purchase to be added.
	*/ 
	CocoonJS.Store.addPurchase = function(purchase)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "addPurchase", arguments);
		}
	};

	/**
	* Removes a purchase from the local purchases DB given it's transaction id. 
	* @function
	* @param {string} transactionId The id of the transaction to be removed.
	*/ 
	CocoonJS.Store.removePurchase = function(transactionId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "removePurchase", arguments);
		}
	};

	/**
	* (TESTING ONLY) Simulate a purchase cancel. 
	* This method is not allowed in production services and will only work in Mocks. 
	* The request is monitored using the {@link CocoonJS.Store.onPurchaseProductStarted}, {@link CocoonJS.Store.onProductPurchaseStarted} and {@link CocoonJS.Store.onProductPurchaseFailed} event handlers.
	* @function
	* @param {string} transactionId The transactionId of the purchase to be canceled.
	*/
	CocoonJS.Store.cancelPurchase = function(transactionId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "cancelPurchase", arguments);
		}
	};

	/**
	* (TESTING ONLY) Simulate a purchase refundment. 
	* This method is not allowed in production services and will only work in Mocks. 
	* The request is monitored using the {@link CocoonJS.Store.onPurchaseProductStarted}, {@link CocoonJS.Store.onProductPurchaseStarted} and {@link CocoonJS.Store.onProductPurchaseFailed} event handlers.
	* @function
	* @param {string} transactionId The transactionId of the purchase to be refunded.
	*/
	CocoonJS.Store.refundPurchase = function(transactionId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "refundPurchase", arguments);
		}
	};

	/**
	* (TESTING ONLY) Simulate a purchase expiration. 
	* This method is not allowed in production services and will only work in Mocks. 
	* The request is monitored using the {@link CocoonJS.Store.onPurchaseProductStarted}, {@link CocoonJS.Store.onProductPurchaseStarted} and {@link CocoonJS.Store.onProductPurchaseFailed} event handlers.
	* @function
	* @param {string} transactionId The transactionId of the purchase to be expired.
	*/
	CocoonJS.Store.expirePurchase = function(transactionId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "expirePurchase", arguments);
		}
	};

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the products fetch has started.
    * The callback function receives no parameters.
    * @static
    * @event
    */
	CocoonJS.Store.onProductsFetchStarted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductsFetchStarted");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the products fetch has completed.
    * The callback function receives a parameter with an the valid products array.
    * @static
    * @event
    * @param {array} validProducts An array of {@link CocoonJS.Store.ProductInfo} objects representing all the valid fetched products.
    */
	CocoonJS.Store.onProductsFetchCompleted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductsFetchCompleted"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the products fetch has failed.
    * The callback function receives an error message as a parameter.
    * @static
    * @event
    * @param {string} errorMessage The error message.
    */
	CocoonJS.Store.onProductsFetchFailed = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductsFetchFailed"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the purchase of a product starts.
    * The callback function receives a parameters with the information of the purchased product @see CocoonJS.Store.ProductInfo.
    * @static
	* @event
    * @param {string} productId The product id of the product being purchased.
    */
	CocoonJS.Store.onProductPurchaseStarted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductPurchaseStarted"); 

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a request for purchase verification has been received from the Store.
    * The callback function receives two parameters, one with the productId of the purchased product and another one with a JSON object containing the data to be verified.
    * In Andorid this JSON object will containt two keys: signedData and signature. You will need that information to verify the purchase against the backend server.
    * @static
    * @event
    * @param {string} productId The product id of the product to be verified.
    * @param {string} data The string with the data to be verified.
    */
	CocoonJS.Store.onProductPurchaseVerificationRequestReceived = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductPurchaseVerificationRequestReceived");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the purchase of a product succeeds.
    * The callback function receives as parameter the information of the purchase {@see CocoonJS.Store.PurchaseInfo}.
    * @static
    * @event
    * @param {CocoonJS.Store.PurchaseInfo} purchaseInfo The purchase info.
    */
	CocoonJS.Store.onProductPurchaseCompleted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductPurchaseCompleted"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the purchase of a product fails.
    * The callback function receives a parameters with the product id and an error message.
    * @static
    * @event
    * @param {string} productId The product id.
    * @param {string} msg The error message.
    */
	CocoonJS.Store.onProductPurchaseFailed = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductPurchaseFailed"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the restore purchases operation has started.
    * The callback function receives no parameters.
    * @static
    * @event
    */
	CocoonJS.Store.onRestorePurchasesStarted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onRestorePurchasesStarted"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the restore purchases operation has completed.
    * The callback function receives no parameters.
    * @static
    * @event
    */
	CocoonJS.Store.onRestorePurchasesCompleted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onRestorePurchasesCompleted"); 

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the restore purchases operation has failed.
    * The callback function receives an error message as a parameter.
    * @static
    * @event
    * @param {string} errorMessage The error message.
    */
	CocoonJS.Store.onRestorePurchasesFailed = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onRestorePurchasesFailed");

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the consume purchase operation has started.
    * @static
    * @event
    * @param {string} transactionId The transaction id of the purchase being consumed.
    */
	CocoonJS.Store.onConsumePurchaseStarted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onConsumePurchaseStarted"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the consume purchase operation has completed.
    * @static
    * @event
    * @param {string} transactionId The transaction id of the consumed purchase.
    */
	CocoonJS.Store.onConsumePurchaseCompleted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onConsumePurchaseCompleted"); 

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the consume purchase operation has failed.
    * @static
    * @event
    * @param {string} transactionId The transaction id of the purchase that couldn't be consumed.
    * @param {string} errorMessage The error message.
    */
	CocoonJS.Store.onConsumePurchaseFailed = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onConsumePurchaseFailed");

})();

//////////////////////////////////////
// COCOONJS_SOCIAL.JS               //
//////////////////////////////////////

(function()
{
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

	/**
	* This type represents the access to a native Social extension API. As there can be more than
	* one service of this type, more than one instance can be created.
	* @namespace
	* @constructor
	* @param {string} nativeExtensionName The name of the native ext object extension property name.
	* @param {string} extensionName The name of the CocoonJS object extension property name.
	*/
	CocoonJS.Social = function(nativeExtensionName, extensionName)
	{
		if (typeof nativeExtensionName !== 'string') throw "The given native extension name '" + nativeExtensionName + "' is not a string.";
		if (typeof extensionName !== 'string') throw "The given extension name '" + extensionName + "' is not a string.";

		this.nativeExtensionName = nativeExtensionName;
		this.extensionName = extensionName;
	    this.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext[nativeExtensionName] !== 'undefined';

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestInitializationSucceed} event calls.
	     * @name OnRequestInitializationSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {object} initializationData The data structure passed when requestInitialization was called.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user information request suceeds.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestInitializationSucceedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
	    this.onRequestInitializationSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestInitializationSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestInitializationFailed} event calls.
	     * @name OnRequestInitializationFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {object} initializationData The data structure passed when the requestInitialization function was called.
	     * @param {string} errorMessage The message that describes why the request did fail.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user information request fails.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestInitializationFailedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
	    this.onRequestInitializationFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestInitializationFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestLoginSucceed} event calls.
	     * @name OnRequestLoginSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {CocoonJS.Social.UserInfo} userInfo The structure that describes the information of the user that logged in.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user login request succeeds.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestLoginSucceedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestLoginSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestLoginSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestLoginFailed} event calls.
	     * @name OnRequestLoginFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {string} errorMessage The message that describes why the request did fail.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user login request fails.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestLoginFailedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestLoginFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestLoginFailed");

	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user logs out.
	    * The callback function does not receive any parameter.
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onLogout = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onLogout");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestUserInfoSucceed} event calls.
	     * @name OnRequestUserInfoSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {CocoonJS.Social.UserInfo} userInfo The structure that describes the information of the request user id.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user information request suceeds.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnUserInfoRequestSucceedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestUserInfoSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserInfoSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestUserInfoFailed} event calls.
	     * @name OnRequestUserInfoFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {string} userID The id used in the request.
	     * @param {string} errorMessage The message that describes why the request did fail.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user information request fails.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnUserInfoRequestFailedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestUserInfoFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserInfoFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestUserImageURLSucceed} event calls.
	     * @name OnRequestUserImageURLSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {string} userID The id used in the request.
	     * @param {string} imageURL The URL of the image of the requested user. 
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user image URL request succeeds.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestUserImageURLSucceedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestUserImageURLSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserImageURLSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestUserImageURLFailed} event calls.
	     * @name OnRequestUserImageURLFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {string} userID The id of the user the request was placed for.
	     * @param {string} errorMessage The message that describes why the request did fail.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user image URL request fails.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestUserImageURLFailedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestUserImageURLFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserImageURLFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestUserFriendsUserInfosSucceed} event calls.
	     * @name OnRequestUserFriendsUserInfosSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {string} userID The id of the user for whom the friend user infos where requested.
	     * @param {array} friendsInfo An array of {@link CocoonJS.Social.UserInfo} objects representing the information of the friends of the user.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's friends info is successfully retrieved.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestUserFriendsUserInfosSucceedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestUserFriendsUserInfosSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserFriendsUserInfosSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestUserFriendsUserInfosFailed} event calls.
	     * @name OnRequestUserFriendsUserInfosFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param 
	     * @param {string} userID The id of the user fro whom the friends infos were requested.
	     * @param {string} errorMessage The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's friends info fails to be retrieved.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestUserFriendsUserInfosFailedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestUserFriendsUserInfosFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserFriendsUserInfosFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestMessagePublicationSucceed} event calls.
	     * @name OnRequestMessagePublicationSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
 	     * @param {CocoonJS.Social.Message} message The message that has been published.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user message publication request succeeds.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestMessagePublicationSucceedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    * @param {CocoonJS.Social.Message} message The message that has been published.
	    */
		this.onRequestMessagePublicationSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestMessagePublicationSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestMessagePublicationFailed} event calls.
	     * @name OnRequestMessagePublicationFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {CocoonJS.Social.Message} message The message that was supposed to be published.
	     * @param {string} errorMessage The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user message publication request fails.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestMessagePublicationFailedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestMessagePublicationFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestMessagePublicationFailed");

		/**
        * @ignore
        */
        this.on= function(event, callback) {
            event= "on"+event[0].toUpperCase()+event.substr(1);
            var signal= this[event];
            if (signal) {
                signal.addEventListener(callback);
            } else {
                console.error("SocialGaming service: '"+this.extensionName+"' does not understand '"+event+' signal.');
            }

            return this;
        };

	    return this;
	};

	CocoonJS.Social.prototype = {
        userInfo : null,
        userInfoCocoonJS : null,

        /**
        * @ignore
        */
        getUserInfo : function() {
            return this.userInfo;
        },

        /**
        * Returns the information of the currently logged in user.
        * @return {@link CocoonJS.Social.UserInfo}
        */
        getLoggedInUserInfo : function() {
            if (this.nativeExtensionObjectAvailable) {
                return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "getLoggedInUserInfo", arguments);
            }
            else {
                return this.userInfoCocoonJS;
            }
        },

        /**
        * @ignore
        */
        setUserInfo : function( userInfo) {
            this.userInfo= userInfo;
        },

        /**
        * @ignore
        */
        setUserInfoCocoonJS : function( userInfoCocoonJS ) {
            this.userInfoCocoonJS = userInfoCocoonJS;
        },

		/**
        * Request initialization of the underlying social service.
        * @param {object} paramsObject A data structure to initialize the service. It will be dependable of the underlying service.
        * @see CocoonJS.Social.onRequestInitializationSucceed
        * @see CocoonJS.Social.onRequestInitializationFailed
        */
		requestInitialization : function(paramsObject) 
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestInitialization", arguments, true);
			}
		},

		/**
        * Returns a flag to indicate if the underlying service has been initialized or not.
        * @return {boolean} If the underlying service had been initialized using the requestInitialization function call.
        */
		isInitialized : function()
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "isInitialized", arguments);
			}
			else
			{
				return false;
			}
		},

		/**
		* Request to log in the social gaming application.
		* @see CocoonJS.Social.onRequestLoginSucceed
		* @see CocoonJS.Socual.onRequestLoginFailed
		*/
		requestLogin : function()
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestLogin", arguments, true);
			}
		},

		/**
		* Request to log out of the social gaming application.
		* @see CocoonJS.Social.onRequestLoginSucceed
		* @see CocoonJS.Social.onRequestLoginFailed
		* @see CocoonJS.Social.onLogout
		*/
		requestLogout : function()
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestLogout", arguments, true);
			}
		},

		/**
		* Check if the user is logged in.
		* @return {boolean} true if the user is still logged in, false otherwise.
		*/
		isLoggedIn : function()
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "isLoggedIn", arguments);
			}
			else
			{
				return false;
			}
		},

		/**
		* Returns all the granted permissions for the current session.
		* @return {Array} An array containin the user granted permissions.
		*/
		getPermissions : function() 
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "getPermissions", arguments);
			}
			else
			{
				return new Array();
			}
		},

		/**
		* Check if the user has granted the publish permission for the current session.
		* @return {boolean} true if the user has granted the publish permission for the current session, false otherwise.
		*/
		hasPublishPermission : function() 
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "hasPublishPermission", arguments);
			}
			else
			{
				return false;
			}
		},

		/**
		* Request to retrieve the current or a specific user's id. The request can be monitored using the {@link CocoonJS.Social.onUserInfoRequestSucceed} and {@link CocoonJS.Social.onUserInfoRequestFailed} event handlers.
		* @param {string} [userId] The id of the user to retireve the information from. If no userID is specified, the currently logged in user is assumed.
		* @see CocoonJS.Social.onRequestUserInfoSucceed
		* @see CocoonJS.Social.onRequestUserInfoFailed
		*/
		requestUserInfo : function(userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestUserInfo", arguments, true);
			}
		},

		/**
		* Request to retrieve the Image of a user
		* @param {string} [userID] The id of the user to get the image for. If no userID is specified, the currently logged user is used.
		* @param {CocoonJS.Social.ImageSizeType} [imageSizeType] The size of the image. One of the possible values among the ones in the {@link CocoonJS.Social.ImageSizeType}. If no value is specified, SMALL is used.
		* @see CocoonJS.Social.onRequestUserImageURLSucceed;
		* @see CocoonJS.Social.onRequestUserImageURLFailed;
		*/
		requestUserImageURL : function( imageSizeType, userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestUserImageURL", arguments, true);
			}
		},

		/**
		* Request for the information of all the friends of the currently logged user.
		* @param {string} [userID] The id of the user to get the friends infos for. If no userID is specified, the currently logged user is used.
		* @see CocoonJS.Social.onRequestUserFriendsUserInfosSucceed;
		* @see CocoonJS.Social.onRequestUserFriendsUserInfosFailed;
		*/
		requestUserFriendsUserInfos : function(userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestUserFriendsUserInfos", arguments, true);
			}
		},

		/**
		* Request the publication of a message using a dialog.
		* @param {CocoonJS.Social.Message} message A object representing the information to be published.
		* @see CocoonJS.Social.onRequestMessagePublicationSucceed
		* @see CocoonJS.Social.onRequestMessagePublicationFailed
		*/
		requestMessagePublicationWithDialog : function(message)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestMessagePublicationWithDialog", arguments, true);
			}
		}
	};

	/**
	* This structure represents the possible images to be obtained for a user in the social gaming extension.
	* @namespace
	*/
	CocoonJS.Social.ImageSizeType = 
	{
		/**
		* Represent a thumbnail like image size.
		*/
	    THUMB : "thumb",

		/**
		* Represents the small image size.
		*/
	    SMALL : "small",

		/**
		* Represents the medium image size.
		*/
	    MEDIUM : "medium",

		/**
		* Represents the large image size.
		*/
	    LARGE : "large"
	};

	/**
	* The data structure that represents the information of a user inside the social gaming extension.
	* @namespace
	* @constructor
	* @param {string} userID The id of the user.
	* @param {string} userName The user name of the user.
	*/
	CocoonJS.Social.UserInfo = function(userID, userName)
	{
		/**
		* The id of the user.
		* @field
		* @type string
		*/
		this.userID = userID;

		/**
		* The user name of the user.
		* @field
		* @type string
		*/
		this.userName = userName;
	};

	/**
	* This type represents a message to be published.
	* @namespace
	* @constructor
	* @param {string} message The message to be published.
	* @param {string} mediaURL An URL to a media (image, video, ...)
	* @param {string} linkURL An URL to add to the message so the user can click on that link to get more information.
	* @param {string} linkText The text that will appear in the message link.
	* @param {string} linkCaption The text caption that will appear in the message link.
	*/
	CocoonJS.Social.Message = function(message, mediaURL, linkURL, linkText, linkCaption)
	{
		/**
		* The message to be published.
		* @field
		* @type string
		*/
		this.message = message;

		/**
		* An URL to a media (image, video, ...)
		* @field
		* @type string
		*/
		this.mediaURL = mediaURL;

		/**
		* An URL to add to the message so the user can click on that link to get more information.
		* @field
		* @type string
		*/
		this.linkURL = linkURL;

		/**
		* The text that will appear in the message link.
		* @field
		* @type string
		*/
		this.linkText = linkText;

		/**
		* The text caption that will appear in the message link.
		* @field
		* @type string
		*/
		this.linkCaption = linkCaption;

		return this;
	};

})();

//////////////////////////////////////
// COCOONJS_SOCIALGAMING.JS         //
//////////////////////////////////////

(function()
{
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

    if (!CocoonJS.Social)
		throw("The CocoonJS.Social object must exist and be valid before creating any extension object.");

	/**
	* This type represents the access to a native Social Gamming extension API. As there can be more than
	* one service of this type, more than one instance can be created.
	* @namespace
	* @constructor
	* @param {string} nativeExtensionName The name of the native ext object extension property name.
	* @param {string} extensionName The name of the CocoonJS object extension property name.
	*/
	CocoonJS.SocialGaming = function(nativeExtensionName, extensionName)
	{
		CocoonJS.SocialGaming.superclass.constructor.call(this, nativeExtensionName, extensionName);

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestUserAndFriendsScoresSucceed} event calls.
	     * @name OnRequestUserAndFriendsScoresSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {array} userAndFriendsScoreInfos An array of {@link CocoonJS.SocialGaming.UserScoreInfo} objects representing the information of the user's and friends' scores.
	     */
		/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user and friends scores request succeeds.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestUserAndFriendsScoresSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestUserAndFriendsScoresSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserAndFriendsScoresSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestUserAndFriendsScoresFailed} event calls.
	     * @name OnRequestUserAndFriendsScoresFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the score and friends scores were requested.
	     * @param {string} leadeboardID The id of the leaderboard for whom the score and friends scores were requested.
	     * @param {string} errorMessage The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user and his/her friends scores request fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestUserAndFriendsScoresFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestUserAndFriendsScoresFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserAndFriendsScoresFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestUserScoreSucceed} event calls.
	     * @name OnRequestUserScoreSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {CocoonJS.SocialGaming.UserScoreInfo} userScoreInfo The info of the user's score.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's score information request suceeds.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestUserScoreSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestUserScoreSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserScoreSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestUserScoreFailed} event calls.
	     * @name OnRequestUserScoreFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the score was requested.
	     * @param {string} leaderboardID The id of the leaderboard for whom the score was requested.
	     * @param {string} errorMessage The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's score information request fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestUserScoreFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestUserScoreFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserScoreFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onSubmitUserScoreSucceed} event calls.
	     * @name OnSubmitUserScoreSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the score has been submitted.
	     * @param {string} leaderboardID The id of the leaderboard for which the score has been submitted.
	     * @param {number} score The score that has been submitted.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's score submit suceeds.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnSubmitUserScoreSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onSubmitUserScoreSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onSubmitUserScoreSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onSubmitUserScoreFailed} event calls.
	     * @name OnSubmitUserScoreFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the score submition was requested.
	     * @param {string} leaderboadID The id of the leaderboard for which the score submition was requested.
	     * @param {number} score The score that was submitted and failed.
	     * @param {string} errorMessage The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's score submit fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnSubmitUserScoreFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onSubmitUserScoreFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onSubmitUserScoreFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestUserAchievementsSucceed} event calls.
	     * @name OnRequestUserAchievementsSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the achievements where requested.
	     * @param {array} achievementsInfos An array of {@link CocoonJS.SocialGaming.AchievementInfo} objects representing the information of the user's achievements.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's achievements info are successfully retrieved.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestUserAchievementsSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestUserAchievementsSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserAchievementsSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestUserAchievementsFailed} event calls.
	     * @name OnRequestUserAchievementsFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the achievements were requested.
	   	 * @param {string} msg The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's achievmeents info fails to be retrieved.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestUserAchievementsFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestUserAchievementsFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserAchievementsFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestAllAchievementsSucceed} event calls.
	     * @name OnRequestAllAchievementsSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {array} achievementsInfos An array of {@link CocoonJS.SocialGaming.AchievementInfo} objects representing the information of all the achievements.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's achievements info are successfully retrieved.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestAllAchievementsSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestAllAchievementsSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestAllAchievementsSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestAllAchievementsFailed} event calls.
	     * @name OnRequestAllAchievementsFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	   	 * @param {string} msg The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's achievmeents info fails to be retrieved.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestAllAchievementsFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestAllAchievementsFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestAllAchievementsFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestAchievementInfoSucceed} event calls.
	     * @name OnRequestAchievementInfoSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {CocoonJS.SocialGaming.AchievementInfo} achievementInfo A {@link CocoonJS.SocialGaming.AchievementInfo} object representing the information of the achievement.
	     */
		/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the request to retrieve the information of an achievement succeeds.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestAchievementInfoSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestAchievementInfoSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestAchievementInfoSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestAchievementInfoFailed} event calls.
	     * @name OnRequestAchievementInfoFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} achievementID The id of the achievement for which the information retrieval was requested.
	     * @param {string} errorMessage The error message.
	     */
		/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the request to retrieve the information of an achievement fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestAchievementInfoFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestAchievementInfoFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestAchievementInfoFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onSubmitUserAchievementSucceed} event calls.
	     * @name OnSubmitUserAchievementSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the achievement has been submitted.
	     * @param {string} achievementID The id of the achievement that has been submitted.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a user's achievement submition succeeds.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnSubmitUserAchievementSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onSubmitUserAchievementSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onSubmitUserAchievementSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onSubmitUserAchievementFailed} event calls.
	     * @name OnSubmitUserAchievementFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the achievment was submitted.
	     * @param {string} achievementID The id of the achievement that was submitted.
	     * @param {string} msg The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a user's achievement submition fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnSubmitUserAchievementFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onSubmitUserAchievementFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onSubmitUserAchievementFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onResetUserAchievementsSucceed} event calls.
	     * @name OnResetUserAchievementsSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the achievements were reset.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a user's achievement reset succeeds.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnResetUserAchievementsSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onResetUserAchievementsSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onResetUserAchievementsSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onResetUserAchievementsFailed} event calls.
	     * @name OnResetUserAchievementsFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the achievements where tried to be reset.
	     * @param {string} msg The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a user's achievement reset fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnResetUserAchievementsFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onResetUserAchievementsFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onResetUserAchievementsFailed");

	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the users closes the achievements view.
	    * The callback function does not receive any parameter.
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onAchievementsViewClosed  = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onAchievementsViewClosed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onAchievementsViewFailed} event calls.
	     * @name OnAchievementsViewFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} errorMessage The message that describes why the call failed.
	     */
		/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the achievements view failed to show.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnAchievementsViewFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onAchievementsViewFailed  = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onAchievementsViewFailed");

		/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when achievements view shows successfully.
	    * The callback function does not receive any parameter.
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onAchievementsViewSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onAchievementsViewSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onLeaderboardViewClosed} event calls.
	     * @name OnLeaderboardViewClosedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} leaderboardID The id of the leaderboard for which it's vew was requested to be shown.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a user's achievement reset fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnLeaderboardViewClosedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
   		this.onLeaderboardViewClosed  = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onLeaderboardViewClosed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onLeaderboardViewFailed} event calls.
	     * @name OnLeaderboardViewFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} leaderboardID The id of the leaderboard for which it's vew was requested to be shown.
	     * @param {string} errorMessage The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a user's achievement reset fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnLeaderboardViewFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
   		this.onLeaderboardViewFailed  = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onLeaderboardViewFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onLeaderboardViewSucceed} event calls.
	     * @name OnLeaderboardViewSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} leaderboardID The id of the leaderboard for which it's vew was requested to be shown.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a user's achievement reset fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnLeaderboardViewSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
   		this.onLeaderboardViewSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onLeaderboardViewSucceed");

		return this;
	};

	CocoonJS.SocialGaming.prototype = 
	{
        abstractToSocialGamingAchievementMap : null,
        abstractToSocialGamingAchievementMapInverse : null,

        /**
        * @ignore
        */
        setAbstractToSocialGamingAchievementMap : function( map ) {
            this.abstractToSocialGamingAchievementMap= map;

            // build a reciprocal map.
            this.abstractToSocialGamingAchievementMapInverse= {};
            for( var id in map ) {
                if ( map.hasOwnProperty(id) ) {
                    this.abstractToSocialGamingAchievementMapInverse[ map[id] ]= id;
                }
            }
            return this;
        },

        /**
        * @ignore
        */
        getAbstractToSocialGamingAchievementTranslation : function( achievementID ) {
            /**
             * If a translation map for abstract in-game achievements has been set, translate achievementID from
             * abstract to SocialGamingService.
             */
            if (this.abstractToSocialGamingAchievementMap) {
                var socialGamingAchievementID = this.abstractToSocialGamingAchievementMap[achievementID];
                if (socialGamingAchievementID) {
                    console.log("Abstract achieventID='" + achievementID + "' turned to '" + socialGamingAchievementID + "'");
                    achievementID = socialGamingAchievementID;
                } else {
                    console.log("Something may be wrong: abstract achievementID: '" + achievementID + "' w/o translation.")
                }
            }

            return achievementID;
        },

		/**
		* Request to retrieve the scores of all friends of a given user.
		* @param {string} [leaderboardID] The id of the leaderboard to request the scores for.
		* @param {string} [userID] The id of the user. If null or undefined is passed, the currently logged in user id is used.
		* @see CocoonJS.SocialGaming.onRequestUserAndFriendsScoresSucceed
		* @see CocoonJS.SocialGaming.onRequestUserAndFriendsScoresFailed
		*/
		requestUserAndFriendsScores : function(leaderboardID, userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestUserAndFriendsScores", arguments, true);
			}
		},

		/**
		* Request to retrieve the score of a user.
		* @param {string} [leaderboardID] The id of the scores leaderboard to retireve the score from. If null or underfined is passed, the "leadeboard" id will be used.
		* @param {string} [userID] The id of the user to retireve the score from. If null or undefined is passed, the currently logged in user id is used.
		* @see CocoonJS.SocialGaming.onRequestUserScoreSucceed
		* @see CocoonJS.SocualGaming.onRequestUserScoreFailed
		*/
		requestUserScore : function(leaderboardID, userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestUserScore", arguments, true);
			}
		},

		/**
		* Request to the server the score of a user.
		* @param {number} [score] the score to submit
		* @param {string} [leaderboardID] The id of the scores leaderboard to submit the score to. If null or underfined is passed, the "leadeboard" id will be used.
		* @param {string} [userID] The id of the user to submit the score for. If null or undefined is passed, the currently logged in user id is used.
		* @see CocoonJS.SocialGaming.onSubmitUserScoreSucceed
		* @see CocoonJS.SocualGaming.onSubmitUserScoreFailed
		*/
		submitUserScore : function(score, leaderboardID, userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "submitUserScore", arguments, true);
			}
		},
		/**
		* Shows the leaderboard using a platform dependant view.
		* @param {string} [leaderboardID] The id of the scores leaderboard to show the view for. If null or underfined is passed, the "leadeboard" id will be used.
		* @see CocoonJS.SocialGaming.onLeaderboardViewClosed
		*/
		showLeaderboardView : function(leaderboardID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "showLeaderboardView", arguments, true);
			}
		},

		/**
		* Request to retrieve the user achievements. The request can be monitored using the {@link CocoonJS.SocialGaming.onRequestUserAchievementsSucceed} and {@link CocoonJS.Social.onRequestUserAchievementsFailed} event handlers.
		* @param {string} [userID] The id of the user to retireve the achievements from. if null/undefined/"" is specified, the currently logged in user is assumed.
		* @see CocoonJS.SocialGaming.onRequestUserAchievementsSucceed
		* @see CocoonJS.SocialGaming.onRequestUserAchievementsFailed
		*/
		requestUserAchievements : function(userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestUserAchievements", arguments, true);
			}
		},

		/**
		* Request to retrieve all the achievements. The request can be monitored using the {@link CocoonJS.SocialGaming.onRequestAllAchievementsSucceed} and {@link CocoonJS.Social.onRequestAllAchievementsFailed} event handlers.
		* @see CocoonJS.SocialGaming.onRequestAllAchievementsSucceed
		* @see CocoonJS.SocialGaming.onRequestAllAchievementsFailed
		*/
		requestAllAchievements : function()
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestAllAchievements", arguments, true);
			}
		},

		/**
		* Request to retrieve the information about an achievement. 
		* @param {string} achievementID The id of the achievement to get the information for.
		* @param {CocoonJS.Social.ImageSizeType} [imageSizeType] The size of the image. One of the possible values among the ones in the {@link CocoonJS.Social.ImageSizeType}
		*/
		requestAchievementInfo : function(achievementID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestAchievementInfo", arguments, true);
			}
		},

		/**
		* Submits an achievement to the server. If the process fails, the achievement is stored to submit it later.
		* @param {string} [achievementID] the achievement identifier
		* @param {number} [percentComplete] an optional number between 0 and 100 that indicates a completion percentage.
		* @see CocoonJS.SocialGaming.onSubmitAchievementSucceed
		* @see CocoonJS.SocualGaming.onSubmitAchievementFailed
		*/
        submitUserAchievement:function (achievementID, userID) {
            achievementID = this.getAbstractToSocialGamingAchievementTranslation(achievementID);

            if (this.nativeExtensionObjectAvailable) {
                return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "submitUserAchievement", arguments, true);
            }
        },

		/**
		* Shows the achievements using a platform dependant view.
		* @see CocoonJS.SocialGaming.onAchievementsViewClosed
		*/
		showUserAchievementsView : function(userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "showUserAchievementsView", arguments, true);
			}
		},

		/**
		* Resets all the achievements of the current user
		* @param {string} [userID] The id of the user to reset the achievements for. If null/undefined/"", the logged in user is assumed.
		* @see CocoonJS.SocialGaming.onResetAchievementsSucceed
		* @see CocoonJS.SocualGaming.onResetAchievementsFailed
		*/
		resetUserAchievements : function(userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "resetUserAchievements", arguments, true);
			}
		}
	};

	/**
    * @ignore
    */
	CocoonJS.extend(CocoonJS.SocialGaming, CocoonJS.Social);

	/**
	* The data structure that represents the information of the user score in the application.
	* @namespace
	* @constructor
	* @param {string} userID The user id.
	* @param {number} score The score of the user.
	* @param {string} userName The name of the user.
	* @param {string} imageURL The url of the user image.
	* @param {number} leaderboardID The id of the leaderboard the score belongs to.
	*/
	CocoonJS.SocialGaming.UserScoreInfo = function(userID, score, userName, imageURL, leaderboardID)
	{
		/**
		* The user id. 
		* @type string
		*/
		this.userID = userID;

		/**
		* The score of the user.
		* @type number
		*/
		this.score = score ? score : 0;

		/**
		* The name of the user.
		* @type string
		*/
        this.userName = userName;

		/**
		* The url of the user image.
		* @type string
		*/
        this.imageURL = imageURL;

        /**
		* The id of the leaderboard the score belongs to.
		* @type number
		*/
        this.leaderboardID = leaderboardID;
	};

	/**
	* The data structure that represents the information of an achievement in the application.
	* @namespace
	* @constructor
	* @param {string} achievementID The id of the achievement info.
	* @param {string} title The title of the achievement.
	* @param {string} description The description of the achievement.
	* @param {string} imageURL The url to the image representing the achievement.
	* @param {number} points The points value of the achievement
	*/
	CocoonJS.SocialGaming.AchievementInfo = function(achievementID, title, description, imageURL, points)
	{
		/**
		* The id of the achievement info.
		* @type string
		*/
		this.achievementID = achievementID;

		/**
		* The title of the achievement.
		* @type string
		*/
		this.title = title;

		/**
		* The description of the achievement.
		* @type string
		*/
		this.description = description;

		/**
		* The url to the image representing the achievement.
		* @type string
		*/
		this.imageURL = imageURL;

		/**
		* The points value of the achievement
		* @type number
		*/
		this.points = points ? points : 0;
	};

})();

/////////////////////////////////////////
// COCOONJS_SOCIALGAMING_GAMECENTER.JS //
/////////////////////////////////////////

(function()
{
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");
    if (typeof window.CocoonJS.SocialGaming === 'undefined' || window.CocoonJS === null) throw("The CocoonJS.SocialGaming object must exist and be valid before creating a Game Center extension object.");

	/**
	* This instance represents the extension object to access GameCenter related native functionalities.
	* The data structure for initialization: None.
	* @see CocoonJS.Social
	*/
	CocoonJS.SocialGaming.GameCenter = new CocoonJS.SocialGaming("IDTK_SRV_SOCIAL_GAMECENTER", "SocialGaming.GameCenter");
})();

//////////////////////////////
// COCOONJS_GAMEPAD.JS 		//
//////////////////////////////

(function () {
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

    /**
     * This namespace represents the functionalities related to OUYA android gaming control.
     * @namespace
     */
    CocoonJS.Gamepad = {};

    CocoonJS.Gamepad.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext.Gamepad !== 'undefined';

    CocoonJS.Gamepad.Indices = {
        BUTTON_0                : 0, 
        BUTTON_1                : 1,
        BUTTON_2                : 2,
        BUTTON_3                : 3,
        BUTTON_LEFT_BUMPER      : 4,
        BUTTON_RIGHT_BUMPER     : 5,
        
        BUTTON_LEFT_TRIGGER     : 6,
        BUTTON_RIGHT_TRIGGER    : 7,
        
        BUTTON_LEFT_JOYSTICK    : 10,
        BUTTON_RIGHT_JOYSTICK   : 11,
        BUTTON_DPAD_UP          : 12,
        BUTTON_DPAD_DOWN        : 13,
        BUTTON_DPAD_LEFT        : 14,
        BUTTON_DPAD_RIGHT       : 15,
        BUTTON_MENU             : 16,
        
        AXE_LEFT_JOYSTICK_X     : 0,
        AXE_LEFT_JOYSTICK_Y     : 1,
        AXE_RIGHT_JOYSTICK_X    : 2,
        AXE_RIGHT_JOYSTICK_Y    : 3
    };

    // If the extension is present and the navigator does not provide the gamepad API:
    // 1.- Add the getGamepads function to the navigator object.
    // 2.- Replace the window add and remove event listener functions to call to the extension for the gamepad related events.
    var systemSupportsGamepads = navigator["getGamepads"] || navigator["webkitGetGamepads"];
    if (CocoonJS.Gamepad.nativeExtensionObjectAvailable && !systemSupportsGamepads)
    {
        navigator.getGamepads = function()
        {
            return window.ext.Gamepad.makeCall("getGamepads");
        };

        CocoonJS.Gamepad.originalWindowAddEventListener = window.addEventListener;
        CocoonJS.Gamepad.originalWindowRemoveEventListener = window.removeEventListener;

        window.addEventListener = function(eventName, callback)
        {
            console.log("The new window.addEventListener has been called.");
            if (eventName === "gamepadconnected" || eventName === "gamepaddisconnected")
            {
                window.ext.Gamepad.addEventListener(eventName, callback);
            }
            else
            {
                var argumentsArray = Array.prototype.slice.call(arguments);
                CocoonJS.Gamepad.originalWindowAddEventListener.apply(window, argumentsArray);
            }
        };
        window.removeEventListener = function(eventName, callback)
        {
            console.log("The new window.removeEventListener has been called.");
            if (eventName === "gamepadconnected" || eventName === "gamepaddisconnected")
            {
                window.ext.Gamepad.removeEventListener(eventName, callback);
            }
            else
            {
                var argumentsArray = Array.prototype.slice.call(arguments);
                CocoonJS.Gamepad.originalWindowRemoveEventListener.apply(window, argumentsArray);
            }
        };
    } 
    else if (systemSupportsGamepads) 
    {
        if (!navigator.getGamepads)
        {
            console.log("navigator.getGamepads does not exist.");
            if (navigator.webkitGetGamepads)
            {
                console.log("navigator.webkitGamepads exists, adding navigator.getGamepads to point to it.");
                navigator.getGamepads = navigator.webkitGetGamepads;
            }
            else
            {
                console.log("navigator.webkitGetGamepads does not exist either.");
            }
        }
    }
})();

//////////////////////////////
// COCOONJS_NOTIFICATION.JS //
//////////////////////////////

(function()
{
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

    /**
    * This namespace represents the CocoonJS Notification extension.
    * @namespace
    */
    CocoonJS.Notification = {};

    CocoonJS.Notification.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext.IDTK_SRV_NOTIFICATION !== 'undefined';

	/**
	* The data structure that represents the information of a local notification.
	* @namespace
	* @constructor
	* @param {string} message The notification message.
	* @param {boolean} soundEnabled A flag that indicates if the sound should be enabled for the notification.
	* @param {number} badgeNumber The number that will appear in the badge of the application icon in the home screen.
	* @param {object} userData The JSON data to attached to the notification.
	* @param {string} contentBody The body content to be showed in the expanded notification information.
	* @param {string} contentTitle The title to be showed in the expanded notification information.
	* @param {number} date Time in millisecs from 1970 when the notification will be fired.
	*/
	CocoonJS.Notification.LocalNotification = function(message, soundEnabled, badgeNumber, userData, contentBody, contentTitle, scheduleTime)
	{
		/**
		* The notification message.
		* @field
		* @type string
		*/
		this.message = message;

		/**
		* A flag that indicates if the sound should be enabled for the notification.
		* @field
		* @type boolean
		*/
		this.soundEnabled = soundEnabled;

		/**
		* (iOS only) The number that will appear in the badge of the application icon in the home screen.
		* @field
		* @type number
		*/
		this.badgeNumber = badgeNumber;

		/**
		* The JSON data to attached to the notification.
		* @field
		* @type object
		*/
		this.userData = userData;

		/**
		* (Android only) The body content to be showed in the expanded notification information.
		* @field
		* @type string
		*/
		if (contentBody !== undefined)
			this.contentBody = contentBody;
		else
			this.contentBody = "";

		/**
		* (Android only) The title to be showed in the expanded notification information.
		* @field
		* @type string
		*/
		if (contentTitle !== undefined)
			this.contentTitle = contentTitle;
		else
			this.contentTitle = "";

		/**
		* Time in millisecs from 1970 when the local notification will be fired
		* @field
		* @type number
		*/
		var currentTime = new Date().getTime();
		if (scheduleTime !== undefined){
			this.scheduleTime = scheduleTime;
		}else{
			this.scheduleTime = currentTime;
		}
	};

	/**
	* The data structure that represents the information of a push notification.
	* @namespace
	* @constructor
	* @param {string} message The notification message.
	* @param {boolean} soundEnabled A flag that indicates if the sound should be enabled for the notification.
	* @param {number} badgeNumber The number that will appear in the badge of the application icon in the home screen.
	* @param {object} userData The JSON data to attached to the notification.
	* @param {array} channels An array containing the channels names this notification will be delivered to.
	* @param {number} expirationTime A time in seconds from 1970 when the notification is no longer valid and will not be delivered in case it has not already been delivered.
	* @param {number} expirationTimeInterval An incremental ammount of time in from now when the notification is no longer valid and will not be delivered in case it has not already been delivered.
	*/
	CocoonJS.Notification.PushNotification = function(message, soundEnabled, badgeNumber, userData, channels, expirationTime, expirationTimeInterval)
	{
		/**
		* The notification message.
		* @field
		* @type string
		*/
		this.message = message;

		/**
		* A flag that indicates if the sound should be enabled for the notification.
		* @field
		* @type boolean
		*/
		this.soundEnabled = soundEnabled;

		/**
		* The number that will appear in the badge of the application icon in the home screen.
		* @field
		* @type number
		*/
		this.badgeNumber = badgeNumber;

		/**
		* The JSON data to attached to the notification.
		* @field
		* @type object
		*/
		this.userData = userData

		/**
		* An array containing the channels names this notification will be delivered to.
		* @field
		* @type array
		*/
		this.channels = channels;

		/**
		* A time in seconds from 1970 when the notification is no longer valid and will not be delivered in case it has not already been delivered.
		* @field
		* @type number
		*/
		if (expirationTime !== undefined)
			this.expirationTime = expirationTime;
		else
			this.expirationTime = 0;

		/**
		* An incremental ammount of time in from now when the notification is no longer valid and will not be delivered in case it has not already been delivered.
		* @field
		* @type number
		*/
		if (expirationTimeInterval !== undefined)
			this.expirationTimeInterval = expirationTimeInterval;
		else
			this.expirationTimeInterval = 0;
	};

	/**
	* Start processing received notifications. The user must call this method when the game is ready to process notifications. Notifications received before being prepared are stored and processed later.
	*/
	CocoonJS.Notification.start = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "start", arguments, true);
		}
	};


	/**
	* Register to be able to receive push notifications.
	* The registration process is controlled using the {@link CocoonJS.Notification.onRegisterForPushNotificationsSucceed} and {@link CocoonJS.Notification.onRegisterForPushNotificationsFailed} event handlers.
	* @function
	* @see {CocoonJS.Notification.onRegisterForPushNotificationsSucceed}
	* @see {CocoonJS.Notification.onRegisterForPushNotificationsFailed}
	*/
	CocoonJS.Notification.registerForPushNotifications = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "registerForPushNotifications", arguments, true);
		}
	};

	/**
	* Unregister from receiving push notifications.
	* The unregistration process is controlled using the {@link CocoonJS.Notification.onUnregisterForPushNotificationsSucceed} event handler.
	* @function
	* @see CocoonJS.Notification.onUnregisterForPushNotificationsSucceed
	*/
	CocoonJS.Notification.unregisterForPushNotifications = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "unregisterForPushNotifications", arguments, true);
		}
	};

	/**
	* Cancel the last sent local notification.
	* The last sent local notification will be remove from the notifications bar.
	* @function
	*/
	CocoonJS.Notification.cancelLastSentLocalNotificiation = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "cancelLocalNotification", arguments, true);
		}
	};

	/**
	* Cancel all sent local notifications.
	* All the notifications will ve removed from the notifications bar.
	* @function
	*/
	CocoonJS.Notification.cancelAllLocalNotifications = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "cancelAllLocalNotifications", arguments, true);
		}
	};

	/**
	* Send a local notification.
	* @function
	* @param {CocoonJS.Notification.LocalNotification} localNotification The local notification to be sent.
	*/
	CocoonJS.Notification.sendLocalNotification = function(localNotification)
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "sendLocalNotification", arguments, true);
		}
	};

	/**
	* Subscribe to a channel in order to receive notifications targeted to that channel.
	* @function
	* @param {string} channel The channel id to subscribe to.
	*/
	CocoonJS.Notification.subscribeToChannel = function(channel)
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "subscribe", arguments, true);
		}
	};

	/**
	* Unsubscribe from a channel in order to stop receiving notifications targeted to it.
	* @function
	* @param {string} channel The channel id to unsubscribe from.
	*/
	CocoonJS.Notification.unsubscribeFromChannel = function(channel)
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "unsubscribe", arguments, true);
		}
	};

	/**
	* Send a push notification.
	* @function
	* @param {CocoonJS.Notification.PushNotification} pushNotification The push notification object to be sent.
	* @see CocoonJS.Notification.onPushNotificationDeliverySucceed
	* @see CocoonJS.Notification.onPushNotificationDeliveryFailed
	*/
	CocoonJS.Notification.sendPushNotification = function(pushNotification)
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "sendPushNotification", arguments, true);
		}
	};

	/**
	* (iOS only) Set the badge number for this application.
	* This is useful if you want to modify the badge number set by a notification.
	* @function
	* @param {number} badgeNumber The number of the badge.
	*/
	CocoonJS.Notification.setBadgeNumber = function(badgeNumber)
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "setBadgeNumber", arguments);
		}
	};

	/**
	* (iOS only) Returns the current badge number.
	* @function
	* @returns {number} The badge number.
	*/
	CocoonJS.Notification.getBadgeNumber = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "getBadgeNumber", arguments);
		}
	};

	/**
	* Returns the last received user data from a Local notification.
	* @function
	* @returns {object} The last received user data from a Local notification.
	*/
	CocoonJS.Notification.getLastReceivedLocalNotificationData = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "getLastReceivedLocalNotificationData", arguments);
		}
	};

	/**
	* Returns the last received user data from a Push notification.
	* @function
	* @returns {object} The last received user data from a Push notification.
	*/
	CocoonJS.Notification.getLastReceivedPushNotificationData = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "getLastReceivedPushNotificationData", arguments);
		}
	};

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the registration for push notification succeeds.
    * The callback function does not receive any parameter.
    * @static
    * @event
    * @param {string} token The token (apid or device token) received at registration time.
    * @memberOf CocoonJS.Notification
    */
	CocoonJS.Notification.onRegisterForPushNotificationsSucceed = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "pushNotificationServiceRegistered");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the unregistration for push notifications succeeds.
    * The callback function does not receive any parameter.
    * @static
    * @event
    * @memberOf CocoonJS.Notification
    */
	CocoonJS.Notification.onUnregisterForPushNotificationsSucceed = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "pushNotificationServiceUnregistered");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the registration for push notifications fails.
    * The callback function receives a parameter with error information.
    * @static
    * @event
    * @param {string} msg The error message.
    */
	CocoonJS.Notification.onRegisterForPushNotificationsFailed = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "pushNotificationServiceFailedToRegister");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a push notification is received.
    * The callback function receives a parameter with the userData of the received notification.
    * @static
    * @event
    * @param {object} userData An object with the notification userData information.
    */
	CocoonJS.Notification.onPushNotificationReceived = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "pushNotificationReceived");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a local notification is received.
    * The callback function receives a parameter with the userData of the received notification.
    * @static
    * @event
    * @param {object} userData An object with the notification userData information.
    */
	CocoonJS.Notification.onLocalNotificationReceived = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "localNotificationReceived");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a notification is successfully delivered.
    * The callback function receives a parameter with the notificationId of the delivered notification.
    * @static
    * @event
    * @param {string} userData A string with the notification userData information.
    */
	CocoonJS.Notification.onPushNotificationDeliverySucceed = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "pushNotificationSuccessfullyDelivered");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the delivery of push a notification fails.
    * The callback function receives a parameter with error information.
    * @static
    * @event
    * @param {string} msg The error message.
    */
	CocoonJS.Notification.onPushNotificationDeliveryFailed = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "pushNotificationDeliveryError");

})();

/////////////////
// PATHFIND.JS //
/////////////////

// Pathfind.js
// Written by Ashley Gullen
// Copyright (c) 2013 Scirra Ltd.

// A* pathfinding javascript implementation

(function() {
	
	var PF_CLEAR = 0;
	var PF_OBSTACLE = 32767;
	
	function node()
	{
		this.parent = null;
		
		this.x = 0;
		this.y = 0;

		this.f = 0;
		this.g = 0;
		this.h = 0;
	};
	
	var nodeCache = [];			// for recycling nodes
	
	function allocNode()
	{
		var ret;
		
		if (nodeCache.length)
			ret = nodeCache.pop();
		else
			ret = new node();
			
		ret.parent = null;
		ret.x = 0;
		ret.y = 0;
		ret.f = 0;
		ret.g = 0;
		ret.h = 0;
		return ret;
	};
	
	function freeNode(n)
	{
		if (nodeCache.length < 64000)
			nodeCache.push(n);
	};
	
	function resultNode(x_, y_)
	{
		this.x = x_ || 0;
		this.y = y_ || 0;
	};
	
	var resultNodeCache = [];			// for recycling resultNodes
	
	function allocResultNode()
	{
		if (resultNodeCache.length)
			return resultNodeCache.pop();
		else
			return new resultNode(0, 0);
	};
	
	function freeResultNode(n)
	{
		if (resultNodeCache.length < 10000)
			resultNodeCache.push(n);
	};
	
	var workersSupported = (typeof Worker !== "undefined");
	var isInWebWorker = (typeof document === "undefined");		// no DOM in a worker
	var myInstance = null;										// single pathfinder instance for worker
	
	if (isInWebWorker)
	{
		self.addEventListener("message", function (e)
		{
			var d = e.data;
			
			if (!d)
				return;		// could be empty postMessage() to start worker
			
			if (d.cmd === "init")
			{
				if (!myInstance)
					myInstance = new pathfinder();
					
				myInstance.init(d.hcells, d.vcells, d.data, d.diagonals);
			}
			else if (d.cmd === "find")
			{
				// receive a pathfind job, process it them dispatch result
				myInstance.pathEnd.parent = null;
				myInstance.targetX = d.endX;
				myInstance.targetY = d.endY;
				
				if (myInstance.doLongFindPath(d.startX, d.startY))
				{
					self.postMessage({ cmd: "result", pathList: myInstance.pathList });
				}
				else
				{
					self.postMessage({ cmd: "result", pathList: null });
				}
			}
			else if (d.cmd === "setdiag")
			{
				// update diagonalsEnabled flag
				myInstance.diagonalsEnabled = d.diagonals;
			}
			
		}, false);
	}
	
	function pathfinder()
	{
		this.hcells = 0;
		this.vcells = 0;
		
		this.pathEnd = allocNode();
		
		this.cells = null;
		this.openList = [];
		this.closedList = [];
		this.closedCache = {};
		this.pathList = [];
		
		this.currentNode = null;
		this.targetX = 0;
		this.targetY = 0;
		this.diagonalsEnabled = true;
		
		this.worker = null;
		this.workerQueue = [];		// jobs awaiting completion from worker in order of requests made
		this.workerRecycle = [];
		
		var self = this;
		var i, len;
		
		if (workersSupported && !isInWebWorker)
		{
			// Create worker and receive results of pathfind jobs from it
			this.worker = new Worker("pathfind.js");
			
			this.worker.addEventListener("message", function (e) {
			
				if (!e || !e.data)
					return;
				
				if (e.data.cmd === "result")
				{
					if (e.data.pathList)
					{
						for (i = 0, len = self.pathList.length; i < len; i++)
							freeResultNode(self.pathList[i]);
						
						self.pathList = e.data.pathList;
						self.workerQueue[0].success();
					}
					else
						self.workerQueue[0].fail();
						
					self.workerRecycle.push(self.workerQueue.shift());
				}
			}, false);
			
			this.worker.addEventListener("error", function (e) {
				console.error(e);
			}, false);
			
			this.worker.postMessage(null);
		}
	};
	
	pathfinder.prototype.init = function (hcells_, vcells_, data_, diagonals_)
	{
		this.hcells = hcells_;
		this.vcells = vcells_;
		this.cells = data_;
		this.diagonalsEnabled = diagonals_;
		
		if (workersSupported && !isInWebWorker)
		{
			this.worker.postMessage({
				cmd: "init",
				hcells: hcells_,
				vcells: vcells_,
				diagonals: diagonals_,
				data: data_
			});
		}
	};
	
	pathfinder.prototype.isReady = function ()
	{
		return !!this.cells;
	};
	
	pathfinder.prototype.setDiagonals = function (d)
	{
		if (this.diagonalsEnabled === d)
			return;
		
		this.diagonalsEnabled = d;
		
		if (workersSupported && !isInWebWorker)
		{
			this.worker.postMessage({
				cmd: "setdiag",
				diagonals: d,
			});
		}
	};
	
	pathfinder.prototype.at = function (x_, y_)
	{
		if (x_ < 0 || y_ < 0 || x_ >= this.hcells || y_ >= this.vcells)
			return PF_OBSTACLE;
			
		return this.cells[x_][y_];
	};
	
	pathfinder.prototype.findPath = function (startX, startY, endX, endY, successCallback, failCallback)
	{
		if (!this.cells)
		{
			// not yet initialised
			failCallback();
			return;
		}
		
		startX = Math.floor(startX);
		startY = Math.floor(startY);
		endX = Math.floor(endX);
		endY = Math.floor(endY);
		
		this.targetX = endX;
		this.targetY = endY;
		this.pathEnd.parent = null;
		
		// Check the box made by the start and dest cells.
		// If the complete box is empty, allow a direct move to target.
		var minX = Math.min(startX, endX);
		var maxX = Math.max(startX, endX);
		var minY = Math.min(startY, endY);
		var maxY = Math.max(startY, endY);
		
		// Path goes out of bounds: no calculable path
		if (minX < 0 || minY < 0 || maxX >= this.hcells || maxY >= this.vcells)
		{
			failCallback();
			return;
		}
		
		var x, y, i, len, c, h, n;

		if (this.diagonalsEnabled)
		{
			var canMoveDirect = true;
			
			for (x = minX; x <= maxX; x++)
			{
				for (y = minY; y <= maxY; y++)
				{
					if (this.cells[x][y] !== 0)
					{
						canMoveDirect = false;
						
						// Break both loops
						x = maxX + 1;
						break;
					}
				}
			}

			// A "direct" path is available (box is empty)
			if (canMoveDirect)
			{
				for (i = 0, len = this.pathList.length; i < len; i++)
					freeResultNode(this.pathList[i]);
				this.pathList.length = 0;
			
				this.pathEnd.x = endX;
				this.pathEnd.y = endY;
				this.pathEnd.parent = null;
				n = allocResultNode();
				n.x = endX;
				n.y = endY;
				this.pathList.push(n);
				successCallback();
				return;
			}
		}
		
		if (workersSupported)
		{
			// recycle objects in the worker queue
			if (this.workerRecycle.length)
				h = this.workerRecycle.pop();
			else
				h = {};
			
			h.success = successCallback;
			h.fail = failCallback;
			
			// dispatch the heavy lifting to the worker thread
			this.workerQueue.push(h);

			this.worker.postMessage({
				cmd: "find",
				startX: startX,
				startY: startY,
				endX: endX,
				endY: endY
			});
		}
		else
		{
			// no web worker support, just run on main thread
			if (this.doLongFindPath(startX, startY))
				successCallback();
			else
				failCallback();
		}
	};
		
	pathfinder.prototype.doLongFindPath = function (startX, startY)
	{
		var i, len, c, n, p, lastDir = 8, curDir = -1, addNode;
		for (i = 0, len = this.openList.length; i < len; i++)
			freeNode(this.openList[i]);
		for (i = 0, len = this.closedList.length; i < len; i++)
			freeNode(this.closedList[i]);
		for (i = 0, len = this.pathList.length; i < len; i++)
			freeResultNode(this.pathList[i]);
		this.openList.length = 0;
		this.closedList.length = 0;
		this.closedCache = {};
		this.pathList.length = 0;

		// Add the start node to the open list
		var startNode = allocNode();
		startNode.x = startX;
		startNode.y = startY;

		this.openList.push(startNode);
		var obsLeft = false, obsTop = false, obsRight = false, obsBottom = false;
		var diagonals = this.diagonalsEnabled;
		
		// While there are nodes on the open list
		while (this.openList.length)
		{
			// Move the best F value to closed list
			c = this.openList.shift();
			this.closedList.unshift(c);
			this.closedCache[((c.x << 16) + c.y).toString()] = true;

			// Are we there yet?
			if (c.x === this.targetX && c.y === this.targetY)
			{
				this.pathEnd.parent = c.parent;
				this.pathEnd.x = c.x;
				this.pathEnd.y = c.y;
				
				// Link up the whole path to an indexable array
				p = this.pathEnd;
				
				while (p)
				{
					// filter redundant nodes in straight lines
					if (this.pathList.length === 0)
					{
						addNode = true;
						
						if (p.parent)
						{
							lastDir = this.nodeDirection(p, p.parent);
							curDir = lastDir;
						}
					}
					else if (!p.parent)
						addNode = false;
					else 
					{
						curDir = this.nodeDirection(p, p.parent);
						addNode = (curDir !== lastDir);
					}
					
					if (addNode)
					{
						n = allocResultNode();
						n.x = p.x;
						n.y = p.y;
						this.pathList.unshift(n);
						lastDir = curDir;
					}
					
					p = p.parent;
				}
				
				return true;
			}

			// Get current node
			this.currentNode = c;
			var x = c.x;
			var y = c.y;
			
			var obsLeft = (this.at(x - 1, y) === PF_OBSTACLE);
			var obsTop = (this.at(x, y - 1) === PF_OBSTACLE);
			var obsRight = (this.at(x + 1, y) === PF_OBSTACLE);
			var obsBottom = (this.at(x, y + 1) === PF_OBSTACLE);

			// Check adjacent 8 nodes.  No diagonals allowed if either cell being crossed is obstacle.
			if (!obsLeft)
				this.addCellToOpenList(x - 1, y, 10);

			if (diagonals && !obsLeft && !obsTop)
				this.addCellToOpenList(x - 1, y - 1, 14);

			if (!obsTop)
				this.addCellToOpenList(x, y - 1, 10);

			if (diagonals && !obsTop && !obsRight)
				this.addCellToOpenList(x + 1, y - 1, 14);

			if (!obsRight)
				this.addCellToOpenList(x + 1, y, 10);

			if (diagonals && !obsRight && !obsBottom)
				this.addCellToOpenList(x + 1, y + 1, 14);

			if (!obsBottom)
				this.addCellToOpenList(x, y + 1, 10);

			if (diagonals && !obsBottom && !obsLeft)
				this.addCellToOpenList(x - 1, y + 1, 14);
		}
		
		return false;
	};
	
	pathfinder.prototype.insertToOpenList = function (c)
	{
		var i, len;
		
		// Needs to go at end
		if (c.f >= this.openList[this.openList.length - 1].f)
		{
			this.openList.push(c);
		}
		else
		{
			for (i = 0, len = this.openList.length; i < len; i++)
			{
				if (c.f < this.openList[i].f)
				{
					this.openList.splice(i, 0, c);
					break;
				}
			}
		}
	};
	
	pathfinder.prototype.addCellToOpenList = function (x_, y_, g_)
	{
		// Ignore if cell on closed list
		if (this.closedCache.hasOwnProperty(((x_ << 16) + y_).toString()))
			return;
		
		var i, len, c;
		
		// Cell costs can be increased by changing the number in the map
		var curCellCost = this.at(x_, y_);

		// Is this cell already on the open list?
		for (i = 0, len = this.openList.length; i < len; i++)
		{
			c = this.openList[i];
			
			if (x_ === c.x && y_ === c.y)
			{
				// Is this a better path?
				if (this.currentNode.g + g_ + curCellCost < c.g)
				{
					// Update F, G and H and update parent
					c.parent = this.currentNode;
					c.g = this.currentNode.g + g_ + curCellCost;
					c.h = this.estimateH(c.x, c.y);
					c.f = c.g + c.h;

					// This node's F has changed:  Delete it then re-insert it in the right place

					if (this.openList.length === 1)
					{
						// no need to remove then re-insert same node, just leave it there
						return;
					}
					
					this.openList.splice(i, 1);
					this.insertToOpenList(c);
				}

				return;
			}
		}

		// Not on the open list; add it in the right place
		c = allocNode();
		c.x = x_;
		c.y = y_;
		c.h = this.estimateH(x_, y_);
		c.g = this.currentNode.g + g_ + curCellCost;
		c.f = c.h + c.g;
		c.parent = this.currentNode;

		// Insert this node sorted in the open list
		// The loop below won't add new largest F values
		if (!this.openList.length)
		{
			this.openList.push(c);
			return;
		}
		
		this.insertToOpenList(c);
	};
	
	function quickAbs(x)
	{
		return x < 0 ? -x : x;
	};
	
	pathfinder.prototype.estimateH = function (x_, y_)
	{
		var dx = quickAbs(x_ - this.targetX);
		var dy = quickAbs(y_ - this.targetY);

		return dx * 10 + dy * 10;
	};
	
	pathfinder.prototype.nodeDirection = function (a, b)
	{
		var ax = a.x;
		var ay = a.y;
		var bx = b.x;
		var by = b.y;

		if (ax === bx)
		{
			if (by > ay) return 6;
			if (by < ay) return 2;
			if (ay == by) return 8;
		}
		else if (ay === by)
		{
			if (bx > ax) return 4;
			if (by < ax) return 0;
		}
		else
		{
			if (bx < ax && by < ay) return 1;
			if (bx > ax && by < ay) return 3;
			if (bx < ax && by > ay) return 7;
			if (bx > ax && by > ay) return 5;
		}
		return 8;
	};
	
	if (!isInWebWorker)
	{
		window.PF_CLEAR = PF_CLEAR;
		window.PF_OBSTACLE = PF_OBSTACLE;
		window.Pathfinder = pathfinder;
		
		window.ResultNode = resultNode;
		window.allocResultNode = allocResultNode;
		window.freeResultNode = freeResultNode;
	}

})();
(function() {
var cr = {};
cr.plugins_ = {};
cr.behaviors = {};
if (typeof Object.getPrototypeOf !== "function")
{
	if (typeof "test".__proto__ === "object")
	{
		Object.getPrototypeOf = function(object) {
			return object.__proto__;
		};
	}
	else
	{
		Object.getPrototypeOf = function(object) {
			return object.constructor.prototype;
		};
	}
}
(function(){
	cr.logexport = function (msg)
	{
		if (window.console && window.console.log)
			window.console.log(msg);
	};
	cr.seal = function(x)
	{
		return x;
	};
	cr.freeze = function(x)
	{
		return x;
	};
	cr.is_undefined = function (x)
	{
		return typeof x === "undefined";
	};
	cr.is_number = function (x)
	{
		return typeof x === "number";
	};
	cr.is_string = function (x)
	{
		return typeof x === "string";
	};
	cr.isPOT = function (x)
	{
		return x > 0 && ((x - 1) & x) === 0;
	};
	cr.nextHighestPowerOfTwo = function(x) {
		--x;
		for (var i = 1; i < 32; i <<= 1) {
			x = x | x >> i;
		}
		return x + 1;
	}
	cr.abs = function (x)
	{
		return (x < 0 ? -x : x);
	};
	cr.max = function (a, b)
	{
		return (a > b ? a : b);
	};
	cr.min = function (a, b)
	{
		return (a < b ? a : b);
	};
	cr.PI = Math.PI;
	cr.round = function (x)
	{
		return (x + 0.5) | 0;
	};
	cr.floor = function (x)
	{
		if (x >= 0)
			return x | 0;
		else
			return (x | 0) - 1;		// correctly round down when negative
	};
	cr.ceil = function (x)
	{
		var f = x | 0;
		return (f === x ? f : f + 1);
	};
	function Vector2(x, y)
	{
		this.x = x;
		this.y = y;
		cr.seal(this);
	};
	Vector2.prototype.offset = function (px, py)
	{
		this.x += px;
		this.y += py;
		return this;
	};
	Vector2.prototype.mul = function (px, py)
	{
		this.x *= px;
		this.y *= py;
		return this;
	};
	cr.vector2 = Vector2;
	cr.segments_intersect = function(a1x, a1y, a2x, a2y, b1x, b1y, b2x, b2y)
	{
		var max_ax, min_ax, max_ay, min_ay, max_bx, min_bx, max_by, min_by;
		if (a1x < a2x)
		{
			min_ax = a1x;
			max_ax = a2x;
		}
		else
		{
			min_ax = a2x;
			max_ax = a1x;
		}
		if (b1x < b2x)
		{
			min_bx = b1x;
			max_bx = b2x;
		}
		else
		{
			min_bx = b2x;
			max_bx = b1x;
		}
		if (max_ax < min_bx || min_ax > max_bx)
			return false;
		if (a1y < a2y)
		{
			min_ay = a1y;
			max_ay = a2y;
		}
		else
		{
			min_ay = a2y;
			max_ay = a1y;
		}
		if (b1y < b2y)
		{
			min_by = b1y;
			max_by = b2y;
		}
		else
		{
			min_by = b2y;
			max_by = b1y;
		}
		if (max_ay < min_by || min_ay > max_by)
			return false;
		var dpx = b1x - a1x + b2x - a2x;
		var dpy = b1y - a1y + b2y - a2y;
		var qax = a2x - a1x;
		var qay = a2y - a1y;
		var qbx = b2x - b1x;
		var qby = b2y - b1y;
		var d = cr.abs(qay * qbx - qby * qax);
		var la = qbx * dpy - qby * dpx;
		if (cr.abs(la) > d)
			return false;
		var lb = qax * dpy - qay * dpx;
		return cr.abs(lb) <= d;
	};
	function Rect(left, top, right, bottom)
	{
		this.set(left, top, right, bottom);
		cr.seal(this);
	};
	Rect.prototype.set = function (left, top, right, bottom)
	{
		this.left = left;
		this.top = top;
		this.right = right;
		this.bottom = bottom;
	};
	Rect.prototype.copy = function (r)
	{
		this.left = r.left;
		this.top = r.top;
		this.right = r.right;
		this.bottom = r.bottom;
	};
	Rect.prototype.width = function ()
	{
		return this.right - this.left;
	};
	Rect.prototype.height = function ()
	{
		return this.bottom - this.top;
	};
	Rect.prototype.offset = function (px, py)
	{
		this.left += px;
		this.top += py;
		this.right += px;
		this.bottom += py;
		return this;
	};
	Rect.prototype.normalize = function ()
	{
		var temp = 0;
		if (this.left > this.right)
		{
			temp = this.left;
			this.left = this.right;
			this.right = temp;
		}
		if (this.top > this.bottom)
		{
			temp = this.top;
			this.top = this.bottom;
			this.bottom = temp;
		}
	};
	Rect.prototype.intersects_rect = function (rc)
	{
		return !(rc.right < this.left || rc.bottom < this.top || rc.left > this.right || rc.top > this.bottom);
	};
	Rect.prototype.intersects_rect_off = function (rc, ox, oy)
	{
		return !(rc.right + ox < this.left || rc.bottom + oy < this.top || rc.left + ox > this.right || rc.top + oy > this.bottom);
	};
	Rect.prototype.contains_pt = function (x, y)
	{
		return (x >= this.left && x <= this.right) && (y >= this.top && y <= this.bottom);
	};
	Rect.prototype.equals = function (r)
	{
		return this.left === r.left && this.top === r.top && this.right === r.right && this.bottom === r.bottom;
	};
	cr.rect = Rect;
	function Quad()
	{
		this.tlx = 0;
		this.tly = 0;
		this.trx = 0;
		this.try_ = 0;	// is a keyword otherwise!
		this.brx = 0;
		this.bry = 0;
		this.blx = 0;
		this.bly = 0;
		cr.seal(this);
	};
	Quad.prototype.set_from_rect = function (rc)
	{
		this.tlx = rc.left;
		this.tly = rc.top;
		this.trx = rc.right;
		this.try_ = rc.top;
		this.brx = rc.right;
		this.bry = rc.bottom;
		this.blx = rc.left;
		this.bly = rc.bottom;
	};
	Quad.prototype.set_from_rotated_rect = function (rc, a)
	{
		if (a === 0)
		{
			this.set_from_rect(rc);
		}
		else
		{
			var sin_a = Math.sin(a);
			var cos_a = Math.cos(a);
			var left_sin_a = rc.left * sin_a;
			var top_sin_a = rc.top * sin_a;
			var right_sin_a = rc.right * sin_a;
			var bottom_sin_a = rc.bottom * sin_a;
			var left_cos_a = rc.left * cos_a;
			var top_cos_a = rc.top * cos_a;
			var right_cos_a = rc.right * cos_a;
			var bottom_cos_a = rc.bottom * cos_a;
			this.tlx = left_cos_a - top_sin_a;
			this.tly = top_cos_a + left_sin_a;
			this.trx = right_cos_a - top_sin_a;
			this.try_ = top_cos_a + right_sin_a;
			this.brx = right_cos_a - bottom_sin_a;
			this.bry = bottom_cos_a + right_sin_a;
			this.blx = left_cos_a - bottom_sin_a;
			this.bly = bottom_cos_a + left_sin_a;
		}
	};
	Quad.prototype.offset = function (px, py)
	{
		this.tlx += px;
		this.tly += py;
		this.trx += px;
		this.try_ += py;
		this.brx += px;
		this.bry += py;
		this.blx += px;
		this.bly += py;
		return this;
	};
	var minresult = 0;
	var maxresult = 0;
	function minmax4(a, b, c, d)
	{
		if (a < b)
		{
			if (c < d)
			{
				if (a < c)
					minresult = a;
				else
					minresult = c;
				if (b > d)
					maxresult = b;
				else
					maxresult = d;
			}
			else
			{
				if (a < d)
					minresult = a;
				else
					minresult = d;
				if (b > c)
					maxresult = b;
				else
					maxresult = c;
			}
		}
		else
		{
			if (c < d)
			{
				if (b < c)
					minresult = b;
				else
					minresult = c;
				if (a > d)
					maxresult = a;
				else
					maxresult = d;
			}
			else
			{
				if (b < d)
					minresult = b;
				else
					minresult = d;
				if (a > c)
					maxresult = a;
				else
					maxresult = c;
			}
		}
	};
	Quad.prototype.bounding_box = function (rc)
	{
		minmax4(this.tlx, this.trx, this.brx, this.blx);
		rc.left = minresult;
		rc.right = maxresult;
		minmax4(this.tly, this.try_, this.bry, this.bly);
		rc.top = minresult;
		rc.bottom = maxresult;
	};
	Quad.prototype.contains_pt = function (x, y)
	{
		var v0x = this.trx - this.tlx;
		var v0y = this.try_ - this.tly;
		var v1x = this.brx - this.tlx;
		var v1y = this.bry - this.tly;
		var v2x = x - this.tlx;
		var v2y = y - this.tly;
		var dot00 = v0x * v0x + v0y * v0y
		var dot01 = v0x * v1x + v0y * v1y
		var dot02 = v0x * v2x + v0y * v2y
		var dot11 = v1x * v1x + v1y * v1y
		var dot12 = v1x * v2x + v1y * v2y
		var invDenom = 1.0 / (dot00 * dot11 - dot01 * dot01);
		var u = (dot11 * dot02 - dot01 * dot12) * invDenom;
		var v = (dot00 * dot12 - dot01 * dot02) * invDenom;
		if ((u >= 0.0) && (v > 0.0) && (u + v < 1))
			return true;
		v0x = this.blx - this.tlx;
		v0y = this.bly - this.tly;
		var dot00 = v0x * v0x + v0y * v0y
		var dot01 = v0x * v1x + v0y * v1y
		var dot02 = v0x * v2x + v0y * v2y
		invDenom = 1.0 / (dot00 * dot11 - dot01 * dot01);
		u = (dot11 * dot02 - dot01 * dot12) * invDenom;
		v = (dot00 * dot12 - dot01 * dot02) * invDenom;
		return (u >= 0.0) && (v > 0.0) && (u + v < 1);
	};
	Quad.prototype.at = function (i, xory)
	{
		if (xory)
		{
			switch (i)
			{
				case 0: return this.tlx;
				case 1: return this.trx;
				case 2: return this.brx;
				case 3: return this.blx;
				case 4: return this.tlx;
				default: return this.tlx;
			}
		}
		else
		{
			switch (i)
			{
				case 0: return this.tly;
				case 1: return this.try_;
				case 2: return this.bry;
				case 3: return this.bly;
				case 4: return this.tly;
				default: return this.tly;
			}
		}
	};
	Quad.prototype.midX = function ()
	{
		return (this.tlx + this.trx  + this.brx + this.blx) / 4;
	};
	Quad.prototype.midY = function ()
	{
		return (this.tly + this.try_ + this.bry + this.bly) / 4;
	};
	Quad.prototype.intersects_segment = function (x1, y1, x2, y2)
	{
		if (this.contains_pt(x1, y1) || this.contains_pt(x2, y2))
			return true;
		var a1x, a1y, a2x, a2y;
		var i;
		for (i = 0; i < 4; i++)
		{
			a1x = this.at(i, true);
			a1y = this.at(i, false);
			a2x = this.at(i + 1, true);
			a2y = this.at(i + 1, false);
			if (cr.segments_intersect(x1, y1, x2, y2, a1x, a1y, a2x, a2y))
				return true;
		}
		return false;
	};
	Quad.prototype.intersects_quad = function (rhs)
	{
		var midx = rhs.midX();
		var midy = rhs.midY();
		if (this.contains_pt(midx, midy))
			return true;
		midx = this.midX();
		midy = this.midY();
		if (rhs.contains_pt(midx, midy))
			return true;
		var a1x, a1y, a2x, a2y, b1x, b1y, b2x, b2y;
		var i, j;
		for (i = 0; i < 4; i++)
		{
			for (j = 0; j < 4; j++)
			{
				a1x = this.at(i, true);
				a1y = this.at(i, false);
				a2x = this.at(i + 1, true);
				a2y = this.at(i + 1, false);
				b1x = rhs.at(j, true);
				b1y = rhs.at(j, false);
				b2x = rhs.at(j + 1, true);
				b2y = rhs.at(j + 1, false);
				if (cr.segments_intersect(a1x, a1y, a2x, a2y, b1x, b1y, b2x, b2y))
					return true;
			}
		}
		return false;
	};
	cr.quad = Quad;
	cr.RGB = function (red, green, blue)
	{
		return Math.max(Math.min(red, 255), 0)
			 | (Math.max(Math.min(green, 255), 0) << 8)
			 | (Math.max(Math.min(blue, 255), 0) << 16);
	};
	cr.GetRValue = function (rgb)
	{
		return rgb & 0xFF;
	};
	cr.GetGValue = function (rgb)
	{
		return (rgb & 0xFF00) >> 8;
	};
	cr.GetBValue = function (rgb)
	{
		return (rgb & 0xFF0000) >> 16;
	};
	cr.shallowCopy = function (a, b, allowOverwrite)
	{
		var attr;
		for (attr in b)
		{
			if (b.hasOwnProperty(attr))
			{
;
				a[attr] = b[attr];
			}
		}
		return a;
	};
	cr.arrayRemove = function (arr, index)
	{
		var i, len;
		index = cr.floor(index);
		if (index < 0 || index >= arr.length)
			return;							// index out of bounds
		if (index === 0)					// removing first item
			arr.shift();
		else if (index === arr.length - 1)	// removing last item
			arr.pop();
		else
		{
			for (i = index, len = arr.length - 1; i < len; i++)
				arr[i] = arr[i + 1];
			arr.length = len;
		}
	};
	cr.shallowAssignArray = function (dest, src)
	{
		dest.length = src.length;
		var i, len;
		for (i = 0, len = src.length; i < len; i++)
			dest[i] = src[i];
	};
	cr.appendArray = function (a, b)
	{
		a.push.apply(a, b);
	};
	cr.arrayFindRemove = function (arr, item)
	{
		var index = arr.indexOf(item);
		if (index !== -1)
			cr.arrayRemove(arr, index);
	};
	cr.clamp = function(x, a, b)
	{
		if (x < a)
			return a;
		else if (x > b)
			return b;
		else
			return x;
	};
	cr.to_radians = function(x)
	{
		return x / (180.0 / cr.PI);
	};
	cr.to_degrees = function(x)
	{
		return x * (180.0 / cr.PI);
	};
	cr.clamp_angle_degrees = function (a)
	{
		a %= 360;       // now in (-360, 360) range
		if (a < 0)
			a += 360;   // now in [0, 360) range
		return a;
	};
	cr.clamp_angle = function (a)
	{
		a %= 2 * cr.PI;       // now in (-2pi, 2pi) range
		if (a < 0)
			a += 2 * cr.PI;   // now in [0, 2pi) range
		return a;
	};
	cr.to_clamped_degrees = function (x)
	{
		return cr.clamp_angle_degrees(cr.to_degrees(x));
	};
	cr.to_clamped_radians = function (x)
	{
		return cr.clamp_angle(cr.to_radians(x));
	};
	cr.angleTo = function(x1, y1, x2, y2)
	{
		var dx = x2 - x1;
        var dy = y2 - y1;
		return Math.atan2(dy, dx);
	};
	cr.angleDiff = function (a1, a2)
	{
		if (a1 === a2)
			return 0;
		var s1 = Math.sin(a1);
		var c1 = Math.cos(a1);
		var s2 = Math.sin(a2);
		var c2 = Math.cos(a2);
		var n = s1 * s2 + c1 * c2;
		if (n >= 1)
			return 0;
		if (n <= -1)
			return cr.PI;
		return Math.acos(n);
	};
	cr.angleRotate = function (start, end, step)
	{
		var ss = Math.sin(start);
		var cs = Math.cos(start);
		var se = Math.sin(end);
		var ce = Math.cos(end);
		if (Math.acos(ss * se + cs * ce) > step)
		{
			if (cs * se - ss * ce > 0)
				return cr.clamp_angle(start + step);
			else
				return cr.clamp_angle(start - step);
		}
		else
			return cr.clamp_angle(end);
	};
	cr.angleClockwise = function (a1, a2)
	{
		var s1 = Math.sin(a1);
		var c1 = Math.cos(a1);
		var s2 = Math.sin(a2);
		var c2 = Math.cos(a2);
		return c1 * s2 - s1 * c2 <= 0;
	};
	cr.rotatePtAround = function (px, py, a, ox, oy, getx)
	{
		if (a === 0)
			return getx ? px : py;
		var sin_a = Math.sin(a);
		var cos_a = Math.cos(a);
		px -= ox;
		py -= oy;
		var left_sin_a = px * sin_a;
		var top_sin_a = py * sin_a;
		var left_cos_a = px * cos_a;
		var top_cos_a = py * cos_a;
		px = left_cos_a - top_sin_a;
		py = top_cos_a + left_sin_a;
		px += ox;
		py += oy;
		return getx ? px : py;
	}
	cr.distanceTo = function(x1, y1, x2, y2)
	{
		var dx = x2 - x1;
        var dy = y2 - y1;
		return Math.sqrt(dx*dx + dy*dy);
	};
	cr.xor = function (x, y)
	{
		return !x !== !y;
	};
	cr.lerp = function (a, b, x)
	{
		return a + (b - a) * x;
	};
	cr.unlerp = function (a, b, c)
	{
		if (a === b)
			return 0;		// avoid divide by 0
		return (c - a) / (b - a);
	};
	cr.anglelerp = function (a, b, x)
	{
		var diff = cr.angleDiff(a, b);
		if (cr.angleClockwise(b, a))
		{
			return a + diff * x;
		}
		else
		{
			return a - diff * x;
		}
	};
	cr.hasAnyOwnProperty = function (o)
	{
		var p;
		for (p in o)
		{
			if (o.hasOwnProperty(p))
				return true;
		}
		return false;
	};
	cr.wipe = function (obj)
	{
		var p;
		for (p in obj)
		{
			if (obj.hasOwnProperty(p))
				delete obj[p];
		}
	};
	var startup_time = +(new Date());
	cr.performance_now = function()
	{
		if (typeof window["performance"] !== "undefined")
		{
			var winperf = window["performance"];
			if (typeof winperf.now !== "undefined")
				return winperf.now();
			else if (typeof winperf["webkitNow"] !== "undefined")
				return winperf["webkitNow"]();
			else if (typeof winperf["mozNow"] !== "undefined")
				return winperf["mozNow"]();
			else if (typeof winperf["msNow"] !== "undefined")
				return winperf["msNow"]();
		}
		return Date.now() - startup_time;
	};
	var supports_set = (typeof Set !== "undefined" && typeof Set.prototype["forEach"] !== "undefined");
	function ObjectSet_()
	{
		this.s = null;
		this.items = null;
		this.item_count = 0;
		if (supports_set)
		{
			this.s = new Set();
		}
		else
		{
			this.items = {};
		}
		this.values_cache = [];
		this.cache_valid = true;
		cr.seal(this);
	};
	ObjectSet_.prototype.contains = function (x)
	{
		if (supports_set)
			return this.s["has"](x);
		else
			return this.items.hasOwnProperty(x.toString());
	};
	ObjectSet_.prototype.add = function (x)
	{
		if (supports_set)
		{
			if (!this.s["has"](x))
			{
				this.s["add"](x);
				this.cache_valid = false;
			}
		}
		else
		{
			var str = x.toString();
			if (!this.items.hasOwnProperty(str))
			{
				this.items[str] = x;
				this.item_count++;
				this.cache_valid = false;
			}
		}
		return this;
	};
	ObjectSet_.prototype.remove = function (x)
	{
		if (supports_set)
		{
			if (this.s["has"](x))
			{
				this.s["delete"](x);
				this.cache_valid = false;
			}
		}
		else
		{
			var str = x.toString();
			if (this.items.hasOwnProperty(str))
			{
				delete this.items[str];
				this.item_count--;
				this.cache_valid = false;
			}
		}
		return this;
	};
	ObjectSet_.prototype.clear = function ()
	{
		if (supports_set)
		{
			this.s["clear"]();
		}
		else
		{
			this.items = {};
			this.item_count = 0;
		}
		this.values_cache.length = 0;
		this.cache_valid = true;
		return this;
	};
	ObjectSet_.prototype.isEmpty = function ()
	{
		if (supports_set)
			return this.s["size"] === 0;
		else
			return this.item_count === 0;
	};
	ObjectSet_.prototype.count = function ()
	{
		if (supports_set)
			return this.s["size"];
		else
			return this.item_count;
	};
	var current_arr = null;
	var current_index = 0;
	function set_append_to_arr(x)
	{
		current_arr[current_index++] = x;
	};
	ObjectSet_.prototype.update_cache = function ()
	{
		if (this.cache_valid)
			return;
		if (supports_set)
		{
			this.values_cache.length = this.s["size"];
			current_arr = this.values_cache;
			current_index = 0;
			this.s["forEach"](set_append_to_arr);
;
			current_arr = null;
			current_index = 0;
		}
		else
		{
			this.values_cache.length = this.item_count;
			var p, n = 0;
			for (p in this.items)
			{
				if (this.items.hasOwnProperty(p))
					this.values_cache[n++] = this.items[p];
			}
;
		}
		this.cache_valid = true;
	};
	ObjectSet_.prototype.values = function ()
	{
		this.update_cache();
		return this.values_cache.slice(0);
	};
	ObjectSet_.prototype.valuesRef = function ()
	{
		this.update_cache();
		return this.values_cache;
	};
	cr.ObjectSet = ObjectSet_;
	function KahanAdder_()
	{
		this.c = 0;
        this.y = 0;
        this.t = 0;
        this.sum = 0;
		cr.seal(this);
	};
	KahanAdder_.prototype.add = function (v)
	{
		this.y = v - this.c;
	    this.t = this.sum + this.y;
	    this.c = (this.t - this.sum) - this.y;
	    this.sum = this.t;
	};
    KahanAdder_.prototype.reset = function ()
    {
        this.c = 0;
        this.y = 0;
        this.t = 0;
        this.sum = 0;
    };
	cr.KahanAdder = KahanAdder_;
	cr.regexp_escape = function(text)
	{
		return text.replace(/[-[\]{}()*+?.,\\^$|#\s]/g, "\\$&");
	};
	function CollisionPoly_(pts_array_)
	{
		this.pts_cache = [];
		this.bboxLeft = 0;
		this.bboxTop = 0;
		this.bboxRight = 0;
		this.bboxBottom = 0;
		this.convexpolys = null;		// for physics behavior to cache separated polys
		this.set_pts(pts_array_);
		cr.seal(this);
	};
	CollisionPoly_.prototype.set_pts = function(pts_array_)
	{
		this.pts_array = pts_array_;
		this.pts_count = pts_array_.length / 2;			// x, y, x, y... in array
		this.pts_cache.length = pts_array_.length;
		this.cache_width = -1;
		this.cache_height = -1;
		this.cache_angle = 0;
	};
	CollisionPoly_.prototype.is_empty = function()
	{
		return !this.pts_array.length;
	};
	CollisionPoly_.prototype.update_bbox = function ()
	{
		var myptscache = this.pts_cache;
		var bboxLeft_ = myptscache[0];
		var bboxRight_ = bboxLeft_;
		var bboxTop_ = myptscache[1];
		var bboxBottom_ = bboxTop_;
		var x, y, i = 1, i2, len = this.pts_count;
		for ( ; i < len; ++i)
		{
			i2 = i*2;
			x = myptscache[i2];
			y = myptscache[i2+1];
			if (x < bboxLeft_)
				bboxLeft_ = x;
			if (x > bboxRight_)
				bboxRight_ = x;
			if (y < bboxTop_)
				bboxTop_ = y;
			if (y > bboxBottom_)
				bboxBottom_ = y;
		}
		this.bboxLeft = bboxLeft_;
		this.bboxRight = bboxRight_;
		this.bboxTop = bboxTop_;
		this.bboxBottom = bboxBottom_;
	};
	CollisionPoly_.prototype.set_from_rect = function(rc, offx, offy)
	{
		this.pts_cache.length = 8;
		this.pts_count = 4;
		var myptscache = this.pts_cache;
		myptscache[0] = rc.left - offx;
		myptscache[1] = rc.top - offy;
		myptscache[2] = rc.right - offx;
		myptscache[3] = rc.top - offy;
		myptscache[4] = rc.right - offx;
		myptscache[5] = rc.bottom - offy;
		myptscache[6] = rc.left - offx;
		myptscache[7] = rc.bottom - offy;
		this.cache_width = rc.right - rc.left;
		this.cache_height = rc.bottom - rc.top;
		this.update_bbox();
	};
	CollisionPoly_.prototype.set_from_quad = function(q, offx, offy, w, h)
	{
		this.pts_cache.length = 8;
		this.pts_count = 4;
		var myptscache = this.pts_cache;
		myptscache[0] = q.tlx - offx;
		myptscache[1] = q.tly - offy;
		myptscache[2] = q.trx - offx;
		myptscache[3] = q.try_ - offy;
		myptscache[4] = q.brx - offx;
		myptscache[5] = q.bry - offy;
		myptscache[6] = q.blx - offx;
		myptscache[7] = q.bly - offy;
		this.cache_width = w;
		this.cache_height = h;
		this.update_bbox();
	};
	CollisionPoly_.prototype.set_from_poly = function (r)
	{
		this.pts_count = r.pts_count;
		cr.shallowAssignArray(this.pts_cache, r.pts_cache);
		this.bboxLeft = r.bboxLeft;
		this.bboxTop - r.bboxTop;
		this.bboxRight = r.bboxRight;
		this.bboxBottom = r.bboxBottom;
	};
	CollisionPoly_.prototype.cache_poly = function(w, h, a)
	{
		if (this.cache_width === w && this.cache_height === h && this.cache_angle === a)
			return;		// cache up-to-date
		this.cache_width = w;
		this.cache_height = h;
		this.cache_angle = a;
		var i, i2, i21, len, x, y;
		var sina = 0;
		var cosa = 1;
		var myptsarray = this.pts_array;
		var myptscache = this.pts_cache;
		if (a !== 0)
		{
			sina = Math.sin(a);
			cosa = Math.cos(a);
		}
		for (i = 0, len = this.pts_count; i < len; i++)
		{
			i2 = i*2;
			i21 = i2+1;
			x = myptsarray[i2] * w;
			y = myptsarray[i21] * h;
			myptscache[i2] = (x * cosa) - (y * sina);
			myptscache[i21] = (y * cosa) + (x * sina);
		}
		this.update_bbox();
	};
	CollisionPoly_.prototype.contains_pt = function (a2x, a2y)
	{
		var myptscache = this.pts_cache;
		if (a2x === myptscache[0] && a2y === myptscache[1])
			return true;
		var i, i2, imod, len = this.pts_count;
		var a1x = this.bboxLeft - 110;
		var a1y = this.bboxTop - 101;
		var a3x = this.bboxRight + 131
		var a3y = this.bboxBottom + 120;
		var b1x, b1y, b2x, b2y;
		var count1 = 0, count2 = 0;
		for (i = 0; i < len; i++)
		{
			i2 = i*2;
			imod = ((i+1)%len)*2;
			b1x = myptscache[i2];
			b1y = myptscache[i2+1];
			b2x = myptscache[imod];
			b2y = myptscache[imod+1];
			if (cr.segments_intersect(a1x, a1y, a2x, a2y, b1x, b1y, b2x, b2y))
				count1++;
			if (cr.segments_intersect(a3x, a3y, a2x, a2y, b1x, b1y, b2x, b2y))
				count2++;
		}
		return (count1 % 2 === 1) || (count2 % 2 === 1);
	};
	CollisionPoly_.prototype.intersects_poly = function (rhs, offx, offy)
	{
		var rhspts = rhs.pts_cache;
		var mypts = this.pts_cache;
		if (this.contains_pt(rhspts[0] + offx, rhspts[1] + offy))
			return true;
		if (rhs.contains_pt(mypts[0] - offx, mypts[1] - offy))
			return true;
		var i, i2, imod, leni, j, j2, jmod, lenj;
		var a1x, a1y, a2x, a2y, b1x, b1y, b2x, b2y;
		for (i = 0, leni = this.pts_count; i < leni; i++)
		{
			i2 = i*2;
			imod = ((i+1)%leni)*2;
			a1x = mypts[i2];
			a1y = mypts[i2+1];
			a2x = mypts[imod];
			a2y = mypts[imod+1];
			for (j = 0, lenj = rhs.pts_count; j < lenj; j++)
			{
				j2 = j*2;
				jmod = ((j+1)%lenj)*2;
				b1x = rhspts[j2] + offx;
				b1y = rhspts[j2+1] + offy;
				b2x = rhspts[jmod] + offx;
				b2y = rhspts[jmod+1] + offy;
				if (cr.segments_intersect(a1x, a1y, a2x, a2y, b1x, b1y, b2x, b2y))
					return true;
			}
		}
		return false;
	};
	CollisionPoly_.prototype.intersects_segment = function (offx, offy, x1, y1, x2, y2)
	{
		var mypts = this.pts_cache;
		if (this.contains_pt(x1 - offx, y1 - offy))
			return true;
		var i, leni, i2, imod;
		var a1x, a1y, a2x, a2y;
		for (i = 0, leni = this.pts_count; i < leni; i++)
		{
			i2 = i*2;
			imod = ((i+1)%leni)*2;
			a1x = mypts[i2] + offx;
			a1y = mypts[i2+1] + offy;
			a2x = mypts[imod] + offx;
			a2y = mypts[imod+1] + offy;
			if (cr.segments_intersect(x1, y1, x2, y2, a1x, a1y, a2x, a2y))
				return true;
		}
		return false;
	};
	CollisionPoly_.prototype.mirror = function (px)
	{
		var i, leni, i2;
		for (i = 0, leni = this.pts_count; i < leni; ++i)
		{
			i2 = i*2;
			this.pts_cache[i2] = px * 2 - this.pts_cache[i2];
		}
	};
	CollisionPoly_.prototype.flip = function (py)
	{
		var i, leni, i21;
		for (i = 0, leni = this.pts_count; i < leni; ++i)
		{
			i21 = i*2+1;
			this.pts_cache[i21] = py * 2 - this.pts_cache[i21];
		}
	};
	CollisionPoly_.prototype.diag = function ()
	{
		var i, leni, i2, i21, temp;
		for (i = 0, leni = this.pts_count; i < leni; ++i)
		{
			i2 = i*2;
			i21 = i2+1;
			temp = this.pts_cache[i2];
			this.pts_cache[i2] = this.pts_cache[i21];
			this.pts_cache[i21] = temp;
		}
	};
	cr.CollisionPoly = CollisionPoly_;
	function SparseGrid_(cellwidth_, cellheight_)
	{
		this.cellwidth = cellwidth_;
		this.cellheight = cellheight_;
		this.cells = {};
	};
	SparseGrid_.prototype.totalCellCount = 0;
	SparseGrid_.prototype.getCell = function (x_, y_, create_if_missing)
	{
		var ret;
		var col = this.cells[x_];
		if (!col)
		{
			if (create_if_missing)
			{
				ret = allocGridCell(this, x_, y_);
				this.cells[x_] = {};
				this.cells[x_][y_] = ret;
				return ret;
			}
			else
				return null;
		}
		ret = col[y_];
		if (ret)
			return ret;
		else if (create_if_missing)
		{
			ret = allocGridCell(this, x_, y_);
			this.cells[x_][y_] = ret;
			return ret;
		}
		else
			return null;
	};
	SparseGrid_.prototype.XToCell = function (x_)
	{
		return cr.floor(x_ / this.cellwidth);
	};
	SparseGrid_.prototype.YToCell = function (y_)
	{
		return cr.floor(y_ / this.cellheight);
	};
	SparseGrid_.prototype.update = function (inst, oldrange, newrange)
	{
		var x, lenx, y, leny, cell;
		if (oldrange)
		{
			for (x = oldrange.left, lenx = oldrange.right; x <= lenx; ++x)
			{
				for (y = oldrange.top, leny = oldrange.bottom; y <= leny; ++y)
				{
					if (newrange && newrange.contains_pt(x, y))
						continue;	// is still in this cell
					cell = this.getCell(x, y, false);	// don't create if missing
					if (!cell)
						continue;	// cell does not exist yet
					cell.remove(inst);
					if (cell.isEmpty())
					{
						freeGridCell(cell);
						this.cells[x][y] = null;
					}
				}
			}
		}
		if (newrange)
		{
			for (x = newrange.left, lenx = newrange.right; x <= lenx; ++x)
			{
				for (y = newrange.top, leny = newrange.bottom; y <= leny; ++y)
				{
					if (oldrange && oldrange.contains_pt(x, y))
						continue;	// is still in this cell
					this.getCell(x, y, true).insert(inst);
				}
			}
		}
	};
	SparseGrid_.prototype.queryRange = function (rc, result)
	{
		var x, lenx, ystart, y, leny, cell;
		x = this.XToCell(rc.left);
		ystart = this.YToCell(rc.top);
		lenx = this.XToCell(rc.right);
		leny = this.YToCell(rc.bottom);
		for ( ; x <= lenx; ++x)
		{
			for (y = ystart; y <= leny; ++y)
			{
				cell = this.getCell(x, y, false);
				if (!cell)
					continue;
				cell.dump(result);
			}
		}
	};
	cr.SparseGrid = SparseGrid_;
	var gridcellcache = [];
	function allocGridCell(grid_, x_, y_)
	{
		var ret;
		SparseGrid_.prototype.totalCellCount++;
		if (gridcellcache.length)
		{
			ret = gridcellcache.pop();
			ret.grid = grid_;
			ret.x = x_;
			ret.y = y_;
			return ret;
		}
		else
			return new cr.GridCell(grid_, x_, y_);
	};
	function freeGridCell(c)
	{
		SparseGrid_.prototype.totalCellCount--;
		c.objects.clear();
		if (gridcellcache.length < 1000)
			gridcellcache.push(c);
	};
	function GridCell_(grid_, x_, y_)
	{
		this.grid = grid_;
		this.x = x_;
		this.y = y_;
		this.objects = new cr.ObjectSet();
	};
	GridCell_.prototype.isEmpty = function ()
	{
		return this.objects.isEmpty();
	};
	GridCell_.prototype.insert = function (inst)
	{
		this.objects.add(inst);
	};
	GridCell_.prototype.remove = function (inst)
	{
		this.objects.remove(inst);
	};
	GridCell_.prototype.dump = function (result)
	{
		cr.appendArray(result, this.objects.valuesRef());
	};
	cr.GridCell = GridCell_;
	var fxNames = [ "lighter",
					"xor",
					"copy",
					"destination-over",
					"source-in",
					"destination-in",
					"source-out",
					"destination-out",
					"source-atop",
					"destination-atop"];
	cr.effectToCompositeOp = function(effect)
	{
		if (effect <= 0 || effect >= 11)
			return "source-over";
		return fxNames[effect - 1];	// not including "none" so offset by 1
	};
	cr.setGLBlend = function(this_, effect, gl)
	{
		if (!gl)
			return;
		this_.srcBlend = gl.ONE;
		this_.destBlend = gl.ONE_MINUS_SRC_ALPHA;
		switch (effect) {
		case 1:		// lighter (additive)
			this_.srcBlend = gl.ONE;
			this_.destBlend = gl.ONE;
			break;
		case 2:		// xor
			break;	// todo
		case 3:		// copy
			this_.srcBlend = gl.ONE;
			this_.destBlend = gl.ZERO;
			break;
		case 4:		// destination-over
			this_.srcBlend = gl.ONE_MINUS_DST_ALPHA;
			this_.destBlend = gl.ONE;
			break;
		case 5:		// source-in
			this_.srcBlend = gl.DST_ALPHA;
			this_.destBlend = gl.ZERO;
			break;
		case 6:		// destination-in
			this_.srcBlend = gl.ZERO;
			this_.destBlend = gl.SRC_ALPHA;
			break;
		case 7:		// source-out
			this_.srcBlend = gl.ONE_MINUS_DST_ALPHA;
			this_.destBlend = gl.ZERO;
			break;
		case 8:		// destination-out
			this_.srcBlend = gl.ZERO;
			this_.destBlend = gl.ONE_MINUS_SRC_ALPHA;
			break;
		case 9:		// source-atop
			this_.srcBlend = gl.DST_ALPHA;
			this_.destBlend = gl.ONE_MINUS_SRC_ALPHA;
			break;
		case 10:	// destination-atop
			this_.srcBlend = gl.ONE_MINUS_DST_ALPHA;
			this_.destBlend = gl.SRC_ALPHA;
			break;
		}
	};
	cr.round6dp = function (x)
	{
		return cr.round(x * 1000000) / 1000000;
	};
	/*
	var localeCompare_options = {
		"usage": "search",
		"sensitivity": "accent"
	};
	var has_localeCompare = !!"a".localeCompare;
	var localeCompare_works1 = (has_localeCompare && "a".localeCompare("A", undefined, localeCompare_options) === 0);
	var localeCompare_works2 = (has_localeCompare && "a".localeCompare("á", undefined, localeCompare_options) !== 0);
	var supports_localeCompare = (has_localeCompare && localeCompare_works1 && localeCompare_works2);
	*/
	cr.equals_nocase = function (a, b)
	{
		if (typeof a !== "string" || typeof b !== "string")
			return false;
		if (a.length !== b.length)
			return false;
		if (a === b)
			return true;
		/*
		if (supports_localeCompare)
		{
			return (a.localeCompare(b, undefined, localeCompare_options) === 0);
		}
		else
		{
		*/
			return a.toLowerCase() === b.toLowerCase();
	};
}());
var MatrixArray=typeof Float32Array!=="undefined"?Float32Array:Array,glMatrixArrayType=MatrixArray,vec3={},mat3={},mat4={},quat4={};vec3.create=function(a){var b=new MatrixArray(3);a&&(b[0]=a[0],b[1]=a[1],b[2]=a[2]);return b};vec3.set=function(a,b){b[0]=a[0];b[1]=a[1];b[2]=a[2];return b};vec3.add=function(a,b,c){if(!c||a===c)return a[0]+=b[0],a[1]+=b[1],a[2]+=b[2],a;c[0]=a[0]+b[0];c[1]=a[1]+b[1];c[2]=a[2]+b[2];return c};
vec3.subtract=function(a,b,c){if(!c||a===c)return a[0]-=b[0],a[1]-=b[1],a[2]-=b[2],a;c[0]=a[0]-b[0];c[1]=a[1]-b[1];c[2]=a[2]-b[2];return c};vec3.negate=function(a,b){b||(b=a);b[0]=-a[0];b[1]=-a[1];b[2]=-a[2];return b};vec3.scale=function(a,b,c){if(!c||a===c)return a[0]*=b,a[1]*=b,a[2]*=b,a;c[0]=a[0]*b;c[1]=a[1]*b;c[2]=a[2]*b;return c};
vec3.normalize=function(a,b){b||(b=a);var c=a[0],d=a[1],e=a[2],g=Math.sqrt(c*c+d*d+e*e);if(g){if(g===1)return b[0]=c,b[1]=d,b[2]=e,b}else return b[0]=0,b[1]=0,b[2]=0,b;g=1/g;b[0]=c*g;b[1]=d*g;b[2]=e*g;return b};vec3.cross=function(a,b,c){c||(c=a);var d=a[0],e=a[1],a=a[2],g=b[0],f=b[1],b=b[2];c[0]=e*b-a*f;c[1]=a*g-d*b;c[2]=d*f-e*g;return c};vec3.length=function(a){var b=a[0],c=a[1],a=a[2];return Math.sqrt(b*b+c*c+a*a)};vec3.dot=function(a,b){return a[0]*b[0]+a[1]*b[1]+a[2]*b[2]};
vec3.direction=function(a,b,c){c||(c=a);var d=a[0]-b[0],e=a[1]-b[1],a=a[2]-b[2],b=Math.sqrt(d*d+e*e+a*a);if(!b)return c[0]=0,c[1]=0,c[2]=0,c;b=1/b;c[0]=d*b;c[1]=e*b;c[2]=a*b;return c};vec3.lerp=function(a,b,c,d){d||(d=a);d[0]=a[0]+c*(b[0]-a[0]);d[1]=a[1]+c*(b[1]-a[1]);d[2]=a[2]+c*(b[2]-a[2]);return d};vec3.str=function(a){return"["+a[0]+", "+a[1]+", "+a[2]+"]"};
mat3.create=function(a){var b=new MatrixArray(9);a&&(b[0]=a[0],b[1]=a[1],b[2]=a[2],b[3]=a[3],b[4]=a[4],b[5]=a[5],b[6]=a[6],b[7]=a[7],b[8]=a[8]);return b};mat3.set=function(a,b){b[0]=a[0];b[1]=a[1];b[2]=a[2];b[3]=a[3];b[4]=a[4];b[5]=a[5];b[6]=a[6];b[7]=a[7];b[8]=a[8];return b};mat3.identity=function(a){a[0]=1;a[1]=0;a[2]=0;a[3]=0;a[4]=1;a[5]=0;a[6]=0;a[7]=0;a[8]=1;return a};
mat3.transpose=function(a,b){if(!b||a===b){var c=a[1],d=a[2],e=a[5];a[1]=a[3];a[2]=a[6];a[3]=c;a[5]=a[7];a[6]=d;a[7]=e;return a}b[0]=a[0];b[1]=a[3];b[2]=a[6];b[3]=a[1];b[4]=a[4];b[5]=a[7];b[6]=a[2];b[7]=a[5];b[8]=a[8];return b};mat3.toMat4=function(a,b){b||(b=mat4.create());b[15]=1;b[14]=0;b[13]=0;b[12]=0;b[11]=0;b[10]=a[8];b[9]=a[7];b[8]=a[6];b[7]=0;b[6]=a[5];b[5]=a[4];b[4]=a[3];b[3]=0;b[2]=a[2];b[1]=a[1];b[0]=a[0];return b};
mat3.str=function(a){return"["+a[0]+", "+a[1]+", "+a[2]+", "+a[3]+", "+a[4]+", "+a[5]+", "+a[6]+", "+a[7]+", "+a[8]+"]"};mat4.create=function(a){var b=new MatrixArray(16);a&&(b[0]=a[0],b[1]=a[1],b[2]=a[2],b[3]=a[3],b[4]=a[4],b[5]=a[5],b[6]=a[6],b[7]=a[7],b[8]=a[8],b[9]=a[9],b[10]=a[10],b[11]=a[11],b[12]=a[12],b[13]=a[13],b[14]=a[14],b[15]=a[15]);return b};
mat4.set=function(a,b){b[0]=a[0];b[1]=a[1];b[2]=a[2];b[3]=a[3];b[4]=a[4];b[5]=a[5];b[6]=a[6];b[7]=a[7];b[8]=a[8];b[9]=a[9];b[10]=a[10];b[11]=a[11];b[12]=a[12];b[13]=a[13];b[14]=a[14];b[15]=a[15];return b};mat4.identity=function(a){a[0]=1;a[1]=0;a[2]=0;a[3]=0;a[4]=0;a[5]=1;a[6]=0;a[7]=0;a[8]=0;a[9]=0;a[10]=1;a[11]=0;a[12]=0;a[13]=0;a[14]=0;a[15]=1;return a};
mat4.transpose=function(a,b){if(!b||a===b){var c=a[1],d=a[2],e=a[3],g=a[6],f=a[7],h=a[11];a[1]=a[4];a[2]=a[8];a[3]=a[12];a[4]=c;a[6]=a[9];a[7]=a[13];a[8]=d;a[9]=g;a[11]=a[14];a[12]=e;a[13]=f;a[14]=h;return a}b[0]=a[0];b[1]=a[4];b[2]=a[8];b[3]=a[12];b[4]=a[1];b[5]=a[5];b[6]=a[9];b[7]=a[13];b[8]=a[2];b[9]=a[6];b[10]=a[10];b[11]=a[14];b[12]=a[3];b[13]=a[7];b[14]=a[11];b[15]=a[15];return b};
mat4.determinant=function(a){var b=a[0],c=a[1],d=a[2],e=a[3],g=a[4],f=a[5],h=a[6],i=a[7],j=a[8],k=a[9],l=a[10],n=a[11],o=a[12],m=a[13],p=a[14],a=a[15];return o*k*h*e-j*m*h*e-o*f*l*e+g*m*l*e+j*f*p*e-g*k*p*e-o*k*d*i+j*m*d*i+o*c*l*i-b*m*l*i-j*c*p*i+b*k*p*i+o*f*d*n-g*m*d*n-o*c*h*n+b*m*h*n+g*c*p*n-b*f*p*n-j*f*d*a+g*k*d*a+j*c*h*a-b*k*h*a-g*c*l*a+b*f*l*a};
mat4.inverse=function(a,b){b||(b=a);var c=a[0],d=a[1],e=a[2],g=a[3],f=a[4],h=a[5],i=a[6],j=a[7],k=a[8],l=a[9],n=a[10],o=a[11],m=a[12],p=a[13],r=a[14],s=a[15],A=c*h-d*f,B=c*i-e*f,t=c*j-g*f,u=d*i-e*h,v=d*j-g*h,w=e*j-g*i,x=k*p-l*m,y=k*r-n*m,z=k*s-o*m,C=l*r-n*p,D=l*s-o*p,E=n*s-o*r,q=1/(A*E-B*D+t*C+u*z-v*y+w*x);b[0]=(h*E-i*D+j*C)*q;b[1]=(-d*E+e*D-g*C)*q;b[2]=(p*w-r*v+s*u)*q;b[3]=(-l*w+n*v-o*u)*q;b[4]=(-f*E+i*z-j*y)*q;b[5]=(c*E-e*z+g*y)*q;b[6]=(-m*w+r*t-s*B)*q;b[7]=(k*w-n*t+o*B)*q;b[8]=(f*D-h*z+j*x)*q;
b[9]=(-c*D+d*z-g*x)*q;b[10]=(m*v-p*t+s*A)*q;b[11]=(-k*v+l*t-o*A)*q;b[12]=(-f*C+h*y-i*x)*q;b[13]=(c*C-d*y+e*x)*q;b[14]=(-m*u+p*B-r*A)*q;b[15]=(k*u-l*B+n*A)*q;return b};mat4.toRotationMat=function(a,b){b||(b=mat4.create());b[0]=a[0];b[1]=a[1];b[2]=a[2];b[3]=a[3];b[4]=a[4];b[5]=a[5];b[6]=a[6];b[7]=a[7];b[8]=a[8];b[9]=a[9];b[10]=a[10];b[11]=a[11];b[12]=0;b[13]=0;b[14]=0;b[15]=1;return b};
mat4.toMat3=function(a,b){b||(b=mat3.create());b[0]=a[0];b[1]=a[1];b[2]=a[2];b[3]=a[4];b[4]=a[5];b[5]=a[6];b[6]=a[8];b[7]=a[9];b[8]=a[10];return b};mat4.toInverseMat3=function(a,b){var c=a[0],d=a[1],e=a[2],g=a[4],f=a[5],h=a[6],i=a[8],j=a[9],k=a[10],l=k*f-h*j,n=-k*g+h*i,o=j*g-f*i,m=c*l+d*n+e*o;if(!m)return null;m=1/m;b||(b=mat3.create());b[0]=l*m;b[1]=(-k*d+e*j)*m;b[2]=(h*d-e*f)*m;b[3]=n*m;b[4]=(k*c-e*i)*m;b[5]=(-h*c+e*g)*m;b[6]=o*m;b[7]=(-j*c+d*i)*m;b[8]=(f*c-d*g)*m;return b};
mat4.multiply=function(a,b,c){c||(c=a);var d=a[0],e=a[1],g=a[2],f=a[3],h=a[4],i=a[5],j=a[6],k=a[7],l=a[8],n=a[9],o=a[10],m=a[11],p=a[12],r=a[13],s=a[14],a=a[15],A=b[0],B=b[1],t=b[2],u=b[3],v=b[4],w=b[5],x=b[6],y=b[7],z=b[8],C=b[9],D=b[10],E=b[11],q=b[12],F=b[13],G=b[14],b=b[15];c[0]=A*d+B*h+t*l+u*p;c[1]=A*e+B*i+t*n+u*r;c[2]=A*g+B*j+t*o+u*s;c[3]=A*f+B*k+t*m+u*a;c[4]=v*d+w*h+x*l+y*p;c[5]=v*e+w*i+x*n+y*r;c[6]=v*g+w*j+x*o+y*s;c[7]=v*f+w*k+x*m+y*a;c[8]=z*d+C*h+D*l+E*p;c[9]=z*e+C*i+D*n+E*r;c[10]=z*g+C*
j+D*o+E*s;c[11]=z*f+C*k+D*m+E*a;c[12]=q*d+F*h+G*l+b*p;c[13]=q*e+F*i+G*n+b*r;c[14]=q*g+F*j+G*o+b*s;c[15]=q*f+F*k+G*m+b*a;return c};mat4.multiplyVec3=function(a,b,c){c||(c=b);var d=b[0],e=b[1],b=b[2];c[0]=a[0]*d+a[4]*e+a[8]*b+a[12];c[1]=a[1]*d+a[5]*e+a[9]*b+a[13];c[2]=a[2]*d+a[6]*e+a[10]*b+a[14];return c};
mat4.multiplyVec4=function(a,b,c){c||(c=b);var d=b[0],e=b[1],g=b[2],b=b[3];c[0]=a[0]*d+a[4]*e+a[8]*g+a[12]*b;c[1]=a[1]*d+a[5]*e+a[9]*g+a[13]*b;c[2]=a[2]*d+a[6]*e+a[10]*g+a[14]*b;c[3]=a[3]*d+a[7]*e+a[11]*g+a[15]*b;return c};
mat4.translate=function(a,b,c){var d=b[0],e=b[1],b=b[2],g,f,h,i,j,k,l,n,o,m,p,r;if(!c||a===c)return a[12]=a[0]*d+a[4]*e+a[8]*b+a[12],a[13]=a[1]*d+a[5]*e+a[9]*b+a[13],a[14]=a[2]*d+a[6]*e+a[10]*b+a[14],a[15]=a[3]*d+a[7]*e+a[11]*b+a[15],a;g=a[0];f=a[1];h=a[2];i=a[3];j=a[4];k=a[5];l=a[6];n=a[7];o=a[8];m=a[9];p=a[10];r=a[11];c[0]=g;c[1]=f;c[2]=h;c[3]=i;c[4]=j;c[5]=k;c[6]=l;c[7]=n;c[8]=o;c[9]=m;c[10]=p;c[11]=r;c[12]=g*d+j*e+o*b+a[12];c[13]=f*d+k*e+m*b+a[13];c[14]=h*d+l*e+p*b+a[14];c[15]=i*d+n*e+r*b+a[15];
return c};mat4.scale=function(a,b,c){var d=b[0],e=b[1],b=b[2];if(!c||a===c)return a[0]*=d,a[1]*=d,a[2]*=d,a[3]*=d,a[4]*=e,a[5]*=e,a[6]*=e,a[7]*=e,a[8]*=b,a[9]*=b,a[10]*=b,a[11]*=b,a;c[0]=a[0]*d;c[1]=a[1]*d;c[2]=a[2]*d;c[3]=a[3]*d;c[4]=a[4]*e;c[5]=a[5]*e;c[6]=a[6]*e;c[7]=a[7]*e;c[8]=a[8]*b;c[9]=a[9]*b;c[10]=a[10]*b;c[11]=a[11]*b;c[12]=a[12];c[13]=a[13];c[14]=a[14];c[15]=a[15];return c};
mat4.rotate=function(a,b,c,d){var e=c[0],g=c[1],c=c[2],f=Math.sqrt(e*e+g*g+c*c),h,i,j,k,l,n,o,m,p,r,s,A,B,t,u,v,w,x,y,z;if(!f)return null;f!==1&&(f=1/f,e*=f,g*=f,c*=f);h=Math.sin(b);i=Math.cos(b);j=1-i;b=a[0];f=a[1];k=a[2];l=a[3];n=a[4];o=a[5];m=a[6];p=a[7];r=a[8];s=a[9];A=a[10];B=a[11];t=e*e*j+i;u=g*e*j+c*h;v=c*e*j-g*h;w=e*g*j-c*h;x=g*g*j+i;y=c*g*j+e*h;z=e*c*j+g*h;e=g*c*j-e*h;g=c*c*j+i;d?a!==d&&(d[12]=a[12],d[13]=a[13],d[14]=a[14],d[15]=a[15]):d=a;d[0]=b*t+n*u+r*v;d[1]=f*t+o*u+s*v;d[2]=k*t+m*u+A*
v;d[3]=l*t+p*u+B*v;d[4]=b*w+n*x+r*y;d[5]=f*w+o*x+s*y;d[6]=k*w+m*x+A*y;d[7]=l*w+p*x+B*y;d[8]=b*z+n*e+r*g;d[9]=f*z+o*e+s*g;d[10]=k*z+m*e+A*g;d[11]=l*z+p*e+B*g;return d};mat4.rotateX=function(a,b,c){var d=Math.sin(b),b=Math.cos(b),e=a[4],g=a[5],f=a[6],h=a[7],i=a[8],j=a[9],k=a[10],l=a[11];c?a!==c&&(c[0]=a[0],c[1]=a[1],c[2]=a[2],c[3]=a[3],c[12]=a[12],c[13]=a[13],c[14]=a[14],c[15]=a[15]):c=a;c[4]=e*b+i*d;c[5]=g*b+j*d;c[6]=f*b+k*d;c[7]=h*b+l*d;c[8]=e*-d+i*b;c[9]=g*-d+j*b;c[10]=f*-d+k*b;c[11]=h*-d+l*b;return c};
mat4.rotateY=function(a,b,c){var d=Math.sin(b),b=Math.cos(b),e=a[0],g=a[1],f=a[2],h=a[3],i=a[8],j=a[9],k=a[10],l=a[11];c?a!==c&&(c[4]=a[4],c[5]=a[5],c[6]=a[6],c[7]=a[7],c[12]=a[12],c[13]=a[13],c[14]=a[14],c[15]=a[15]):c=a;c[0]=e*b+i*-d;c[1]=g*b+j*-d;c[2]=f*b+k*-d;c[3]=h*b+l*-d;c[8]=e*d+i*b;c[9]=g*d+j*b;c[10]=f*d+k*b;c[11]=h*d+l*b;return c};
mat4.rotateZ=function(a,b,c){var d=Math.sin(b),b=Math.cos(b),e=a[0],g=a[1],f=a[2],h=a[3],i=a[4],j=a[5],k=a[6],l=a[7];c?a!==c&&(c[8]=a[8],c[9]=a[9],c[10]=a[10],c[11]=a[11],c[12]=a[12],c[13]=a[13],c[14]=a[14],c[15]=a[15]):c=a;c[0]=e*b+i*d;c[1]=g*b+j*d;c[2]=f*b+k*d;c[3]=h*b+l*d;c[4]=e*-d+i*b;c[5]=g*-d+j*b;c[6]=f*-d+k*b;c[7]=h*-d+l*b;return c};
mat4.frustum=function(a,b,c,d,e,g,f){f||(f=mat4.create());var h=b-a,i=d-c,j=g-e;f[0]=e*2/h;f[1]=0;f[2]=0;f[3]=0;f[4]=0;f[5]=e*2/i;f[6]=0;f[7]=0;f[8]=(b+a)/h;f[9]=(d+c)/i;f[10]=-(g+e)/j;f[11]=-1;f[12]=0;f[13]=0;f[14]=-(g*e*2)/j;f[15]=0;return f};mat4.perspective=function(a,b,c,d,e){a=c*Math.tan(a*Math.PI/360);b*=a;return mat4.frustum(-b,b,-a,a,c,d,e)};
mat4.ortho=function(a,b,c,d,e,g,f){f||(f=mat4.create());var h=b-a,i=d-c,j=g-e;f[0]=2/h;f[1]=0;f[2]=0;f[3]=0;f[4]=0;f[5]=2/i;f[6]=0;f[7]=0;f[8]=0;f[9]=0;f[10]=-2/j;f[11]=0;f[12]=-(a+b)/h;f[13]=-(d+c)/i;f[14]=-(g+e)/j;f[15]=1;return f};
mat4.lookAt=function(a,b,c,d){d||(d=mat4.create());var e,g,f,h,i,j,k,l,n=a[0],o=a[1],a=a[2];g=c[0];f=c[1];e=c[2];c=b[1];j=b[2];if(n===b[0]&&o===c&&a===j)return mat4.identity(d);c=n-b[0];j=o-b[1];k=a-b[2];l=1/Math.sqrt(c*c+j*j+k*k);c*=l;j*=l;k*=l;b=f*k-e*j;e=e*c-g*k;g=g*j-f*c;(l=Math.sqrt(b*b+e*e+g*g))?(l=1/l,b*=l,e*=l,g*=l):g=e=b=0;f=j*g-k*e;h=k*b-c*g;i=c*e-j*b;(l=Math.sqrt(f*f+h*h+i*i))?(l=1/l,f*=l,h*=l,i*=l):i=h=f=0;d[0]=b;d[1]=f;d[2]=c;d[3]=0;d[4]=e;d[5]=h;d[6]=j;d[7]=0;d[8]=g;d[9]=i;d[10]=k;d[11]=
0;d[12]=-(b*n+e*o+g*a);d[13]=-(f*n+h*o+i*a);d[14]=-(c*n+j*o+k*a);d[15]=1;return d};mat4.fromRotationTranslation=function(a,b,c){c||(c=mat4.create());var d=a[0],e=a[1],g=a[2],f=a[3],h=d+d,i=e+e,j=g+g,a=d*h,k=d*i;d*=j;var l=e*i;e*=j;g*=j;h*=f;i*=f;f*=j;c[0]=1-(l+g);c[1]=k+f;c[2]=d-i;c[3]=0;c[4]=k-f;c[5]=1-(a+g);c[6]=e+h;c[7]=0;c[8]=d+i;c[9]=e-h;c[10]=1-(a+l);c[11]=0;c[12]=b[0];c[13]=b[1];c[14]=b[2];c[15]=1;return c};
mat4.str=function(a){return"["+a[0]+", "+a[1]+", "+a[2]+", "+a[3]+", "+a[4]+", "+a[5]+", "+a[6]+", "+a[7]+", "+a[8]+", "+a[9]+", "+a[10]+", "+a[11]+", "+a[12]+", "+a[13]+", "+a[14]+", "+a[15]+"]"};quat4.create=function(a){var b=new MatrixArray(4);a&&(b[0]=a[0],b[1]=a[1],b[2]=a[2],b[3]=a[3]);return b};quat4.set=function(a,b){b[0]=a[0];b[1]=a[1];b[2]=a[2];b[3]=a[3];return b};
quat4.calculateW=function(a,b){var c=a[0],d=a[1],e=a[2];if(!b||a===b)return a[3]=-Math.sqrt(Math.abs(1-c*c-d*d-e*e)),a;b[0]=c;b[1]=d;b[2]=e;b[3]=-Math.sqrt(Math.abs(1-c*c-d*d-e*e));return b};quat4.inverse=function(a,b){if(!b||a===b)return a[0]*=-1,a[1]*=-1,a[2]*=-1,a;b[0]=-a[0];b[1]=-a[1];b[2]=-a[2];b[3]=a[3];return b};quat4.length=function(a){var b=a[0],c=a[1],d=a[2],a=a[3];return Math.sqrt(b*b+c*c+d*d+a*a)};
quat4.normalize=function(a,b){b||(b=a);var c=a[0],d=a[1],e=a[2],g=a[3],f=Math.sqrt(c*c+d*d+e*e+g*g);if(f===0)return b[0]=0,b[1]=0,b[2]=0,b[3]=0,b;f=1/f;b[0]=c*f;b[1]=d*f;b[2]=e*f;b[3]=g*f;return b};quat4.multiply=function(a,b,c){c||(c=a);var d=a[0],e=a[1],g=a[2],a=a[3],f=b[0],h=b[1],i=b[2],b=b[3];c[0]=d*b+a*f+e*i-g*h;c[1]=e*b+a*h+g*f-d*i;c[2]=g*b+a*i+d*h-e*f;c[3]=a*b-d*f-e*h-g*i;return c};
quat4.multiplyVec3=function(a,b,c){c||(c=b);var d=b[0],e=b[1],g=b[2],b=a[0],f=a[1],h=a[2],a=a[3],i=a*d+f*g-h*e,j=a*e+h*d-b*g,k=a*g+b*e-f*d,d=-b*d-f*e-h*g;c[0]=i*a+d*-b+j*-h-k*-f;c[1]=j*a+d*-f+k*-b-i*-h;c[2]=k*a+d*-h+i*-f-j*-b;return c};quat4.toMat3=function(a,b){b||(b=mat3.create());var c=a[0],d=a[1],e=a[2],g=a[3],f=c+c,h=d+d,i=e+e,j=c*f,k=c*h;c*=i;var l=d*h;d*=i;e*=i;f*=g;h*=g;g*=i;b[0]=1-(l+e);b[1]=k+g;b[2]=c-h;b[3]=k-g;b[4]=1-(j+e);b[5]=d+f;b[6]=c+h;b[7]=d-f;b[8]=1-(j+l);return b};
quat4.toMat4=function(a,b){b||(b=mat4.create());var c=a[0],d=a[1],e=a[2],g=a[3],f=c+c,h=d+d,i=e+e,j=c*f,k=c*h;c*=i;var l=d*h;d*=i;e*=i;f*=g;h*=g;g*=i;b[0]=1-(l+e);b[1]=k+g;b[2]=c-h;b[3]=0;b[4]=k-g;b[5]=1-(j+e);b[6]=d+f;b[7]=0;b[8]=c+h;b[9]=d-f;b[10]=1-(j+l);b[11]=0;b[12]=0;b[13]=0;b[14]=0;b[15]=1;return b};
quat4.slerp=function(a,b,c,d){d||(d=a);var e=a[0]*b[0]+a[1]*b[1]+a[2]*b[2]+a[3]*b[3],g,f;if(Math.abs(e)>=1)return d!==a&&(d[0]=a[0],d[1]=a[1],d[2]=a[2],d[3]=a[3]),d;g=Math.acos(e);f=Math.sqrt(1-e*e);if(Math.abs(f)<0.001)return d[0]=a[0]*0.5+b[0]*0.5,d[1]=a[1]*0.5+b[1]*0.5,d[2]=a[2]*0.5+b[2]*0.5,d[3]=a[3]*0.5+b[3]*0.5,d;e=Math.sin((1-c)*g)/f;c=Math.sin(c*g)/f;d[0]=a[0]*e+b[0]*c;d[1]=a[1]*e+b[1]*c;d[2]=a[2]*e+b[2]*c;d[3]=a[3]*e+b[3]*c;return d};
quat4.str=function(a){return"["+a[0]+", "+a[1]+", "+a[2]+", "+a[3]+"]"};
(function()
{
	var MAX_VERTICES = 8000;						// equates to 2500 objects being drawn
	var MAX_INDICES = (MAX_VERTICES / 2) * 3;		// 6 indices for every 4 vertices
	var MAX_POINTS = 8000;
	var MULTI_BUFFERS = 4;							// cycle 4 buffers to try and avoid blocking
	var BATCH_NULL = 0;
	var BATCH_QUAD = 1;
	var BATCH_SETTEXTURE = 2;
	var BATCH_SETOPACITY = 3;
	var BATCH_SETBLEND = 4;
	var BATCH_UPDATEMODELVIEW = 5;
	var BATCH_RENDERTOTEXTURE = 6;
	var BATCH_CLEAR = 7;
	var BATCH_POINTS = 8;
	var BATCH_SETPROGRAM = 9;
	var BATCH_SETPROGRAMPARAMETERS = 10;
	var BATCH_SETTEXTURE1 = 11;
	function GLWrap_(gl, isMobile)
	{
		this.isIE = /msie/i.test(navigator.userAgent) || /trident/i.test(navigator.userAgent);
		this.width = 0;		// not yet known, wait for call to setSize()
		this.height = 0;
		this.cam = vec3.create([0, 0, 100]);			// camera position
		this.look = vec3.create([0, 0, 0]);				// lookat position
		this.up = vec3.create([0, 1, 0]);				// up vector
		this.worldScale = vec3.create([1, 1, 1]);		// world scaling factor
		this.matP = mat4.create();						// perspective matrix
		this.matMV = mat4.create();						// model view matrix
		this.lastMV = mat4.create();
		this.currentMV = mat4.create();
		this.gl = gl;
		this.initState();
	};
	GLWrap_.prototype.initState = function ()
	{
		var gl = this.gl;
		var i, len;
		this.lastOpacity = 1;
		this.lastTexture0 = null;			// last bound to TEXTURE0
		this.lastTexture1 = null;			// last bound to TEXTURE1
		this.currentOpacity = 1;
		gl.clearColor(0, 0, 0, 0);
		gl.clear(gl.COLOR_BUFFER_BIT);
		gl.enable(gl.BLEND);
        gl.blendFunc(gl.ONE, gl.ONE_MINUS_SRC_ALPHA);
		gl.disable(gl.CULL_FACE);
		gl.disable(gl.DEPTH_TEST);
		this.maxTextureSize = gl.getParameter(gl.MAX_TEXTURE_SIZE);
		this.lastSrcBlend = gl.ONE;
		this.lastDestBlend = gl.ONE_MINUS_SRC_ALPHA;
		this.pointBuffer = gl.createBuffer();
		gl.bindBuffer(gl.ARRAY_BUFFER, this.pointBuffer);
		this.vertexBuffers = new Array(MULTI_BUFFERS);
		this.texcoordBuffers = new Array(MULTI_BUFFERS);
		for (i = 0; i < MULTI_BUFFERS; i++)
		{
			this.vertexBuffers[i] = gl.createBuffer();
			gl.bindBuffer(gl.ARRAY_BUFFER, this.vertexBuffers[i]);
			this.texcoordBuffers[i] = gl.createBuffer();
			gl.bindBuffer(gl.ARRAY_BUFFER, this.texcoordBuffers[i]);
		}
		this.curBuffer = 0;
		this.indexBuffer = gl.createBuffer();
		gl.bindBuffer(gl.ELEMENT_ARRAY_BUFFER, this.indexBuffer);
		this.vertexData = new Float32Array(MAX_VERTICES * 2);
		this.texcoordData = new Float32Array(MAX_VERTICES * 2);
		this.pointData = new Float32Array(MAX_POINTS * 4);
		var indexData = new Uint16Array(MAX_INDICES);
		i = 0, len = MAX_INDICES;
		var fv = 0;
		while (i < len)
		{
			indexData[i++] = fv;		// top left
			indexData[i++] = fv + 1;	// top right
			indexData[i++] = fv + 2;	// bottom right (first tri)
			indexData[i++] = fv;		// top left
			indexData[i++] = fv + 2;	// bottom right
			indexData[i++] = fv + 3;	// bottom left
			fv += 4;
		}
		gl.bufferData(gl.ELEMENT_ARRAY_BUFFER, indexData, gl.STATIC_DRAW);
		this.vertexPtr = 0;
		this.pointPtr = 0;
		var fsSource, vsSource;
		this.shaderPrograms = [];
		fsSource = [
			"varying mediump vec2 vTex;",
			"uniform lowp float opacity;",
			"uniform lowp sampler2D samplerFront;",
			"void main(void) {",
			"	gl_FragColor = texture2D(samplerFront, vTex);",
			"	gl_FragColor *= opacity;",
			"}"
		].join("\n");
		vsSource = [
			"attribute highp vec2 aPos;",
			"attribute mediump vec2 aTex;",
			"varying mediump vec2 vTex;",
			"uniform highp mat4 matP;",
			"uniform highp mat4 matMV;",
			"void main(void) {",
			"	gl_Position = matP * matMV * vec4(aPos.x, aPos.y, 0.0, 1.0);",
			"	vTex = aTex;",
			"}"
		].join("\n");
		var shaderProg = this.createShaderProgram({src: fsSource}, vsSource, "<default>");
;
		this.shaderPrograms.push(shaderProg);		// Default shader is always shader 0
		fsSource = [
			"uniform mediump sampler2D samplerFront;",
			"varying lowp float opacity;",
			"void main(void) {",
			"	gl_FragColor = texture2D(samplerFront, gl_PointCoord);",
			"	gl_FragColor *= opacity;",
			"}"
		].join("\n");
		var pointVsSource = [
			"attribute vec4 aPos;",
			"varying float opacity;",
			"uniform mat4 matP;",
			"uniform mat4 matMV;",
			"void main(void) {",
			"	gl_Position = matP * matMV * vec4(aPos.x, aPos.y, 0.0, 1.0);",
			"	gl_PointSize = aPos.z;",
			"	opacity = aPos.w;",
			"}"
		].join("\n");
		shaderProg = this.createShaderProgram({src: fsSource}, pointVsSource, "<point>");
;
		this.shaderPrograms.push(shaderProg);		// Point shader is always shader 1
		for (var shader_name in cr.shaders)
		{
			if (cr.shaders.hasOwnProperty(shader_name))
				this.shaderPrograms.push(this.createShaderProgram(cr.shaders[shader_name], vsSource, shader_name));
		}
		gl.activeTexture(gl.TEXTURE0);
		gl.bindTexture(gl.TEXTURE_2D, null);
		this.batch = [];
		this.batchPtr = 0;
		this.hasQuadBatchTop = false;
		this.hasPointBatchTop = false;
		this.lastProgram = -1;				// start -1 so first switchProgram can do work
		this.currentProgram = -1;			// current program during batch execution
		this.currentShader = null;
		this.fbo = gl.createFramebuffer();
		this.renderToTex = null;
		this.tmpVec3 = vec3.create([0, 0, 0]);
;
;
		var pointsizes = gl.getParameter(gl.ALIASED_POINT_SIZE_RANGE);
		this.minPointSize = pointsizes[0];
		this.maxPointSize = pointsizes[1];
;
		this.switchProgram(0);
		cr.seal(this);
	};
	function GLShaderProgram(gl, shaderProgram, name)
	{
		this.gl = gl;
		this.shaderProgram = shaderProgram;
		this.name = name;
		this.locAPos = gl.getAttribLocation(shaderProgram, "aPos");
		this.locATex = gl.getAttribLocation(shaderProgram, "aTex");
		this.locMatP = gl.getUniformLocation(shaderProgram, "matP");
		this.locMatMV = gl.getUniformLocation(shaderProgram, "matMV");
		this.locOpacity = gl.getUniformLocation(shaderProgram, "opacity");
		this.locSamplerFront = gl.getUniformLocation(shaderProgram, "samplerFront");
		this.locSamplerBack = gl.getUniformLocation(shaderProgram, "samplerBack");
		this.locDestStart = gl.getUniformLocation(shaderProgram, "destStart");
		this.locDestEnd = gl.getUniformLocation(shaderProgram, "destEnd");
		this.locSeconds = gl.getUniformLocation(shaderProgram, "seconds");
		this.locPixelWidth = gl.getUniformLocation(shaderProgram, "pixelWidth");
		this.locPixelHeight = gl.getUniformLocation(shaderProgram, "pixelHeight");
		this.locLayerScale = gl.getUniformLocation(shaderProgram, "layerScale");
		this.locLayerAngle = gl.getUniformLocation(shaderProgram, "layerAngle");
		this.locViewOrigin = gl.getUniformLocation(shaderProgram, "viewOrigin");
		this.hasAnyOptionalUniforms = !!(this.locPixelWidth || this.locPixelHeight || this.locSeconds || this.locSamplerBack || this.locDestStart || this.locDestEnd || this.locLayerScale || this.locLayerAngle || this.locViewOrigin);
		if (this.locOpacity)
			gl.uniform1f(this.locOpacity, 1);
		if (this.locSamplerFront)
			gl.uniform1i(this.locSamplerFront, 0);
		if (this.locSamplerBack)
			gl.uniform1i(this.locSamplerBack, 1);
		if (this.locDestStart)
			gl.uniform2f(this.locDestStart, 0.0, 0.0);
		if (this.locDestEnd)
			gl.uniform2f(this.locDestEnd, 1.0, 1.0);
		if (this.locLayerScale)
			gl.uniform1f(this.locLayerScale, 1.0);
		if (this.locLayerAngle)
			gl.uniform1f(this.locLayerAngle, 0.0);
		if (this.locViewOrigin)
			gl.uniform2f(this.locViewOrigin, 0.0, 0.0);
		this.hasCurrentMatMV = false;		// matMV needs updating
	};
	GLWrap_.prototype.createShaderProgram = function(shaderEntry, vsSource, name)
	{
		var gl = this.gl;
		var fragmentShader = gl.createShader(gl.FRAGMENT_SHADER);
		gl.shaderSource(fragmentShader, shaderEntry.src);
		gl.compileShader(fragmentShader);
		if (!gl.getShaderParameter(fragmentShader, gl.COMPILE_STATUS))
		{
;
			gl.deleteShader(fragmentShader);
			return null;
		}
		var vertexShader = gl.createShader(gl.VERTEX_SHADER);
		gl.shaderSource(vertexShader, vsSource);
		gl.compileShader(vertexShader);
		if (!gl.getShaderParameter(vertexShader, gl.COMPILE_STATUS))
		{
;
			gl.deleteShader(fragmentShader);
			gl.deleteShader(vertexShader);
			return null;
		}
		var shaderProgram = gl.createProgram();
		gl.attachShader(shaderProgram, fragmentShader);
		gl.attachShader(shaderProgram, vertexShader);
		gl.linkProgram(shaderProgram);
		if (!gl.getProgramParameter(shaderProgram, gl.LINK_STATUS))
		{
;
			gl.deleteShader(fragmentShader);
			gl.deleteShader(vertexShader);
			gl.deleteProgram(shaderProgram);
			return null;
		}
		gl.useProgram(shaderProgram);
;
		gl.deleteShader(fragmentShader);
		gl.deleteShader(vertexShader);
		var ret = new GLShaderProgram(gl, shaderProgram, name);
		ret.extendBoxHorizontal = shaderEntry.extendBoxHorizontal || 0;
		ret.extendBoxVertical = shaderEntry.extendBoxVertical || 0;
		ret.crossSampling = !!shaderEntry.crossSampling;
		ret.animated = !!shaderEntry.animated;
		ret.parameters = shaderEntry.parameters || [];
		var i, len;
		for (i = 0, len = ret.parameters.length; i < len; i++)
		{
			ret.parameters[i][1] = gl.getUniformLocation(shaderProgram, ret.parameters[i][0]);
			gl.uniform1f(ret.parameters[i][1], 0);
		}
		cr.seal(ret);
		return ret;
	};
	GLWrap_.prototype.getShaderIndex = function(name_)
	{
		var i, len;
		for (i = 0, len = this.shaderPrograms.length; i < len; i++)
		{
			if (this.shaderPrograms[i].name === name_)
				return i;
		}
		return -1;
	};
	GLWrap_.prototype.project = function (x, y, out)
	{
		var mv = this.matMV;
		var proj = this.matP;
		var fTempo = [0, 0, 0, 0, 0, 0, 0, 0];
		fTempo[0] = mv[0]*x+mv[4]*y+mv[12];
		fTempo[1] = mv[1]*x+mv[5]*y+mv[13];
		fTempo[2] = mv[2]*x+mv[6]*y+mv[14];
		fTempo[3] = mv[3]*x+mv[7]*y+mv[15];
		fTempo[4] = proj[0]*fTempo[0]+proj[4]*fTempo[1]+proj[8]*fTempo[2]+proj[12]*fTempo[3];
		fTempo[5] = proj[1]*fTempo[0]+proj[5]*fTempo[1]+proj[9]*fTempo[2]+proj[13]*fTempo[3];
		fTempo[6] = proj[2]*fTempo[0]+proj[6]*fTempo[1]+proj[10]*fTempo[2]+proj[14]*fTempo[3];
		fTempo[7] = -fTempo[2];
		if(fTempo[7]===0.0)	//The w value
			return;
		fTempo[7]=1.0/fTempo[7];
		fTempo[4]*=fTempo[7];
		fTempo[5]*=fTempo[7];
		fTempo[6]*=fTempo[7];
		out[0]=(fTempo[4]*0.5+0.5)*this.width;
		out[1]=(fTempo[5]*0.5+0.5)*this.height;
	};
	GLWrap_.prototype.setSize = function(w, h, force)
	{
		if (this.width === w && this.height === h && !force)
			return;
		this.endBatch();
		this.width = w;
		this.height = h;
		this.gl.viewport(0, 0, w, h);
		mat4.perspective(45, w / h, 1, 1000, this.matP);
		mat4.lookAt(this.cam, this.look, this.up, this.matMV);
		var tl = [0, 0];
		var br = [0, 0];
		this.project(0, 0, tl);
		this.project(1, 1, br);
		this.worldScale[0] = 1 / (br[0] - tl[0]);
		this.worldScale[1] = -1 / (br[1] - tl[1]);
		var i, len, s;
		for (i = 0, len = this.shaderPrograms.length; i < len; i++)
		{
			s = this.shaderPrograms[i];
			s.hasCurrentMatMV = false;
			if (s.locMatP)
			{
				this.gl.useProgram(s.shaderProgram);
				this.gl.uniformMatrix4fv(s.locMatP, false, this.matP);
			}
		}
		this.gl.useProgram(this.shaderPrograms[this.lastProgram].shaderProgram);
		this.gl.bindTexture(this.gl.TEXTURE_2D, null);
		this.gl.activeTexture(this.gl.TEXTURE1);
		this.gl.bindTexture(this.gl.TEXTURE_2D, null);
		this.gl.activeTexture(this.gl.TEXTURE0);
		this.lastTexture0 = null;
		this.lastTexture1 = null;
	};
	GLWrap_.prototype.resetModelView = function ()
	{
		mat4.lookAt(this.cam, this.look, this.up, this.matMV);
		mat4.scale(this.matMV, this.worldScale);
	};
	GLWrap_.prototype.translate = function (x, y)
	{
		if (x === 0 && y === 0)
			return;
		this.tmpVec3[0] = x;// * this.worldScale[0];
		this.tmpVec3[1] = y;// * this.worldScale[1];
		this.tmpVec3[2] = 0;
		mat4.translate(this.matMV, this.tmpVec3);
	};
	GLWrap_.prototype.scale = function (x, y)
	{
		if (x === 1 && y === 1)
			return;
		this.tmpVec3[0] = x;
		this.tmpVec3[1] = y;
		this.tmpVec3[2] = 1;
		mat4.scale(this.matMV, this.tmpVec3);
	};
	GLWrap_.prototype.rotateZ = function (a)
	{
		if (a === 0)
			return;
		mat4.rotateZ(this.matMV, a);
	};
	GLWrap_.prototype.updateModelView = function()
	{
		var anydiff = false;
		for (var i = 0; i < 16; i++)
		{
			if (this.lastMV[i] !== this.matMV[i])
			{
				anydiff = true;
				break;
			}
		}
		if (!anydiff)
			return;
		var b = this.pushBatch();
		b.type = BATCH_UPDATEMODELVIEW;
		if (b.mat4param)
			mat4.set(this.matMV, b.mat4param);
		else
			b.mat4param = mat4.create(this.matMV);
		mat4.set(this.matMV, this.lastMV);
		this.hasQuadBatchTop = false;
		this.hasPointBatchTop = false;
	};
	/*
	var debugBatch = false;
	jQuery(document).mousedown(
		function(info) {
			if (info.which === 2)
				debugBatch = true;
		}
	);
	*/
	function GLBatchJob(type_, glwrap_)
	{
		this.type = type_;
		this.glwrap = glwrap_;
		this.gl = glwrap_.gl;
		this.opacityParam = 0;		// for setOpacity()
		this.startIndex = 0;		// for quad()
		this.indexCount = 0;		// "
		this.texParam = null;		// for setTexture()
		this.mat4param = null;		// for updateModelView()
		this.shaderParams = [];		// for user parameters
		cr.seal(this);
	};
	GLBatchJob.prototype.doSetTexture = function ()
	{
		this.gl.bindTexture(this.gl.TEXTURE_2D, this.texParam);
	};
	GLBatchJob.prototype.doSetTexture1 = function ()
	{
		var gl = this.gl;
		gl.activeTexture(gl.TEXTURE1);
		gl.bindTexture(gl.TEXTURE_2D, this.texParam);
		gl.activeTexture(gl.TEXTURE0);
	};
	GLBatchJob.prototype.doSetOpacity = function ()
	{
		var o = this.opacityParam;
		var glwrap = this.glwrap;
		glwrap.currentOpacity = o;
		var curProg = glwrap.currentShader;
		if (curProg.locOpacity)
			this.gl.uniform1f(curProg.locOpacity, o);
	};
	GLBatchJob.prototype.doQuad = function ()
	{
		this.gl.drawElements(this.gl.TRIANGLES, this.indexCount, this.gl.UNSIGNED_SHORT, this.startIndex * 2);
	};
	GLBatchJob.prototype.doSetBlend = function ()
	{
		this.gl.blendFunc(this.startIndex, this.indexCount);
	};
	GLBatchJob.prototype.doUpdateModelView = function ()
	{
		var i, len, s, shaderPrograms = this.glwrap.shaderPrograms, currentProgram = this.glwrap.currentProgram;
		for (i = 0, len = shaderPrograms.length; i < len; i++)
		{
			s = shaderPrograms[i];
			if (i === currentProgram && s.locMatMV)
			{
				this.gl.uniformMatrix4fv(s.locMatMV, false, this.mat4param);
				s.hasCurrentMatMV = true;
			}
			else
				s.hasCurrentMatMV = false;
		}
		mat4.set(this.mat4param, this.glwrap.currentMV);
	};
	GLBatchJob.prototype.doRenderToTexture = function ()
	{
		var gl = this.gl;
		var glwrap = this.glwrap;
		if (this.texParam)
		{
			if (glwrap.lastTexture1 === this.texParam)
			{
				gl.activeTexture(gl.TEXTURE1);
				gl.bindTexture(gl.TEXTURE_2D, null);
				glwrap.lastTexture1 = null;
				gl.activeTexture(gl.TEXTURE0);
			}
			gl.bindFramebuffer(gl.FRAMEBUFFER, glwrap.fbo);
			gl.framebufferTexture2D(gl.FRAMEBUFFER, gl.COLOR_ATTACHMENT0, gl.TEXTURE_2D, this.texParam, 0);
		}
		else
		{
			gl.framebufferTexture2D(gl.FRAMEBUFFER, gl.COLOR_ATTACHMENT0, gl.TEXTURE_2D, null, 0);
			gl.bindFramebuffer(gl.FRAMEBUFFER, null);
		}
	};
	GLBatchJob.prototype.doClear = function ()
	{
		var gl = this.gl;
		if (this.startIndex === 0)		// clear whole surface
		{
			gl.clearColor(this.mat4param[0], this.mat4param[1], this.mat4param[2], this.mat4param[3]);
			gl.clear(gl.COLOR_BUFFER_BIT);
		}
		else							// clear rectangle
		{
			gl.enable(gl.SCISSOR_TEST);
			gl.scissor(this.mat4param[0], this.mat4param[1], this.mat4param[2], this.mat4param[3]);
			gl.clearColor(0, 0, 0, 0);
			gl.clear(this.gl.COLOR_BUFFER_BIT);
			gl.disable(gl.SCISSOR_TEST);
		}
	};
	GLBatchJob.prototype.doPoints = function ()
	{
		var gl = this.gl;
		var glwrap = this.glwrap;
		var s = glwrap.shaderPrograms[1];
		gl.useProgram(s.shaderProgram);
		if (!s.hasCurrentMatMV && s.locMatMV)
		{
			gl.uniformMatrix4fv(s.locMatMV, false, glwrap.currentMV);
			s.hasCurrentMatMV = true;
		}
		gl.enableVertexAttribArray(s.locAPos);
		gl.bindBuffer(gl.ARRAY_BUFFER, glwrap.pointBuffer);
		gl.vertexAttribPointer(s.locAPos, 4, gl.FLOAT, false, 0, 0);
		gl.drawArrays(gl.POINTS, this.startIndex / 4, this.indexCount);
		s = glwrap.currentShader;
		gl.useProgram(s.shaderProgram);
		if (s.locAPos >= 0)
		{
			gl.enableVertexAttribArray(s.locAPos);
			gl.bindBuffer(gl.ARRAY_BUFFER, glwrap.vertexBuffers[glwrap.curBuffer]);
			gl.vertexAttribPointer(s.locAPos, 2, gl.FLOAT, false, 0, 0);
		}
		if (s.locATex >= 0)
		{
			gl.enableVertexAttribArray(s.locATex);
			gl.bindBuffer(gl.ARRAY_BUFFER, glwrap.texcoordBuffers[glwrap.curBuffer]);
			gl.vertexAttribPointer(s.locATex, 2, gl.FLOAT, false, 0, 0);
		}
	};
	GLBatchJob.prototype.doSetProgram = function ()
	{
		var gl = this.gl;
		var glwrap = this.glwrap;
		var s = glwrap.shaderPrograms[this.startIndex];		// recycled param to save memory
		glwrap.currentProgram = this.startIndex;			// current batch program
		glwrap.currentShader = s;
		gl.useProgram(s.shaderProgram);						// switch to
		if (!s.hasCurrentMatMV && s.locMatMV)
		{
			gl.uniformMatrix4fv(s.locMatMV, false, glwrap.currentMV);
			s.hasCurrentMatMV = true;
		}
		if (s.locOpacity)
			gl.uniform1f(s.locOpacity, glwrap.currentOpacity);
		if (s.locAPos >= 0)
		{
			gl.enableVertexAttribArray(s.locAPos);
			gl.bindBuffer(gl.ARRAY_BUFFER, glwrap.vertexBuffers[glwrap.curBuffer]);
			gl.vertexAttribPointer(s.locAPos, 2, gl.FLOAT, false, 0, 0);
		}
		if (s.locATex >= 0)
		{
			gl.enableVertexAttribArray(s.locATex);
			gl.bindBuffer(gl.ARRAY_BUFFER, glwrap.texcoordBuffers[glwrap.curBuffer]);
			gl.vertexAttribPointer(s.locATex, 2, gl.FLOAT, false, 0, 0);
		}
	}
	GLBatchJob.prototype.doSetProgramParameters = function ()
	{
		var i, len, s = this.glwrap.currentShader;
		var gl = this.gl;
		var mat4param = this.mat4param;
		if (s.locSamplerBack && this.glwrap.lastTexture1 !== this.texParam)
		{
			gl.activeTexture(gl.TEXTURE1);
			gl.bindTexture(gl.TEXTURE_2D, this.texParam);
			this.glwrap.lastTexture1 = this.texParam;
			gl.activeTexture(gl.TEXTURE0);
		}
		if (s.locPixelWidth)
			gl.uniform1f(s.locPixelWidth, mat4param[0]);
		if (s.locPixelHeight)
			gl.uniform1f(s.locPixelHeight, mat4param[1]);
		if (s.locDestStart)
			gl.uniform2f(s.locDestStart, mat4param[2], mat4param[3]);
		if (s.locDestEnd)
			gl.uniform2f(s.locDestEnd, mat4param[4], mat4param[5]);
		if (s.locLayerScale)
			gl.uniform1f(s.locLayerScale, mat4param[6]);
		if (s.locLayerAngle)
			gl.uniform1f(s.locLayerAngle, mat4param[7]);
		if (s.locViewOrigin)
			gl.uniform2f(s.locViewOrigin, mat4param[8], mat4param[9]);
		if (s.locSeconds)
			gl.uniform1f(s.locSeconds, cr.performance_now() / 1000.0);
		if (s.parameters.length)
		{
			for (i = 0, len = s.parameters.length; i < len; i++)
			{
				gl.uniform1f(s.parameters[i][1], this.shaderParams[i]);
			}
		}
	};
	GLWrap_.prototype.pushBatch = function ()
	{
		if (this.batchPtr === this.batch.length)
			this.batch.push(new GLBatchJob(BATCH_NULL, this));
		return this.batch[this.batchPtr++];
	};
	GLWrap_.prototype.endBatch = function ()
	{
		if (this.batchPtr === 0)
			return;
		if (this.gl.isContextLost())
			return;
		var gl = this.gl;
		if (this.pointPtr > 0)
		{
			gl.bindBuffer(gl.ARRAY_BUFFER, this.pointBuffer);
			gl.bufferData(gl.ARRAY_BUFFER, this.pointData.subarray(0, this.pointPtr), gl.STREAM_DRAW);
			if (s && s.locAPos >= 0 && s.name === "<point>")
				gl.vertexAttribPointer(s.locAPos, 4, gl.FLOAT, false, 0, 0);
		}
		if (this.vertexPtr > 0)
		{
			var s = this.currentShader;
			gl.bindBuffer(gl.ARRAY_BUFFER, this.vertexBuffers[this.curBuffer]);
			gl.bufferData(gl.ARRAY_BUFFER, this.vertexData.subarray(0, this.vertexPtr), gl.STREAM_DRAW);
			if (s && s.locAPos >= 0 && s.name !== "<point>")
				gl.vertexAttribPointer(s.locAPos, 2, gl.FLOAT, false, 0, 0);
			gl.bindBuffer(gl.ARRAY_BUFFER, this.texcoordBuffers[this.curBuffer]);
			gl.bufferData(gl.ARRAY_BUFFER, this.texcoordData.subarray(0, this.vertexPtr), gl.STREAM_DRAW);
			if (s && s.locATex >= 0 && s.name !== "<point>")
				gl.vertexAttribPointer(s.locATex, 2, gl.FLOAT, false, 0, 0);
		}
		var i, len, b;
		for (i = 0, len = this.batchPtr; i < len; i++)
		{
			b = this.batch[i];
			switch (b.type) {
			case BATCH_QUAD:
				b.doQuad();
				break;
			case BATCH_SETTEXTURE:
				b.doSetTexture();
				break;
			case BATCH_SETOPACITY:
				b.doSetOpacity();
				break;
			case BATCH_SETBLEND:
				b.doSetBlend();
				break;
			case BATCH_UPDATEMODELVIEW:
				b.doUpdateModelView();
				break;
			case BATCH_RENDERTOTEXTURE:
				b.doRenderToTexture();
				break;
			case BATCH_CLEAR:
				b.doClear();
				break;
			case BATCH_POINTS:
				b.doPoints();
				break;
			case BATCH_SETPROGRAM:
				b.doSetProgram();
				break;
			case BATCH_SETPROGRAMPARAMETERS:
				b.doSetProgramParameters();
				break;
			case BATCH_SETTEXTURE1:
				b.doSetTexture1();
				break;
			}
		}
		this.batchPtr = 0;
		this.vertexPtr = 0;
		this.pointPtr = 0;
		this.hasQuadBatchTop = false;
		this.hasPointBatchTop = false;
		this.curBuffer++;
		if (this.curBuffer >= MULTI_BUFFERS)
			this.curBuffer = 0;
	};
	GLWrap_.prototype.setOpacity = function (op)
	{
		if (op === this.lastOpacity)
			return;
		var b = this.pushBatch();
		b.type = BATCH_SETOPACITY;
		b.opacityParam = op;
		this.lastOpacity = op;
		this.hasQuadBatchTop = false;
		this.hasPointBatchTop = false;
	};
	GLWrap_.prototype.setTexture = function (tex)
	{
		if (tex === this.lastTexture0)
			return;
;
		var b = this.pushBatch();
		b.type = BATCH_SETTEXTURE;
		b.texParam = tex;
		this.lastTexture0 = tex;
		this.hasQuadBatchTop = false;
		this.hasPointBatchTop = false;
	};
	GLWrap_.prototype.setBlend = function (s, d)
	{
		if (s === this.lastSrcBlend && d === this.lastDestBlend)
			return;
		var b = this.pushBatch();
		b.type = BATCH_SETBLEND;
		b.startIndex = s;		// recycle params to save memory
		b.indexCount = d;
		this.lastSrcBlend = s;
		this.lastDestBlend = d;
		this.hasQuadBatchTop = false;
		this.hasPointBatchTop = false;
	};
	GLWrap_.prototype.isPremultipliedAlphaBlend = function ()
	{
		return (this.lastSrcBlend === this.gl.ONE && this.lastDestBlend === this.gl.ONE_MINUS_SRC_ALPHA);
	};
	GLWrap_.prototype.setAlphaBlend = function ()
	{
		this.setBlend(this.gl.ONE, this.gl.ONE_MINUS_SRC_ALPHA);
	};
	GLWrap_.prototype.setNoPremultiplyAlphaBlend = function ()
	{
		this.setBlend(this.gl.SRC_ALPHA, this.gl.ONE_MINUS_SRC_ALPHA);
	};
	var LAST_VERTEX = MAX_VERTICES * 2 - 8;
	GLWrap_.prototype.quad = function(tlx, tly, trx, try_, brx, bry, blx, bly)
	{
		if (this.vertexPtr >= LAST_VERTEX)
			this.endBatch();
		var v = this.vertexPtr;			// vertex cursor
		var vd = this.vertexData;		// vertex data array
		var td = this.texcoordData;		// texture coord data array
		if (this.hasQuadBatchTop)
		{
			this.batch[this.batchPtr - 1].indexCount += 6;
		}
		else
		{
			var b = this.pushBatch();
			b.type = BATCH_QUAD;
			b.startIndex = (v / 4) * 3;
			b.indexCount = 6;
			this.hasQuadBatchTop = true;
			this.hasPointBatchTop = false;
		}
		vd[v] = tlx;
		td[v++] = 0;
		vd[v] = tly;
		td[v++] = 0;
		vd[v] = trx;
		td[v++] = 1;
		vd[v] = try_;
		td[v++] = 0;
		vd[v] = brx;
		td[v++] = 1;
		vd[v] = bry;
		td[v++] = 1;
		vd[v] = blx;
		td[v++] = 0;
		vd[v] = bly;
		td[v++] = 1;
		this.vertexPtr = v;
	};
	GLWrap_.prototype.quadTex = function(tlx, tly, trx, try_, brx, bry, blx, bly, rcTex)
	{
		if (this.vertexPtr >= LAST_VERTEX)
			this.endBatch();
		var v = this.vertexPtr;			// vertex cursor
		var vd = this.vertexData;		// vertex data array
		var td = this.texcoordData;		// texture coord data array
		if (this.hasQuadBatchTop)
		{
			this.batch[this.batchPtr - 1].indexCount += 6;
		}
		else
		{
			var b = this.pushBatch();
			b.type = BATCH_QUAD;
			b.startIndex = (v / 4) * 3;
			b.indexCount = 6;
			this.hasQuadBatchTop = true;
			this.hasPointBatchTop = false;
		}
		var rc_left = rcTex.left;
		var rc_top = rcTex.top;
		var rc_right = rcTex.right;
		var rc_bottom = rcTex.bottom;
		vd[v] = tlx;
		td[v++] = rc_left;
		vd[v] = tly;
		td[v++] = rc_top;
		vd[v] = trx;
		td[v++] = rc_right;
		vd[v] = try_;
		td[v++] = rc_top;
		vd[v] = brx;
		td[v++] = rc_right;
		vd[v] = bry;
		td[v++] = rc_bottom;
		vd[v] = blx;
		td[v++] = rc_left;
		vd[v] = bly;
		td[v++] = rc_bottom;
		this.vertexPtr = v;
	};
	GLWrap_.prototype.quadTexUV = function(tlx, tly, trx, try_, brx, bry, blx, bly, tlu, tlv, tru, trv, bru, brv, blu, blv)
	{
		if (this.vertexPtr >= LAST_VERTEX)
			this.endBatch();
		var v = this.vertexPtr;			// vertex cursor
		var vd = this.vertexData;		// vertex data array
		var td = this.texcoordData;		// texture coord data array
		if (this.hasQuadBatchTop)
		{
			this.batch[this.batchPtr - 1].indexCount += 6;
		}
		else
		{
			var b = this.pushBatch();
			b.type = BATCH_QUAD;
			b.startIndex = (v / 4) * 3;
			b.indexCount = 6;
			this.hasQuadBatchTop = true;
			this.hasPointBatchTop = false;
		}
		vd[v] = tlx;
		td[v++] = tlu;
		vd[v] = tly;
		td[v++] = tlv;
		vd[v] = trx;
		td[v++] = tru;
		vd[v] = try_;
		td[v++] = trv;
		vd[v] = brx;
		td[v++] = bru;
		vd[v] = bry;
		td[v++] = brv;
		vd[v] = blx;
		td[v++] = blu;
		vd[v] = bly;
		td[v++] = blv;
		this.vertexPtr = v;
	};
	var LAST_POINT = MAX_POINTS - 4;
	GLWrap_.prototype.point = function(x_, y_, size_, opacity_)
	{
		if (this.pointPtr >= LAST_POINT)
			this.endBatch();
		var p = this.pointPtr;			// point cursor
		var pd = this.pointData;		// point data array
		if (this.hasPointBatchTop)
		{
			this.batch[this.batchPtr - 1].indexCount++;
		}
		else
		{
			var b = this.pushBatch();
			b.type = BATCH_POINTS;
			b.startIndex = p;
			b.indexCount = 1;
			this.hasPointBatchTop = true;
			this.hasQuadBatchTop = false;
		}
		pd[p++] = x_;
		pd[p++] = y_;
		pd[p++] = size_;
		pd[p++] = opacity_;
		this.pointPtr = p;
	};
	GLWrap_.prototype.switchProgram = function (progIndex)
	{
		if (this.lastProgram === progIndex)
			return;			// no change
		var shaderProg = this.shaderPrograms[progIndex];
		if (!shaderProg)
		{
			if (this.lastProgram === 0)
				return;								// already on default shader
			progIndex = 0;
			shaderProg = this.shaderPrograms[0];
		}
		var b = this.pushBatch();
		b.type = BATCH_SETPROGRAM;
		b.startIndex = progIndex;
		this.lastProgram = progIndex;
		this.hasQuadBatchTop = false;
		this.hasPointBatchTop = false;
	};
	GLWrap_.prototype.programUsesDest = function (progIndex)
	{
		var s = this.shaderPrograms[progIndex];
		return !!(s.locDestStart || s.locDestEnd);
	};
	GLWrap_.prototype.programUsesCrossSampling = function (progIndex)
	{
		var s = this.shaderPrograms[progIndex];
		return !!(s.locDestStart || s.locDestEnd || s.crossSampling);
	};
	GLWrap_.prototype.programExtendsBox = function (progIndex)
	{
		var s = this.shaderPrograms[progIndex];
		return s.extendBoxHorizontal !== 0 || s.extendBoxVertical !== 0;
	};
	GLWrap_.prototype.getProgramBoxExtendHorizontal = function (progIndex)
	{
		return this.shaderPrograms[progIndex].extendBoxHorizontal;
	};
	GLWrap_.prototype.getProgramBoxExtendVertical = function (progIndex)
	{
		return this.shaderPrograms[progIndex].extendBoxVertical;
	};
	GLWrap_.prototype.getProgramParameterType = function (progIndex, paramIndex)
	{
		return this.shaderPrograms[progIndex].parameters[paramIndex][2];
	};
	GLWrap_.prototype.programIsAnimated = function (progIndex)
	{
		return this.shaderPrograms[progIndex].animated;
	};
	GLWrap_.prototype.setProgramParameters = function (backTex, pixelWidth, pixelHeight, destStartX, destStartY, destEndX, destEndY, layerScale, layerAngle, viewOriginLeft, viewOriginTop, params)
	{
		var i, len;
		var s = this.shaderPrograms[this.lastProgram];
		var b, mat4param, shaderParams;
		if (s.hasAnyOptionalUniforms || params.length)
		{
			b = this.pushBatch();
			b.type = BATCH_SETPROGRAMPARAMETERS;
			if (b.mat4param)
				mat4.set(this.matMV, b.mat4param);
			else
				b.mat4param = mat4.create();
			mat4param = b.mat4param;
			mat4param[0] = pixelWidth;
			mat4param[1] = pixelHeight;
			mat4param[2] = destStartX;
			mat4param[3] = destStartY;
			mat4param[4] = destEndX;
			mat4param[5] = destEndY;
			mat4param[6] = layerScale;
			mat4param[7] = layerAngle;
			mat4param[8] = viewOriginLeft;
			mat4param[9] = viewOriginTop;
			if (s.locSamplerBack)
			{
;
				b.texParam = backTex;
			}
			else
				b.texParam = null;
			if (params.length)
			{
				shaderParams = b.shaderParams;
				shaderParams.length = params.length;
				for (i = 0, len = params.length; i < len; i++)
					shaderParams[i] = params[i];
			}
			this.hasQuadBatchTop = false;
			this.hasPointBatchTop = false;
		}
	};
	GLWrap_.prototype.clear = function (r, g, b_, a)
	{
		var b = this.pushBatch();
		b.type = BATCH_CLEAR;
		b.startIndex = 0;					// clear all mode
		if (!b.mat4param)
			b.mat4param = mat4.create();
		b.mat4param[0] = r;
		b.mat4param[1] = g;
		b.mat4param[2] = b_;
		b.mat4param[3] = a;
		this.hasQuadBatchTop = false;
		this.hasPointBatchTop = false;
	};
	GLWrap_.prototype.clearRect = function (x, y, w, h)
	{
		var b = this.pushBatch();
		b.type = BATCH_CLEAR;
		b.startIndex = 1;					// clear rect mode
		if (!b.mat4param)
			b.mat4param = mat4.create();
		b.mat4param[0] = x;
		b.mat4param[1] = y;
		b.mat4param[2] = w;
		b.mat4param[3] = h;
		this.hasQuadBatchTop = false;
		this.hasPointBatchTop = false;
	};
	GLWrap_.prototype.present = function ()
	{
		this.endBatch();
		this.gl.flush();
		/*
		if (debugBatch)
		{
;
			debugBatch = false;
		}
		*/
	};
	function nextHighestPowerOfTwo(x) {
		--x;
		for (var i = 1; i < 32; i <<= 1) {
			x = x | x >> i;
		}
		return x + 1;
	}
	var all_textures = [];
	var textures_by_src = {};
	var BF_RGBA8 = 0;
	var BF_RGB8 = 1;
	var BF_RGBA4 = 2;
	var BF_RGB5_A1 = 3;
	var BF_RGB565 = 4;
	GLWrap_.prototype.loadTexture = function (img, tiling, linearsampling, pixelformat, tiletype)
	{
		tiling = !!tiling;
		linearsampling = !!linearsampling;
		var tex_key = img.src + "," + tiling + "," + linearsampling + (tiling ? ("," + tiletype) : "");
		var webGL_texture = null;
		if (typeof img.src !== "undefined" && textures_by_src.hasOwnProperty(tex_key))
		{
			webGL_texture = textures_by_src[tex_key];
			webGL_texture.c2refcount++;
			return webGL_texture;
		}
		this.endBatch();
;
		var gl = this.gl;
		var isPOT = (cr.isPOT(img.width) && cr.isPOT(img.height));
		webGL_texture = gl.createTexture();
		gl.bindTexture(gl.TEXTURE_2D, webGL_texture);
		gl.pixelStorei(gl["UNPACK_PREMULTIPLY_ALPHA_WEBGL"], true);
		var internalformat = gl.RGBA;
		var format = gl.RGBA;
		var type = gl.UNSIGNED_BYTE;
		if (pixelformat && !this.isIE)
		{
			switch (pixelformat) {
			case BF_RGB8:
				internalformat = gl.RGB;
				format = gl.RGB;
				break;
			case BF_RGBA4:
				type = gl.UNSIGNED_SHORT_4_4_4_4;
				break;
			case BF_RGB5_A1:
				type = gl.UNSIGNED_SHORT_5_5_5_1;
				break;
			case BF_RGB565:
				internalformat = gl.RGB;
				format = gl.RGB;
				type = gl.UNSIGNED_SHORT_5_6_5;
				break;
			}
		}
		if (!isPOT && tiling)
		{
			var canvas = document.createElement("canvas");
			canvas.width = cr.nextHighestPowerOfTwo(img.width);
			canvas.height = cr.nextHighestPowerOfTwo(img.height);
			var ctx = canvas.getContext("2d");
			ctx.drawImage(img,
						  0, 0, img.width, img.height,
						  0, 0, canvas.width, canvas.height);
			gl.texImage2D(gl.TEXTURE_2D, 0, internalformat, format, type, canvas);
		}
		else
			gl.texImage2D(gl.TEXTURE_2D, 0, internalformat, format, type, img);
		if (tiling)
		{
			if (tiletype === "repeat-x")
			{
				gl.texParameteri(gl.TEXTURE_2D, gl.TEXTURE_WRAP_S, gl.REPEAT);
				gl.texParameteri(gl.TEXTURE_2D, gl.TEXTURE_WRAP_T, gl.CLAMP_TO_EDGE);
			}
			else if (tiletype === "repeat-y")
			{
				gl.texParameteri(gl.TEXTURE_2D, gl.TEXTURE_WRAP_S, gl.CLAMP_TO_EDGE);
				gl.texParameteri(gl.TEXTURE_2D, gl.TEXTURE_WRAP_T, gl.REPEAT);
			}
			else
			{
				gl.texParameteri(gl.TEXTURE_2D, gl.TEXTURE_WRAP_S, gl.REPEAT);
				gl.texParameteri(gl.TEXTURE_2D, gl.TEXTURE_WRAP_T, gl.REPEAT);
			}
		}
		else
		{
			gl.texParameteri(gl.TEXTURE_2D, gl.TEXTURE_WRAP_S, gl.CLAMP_TO_EDGE);
			gl.texParameteri(gl.TEXTURE_2D, gl.TEXTURE_WRAP_T, gl.CLAMP_TO_EDGE);
		}
		if (linearsampling)
		{
			gl.texParameteri(gl.TEXTURE_2D, gl.TEXTURE_MAG_FILTER, gl.LINEAR);
			if (isPOT)
			{
				gl.texParameteri(gl.TEXTURE_2D, gl.TEXTURE_MIN_FILTER, gl.LINEAR_MIPMAP_LINEAR);
				gl.generateMipmap(gl.TEXTURE_2D);
			}
			else
				gl.texParameteri(gl.TEXTURE_2D, gl.TEXTURE_MIN_FILTER, gl.LINEAR);
		}
		else
		{
			gl.texParameteri(gl.TEXTURE_2D, gl.TEXTURE_MAG_FILTER, gl.NEAREST);
			gl.texParameteri(gl.TEXTURE_2D, gl.TEXTURE_MIN_FILTER, gl.NEAREST);
		}
		gl.bindTexture(gl.TEXTURE_2D, null);
		this.lastTexture0 = null;
		webGL_texture.c2width = img.width;
		webGL_texture.c2height = img.height;
		webGL_texture.c2refcount = 1;
		webGL_texture.c2texkey = tex_key;
		all_textures.push(webGL_texture);
		textures_by_src[tex_key] = webGL_texture;
		return webGL_texture;
	};
	GLWrap_.prototype.createEmptyTexture = function (w, h, linearsampling, _16bit, tiling)
	{
		this.endBatch();
		var gl = this.gl;
		if (this.isIE)
			_16bit = false;
		var webGL_texture = gl.createTexture();
		gl.bindTexture(gl.TEXTURE_2D, webGL_texture);
		gl.texImage2D(gl.TEXTURE_2D, 0, gl.RGBA, w, h, 0, gl.RGBA, _16bit ? gl.UNSIGNED_SHORT_4_4_4_4 : gl.UNSIGNED_BYTE, null);
		if (tiling)
		{
			gl.texParameteri(gl.TEXTURE_2D, gl.TEXTURE_WRAP_S, gl.REPEAT);
			gl.texParameteri(gl.TEXTURE_2D, gl.TEXTURE_WRAP_T, gl.REPEAT);
		}
		else
		{
			gl.texParameteri(gl.TEXTURE_2D, gl.TEXTURE_WRAP_S, gl.CLAMP_TO_EDGE);
			gl.texParameteri(gl.TEXTURE_2D, gl.TEXTURE_WRAP_T, gl.CLAMP_TO_EDGE);
		}
		gl.texParameteri(gl.TEXTURE_2D, gl.TEXTURE_MAG_FILTER, linearsampling ? gl.LINEAR : gl.NEAREST);
		gl.texParameteri(gl.TEXTURE_2D, gl.TEXTURE_MIN_FILTER, linearsampling ? gl.LINEAR : gl.NEAREST);
		gl.bindTexture(gl.TEXTURE_2D, null);
		this.lastTexture0 = null;
		webGL_texture.c2width = w;
		webGL_texture.c2height = h;
		all_textures.push(webGL_texture);
		return webGL_texture;
	};
	GLWrap_.prototype.videoToTexture = function (video_, texture_, _16bit)
	{
		this.endBatch();
		var gl = this.gl;
		if (this.isIE)
			_16bit = false;
		gl.bindTexture(gl.TEXTURE_2D, texture_);
		gl.pixelStorei(gl["UNPACK_PREMULTIPLY_ALPHA_WEBGL"], true);
		gl.texImage2D(gl.TEXTURE_2D, 0, gl.RGBA, gl.RGBA, _16bit ? gl.UNSIGNED_SHORT_4_4_4_4 : gl.UNSIGNED_BYTE, video_);
		gl.bindTexture(gl.TEXTURE_2D, null);
		this.lastTexture0 = null;
	};
	GLWrap_.prototype.deleteTexture = function (tex)
	{
		if (!tex)
			return;
		if (typeof tex.c2refcount !== "undefined" && tex.c2refcount > 1)
		{
			tex.c2refcount--;
			return;
		}
		this.endBatch();
		if (tex === this.lastTexture0)
		{
			this.gl.bindTexture(this.gl.TEXTURE_2D, null);
			this.lastTexture0 = null;
		}
		if (tex === this.lastTexture1)
		{
			this.gl.activeTexture(this.gl.TEXTURE1);
			this.gl.bindTexture(this.gl.TEXTURE_2D, null);
			this.gl.activeTexture(this.gl.TEXTURE0);
			this.lastTexture1 = null;
		}
		cr.arrayFindRemove(all_textures, tex);
		if (typeof tex.c2texkey !== "undefined")
			delete textures_by_src[tex.c2texkey];
		this.gl.deleteTexture(tex);
	};
	GLWrap_.prototype.estimateVRAM = function ()
	{
		var total = this.width * this.height * 4 * 2;
		var i, len, t;
		for (i = 0, len = all_textures.length; i < len; i++)
		{
			t = all_textures[i];
			total += (t.c2width * t.c2height * 4);
		}
		return total;
	};
	GLWrap_.prototype.textureCount = function ()
	{
		return all_textures.length;
	};
	GLWrap_.prototype.setRenderingToTexture = function (tex)
	{
		if (tex === this.renderToTex)
			return;
;
		var b = this.pushBatch();
		b.type = BATCH_RENDERTOTEXTURE;
		b.texParam = tex;
		this.renderToTex = tex;
		this.hasQuadBatchTop = false;
		this.hasPointBatchTop = false;
	};
	cr.GLWrap = GLWrap_;
}());
;
(function()
{
	function Runtime(canvas)
	{
		if (!canvas || (!canvas.getContext && !canvas["dc"]))
			return;
		if (canvas["c2runtime"])
			return;
		else
			canvas["c2runtime"] = this;
		var self = this;
		this.isCrosswalk = /crosswalk/i.test(navigator.userAgent) || /xwalk/i.test(navigator.userAgent) || !!(typeof window["c2isCrosswalk"] !== "undefined" && window["c2isCrosswalk"]);
		this.isPhoneGap = (!this.isCrosswalk && (typeof window["device"] !== "undefined" && (typeof window["device"]["cordova"] !== "undefined" || typeof window["device"]["phonegap"] !== "undefined")));
		this.isDirectCanvas = !!canvas["dc"];
		this.isAppMobi = (typeof window["AppMobi"] !== "undefined" || this.isDirectCanvas);
		this.isCocoonJs = !!window["c2cocoonjs"];
		if (this.isCocoonJs)
		{
			CocoonJS["App"]["onSuspended"].addEventListener(function() {
				self["setSuspended"](true);
			});
			CocoonJS["App"]["onActivated"].addEventListener(function () {
				self["setSuspended"](false);
			});
		}
		this.isDomFree = this.isDirectCanvas || this.isCocoonJs;
		this.isTizen = /tizen/i.test(navigator.userAgent);
		this.isAndroid = /android/i.test(navigator.userAgent) && !this.isTizen;		// tizen says "like Android"
		this.isIE = /msie/i.test(navigator.userAgent) || /trident/i.test(navigator.userAgent);
		this.isiPhone = /iphone/i.test(navigator.userAgent) || /ipod/i.test(navigator.userAgent);	// treat ipod as an iphone
		this.isiPad = /ipad/i.test(navigator.userAgent);
		this.isiOS = this.isiPhone || this.isiPad;
		this.isiPhoneiOS6 = (this.isiPhone && /os\s6/i.test(navigator.userAgent));
		this.isChrome = /chrome/i.test(navigator.userAgent) || /chromium/i.test(navigator.userAgent);
		this.isAmazonWebApp = /amazonwebappplatform/i.test(navigator.userAgent);
		this.isFirefox = /firefox/i.test(navigator.userAgent);
		this.isSafari = !this.isChrome && /safari/i.test(navigator.userAgent);		// Chrome includes Safari in UA
		this.isWindows = /windows/i.test(navigator.userAgent);
		this.isNodeWebkit = (typeof window["c2nodewebkit"] !== "undefined" || /nodewebkit/i.test(navigator.userAgent));
		this.isArcade = (typeof window["is_scirra_arcade"] !== "undefined");
		this.isWindows8App = !!(typeof window["c2isWindows8"] !== "undefined" && window["c2isWindows8"]);
		this.isWindowsPhone8 = !!(typeof window["c2isWindowsPhone8"] !== "undefined" && window["c2isWindowsPhone8"]);
		this.isBlackberry10 = !!(typeof window["c2isBlackberry10"] !== "undefined" && window["c2isBlackberry10"]);
		this.isAndroidStockBrowser = (this.isAndroid && !this.isChrome && !this.isFirefox && !this.isAmazonWebApp && !this.isDomFree);
		this.devicePixelRatio = 1;
		this.isMobile = (this.isPhoneGap || this.isCrosswalk || this.isAppMobi || this.isCocoonJs || this.isAndroid || this.isiOS || this.isWindowsPhone8 || this.isBlackberry10 || this.isTizen);
		if (!this.isMobile)
			this.isMobile = /(blackberry|bb10|playbook|palm|symbian|nokia|windows\s+ce|phone|mobile|tablet)/i.test(navigator.userAgent);
		if (typeof cr_is_preview !== "undefined" && !this.isNodeWebkit && (window.location.search === "?nw" || /nodewebkit/i.test(navigator.userAgent)))
		{
			this.isNodeWebkit = true;
		}
		this.isDebug = (typeof cr_is_preview !== "undefined" && window.location.search.indexOf("debug") > -1)
		this.canvas = canvas;
		this.canvasdiv = document.getElementById("c2canvasdiv");
		this.gl = null;
		this.glwrap = null;
		this.ctx = null;
		this.fullscreenOldMarginCss = "";
		this.firstInFullscreen = false;
		this.oldWidth = 0;		// for restoring non-fullscreen canvas after fullscreen
		this.oldHeight = 0;
		this.canvas.oncontextmenu = function (e) { if (e.preventDefault) e.preventDefault(); return false; };
		this.canvas.onselectstart = function (e) { if (e.preventDefault) e.preventDefault(); return false; };
		if (this.isDirectCanvas)
			window["c2runtime"] = this;
		if (this.isNodeWebkit)
		{
			window.ondragover = function(e) { e.preventDefault(); return false; };
			window.ondrop = function(e) { e.preventDefault(); return false; };
			require("nw.gui")["App"]["clearCache"]();
		}
		this.width = canvas.width;
		this.height = canvas.height;
		this.draw_width = this.width;
		this.draw_height = this.height;
		this.cssWidth = this.width;
		this.cssHeight = this.height;
		this.lastWindowWidth = window.innerWidth;
		this.lastWindowHeight = window.innerHeight;
		this.redraw = true;
		this.isSuspended = false;
		this.blockSuspend = false;
		if (!Date.now) {
		  Date.now = function now() {
			return +new Date();
		  };
		}
		this.plugins = [];
		this.types = {};
		this.types_by_index = [];
		this.behaviors = [];
		this.layouts = {};
		this.layouts_by_index = [];
		this.eventsheets = {};
		this.eventsheets_by_index = [];
		this.wait_for_textures = [];        // for blocking until textures loaded
		this.triggers_to_postinit = [];
		this.all_global_vars = [];
		this.all_local_vars = [];
		this.solidBehavior = null;
		this.jumpthruBehavior = null;
		this.deathRow = new cr.ObjectSet();
		this.isInClearDeathRow = false;
		this.isInOnDestroy = 0;					// needs to support recursion so increments and decrements and is true if > 0
		this.isRunningEvents = false;
		this.createRow = [];
		this.isLoadingState = false;
		this.saveToSlot = "";
		this.loadFromSlot = "";
		this.loadFromJson = "";
		this.lastSaveJson = "";
		this.signalledContinuousPreview = false;
		this.suspendDrawing = false;		// for hiding display until continuous preview loads
		this.dt = 0;
        this.dt1 = 0;
		this.logictime = 0;			// used to calculate CPUUtilisation
		this.cpuutilisation = 0;
		this.zeroDtCount = 0;
        this.timescale = 1.0;
        this.kahanTime = new cr.KahanAdder();
		this.last_tick_time = 0;
		this.measuring_dt = true;
		this.fps = 0;
		this.last_fps_time = 0;
		this.tickcount = 0;
		this.execcount = 0;
		this.framecount = 0;        // for fps
		this.objectcount = 0;
		this.changelayout = null;
		this.destroycallbacks = [];
		this.event_stack = [];
		this.event_stack_index = -1;
		this.localvar_stack = [[]];
		this.localvar_stack_index = 0;
		this.trigger_depth = 0;		// recursion depth for triggers
		this.pushEventStack(null);
		this.loop_stack = [];
		this.loop_stack_index = -1;
		this.next_uid = 0;
		this.next_puid = 0;		// permanent unique ids
		this.layout_first_tick = true;
		this.family_count = 0;
		this.suspend_events = [];
		this.raf_id = 0;
		this.timeout_id = 0;
		this.isloading = true;
		this.loadingprogress = 0;
		this.isNodeFullscreen = false;
		this.stackLocalCount = 0;	// number of stack-based local vars for recursion
		this.halfFramerateMode = false;
		this.lastRafTime = 0;		// time of last requestAnimationFrame call
		this.ranLastRaf = false;	// false if last requestAnimationFrame was skipped for half framerate mode
		this.had_a_click = false;
		this.isInUserInputEvent = false;
        this.objects_to_tick = new cr.ObjectSet();
		this.objects_to_tick2 = new cr.ObjectSet();
		this.registered_collisions = [];
		this.temp_poly = new cr.CollisionPoly([]);
		this.temp_poly2 = new cr.CollisionPoly([]);
		this.allGroups = [];				// array of all event groups
        this.activeGroups = {};				// event group activation states
		this.cndsBySid = {};
		this.actsBySid = {};
		this.varsBySid = {};
		this.blocksBySid = {};
		this.running_layout = null;			// currently running layout
		this.layer_canvas = null;			// for layers "render-to-texture"
		this.layer_ctx = null;
		this.layer_tex = null;
		this.layout_tex = null;
		this.layout_canvas = null;
		this.layout_ctx = null;
		this.is_WebGL_context_lost = false;
		this.uses_background_blending = false;	// if any shader uses background blending, so entire layout renders to texture
		this.fx_tex = [null, null];
		this.fullscreen_scaling = 0;
		this.files_subfolder = "";			// path with project files
		this.objectsByUid = {};				// maps every in-use UID (as a string) to its instance
		this.loaderlogo = null;
		this.snapshotCanvas = null;
		this.snapshotData = "";
		this.load();
		this.isRetina = (!this.isDomFree && this.useHighDpi && !this.isAndroidStockBrowser);
		this.devicePixelRatio = (this.isRetina ? (window["devicePixelRatio"] || window["webkitDevicePixelRatio"] || window["mozDevicePixelRatio"] || window["msDevicePixelRatio"] || 1) : 1);
		this.ClearDeathRow();
		var attribs;
		var alpha_canvas = this.alphaBackground && !(this.isNodeWebkit || this.isWindows8App || this.isWindowsPhone8);
		if (this.fullscreen_mode > 0)
			this["setSize"](window.innerWidth, window.innerHeight, true);
		try {
			if (this.enableWebGL && (this.isCocoonJs || !this.isDomFree))
			{
				attribs = {
					"alpha": alpha_canvas,
					"depth": false,
					"antialias": false,
					"failIfMajorPerformanceCaveat": true
				};
				this.gl = (canvas.getContext("webgl", attribs) || canvas.getContext("experimental-webgl", attribs));
			}
		}
		catch (e) {
		}
		if (this.gl)
		{
;
			if (!this.isDomFree)
			{
				this.overlay_canvas = document.createElement("canvas");
				jQuery(this.overlay_canvas).appendTo(this.canvas.parentNode);
				this.overlay_canvas.oncontextmenu = function (e) { return false; };
				this.overlay_canvas.onselectstart = function (e) { return false; };
				this.overlay_canvas.width = this.cssWidth;
				this.overlay_canvas.height = this.cssHeight;
				jQuery(this.overlay_canvas).css({"width": this.cssWidth + "px",
												"height": this.cssHeight + "px"});
				this.positionOverlayCanvas();
				this.overlay_ctx = this.overlay_canvas.getContext("2d");
			}
			this.glwrap = new cr.GLWrap(this.gl, this.isMobile);
			this.glwrap.setSize(canvas.width, canvas.height);
			this.ctx = null;
			this.canvas.addEventListener("webglcontextlost", function (ev) {
				ev.preventDefault();
				self.onContextLost();
				console.log("[Construct 2] WebGL context lost");
				window["cr_setSuspended"](true);		// stop rendering
			}, false);
			this.canvas.addEventListener("webglcontextrestored", function (ev) {
				self.glwrap.initState();
				self.glwrap.setSize(self.glwrap.width, self.glwrap.height, true);
				self.layer_tex = null;
				self.layout_tex = null;
				self.fx_tex[0] = null;
				self.fx_tex[1] = null;
				self.onContextRestored();
				self.redraw = true;
				console.log("[Construct 2] WebGL context restored");
				window["cr_setSuspended"](false);		// resume rendering
			}, false);
			var i, len, j, lenj, k, lenk, t, s, l, y;
			for (i = 0, len = this.types_by_index.length; i < len; i++)
			{
				t = this.types_by_index[i];
				for (j = 0, lenj = t.effect_types.length; j < lenj; j++)
				{
					s = t.effect_types[j];
					s.shaderindex = this.glwrap.getShaderIndex(s.id);
					this.uses_background_blending = this.uses_background_blending || this.glwrap.programUsesDest(s.shaderindex);
				}
			}
			for (i = 0, len = this.layouts_by_index.length; i < len; i++)
			{
				l = this.layouts_by_index[i];
				for (j = 0, lenj = l.effect_types.length; j < lenj; j++)
				{
					s = l.effect_types[j];
					s.shaderindex = this.glwrap.getShaderIndex(s.id);
				}
				for (j = 0, lenj = l.layers.length; j < lenj; j++)
				{
					y = l.layers[j];
					for (k = 0, lenk = y.effect_types.length; k < lenk; k++)
					{
						s = y.effect_types[k];
						s.shaderindex = this.glwrap.getShaderIndex(s.id);
						this.uses_background_blending = this.uses_background_blending || this.glwrap.programUsesDest(s.shaderindex);
					}
				}
			}
		}
		else
		{
			if (this.fullscreen_mode > 0 && this.isDirectCanvas)
			{
;
				this.canvas = null;
				document.oncontextmenu = function (e) { return false; };
				document.onselectstart = function (e) { return false; };
				this.ctx = AppMobi["canvas"]["getContext"]("2d");
				try {
					this.ctx["samplingMode"] = this.linearSampling ? "smooth" : "sharp";
					this.ctx["globalScale"] = 1;
					this.ctx["HTML5CompatibilityMode"] = true;
					this.ctx["imageSmoothingEnabled"] = this.linearSampling;
				} catch(e){}
				if (this.width !== 0 && this.height !== 0)
				{
					this.ctx.width = this.width;
					this.ctx.height = this.height;
				}
			}
			if (!this.ctx)
			{
;
				if (this.isCocoonJs)
				{
					attribs = {
						"antialias": !!this.linearSampling,
						"alpha": alpha_canvas
					};
					this.ctx = canvas.getContext("2d", attribs);
				}
				else
				{
					attribs = {
						"alpha": alpha_canvas
					};
					this.ctx = canvas.getContext("2d", attribs);
				}
				this.ctx["webkitImageSmoothingEnabled"] = this.linearSampling;
				this.ctx["mozImageSmoothingEnabled"] = this.linearSampling;
				this.ctx["msImageSmoothingEnabled"] = this.linearSampling;
				this.ctx["imageSmoothingEnabled"] = this.linearSampling;
			}
			this.overlay_canvas = null;
			this.overlay_ctx = null;
		}
		this.tickFunc = function () { self.tick(); };
		if (window != window.top && !this.isDomFree && !this.isWindows8App)
		{
			document.addEventListener("mousedown", function () {
				window.focus();
			}, true);
			document.addEventListener("touchstart", function () {
				window.focus();
			}, true);
		}
		if (typeof cr_is_preview !== "undefined")
		{
			if (this.isCocoonJs)
				console.log("[Construct 2] In preview-over-wifi via CocoonJS mode");
			if (window.location.search.indexOf("continuous") > -1)
			{
				cr.logexport("Reloading for continuous preview");
				this.loadFromSlot = "__c2_continuouspreview";
				this.suspendDrawing = true;
			}
			if (this.pauseOnBlur && !this.isMobile)
			{
				jQuery(window).focus(function ()
				{
					self["setSuspended"](false);
				});
				jQuery(window).blur(function ()
				{
					self["setSuspended"](true);
				});
			}
		}
		if (this.fullscreen_mode === 0 && this.isRetina && this.devicePixelRatio > 1)
		{
			this["setSize"](this.original_width, this.original_height, true);
		}
		this.tryLockOrientation();
		this.go();			// run loading screen
		this.extra = {};
		cr.seal(this);
	};
	var webkitRepaintFlag = false;
	Runtime.prototype["setSize"] = function (w, h, force)
	{
		var offx = 0, offy = 0;
		var neww = 0, newh = 0, intscale = 0;
		var tryHideAddressBar = (this.isiPhoneiOS6 && this.isSafari && !navigator["standalone"] && !this.isDomFree && !this.isPhoneGap);
		if (tryHideAddressBar)
			h += 60;		// height of Safari iPhone iOS 6 address bar
		if (this.lastWindowWidth === w && this.lastWindowHeight === h && !force)
			return;
		this.lastWindowWidth = w;
		this.lastWindowHeight = h;
		var mode = this.fullscreen_mode;
		var orig_aspect, cur_aspect;
		var isfullscreen = (document["mozFullScreen"] || document["webkitIsFullScreen"] || !!document["msFullscreenElement"] || document["fullScreen"] || this.isNodeFullscreen);
		if (!isfullscreen && this.fullscreen_mode === 0 && !force)
			return;			// ignore size events when not fullscreen and not using a fullscreen-in-browser mode
		if (isfullscreen && this.fullscreen_scaling > 0)
			mode = this.fullscreen_scaling;
		if (mode >= 4)
		{
			orig_aspect = this.original_width / this.original_height;
			cur_aspect = w / h;
			if (cur_aspect > orig_aspect)
			{
				neww = h * orig_aspect;
				if (mode === 5)	// integer scaling
				{
					intscale = neww / this.original_width;
					if (intscale > 1)
						intscale = Math.floor(intscale);
					else if (intscale < 1)
						intscale = 1 / Math.ceil(1 / intscale);
					neww = this.original_width * intscale;
					newh = this.original_height * intscale;
					offx = (w - neww) / 2;
					offy = (h - newh) / 2;
					w = neww;
					h = newh;
				}
				else
				{
					offx = (w - neww) / 2;
					w = neww;
				}
			}
			else
			{
				newh = w / orig_aspect;
				if (mode === 5)	// integer scaling
				{
					intscale = newh / this.original_height;
					if (intscale > 1)
						intscale = Math.floor(intscale);
					else if (intscale < 1)
						intscale = 1 / Math.ceil(1 / intscale);
					neww = this.original_width * intscale;
					newh = this.original_height * intscale;
					offx = (w - neww) / 2;
					offy = (h - newh) / 2;
					w = neww;
					h = newh;
				}
				else
				{
					offy = (h - newh) / 2;
					h = newh;
				}
			}
			if (isfullscreen && !this.isNodeWebkit)
			{
				offx = 0;
				offy = 0;
			}
			offx = Math.floor(offx);
			offy = Math.floor(offy);
			w = Math.floor(w);
			h = Math.floor(h);
		}
		else if (this.isNodeWebkit && this.isNodeFullscreen && this.fullscreen_mode_set === 0)
		{
			offx = Math.floor((w - this.original_width) / 2);
			offy = Math.floor((h - this.original_height) / 2);
			w = this.original_width;
			h = this.original_height;
		}
		if (mode < 2)
			this.aspect_scale = this.devicePixelRatio;
		if (this.isRetina && this.isiPad && this.devicePixelRatio > 1)	// don't apply to iPad 1-2
		{
			if (w >= 1024)
				w = 1023;		// 2046 retina pixels
			if (h >= 1024)
				h = 1023;
		}
		var multiplier = this.devicePixelRatio;
		this.cssWidth = w;
		this.cssHeight = h;
		this.width = Math.round(w * multiplier);
		this.height = Math.round(h * multiplier);
		this.redraw = true;
		if (this.wantFullscreenScalingQuality)
		{
			this.draw_width = this.width;
			this.draw_height = this.height;
			this.fullscreenScalingQuality = true;
		}
		else
		{
			if ((this.width < this.original_width && this.height < this.original_height) || mode === 1)
			{
				this.draw_width = this.width;
				this.draw_height = this.height;
				this.fullscreenScalingQuality = true;
			}
			else
			{
				this.draw_width = this.original_width;
				this.draw_height = this.original_height;
				this.fullscreenScalingQuality = false;
				/*var orig_aspect = this.original_width / this.original_height;
				var cur_aspect = this.width / this.height;
				if ((this.fullscreen_mode !== 2 && cur_aspect > orig_aspect) || (this.fullscreen_mode === 2 && cur_aspect < orig_aspect))
					this.aspect_scale = this.height / this.original_height;
				else
					this.aspect_scale = this.width / this.original_width;*/
				if (mode === 2)		// scale inner
				{
					orig_aspect = this.original_width / this.original_height;
					cur_aspect = this.lastWindowWidth / this.lastWindowHeight;
					if (cur_aspect < orig_aspect)
						this.draw_width = this.draw_height * cur_aspect;
					else if (cur_aspect > orig_aspect)
						this.draw_height = this.draw_width / cur_aspect;
				}
				else if (mode === 3)
				{
					orig_aspect = this.original_width / this.original_height;
					cur_aspect = this.lastWindowWidth / this.lastWindowHeight;
					if (cur_aspect > orig_aspect)
						this.draw_width = this.draw_height * cur_aspect;
					else if (cur_aspect < orig_aspect)
						this.draw_height = this.draw_width / cur_aspect;
				}
			}
		}
		if (this.canvasdiv && !this.isDomFree)
		{
			jQuery(this.canvasdiv).css({"width": w + "px",
										"height": h + "px",
										"margin-left": offx,
										"margin-top": offy});
			if (typeof cr_is_preview !== "undefined")
			{
				jQuery("#borderwrap").css({"width": w + "px",
											"height": h + "px"});
			}
		}
		if (this.canvas)
		{
			this.canvas.width = Math.round(w * multiplier);
			this.canvas.height = Math.round(h * multiplier);
			if (this.isRetina)
			{
				jQuery(this.canvas).css({"width": w + "px",
										"height": h + "px"});
			}
		}
		if (this.overlay_canvas)
		{
			this.overlay_canvas.width = w;
			this.overlay_canvas.height = h;
			jQuery(this.overlay_canvas).css({"width": w + "px",
											"height": h + "px"});
		}
		if (this.glwrap)
		{
			this.glwrap.setSize(Math.round(w * multiplier), Math.round(h * multiplier));
		}
		if (this.isDirectCanvas && this.ctx)
		{
			this.ctx.width = w;
			this.ctx.height = h;
		}
		if (this.ctx)
		{
			this.ctx["webkitImageSmoothingEnabled"] = this.linearSampling;
			this.ctx["mozImageSmoothingEnabled"] = this.linearSampling;
			this.ctx["msImageSmoothingEnabled"] = this.linearSampling;
			this.ctx["imageSmoothingEnabled"] = this.linearSampling;
		}
		this.tryLockOrientation();
		if (tryHideAddressBar)
		{
			window.setTimeout(function () {
				window.scrollTo(0, 1);
			}, 100);
		}
	};
	Runtime.prototype.tryLockOrientation = function ()
	{
		if (!this.autoLockOrientation || this.orientations === 0)
			return;
		var orientation = "portrait";
		if (this.orientations === 2)
			orientation = "landscape";
		if (screen["lockOrientation"])
			screen["lockOrientation"](orientation);
		else if (screen["webkitLockOrientation"])
			screen["webkitLockOrientation"](orientation);
		else if (screen["mozLockOrientation"])
			screen["mozLockOrientation"](orientation);
		else if (screen["msLockOrientation"])
			screen["msLockOrientation"](orientation);
	};
	Runtime.prototype.onContextLost = function ()
	{
		this.is_WebGL_context_lost = true;
		var i, len, t;
		for (i = 0, len = this.types_by_index.length; i < len; i++)
		{
			t = this.types_by_index[i];
			if (t.onLostWebGLContext)
				t.onLostWebGLContext();
		}
	};
	Runtime.prototype.onContextRestored = function ()
	{
		this.is_WebGL_context_lost = false;
		var i, len, t;
		for (i = 0, len = this.types_by_index.length; i < len; i++)
		{
			t = this.types_by_index[i];
			if (t.onRestoreWebGLContext)
				t.onRestoreWebGLContext();
		}
	};
	Runtime.prototype.positionOverlayCanvas = function()
	{
		if (this.isDomFree)
			return;
		var isfullscreen = (document["mozFullScreen"] || document["webkitIsFullScreen"] || document["fullScreen"] || !!document["msFullscreenElement"] || this.isNodeFullscreen);
		var overlay_position = isfullscreen ? jQuery(this.canvas).offset() : jQuery(this.canvas).position();
		overlay_position.position = "absolute";
		jQuery(this.overlay_canvas).css(overlay_position);
	};
	var caf = window["cancelAnimationFrame"] ||
	  window["mozCancelAnimationFrame"]    ||
	  window["webkitCancelAnimationFrame"] ||
	  window["msCancelAnimationFrame"]     ||
	  window["oCancelAnimationFrame"];
	Runtime.prototype["setSuspended"] = function (s)
	{
		var i, len;
		if (s && !this.isSuspended && !this.blockSuspend)
		{
			cr.logexport("[Construct 2] Suspending");
			this.isSuspended = true;			// next tick will be last
			if (this.raf_id !== 0 && caf)		// note: CocoonJS does not implement cancelAnimationFrame
				caf(this.raf_id);
			if (this.timeout_id !== 0)
				clearTimeout(this.timeout_id);
			for (i = 0, len = this.suspend_events.length; i < len; i++)
				this.suspend_events[i](true);
		}
		else if (!s && this.isSuspended)
		{
			cr.logexport("[Construct 2] Resuming");
			this.isSuspended = false;
			this.last_tick_time = cr.performance_now();	// ensure first tick is a zero-dt one
			this.last_fps_time = cr.performance_now();	// reset FPS counter
			this.framecount = 0;
			this.logictime = 0;
			for (i = 0, len = this.suspend_events.length; i < len; i++)
				this.suspend_events[i](false);
			this.tick();						// kick off runtime again
		}
	};
	Runtime.prototype.addSuspendCallback = function (f)
	{
		this.suspend_events.push(f);
	};
	Runtime.prototype.load = function ()
	{
;
		var pm = cr.getProjectModel();
		this.name = pm[0];
		this.first_layout = pm[1];
		this.fullscreen_mode = pm[11];	// 0 = off, 1 = crop, 2 = scale inner, 3 = scale outer, 4 = letterbox scale, 5 = integer letterbox scale
		this.fullscreen_mode_set = pm[11];
		this.original_width = pm[9];
		this.original_height = pm[10];
		this.parallax_x_origin = this.original_width / 2;
		this.parallax_y_origin = this.original_height / 2;
		if (this.isDomFree && (pm[11] >= 4 || pm[11] === 0))
		{
			cr.logexport("[Construct 2] Letterbox scale fullscreen modes are not supported on this platform - falling back to 'Scale outer'");
			this.fullscreen_mode = 3;
			this.fullscreen_mode_set = 3;
		}
		this.uses_loader_layout = pm[17];
		this.loaderstyle = pm[18];
		if (this.loaderstyle === 0)
		{
			this.loaderlogo = new Image();
			this.loaderlogo.src = "loading-logo.png";
		}
		this.next_uid = pm[20];
		this.system = new cr.system_object(this);
		var i, len, j, lenj, k, lenk, idstr, m, b, t, f;
		var plugin, plugin_ctor;
		for (i = 0, len = pm[2].length; i < len; i++)
		{
			m = pm[2][i];
;
			cr.add_common_aces(m);
			plugin = new m[0](this);
			plugin.singleglobal = m[1];
			plugin.is_world = m[2];
			plugin.must_predraw = m[9];
			if (plugin.onCreate)
				plugin.onCreate();  // opportunity to override default ACEs
			cr.seal(plugin);
			this.plugins.push(plugin);
		}
		pm = cr.getProjectModel();
		for (i = 0, len = pm[3].length; i < len; i++)
		{
			m = pm[3][i];
			plugin_ctor = m[1];
;
			plugin = null;
			for (j = 0, lenj = this.plugins.length; j < lenj; j++)
			{
				if (this.plugins[j] instanceof plugin_ctor)
				{
					plugin = this.plugins[j];
					break;
				}
			}
;
;
			var type_inst = new plugin.Type(plugin);
;
			type_inst.name = m[0];
			type_inst.is_family = m[2];
			type_inst.instvar_sids = m[3].slice(0);
			type_inst.vars_count = m[3].length;
			type_inst.behs_count = m[4];
			type_inst.fx_count = m[5];
			type_inst.sid = m[11];
			if (type_inst.is_family)
			{
				type_inst.members = [];				// types in this family
				type_inst.family_index = this.family_count++;
				type_inst.families = null;
			}
			else
			{
				type_inst.members = null;
				type_inst.family_index = -1;
				type_inst.families = [];			// families this type belongs to
			}
			type_inst.family_var_map = null;
			type_inst.family_beh_map = null;
			type_inst.family_fx_map = null;
			type_inst.is_contained = false;
			type_inst.container = null;
			if (m[6])
			{
				type_inst.texture_file = m[6][0];
				type_inst.texture_filesize = m[6][1];
				type_inst.texture_pixelformat = m[6][2];
			}
			else
			{
				type_inst.texture_file = null;
				type_inst.texture_filesize = 0;
				type_inst.texture_pixelformat = 0;		// rgba8
			}
			if (m[7])
			{
				type_inst.animations = m[7];
			}
			else
			{
				type_inst.animations = null;
			}
			type_inst.index = i;                                // save index in to types array in type
			type_inst.instances = [];                           // all instances of this type
			type_inst.deadCache = [];							// destroyed instances to recycle next create
			type_inst.solstack = [new cr.selection(type_inst)]; // initialise SOL stack with one empty SOL
			type_inst.cur_sol = 0;
			type_inst.default_instance = null;
			type_inst.default_layerindex = 0;
			type_inst.stale_iids = true;
			type_inst.updateIIDs = cr.type_updateIIDs;
			type_inst.getFirstPicked = cr.type_getFirstPicked;
			type_inst.getPairedInstance = cr.type_getPairedInstance;
			type_inst.getCurrentSol = cr.type_getCurrentSol;
			type_inst.pushCleanSol = cr.type_pushCleanSol;
			type_inst.pushCopySol = cr.type_pushCopySol;
			type_inst.popSol = cr.type_popSol;
			type_inst.getBehaviorByName = cr.type_getBehaviorByName;
			type_inst.getBehaviorIndexByName = cr.type_getBehaviorIndexByName;
			type_inst.getEffectIndexByName = cr.type_getEffectIndexByName;
			type_inst.applySolToContainer = cr.type_applySolToContainer;
			type_inst.getInstanceByIID = cr.type_getInstanceByIID;
			type_inst.collision_grid = new cr.SparseGrid(this.original_width, this.original_height);
			type_inst.any_cell_changed = true;
			type_inst.any_instance_parallaxed = false;
			type_inst.extra = {};
			type_inst.toString = cr.type_toString;
			type_inst.behaviors = [];
			for (j = 0, lenj = m[8].length; j < lenj; j++)
			{
				b = m[8][j];
				var behavior_ctor = b[1];
				var behavior_plugin = null;
				for (k = 0, lenk = this.behaviors.length; k < lenk; k++)
				{
					if (this.behaviors[k] instanceof behavior_ctor)
					{
						behavior_plugin = this.behaviors[k];
						break;
					}
				}
				if (!behavior_plugin)
				{
					behavior_plugin = new behavior_ctor(this);
					behavior_plugin.my_types = [];						// types using this behavior
					behavior_plugin.my_instances = new cr.ObjectSet(); 	// instances of this behavior
					if (behavior_plugin.onCreate)
						behavior_plugin.onCreate();
					cr.seal(behavior_plugin);
					this.behaviors.push(behavior_plugin);
					if (cr.behaviors.solid && behavior_plugin instanceof cr.behaviors.solid)
						this.solidBehavior = behavior_plugin;
					if (cr.behaviors.jumpthru && behavior_plugin instanceof cr.behaviors.jumpthru)
						this.jumpthruBehavior = behavior_plugin;
				}
				if (behavior_plugin.my_types.indexOf(type_inst) === -1)
					behavior_plugin.my_types.push(type_inst);
				var behavior_type = new behavior_plugin.Type(behavior_plugin, type_inst);
				behavior_type.name = b[0];
				behavior_type.sid = b[2];
				behavior_type.onCreate();
				cr.seal(behavior_type);
				type_inst.behaviors.push(behavior_type);
			}
			type_inst.global = m[9];
			type_inst.isOnLoaderLayout = m[10];
			type_inst.effect_types = [];
			for (j = 0, lenj = m[12].length; j < lenj; j++)
			{
				type_inst.effect_types.push({
					id: m[12][j][0],
					name: m[12][j][1],
					shaderindex: -1,
					active: true,
					index: j
				});
			}
			type_inst.tile_poly_data = m[13];
			if (!this.uses_loader_layout || type_inst.is_family || type_inst.isOnLoaderLayout || !plugin.is_world)
			{
				type_inst.onCreate();
				cr.seal(type_inst);
			}
			if (type_inst.name)
				this.types[type_inst.name] = type_inst;
			this.types_by_index.push(type_inst);
			if (plugin.singleglobal)
			{
				var instance = new plugin.Instance(type_inst);
				instance.uid = this.next_uid++;
				instance.puid = this.next_puid++;
				instance.iid = 0;
				instance.get_iid = cr.inst_get_iid;
				instance.toString = cr.inst_toString;
				instance.properties = m[14];
				instance.onCreate();
				cr.seal(instance);
				type_inst.instances.push(instance);
				this.objectsByUid[instance.uid.toString()] = instance;
			}
		}
		for (i = 0, len = pm[4].length; i < len; i++)
		{
			var familydata = pm[4][i];
			var familytype = this.types_by_index[familydata[0]];
			var familymember;
			for (j = 1, lenj = familydata.length; j < lenj; j++)
			{
				familymember = this.types_by_index[familydata[j]];
				familymember.families.push(familytype);
				familytype.members.push(familymember);
			}
		}
		for (i = 0, len = pm[23].length; i < len; i++)
		{
			var containerdata = pm[23][i];
			var containertypes = [];
			for (j = 0, lenj = containerdata.length; j < lenj; j++)
				containertypes.push(this.types_by_index[containerdata[j]]);
			for (j = 0, lenj = containertypes.length; j < lenj; j++)
			{
				containertypes[j].is_contained = true;
				containertypes[j].container = containertypes;
			}
		}
		if (this.family_count > 0)
		{
			for (i = 0, len = this.types_by_index.length; i < len; i++)
			{
				t = this.types_by_index[i];
				if (t.is_family || !t.families.length)
					continue;
				t.family_var_map = new Array(this.family_count);
				t.family_beh_map = new Array(this.family_count);
				t.family_fx_map = new Array(this.family_count);
				var all_fx = [];
				var varsum = 0;
				var behsum = 0;
				var fxsum = 0;
				for (j = 0, lenj = t.families.length; j < lenj; j++)
				{
					f = t.families[j];
					t.family_var_map[f.family_index] = varsum;
					varsum += f.vars_count;
					t.family_beh_map[f.family_index] = behsum;
					behsum += f.behs_count;
					t.family_fx_map[f.family_index] = fxsum;
					fxsum += f.fx_count;
					for (k = 0, lenk = f.effect_types.length; k < lenk; k++)
						all_fx.push(cr.shallowCopy({}, f.effect_types[k]));
				}
				t.effect_types = all_fx.concat(t.effect_types);
				for (j = 0, lenj = t.effect_types.length; j < lenj; j++)
					t.effect_types[j].index = j;
			}
		}
		for (i = 0, len = pm[5].length; i < len; i++)
		{
			m = pm[5][i];
			var layout = new cr.layout(this, m);
			cr.seal(layout);
			this.layouts[layout.name] = layout;
			this.layouts_by_index.push(layout);
		}
		for (i = 0, len = pm[6].length; i < len; i++)
		{
			m = pm[6][i];
			var sheet = new cr.eventsheet(this, m);
			cr.seal(sheet);
			this.eventsheets[sheet.name] = sheet;
			this.eventsheets_by_index.push(sheet);
		}
		for (i = 0, len = this.eventsheets_by_index.length; i < len; i++)
			this.eventsheets_by_index[i].postInit();
		for (i = 0, len = this.triggers_to_postinit.length; i < len; i++)
			this.triggers_to_postinit[i].postInit();
		this.triggers_to_postinit.length = 0;
		this.files_subfolder = pm[7];
		this.pixel_rounding = pm[8];
		this.aspect_scale = 1.0;
		this.enableWebGL = pm[12];
		this.linearSampling = pm[13];
		this.alphaBackground = pm[14];
		this.versionstr = pm[15];
		this.useHighDpi = pm[16];
		this.orientations = pm[19];		// 0 = any, 1 = portrait, 2 = landscape
		this.autoLockOrientation = (this.orientations > 0);
		this.pauseOnBlur = pm[21];
		this.wantFullscreenScalingQuality = pm[22];		// false = low quality, true = high quality
		this.fullscreenScalingQuality = this.wantFullscreenScalingQuality;
		this.start_time = Date.now();
	};
	var anyImageHadError = false;
	Runtime.prototype.waitForImageLoad = function (img_)
	{
		img_.onerror = function ()
		{
			img_.c2error = true;
			anyImageHadError = true;
		};
		this.wait_for_textures.push(img_);
	};
	Runtime.prototype.findWaitingTexture = function (src_)
	{
		var i, len;
		for (i = 0, len = this.wait_for_textures.length; i < len; i++)
		{
			if (this.wait_for_textures[i].cr_src === src_)
				return this.wait_for_textures[i];
		}
		return null;
	};
	Runtime.prototype.areAllTexturesLoaded = function ()
	{
		var totalsize = 0;
		var completedsize = 0;
		var ret = true;
		var i, len, img;
		for (i = 0, len = this.wait_for_textures.length; i < len; i++)
		{
			img = this.wait_for_textures[i];
			var filesize = img.cr_filesize;
			if (!filesize || filesize <= 0)
				filesize = 50000;
			totalsize += filesize;
			if ((img.complete || img["loaded"]) && !img.c2error)
				completedsize += filesize;
			else
				ret = false;    // not all textures loaded
		}
		if (totalsize == 0)
			this.progress = 0;
		else
			this.progress = (completedsize / totalsize);
		return ret;
	};
	Runtime.prototype.go = function ()
	{
		if (!this.ctx && !this.glwrap)
			return;
		var ctx = this.ctx || this.overlay_ctx;
		if (this.overlay_canvas)
			this.positionOverlayCanvas();
		this.progress = 0;
		this.last_progress = -1;
		if (this.areAllTexturesLoaded())
			this.go_textures_done();
		else
		{
			var ms_elapsed = Date.now() - this.start_time;
			if (ctx)
			{
				var overlay_width = this.width;
				var overlay_height = this.height;
				var multiplier = this.devicePixelRatio;
				if (this.overlay_canvas)
				{
					overlay_width = this.cssWidth;
					overlay_height = this.cssHeight;
					multiplier = 1;
				}
				if (this.loaderstyle !== 3 && ms_elapsed >= 500 && this.last_progress != this.progress)
				{
					ctx.clearRect(0, 0, overlay_width, overlay_height);
					var mx = overlay_width / 2;
					var my = overlay_height / 2;
					var haslogo = (this.loaderstyle === 0 && this.loaderlogo.complete);
					var hlw = 40 * multiplier;
					var hlh = 0;
					var logowidth = 80 * multiplier;
					var logoheight;
					if (haslogo)
					{
						logowidth = this.loaderlogo.width * multiplier;
						logoheight = this.loaderlogo.height * multiplier;
						hlw = logowidth / 2;
						hlh = logoheight / 2;
						ctx.drawImage(this.loaderlogo, cr.floor(mx - hlw), cr.floor(my - hlh), logowidth, logoheight);
					}
					if (this.loaderstyle <= 1)
					{
						my += hlh + (haslogo ? 12 * multiplier : 0);
						mx -= hlw;
						mx = cr.floor(mx) + 0.5;
						my = cr.floor(my) + 0.5;
						ctx.fillStyle = anyImageHadError ? "red" : "DodgerBlue";
						ctx.fillRect(mx, my, Math.floor(logowidth * this.progress), 6 * multiplier);
						ctx.strokeStyle = "black";
						ctx.strokeRect(mx, my, logowidth, 6 * multiplier);
						ctx.strokeStyle = "white";
						ctx.strokeRect(mx - 1 * multiplier, my - 1 * multiplier, logowidth + 2 * multiplier, 8 * multiplier);
					}
					else if (this.loaderstyle === 2)
					{
						ctx.font = "12pt Arial";
						ctx.fillStyle = anyImageHadError ? "#f00" : "#999";
						ctx.textBaseLine = "middle";
						var percent_text = Math.round(this.progress * 100) + "%";
						var text_dim = ctx.measureText ? ctx.measureText(percent_text) : null;
						var text_width = text_dim ? text_dim.width : 0;
						ctx.fillText(percent_text, mx - (text_width / 2), my);
					}
				}
				this.last_progress = this.progress;
			}
			setTimeout((function (self) { return function () { self.go(); }; })(this), 100);
		}
	};
	Runtime.prototype.go_textures_done = function ()
	{
		if (this.overlay_canvas)
		{
			this.canvas.parentNode.removeChild(this.overlay_canvas);
			this.overlay_ctx = null;
			this.overlay_canvas = null;
		}
		this.start_time = Date.now();
		this.last_fps_time = cr.performance_now();       // for counting framerate
		var i, len, t;
		if (this.uses_loader_layout)
		{
			for (i = 0, len = this.types_by_index.length; i < len; i++)
			{
				t = this.types_by_index[i];
				if (!t.is_family && !t.isOnLoaderLayout && t.plugin.is_world)
				{
					t.onCreate();
					cr.seal(t);
				}
			}
		}
		else
			this.isloading = false;
		for (i = 0, len = this.layouts_by_index.length; i < len; i++)
		{
			this.layouts_by_index[i].createGlobalNonWorlds();
		}
		if (this.fullscreen_mode >= 2)
		{
			var orig_aspect = this.original_width / this.original_height;
			var cur_aspect = this.width / this.height;
			if ((this.fullscreen_mode !== 2 && cur_aspect > orig_aspect) || (this.fullscreen_mode === 2 && cur_aspect < orig_aspect))
				this.aspect_scale = this.height / this.original_height;
			else
				this.aspect_scale = this.width / this.original_width;
		}
		if (this.first_layout)
			this.layouts[this.first_layout].startRunning();
		else
			this.layouts_by_index[0].startRunning();
;
		if (!this.uses_loader_layout)
		{
			this.loadingprogress = 1;
			this.trigger(cr.system_object.prototype.cnds.OnLoadFinished, null);
		}
		if (navigator["splashscreen"] && navigator["splashscreen"]["hide"])
			navigator["splashscreen"]["hide"]();
		for (i = 0, len = this.types_by_index.length; i < len; i++)
		{
			t = this.types_by_index[i];
			if (t.onAppBegin)
				t.onAppBegin();
		}
		this.tick();
		if (this.isDirectCanvas)
			AppMobi["webview"]["execute"]("onGameReady();");
	};
	var raf = window["requestAnimationFrame"] ||
	  window["mozRequestAnimationFrame"]    ||
	  window["webkitRequestAnimationFrame"] ||
	  window["msRequestAnimationFrame"]     ||
	  window["oRequestAnimationFrame"];
	Runtime.prototype.tick = function ()
	{
		if (!this.running_layout)
			return;
		var logic_start = cr.performance_now();
		if (this.halfFramerateMode && this.ranLastRaf)
		{
			if (logic_start - this.lastRafTime < 29)
			{
				this.ranLastRaf = false;
				this.lastRafTime = logic_start;
				if (raf)
					this.raf_id = raf(this.tickFunc, this.canvas);
				else	// no idea if this works without raf/hi res timers but let's hope for the best
					this.timeout_id = setTimeout(this.tickFunc, this.isMobile ? 1 : 16);
				return;		// skipped this frame
			}
		}
		this.ranLastRaf = true;
		this.lastRafTime = logic_start;
		var fsmode = this.fullscreen_mode;
		var isfullscreen = (document["mozFullScreen"] || document["webkitIsFullScreen"] || document["fullScreen"] || !!document["msFullscreenElement"]);
		if ((isfullscreen || this.isNodeFullscreen) && this.fullscreen_scaling > 0)
			fsmode = this.fullscreen_scaling;
		if (fsmode > 0 && (!this.isiPhone || window.self !== window.top))
		{
			var curwidth = window.innerWidth;
			var curheight = window.innerHeight;
			if (this.lastWindowWidth !== curwidth || this.lastWindowHeight !== curheight)
			{
					this["setSize"](curwidth, curheight);
			}
		}
		if (!this.isDomFree)
		{
			if (isfullscreen)
			{
				if (!this.firstInFullscreen)
				{
					this.fullscreenOldMarginCss = jQuery(this.canvas).css("margin") || "0";
					this.firstInFullscreen = true;
				}
				if (!this.isChrome && !this.isNodeWebkit)
				{
					jQuery(this.canvas).css({
						"margin-left": "" + Math.floor((screen.width - (this.width / this.devicePixelRatio)) / 2) + "px",
						"margin-top": "" + Math.floor((screen.height - (this.height / this.devicePixelRatio)) / 2) + "px"
					});
				}
			}
			else
			{
				if (this.firstInFullscreen)
				{
					if (!this.isChrome && !this.isNodeWebkit)
					{
						jQuery(this.canvas).css("margin", this.fullscreenOldMarginCss);
					}
					this.fullscreenOldMarginCss = "";
					this.firstInFullscreen = false;
					if (this.fullscreen_mode === 0)
					{
						this["setSize"](Math.round(this.oldWidth / this.devicePixelRatio), Math.round(this.oldHeight / this.devicePixelRatio), true);
					}
				}
				else
				{
					this.oldWidth = this.width;
					this.oldHeight = this.height;
				}
			}
		}
		if (this.isloading)
		{
			var done = this.areAllTexturesLoaded();		// updates this.progress
			this.loadingprogress = this.progress;
			if (done)
			{
				this.isloading = false;
				this.progress = 1;
				this.trigger(cr.system_object.prototype.cnds.OnLoadFinished, null);
			}
		}
		this.logic();
		if ((this.redraw || this.isCocoonJs) && !this.is_WebGL_context_lost && !this.suspendDrawing)
		{
			this.redraw = false;
			if (this.glwrap)
				this.drawGL();
			else
				this.draw();
			if (this.snapshotCanvas)
			{
				if (this.canvas && this.canvas.toDataURL)
				{
					this.snapshotData = this.canvas.toDataURL(this.snapshotCanvas[0], this.snapshotCanvas[1]);
					this.trigger(cr.system_object.prototype.cnds.OnCanvasSnapshot, null);
				}
				this.snapshotCanvas = null;
			}
		}
		if (!this.hit_breakpoint)
		{
			this.tickcount++;
			this.execcount++;
			this.framecount++;
		}
		this.logictime += cr.performance_now() - logic_start;
		if (this.isSuspended)
			return;
		if (raf)
			this.raf_id = raf(this.tickFunc, this.canvas);
		else
		{
			this.timeout_id = setTimeout(this.tickFunc, this.isMobile ? 1 : 16);
		}
	};
	Runtime.prototype.logic = function ()
	{
		var i, leni, j, lenj, k, lenk, type, inst, binst;
		var cur_time = cr.performance_now();
		if (cur_time - this.last_fps_time >= 1000)  // every 1 second
		{
			this.last_fps_time += 1000;
			this.fps = this.framecount;
			this.framecount = 0;
			this.cpuutilisation = this.logictime;
			this.logictime = 0;
		}
		if (this.measuring_dt)
		{
			if (this.last_tick_time !== 0)
			{
				var ms_diff = cur_time - this.last_tick_time;
				if (ms_diff === 0 && !this.isDebug)
				{
					this.zeroDtCount++;
					if (this.zeroDtCout >= 10)
						this.measuring_dt = false;
					this.dt1 = 1.0 / 60.0;            // 60fps assumed (0.01666...)
				}
				else
				{
					this.dt1 = ms_diff / 1000.0; // dt measured in seconds
					if (this.dt1 > 0.5)
						this.dt1 = 0;
					else if (this.dt1 > 0.1)
						this.dt1 = 0.1;
				}
			}
			this.last_tick_time = cur_time;
		}
        this.dt = this.dt1 * this.timescale;
        this.kahanTime.add(this.dt);
		var isfullscreen = (document["mozFullScreen"] || document["webkitIsFullScreen"] || document["fullScreen"] || !!document["msFullscreenElement"] || this.isNodeFullscreen);
		if (this.fullscreen_mode >= 2 /* scale */ || (isfullscreen && this.fullscreen_scaling > 0))
		{
			var orig_aspect = this.original_width / this.original_height;
			var cur_aspect = this.width / this.height;
			var mode = this.fullscreen_mode;
			if (isfullscreen && this.fullscreen_scaling > 0)
				mode = this.fullscreen_scaling;
			if ((mode !== 2 && cur_aspect > orig_aspect) || (mode === 2 && cur_aspect < orig_aspect))
			{
				this.aspect_scale = this.height / this.original_height;
			}
			else
			{
				this.aspect_scale = this.width / this.original_width;
			}
			if (this.running_layout)
			{
				this.running_layout.scrollToX(this.running_layout.scrollX);
				this.running_layout.scrollToY(this.running_layout.scrollY);
			}
		}
		else
			this.aspect_scale = (this.isRetina ? this.devicePixelRatio : 1);
		this.ClearDeathRow();
		this.isInOnDestroy++;
		this.system.runWaits();		// prevent instance list changing
		this.isInOnDestroy--;
		this.ClearDeathRow();		// allow instance list changing
		this.isInOnDestroy++;
		for (i = 0, leni = this.types_by_index.length; i < leni; i++)
		{
			type = this.types_by_index[i];
			if (type.is_family || (!type.behaviors.length && !type.families.length))
				continue;
			for (j = 0, lenj = type.instances.length; j < lenj; j++)
			{
				inst = type.instances[j];
				for (k = 0, lenk = inst.behavior_insts.length; k < lenk; k++)
				{
					inst.behavior_insts[k].tick();
				}
			}
		}
		for (i = 0, leni = this.types_by_index.length; i < leni; i++)
		{
			type = this.types_by_index[i];
			if (type.is_family || (!type.behaviors.length && !type.families.length))
				continue;	// type doesn't have any behaviors
			for (j = 0, lenj = type.instances.length; j < lenj; j++)
			{
				inst = type.instances[j];
				for (k = 0, lenk = inst.behavior_insts.length; k < lenk; k++)
				{
					binst = inst.behavior_insts[k];
					if (binst.posttick)
						binst.posttick();
				}
			}
		}
        var tickarr = this.objects_to_tick.valuesRef();
        for (i = 0, leni = tickarr.length; i < leni; i++)
            tickarr[i].tick();
		this.isInOnDestroy--;		// end preventing instance lists from being changed
		this.handleSaveLoad();		// save/load now if queued
		i = 0;
		while (this.changelayout && i++ < 10)
		{
			this.doChangeLayout(this.changelayout);
		}
        for (i = 0, leni = this.eventsheets_by_index.length; i < leni; i++)
            this.eventsheets_by_index[i].hasRun = false;
		if (this.running_layout.event_sheet)
			this.running_layout.event_sheet.run();
		this.registered_collisions.length = 0;
		this.layout_first_tick = false;
		this.isInOnDestroy++;		// prevent instance lists from being changed
		for (i = 0, leni = this.types_by_index.length; i < leni; i++)
		{
			type = this.types_by_index[i];
			if (type.is_family || (!type.behaviors.length && !type.families.length))
				continue;	// type doesn't have any behaviors
			for (j = 0, lenj = type.instances.length; j < lenj; j++)
			{
				var inst = type.instances[j];
				for (k = 0, lenk = inst.behavior_insts.length; k < lenk; k++)
				{
					binst = inst.behavior_insts[k];
					if (binst.tick2)
						binst.tick2();
				}
			}
		}
        tickarr = this.objects_to_tick2.valuesRef();
        for (i = 0, leni = tickarr.length; i < leni; i++)
            tickarr[i].tick2();
		this.isInOnDestroy--;		// end preventing instance lists from being changed
	};
	Runtime.prototype.doChangeLayout = function (changeToLayout)
	{
;
		var prev_layout = this.running_layout;
		this.running_layout.stopRunning();
		var i, len, j, lenj, k, lenk, type, inst, binst;
		if (this.glwrap)
		{
			for (i = 0, len = this.types_by_index.length; i < len; i++)
			{
				type = this.types_by_index[i];
				if (type.is_family)
					continue;
				if (type.unloadTextures && (!type.global || type.instances.length === 0) && changeToLayout.initial_types.indexOf(type) === -1)
				{
					type.unloadTextures();
				}
			}
		}
		if (prev_layout == changeToLayout)
			this.system.waits.length = 0;
		changeToLayout.startRunning();
		for (i = 0, len = this.types_by_index.length; i < len; i++)
		{
			type = this.types_by_index[i];
			if (!type.global && !type.plugin.singleglobal)
				continue;
			for (j = 0, lenj = type.instances.length; j < lenj; j++)
			{
				inst = type.instances[j];
				if (inst.onLayoutChange)
					inst.onLayoutChange();
				if (inst.behavior_insts)
				{
					for (k = 0, lenk = inst.behavior_insts.length; k < lenk; k++)
					{
						binst = inst.behavior_insts[k];
						if (binst.onLayoutChange)
							binst.onLayoutChange();
					}
				}
			}
		}
		this.redraw = true;
		this.layout_first_tick = true;
		this.ClearDeathRow();
	};
    Runtime.prototype.tickMe = function (inst)
    {
        this.objects_to_tick.add(inst);
    };
	Runtime.prototype.untickMe = function (inst)
	{
		this.objects_to_tick.remove(inst);
	};
	Runtime.prototype.tick2Me = function (inst)
    {
        this.objects_to_tick2.add(inst);
    };
	Runtime.prototype.untick2Me = function (inst)
	{
		this.objects_to_tick2.remove(inst);
	};
    Runtime.prototype.getDt = function (inst)
    {
        if (!inst || inst.my_timescale === -1.0)
            return this.dt;
        return this.dt1 * inst.my_timescale;
    };
	Runtime.prototype.draw = function ()
	{
		this.running_layout.draw(this.ctx);
		if (this.isDirectCanvas)
			this.ctx["present"]();
	};
	Runtime.prototype.drawGL = function ()
	{
		this.running_layout.drawGL(this.glwrap);
		this.glwrap.present();
	};
	Runtime.prototype.addDestroyCallback = function (f)
	{
		if (f)
			this.destroycallbacks.push(f);
	};
	Runtime.prototype.removeDestroyCallback = function (f)
	{
		cr.arrayFindRemove(this.destroycallbacks, f);
	};
	Runtime.prototype.getObjectByUID = function (uid_)
	{
;
		var uidstr = uid_.toString();
		if (this.objectsByUid.hasOwnProperty(uidstr))
			return this.objectsByUid[uidstr];
		else
			return null;
	};
	Runtime.prototype.DestroyInstance = function (inst)
	{
		var i, len;
		if (!this.deathRow.contains(inst))
		{
			this.deathRow.add(inst);
			if (inst.is_contained)
			{
				for (i = 0, len = inst.siblings.length; i < len; i++)
				{
					this.DestroyInstance(inst.siblings[i]);
				}
			}
			if (this.isInClearDeathRow)
				this.deathRow.values_cache.push(inst);
			this.isInOnDestroy++;		// support recursion
			this.trigger(Object.getPrototypeOf(inst.type.plugin).cnds.OnDestroyed, inst);
			this.isInOnDestroy--;
		}
	};
	Runtime.prototype.ClearDeathRow = function ()
	{
		var inst, index, type, instances, binst;
		var i, j, k, leni, lenj, lenk;
		var w, f;
		this.isInClearDeathRow = true;
		for (i = 0, leni = this.createRow.length; i < leni; i++)
		{
			inst = this.createRow[i];
			type = inst.type;
			type.instances.push(inst);
			for (j = 0, lenj = type.families.length; j < lenj; j++)
			{
				type.families[j].instances.push(inst);
				type.families[j].stale_iids = true;
			}
		}
		this.createRow.length = 0;
		var arr = this.deathRow.valuesRef();	// get array of items from set
		for (i = 0; i < arr.length; i++)		// check array length every time in case it changes
		{
			inst = arr[i];
			type = inst.type;
			instances = type.instances;
			for (j = 0, lenj = this.destroycallbacks.length; j < lenj; j++)
				this.destroycallbacks[j](inst);
			cr.arrayFindRemove(instances, inst);
			if (instances.length === 0)
				type.any_instance_parallaxed = false;
			if (inst.collcells)
			{
				type.collision_grid.update(inst, inst.collcells, null);
			}
			if (inst.layer)
			{
				cr.arrayRemove(inst.layer.instances, inst.get_zindex());
				inst.layer.zindices_stale = true;
			}
			for (j = 0, lenj = type.families.length; j < lenj; j++)
			{
				cr.arrayFindRemove(type.families[j].instances, inst);
				type.families[j].stale_iids = true;
			}
			if (inst.behavior_insts)
			{
				for (j = 0, lenj = inst.behavior_insts.length; j < lenj; j++)
				{
					binst = inst.behavior_insts[j];
					if (binst.onDestroy)
						binst.onDestroy();
					binst.behavior.my_instances.remove(inst);
				}
			}
            this.objects_to_tick.remove(inst);
			this.objects_to_tick2.remove(inst);
			for (j = 0, lenj = this.system.waits.length; j < lenj; j++)
			{
				w = this.system.waits[j];
				if (w.sols.hasOwnProperty(type.index))
					cr.arrayFindRemove(w.sols[type.index].insts, inst);
				if (!type.is_family)
				{
					for (k = 0, lenk = type.families.length; k < lenk; k++)
					{
						f = type.families[k];
						if (w.sols.hasOwnProperty(f.index))
							cr.arrayFindRemove(w.sols[f.index].insts, inst);
					}
				}
			}
			if (inst.onDestroy)
				inst.onDestroy();
			if (this.objectsByUid.hasOwnProperty(inst.uid.toString()))
				delete this.objectsByUid[inst.uid.toString()];
			this.objectcount--;
			if (type.deadCache.length < 64)
				type.deadCache.push(inst);
			type.stale_iids = true;
		}
		if (!this.deathRow.isEmpty())
			this.redraw = true;
		this.deathRow.clear();
		this.isInClearDeathRow = false;
	};
	Runtime.prototype.createInstance = function (type, layer, sx, sy)
	{
		if (type.is_family)
		{
			var i = cr.floor(Math.random() * type.members.length);
			return this.createInstance(type.members[i], layer, sx, sy);
		}
		if (!type.default_instance)
		{
			return null;
		}
		return this.createInstanceFromInit(type.default_instance, layer, false, sx, sy, false);
	};
	var all_behaviors = [];
	Runtime.prototype.createInstanceFromInit = function (initial_inst, layer, is_startup_instance, sx, sy, skip_siblings)
	{
		var i, len, j, lenj, p, effect_fallback, x, y;
		if (!initial_inst)
			return null;
		var type = this.types_by_index[initial_inst[1]];
;
;
		var is_world = type.plugin.is_world;
;
		if (this.isloading && is_world && !type.isOnLoaderLayout)
			return null;
		if (is_world && !this.glwrap && initial_inst[0][11] === 11)
			return null;
		var original_layer = layer;
		if (!is_world)
			layer = null;
		var inst;
		if (type.deadCache.length)
		{
			inst = type.deadCache.pop();
			inst.recycled = true;
			type.plugin.Instance.call(inst, type);
		}
		else
		{
			inst = new type.plugin.Instance(type);
			inst.recycled = false;
		}
		if (is_startup_instance && !skip_siblings)
			inst.uid = initial_inst[2];
		else
			inst.uid = this.next_uid++;
		this.objectsByUid[inst.uid.toString()] = inst;
		inst.puid = this.next_puid++;
		inst.iid = type.instances.length;
		for (i = 0, len = this.createRow.length; i < len; ++i)
		{
			if (this.createRow[i].type === type)
				inst.iid++;
		}
		inst.get_iid = cr.inst_get_iid;
		var initial_vars = initial_inst[3];
		if (inst.recycled)
		{
			cr.wipe(inst.extra);
		}
		else
		{
			inst.extra = {};
			if (typeof cr_is_preview !== "undefined")
			{
				inst.instance_var_names = [];
				inst.instance_var_names.length = initial_vars.length;
				for (i = 0, len = initial_vars.length; i < len; i++)
					inst.instance_var_names[i] = initial_vars[i][1];
			}
			inst.instance_vars = [];
			inst.instance_vars.length = initial_vars.length;
		}
		for (i = 0, len = initial_vars.length; i < len; i++)
			inst.instance_vars[i] = initial_vars[i][0];
		if (is_world)
		{
			var wm = initial_inst[0];
;
			inst.x = cr.is_undefined(sx) ? wm[0] : sx;
			inst.y = cr.is_undefined(sy) ? wm[1] : sy;
			inst.z = wm[2];
			inst.width = wm[3];
			inst.height = wm[4];
			inst.depth = wm[5];
			inst.angle = wm[6];
			inst.opacity = wm[7];
			inst.hotspotX = wm[8];
			inst.hotspotY = wm[9];
			inst.blend_mode = wm[10];
			effect_fallback = wm[11];
			if (!this.glwrap && type.effect_types.length)	// no WebGL renderer and shaders used
				inst.blend_mode = effect_fallback;			// use fallback blend mode - destroy mode was handled above
			inst.compositeOp = cr.effectToCompositeOp(inst.blend_mode);
			if (this.gl)
				cr.setGLBlend(inst, inst.blend_mode, this.gl);
			if (inst.recycled)
			{
				for (i = 0, len = wm[12].length; i < len; i++)
				{
					for (j = 0, lenj = wm[12][i].length; j < lenj; j++)
						inst.effect_params[i][j] = wm[12][i][j];
				}
				inst.bbox.set(0, 0, 0, 0);
				inst.collcells.set(0, 0, -1, -1);
				inst.bquad.set_from_rect(inst.bbox);
				inst.bbox_changed_callbacks.length = 0;
			}
			else
			{
				inst.effect_params = wm[12].slice(0);
				for (i = 0, len = inst.effect_params.length; i < len; i++)
					inst.effect_params[i] = wm[12][i].slice(0);
				inst.active_effect_types = [];
				inst.active_effect_flags = [];
				inst.active_effect_flags.length = type.effect_types.length;
				inst.bbox = new cr.rect(0, 0, 0, 0);
				inst.collcells = new cr.rect(0, 0, -1, -1);
				inst.bquad = new cr.quad();
				inst.bbox_changed_callbacks = [];
				inst.set_bbox_changed = cr.set_bbox_changed;
				inst.add_bbox_changed_callback = cr.add_bbox_changed_callback;
				inst.contains_pt = cr.inst_contains_pt;
				inst.update_bbox = cr.update_bbox;
				inst.update_collision_cell = cr.update_collision_cell;
				inst.get_zindex = cr.inst_get_zindex;
			}
			inst.tilemap_exists = false;
			inst.tilemap_width = 0;
			inst.tilemap_height = 0;
			inst.tilemap_data = null;
			if (wm.length === 14)
			{
				inst.tilemap_exists = true;
				inst.tilemap_width = wm[13][0];
				inst.tilemap_height = wm[13][1];
				inst.tilemap_data = wm[13][2];
			}
			for (i = 0, len = type.effect_types.length; i < len; i++)
				inst.active_effect_flags[i] = true;
			inst.updateActiveEffects = cr.inst_updateActiveEffects;
			inst.updateActiveEffects();
			inst.uses_shaders = !!inst.active_effect_types.length;
			inst.bbox_changed = true;
			inst.cell_changed = true;
			type.any_cell_changed = true;
			inst.visible = true;
            inst.my_timescale = -1.0;
			inst.layer = layer;
			inst.zindex = layer.instances.length;	// will be placed at top of current layer
			if (typeof inst.collision_poly === "undefined")
				inst.collision_poly = null;
			inst.collisionsEnabled = true;
			this.redraw = true;
		}
		inst.toString = cr.inst_toString;
		var initial_props, binst;
		all_behaviors.length = 0;
		for (i = 0, len = type.families.length; i < len; i++)
		{
			all_behaviors.push.apply(all_behaviors, type.families[i].behaviors);
		}
		all_behaviors.push.apply(all_behaviors, type.behaviors);
		if (inst.recycled)
		{
			for (i = 0, len = all_behaviors.length; i < len; i++)
			{
				var btype = all_behaviors[i];
				binst = inst.behavior_insts[i];
				binst.recycled = true;
				btype.behavior.Instance.call(binst, btype, inst);
				initial_props = initial_inst[4][i];
				for (j = 0, lenj = initial_props.length; j < lenj; j++)
					binst.properties[j] = initial_props[j];
				binst.onCreate();
				btype.behavior.my_instances.add(inst);
			}
		}
		else
		{
			inst.behavior_insts = [];
			for (i = 0, len = all_behaviors.length; i < len; i++)
			{
				var btype = all_behaviors[i];
				var binst = new btype.behavior.Instance(btype, inst);
				binst.recycled = false;
				binst.properties = initial_inst[4][i].slice(0);
				binst.onCreate();
				cr.seal(binst);
				inst.behavior_insts.push(binst);
				btype.behavior.my_instances.add(inst);
			}
		}
		initial_props = initial_inst[5];
		if (inst.recycled)
		{
			for (i = 0, len = initial_props.length; i < len; i++)
				inst.properties[i] = initial_props[i];
		}
		else
			inst.properties = initial_props.slice(0);
		this.createRow.push(inst);
		if (layer)
		{
;
			layer.instances.push(inst);
			if (layer.parallaxX !== 1 || layer.parallaxY !== 1)
				type.any_instance_parallaxed = true;
		}
		this.objectcount++;
		if (type.is_contained)
		{
			inst.is_contained = true;
			if (inst.recycled)
				inst.siblings.length = 0;
			else
				inst.siblings = [];			// note: should not include self in siblings
			if (!is_startup_instance && !skip_siblings)	// layout links initial instances
			{
				for (i = 0, len = type.container.length; i < len; i++)
				{
					if (type.container[i] === type)
						continue;
					if (!type.container[i].default_instance)
					{
						return null;
					}
					inst.siblings.push(this.createInstanceFromInit(type.container[i].default_instance, original_layer, false, is_world ? inst.x : sx, is_world ? inst.y : sy, true));
				}
				for (i = 0, len = inst.siblings.length; i < len; i++)
				{
					inst.siblings[i].siblings.push(inst);
					for (j = 0; j < len; j++)
					{
						if (i !== j)
							inst.siblings[i].siblings.push(inst.siblings[j]);
					}
				}
			}
		}
		else
		{
			inst.is_contained = false;
			inst.siblings = null;
		}
		inst.onCreate();
		if (!inst.recycled)
			cr.seal(inst);
		for (i = 0, len = inst.behavior_insts.length; i < len; i++)
		{
			if (inst.behavior_insts[i].postCreate)
				inst.behavior_insts[i].postCreate();
		}
		return inst;
	};
	Runtime.prototype.getLayerByName = function (layer_name)
	{
		var i, len;
		for (i = 0, len = this.running_layout.layers.length; i < len; i++)
		{
			var layer = this.running_layout.layers[i];
			if (cr.equals_nocase(layer.name, layer_name))
				return layer;
		}
		return null;
	};
	Runtime.prototype.getLayerByNumber = function (index)
	{
		index = cr.floor(index);
		if (index < 0)
			index = 0;
		if (index >= this.running_layout.layers.length)
			index = this.running_layout.layers.length - 1;
		return this.running_layout.layers[index];
	};
	Runtime.prototype.getLayer = function (l)
	{
		if (cr.is_number(l))
			return this.getLayerByNumber(l);
		else
			return this.getLayerByName(l.toString());
	};
	Runtime.prototype.clearSol = function (solModifiers)
	{
		var i, len;
		for (i = 0, len = solModifiers.length; i < len; i++)
		{
			solModifiers[i].getCurrentSol().select_all = true;
		}
	};
	Runtime.prototype.pushCleanSol = function (solModifiers)
	{
		var i, len;
		for (i = 0, len = solModifiers.length; i < len; i++)
		{
			solModifiers[i].pushCleanSol();
		}
	};
	Runtime.prototype.pushCopySol = function (solModifiers)
	{
		var i, len;
		for (i = 0, len = solModifiers.length; i < len; i++)
		{
			solModifiers[i].pushCopySol();
		}
	};
	Runtime.prototype.popSol = function (solModifiers)
	{
		var i, len;
		for (i = 0, len = solModifiers.length; i < len; i++)
		{
			solModifiers[i].popSol();
		}
	};
	Runtime.prototype.updateAllCells = function (type)
	{
		if (!type.any_cell_changed)
			return;		// all instances must already be up-to-date
		var i, len, instances = type.instances;
		for (i = 0, len = instances.length; i < len; ++i)
		{
			instances[i].update_collision_cell();
		}
		var createRow = this.createRow;
		for (i = 0, len = createRow.length; i < len; ++i)
		{
			if (createRow[i].type === type)
				createRow[i].update_collision_cell();
		}
		type.any_cell_changed = false;
	};
	Runtime.prototype.getCollisionCandidates = function (layer, rtype, bbox, candidates)
	{
		var i, len, t;
		var is_parallaxed = (layer ? (layer.parallaxX !== 1 || layer.parallaxY !== 1) : false);
		if (rtype.is_family)
		{
			for (i = 0, len = rtype.members.length; i < len; ++i)
			{
				t = rtype.members[i];
				if (is_parallaxed || t.any_instance_parallaxed)
				{
					cr.appendArray(candidates, t.instances);
				}
				else
				{
					this.updateAllCells(t);
					t.collision_grid.queryRange(bbox, candidates);
				}
			}
		}
		else
		{
			if (is_parallaxed || rtype.any_instance_parallaxed)
			{
				cr.appendArray(candidates, rtype.instances);
			}
			else
			{
				this.updateAllCells(rtype);
				rtype.collision_grid.queryRange(bbox, candidates);
			}
		}
	};
	Runtime.prototype.getTypesCollisionCandidates = function (layer, types, bbox, candidates)
	{
		var i, len;
		for (i = 0, len = types.length; i < len; ++i)
		{
			this.getCollisionCandidates(layer, types[i], bbox, candidates);
		}
	};
	Runtime.prototype.getSolidCollisionCandidates = function (layer, bbox, candidates)
	{
		var solid = this.getSolidBehavior();
		if (!solid)
			return null;
		this.getTypesCollisionCandidates(layer, solid.my_types, bbox, candidates);
	};
	Runtime.prototype.getJumpthruCollisionCandidates = function (layer, bbox, candidates)
	{
		var jumpthru = this.getJumpthruBehavior();
		if (!jumpthru)
			return null;
		this.getTypesCollisionCandidates(layer, jumpthru.my_types, bbox, candidates);
	};
	Runtime.prototype.testAndSelectCanvasPointOverlap = function (type, ptx, pty, inverted)
	{
		var sol = type.getCurrentSol();
		var i, j, inst, len;
		var lx, ly;
		if (sol.select_all)
		{
			if (!inverted)
			{
				sol.select_all = false;
				sol.instances.length = 0;   // clear contents
			}
			for (i = 0, len = type.instances.length; i < len; i++)
			{
				inst = type.instances[i];
				inst.update_bbox();
				lx = inst.layer.canvasToLayer(ptx, pty, true);
				ly = inst.layer.canvasToLayer(ptx, pty, false);
				if (inst.contains_pt(lx, ly))
				{
					if (inverted)
						return false;
					else
						sol.instances.push(inst);
				}
			}
		}
		else
		{
			j = 0;
			for (i = 0, len = sol.instances.length; i < len; i++)
			{
				inst = sol.instances[i];
				inst.update_bbox();
				lx = inst.layer.canvasToLayer(ptx, pty, true);
				ly = inst.layer.canvasToLayer(ptx, pty, false);
				if (inst.contains_pt(lx, ly))
				{
					if (inverted)
						return false;
					else
					{
						sol.instances[j] = sol.instances[i];
						j++;
					}
				}
			}
			if (!inverted)
				sol.instances.length = j;
		}
		type.applySolToContainer();
		if (inverted)
			return true;		// did not find anything overlapping
		else
			return sol.hasObjects();
	};
	Runtime.prototype.testOverlap = function (a, b)
	{
		if (!a || !b || a === b || !a.collisionsEnabled || !b.collisionsEnabled)
			return false;
		a.update_bbox();
		b.update_bbox();
		var layera = a.layer;
		var layerb = b.layer;
		var different_layers = (layera !== layerb && (layera.parallaxX !== layerb.parallaxX || layerb.parallaxY !== layerb.parallaxY || layera.scale !== layerb.scale || layera.angle !== layerb.angle || layera.zoomRate !== layerb.zoomRate));
		var i, len, i2, i21, x, y, haspolya, haspolyb, polya, polyb;
		if (!different_layers)	// same layers: easy check
		{
			if (!a.bbox.intersects_rect(b.bbox))
				return false;
			if (!a.bquad.intersects_quad(b.bquad))
				return false;
			if (a.tilemap_exists && b.tilemap_exists)
				return false;
			if (a.tilemap_exists)
				return this.testTilemapOverlap(a, b);
			if (b.tilemap_exists)
				return this.testTilemapOverlap(b, a);
			haspolya = (a.collision_poly && !a.collision_poly.is_empty());
			haspolyb = (b.collision_poly && !b.collision_poly.is_empty());
			if (!haspolya && !haspolyb)
				return true;
			if (haspolya)
			{
				a.collision_poly.cache_poly(a.width, a.height, a.angle);
				polya = a.collision_poly;
			}
			else
			{
				this.temp_poly.set_from_quad(a.bquad, a.x, a.y, a.width, a.height);
				polya = this.temp_poly;
			}
			if (haspolyb)
			{
				b.collision_poly.cache_poly(b.width, b.height, b.angle);
				polyb = b.collision_poly;
			}
			else
			{
				this.temp_poly.set_from_quad(b.bquad, b.x, b.y, b.width, b.height);
				polyb = this.temp_poly;
			}
			return polya.intersects_poly(polyb, b.x - a.x, b.y - a.y);
		}
		else	// different layers: need to do full translated check
		{
			haspolya = (a.collision_poly && !a.collision_poly.is_empty());
			haspolyb = (b.collision_poly && !b.collision_poly.is_empty());
			if (haspolya)
			{
				a.collision_poly.cache_poly(a.width, a.height, a.angle);
				this.temp_poly.set_from_poly(a.collision_poly);
			}
			else
			{
				this.temp_poly.set_from_quad(a.bquad, a.x, a.y, a.width, a.height);
			}
			polya = this.temp_poly;
			if (haspolyb)
			{
				b.collision_poly.cache_poly(b.width, b.height, b.angle);
				this.temp_poly2.set_from_poly(b.collision_poly);
			}
			else
			{
				this.temp_poly2.set_from_quad(b.bquad, b.x, b.y, b.width, b.height);
			}
			polyb = this.temp_poly2;
			for (i = 0, len = polya.pts_count; i < len; i++)
			{
				i2 = i * 2;
				i21 = i2 + 1;
				x = polya.pts_cache[i2];
				y = polya.pts_cache[i21];
				polya.pts_cache[i2] = layera.layerToCanvas(x + a.x, y + a.y, true);
				polya.pts_cache[i21] = layera.layerToCanvas(x + a.x, y + a.y, false);
			}
			polya.update_bbox();
			for (i = 0, len = polyb.pts_count; i < len; i++)
			{
				i2 = i * 2;
				i21 = i2 + 1;
				x = polyb.pts_cache[i2];
				y = polyb.pts_cache[i21];
				polyb.pts_cache[i2] = layerb.layerToCanvas(x + b.x, y + b.y, true);
				polyb.pts_cache[i21] = layerb.layerToCanvas(x + b.x, y + b.y, false);
			}
			polyb.update_bbox();
			return polya.intersects_poly(polyb, 0, 0);
		}
	};
	var tmpQuad = new cr.quad();
	var tmpRect = new cr.rect(0, 0, 0, 0);
	var collrect_candidates = [];
	Runtime.prototype.testTilemapOverlap = function (tm, a)
	{
		var i, len, c, rc;
		var bbox = a.bbox;
		var tmx = tm.x;
		var tmy = tm.y;
		tm.getCollisionRectCandidates(bbox, collrect_candidates);
		var collrects = collrect_candidates;
		var haspolya = (a.collision_poly && !a.collision_poly.is_empty());
		for (i = 0, len = collrects.length; i < len; ++i)
		{
			c = collrects[i];
			rc = c.rc;
			if (bbox.intersects_rect_off(rc, tmx, tmy))
			{
				tmpQuad.set_from_rect(rc);
				tmpQuad.offset(tmx, tmy);
				if (tmpQuad.intersects_quad(a.bquad))
				{
					if (haspolya)
					{
						a.collision_poly.cache_poly(a.width, a.height, a.angle);
						if (c.poly)
						{
							if (c.poly.intersects_poly(a.collision_poly, a.x - (tmx + rc.left), a.y - (tmy + rc.top)))
							{
								collrect_candidates.length = 0;
								return true;
							}
						}
						else
						{
							this.temp_poly.set_from_quad(tmpQuad, 0, 0, rc.right - rc.left, rc.bottom - rc.top);
							if (this.temp_poly.intersects_poly(a.collision_poly, a.x, a.y))
							{
								collrect_candidates.length = 0;
								return true;
							}
						}
					}
					else
					{
						if (c.poly)
						{
							this.temp_poly.set_from_quad(a.bquad, 0, 0, a.width, a.height);
							if (c.poly.intersects_poly(this.temp_poly, -(tmx + rc.left), -(tmy + rc.top)))
							{
								collrect_candidates.length = 0;
								return true;
							}
						}
						else
						{
							collrect_candidates.length = 0;
							return true;
						}
					}
				}
			}
		}
		collrect_candidates.length = 0;
		return false;
	};
	Runtime.prototype.testRectOverlap = function (r, b)
	{
		if (!b || !b.collisionsEnabled)
			return false;
		b.update_bbox();
		var layerb = b.layer;
		var haspolyb, polyb;
		if (!b.bbox.intersects_rect(r))
			return false;
		if (b.tilemap_exists)
		{
			b.getCollisionRectCandidates(r, collrect_candidates);
			var collrects = collrect_candidates;
			var i, len, c, tilerc;
			var tmx = b.x;
			var tmy = b.y;
			for (i = 0, len = collrects.length; i < len; ++i)
			{
				c = collrects[i];
				tilerc = c.rc;
				if (r.intersects_rect_off(tilerc, tmx, tmy))
				{
					if (c.poly)
					{
						this.temp_poly.set_from_rect(r, 0, 0);
						if (c.poly.intersects_poly(this.temp_poly, -(tmx + tilerc.left), -(tmy + tilerc.top)))
						{
							collrect_candidates.length = 0;
							return true;
						}
					}
					else
					{
						collrect_candidates.length = 0;
						return true;
					}
				}
			}
			collrect_candidates.length = 0;
			return false;
		}
		else
		{
			tmpQuad.set_from_rect(r);
			if (!b.bquad.intersects_quad(tmpQuad))
				return false;
			haspolyb = (b.collision_poly && !b.collision_poly.is_empty());
			if (!haspolyb)
				return true;
			b.collision_poly.cache_poly(b.width, b.height, b.angle);
			tmpQuad.offset(-r.left, -r.top);
			this.temp_poly.set_from_quad(tmpQuad, 0, 0, 1, 1);
			return b.collision_poly.intersects_poly(this.temp_poly, r.left - b.x, r.top - b.y);
		}
	};
	Runtime.prototype.testSegmentOverlap = function (x1, y1, x2, y2, b)
	{
		if (!b || !b.collisionsEnabled)
			return false;
		b.update_bbox();
		var layerb = b.layer;
		var haspolyb, polyb;
		tmpRect.set(cr.min(x1, x2), cr.min(y1, y2), cr.max(x1, x2), cr.max(y1, y2));
		if (!b.bbox.intersects_rect(tmpRect))
			return false;
		if (b.tilemap_exists)
		{
			b.getCollisionRectCandidates(tmpRect, collrect_candidates);
			var collrects = collrect_candidates;
			var i, len, c, tilerc;
			var tmx = b.x;
			var tmy = b.y;
			for (i = 0, len = collrects.length; i < len; ++i)
			{
				c = collrects[i];
				tilerc = c.rc;
				if (tmpRect.intersects_rect_off(tilerc, tmx, tmy))
				{
					tmpQuad.set_from_rect(tilerc);
					tmpQuad.offset(tmx, tmy);
					if (tmpQuad.intersects_segment(x1, y1, x2, y2))
					{
						if (c.poly)
						{
							if (c.poly.intersects_segment(tmx + tilerc.left, tmy + tilerc.top, x1, y1, x2, y2))
							{
								collrect_candidates.length = 0;
								return true;
							}
						}
						else
						{
							collrect_candidates.length = 0;
							return true;
						}
					}
				}
			}
			collrect_candidates.length = 0;
			return false;
		}
		else
		{
			if (!b.bquad.intersects_segment(x1, y1, x2, y2))
				return false;
			haspolyb = (b.collision_poly && !b.collision_poly.is_empty());
			if (!haspolyb)
				return true;
			b.collision_poly.cache_poly(b.width, b.height, b.angle);
			return b.collision_poly.intersects_segment(b.x, b.y, x1, y1, x2, y2);
		}
	};
	Runtime.prototype.typeHasBehavior = function (t, b)
	{
		if (!b)
			return false;
		var i, len, j, lenj, f;
		for (i = 0, len = t.behaviors.length; i < len; i++)
		{
			if (t.behaviors[i].behavior instanceof b)
				return true;
		}
		if (!t.is_family)
		{
			for (i = 0, len = t.families.length; i < len; i++)
			{
				f = t.families[i];
				for (j = 0, lenj = f.behaviors.length; j < lenj; j++)
				{
					if (f.behaviors[j].behavior instanceof b)
						return true;
				}
			}
		}
		return false;
	};
	Runtime.prototype.typeHasNoSaveBehavior = function (t)
	{
		return this.typeHasBehavior(t, cr.behaviors.NoSave);
	};
	Runtime.prototype.typeHasPersistBehavior = function (t)
	{
		return this.typeHasBehavior(t, cr.behaviors.Persist);
	};
	Runtime.prototype.getSolidBehavior = function ()
	{
		return this.solidBehavior;
	};
	Runtime.prototype.getJumpthruBehavior = function ()
	{
		return this.jumpthruBehavior;
	};
	var candidates = [];
	Runtime.prototype.testOverlapSolid = function (inst)
	{
		var i, len, s;
		inst.update_bbox();
		this.getSolidCollisionCandidates(inst.layer, inst.bbox, candidates);
		for (i = 0, len = candidates.length; i < len; ++i)
		{
			s = candidates[i];
			if (!s.extra.solidEnabled)
				continue;
			if (this.testOverlap(inst, s))
			{
				candidates.length = 0;
				return s;
			}
		}
		candidates.length = 0;
		return null;
	};
	Runtime.prototype.testRectOverlapSolid = function (r)
	{
		var i, len, s;
		this.getSolidCollisionCandidates(null, r, candidates);
		for (i = 0, len = candidates.length; i < len; ++i)
		{
			s = candidates[i];
			if (!s.extra.solidEnabled)
				continue;
			if (this.testRectOverlap(r, s))
			{
				candidates.length = 0;
				return s;
			}
		}
		candidates.length = 0;
		return null;
	};
	var jumpthru_array_ret = [];
	Runtime.prototype.testOverlapJumpThru = function (inst, all)
	{
		var ret = null;
		if (all)
		{
			ret = jumpthru_array_ret;
			ret.length = 0;
		}
		inst.update_bbox();
		this.getJumpthruCollisionCandidates(inst.layer, inst.bbox, candidates);
		var i, len, j;
		for (i = 0, len = candidates.length; i < len; ++i)
		{
			j = candidates[i];
			if (!j.extra.jumpthruEnabled)
				continue;
			if (this.testOverlap(inst, j))
			{
				if (all)
					ret.push(j);
				else
				{
					candidates.length = 0;
					return j;
				}
			}
		}
		candidates.length = 0;
		return ret;
	};
	Runtime.prototype.pushOutSolid = function (inst, xdir, ydir, dist, include_jumpthrus, specific_jumpthru)
	{
		var push_dist = dist || 50;
		var oldx = inst.x
		var oldy = inst.y;
		var i;
		var last_overlapped = null, secondlast_overlapped = null;
		for (i = 0; i < push_dist; i++)
		{
			inst.x = (oldx + (xdir * i));
			inst.y = (oldy + (ydir * i));
			inst.set_bbox_changed();
			if (!this.testOverlap(inst, last_overlapped))
			{
				last_overlapped = this.testOverlapSolid(inst);
				if (last_overlapped)
					secondlast_overlapped = last_overlapped;
				if (!last_overlapped)
				{
					if (include_jumpthrus)
					{
						if (specific_jumpthru)
							last_overlapped = (this.testOverlap(inst, specific_jumpthru) ? specific_jumpthru : null);
						else
							last_overlapped = this.testOverlapJumpThru(inst);
						if (last_overlapped)
							secondlast_overlapped = last_overlapped;
					}
					if (!last_overlapped)
					{
						if (secondlast_overlapped)
							this.pushInFractional(inst, xdir, ydir, secondlast_overlapped, 16);
						return true;
					}
				}
			}
		}
		inst.x = oldx;
		inst.y = oldy;
		inst.set_bbox_changed();
		return false;
	};
	Runtime.prototype.pushOut = function (inst, xdir, ydir, dist, otherinst)
	{
		var push_dist = dist || 50;
		var oldx = inst.x
		var oldy = inst.y;
		var i;
		for (i = 0; i < push_dist; i++)
		{
			inst.x = (oldx + (xdir * i));
			inst.y = (oldy + (ydir * i));
			inst.set_bbox_changed();
			if (!this.testOverlap(inst, otherinst))
				return true;
		}
		inst.x = oldx;
		inst.y = oldy;
		inst.set_bbox_changed();
		return false;
	};
	Runtime.prototype.pushInFractional = function (inst, xdir, ydir, obj, limit)
	{
		var divisor = 2;
		var frac;
		var forward = false;
		var overlapping = false;
		var bestx = inst.x;
		var besty = inst.y;
		while (divisor <= limit)
		{
			frac = 1 / divisor;
			divisor *= 2;
			inst.x += xdir * frac * (forward ? 1 : -1);
			inst.y += ydir * frac * (forward ? 1 : -1);
			inst.set_bbox_changed();
			if (this.testOverlap(inst, obj))
			{
				forward = true;
				overlapping = true;
			}
			else
			{
				forward = false;
				overlapping = false;
				bestx = inst.x;
				besty = inst.y;
			}
		}
		if (overlapping)
		{
			inst.x = bestx;
			inst.y = besty;
			inst.set_bbox_changed();
		}
	};
	Runtime.prototype.pushOutSolidNearest = function (inst, max_dist_)
	{
		var max_dist = (cr.is_undefined(max_dist_) ? 100 : max_dist_);
		var dist = 0;
		var oldx = inst.x
		var oldy = inst.y;
		var dir = 0;
		var dx = 0, dy = 0;
		var last_overlapped = this.testOverlapSolid(inst);
		if (!last_overlapped)
			return true;		// already clear of solids
		while (dist <= max_dist)
		{
			switch (dir) {
			case 0:		dx = 0; dy = -1; dist++; break;
			case 1:		dx = 1; dy = -1; break;
			case 2:		dx = 1; dy = 0; break;
			case 3:		dx = 1; dy = 1; break;
			case 4:		dx = 0; dy = 1; break;
			case 5:		dx = -1; dy = 1; break;
			case 6:		dx = -1; dy = 0; break;
			case 7:		dx = -1; dy = -1; break;
			}
			dir = (dir + 1) % 8;
			inst.x = cr.floor(oldx + (dx * dist));
			inst.y = cr.floor(oldy + (dy * dist));
			inst.set_bbox_changed();
			if (!this.testOverlap(inst, last_overlapped))
			{
				last_overlapped = this.testOverlapSolid(inst);
				if (!last_overlapped)
					return true;
			}
		}
		inst.x = oldx;
		inst.y = oldy;
		inst.set_bbox_changed();
		return false;
	};
	Runtime.prototype.registerCollision = function (a, b)
	{
		if (!a.collisionsEnabled || !b.collisionsEnabled)
			return;
		this.registered_collisions.push([a, b]);
	};
	Runtime.prototype.checkRegisteredCollision = function (a, b)
	{
		var i, len, x;
		for (i = 0, len = this.registered_collisions.length; i < len; i++)
		{
			x = this.registered_collisions[i];
			if ((x[0] == a && x[1] == b) || (x[0] == b && x[1] == a))
				return true;
		}
		return false;
	};
	Runtime.prototype.calculateSolidBounceAngle = function(inst, startx, starty, obj)
	{
		var objx = inst.x;
		var objy = inst.y;
		var radius = cr.max(10, cr.distanceTo(startx, starty, objx, objy));
		var startangle = cr.angleTo(startx, starty, objx, objy);
		var firstsolid = obj || this.testOverlapSolid(inst);
		if (!firstsolid)
			return cr.clamp_angle(startangle + cr.PI);
		var cursolid = firstsolid;
		var i, curangle, anticlockwise_free_angle, clockwise_free_angle;
		var increment = cr.to_radians(5);	// 5 degree increments
		for (i = 1; i < 36; i++)
		{
			curangle = startangle - i * increment;
			inst.x = startx + Math.cos(curangle) * radius;
			inst.y = starty + Math.sin(curangle) * radius;
			inst.set_bbox_changed();
			if (!this.testOverlap(inst, cursolid))
			{
				cursolid = obj ? null : this.testOverlapSolid(inst);
				if (!cursolid)
				{
					anticlockwise_free_angle = curangle;
					break;
				}
			}
		}
		if (i === 36)
			anticlockwise_free_angle = cr.clamp_angle(startangle + cr.PI);
		var cursolid = firstsolid;
		for (i = 1; i < 36; i++)
		{
			curangle = startangle + i * increment;
			inst.x = startx + Math.cos(curangle) * radius;
			inst.y = starty + Math.sin(curangle) * radius;
			inst.set_bbox_changed();
			if (!this.testOverlap(inst, cursolid))
			{
				cursolid = obj ? null : this.testOverlapSolid(inst);
				if (!cursolid)
				{
					clockwise_free_angle = curangle;
					break;
				}
			}
		}
		if (i === 36)
			clockwise_free_angle = cr.clamp_angle(startangle + cr.PI);
		inst.x = objx;
		inst.y = objy;
		inst.set_bbox_changed();
		if (clockwise_free_angle === anticlockwise_free_angle)
			return clockwise_free_angle;
		var half_diff = cr.angleDiff(clockwise_free_angle, anticlockwise_free_angle) / 2;
		var normal;
		if (cr.angleClockwise(clockwise_free_angle, anticlockwise_free_angle))
		{
			normal = cr.clamp_angle(anticlockwise_free_angle + half_diff + cr.PI);
		}
		else
		{
			normal = cr.clamp_angle(clockwise_free_angle + half_diff);
		}
;
		var vx = Math.cos(startangle);
		var vy = Math.sin(startangle);
		var nx = Math.cos(normal);
		var ny = Math.sin(normal);
		var v_dot_n = vx * nx + vy * ny;
		var rx = vx - 2 * v_dot_n * nx;
		var ry = vy - 2 * v_dot_n * ny;
		return cr.angleTo(0, 0, rx, ry);
	};
	var triggerSheetStack = [];
	var triggerSheetIndex = -1;
	Runtime.prototype.trigger = function (method, inst, value /* for fast triggers */)
	{
;
		if (!this.running_layout)
			return false;
		var sheet = this.running_layout.event_sheet;
		if (!sheet)
			return false;     // no event sheet active; nothing to trigger
		triggerSheetIndex++;
		if (triggerSheetIndex === triggerSheetStack.length)
			triggerSheetStack.push(new cr.ObjectSet());
		else
			triggerSheetStack[triggerSheetIndex].clear();
        var ret = this.triggerOnSheet(method, inst, sheet, value);
		triggerSheetIndex--;
		return ret;
    };
    Runtime.prototype.triggerOnSheet = function (method, inst, sheet, value)
    {
		var alreadyTriggeredSheets = triggerSheetStack[triggerSheetIndex];
        if (alreadyTriggeredSheets.contains(sheet))
            return false;
        alreadyTriggeredSheets.add(sheet);
        var includes = sheet.includes.valuesRef();
        var ret = false;
		var i, leni, r;
        for (i = 0, leni = includes.length; i < leni; i++)
        {
			if (includes[i].isActive())
			{
				r = this.triggerOnSheet(method, inst, includes[i].include_sheet, value);
				ret = ret || r;
			}
        }
		if (!inst)
		{
			r = this.triggerOnSheetForTypeName(method, inst, "system", sheet, value);
			ret = ret || r;
		}
		else
		{
			r = this.triggerOnSheetForTypeName(method, inst, inst.type.name, sheet, value);
			ret = ret || r;
			for (i = 0, leni = inst.type.families.length; i < leni; i++)
			{
				r = this.triggerOnSheetForTypeName(method, inst, inst.type.families[i].name, sheet, value);
				ret = ret || r;
			}
		}
		return ret;             // true if anything got triggered
	};
	Runtime.prototype.triggerOnSheetForTypeName = function (method, inst, type_name, sheet, value)
	{
		var i, leni;
		var ret = false, ret2 = false;
		var trig, index;
		var fasttrigger = (typeof value !== "undefined");
		var triggers = (fasttrigger ? sheet.fasttriggers : sheet.triggers);
		var obj_entry = triggers[type_name];
		if (!obj_entry)
			return ret;
		var triggers_list = null;
		for (i = 0, leni = obj_entry.length; i < leni; i++)
		{
			if (obj_entry[i].method == method)
			{
				triggers_list = obj_entry[i].evs;
				break;
			}
		}
		if (!triggers_list)
			return ret;
		var triggers_to_fire;
		if (fasttrigger)
		{
			triggers_to_fire = triggers_list[value];
		}
		else
		{
			triggers_to_fire = triggers_list;
		}
		if (!triggers_to_fire)
			return null;
		for (i = 0, leni = triggers_to_fire.length; i < leni; i++)
		{
			trig = triggers_to_fire[i][0];
			index = triggers_to_fire[i][1];
			ret2 = this.executeSingleTrigger(inst, type_name, trig, index);
			ret = ret || ret2;
		}
		return ret;
	};
	Runtime.prototype.executeSingleTrigger = function (inst, type_name, trig, index)
	{
		var i, leni;
		var ret = false;
		this.trigger_depth++;
		var current_event = this.getCurrentEventStack().current_event;
		if (current_event)
			this.pushCleanSol(current_event.solModifiersIncludingParents);
		var isrecursive = (this.trigger_depth > 1);		// calling trigger from inside another trigger
		this.pushCleanSol(trig.solModifiersIncludingParents);
		if (isrecursive)
			this.pushLocalVarStack();
		var event_stack = this.pushEventStack(trig);
		event_stack.current_event = trig;
		if (inst)
		{
			var sol = this.types[type_name].getCurrentSol();
			sol.select_all = false;
			sol.instances.length = 1;
			sol.instances[0] = inst;
			this.types[type_name].applySolToContainer();
		}
		var ok_to_run = true;
		if (trig.parent)
		{
			var temp_parents_arr = event_stack.temp_parents_arr;
			var cur_parent = trig.parent;
			while (cur_parent)
			{
				temp_parents_arr.push(cur_parent);
				cur_parent = cur_parent.parent;
			}
			temp_parents_arr.reverse();
			for (i = 0, leni = temp_parents_arr.length; i < leni; i++)
			{
				if (!temp_parents_arr[i].run_pretrigger())   // parent event failed
				{
					ok_to_run = false;
					break;
				}
			}
		}
		if (ok_to_run)
		{
			this.execcount++;
			if (trig.orblock)
				trig.run_orblocktrigger(index);
			else
				trig.run();
			ret = ret || event_stack.last_event_true;
		}
		this.popEventStack();
		if (isrecursive)
			this.popLocalVarStack();
		this.popSol(trig.solModifiersIncludingParents);
		if (current_event)
			this.popSol(current_event.solModifiersIncludingParents);
		if (this.isInOnDestroy === 0 && triggerSheetIndex === 0 && !this.isRunningEvents && (!this.deathRow.isEmpty() || this.createRow.length))
		{
			this.ClearDeathRow();
		}
		this.trigger_depth--;
		return ret;
	};
	Runtime.prototype.getCurrentCondition = function ()
	{
		var evinfo = this.getCurrentEventStack();
		return evinfo.current_event.conditions[evinfo.cndindex];
	};
	Runtime.prototype.getCurrentAction = function ()
	{
		var evinfo = this.getCurrentEventStack();
		return evinfo.current_event.actions[evinfo.actindex];
	};
	Runtime.prototype.pushLocalVarStack = function ()
	{
		this.localvar_stack_index++;
		if (this.localvar_stack_index >= this.localvar_stack.length)
			this.localvar_stack.push([]);
	};
	Runtime.prototype.popLocalVarStack = function ()
	{
;
		this.localvar_stack_index--;
	};
	Runtime.prototype.getCurrentLocalVarStack = function ()
	{
		return this.localvar_stack[this.localvar_stack_index];
	};
	Runtime.prototype.pushEventStack = function (cur_event)
	{
		this.event_stack_index++;
		if (this.event_stack_index >= this.event_stack.length)
			this.event_stack.push(new cr.eventStackFrame());
		var ret = this.getCurrentEventStack();
		ret.reset(cur_event);
		return ret;
	};
	Runtime.prototype.popEventStack = function ()
	{
;
		this.event_stack_index--;
	};
	Runtime.prototype.getCurrentEventStack = function ()
	{
		return this.event_stack[this.event_stack_index];
	};
	Runtime.prototype.pushLoopStack = function (name_)
	{
		this.loop_stack_index++;
		if (this.loop_stack_index >= this.loop_stack.length)
		{
			this.loop_stack.push(cr.seal({ name: name_, index: 0, stopped: false }));
		}
		var ret = this.getCurrentLoop();
		ret.name = name_;
		ret.index = 0;
		ret.stopped = false;
		return ret;
	};
	Runtime.prototype.popLoopStack = function ()
	{
;
		this.loop_stack_index--;
	};
	Runtime.prototype.getCurrentLoop = function ()
	{
		return this.loop_stack[this.loop_stack_index];
	};
	Runtime.prototype.getEventVariableByName = function (name, scope)
	{
		var i, leni, j, lenj, sheet, e;
		while (scope)
		{
			for (i = 0, leni = scope.subevents.length; i < leni; i++)
			{
				e = scope.subevents[i];
				if (e instanceof cr.eventvariable && cr.equals_nocase(name, e.name))
					return e;
			}
			scope = scope.parent;
		}
		for (i = 0, leni = this.eventsheets_by_index.length; i < leni; i++)
		{
			sheet = this.eventsheets_by_index[i];
			for (j = 0, lenj = sheet.events.length; j < lenj; j++)
			{
				e = sheet.events[j];
				if (e instanceof cr.eventvariable && cr.equals_nocase(name, e.name))
					return e;
			}
		}
		return null;
	};
	Runtime.prototype.getLayoutBySid = function (sid_)
	{
		var i, len;
		for (i = 0, len = this.layouts_by_index.length; i < len; i++)
		{
			if (this.layouts_by_index[i].sid === sid_)
				return this.layouts_by_index[i];
		}
		return null;
	};
	Runtime.prototype.getObjectTypeBySid = function (sid_)
	{
		var i, len;
		for (i = 0, len = this.types_by_index.length; i < len; i++)
		{
			if (this.types_by_index[i].sid === sid_)
				return this.types_by_index[i];
		}
		return null;
	};
	Runtime.prototype.getGroupBySid = function (sid_)
	{
		var i, len;
		for (i = 0, len = this.allGroups.length; i < len; i++)
		{
			if (this.allGroups[i].sid === sid_)
				return this.allGroups[i];
		}
		return null;
	};
	function makeSaveDb(e)
	{
		var db = e.target.result;
		db.createObjectStore("saves", { keyPath: "slot" });
	};
	function IndexedDB_WriteSlot(slot_, data_, oncomplete_, onerror_)
	{
		var request = indexedDB.open("_C2SaveStates");
		request.onupgradeneeded = makeSaveDb;
		request.onerror = onerror_;
		request.onsuccess = function (e)
		{
			var db = e.target.result;
			db.onerror = onerror_;
			var transaction = db.transaction(["saves"], "readwrite");
			var objectStore = transaction.objectStore("saves");
			var putReq = objectStore.put({"slot": slot_, "data": data_ });
			putReq.onsuccess = oncomplete_;
		};
	};
	function IndexedDB_ReadSlot(slot_, oncomplete_, onerror_)
	{
		var request = indexedDB.open("_C2SaveStates");
		request.onupgradeneeded = makeSaveDb;
		request.onerror = onerror_;
		request.onsuccess = function (e)
		{
			var db = e.target.result;
			db.onerror = onerror_;
			var transaction = db.transaction(["saves"]);
			var objectStore = transaction.objectStore("saves");
			var readReq = objectStore.get(slot_);
			readReq.onsuccess = function (e)
			{
				if (readReq.result)
					oncomplete_(readReq.result["data"]);
				else
					oncomplete_(null);
			};
		};
	};
	Runtime.prototype.signalContinuousPreview = function ()
	{
		this.signalledContinuousPreview = true;
	};
	function doContinuousPreviewReload()
	{
		cr.logexport("Reloading for continuous preview");
		if (!!window["c2cocoonjs"])
		{
			CocoonJS["App"]["reload"]();
		}
		else
		{
			if (window.location.search.indexOf("continuous") > -1)
				window.location.reload(true);
			else
				window.location = window.location + "?continuous";
		}
	};
	Runtime.prototype.handleSaveLoad = function ()
	{
		var self = this;
		var savingToSlot = this.saveToSlot;
		var savingJson = this.lastSaveJson;
		var loadingFromSlot = this.loadFromSlot;
		var continuous = false;
		if (this.signalledContinuousPreview)
		{
			continuous = true;
			savingToSlot = "__c2_continuouspreview";
			this.signalledContinuousPreview = false;
		}
		if (savingToSlot.length)
		{
			this.ClearDeathRow();
			savingJson = this.saveToJSONString();
			if (window.indexedDB && !this.isCocoonJs)
			{
				IndexedDB_WriteSlot(savingToSlot, savingJson, function ()
				{
					cr.logexport("Saved state to IndexedDB storage (" + savingJson.length + " bytes)");
					self.lastSaveJson = savingJson;
					self.trigger(cr.system_object.prototype.cnds.OnSaveComplete, null);
					self.lastSaveJson = "";
					if (continuous)
						doContinuousPreviewReload();
				}, function (e)
				{
					try {
						localStorage.setItem("__c2save_" + savingToSlot, savingJson);
						cr.logexport("Saved state to WebStorage (" + savingJson.length + " bytes)");
						self.lastSaveJson = savingJson;
						self.trigger(cr.system_object.prototype.cnds.OnSaveComplete, null);
						self.lastSaveJson = "";
						if (continuous)
							doContinuousPreviewReload();
					}
					catch (f)
					{
						cr.logexport("Failed to save game state: " + e + "; " + f);
					}
				});
			}
			else
			{
				try {
					localStorage.setItem("__c2save_" + savingToSlot, savingJson);
					cr.logexport("Saved state to WebStorage (" + savingJson.length + " bytes)");
					self.lastSaveJson = savingJson;
					this.trigger(cr.system_object.prototype.cnds.OnSaveComplete, null);
					self.lastSaveJson = "";
					if (continuous)
						doContinuousPreviewReload();
				}
				catch (e)
				{
					cr.logexport("Error saving to WebStorage: " + e);
				}
			}
			this.saveToSlot = "";
			this.loadFromSlot = "";
			this.loadFromJson = "";
		}
		if (loadingFromSlot.length)
		{
			if (window.indexedDB && !this.isCocoonJs)
			{
				IndexedDB_ReadSlot(loadingFromSlot, function (result_)
				{
					if (result_)
					{
						self.loadFromJson = result_;
						cr.logexport("Loaded state from IndexedDB storage (" + self.loadFromJson.length + " bytes)");
					}
					else
					{
						self.loadFromJson = localStorage.getItem("__c2save_" + loadingFromSlot) || "";
						cr.logexport("Loaded state from WebStorage (" + self.loadFromJson.length + " bytes)");
					}
					self.suspendDrawing = false;
					if (!self.loadFromJson.length)
						self.trigger(cr.system_object.prototype.cnds.OnLoadFailed, null);
				}, function (e)
				{
					self.loadFromJson = localStorage.getItem("__c2save_" + loadingFromSlot) || "";
					cr.logexport("Loaded state from WebStorage (" + self.loadFromJson.length + " bytes)");
					self.suspendDrawing = false;
					if (!self.loadFromJson.length)
						self.trigger(cr.system_object.prototype.cnds.OnLoadFailed, null);
				});
			}
			else
			{
				this.loadFromJson = localStorage.getItem("__c2save_" + loadingFromSlot) || "";
				cr.logexport("Loaded state from WebStorage (" + this.loadFromJson.length + " bytes)");
				this.suspendDrawing = false;
				if (!self.loadFromJson.length)
					self.trigger(cr.system_object.prototype.cnds.OnLoadFailed, null);
			}
			this.loadFromSlot = "";
			this.saveToSlot = "";
		}
		if (this.loadFromJson.length)
		{
			this.ClearDeathRow();
			this.loadFromJSONString(this.loadFromJson);
			this.lastSaveJson = this.loadFromJson;
			this.trigger(cr.system_object.prototype.cnds.OnLoadComplete, null);
			this.lastSaveJson = "";
			this.loadFromJson = "";
		}
	};
	function CopyExtraObject(extra)
	{
		var p, ret = {};
		for (p in extra)
		{
			if (extra.hasOwnProperty(p))
			{
				if (extra[p] instanceof cr.ObjectSet)
					continue;
				if (extra[p] && typeof extra[p].c2userdata !== "undefined")
					continue;
				ret[p] = extra[p];
			}
		}
		return ret;
	};
	Runtime.prototype.saveToJSONString = function()
	{
		var i, len, j, lenj, type, layout, typeobj, g, c, a, v, p;
		var o = {
			"c2save":				true,
			"version":				1,
			"rt": {
				"time":				this.kahanTime.sum,
				"timescale":		this.timescale,
				"tickcount":		this.tickcount,
				"execcount":		this.execcount,
				"next_uid":			this.next_uid,
				"running_layout":	this.running_layout.sid,
				"start_time_offset": (Date.now() - this.start_time)
			},
			"types": {},
			"layouts": {},
			"events": {
				"groups": {},
				"cnds": {},
				"acts": {},
				"vars": {}
			}
		};
		for (i = 0, len = this.types_by_index.length; i < len; i++)
		{
			type = this.types_by_index[i];
			if (type.is_family || this.typeHasNoSaveBehavior(type))
				continue;
			typeobj = {
				"instances": []
			};
			if (cr.hasAnyOwnProperty(type.extra))
				typeobj["ex"] = CopyExtraObject(type.extra);
			for (j = 0, lenj = type.instances.length; j < lenj; j++)
			{
				typeobj["instances"].push(this.saveInstanceToJSON(type.instances[j]));
			}
			o["types"][type.sid.toString()] = typeobj;
		}
		for (i = 0, len = this.layouts_by_index.length; i < len; i++)
		{
			layout = this.layouts_by_index[i];
			o["layouts"][layout.sid.toString()] = layout.saveToJSON();
		}
		var ogroups = o["events"]["groups"];
		for (i = 0, len = this.allGroups.length; i < len; i++)
		{
			g = this.allGroups[i];
			ogroups[g.sid.toString()] = !!this.activeGroups[g.group_name];
		}
		var ocnds = o["events"]["cnds"];
		for (p in this.cndsBySid)
		{
			if (this.cndsBySid.hasOwnProperty(p))
			{
				c = this.cndsBySid[p];
				if (cr.hasAnyOwnProperty(c.extra))
					ocnds[p] = { "ex": CopyExtraObject(c.extra) };
			}
		}
		var oacts = o["events"]["acts"];
		for (p in this.actsBySid)
		{
			if (this.actsBySid.hasOwnProperty(p))
			{
				a = this.actsBySid[p];
				if (cr.hasAnyOwnProperty(a.extra))
					oacts[p] = { "ex": a.extra };
			}
		}
		var ovars = o["events"]["vars"];
		for (p in this.varsBySid)
		{
			if (this.varsBySid.hasOwnProperty(p))
			{
				v = this.varsBySid[p];
				if (!v.is_constant && (!v.parent || v.is_static))
					ovars[p] = v.data;
			}
		}
		o["system"] = this.system.saveToJSON();
		return JSON.stringify(o);
	};
	Runtime.prototype.refreshUidMap = function ()
	{
		var i, len, type, j, lenj, inst;
		this.objectsByUid = {};
		for (i = 0, len = this.types_by_index.length; i < len; i++)
		{
			type = this.types_by_index[i];
			if (type.is_family)
				continue;
			for (j = 0, lenj = type.instances.length; j < lenj; j++)
			{
				inst = type.instances[j];
				this.objectsByUid[inst.uid.toString()] = inst;
			}
		}
	};
	Runtime.prototype.loadFromJSONString = function (str)
	{
		var o = JSON.parse(str);
		if (!o["c2save"])
			return;		// probably not a c2 save state
		if (o["version"] > 1)
			return;		// from future version of c2; assume not compatible
		var rt = o["rt"];
		this.kahanTime.reset();
		this.kahanTime.sum = rt["time"];
		this.timescale = rt["timescale"];
		this.tickcount = rt["tickcount"];
		this.start_time = Date.now() - rt["start_time_offset"];
		var layout_sid = rt["running_layout"];
		if (layout_sid !== this.running_layout.sid)
		{
			var changeToLayout = this.getLayoutBySid(layout_sid);
			if (changeToLayout)
				this.doChangeLayout(changeToLayout);
			else
				return;		// layout that was saved on has gone missing (deleted?)
		}
		this.isLoadingState = true;
		var i, len, j, lenj, k, lenk, p, type, existing_insts, load_insts, inst, binst, layout, layer, g, iid, t;
		var otypes = o["types"];
		for (p in otypes)
		{
			if (otypes.hasOwnProperty(p))
			{
				type = this.getObjectTypeBySid(parseInt(p, 10));
				if (!type || type.is_family || this.typeHasNoSaveBehavior(type))
					continue;
				if (otypes[p]["ex"])
					type.extra = otypes[p]["ex"];
				else
					cr.wipe(type.extra);
				existing_insts = type.instances;
				load_insts = otypes[p]["instances"];
				for (i = 0, len = cr.min(existing_insts.length, load_insts.length); i < len; i++)
				{
					this.loadInstanceFromJSON(existing_insts[i], load_insts[i]);
				}
				for (i = load_insts.length, len = existing_insts.length; i < len; i++)
					this.DestroyInstance(existing_insts[i]);
				for (i = existing_insts.length, len = load_insts.length; i < len; i++)
				{
					layer = null;
					if (type.plugin.is_world)
					{
						layer = this.running_layout.getLayerBySid(load_insts[i]["w"]["l"]);
						if (!layer)
							continue;
					}
					inst = this.createInstanceFromInit(type.default_instance, layer, false, 0, 0, true);
					this.loadInstanceFromJSON(inst, load_insts[i]);
				}
				type.stale_iids = true;
			}
		}
		this.ClearDeathRow();
		this.refreshUidMap();
		var olayouts = o["layouts"];
		for (p in olayouts)
		{
			if (olayouts.hasOwnProperty(p))
			{
				layout = this.getLayoutBySid(parseInt(p, 10));
				if (!layout)
					continue;		// must've gone missing
				layout.loadFromJSON(olayouts[p]);
			}
		}
		var ogroups = o["events"]["groups"];
		for (p in ogroups)
		{
			if (ogroups.hasOwnProperty(p))
			{
				g = this.getGroupBySid(parseInt(p, 10));
				if (g)
					this.activeGroups[g.group_name] = ogroups[p];
			}
		}
		var ocnds = o["events"]["cnds"];
		for (p in ocnds)
		{
			if (ocnds.hasOwnProperty(p) && this.cndsBySid.hasOwnProperty(p))
			{
				this.cndsBySid[p].extra = ocnds[p]["ex"];
			}
		}
		var oacts = o["events"]["acts"];
		for (p in oacts)
		{
			if (oacts.hasOwnProperty(p) && this.actsBySid.hasOwnProperty(p))
			{
				this.actsBySid[p].extra = oacts[p]["ex"];
			}
		}
		var ovars = o["events"]["vars"];
		for (p in ovars)
		{
			if (ovars.hasOwnProperty(p) && this.varsBySid.hasOwnProperty(p))
			{
				this.varsBySid[p].data = ovars[p];
			}
		}
		this.next_uid = rt["next_uid"];
		this.isLoadingState = false;
		this.system.loadFromJSON(o["system"]);
		for (i = 0, len = this.types_by_index.length; i < len; i++)
		{
			type = this.types_by_index[i];
			if (type.is_family)
				continue;
			for (j = 0, lenj = type.instances.length; j < lenj; j++)
			{
				inst = type.instances[j];
				if (type.is_contained)
				{
					iid = inst.get_iid();
					inst.siblings.length = 0;
					for (k = 0, lenk = type.container.length; k < lenk; k++)
					{
						t = type.container[k];
						if (type === t)
							continue;
;
						inst.siblings.push(t.instances[iid]);
					}
				}
				if (inst.afterLoad)
					inst.afterLoad();
				if (inst.behavior_insts)
				{
					for (k = 0, lenk = inst.behavior_insts.length; k < lenk; k++)
					{
						binst = inst.behavior_insts[k];
						if (binst.afterLoad)
							binst.afterLoad();
					}
				}
			}
		}
		this.redraw = true;
	};
	Runtime.prototype.saveInstanceToJSON = function(inst, state_only)
	{
		var i, len, world, behinst, et;
		var type = inst.type;
		var plugin = type.plugin;
		var o = {};
		if (state_only)
			o["c2"] = true;		// mark as known json data from Construct 2
		else
			o["uid"] = inst.uid;
		if (cr.hasAnyOwnProperty(inst.extra))
			o["ex"] = CopyExtraObject(inst.extra);
		if (inst.instance_vars && inst.instance_vars.length)
		{
			o["ivs"] = {};
			for (i = 0, len = inst.instance_vars.length; i < len; i++)
			{
				o["ivs"][inst.type.instvar_sids[i].toString()] = inst.instance_vars[i];
			}
		}
		if (plugin.is_world)
		{
			world = {
				"x": inst.x,
				"y": inst.y,
				"w": inst.width,
				"h": inst.height,
				"l": inst.layer.sid,
				"zi": inst.get_zindex()
			};
			if (inst.angle !== 0)
				world["a"] = inst.angle;
			if (inst.opacity !== 1)
				world["o"] = inst.opacity;
			if (inst.hotspotX !== 0.5)
				world["hX"] = inst.hotspotX;
			if (inst.hotspotY !== 0.5)
				world["hY"] = inst.hotspotY;
			if (inst.blend_mode !== 0)
				world["bm"] = inst.blend_mode;
			if (!inst.visible)
				world["v"] = inst.visible;
			if (!inst.collisionsEnabled)
				world["ce"] = inst.collisionsEnabled;
			if (inst.my_timescale !== -1)
				world["mts"] = inst.my_timescale;
			if (type.effect_types.length)
			{
				world["fx"] = [];
				for (i = 0, len = type.effect_types.length; i < len; i++)
				{
					et = type.effect_types[i];
					world["fx"].push({"name": et.name,
									  "active": inst.active_effect_flags[et.index],
									  "params": inst.effect_params[et.index] });
				}
			}
			o["w"] = world;
		}
		if (inst.behavior_insts && inst.behavior_insts.length)
		{
			o["behs"] = {};
			for (i = 0, len = inst.behavior_insts.length; i < len; i++)
			{
				behinst = inst.behavior_insts[i];
				if (behinst.saveToJSON)
					o["behs"][behinst.type.sid.toString()] = behinst.saveToJSON();
			}
		}
		if (inst.saveToJSON)
			o["data"] = inst.saveToJSON();
		return o;
	};
	Runtime.prototype.getInstanceVarIndexBySid = function (type, sid_)
	{
		var i, len;
		for (i = 0, len = type.instvar_sids.length; i < len; i++)
		{
			if (type.instvar_sids[i] === sid_)
				return i;
		}
		return -1;
	};
	Runtime.prototype.getBehaviorIndexBySid = function (inst, sid_)
	{
		var i, len;
		for (i = 0, len = inst.behavior_insts.length; i < len; i++)
		{
			if (inst.behavior_insts[i].type.sid === sid_)
				return i;
		}
		return -1;
	};
	Runtime.prototype.loadInstanceFromJSON = function(inst, o, state_only)
	{
		var p, i, len, iv, oivs, world, fxindex, obehs, behindex;
		var oldlayer;
		var type = inst.type;
		var plugin = type.plugin;
		if (state_only)
		{
			if (!o["c2"])
				return;
		}
		else
			inst.uid = o["uid"];
		if (o["ex"])
			inst.extra = o["ex"];
		else
			cr.wipe(inst.extra);
		oivs = o["ivs"];
		if (oivs)
		{
			for (p in oivs)
			{
				if (oivs.hasOwnProperty(p))
				{
					iv = this.getInstanceVarIndexBySid(type, parseInt(p, 10));
					if (iv < 0 || iv >= inst.instance_vars.length)
						continue;		// must've gone missing
					inst.instance_vars[iv] = oivs[p];
				}
			}
		}
		if (plugin.is_world)
		{
			world = o["w"];
			if (inst.layer.sid !== world["l"])
			{
				oldlayer = inst.layer;
				inst.layer = this.running_layout.getLayerBySid(world["l"]);
				if (inst.layer)
				{
					inst.layer.instances.push(inst);
					inst.layer.zindices_stale = true;
					cr.arrayFindRemove(oldlayer.instances, inst);
					oldlayer.zindices_stale = true;
				}
				else
				{
					inst.layer = oldlayer;
					this.DestroyInstance(inst);
				}
			}
			inst.x = world["x"];
			inst.y = world["y"];
			inst.width = world["w"];
			inst.height = world["h"];
			inst.zindex = world["zi"];
			inst.angle = world.hasOwnProperty("a") ? world["a"] : 0;
			inst.opacity = world.hasOwnProperty("o") ? world["o"] : 1;
			inst.hotspotX = world.hasOwnProperty("hX") ? world["hX"] : 0.5;
			inst.hotspotY = world.hasOwnProperty("hY") ? world["hY"] : 0.5;
			inst.visible = world.hasOwnProperty("v") ? world["v"] : true;
			inst.collisionsEnabled = world.hasOwnProperty("ce") ? world["ce"] : true;
			inst.my_timescale = world.hasOwnProperty("mts") ? world["mts"] : -1;
			inst.blend_mode = world.hasOwnProperty("bm") ? world["bm"] : 0;;
			inst.compositeOp = cr.effectToCompositeOp(inst.blend_mode);
			if (this.gl)
				cr.setGLBlend(inst, inst.blend_mode, this.gl);
			inst.set_bbox_changed();
			if (world.hasOwnProperty("fx"))
			{
				for (i = 0, len = world["fx"].length; i < len; i++)
				{
					fxindex = type.getEffectIndexByName(world["fx"][i]["name"]);
					if (fxindex < 0)
						continue;		// must've gone missing
					inst.active_effect_flags[fxindex] = world["fx"][i]["active"];
					inst.effect_params[fxindex] = world["fx"][i]["params"];
				}
			}
			inst.updateActiveEffects();
		}
		obehs = o["behs"];
		if (obehs)
		{
			for (p in obehs)
			{
				if (obehs.hasOwnProperty(p))
				{
					behindex = this.getBehaviorIndexBySid(inst, parseInt(p, 10));
					if (behindex < 0)
						continue;		// must've gone missing
					inst.behavior_insts[behindex].loadFromJSON(obehs[p]);
				}
			}
		}
		if (o["data"])
			inst.loadFromJSON(o["data"]);
	};
	cr.runtime = Runtime;
	cr.createRuntime = function (canvasid)
	{
		return new Runtime(document.getElementById(canvasid));
	};
	cr.createDCRuntime = function (w, h)
	{
		return new Runtime({ "dc": true, "width": w, "height": h });
	};
	window["cr_createRuntime"] = cr.createRuntime;
	window["cr_createDCRuntime"] = cr.createDCRuntime;
	window["createCocoonJSRuntime"] = function ()
	{
		window["c2cocoonjs"] = true;
		var canvas = document.createElement("screencanvas") || document.createElement("canvas");
		canvas.screencanvas = true;
		document.body.appendChild(canvas);
		var rt = new Runtime(canvas);
		window["c2runtime"] = rt;
		window.addEventListener("orientationchange", function () {
			window["c2runtime"]["setSize"](window.innerWidth, window.innerHeight);
		});
		window["c2runtime"]["setSize"](window.innerWidth, window.innerHeight);
		return rt;
	};
}());
window["cr_getC2Runtime"] = function()
{
	var canvas = document.getElementById("c2canvas");
	if (canvas)
		return canvas["c2runtime"];
	else if (window["c2runtime"])
		return window["c2runtime"];
	else
		return null;
}
window["cr_sizeCanvas"] = function(w, h)
{
	if (w === 0 || h === 0)
		return;
	var runtime = window["cr_getC2Runtime"]();
	if (runtime)
		runtime["setSize"](w, h);
}
window["cr_setSuspended"] = function(s)
{
	var runtime = window["cr_getC2Runtime"]();
	if (runtime)
		runtime["setSuspended"](s);
}
;
(function()
{
	function Layout(runtime, m)
	{
		this.runtime = runtime;
		this.event_sheet = null;
		this.scrollX = (this.runtime.original_width / 2);
		this.scrollY = (this.runtime.original_height / 2);
		this.scale = 1.0;
		this.angle = 0;
		this.first_visit = true;
		this.name = m[0];
		this.width = m[1];
		this.height = m[2];
		this.unbounded_scrolling = m[3];
		this.sheetname = m[4];
		this.sid = m[5];
		var lm = m[6];
		var i, len;
		this.layers = [];
		this.initial_types = [];
		for (i = 0, len = lm.length; i < len; i++)
		{
			var layer = new cr.layer(this, lm[i]);
			layer.number = i;
			cr.seal(layer);
			this.layers.push(layer);
		}
		var im = m[7];
		this.initial_nonworld = [];
		for (i = 0, len = im.length; i < len; i++)
		{
			var inst = im[i];
			var type = this.runtime.types_by_index[inst[1]];
;
			if (!type.default_instance)
				type.default_instance = inst;
			this.initial_nonworld.push(inst);
			if (this.initial_types.indexOf(type) === -1)
				this.initial_types.push(type);
		}
		this.effect_types = [];
		this.active_effect_types = [];
		this.effect_params = [];
		for (i = 0, len = m[8].length; i < len; i++)
		{
			this.effect_types.push({
				id: m[8][i][0],
				name: m[8][i][1],
				shaderindex: -1,
				active: true,
				index: i
			});
			this.effect_params.push(m[8][i][2].slice(0));
		}
		this.updateActiveEffects();
		this.rcTex = new cr.rect(0, 0, 1, 1);
		this.rcTex2 = new cr.rect(0, 0, 1, 1);
		this.persist_data = {};
	};
	Layout.prototype.saveObjectToPersist = function (inst)
	{
		var sidStr = inst.type.sid.toString();
		if (!this.persist_data.hasOwnProperty(sidStr))
			this.persist_data[sidStr] = [];
		var type_persist = this.persist_data[sidStr];
		type_persist.push(this.runtime.saveInstanceToJSON(inst));
	};
	Layout.prototype.hasOpaqueBottomLayer = function ()
	{
		var layer = this.layers[0];
		return !layer.transparent && layer.opacity === 1.0 && !layer.forceOwnTexture && layer.visible;
	};
	Layout.prototype.updateActiveEffects = function ()
	{
		this.active_effect_types.length = 0;
		var i, len, et;
		for (i = 0, len = this.effect_types.length; i < len; i++)
		{
			et = this.effect_types[i];
			if (et.active)
				this.active_effect_types.push(et);
		}
	};
	Layout.prototype.getEffectByName = function (name_)
	{
		var i, len, et;
		for (i = 0, len = this.effect_types.length; i < len; i++)
		{
			et = this.effect_types[i];
			if (et.name === name_)
				return et;
		}
		return null;
	};
	var created_instances = [];
	Layout.prototype.startRunning = function ()
	{
		if (this.sheetname)
		{
			this.event_sheet = this.runtime.eventsheets[this.sheetname];
;
		}
		this.runtime.running_layout = this;
		this.scrollX = (this.runtime.original_width / 2);
		this.scrollY = (this.runtime.original_height / 2);
		var i, k, len, lenk, type, type_instances, inst, iid, t, s, p, q, type_data, layer;
		for (i = 0, len = this.runtime.types_by_index.length; i < len; i++)
		{
			type = this.runtime.types_by_index[i];
			if (type.is_family)
				continue;		// instances are only transferred for their real type
			type_instances = type.instances;
			for (k = 0, lenk = type_instances.length; k < lenk; k++)
			{
				inst = type_instances[k];
				if (inst.layer)
				{
					var num = inst.layer.number;
					if (num >= this.layers.length)
						num = this.layers.length - 1;
					inst.layer = this.layers[num];
					inst.layer.instances.push(inst);
					inst.layer.zindices_stale = true;
				}
			}
		}
		var layer;
		created_instances.length = 0;
		this.boundScrolling();
		for (i = 0, len = this.layers.length; i < len; i++)
		{
			layer = this.layers[i];
			layer.createInitialInstances();		// fills created_instances
			layer.disableAngle = true;
			var px = layer.canvasToLayer(0, 0, true, true);
			var py = layer.canvasToLayer(0, 0, false, true);
			layer.disableAngle = false;
			if (this.runtime.pixel_rounding)
			{
				px = (px + 0.5) | 0;
				py = (py + 0.5) | 0;
			}
			layer.rotateViewport(px, py, null);
		}
		var uids_changed = false;
		if (!this.first_visit)
		{
			for (p in this.persist_data)
			{
				if (this.persist_data.hasOwnProperty(p))
				{
					type = this.runtime.getObjectTypeBySid(parseInt(p, 10));
					if (!type || type.is_family || !this.runtime.typeHasPersistBehavior(type))
						continue;
					type_data = this.persist_data[p];
					for (i = 0, len = type_data.length; i < len; i++)
					{
						layer = null;
						if (type.plugin.is_world)
						{
							layer = this.getLayerBySid(type_data[i]["w"]["l"]);
							if (!layer)
								continue;
						}
						inst = this.runtime.createInstanceFromInit(type.default_instance, layer, false, 0, 0, true);
						this.runtime.loadInstanceFromJSON(inst, type_data[i]);
						uids_changed = true;
						created_instances.push(inst);
					}
					type_data.length = 0;
				}
			}
			for (i = 0, len = this.layers.length; i < len; i++)
			{
				this.layers[i].instances.sort(sortInstanceByZIndex);
				this.layers[i].zindices_stale = true;		// in case of duplicates/holes
			}
		}
		if (uids_changed)
		{
			this.runtime.ClearDeathRow();
			this.runtime.refreshUidMap();
		}
		for (i = 0; i < created_instances.length; i++)
		{
			inst = created_instances[i];
			if (!inst.type.is_contained)
				continue;
			iid = inst.get_iid();
			for (k = 0, lenk = inst.type.container.length; k < lenk; k++)
			{
				t = inst.type.container[k];
				if (inst.type === t)
					continue;
				if (t.instances.length > iid)
					inst.siblings.push(t.instances[iid]);
				else
				{
					if (!t.default_instance)
					{
					}
					else
					{
						s = this.runtime.createInstanceFromInit(t.default_instance, inst.layer, true, inst.x, inst.y, true);
						this.runtime.ClearDeathRow();
						t.updateIIDs();
						inst.siblings.push(s);
						created_instances.push(s);		// come back around and link up its own instances too
					}
				}
			}
		}
		for (i = 0, len = this.initial_nonworld.length; i < len; i++)
		{
			inst = this.runtime.createInstanceFromInit(this.initial_nonworld[i], null, true);
;
		}
		this.runtime.changelayout = null;
		this.runtime.ClearDeathRow();
		if (this.runtime.ctx && !this.runtime.isDomFree)
		{
			for (i = 0, len = this.runtime.types_by_index.length; i < len; i++)
			{
				t = this.runtime.types_by_index[i];
				if (t.is_family || !t.instances.length || !t.preloadCanvas2D)
					continue;
				t.preloadCanvas2D(this.runtime.ctx);
			}
		}
		/*
		if (this.runtime.glwrap)
		{
			console.log("Estimated VRAM at layout start: " + this.runtime.glwrap.textureCount() + " textures, approx. " + Math.round(this.runtime.glwrap.estimateVRAM() / 1024) + " kb");
		}
		*/
		for (i = 0, len = created_instances.length; i < len; i++)
		{
			inst = created_instances[i];
			this.runtime.trigger(Object.getPrototypeOf(inst.type.plugin).cnds.OnCreated, inst);
		}
		created_instances.length = 0;
		this.runtime.trigger(cr.system_object.prototype.cnds.OnLayoutStart, null);
		this.first_visit = false;
	};
	Layout.prototype.createGlobalNonWorlds = function ()
	{
		var i, k, len, initial_inst, inst, type;
		for (i = 0, k = 0, len = this.initial_nonworld.length; i < len; i++)
		{
			initial_inst = this.initial_nonworld[i];
			type = this.runtime.types_by_index[initial_inst[1]];
			if (type.global)
				inst = this.runtime.createInstanceFromInit(initial_inst, null, true);
			else
			{
				this.initial_nonworld[k] = initial_inst;
				k++;
			}
		}
		this.initial_nonworld.length = k;
	};
	Layout.prototype.stopRunning = function ()
	{
;
		/*
		if (this.runtime.glwrap)
		{
			console.log("Estimated VRAM at layout end: " + this.runtime.glwrap.textureCount() + " textures, approx. " + Math.round(this.runtime.glwrap.estimateVRAM() / 1024) + " kb");
		}
		*/
		this.runtime.trigger(cr.system_object.prototype.cnds.OnLayoutEnd, null);
		this.runtime.system.waits.length = 0;
		var i, leni, j, lenj;
		var layer_instances, inst, type;
		for (i = 0, leni = this.layers.length; i < leni; i++)
		{
			layer_instances = this.layers[i].instances;
			for (j = 0, lenj = layer_instances.length; j < lenj; j++)
			{
				inst = layer_instances[j];
				if (!inst.type.global)
				{
					if (this.runtime.typeHasPersistBehavior(inst.type))
						this.saveObjectToPersist(inst);
					this.runtime.DestroyInstance(inst);
				}
			}
			this.runtime.ClearDeathRow();
			layer_instances.length = 0;
			this.layers[i].zindices_stale = true;
		}
		for (i = 0, leni = this.runtime.types_by_index.length; i < leni; i++)
		{
			type = this.runtime.types_by_index[i];
			if (type.global || type.plugin.is_world || type.plugin.singleglobal || type.is_family)
				continue;
			for (j = 0, lenj = type.instances.length; j < lenj; j++)
				this.runtime.DestroyInstance(type.instances[j]);
			this.runtime.ClearDeathRow();
		}
	};
	Layout.prototype.draw = function (ctx)
	{
		var layout_canvas;
		var layout_ctx = ctx;
		var ctx_changed = false;
		var render_offscreen = !this.runtime.fullscreenScalingQuality;
		if (render_offscreen)
		{
			if (!this.runtime.layout_canvas)
			{
				this.runtime.layout_canvas = document.createElement("canvas");
				layout_canvas = this.runtime.layout_canvas;
				layout_canvas.width = this.runtime.draw_width;
				layout_canvas.height = this.runtime.draw_height;
				this.runtime.layout_ctx = layout_canvas.getContext("2d");
				ctx_changed = true;
			}
			layout_canvas = this.runtime.layout_canvas;
			layout_ctx = this.runtime.layout_ctx;
			if (layout_canvas.width !== this.runtime.draw_width)
			{
				layout_canvas.width = this.runtime.draw_width;
				ctx_changed = true;
			}
			if (layout_canvas.height !== this.runtime.draw_height)
			{
				layout_canvas.height = this.runtime.draw_height;
				ctx_changed = true;
			}
			if (ctx_changed)
			{
				layout_ctx["webkitImageSmoothingEnabled"] = this.runtime.linearSampling;
				layout_ctx["mozImageSmoothingEnabled"] = this.runtime.linearSampling;
				layout_ctx["msImageSmoothingEnabled"] = this.runtime.linearSampling;
				layout_ctx["imageSmoothingEnabled"] = this.runtime.linearSampling;
			}
		}
		layout_ctx.globalAlpha = 1;
		layout_ctx.globalCompositeOperation = "source-over";
		if (this.runtime.alphaBackground && !this.hasOpaqueBottomLayer())
			layout_ctx.clearRect(0, 0, this.runtime.draw_width, this.runtime.draw_height);
		var i, len, l;
		for (i = 0, len = this.layers.length; i < len; i++)
		{
			l = this.layers[i];
			if (l.visible && l.opacity > 0 && l.blend_mode !== 11)
				l.draw(layout_ctx);
		}
		if (render_offscreen)
		{
			ctx.drawImage(layout_canvas, 0, 0, this.runtime.width, this.runtime.height);
		}
	};
	Layout.prototype.drawGL = function (glw)
	{
		var render_to_texture = (this.active_effect_types.length > 0 ||
								 this.runtime.uses_background_blending ||
								 !this.runtime.fullscreenScalingQuality);
		if (render_to_texture)
		{
			if (!this.runtime.layout_tex)
			{
				this.runtime.layout_tex = glw.createEmptyTexture(this.runtime.draw_width, this.runtime.draw_height, this.runtime.linearSampling);
			}
			if (this.runtime.layout_tex.c2width !== this.runtime.draw_width || this.runtime.layout_tex.c2height !== this.runtime.draw_height)
			{
				glw.deleteTexture(this.runtime.layout_tex);
				this.runtime.layout_tex = glw.createEmptyTexture(this.runtime.draw_width, this.runtime.draw_height, this.runtime.linearSampling);
			}
			glw.setRenderingToTexture(this.runtime.layout_tex);
			if (!this.runtime.fullscreenScalingQuality)
			{
				glw.setSize(this.runtime.draw_width, this.runtime.draw_height);
			}
		}
		else
		{
			if (this.runtime.layout_tex)
			{
				glw.setRenderingToTexture(null);
				glw.deleteTexture(this.runtime.layout_tex);
				this.runtime.layout_tex = null;
			}
		}
		if (this.runtime.alphaBackground && !this.hasOpaqueBottomLayer())
			glw.clear(0, 0, 0, 0);
		var i, len;
		for (i = 0, len = this.layers.length; i < len; i++)
		{
			if (this.layers[i].visible && this.layers[i].opacity > 0)
				this.layers[i].drawGL(glw);
		}
		if (render_to_texture)
		{
			if (this.active_effect_types.length === 0 ||
				(this.active_effect_types.length === 1 && this.runtime.fullscreenScalingQuality))
			{
				if (this.active_effect_types.length === 1)
				{
					var etindex = this.active_effect_types[0].index;
					glw.switchProgram(this.active_effect_types[0].shaderindex);
					glw.setProgramParameters(null,								// backTex
											 1.0 / this.runtime.draw_width,		// pixelWidth
											 1.0 / this.runtime.draw_height,	// pixelHeight
											 0.0, 0.0,							// destStart
											 1.0, 1.0,							// destEnd
											 this.scale,						// layerScale
											 this.angle,						// layerAngle
											 0.0, 0.0,							// viewOrigin
											 this.effect_params[etindex]);		// fx parameters
					if (glw.programIsAnimated(this.active_effect_types[0].shaderindex))
						this.runtime.redraw = true;
				}
				else
					glw.switchProgram(0);
				if (!this.runtime.fullscreenScalingQuality)
				{
					glw.setSize(this.runtime.width, this.runtime.height);
				}
				glw.setRenderingToTexture(null);				// to backbuffer
				glw.setOpacity(1);
				glw.setTexture(this.runtime.layout_tex);
				glw.setAlphaBlend();
				glw.resetModelView();
				glw.updateModelView();
				var halfw = this.runtime.width / 2;
				var halfh = this.runtime.height / 2;
				glw.quad(-halfw, halfh, halfw, halfh, halfw, -halfh, -halfw, -halfh);
				glw.setTexture(null);
			}
			else
			{
				this.renderEffectChain(glw, null, null, null);
			}
		}
	};
	Layout.prototype.getRenderTarget = function()
	{
		return (this.active_effect_types.length > 0 ||
				this.runtime.uses_background_blending ||
				!this.runtime.fullscreenScalingQuality) ? this.runtime.layout_tex : null;
	};
	Layout.prototype.getMinLayerScale = function ()
	{
		var m = this.layers[0].getScale();
		var i, len, l;
		for (i = 1, len = this.layers.length; i < len; i++)
		{
			l = this.layers[i];
			if (l.parallaxX === 0 && l.parallaxY === 0)
				continue;
			if (l.getScale() < m)
				m = l.getScale();
		}
		return m;
	};
	Layout.prototype.scrollToX = function (x)
	{
		if (!this.unbounded_scrolling)
		{
			var widthBoundary = (this.runtime.draw_width * (1 / this.getMinLayerScale()) / 2);
			if (x > this.width - widthBoundary)
				x = this.width - widthBoundary;
			if (x < widthBoundary)
				x = widthBoundary;
		}
		if (this.scrollX !== x)
		{
			this.scrollX = x;
			this.runtime.redraw = true;
		}
	};
	Layout.prototype.scrollToY = function (y)
	{
		if (!this.unbounded_scrolling)
		{
			var heightBoundary = (this.runtime.draw_height * (1 / this.getMinLayerScale()) / 2);
			if (y > this.height - heightBoundary)
				y = this.height - heightBoundary;
			if (y < heightBoundary)
				y = heightBoundary;
		}
		if (this.scrollY !== y)
		{
			this.scrollY = y;
			this.runtime.redraw = true;
		}
	};
	Layout.prototype.boundScrolling = function ()
	{
		this.scrollToX(this.scrollX);
		this.scrollToY(this.scrollY);
	};
	Layout.prototype.renderEffectChain = function (glw, layer, inst, rendertarget)
	{
		var active_effect_types = inst ?
							inst.active_effect_types :
							layer ?
								layer.active_effect_types :
								this.active_effect_types;
		var layerScale = 1, layerAngle = 0, viewOriginLeft = 0, viewOriginTop = 0;
		if (inst)
		{
			layerScale = inst.layer.getScale();
			layerAngle = inst.layer.getAngle();
			viewOriginLeft = inst.layer.viewLeft;
			viewOriginTop = inst.layer.viewTop;
		}
		else if (layer)
		{
			layerScale = layer.getScale();
			layerAngle = layer.getAngle();
			viewOriginLeft = layer.viewLeft;
			viewOriginTop = layer.viewTop;
		}
		var fx_tex = this.runtime.fx_tex;
		var i, len, last, temp, fx_index = 0, other_fx_index = 1;
		var y, h;
		var windowWidth = this.runtime.draw_width;
		var windowHeight = this.runtime.draw_height;
		var halfw = windowWidth / 2;
		var halfh = windowHeight / 2;
		var rcTex = layer ? layer.rcTex : this.rcTex;
		var rcTex2 = layer ? layer.rcTex2 : this.rcTex2;
		var screenleft = 0, clearleft = 0;
		var screentop = 0, cleartop = 0;
		var screenright = windowWidth, clearright = windowWidth;
		var screenbottom = windowHeight, clearbottom = windowHeight;
		var boxExtendHorizontal = 0;
		var boxExtendVertical = 0;
		var inst_layer_angle = inst ? inst.layer.getAngle() : 0;
		if (inst)
		{
			for (i = 0, len = active_effect_types.length; i < len; i++)
			{
				boxExtendHorizontal += glw.getProgramBoxExtendHorizontal(active_effect_types[i].shaderindex);
				boxExtendVertical += glw.getProgramBoxExtendVertical(active_effect_types[i].shaderindex);
			}
			var bbox = inst.bbox;
			screenleft = layer.layerToCanvas(bbox.left, bbox.top, true, true);
			screentop = layer.layerToCanvas(bbox.left, bbox.top, false, true);
			screenright = layer.layerToCanvas(bbox.right, bbox.bottom, true, true);
			screenbottom = layer.layerToCanvas(bbox.right, bbox.bottom, false, true);
			if (inst_layer_angle !== 0)
			{
				var screentrx = layer.layerToCanvas(bbox.right, bbox.top, true, true);
				var screentry = layer.layerToCanvas(bbox.right, bbox.top, false, true);
				var screenblx = layer.layerToCanvas(bbox.left, bbox.bottom, true, true);
				var screenbly = layer.layerToCanvas(bbox.left, bbox.bottom, false, true);
				temp = Math.min(screenleft, screenright, screentrx, screenblx);
				screenright = Math.max(screenleft, screenright, screentrx, screenblx);
				screenleft = temp;
				temp = Math.min(screentop, screenbottom, screentry, screenbly);
				screenbottom = Math.max(screentop, screenbottom, screentry, screenbly);
				screentop = temp;
			}
			screenleft -= boxExtendHorizontal;
			screentop -= boxExtendVertical;
			screenright += boxExtendHorizontal;
			screenbottom += boxExtendVertical;
			rcTex2.left = screenleft / windowWidth;
			rcTex2.top = 1 - screentop / windowHeight;
			rcTex2.right = screenright / windowWidth;
			rcTex2.bottom = 1 - screenbottom / windowHeight;
			clearleft = screenleft = cr.floor(screenleft);
			cleartop = screentop = cr.floor(screentop);
			clearright = screenright = cr.ceil(screenright);
			clearbottom = screenbottom = cr.ceil(screenbottom);
			clearleft -= boxExtendHorizontal;
			cleartop -= boxExtendVertical;
			clearright += boxExtendHorizontal;
			clearbottom += boxExtendVertical;
			if (screenleft < 0)					screenleft = 0;
			if (screentop < 0)					screentop = 0;
			if (screenright > windowWidth)		screenright = windowWidth;
			if (screenbottom > windowHeight)	screenbottom = windowHeight;
			if (clearleft < 0)					clearleft = 0;
			if (cleartop < 0)					cleartop = 0;
			if (clearright > windowWidth)		clearright = windowWidth;
			if (clearbottom > windowHeight)		clearbottom = windowHeight;
			rcTex.left = screenleft / windowWidth;
			rcTex.top = 1 - screentop / windowHeight;
			rcTex.right = screenright / windowWidth;
			rcTex.bottom = 1 - screenbottom / windowHeight;
		}
		else
		{
			rcTex.left = rcTex2.left = 0;
			rcTex.top = rcTex2.top = 0;
			rcTex.right = rcTex2.right = 1;
			rcTex.bottom = rcTex2.bottom = 1;
		}
		var pre_draw = (inst && (((inst.angle || inst_layer_angle) && glw.programUsesDest(active_effect_types[0].shaderindex)) || boxExtendHorizontal !== 0 || boxExtendVertical !== 0 || inst.opacity !== 1 || inst.type.plugin.must_predraw)) || (layer && !inst && layer.opacity !== 1);
		glw.setAlphaBlend();
		if (pre_draw)
		{
			if (!fx_tex[fx_index])
			{
				fx_tex[fx_index] = glw.createEmptyTexture(windowWidth, windowHeight, this.runtime.linearSampling);
			}
			if (fx_tex[fx_index].c2width !== windowWidth || fx_tex[fx_index].c2height !== windowHeight)
			{
				glw.deleteTexture(fx_tex[fx_index]);
				fx_tex[fx_index] = glw.createEmptyTexture(windowWidth, windowHeight, this.runtime.linearSampling);
			}
			glw.switchProgram(0);
			glw.setRenderingToTexture(fx_tex[fx_index]);
			h = clearbottom - cleartop;
			y = (windowHeight - cleartop) - h;
			glw.clearRect(clearleft, y, clearright - clearleft, h);
			if (inst)
			{
				inst.drawGL(glw);
			}
			else
			{
				glw.setTexture(this.runtime.layer_tex);
				glw.setOpacity(layer.opacity);
				glw.resetModelView();
				glw.translate(-halfw, -halfh);
				glw.updateModelView();
				glw.quadTex(screenleft, screenbottom, screenright, screenbottom, screenright, screentop, screenleft, screentop, rcTex);
			}
			rcTex2.left = rcTex2.top = 0;
			rcTex2.right = rcTex2.bottom = 1;
			if (inst)
			{
				temp = rcTex.top;
				rcTex.top = rcTex.bottom;
				rcTex.bottom = temp;
			}
			fx_index = 1;
			other_fx_index = 0;
		}
		glw.setOpacity(1);
		var last = active_effect_types.length - 1;
		var post_draw = glw.programUsesCrossSampling(active_effect_types[last].shaderindex) ||
						(!layer && !inst && !this.runtime.fullscreenScalingQuality);
		var etindex = 0;
		for (i = 0, len = active_effect_types.length; i < len; i++)
		{
			if (!fx_tex[fx_index])
			{
				fx_tex[fx_index] = glw.createEmptyTexture(windowWidth, windowHeight, this.runtime.linearSampling);
			}
			if (fx_tex[fx_index].c2width !== windowWidth || fx_tex[fx_index].c2height !== windowHeight)
			{
				glw.deleteTexture(fx_tex[fx_index]);
				fx_tex[fx_index] = glw.createEmptyTexture(windowWidth, windowHeight, this.runtime.linearSampling);
			}
			glw.switchProgram(active_effect_types[i].shaderindex);
			etindex = active_effect_types[i].index;
			if (glw.programIsAnimated(active_effect_types[i].shaderindex))
				this.runtime.redraw = true;
			if (i == 0 && !pre_draw)
			{
				glw.setRenderingToTexture(fx_tex[fx_index]);
				h = clearbottom - cleartop;
				y = (windowHeight - cleartop) - h;
				glw.clearRect(clearleft, y, clearright - clearleft, h);
				if (inst)
				{
					glw.setProgramParameters(rendertarget,					// backTex
											 1.0 / inst.width,				// pixelWidth
											 1.0 / inst.height,				// pixelHeight
											 rcTex2.left, rcTex2.top,		// destStart
											 rcTex2.right, rcTex2.bottom,	// destEnd
											 layerScale,
											 layerAngle,
											 viewOriginLeft, viewOriginTop,
											 inst.effect_params[etindex]);	// fx params
					inst.drawGL(glw);
				}
				else
				{
					glw.setProgramParameters(rendertarget,					// backTex
											 1.0 / windowWidth,				// pixelWidth
											 1.0 / windowHeight,			// pixelHeight
											 0.0, 0.0,						// destStart
											 1.0, 1.0,						// destEnd
											 layerScale,
											 layerAngle,
											 viewOriginLeft, viewOriginTop,
											 layer ?						// fx params
												layer.effect_params[etindex] :
												this.effect_params[etindex]);
					glw.setTexture(layer ? this.runtime.layer_tex : this.runtime.layout_tex);
					glw.resetModelView();
					glw.translate(-halfw, -halfh);
					glw.updateModelView();
					glw.quadTex(screenleft, screenbottom, screenright, screenbottom, screenright, screentop, screenleft, screentop, rcTex);
				}
				rcTex2.left = rcTex2.top = 0;
				rcTex2.right = rcTex2.bottom = 1;
				if (inst && !post_draw)
				{
					temp = screenbottom;
					screenbottom = screentop;
					screentop = temp;
				}
			}
			else
			{
				glw.setProgramParameters(rendertarget,						// backTex
										 1.0 / windowWidth,					// pixelWidth
										 1.0 / windowHeight,				// pixelHeight
										 rcTex2.left, rcTex2.top,			// destStart
										 rcTex2.right, rcTex2.bottom,		// destEnd
										 layerScale,
										 layerAngle,
										 viewOriginLeft, viewOriginTop,
										 inst ?								// fx params
											inst.effect_params[etindex] :
											layer ?
												layer.effect_params[etindex] :
												this.effect_params[etindex]);
				glw.setTexture(null);
				if (i === last && !post_draw)
				{
					if (inst)
						glw.setBlend(inst.srcBlend, inst.destBlend);
					else if (layer)
						glw.setBlend(layer.srcBlend, layer.destBlend);
					glw.setRenderingToTexture(rendertarget);
				}
				else
				{
					glw.setRenderingToTexture(fx_tex[fx_index]);
					h = clearbottom - cleartop;
					y = (windowHeight - cleartop) - h;
					glw.clearRect(clearleft, y, clearright - clearleft, h);
				}
				glw.setTexture(fx_tex[other_fx_index]);
				glw.resetModelView();
				glw.translate(-halfw, -halfh);
				glw.updateModelView();
				glw.quadTex(screenleft, screenbottom, screenright, screenbottom, screenright, screentop, screenleft, screentop, rcTex);
				if (i === last && !post_draw)
					glw.setTexture(null);
			}
			fx_index = (fx_index === 0 ? 1 : 0);
			other_fx_index = (fx_index === 0 ? 1 : 0);		// will be opposite to fx_index since it was just assigned
		}
		if (post_draw)
		{
			glw.switchProgram(0);
			if (inst)
				glw.setBlend(inst.srcBlend, inst.destBlend);
			else if (layer)
				glw.setBlend(layer.srcBlend, layer.destBlend);
			else
			{
				if (!this.runtime.fullscreenScalingQuality)
				{
					glw.setSize(this.runtime.width, this.runtime.height);
					halfw = this.runtime.width / 2;
					halfh = this.runtime.height / 2;
					screenleft = 0;
					screentop = 0;
					screenright = this.runtime.width;
					screenbottom = this.runtime.height;
				}
			}
			glw.setRenderingToTexture(rendertarget);
			glw.setTexture(fx_tex[other_fx_index]);
			glw.resetModelView();
			glw.translate(-halfw, -halfh);
			glw.updateModelView();
			if (inst && active_effect_types.length === 1 && !pre_draw)
				glw.quadTex(screenleft, screentop, screenright, screentop, screenright, screenbottom, screenleft, screenbottom, rcTex);
			else
				glw.quadTex(screenleft, screenbottom, screenright, screenbottom, screenright, screentop, screenleft, screentop, rcTex);
			glw.setTexture(null);
		}
	};
	Layout.prototype.getLayerBySid = function (sid_)
	{
		var i, len;
		for (i = 0, len = this.layers.length; i < len; i++)
		{
			if (this.layers[i].sid === sid_)
				return this.layers[i];
		}
		return null;
	};
	Layout.prototype.saveToJSON = function ()
	{
		var i, len, layer, et;
		var o = {
			"sx": this.scrollX,
			"sy": this.scrollY,
			"s": this.scale,
			"a": this.angle,
			"w": this.width,
			"h": this.height,
			"fv": this.first_visit,			// added r127
			"persist": this.persist_data,
			"fx": [],
			"layers": {}
		};
		for (i = 0, len = this.effect_types.length; i < len; i++)
		{
			et = this.effect_types[i];
			o["fx"].push({"name": et.name, "active": et.active, "params": this.effect_params[et.index] });
		}
		for (i = 0, len = this.layers.length; i < len; i++)
		{
			layer = this.layers[i];
			o["layers"][layer.sid.toString()] = layer.saveToJSON();
		}
		return o;
	};
	Layout.prototype.loadFromJSON = function (o)
	{
		var i, len, fx, p, layer;
		this.scrollX = o["sx"];
		this.scrollY = o["sy"];
		this.scale = o["s"];
		this.angle = o["a"];
		this.width = o["w"];
		this.height = o["h"];
		this.persist_data = o["persist"];
		if (typeof o["fv"] !== "undefined")
			this.first_visit = o["fv"];
		var ofx = o["fx"];
		for (i = 0, len = ofx.length; i < len; i++)
		{
			fx = this.getEffectByName(ofx[i]["name"]);
			if (!fx)
				continue;		// must've gone missing
			fx.active = ofx[i]["active"];
			this.effect_params[fx.index] = ofx[i]["params"];
		}
		this.updateActiveEffects();
		var olayers = o["layers"];
		for (p in olayers)
		{
			if (olayers.hasOwnProperty(p))
			{
				layer = this.getLayerBySid(parseInt(p, 10));
				if (!layer)
					continue;		// must've gone missing
				layer.loadFromJSON(olayers[p]);
			}
		}
	};
	cr.layout = Layout;
	function Layer(layout, m)
	{
		this.layout = layout;
		this.runtime = layout.runtime;
		this.instances = [];        // running instances
		this.scale = 1.0;
		this.angle = 0;
		this.disableAngle = false;
		this.tmprect = new cr.rect(0, 0, 0, 0);
		this.tmpquad = new cr.quad();
		this.viewLeft = 0;
		this.viewRight = 0;
		this.viewTop = 0;
		this.viewBottom = 0;
		this.zindices_stale = false;
		this.name = m[0];
		this.index = m[1];
		this.sid = m[2];
		this.visible = m[3];		// initially visible
		this.background_color = m[4];
		this.transparent = m[5];
		this.parallaxX = m[6];
		this.parallaxY = m[7];
		this.opacity = m[8];
		this.forceOwnTexture = m[9];
		this.zoomRate = m[10];
		this.blend_mode = m[11];
		this.effect_fallback = m[12];
		this.compositeOp = "source-over";
		this.srcBlend = 0;
		this.destBlend = 0;
		this.render_offscreen = false;
		var im = m[13];
		var i, len;
		this.initial_instances = [];
		for (i = 0, len = im.length; i < len; i++)
		{
			var inst = im[i];
			var type = this.runtime.types_by_index[inst[1]];
;
			if (!type.default_instance)
			{
				type.default_instance = inst;
				type.default_layerindex = this.index;
			}
			this.initial_instances.push(inst);
			if (this.layout.initial_types.indexOf(type) === -1)
				this.layout.initial_types.push(type);
		}
		this.effect_types = [];
		this.active_effect_types = [];
		this.effect_params = [];
		for (i = 0, len = m[14].length; i < len; i++)
		{
			this.effect_types.push({
				id: m[14][i][0],
				name: m[14][i][1],
				shaderindex: -1,
				active: true,
				index: i
			});
			this.effect_params.push(m[14][i][2].slice(0));
		}
		this.updateActiveEffects();
		this.rcTex = new cr.rect(0, 0, 1, 1);
		this.rcTex2 = new cr.rect(0, 0, 1, 1);
	};
	Layer.prototype.updateActiveEffects = function ()
	{
		this.active_effect_types.length = 0;
		var i, len, et;
		for (i = 0, len = this.effect_types.length; i < len; i++)
		{
			et = this.effect_types[i];
			if (et.active)
				this.active_effect_types.push(et);
		}
	};
	Layer.prototype.getEffectByName = function (name_)
	{
		var i, len, et;
		for (i = 0, len = this.effect_types.length; i < len; i++)
		{
			et = this.effect_types[i];
			if (et.name === name_)
				return et;
		}
		return null;
	};
	Layer.prototype.createInitialInstances = function ()
	{
		var i, k, len, inst, initial_inst, type, keep, hasPersistBehavior;
		for (i = 0, k = 0, len = this.initial_instances.length; i < len; i++)
		{
			initial_inst = this.initial_instances[i];
			type = this.runtime.types_by_index[initial_inst[1]];
;
			hasPersistBehavior = this.runtime.typeHasPersistBehavior(type);
			keep = true;
			if (!hasPersistBehavior || this.layout.first_visit)
			{
				inst = this.runtime.createInstanceFromInit(initial_inst, this, true);
;
				created_instances.push(inst);
				if (inst.type.global)
					keep = false;
			}
			if (keep)
			{
				this.initial_instances[k] = this.initial_instances[i];
				k++;
			}
		}
		this.initial_instances.length = k;
		this.runtime.ClearDeathRow();		// flushes creation row so IIDs will be correct
		if (!this.runtime.glwrap && this.effect_types.length)	// no WebGL renderer and shaders used
			this.blend_mode = this.effect_fallback;				// use fallback blend mode
		this.compositeOp = cr.effectToCompositeOp(this.blend_mode);
		if (this.runtime.gl)
			cr.setGLBlend(this, this.blend_mode, this.runtime.gl);
	};
	Layer.prototype.updateZIndices = function ()
	{
		if (!this.zindices_stale)
			return;
		var i, len;
		for (i = 0, len = this.instances.length; i < len; i++)
		{
;
;
			this.instances[i].zindex = i;
		}
		this.zindices_stale = false;
	};
	Layer.prototype.getScale = function (include_aspect)
	{
		return this.getNormalScale() * (this.runtime.fullscreenScalingQuality || include_aspect ? this.runtime.aspect_scale : 1);
	};
	Layer.prototype.getNormalScale = function ()
	{
		return ((this.scale * this.layout.scale) - 1) * this.zoomRate + 1;
	};
	Layer.prototype.getAngle = function ()
	{
		if (this.disableAngle)
			return 0;
		return cr.clamp_angle(this.layout.angle + this.angle);
	};
	Layer.prototype.draw = function (ctx)
	{
		this.render_offscreen = (this.forceOwnTexture || this.opacity !== 1.0 || this.blend_mode !== 0);
		var layer_canvas = this.runtime.canvas;
		var layer_ctx = ctx;
		var ctx_changed = false;
		ctx.globalAlpha = 1;
		ctx.globalCompositeOperation = "source-over";
		if (this.render_offscreen)
		{
			if (!this.runtime.layer_canvas)
			{
				this.runtime.layer_canvas = document.createElement("canvas");
;
				layer_canvas = this.runtime.layer_canvas;
				layer_canvas.width = this.runtime.draw_width;
				layer_canvas.height = this.runtime.draw_height;
				this.runtime.layer_ctx = layer_canvas.getContext("2d");
;
				ctx_changed = true;
			}
			layer_canvas = this.runtime.layer_canvas;
			layer_ctx = this.runtime.layer_ctx;
			if (layer_canvas.width !== this.runtime.draw_width)
			{
				layer_canvas.width = this.runtime.draw_width;
				ctx_changed = true;
			}
			if (layer_canvas.height !== this.runtime.draw_height)
			{
				layer_canvas.height = this.runtime.draw_height;
				ctx_changed = true;
			}
			if (ctx_changed)
			{
				layer_ctx["webkitImageSmoothingEnabled"] = this.runtime.linearSampling;
				layer_ctx["mozImageSmoothingEnabled"] = this.runtime.linearSampling;
				layer_ctx["msImageSmoothingEnabled"] = this.runtime.linearSampling;
				layer_ctx["imageSmoothingEnabled"] = this.runtime.linearSampling;
			}
			if (this.transparent)
				layer_ctx.clearRect(0, 0, this.runtime.draw_width, this.runtime.draw_height);
		}
		if (!this.transparent)
		{
			layer_ctx.fillStyle = "rgb(" + this.background_color[0] + "," + this.background_color[1] + "," + this.background_color[2] + ")";
			layer_ctx.fillRect(0, 0, this.runtime.draw_width, this.runtime.draw_height);
		}
		layer_ctx.save();
		this.disableAngle = true;
		var px = this.canvasToLayer(0, 0, true, true);
		var py = this.canvasToLayer(0, 0, false, true);
		this.disableAngle = false;
		if (this.runtime.pixel_rounding)
		{
			px = (px + 0.5) | 0;
			py = (py + 0.5) | 0;
		}
		this.rotateViewport(px, py, layer_ctx);
		var myscale = this.getScale();
		layer_ctx.scale(myscale, myscale);
		layer_ctx.translate(-px, -py);
		var i, len, inst, bbox;
		for (i = 0, len = this.instances.length; i < len; i++)
		{
			inst = this.instances[i];
			if (!inst.visible || inst.width === 0 || inst.height === 0)
				continue;
			inst.update_bbox();
			bbox = inst.bbox;
			if (bbox.right < this.viewLeft || bbox.bottom < this.viewTop || bbox.left > this.viewRight || bbox.top > this.viewBottom)
				continue;
			layer_ctx.globalCompositeOperation = inst.compositeOp;
			inst.draw(layer_ctx);
		}
		layer_ctx.restore();
		if (this.render_offscreen)
		{
			ctx.globalCompositeOperation = this.compositeOp;
			ctx.globalAlpha = this.opacity;
			ctx.drawImage(layer_canvas, 0, 0);
		}
	};
	Layer.prototype.rotateViewport = function (px, py, ctx)
	{
		var myscale = this.getScale();
		this.viewLeft = px;
		this.viewTop = py;
		this.viewRight = px + (this.runtime.draw_width * (1 / myscale));
		this.viewBottom = py + (this.runtime.draw_height * (1 / myscale));
		var myAngle = this.getAngle();
		if (myAngle !== 0)
		{
			if (ctx)
			{
				ctx.translate(this.runtime.draw_width / 2, this.runtime.draw_height / 2);
				ctx.rotate(-myAngle);
				ctx.translate(this.runtime.draw_width / -2, this.runtime.draw_height / -2);
			}
			this.tmprect.set(this.viewLeft, this.viewTop, this.viewRight, this.viewBottom);
			this.tmprect.offset((this.viewLeft + this.viewRight) / -2, (this.viewTop + this.viewBottom) / -2);
			this.tmpquad.set_from_rotated_rect(this.tmprect, myAngle);
			this.tmpquad.bounding_box(this.tmprect);
			this.tmprect.offset((this.viewLeft + this.viewRight) / 2, (this.viewTop + this.viewBottom) / 2);
			this.viewLeft = this.tmprect.left;
			this.viewTop = this.tmprect.top;
			this.viewRight = this.tmprect.right;
			this.viewBottom = this.tmprect.bottom;
		}
	}
	Layer.prototype.drawGL = function (glw)
	{
		var windowWidth = this.runtime.draw_width;
		var windowHeight = this.runtime.draw_height;
		var shaderindex = 0;
		var etindex = 0;
		this.render_offscreen = (this.forceOwnTexture || this.opacity !== 1.0 || this.active_effect_types.length > 0 || this.blend_mode !== 0);
		if (this.render_offscreen)
		{
			if (!this.runtime.layer_tex)
			{
				this.runtime.layer_tex = glw.createEmptyTexture(this.runtime.draw_width, this.runtime.draw_height, this.runtime.linearSampling);
			}
			if (this.runtime.layer_tex.c2width !== this.runtime.draw_width || this.runtime.layer_tex.c2height !== this.runtime.draw_height)
			{
				glw.deleteTexture(this.runtime.layer_tex);
				this.runtime.layer_tex = glw.createEmptyTexture(this.runtime.draw_width, this.runtime.draw_height, this.runtime.linearSampling);
			}
			glw.setRenderingToTexture(this.runtime.layer_tex);
			if (this.transparent)
				glw.clear(0, 0, 0, 0);
		}
		if (!this.transparent)
		{
			glw.clear(this.background_color[0] / 255, this.background_color[1] / 255, this.background_color[2] / 255, 1);
		}
		this.disableAngle = true;
		var px = this.canvasToLayer(0, 0, true, true);
		var py = this.canvasToLayer(0, 0, false, true);
		this.disableAngle = false;
		if (this.runtime.pixel_rounding)
		{
			px = (px + 0.5) | 0;
			py = (py + 0.5) | 0;
		}
		this.rotateViewport(px, py, null);
		var myscale = this.getScale();
		glw.resetModelView();
		glw.scale(myscale, myscale);
		glw.rotateZ(-this.getAngle());
		glw.translate((this.viewLeft + this.viewRight) / -2, (this.viewTop + this.viewBottom) / -2);
		glw.updateModelView();
		var i, len, inst, bbox;
		for (i = 0, len = this.instances.length; i < len; i++)
		{
			inst = this.instances[i];
			if (!inst.visible || inst.width === 0 || inst.height === 0)
				continue;
			inst.update_bbox();
			bbox = inst.bbox;
			if (bbox.right < this.viewLeft || bbox.bottom < this.viewTop || bbox.left > this.viewRight || bbox.top > this.viewBottom)
				continue;
			if (inst.uses_shaders)
			{
				shaderindex = inst.active_effect_types[0].shaderindex;
				etindex = inst.active_effect_types[0].index;
				if (inst.active_effect_types.length === 1 && !glw.programUsesCrossSampling(shaderindex) &&
					!glw.programExtendsBox(shaderindex) && ((!inst.angle && !inst.layer.getAngle()) || !glw.programUsesDest(shaderindex)) &&
					inst.opacity === 1 && !inst.type.plugin.must_predraw)
				{
					glw.switchProgram(shaderindex);
					glw.setBlend(inst.srcBlend, inst.destBlend);
					if (glw.programIsAnimated(shaderindex))
						this.runtime.redraw = true;
					var destStartX = 0, destStartY = 0, destEndX = 0, destEndY = 0;
					if (glw.programUsesDest(shaderindex))
					{
						var bbox = inst.bbox;
						var screenleft = this.layerToCanvas(bbox.left, bbox.top, true, true);
						var screentop = this.layerToCanvas(bbox.left, bbox.top, false, true);
						var screenright = this.layerToCanvas(bbox.right, bbox.bottom, true, true);
						var screenbottom = this.layerToCanvas(bbox.right, bbox.bottom, false, true);
						destStartX = screenleft / windowWidth;
						destStartY = 1 - screentop / windowHeight;
						destEndX = screenright / windowWidth;
						destEndY = 1 - screenbottom / windowHeight;
					}
					glw.setProgramParameters(this.render_offscreen ? this.runtime.layer_tex : this.layout.getRenderTarget(), // backTex
											 1.0 / inst.width,			// pixelWidth
											 1.0 / inst.height,			// pixelHeight
											 destStartX, destStartY,
											 destEndX, destEndY,
											 this.getScale(),
											 this.getAngle(),
											 this.viewLeft, this.viewTop,
											 inst.effect_params[etindex]);
					inst.drawGL(glw);
				}
				else
				{
					this.layout.renderEffectChain(glw, this, inst, this.render_offscreen ? this.runtime.layer_tex : this.layout.getRenderTarget());
					glw.resetModelView();
					glw.scale(myscale, myscale);
					glw.rotateZ(-this.getAngle());
					glw.translate((this.viewLeft + this.viewRight) / -2, (this.viewTop + this.viewBottom) / -2);
					glw.updateModelView();
				}
			}
			else
			{
				glw.switchProgram(0);		// un-set any previously set shader
				glw.setBlend(inst.srcBlend, inst.destBlend);
				inst.drawGL(glw);
			}
		}
		if (this.render_offscreen)
		{
			shaderindex = this.active_effect_types.length ? this.active_effect_types[0].shaderindex : 0;
			etindex = this.active_effect_types.length ? this.active_effect_types[0].index : 0;
			if (this.active_effect_types.length === 0 || (this.active_effect_types.length === 1 &&
				!glw.programUsesCrossSampling(shaderindex) && this.opacity === 1))
			{
				if (this.active_effect_types.length === 1)
				{
					glw.switchProgram(shaderindex);
					glw.setProgramParameters(this.layout.getRenderTarget(),		// backTex
											 1.0 / this.runtime.draw_width,		// pixelWidth
											 1.0 / this.runtime.draw_height,	// pixelHeight
											 0.0, 0.0,							// destStart
											 1.0, 1.0,							// destEnd
											 this.getScale(),					// layerScale
											 this.getAngle(),
											 this.viewLeft, this.viewTop,
											 this.effect_params[etindex]);		// fx parameters
					if (glw.programIsAnimated(shaderindex))
						this.runtime.redraw = true;
				}
				else
					glw.switchProgram(0);
				glw.setRenderingToTexture(this.layout.getRenderTarget());
				glw.setOpacity(this.opacity);
				glw.setTexture(this.runtime.layer_tex);
				glw.setBlend(this.srcBlend, this.destBlend);
				glw.resetModelView();
				glw.updateModelView();
				var halfw = this.runtime.draw_width / 2;
				var halfh = this.runtime.draw_height / 2;
				glw.quad(-halfw, halfh, halfw, halfh, halfw, -halfh, -halfw, -halfh);
				glw.setTexture(null);
			}
			else
			{
				this.layout.renderEffectChain(glw, this, null, this.layout.getRenderTarget());
			}
		}
	};
	Layer.prototype.canvasToLayer = function (ptx, pty, getx, using_draw_area)
	{
		var multiplier = this.runtime.devicePixelRatio;
		if (this.runtime.isRetina)
		{
			ptx *= multiplier;
			pty *= multiplier;
		}
		var ox = this.runtime.parallax_x_origin;
		var oy = this.runtime.parallax_y_origin;
		var x = ((this.layout.scrollX - ox) * this.parallaxX) + ox;
		var y = ((this.layout.scrollY - oy) * this.parallaxY) + oy;
		var invScale = 1 / this.getScale(!using_draw_area);
		if (using_draw_area)
		{
			x -= (this.runtime.draw_width * invScale) / 2;
			y -= (this.runtime.draw_height * invScale) / 2;
		}
		else
		{
			x -= (this.runtime.width * invScale) / 2;
			y -= (this.runtime.height * invScale) / 2;
		}
		x += ptx * invScale;
		y += pty * invScale;
		var a = this.getAngle();
		if (a !== 0)
		{
			x -= this.layout.scrollX;
			y -= this.layout.scrollY;
			var cosa = Math.cos(a);
			var sina = Math.sin(a);
			var x_temp = (x * cosa) - (y * sina);
			y = (y * cosa) + (x * sina);
			x = x_temp;
			x += this.layout.scrollX;
			y += this.layout.scrollY;
		}
		return getx ? x : y;
	};
	Layer.prototype.layerToCanvas = function (ptx, pty, getx, using_draw_area)
	{
		var a = this.getAngle();
		if (a !== 0)
		{
			ptx -= this.layout.scrollX;
			pty -= this.layout.scrollY;
			var cosa = Math.cos(-a);
			var sina = Math.sin(-a);
			var x_temp = (ptx * cosa) - (pty * sina);
			pty = (pty * cosa) + (ptx * sina);
			ptx = x_temp;
			ptx += this.layout.scrollX;
			pty += this.layout.scrollY;
		}
		var ox = this.runtime.parallax_x_origin;
		var oy = this.runtime.parallax_y_origin;
		var x = ((this.layout.scrollX - ox) * this.parallaxX) + ox;
		var y = ((this.layout.scrollY - oy) * this.parallaxY) + oy;
		var invScale = 1 / this.getScale(!using_draw_area);
		if (using_draw_area)
		{
			x -= (this.runtime.draw_width * invScale) / 2;
			y -= (this.runtime.draw_height * invScale) / 2;
		}
		else
		{
			x -= (this.runtime.width * invScale) / 2;
			y -= (this.runtime.height * invScale) / 2;
		}
		x = (ptx - x) / invScale;
		y = (pty - y) / invScale;
		var multiplier = this.runtime.devicePixelRatio;
		if (this.runtime.isRetina)
		{
			x /= multiplier;
			y /= multiplier;
		}
		return getx ? x : y;
	};
	Layer.prototype.rotatePt = function (x_, y_, getx)
	{
		if (this.getAngle() === 0)
			return getx ? x_ : y_;
		var nx = this.layerToCanvas(x_, y_, true);
		var ny = this.layerToCanvas(x_, y_, false);
		this.disableAngle = true;
		var px = this.canvasToLayer(nx, ny, true);
		var py = this.canvasToLayer(nx, ny, true);
		this.disableAngle = false;
		return getx ? px : py;
	};
	Layer.prototype.saveToJSON = function ()
	{
		var i, len, et;
		var o = {
			"s": this.scale,
			"a": this.angle,
			"vl": this.viewLeft,
			"vt": this.viewTop,
			"vr": this.viewRight,
			"vb": this.viewBottom,
			"v": this.visible,
			"bc": this.background_color,
			"t": this.transparent,
			"px": this.parallaxX,
			"py": this.parallaxY,
			"o": this.opacity,
			"zr": this.zoomRate,
			"fx": [],
			"instances": []
		};
		for (i = 0, len = this.effect_types.length; i < len; i++)
		{
			et = this.effect_types[i];
			o["fx"].push({"name": et.name, "active": et.active, "params": this.effect_params[et.index] });
		}
		return o;
	};
	function sortInstanceByZIndex(a, b)
	{
		return a.zindex - b.zindex;
	};
	Layer.prototype.loadFromJSON = function (o)
	{
		var i, len, p, inst, fx;
		this.scale = o["s"];
		this.angle = o["a"];
		this.viewLeft = o["vl"];
		this.viewTop = o["vt"];
		this.viewRight = o["vr"];
		this.viewBottom = o["vb"];
		this.visible = o["v"];
		this.background_color = o["bc"];
		this.transparent = o["t"];
		this.parallaxX = o["px"];
		this.parallaxY = o["py"];
		this.opacity = o["o"];
		this.zoomRate = o["zr"];
		var ofx = o["fx"];
		for (i = 0, len = ofx.length; i < len; i++)
		{
			fx = this.getEffectByName(ofx[i]["name"]);
			if (!fx)
				continue;		// must've gone missing
			fx.active = ofx[i]["active"];
			this.effect_params[fx.index] = ofx[i]["params"];
		}
		this.updateActiveEffects();
		this.instances.sort(sortInstanceByZIndex);
		this.zindices_stale = true;
	};
	cr.layer = Layer;
}());
;
(function()
{
	var allUniqueSolModifiers = [];
	function testSolsMatch(arr1, arr2)
	{
		var i, len = arr1.length;
		switch (len) {
		case 0:
			return true;
		case 1:
			return arr1[0] === arr2[0];
		case 2:
			return arr1[0] === arr2[0] && arr1[1] === arr2[1];
		default:
			for (i = 0; i < len; i++)
			{
				if (arr1[i] !== arr2[i])
					return false;
			}
			return true;
		}
	};
	function solArraySorter(t1, t2)
	{
		return t1.index - t2.index;
	};
	function findMatchingSolModifier(arr)
	{
		var i, len, u, temp, subarr;
		if (arr.length === 2)
		{
			if (arr[0].index > arr[1].index)
			{
				temp = arr[0];
				arr[0] = arr[1];
				arr[1] = temp;
			}
		}
		else if (arr.length > 2)
			arr.sort(solArraySorter);		// so testSolsMatch compares in same order
		if (arr.length >= allUniqueSolModifiers.length)
			allUniqueSolModifiers.length = arr.length + 1;
		if (!allUniqueSolModifiers[arr.length])
			allUniqueSolModifiers[arr.length] = [];
		subarr = allUniqueSolModifiers[arr.length];
		for (i = 0, len = subarr.length; i < len; i++)
		{
			u = subarr[i];
			if (testSolsMatch(arr, u))
				return u;
		}
		subarr.push(arr);
		return arr;
	};
	function EventSheet(runtime, m)
	{
		this.runtime = runtime;
		this.triggers = {};
		this.fasttriggers = {};
        this.hasRun = false;
        this.includes = new cr.ObjectSet(); // all event sheets included by this sheet, at first-level indirection only
		this.name = m[0];
		var em = m[1];		// events model
		this.events = [];       // triggers won't make it to this array
		var i, len;
		for (i = 0, len = em.length; i < len; i++)
			this.init_event(em[i], null, this.events);
	};
    EventSheet.prototype.toString = function ()
    {
        return this.name;
    };
	EventSheet.prototype.init_event = function (m, parent, nontriggers)
	{
		switch (m[0]) {
		case 0:	// event block
		{
			var block = new cr.eventblock(this, parent, m);
			cr.seal(block);
			if (block.orblock)
			{
				nontriggers.push(block);
				var i, len;
				for (i = 0, len = block.conditions.length; i < len; i++)
				{
					if (block.conditions[i].trigger)
						this.init_trigger(block, i);
				}
			}
			else
			{
				if (block.is_trigger())
					this.init_trigger(block, 0);
				else
					nontriggers.push(block);
			}
			break;
		}
		case 1: // variable
		{
			var v = new cr.eventvariable(this, parent, m);
			cr.seal(v);
			nontriggers.push(v);
			break;
		}
        case 2:	// include
        {
            var inc = new cr.eventinclude(this, parent, m);
			cr.seal(inc);
            nontriggers.push(inc);
			break;
        }
		default:
;
		}
	};
	EventSheet.prototype.postInit = function ()
	{
		var i, len;
		for (i = 0, len = this.events.length; i < len; i++)
		{
			this.events[i].postInit(i < len - 1 && this.events[i + 1].is_else_block);
		}
	};
	EventSheet.prototype.run = function (from_include)
	{
		if (!this.runtime.resuming_breakpoint)
		{
			this.hasRun = true;
			if (!from_include)
				this.runtime.isRunningEvents = true;
		}
		var i, len;
		for (i = 0, len = this.events.length; i < len; i++)
		{
			var ev = this.events[i];
			ev.run();
				this.runtime.clearSol(ev.solModifiers);
				if (!this.runtime.deathRow.isEmpty() || this.runtime.createRow.length)
					this.runtime.ClearDeathRow();
		}
			if (!from_include)
				this.runtime.isRunningEvents = false;
	};
	EventSheet.prototype.init_trigger = function (trig, index)
	{
		if (!trig.orblock)
			this.runtime.triggers_to_postinit.push(trig);	// needs to be postInit'd later
		var i, len;
		var cnd = trig.conditions[index];
		var type_name;
		if (cnd.type)
			type_name = cnd.type.name;
		else
			type_name = "system";
		var fasttrigger = cnd.fasttrigger;
		var triggers = (fasttrigger ? this.fasttriggers : this.triggers);
		if (!triggers[type_name])
			triggers[type_name] = [];
		var obj_entry = triggers[type_name];
		var method = cnd.func;
		if (fasttrigger)
		{
			if (!cnd.parameters.length)				// no parameters
				return;
			var firstparam = cnd.parameters[0];
			if (firstparam.type !== 1 ||			// not a string param
				firstparam.expression.type !== 2)	// not a string literal node
			{
				return;
			}
			var fastevs;
			var firstvalue = firstparam.expression.value.toLowerCase();
			var i, len;
			for (i = 0, len = obj_entry.length; i < len; i++)
			{
				if (obj_entry[i].method == method)
				{
					fastevs = obj_entry[i].evs;
					if (!fastevs[firstvalue])
						fastevs[firstvalue] = [[trig, index]];
					else
						fastevs[firstvalue].push([trig, index]);
					return;
				}
			}
			fastevs = {};
			fastevs[firstvalue] = [[trig, index]];
			obj_entry.push({ method: method, evs: fastevs });
		}
		else
		{
			for (i = 0, len = obj_entry.length; i < len; i++)
			{
				if (obj_entry[i].method == method)
				{
					obj_entry[i].evs.push([trig, index]);
					return;
				}
			}
			obj_entry.push({ method: method, evs: [[trig, index]]});
		}
	};
	cr.eventsheet = EventSheet;
	function Selection(type)
	{
		this.type = type;
		this.instances = [];        // subset of picked instances
		this.else_instances = [];	// subset of unpicked instances
		this.select_all = true;
	};
	Selection.prototype.hasObjects = function ()
	{
		if (this.select_all)
			return this.type.instances.length;
		else
			return this.instances.length;
	};
	Selection.prototype.getObjects = function ()
	{
		if (this.select_all)
			return this.type.instances;
		else
			return this.instances;
	};
	/*
	Selection.prototype.ensure_picked = function (inst, skip_siblings)
	{
		var i, len;
		var orblock = inst.runtime.getCurrentEventStack().current_event.orblock;
		if (this.select_all)
		{
			this.select_all = false;
			if (orblock)
			{
				cr.shallowAssignArray(this.else_instances, inst.type.instances);
				cr.arrayFindRemove(this.else_instances, inst);
			}
			this.instances.length = 1;
			this.instances[0] = inst;
		}
		else
		{
			if (orblock)
			{
				i = this.else_instances.indexOf(inst);
				if (i !== -1)
				{
					this.instances.push(this.else_instances[i]);
					this.else_instances.splice(i, 1);
				}
			}
			else
			{
				if (this.instances.indexOf(inst) === -1)
					this.instances.push(inst);
			}
		}
		if (!skip_siblings)
		{
		}
	};
	*/
	Selection.prototype.pick_one = function (inst)
	{
		if (!inst)
			return;
		if (inst.runtime.getCurrentEventStack().current_event.orblock)
		{
			if (this.select_all)
			{
				this.instances.length = 0;
				cr.shallowAssignArray(this.else_instances, inst.type.instances);
				this.select_all = false;
			}
			var i = this.else_instances.indexOf(inst);
			if (i !== -1)
			{
				this.instances.push(this.else_instances[i]);
				this.else_instances.splice(i, 1);
			}
		}
		else
		{
			this.select_all = false;
			this.instances.length = 1;
			this.instances[0] = inst;
		}
	};
	cr.selection = Selection;
	function EventBlock(sheet, parent, m)
	{
		this.sheet = sheet;
		this.parent = parent;
		this.runtime = sheet.runtime;
		this.solModifiers = [];
		this.solModifiersIncludingParents = [];
		this.solWriterAfterCnds = false;	// block does not change SOL after running its conditions
		this.group = false;					// is group of events
		this.initially_activated = false;	// if a group, is active on startup
		this.toplevelevent = false;			// is an event block parented only by a top-level group
		this.toplevelgroup = false;			// is parented only by other groups or is top-level (i.e. not in a subevent)
		this.has_else_block = false;		// is followed by else
;
		this.conditions = [];
		this.actions = [];
		this.subevents = [];
        if (m[1])
        {
			this.group_name = m[1][1].toLowerCase();
			this.group = true;
			this.initially_activated = !!m[1][0];
			this.runtime.allGroups.push(this);
            this.runtime.activeGroups[(/*this.sheet.name + "|" + */this.group_name).toLowerCase()] = this.initially_activated;
        }
		else
		{
			this.group_name = "";
			this.group = false;
			this.initially_activated = false;
		}
		this.orblock = m[2];
		this.sid = m[4];
		if (!this.group)
			this.runtime.blocksBySid[this.sid.toString()] = this;
		var i, len;
		var cm = m[5];
		for (i = 0, len = cm.length; i < len; i++)
		{
			var cnd = new cr.condition(this, cm[i]);
			cnd.index = i;
			cr.seal(cnd);
			this.conditions.push(cnd);
			/*
			if (cnd.is_logical())
				this.is_logical = true;
			if (cnd.type && !cnd.type.plugin.singleglobal && this.cndReferences.indexOf(cnd.type) === -1)
				this.cndReferences.push(cnd.type);
			*/
			this.addSolModifier(cnd.type);
		}
		var am = m[6];
		for (i = 0, len = am.length; i < len; i++)
		{
			var act = new cr.action(this, am[i]);
			act.index = i;
			cr.seal(act);
			this.actions.push(act);
		}
		if (m.length === 8)
		{
			var em = m[7];
			for (i = 0, len = em.length; i < len; i++)
				this.sheet.init_event(em[i], this, this.subevents);
		}
		this.is_else_block = false;
		if (this.conditions.length)
		{
			this.is_else_block = (this.conditions[0].type == null && this.conditions[0].func == cr.system_object.prototype.cnds.Else);
		}
	};
	window["_c2hh_"] = "DA39A3EE5E6B4B0D3255BFEF95601890AFD80709";
	EventBlock.prototype.postInit = function (hasElse/*, prevBlock_*/)
	{
		var i, len;
		var p = this.parent;
		if (this.group)
		{
			this.toplevelgroup = true;
			while (p)
			{
				if (!p.group)
				{
					this.toplevelgroup = false;
					break;
				}
				p = p.parent;
			}
		}
		this.toplevelevent = !this.is_trigger() && (!this.parent || (this.parent.group && this.parent.toplevelgroup));
		this.has_else_block = !!hasElse;
		this.solModifiersIncludingParents = this.solModifiers.slice(0);
		p = this.parent;
		while (p)
		{
			for (i = 0, len = p.solModifiers.length; i < len; i++)
				this.addParentSolModifier(p.solModifiers[i]);
			p = p.parent;
		}
		this.solModifiers = findMatchingSolModifier(this.solModifiers);
		this.solModifiersIncludingParents = findMatchingSolModifier(this.solModifiersIncludingParents);
		var i, len/*, s*/;
		for (i = 0, len = this.conditions.length; i < len; i++)
			this.conditions[i].postInit();
		for (i = 0, len = this.actions.length; i < len; i++)
			this.actions[i].postInit();
		for (i = 0, len = this.subevents.length; i < len; i++)
		{
			this.subevents[i].postInit(i < len - 1 && this.subevents[i + 1].is_else_block);
		}
		/*
		if (this.is_else_block && this.prev_block)
		{
			for (i = 0, len = this.prev_block.solModifiers.length; i < len; i++)
			{
				s = this.prev_block.solModifiers[i];
				if (this.solModifiers.indexOf(s) === -1)
					this.solModifiers.push(s);
			}
		}
		*/
	}
	function addSolModifierToList(type, arr)
	{
		var i, len, t;
		if (!type)
			return;
		if (arr.indexOf(type) === -1)
			arr.push(type);
		if (type.is_contained)
		{
			for (i = 0, len = type.container.length; i < len; i++)
			{
				t = type.container[i];
				if (type === t)
					continue;		// already handled
				if (arr.indexOf(t) === -1)
					arr.push(t);
			}
		}
	};
	EventBlock.prototype.addSolModifier = function (type)
	{
		addSolModifierToList(type, this.solModifiers);
	};
	EventBlock.prototype.addParentSolModifier = function (type)
	{
		addSolModifierToList(type, this.solModifiersIncludingParents);
	};
	EventBlock.prototype.setSolWriterAfterCnds = function ()
	{
		this.solWriterAfterCnds = true;
		if (this.parent)
			this.parent.setSolWriterAfterCnds();
	};
	EventBlock.prototype.is_trigger = function ()
	{
		if (!this.conditions.length)    // no conditions
			return false;
		else
			return this.conditions[0].trigger;
	};
	EventBlock.prototype.run = function ()
	{
		var i, len, any_true = false, cnd_result;
		var evinfo = this.runtime.getCurrentEventStack();
		evinfo.current_event = this;
			if (!this.is_else_block)
				evinfo.else_branch_ran = false;
		if (this.orblock)
		{
			if (this.conditions.length === 0)
				any_true = true;		// be sure to run if empty block
				evinfo.cndindex = 0
			for (len = this.conditions.length; evinfo.cndindex < len; evinfo.cndindex++)
			{
				if (this.conditions[evinfo.cndindex].trigger)		// skip triggers when running OR block
					continue;
				cnd_result = this.conditions[evinfo.cndindex].run();
				if (cnd_result)			// make sure all conditions run and run if any were true
					any_true = true;
			}
			evinfo.last_event_true = any_true;
			if (any_true)
				this.run_actions_and_subevents();
		}
		else
		{
				evinfo.cndindex = 0
			for (len = this.conditions.length; evinfo.cndindex < len; evinfo.cndindex++)
			{
				cnd_result = this.conditions[evinfo.cndindex].run();
				if (!cnd_result)    // condition failed
				{
					evinfo.last_event_true = false;
					if (this.toplevelevent && (!this.runtime.deathRow.isEmpty() || this.runtime.createRow.length))
						this.runtime.ClearDeathRow();
					return;		// bail out now
				}
			}
			evinfo.last_event_true = true;
			this.run_actions_and_subevents();
		}
		this.end_run(evinfo);
	};
	EventBlock.prototype.end_run = function (evinfo)
	{
		if (evinfo.last_event_true && this.has_else_block)
			evinfo.else_branch_ran = true;
		if (this.toplevelevent && (!this.runtime.deathRow.isEmpty() || this.runtime.createRow.length))
			this.runtime.ClearDeathRow();
	};
	EventBlock.prototype.run_orblocktrigger = function (index)
	{
		var evinfo = this.runtime.getCurrentEventStack();
		evinfo.current_event = this;
		if (this.conditions[index].run())
		{
			this.run_actions_and_subevents();
			this.runtime.getCurrentEventStack().last_event_true = true;
		}
	};
	EventBlock.prototype.run_actions_and_subevents = function ()
	{
		var evinfo = this.runtime.getCurrentEventStack();
		var len;
		for (evinfo.actindex = 0, len = this.actions.length; evinfo.actindex < len; evinfo.actindex++)
		{
			if (this.actions[evinfo.actindex].run())
				return;
		}
		this.run_subevents();
	};
	EventBlock.prototype.resume_actions_and_subevents = function ()
	{
		var evinfo = this.runtime.getCurrentEventStack();
		var len;
		for (len = this.actions.length; evinfo.actindex < len; evinfo.actindex++)
		{
			if (this.actions[evinfo.actindex].run())
				return;
		}
		this.run_subevents();
	};
	EventBlock.prototype.run_subevents = function ()
	{
		if (!this.subevents.length)
			return;
		var i, len, subev, pushpop/*, skipped_pop = false, pop_modifiers = null*/;
		var last = this.subevents.length - 1;
			this.runtime.pushEventStack(this);
		if (this.solWriterAfterCnds)
		{
			for (i = 0, len = this.subevents.length; i < len; i++)
			{
				subev = this.subevents[i];
					pushpop = (!this.toplevelgroup || (!this.group && i < last));
					if (pushpop)
						this.runtime.pushCopySol(subev.solModifiers);
				subev.run();
					if (pushpop)
						this.runtime.popSol(subev.solModifiers);
					else
						this.runtime.clearSol(subev.solModifiers);
			}
		}
		else
		{
			for (i = 0, len = this.subevents.length; i < len; i++)
			{
				this.subevents[i].run();
			}
		}
			this.runtime.popEventStack();
	};
	EventBlock.prototype.run_pretrigger = function ()
	{
		var evinfo = this.runtime.getCurrentEventStack();
		evinfo.current_event = this;
		var any_true = false;
		var i, len;
		for (evinfo.cndindex = 0, len = this.conditions.length; evinfo.cndindex < len; evinfo.cndindex++)
		{
;
			if (this.conditions[evinfo.cndindex].run())
				any_true = true;
			else if (!this.orblock)			// condition failed (let OR blocks run all conditions anyway)
				return false;               // bail out
		}
		return this.orblock ? any_true : true;
	};
	EventBlock.prototype.retrigger = function ()
	{
		this.runtime.execcount++;
		var prevcndindex = this.runtime.getCurrentEventStack().cndindex;
		var len;
		var evinfo = this.runtime.pushEventStack(this);
		if (!this.orblock)
		{
			for (evinfo.cndindex = prevcndindex + 1, len = this.conditions.length; evinfo.cndindex < len; evinfo.cndindex++)
			{
				if (!this.conditions[evinfo.cndindex].run())    // condition failed
				{
					this.runtime.popEventStack();               // moving up level of recursion
					return false;                               // bail out
				}
			}
		}
		this.run_actions_and_subevents();
		this.runtime.popEventStack();
		return true;		// ran an iteration
	};
	EventBlock.prototype.isFirstConditionOfType = function (cnd)
	{
		var cndindex = cnd.index;
		if (cndindex === 0)
			return true;
		--cndindex;
		for ( ; cndindex >= 0; --cndindex)
		{
			if (this.conditions[cndindex].type === cnd.type)
				return false;
		}
		return true;
	};
	cr.eventblock = EventBlock;
	function Condition(block, m)
	{
		this.block = block;
		this.sheet = block.sheet;
		this.runtime = block.runtime;
		this.parameters = [];
		this.results = [];
		this.extra = {};		// for plugins to stow away some custom info
		this.index = -1;
		this.func = m[1];
;
		this.trigger = (m[3] > 0);
		this.fasttrigger = (m[3] === 2);
		this.looping = m[4];
		this.inverted = m[5];
		this.isstatic = m[6];
		this.sid = m[7];
		this.runtime.cndsBySid[this.sid.toString()] = this;
		if (m[0] === -1)		// system object
		{
			this.type = null;
			this.run = this.run_system;
			this.behaviortype = null;
			this.beh_index = -1;
		}
		else
		{
			this.type = this.runtime.types_by_index[m[0]];
;
			if (this.isstatic)
				this.run = this.run_static;
			else
				this.run = this.run_object;
			if (m[2])
			{
				this.behaviortype = this.type.getBehaviorByName(m[2]);
;
				this.beh_index = this.type.getBehaviorIndexByName(m[2]);
;
			}
			else
			{
				this.behaviortype = null;
				this.beh_index = -1;
			}
			if (this.block.parent)
				this.block.parent.setSolWriterAfterCnds();
		}
		if (this.fasttrigger)
			this.run = this.run_true;
		if (m.length === 10)
		{
			var i, len;
			var em = m[9];
			for (i = 0, len = em.length; i < len; i++)
			{
				var param = new cr.parameter(this, em[i]);
				cr.seal(param);
				this.parameters.push(param);
			}
			this.results.length = em.length;
		}
	};
	Condition.prototype.postInit = function ()
	{
		var i, len;
		for (i = 0, len = this.parameters.length; i < len; i++)
			this.parameters[i].postInit();
	};
	/*
	Condition.prototype.is_logical = function ()
	{
		return !this.type || this.type.plugin.singleglobal;
	};
	*/
	Condition.prototype.run_true = function ()
	{
		return true;
	};
	Condition.prototype.run_system = function ()
	{
		var i, len;
		for (i = 0, len = this.parameters.length; i < len; i++)
			this.results[i] = this.parameters[i].get();
		return cr.xor(this.func.apply(this.runtime.system, this.results), this.inverted);
	};
	Condition.prototype.run_static = function ()
	{
		var i, len;
		for (i = 0, len = this.parameters.length; i < len; i++)
			this.results[i] = this.parameters[i].get(i);
		var ret = this.func.apply(this.behaviortype ? this.behaviortype : this.type, this.results);
		this.type.applySolToContainer();
		return ret;
	};
	Condition.prototype.run_object = function ()
	{
		var i, j, leni, lenj, ret, met, inst, s, sol2;
		var sol = this.type.getCurrentSol();
		var is_orblock = this.block.orblock && !this.trigger;		// triggers in OR blocks need to work normally
		var offset = 0;
		var is_contained = this.type.is_contained;
		if (sol.select_all) {
			sol.instances.length = 0;       // clear contents
			sol.else_instances.length = 0;
			for (i = 0, leni = this.type.instances.length; i < leni; i++)
			{
				inst = this.type.instances[i];
;
				for (j = 0, lenj = this.parameters.length; j < lenj; j++)
					this.results[j] = this.parameters[j].get(i);        // default SOL index is current object
				if (this.beh_index > -1)
				{
					if (this.type.is_family)
					{
						offset = inst.type.family_beh_map[this.type.family_index];
					}
					ret = this.func.apply(inst.behavior_insts[this.beh_index + offset], this.results);
				}
				else
					ret = this.func.apply(inst, this.results);
				met = cr.xor(ret, this.inverted);
				if (met)
					sol.instances.push(inst);
				else if (is_orblock)					// in OR blocks, keep the instances not meeting the condition for subsequent testing
					sol.else_instances.push(inst);
			}
			if (this.type.finish)
				this.type.finish(true);
			sol.select_all = false;
			this.type.applySolToContainer();
			return sol.hasObjects();
		}
		else {
			var k = 0;
			var using_else_instances = (is_orblock && !this.block.isFirstConditionOfType(this));
			var arr = (using_else_instances ? sol.else_instances : sol.instances);
			var any_true = false;
			for (i = 0, leni = arr.length; i < leni; i++)
			{
				inst = arr[i];
;
				for (j = 0, lenj = this.parameters.length; j < lenj; j++)
					this.results[j] = this.parameters[j].get(i);        // default SOL index is current object
				if (this.beh_index > -1)
				{
					if (this.type.is_family)
					{
						offset = inst.type.family_beh_map[this.type.family_index];
					}
					ret = this.func.apply(inst.behavior_insts[this.beh_index + offset], this.results);
				}
				else
					ret = this.func.apply(inst, this.results);
				if (cr.xor(ret, this.inverted))
				{
					any_true = true;
					if (using_else_instances)
					{
						sol.instances.push(inst);
						if (is_contained)
						{
							for (j = 0, lenj = inst.siblings.length; j < lenj; j++)
							{
								s = inst.siblings[j];
								s.type.getCurrentSol().instances.push(s);
							}
						}
					}
					else
					{
						arr[k] = inst;
						if (is_contained)
						{
							for (j = 0, lenj = inst.siblings.length; j < lenj; j++)
							{
								s = inst.siblings[j];
								s.type.getCurrentSol().instances[k] = s;
							}
						}
						k++;
					}
				}
				else
				{
					if (using_else_instances)
					{
						arr[k] = inst;
						if (is_contained)
						{
							for (j = 0, lenj = inst.siblings.length; j < lenj; j++)
							{
								s = inst.siblings[j];
								s.type.getCurrentSol().else_instances[k] = s;
							}
						}
						k++;
					}
					else if (is_orblock)
					{
						sol.else_instances.push(inst);
						if (is_contained)
						{
							for (j = 0, lenj = inst.siblings.length; j < lenj; j++)
							{
								s = inst.siblings[j];
								s.type.getCurrentSol().else_instances.push(s);
							}
						}
					}
				}
			}
			arr.length = k;
			if (is_contained)
			{
				for (i = 0, leni = this.type.container.length; i < leni; i++)
				{
					sol2 = this.type.container[i].getCurrentSol();
					if (using_else_instances)
						sol2.else_instances.length = k;
					else
						sol2.instances.length = k;
				}
			}
			var pick_in_finish = any_true;		// don't pick in finish() if we're only doing the logic test below
			if (using_else_instances && !any_true)
			{
				for (i = 0, leni = sol.instances.length; i < leni; i++)
				{
					inst = sol.instances[i];
					for (j = 0, lenj = this.parameters.length; j < lenj; j++)
						this.results[j] = this.parameters[j].get(i);
					if (this.beh_index > -1)
						ret = this.func.apply(inst.behavior_insts[this.beh_index], this.results);
					else
						ret = this.func.apply(inst, this.results);
					if (cr.xor(ret, this.inverted))
					{
						any_true = true;
						break;		// got our flag, don't need to test any more
					}
				}
			}
			if (this.type.finish)
				this.type.finish(pick_in_finish || is_orblock);
			return is_orblock ? any_true : sol.hasObjects();
		}
	};
	cr.condition = Condition;
	function Action(block, m)
	{
		this.block = block;
		this.sheet = block.sheet;
		this.runtime = block.runtime;
		this.parameters = [];
		this.results = [];
		this.extra = {};		// for plugins to stow away some custom info
		this.index = -1;
		this.func = m[1];
;
		if (m[0] === -1)	// system
		{
			this.type = null;
			this.run = this.run_system;
			this.behaviortype = null;
			this.beh_index = -1;
		}
		else
		{
			this.type = this.runtime.types_by_index[m[0]];
;
			this.run = this.run_object;
			if (m[2])
			{
				this.behaviortype = this.type.getBehaviorByName(m[2]);
;
				this.beh_index = this.type.getBehaviorIndexByName(m[2]);
;
			}
			else
			{
				this.behaviortype = null;
				this.beh_index = -1;
			}
		}
		this.sid = m[3];
		this.runtime.actsBySid[this.sid.toString()] = this;
		if (m.length === 6)
		{
			var i, len;
			var em = m[5];
			for (i = 0, len = em.length; i < len; i++)
			{
				var param = new cr.parameter(this, em[i]);
				cr.seal(param);
				this.parameters.push(param);
			}
			this.results.length = em.length;
		}
	};
	Action.prototype.postInit = function ()
	{
		var i, len;
		for (i = 0, len = this.parameters.length; i < len; i++)
			this.parameters[i].postInit();
	};
	Action.prototype.run_system = function ()
	{
		var i, len;
		for (i = 0, len = this.parameters.length; i < len; i++)
			this.results[i] = this.parameters[i].get();
		return this.func.apply(this.runtime.system, this.results);
	};
	Action.prototype.run_object = function ()
	{
		var instances = this.type.getCurrentSol().getObjects();
		var i, j, leni, lenj, inst;
		for (i = 0, leni = instances.length; i < leni; i++)
		{
			inst = instances[i];
			for (j = 0, lenj = this.parameters.length; j < lenj; j++)
				this.results[j] = this.parameters[j].get(i);    // pass i to use as default SOL index
			if (this.beh_index > -1)
			{
				var offset = 0;
				if (this.type.is_family)
				{
					offset = inst.type.family_beh_map[this.type.family_index];
				}
				this.func.apply(inst.behavior_insts[this.beh_index + offset], this.results);
			}
			else
				this.func.apply(inst, this.results);
		}
		return false;
	};
	cr.action = Action;
	var tempValues = [];
	var tempValuesPtr = -1;
	function Parameter(owner, m)
	{
		this.owner = owner;
		this.block = owner.block;
		this.sheet = owner.sheet;
		this.runtime = owner.runtime;
		this.type = m[0];
		this.expression = null;
		this.solindex = 0;
		this.combosel = 0;
		this.layout = null;
		this.key = 0;
		this.object = null;
		this.index = 0;
		this.varname = null;
		this.eventvar = null;
		this.fileinfo = null;
		this.subparams = null;
		this.variadicret = null;
		var i, len, param;
		switch (m[0])
		{
			case 0:		// number
			case 7:		// any
				this.expression = new cr.expNode(this, m[1]);
				this.solindex = 0;
				this.get = this.get_exp;
				break;
			case 1:		// string
				this.expression = new cr.expNode(this, m[1]);
				this.solindex = 0;
				this.get = this.get_exp_str;
				break;
			case 5:		// layer
				this.expression = new cr.expNode(this, m[1]);
				this.solindex = 0;
				this.get = this.get_layer;
				break;
			case 3:		// combo
			case 8:		// cmp
				this.combosel = m[1];
				this.get = this.get_combosel;
				break;
			case 6:		// layout
				this.layout = this.runtime.layouts[m[1]];
;
				this.get = this.get_layout;
				break;
			case 9:		// keyb
				this.key = m[1];
				this.get = this.get_key;
				break;
			case 4:		// object
				this.object = this.runtime.types_by_index[m[1]];
;
				this.get = this.get_object;
				this.block.addSolModifier(this.object);
				if (this.owner instanceof cr.action)
					this.block.setSolWriterAfterCnds();
				else if (this.block.parent)
					this.block.parent.setSolWriterAfterCnds();
				break;
			case 10:	// instvar
				this.index = m[1];
				if (owner.type.is_family)
					this.get = this.get_familyvar;
				else
					this.get = this.get_instvar;
				break;
			case 11:	// eventvar
				this.varname = m[1];
				this.eventvar = null;
				this.get = this.get_eventvar;
				break;
			case 2:		// audiofile	["name", ismusic]
			case 12:	// fileinfo		"name"
				this.fileinfo = m[1];
				this.get = this.get_audiofile;
				break;
			case 13:	// variadic
				this.get = this.get_variadic;
				this.subparams = [];
				this.variadicret = [];
				for (i = 1, len = m.length; i < len; i++)
				{
					param = new cr.parameter(this.owner, m[i]);
					cr.seal(param);
					this.subparams.push(param);
					this.variadicret.push(0);
				}
				break;
			default:
;
		}
	};
	Parameter.prototype.postInit = function ()
	{
		var i, len;
		if (this.type === 11)		// eventvar
		{
			this.eventvar = this.runtime.getEventVariableByName(this.varname, this.block.parent);
;
		}
		else if (this.type === 13)	// variadic, postInit all sub-params
		{
			for (i = 0, len = this.subparams.length; i < len; i++)
				this.subparams[i].postInit();
		}
		if (this.expression)
			this.expression.postInit();
	};
	Parameter.prototype.pushTempValue = function ()
	{
		tempValuesPtr++;
		if (tempValues.length === tempValuesPtr)
			tempValues.push(new cr.expvalue());
		return tempValues[tempValuesPtr];
	};
	Parameter.prototype.popTempValue = function ()
	{
		tempValuesPtr--;
	};
	Parameter.prototype.get_exp = function (solindex)
	{
		this.solindex = solindex || 0;   // default SOL index to use
		var temp = this.pushTempValue();
		this.expression.get(temp);
		this.popTempValue();
		return temp.data;      			// return actual JS value, not expvalue
	};
	Parameter.prototype.get_exp_str = function (solindex)
	{
		this.solindex = solindex || 0;   // default SOL index to use
		var temp = this.pushTempValue();
		this.expression.get(temp);
		this.popTempValue();
		if (cr.is_string(temp.data))
			return temp.data;
		else
			return "";
	};
	Parameter.prototype.get_object = function ()
	{
		return this.object;
	};
	Parameter.prototype.get_combosel = function ()
	{
		return this.combosel;
	};
	Parameter.prototype.get_layer = function (solindex)
	{
		this.solindex = solindex || 0;   // default SOL index to use
		var temp = this.pushTempValue();
		this.expression.get(temp);
		this.popTempValue();
		if (temp.is_number())
			return this.runtime.getLayerByNumber(temp.data);
		else
			return this.runtime.getLayerByName(temp.data);
	}
	Parameter.prototype.get_layout = function ()
	{
		return this.layout;
	};
	Parameter.prototype.get_key = function ()
	{
		return this.key;
	};
	Parameter.prototype.get_instvar = function ()
	{
		return this.index;
	};
	Parameter.prototype.get_familyvar = function (solindex)
	{
		var familytype = this.owner.type;
		var realtype = null;
		var sol = familytype.getCurrentSol();
		var objs = sol.getObjects();
		if (objs.length)
			realtype = objs[solindex % objs.length].type;
		else
		{
;
			realtype = sol.else_instances[solindex % sol.else_instances.length].type;
		}
		return this.index + realtype.family_var_map[familytype.family_index];
	};
	Parameter.prototype.get_eventvar = function ()
	{
		return this.eventvar;
	};
	Parameter.prototype.get_audiofile = function ()
	{
		return this.fileinfo;
	};
	Parameter.prototype.get_variadic = function ()
	{
		var i, len;
		for (i = 0, len = this.subparams.length; i < len; i++)
		{
			this.variadicret[i] = this.subparams[i].get();
		}
		return this.variadicret;
	};
	cr.parameter = Parameter;
	function EventVariable(sheet, parent, m)
	{
		this.sheet = sheet;
		this.parent = parent;
		this.runtime = sheet.runtime;
		this.solModifiers = [];
		this.name = m[1];
		this.vartype = m[2];
		this.initial = m[3];
		this.is_static = !!m[4];
		this.is_constant = !!m[5];
		this.sid = m[6];
		this.runtime.varsBySid[this.sid.toString()] = this;
		this.data = this.initial;	// note: also stored in event stack frame for local nonstatic nonconst vars
		if (this.parent)			// local var
		{
			if (this.is_static || this.is_constant)
				this.localIndex = -1;
			else
				this.localIndex = this.runtime.stackLocalCount++;
			this.runtime.all_local_vars.push(this);
		}
		else						// global var
		{
			this.localIndex = -1;
			this.runtime.all_global_vars.push(this);
		}
	};
	EventVariable.prototype.postInit = function ()
	{
		this.solModifiers = findMatchingSolModifier(this.solModifiers);
	};
	EventVariable.prototype.setValue = function (x)
	{
;
		var lvs = this.runtime.getCurrentLocalVarStack();
		if (!this.parent || this.is_static || !lvs)
			this.data = x;
		else	// local nonstatic variable: use event stack to keep value at this level of recursion
		{
			if (this.localIndex >= lvs.length)
				lvs.length = this.localIndex + 1;
			lvs[this.localIndex] = x;
		}
	};
	EventVariable.prototype.getValue = function ()
	{
		var lvs = this.runtime.getCurrentLocalVarStack();
		if (!this.parent || this.is_static || !lvs || this.is_constant)
			return this.data;
		else	// local nonstatic variable
		{
			if (this.localIndex >= lvs.length)
			{
;
				return this.initial;
			}
			if (typeof lvs[this.localIndex] === "undefined")
			{
;
				return this.initial;
			}
			return lvs[this.localIndex];
		}
	};
	EventVariable.prototype.run = function ()
	{
			if (this.parent && !this.is_static && !this.is_constant)
				this.setValue(this.initial);
	};
	cr.eventvariable = EventVariable;
	function EventInclude(sheet, parent, m)
	{
		this.sheet = sheet;
		this.parent = parent;
		this.runtime = sheet.runtime;
		this.solModifiers = [];
		this.include_sheet = null;		// determined in postInit
		this.include_sheet_name = m[1];
	};
	EventInclude.prototype.toString = function ()
	{
		return "include:" + this.include_sheet.toString();
	};
	EventInclude.prototype.postInit = function ()
	{
        this.include_sheet = this.runtime.eventsheets[this.include_sheet_name];
;
;
        this.sheet.includes.add(this);
		this.solModifiers = findMatchingSolModifier(this.solModifiers);
	};
	EventInclude.prototype.run = function ()
	{
			if (this.parent)
				this.runtime.pushCleanSol(this.runtime.types_by_index);
        if (!this.include_sheet.hasRun)
            this.include_sheet.run(true);			// from include
			if (this.parent)
				this.runtime.popSol(this.runtime.types_by_index);
	};
	EventInclude.prototype.isActive = function ()
	{
		var p = this.parent;
		while (p)
		{
			if (p.group)
			{
				if (!this.runtime.activeGroups[p.group_name.toLowerCase()])
					return false;
			}
			p = p.parent;
		}
		return true;
	};
	cr.eventinclude = EventInclude;
	function EventStackFrame()
	{
		this.temp_parents_arr = [];
		this.reset(null);
		cr.seal(this);
	};
	EventStackFrame.prototype.reset = function (cur_event)
	{
		this.current_event = cur_event;
		this.cndindex = 0;
		this.actindex = 0;
		this.temp_parents_arr.length = 0;
		this.last_event_true = false;
		this.else_branch_ran = false;
		this.any_true_state = false;
	};
	EventStackFrame.prototype.isModifierAfterCnds = function ()
	{
		if (this.current_event.solWriterAfterCnds)
			return true;
		if (this.cndindex < this.current_event.conditions.length - 1)
			return !!this.current_event.solModifiers.length;
		return false;
	};
	cr.eventStackFrame = EventStackFrame;
}());
(function()
{
	function ExpNode(owner_, m)
	{
		this.owner = owner_;
		this.runtime = owner_.runtime;
		this.type = m[0];
;
		this.get = [this.eval_int,
					this.eval_float,
					this.eval_string,
					this.eval_unaryminus,
					this.eval_add,
					this.eval_subtract,
					this.eval_multiply,
					this.eval_divide,
					this.eval_mod,
					this.eval_power,
					this.eval_and,
					this.eval_or,
					this.eval_equal,
					this.eval_notequal,
					this.eval_less,
					this.eval_lessequal,
					this.eval_greater,
					this.eval_greaterequal,
					this.eval_conditional,
					this.eval_system_exp,
					this.eval_object_behavior_exp,
					this.eval_instvar_exp,
					this.eval_object_behavior_exp,
					this.eval_eventvar_exp][this.type];
		var paramsModel = null;
		this.value = null;
		this.first = null;
		this.second = null;
		this.third = null;
		this.func = null;
		this.results = null;
		this.parameters = null;
		this.object_type = null;
		this.beh_index = -1;
		this.instance_expr = null;
		this.varindex = -1;
		this.behavior_type = null;
		this.varname = null;
		this.eventvar = null;
		this.return_string = false;
		switch (this.type) {
		case 0:		// int
		case 1:		// float
		case 2:		// string
			this.value = m[1];
			break;
		case 3:		// unaryminus
			this.first = new cr.expNode(owner_, m[1]);
			break;
		case 18:	// conditional
			this.first = new cr.expNode(owner_, m[1]);
			this.second = new cr.expNode(owner_, m[2]);
			this.third = new cr.expNode(owner_, m[3]);
			break;
		case 19:	// system_exp
			this.func = m[1];
;
			this.results = [];
			this.parameters = [];
			if (m.length === 3)
			{
				paramsModel = m[2];
				this.results.length = paramsModel.length + 1;	// must also fit 'ret'
			}
			else
				this.results.length = 1;      // to fit 'ret'
			break;
		case 20:	// object_exp
			this.object_type = this.runtime.types_by_index[m[1]];
;
			this.beh_index = -1;
			this.func = m[2];
			this.return_string = m[3];
			if (m[4])
				this.instance_expr = new cr.expNode(owner_, m[4]);
			else
				this.instance_expr = null;
			this.results = [];
			this.parameters = [];
			if (m.length === 6)
			{
				paramsModel = m[5];
				this.results.length = paramsModel.length + 1;
			}
			else
				this.results.length = 1;	// to fit 'ret'
			break;
		case 21:		// instvar_exp
			this.object_type = this.runtime.types_by_index[m[1]];
;
			this.return_string = m[2];
			if (m[3])
				this.instance_expr = new cr.expNode(owner_, m[3]);
			else
				this.instance_expr = null;
			this.varindex = m[4];
			break;
		case 22:		// behavior_exp
			this.object_type = this.runtime.types_by_index[m[1]];
;
			this.behavior_type = this.object_type.getBehaviorByName(m[2]);
;
			this.beh_index = this.object_type.getBehaviorIndexByName(m[2]);
			this.func = m[3];
			this.return_string = m[4];
			if (m[5])
				this.instance_expr = new cr.expNode(owner_, m[5]);
			else
				this.instance_expr = null;
			this.results = [];
			this.parameters = [];
			if (m.length === 7)
			{
				paramsModel = m[6];
				this.results.length = paramsModel.length + 1;
			}
			else
				this.results.length = 1;	// to fit 'ret'
			break;
		case 23:		// eventvar_exp
			this.varname = m[1];
			this.eventvar = null;	// assigned in postInit
			break;
		}
		if (this.type >= 4 && this.type <= 17)
		{
			this.first = new cr.expNode(owner_, m[1]);
			this.second = new cr.expNode(owner_, m[2]);
		}
		if (paramsModel)
		{
			var i, len;
			for (i = 0, len = paramsModel.length; i < len; i++)
				this.parameters.push(new cr.expNode(owner_, paramsModel[i]));
		}
		cr.seal(this);
	};
	ExpNode.prototype.postInit = function ()
	{
		if (this.type === 23)	// eventvar_exp
		{
			this.eventvar = this.owner.runtime.getEventVariableByName(this.varname, this.owner.block.parent);
;
		}
		if (this.first)
			this.first.postInit();
		if (this.second)
			this.second.postInit();
		if (this.third)
			this.third.postInit();
		if (this.instance_expr)
			this.instance_expr.postInit();
		if (this.parameters)
		{
			var i, len;
			for (i = 0, len = this.parameters.length; i < len; i++)
				this.parameters[i].postInit();
		}
	};
	ExpNode.prototype.eval_system_exp = function (ret)
	{
		this.results[0] = ret;
		var temp = this.owner.pushTempValue();
		var i, len;
		for (i = 0, len = this.parameters.length; i < len; i++)
		{
			this.parameters[i].get(temp);
			this.results[i + 1] = temp.data;   // passing actual javascript value as argument instead of expvalue
		}
		this.owner.popTempValue();
		this.func.apply(this.runtime.system, this.results);
	};
	ExpNode.prototype.eval_object_behavior_exp = function (ret)
	{
		var sol = this.object_type.getCurrentSol();
		var instances = sol.getObjects();
		if (!instances.length)
		{
			if (sol.else_instances.length)
				instances = sol.else_instances;
			else
			{
				if (this.return_string)
					ret.set_string("");
				else
					ret.set_int(0);
				return;
			}
		}
		this.results[0] = ret;
		ret.object_class = this.object_type;		// so expression can access family type if need be
		var temp = this.owner.pushTempValue();
		var i, len;
		for (i = 0, len = this.parameters.length; i < len; i++) {
			this.parameters[i].get(temp);
			this.results[i + 1] = temp.data;   // passing actual javascript value as argument instead of expvalue
		}
		var index = this.owner.solindex;
		if (this.instance_expr) {
			this.instance_expr.get(temp);
			if (temp.is_number()) {
				index = temp.data;
				instances = this.object_type.instances;    // pick from all instances, not SOL
			}
		}
		this.owner.popTempValue();
		index %= instances.length;      // wraparound
		if (index < 0)
			index += instances.length;
		var returned_val;
		var inst = instances[index];
		if (this.beh_index > -1)
		{
			var offset = 0;
			if (this.object_type.is_family)
			{
				offset = inst.type.family_beh_map[this.object_type.family_index];
			}
			returned_val = this.func.apply(inst.behavior_insts[this.beh_index + offset], this.results);
		}
		else
			returned_val = this.func.apply(inst, this.results);
;
	};
	ExpNode.prototype.eval_instvar_exp = function (ret)
	{
		var sol = this.object_type.getCurrentSol();
		var instances = sol.getObjects();
		if (!instances.length)
		{
			if (sol.else_instances.length)
				instances = sol.else_instances;
			else
			{
				if (this.return_string)
					ret.set_string("");
				else
					ret.set_int(0);
				return;
			}
		}
		var index = this.owner.solindex;
		if (this.instance_expr)
		{
			var temp = this.owner.pushTempValue();
			this.instance_expr.get(temp);
			if (temp.is_number())
			{
				index = temp.data;
				var type_instances = this.object_type.instances;
				index %= type_instances.length;     // wraparound
				if (index < 0)                      // offset
					index += type_instances.length;
				var to_ret = type_instances[index].instance_vars[this.varindex];
				if (cr.is_string(to_ret))
					ret.set_string(to_ret);
				else
					ret.set_float(to_ret);
				this.owner.popTempValue();
				return;         // done
			}
			this.owner.popTempValue();
		}
		index %= instances.length;      // wraparound
		if (index < 0)
			index += instances.length;
		var inst = instances[index];
		var offset = 0;
		if (this.object_type.is_family)
		{
			offset = inst.type.family_var_map[this.object_type.family_index];
		}
		var to_ret = inst.instance_vars[this.varindex + offset];
		if (cr.is_string(to_ret))
			ret.set_string(to_ret);
		else
			ret.set_float(to_ret);
	};
	ExpNode.prototype.eval_int = function (ret)
	{
		ret.type = cr.exptype.Integer;
		ret.data = this.value;
	};
	ExpNode.prototype.eval_float = function (ret)
	{
		ret.type = cr.exptype.Float;
		ret.data = this.value;
	};
	ExpNode.prototype.eval_string = function (ret)
	{
		ret.type = cr.exptype.String;
		ret.data = this.value;
	};
	ExpNode.prototype.eval_unaryminus = function (ret)
	{
		this.first.get(ret);                // retrieve operand
		if (ret.is_number())
			ret.data = -ret.data;
	};
	ExpNode.prototype.eval_add = function (ret)
	{
		this.first.get(ret);                // left operand
		var temp = this.owner.pushTempValue();
		this.second.get(temp);			// right operand
		if (ret.is_number() && temp.is_number())
		{
			ret.data += temp.data;          // both operands numbers: add
			if (temp.is_float())
				ret.make_float();
		}
		this.owner.popTempValue();
	};
	ExpNode.prototype.eval_subtract = function (ret)
	{
		this.first.get(ret);                // left operand
		var temp = this.owner.pushTempValue();
		this.second.get(temp);			// right operand
		if (ret.is_number() && temp.is_number())
		{
			ret.data -= temp.data;          // both operands numbers: subtract
			if (temp.is_float())
				ret.make_float();
		}
		this.owner.popTempValue();
	};
	ExpNode.prototype.eval_multiply = function (ret)
	{
		this.first.get(ret);                // left operand
		var temp = this.owner.pushTempValue();
		this.second.get(temp);			// right operand
		if (ret.is_number() && temp.is_number())
		{
			ret.data *= temp.data;          // both operands numbers: multiply
			if (temp.is_float())
				ret.make_float();
		}
		this.owner.popTempValue();
	};
	ExpNode.prototype.eval_divide = function (ret)
	{
		this.first.get(ret);                // left operand
		var temp = this.owner.pushTempValue();
		this.second.get(temp);			// right operand
		if (ret.is_number() && temp.is_number())
		{
			ret.data /= temp.data;          // both operands numbers: divide
			ret.make_float();
		}
		this.owner.popTempValue();
	};
	ExpNode.prototype.eval_mod = function (ret)
	{
		this.first.get(ret);                // left operand
		var temp = this.owner.pushTempValue();
		this.second.get(temp);			// right operand
		if (ret.is_number() && temp.is_number())
		{
			ret.data %= temp.data;          // both operands numbers: modulo
			if (temp.is_float())
				ret.make_float();
		}
		this.owner.popTempValue();
	};
	ExpNode.prototype.eval_power = function (ret)
	{
		this.first.get(ret);                // left operand
		var temp = this.owner.pushTempValue();
		this.second.get(temp);			// right operand
		if (ret.is_number() && temp.is_number())
		{
			ret.data = Math.pow(ret.data, temp.data);   // both operands numbers: raise to power
			if (temp.is_float())
				ret.make_float();
		}
		this.owner.popTempValue();
	};
	ExpNode.prototype.eval_and = function (ret)
	{
		this.first.get(ret);                // left operand
		var temp = this.owner.pushTempValue();
		this.second.get(temp);			// right operand
		if (ret.is_number())
		{
			if (temp.is_string())
			{
				ret.set_string(ret.data.toString() + temp.data);
			}
			else
			{
				if (ret.data && temp.data)
					ret.set_int(1);
				else
					ret.set_int(0);
			}
		}
		else if (ret.is_string())
		{
			if (temp.is_string())
				ret.data += temp.data;
			else
			{
				ret.data += (Math.round(temp.data * 1e10) / 1e10).toString();
			}
		}
		this.owner.popTempValue();
	};
	ExpNode.prototype.eval_or = function (ret)
	{
		this.first.get(ret);                // left operand
		var temp = this.owner.pushTempValue();
		this.second.get(temp);			// right operand
		if (ret.is_number() && temp.is_number())
		{
			if (ret.data || temp.data)
				ret.set_int(1);
			else
				ret.set_int(0);
		}
		this.owner.popTempValue();
	};
	ExpNode.prototype.eval_conditional = function (ret)
	{
		this.first.get(ret);                // condition operand
		if (ret.data)                       // is true
			this.second.get(ret);           // evaluate second operand to ret
		else
			this.third.get(ret);            // evaluate third operand to ret
	};
	ExpNode.prototype.eval_equal = function (ret)
	{
		this.first.get(ret);                // left operand
		var temp = this.owner.pushTempValue();
		this.second.get(temp);			// right operand
		ret.set_int(ret.data === temp.data ? 1 : 0);
		this.owner.popTempValue();
	};
	ExpNode.prototype.eval_notequal = function (ret)
	{
		this.first.get(ret);                // left operand
		var temp = this.owner.pushTempValue();
		this.second.get(temp);			// right operand
		ret.set_int(ret.data !== temp.data ? 1 : 0);
		this.owner.popTempValue();
	};
	ExpNode.prototype.eval_less = function (ret)
	{
		this.first.get(ret);                // left operand
		var temp = this.owner.pushTempValue();
		this.second.get(temp);			// right operand
		ret.set_int(ret.data < temp.data ? 1 : 0);
		this.owner.popTempValue();
	};
	ExpNode.prototype.eval_lessequal = function (ret)
	{
		this.first.get(ret);                // left operand
		var temp = this.owner.pushTempValue();
		this.second.get(temp);			// right operand
		ret.set_int(ret.data <= temp.data ? 1 : 0);
		this.owner.popTempValue();
	};
	ExpNode.prototype.eval_greater = function (ret)
	{
		this.first.get(ret);                // left operand
		var temp = this.owner.pushTempValue();
		this.second.get(temp);			// right operand
		ret.set_int(ret.data > temp.data ? 1 : 0);
		this.owner.popTempValue();
	};
	ExpNode.prototype.eval_greaterequal = function (ret)
	{
		this.first.get(ret);                // left operand
		var temp = this.owner.pushTempValue();
		this.second.get(temp);			// right operand
		ret.set_int(ret.data >= temp.data ? 1 : 0);
		this.owner.popTempValue();
	};
	ExpNode.prototype.eval_eventvar_exp = function (ret)
	{
		var val = this.eventvar.getValue();
		if (cr.is_number(val))
			ret.set_float(val);
		else
			ret.set_string(val);
	};
	cr.expNode = ExpNode;
	function ExpValue(type, data)
	{
		this.type = type || cr.exptype.Integer;
		this.data = data || 0;
		this.object_class = null;
;
;
;
		if (this.type == cr.exptype.Integer)
			this.data = Math.floor(this.data);
		cr.seal(this);
	};
	ExpValue.prototype.is_int = function ()
	{
		return this.type === cr.exptype.Integer;
	};
	ExpValue.prototype.is_float = function ()
	{
		return this.type === cr.exptype.Float;
	};
	ExpValue.prototype.is_number = function ()
	{
		return this.type === cr.exptype.Integer || this.type === cr.exptype.Float;
	};
	ExpValue.prototype.is_string = function ()
	{
		return this.type === cr.exptype.String;
	};
	ExpValue.prototype.make_int = function ()
	{
		if (!this.is_int())
		{
			if (this.is_float())
				this.data = Math.floor(this.data);      // truncate float
			else if (this.is_string())
				this.data = parseInt(this.data, 10);
			this.type = cr.exptype.Integer;
		}
	};
	ExpValue.prototype.make_float = function ()
	{
		if (!this.is_float())
		{
			if (this.is_string())
				this.data = parseFloat(this.data);
			this.type = cr.exptype.Float;
		}
	};
	ExpValue.prototype.make_string = function ()
	{
		if (!this.is_string())
		{
			this.data = this.data.toString();
			this.type = cr.exptype.String;
		}
	};
	ExpValue.prototype.set_int = function (val)
	{
;
		this.type = cr.exptype.Integer;
		this.data = Math.floor(val);
	};
	ExpValue.prototype.set_float = function (val)
	{
;
		this.type = cr.exptype.Float;
		this.data = val;
	};
	ExpValue.prototype.set_string = function (val)
	{
;
		this.type = cr.exptype.String;
		this.data = val;
	};
	ExpValue.prototype.set_any = function (val)
	{
		if (cr.is_number(val))
		{
			this.type = cr.exptype.Float;
			this.data = val;
		}
		else if (cr.is_string(val))
		{
			this.type = cr.exptype.String;
			this.data = val.toString();
		}
		else
		{
			this.type = cr.exptype.Integer;
			this.data = 0;
		}
	};
	cr.expvalue = ExpValue;
	cr.exptype = {
		Integer: 0,     // emulated; no native integer support in javascript
		Float: 1,
		String: 2
	};
}());
;
cr.system_object = function (runtime)
{
    this.runtime = runtime;
	this.waits = [];
};
cr.system_object.prototype.saveToJSON = function ()
{
	var o = {};
	var i, len, j, lenj, p, w, t, sobj;
	o["waits"] = [];
	var owaits = o["waits"];
	var waitobj;
	for (i = 0, len = this.waits.length; i < len; i++)
	{
		w = this.waits[i];
		waitobj = {
			"t": w.time,
			"ev": w.ev.sid,
			"sm": [],
			"sols": {}
		};
		if (w.ev.actions[w.actindex])
			waitobj["act"] = w.ev.actions[w.actindex].sid;
		for (j = 0, lenj = w.solModifiers.length; j < lenj; j++)
			waitobj["sm"].push(w.solModifiers[j].sid);
		for (p in w.sols)
		{
			if (w.sols.hasOwnProperty(p))
			{
				t = this.runtime.types_by_index[parseInt(p, 10)];
;
				sobj = {
					"sa": w.sols[p].sa,
					"insts": []
				};
				for (j = 0, lenj = w.sols[p].insts.length; j < lenj; j++)
					sobj["insts"].push(w.sols[p].insts[j].uid);
				waitobj["sols"][t.sid.toString()] = sobj;
			}
		}
		owaits.push(waitobj);
	}
	return o;
};
cr.system_object.prototype.loadFromJSON = function (o)
{
	var owaits = o["waits"];
	var i, len, j, lenj, p, w, addWait, e, aindex, t, savedsol, nusol, inst;
	this.waits.length = 0;
	for (i = 0, len = owaits.length; i < len; i++)
	{
		w = owaits[i];
		e = this.runtime.blocksBySid[w["ev"].toString()];
		if (!e)
			continue;	// event must've gone missing
		aindex = -1;
		for (j = 0, lenj = e.actions.length; j < lenj; j++)
		{
			if (e.actions[j].sid === w["act"])
			{
				aindex = j;
				break;
			}
		}
		if (aindex === -1)
			continue;	// action must've gone missing
		addWait = {};
		addWait.sols = {};
		addWait.solModifiers = [];
		addWait.deleteme = false;
		addWait.time = w["t"];
		addWait.ev = e;
		addWait.actindex = aindex;
		for (j = 0, lenj = w["sm"].length; j < lenj; j++)
		{
			t = this.runtime.getObjectTypeBySid(w["sm"][j]);
			if (t)
				addWait.solModifiers.push(t);
		}
		for (p in w["sols"])
		{
			if (w["sols"].hasOwnProperty(p))
			{
				t = this.runtime.getObjectTypeBySid(parseInt(p, 10));
				if (!t)
					continue;		// type must've been deleted
				savedsol = w["sols"][p];
				nusol = {
					sa: savedsol["sa"],
					insts: []
				};
				for (j = 0, lenj = savedsol["insts"].length; j < lenj; j++)
				{
					inst = this.runtime.getObjectByUID(savedsol["insts"][j]);
					if (inst)
						nusol.insts.push(inst);
				}
				addWait.sols[t.index.toString()] = nusol;
			}
		}
		this.waits.push(addWait);
	}
};
(function ()
{
	var sysProto = cr.system_object.prototype;
	function SysCnds() {};
    SysCnds.prototype.EveryTick = function()
    {
        return true;
    };
    SysCnds.prototype.OnLayoutStart = function()
    {
        return true;
    };
    SysCnds.prototype.OnLayoutEnd = function()
    {
        return true;
    };
    SysCnds.prototype.Compare = function(x, cmp, y)
    {
        return cr.do_cmp(x, cmp, y);
    };
    SysCnds.prototype.CompareTime = function (cmp, t)
    {
        var elapsed = this.runtime.kahanTime.sum;
        if (cmp === 0)
        {
            var cnd = this.runtime.getCurrentCondition();
            if (!cnd.extra.CompareTime_executed)
            {
                if (elapsed >= t)
                {
                    cnd.extra.CompareTime_executed = true;
                    return true;
                }
            }
            return false;
        }
        return cr.do_cmp(elapsed, cmp, t);
    };
    SysCnds.prototype.LayerVisible = function (layer)
    {
        if (!layer)
            return false;
        else
            return layer.visible;
    };
	SysCnds.prototype.LayerCmpOpacity = function (layer, cmp, opacity_)
	{
		if (!layer)
			return false;
		return cr.do_cmp(layer.opacity * 100, cmp, opacity_);
	};
    SysCnds.prototype.Repeat = function (count)
    {
		var current_frame = this.runtime.getCurrentEventStack();
        var current_event = current_frame.current_event;
		var solModifierAfterCnds = current_frame.isModifierAfterCnds();
        var current_loop = this.runtime.pushLoopStack();
        var i;
		if (solModifierAfterCnds)
		{
			for (i = 0; i < count && !current_loop.stopped; i++)
			{
				this.runtime.pushCopySol(current_event.solModifiers);
				current_loop.index = i;
				current_event.retrigger();
				this.runtime.popSol(current_event.solModifiers);
			}
		}
		else
		{
			for (i = 0; i < count && !current_loop.stopped; i++)
			{
				current_loop.index = i;
				current_event.retrigger();
			}
		}
        this.runtime.popLoopStack();
		return false;
    };
	SysCnds.prototype.While = function (count)
    {
		var current_frame = this.runtime.getCurrentEventStack();
        var current_event = current_frame.current_event;
		var solModifierAfterCnds = current_frame.isModifierAfterCnds();
        var current_loop = this.runtime.pushLoopStack();
        var i;
		if (solModifierAfterCnds)
		{
			for (i = 0; !current_loop.stopped; i++)
			{
				this.runtime.pushCopySol(current_event.solModifiers);
				current_loop.index = i;
				if (!current_event.retrigger())		// one of the other conditions returned false
					current_loop.stopped = true;	// break
				this.runtime.popSol(current_event.solModifiers);
			}
		}
		else
		{
			for (i = 0; !current_loop.stopped; i++)
			{
				current_loop.index = i;
				if (!current_event.retrigger())
					current_loop.stopped = true;
			}
		}
        this.runtime.popLoopStack();
		return false;
    };
    SysCnds.prototype.For = function (name, start, end)
    {
        var current_frame = this.runtime.getCurrentEventStack();
        var current_event = current_frame.current_event;
		var solModifierAfterCnds = current_frame.isModifierAfterCnds();
        var current_loop = this.runtime.pushLoopStack(name);
        var i;
		if (end < start)
		{
			if (solModifierAfterCnds)
			{
				for (i = start; i >= end && !current_loop.stopped; --i)  // inclusive to end
				{
					this.runtime.pushCopySol(current_event.solModifiers);
					current_loop.index = i;
					current_event.retrigger();
					this.runtime.popSol(current_event.solModifiers);
				}
			}
			else
			{
				for (i = start; i >= end && !current_loop.stopped; --i)  // inclusive to end
				{
					current_loop.index = i;
					current_event.retrigger();
				}
			}
		}
		else
		{
			if (solModifierAfterCnds)
			{
				for (i = start; i <= end && !current_loop.stopped; ++i)  // inclusive to end
				{
					this.runtime.pushCopySol(current_event.solModifiers);
					current_loop.index = i;
					current_event.retrigger();
					this.runtime.popSol(current_event.solModifiers);
				}
			}
			else
			{
				for (i = start; i <= end && !current_loop.stopped; ++i)  // inclusive to end
				{
					current_loop.index = i;
					current_event.retrigger();
				}
			}
		}
        this.runtime.popLoopStack();
		return false;
    };
	var foreach_instancestack = [];
	var foreach_instanceptr = -1;
    SysCnds.prototype.ForEach = function (obj)
    {
        var sol = obj.getCurrentSol();
		foreach_instanceptr++;
		if (foreach_instancestack.length === foreach_instanceptr)
			foreach_instancestack.push([]);
		var instances = foreach_instancestack[foreach_instanceptr];
		cr.shallowAssignArray(instances, sol.getObjects());
        var current_frame = this.runtime.getCurrentEventStack();
        var current_event = current_frame.current_event;
		var solModifierAfterCnds = current_frame.isModifierAfterCnds();
        var current_loop = this.runtime.pushLoopStack();
        var i, len, j, lenj, inst, s, sol2;
		var is_contained = obj.is_contained;
		if (solModifierAfterCnds)
		{
			for (i = 0, len = instances.length; i < len && !current_loop.stopped; i++)
			{
				this.runtime.pushCopySol(current_event.solModifiers);
				inst = instances[i];
				sol = obj.getCurrentSol();
				sol.select_all = false;
				sol.instances.length = 1;
				sol.instances[0] = inst;
				if (is_contained)
				{
					for (j = 0, lenj = inst.siblings.length; j < lenj; j++)
					{
						s = inst.siblings[j];
						sol2 = s.type.getCurrentSol();
						sol2.select_all = false;
						sol2.instances.length = 1;
						sol2.instances[0] = s;
					}
				}
				current_loop.index = i;
				current_event.retrigger();
				this.runtime.popSol(current_event.solModifiers);
			}
		}
		else
		{
			sol.select_all = false;
			sol.instances.length = 1;
			for (i = 0, len = instances.length; i < len && !current_loop.stopped; i++)
			{
				inst = instances[i];
				sol.instances[0] = inst;
				if (is_contained)
				{
					for (j = 0, lenj = inst.siblings.length; j < lenj; j++)
					{
						s = inst.siblings[j];
						sol2 = s.type.getCurrentSol();
						sol2.select_all = false;
						sol2.instances.length = 1;
						sol2.instances[0] = s;
					}
				}
				current_loop.index = i;
				current_event.retrigger();
			}
		}
		instances.length = 0;
        this.runtime.popLoopStack();
		foreach_instanceptr--;
		return false;
    };
	function foreach_sortinstances(a, b)
	{
		var va = a.extra.c2_foreachordered_val;
		var vb = b.extra.c2_foreachordered_val;
		if (cr.is_number(va) && cr.is_number(vb))
			return va - vb;
		else
		{
			va = "" + va;
			vb = "" + vb;
			if (va < vb)
				return -1;
			else if (va > vb)
				return 1;
			else
				return 0;
		}
	};
	SysCnds.prototype.ForEachOrdered = function (obj, exp, order)
    {
        var sol = obj.getCurrentSol();
		foreach_instanceptr++;
		if (foreach_instancestack.length === foreach_instanceptr)
			foreach_instancestack.push([]);
		var instances = foreach_instancestack[foreach_instanceptr];
		cr.shallowAssignArray(instances, sol.getObjects());
        var current_frame = this.runtime.getCurrentEventStack();
        var current_event = current_frame.current_event;
		var current_condition = this.runtime.getCurrentCondition();
		var solModifierAfterCnds = current_frame.isModifierAfterCnds();
        var current_loop = this.runtime.pushLoopStack();
		var i, len, j, lenj, inst, s, sol2;
		for (i = 0, len = instances.length; i < len; i++)
		{
			instances[i].extra.c2_foreachordered_val = current_condition.parameters[1].get(i);
		}
		instances.sort(foreach_sortinstances);
		if (order === 1)
			instances.reverse();
		var is_contained = obj.is_contained;
		if (solModifierAfterCnds)
		{
			for (i = 0, len = instances.length; i < len && !current_loop.stopped; i++)
			{
				this.runtime.pushCopySol(current_event.solModifiers);
				inst = instances[i];
				sol = obj.getCurrentSol();
				sol.select_all = false;
				sol.instances.length = 1;
				sol.instances[0] = inst;
				if (is_contained)
				{
					for (j = 0, lenj = inst.siblings.length; j < lenj; j++)
					{
						s = inst.siblings[j];
						sol2 = s.type.getCurrentSol();
						sol2.select_all = false;
						sol2.instances.length = 1;
						sol2.instances[0] = s;
					}
				}
				current_loop.index = i;
				current_event.retrigger();
				this.runtime.popSol(current_event.solModifiers);
			}
		}
		else
		{
			sol.select_all = false;
			sol.instances.length = 1;
			for (i = 0, len = instances.length; i < len && !current_loop.stopped; i++)
			{
				inst = instances[i];
				sol.instances[0] = inst;
				if (is_contained)
				{
					for (j = 0, lenj = inst.siblings.length; j < lenj; j++)
					{
						s = inst.siblings[j];
						sol2 = s.type.getCurrentSol();
						sol2.select_all = false;
						sol2.instances.length = 1;
						sol2.instances[0] = s;
					}
				}
				current_loop.index = i;
				current_event.retrigger();
			}
		}
		instances.length = 0;
        this.runtime.popLoopStack();
		foreach_instanceptr--;
		return false;
    };
	SysCnds.prototype.PickByComparison = function (obj_, exp_, cmp_, val_)
	{
		var i, len, k, inst;
		if (!obj_)
			return;
		foreach_instanceptr++;
		if (foreach_instancestack.length === foreach_instanceptr)
			foreach_instancestack.push([]);
		var tmp_instances = foreach_instancestack[foreach_instanceptr];
		var sol = obj_.getCurrentSol();
		cr.shallowAssignArray(tmp_instances, sol.getObjects());
		if (sol.select_all)
			sol.else_instances.length = 0;
		var current_condition = this.runtime.getCurrentCondition();
		for (i = 0, k = 0, len = tmp_instances.length; i < len; i++)
		{
			inst = tmp_instances[i];
			tmp_instances[k] = inst;
			exp_ = current_condition.parameters[1].get(i);
			val_ = current_condition.parameters[3].get(i);
			if (cr.do_cmp(exp_, cmp_, val_))
			{
				k++;
			}
			else
			{
				sol.else_instances.push(inst);
			}
		}
		tmp_instances.length = k;
		sol.select_all = false;
		cr.shallowAssignArray(sol.instances, tmp_instances);
		tmp_instances.length = 0;
		foreach_instanceptr--;
		obj_.applySolToContainer();
		return !!sol.instances.length;
	};
	SysCnds.prototype.PickByEvaluate = function (obj_, exp_)
	{
		var i, len, k, inst;
		if (!obj_)
			return;
		foreach_instanceptr++;
		if (foreach_instancestack.length === foreach_instanceptr)
			foreach_instancestack.push([]);
		var tmp_instances = foreach_instancestack[foreach_instanceptr];
		var sol = obj_.getCurrentSol();
		cr.shallowAssignArray(tmp_instances, sol.getObjects());
		if (sol.select_all)
			sol.else_instances.length = 0;
		var current_condition = this.runtime.getCurrentCondition();
		for (i = 0, k = 0, len = tmp_instances.length; i < len; i++)
		{
			inst = tmp_instances[i];
			tmp_instances[k] = inst;
			exp_ = current_condition.parameters[1].get(i);
			if (exp_)
			{
				k++;
			}
			else
			{
				sol.else_instances.push(inst);
			}
		}
		tmp_instances.length = k;
		sol.select_all = false;
		cr.shallowAssignArray(sol.instances, tmp_instances);
		tmp_instances.length = 0;
		foreach_instanceptr--;
		obj_.applySolToContainer();
		return !!sol.instances.length;
	};
    SysCnds.prototype.TriggerOnce = function ()
    {
        var cndextra = this.runtime.getCurrentCondition().extra;
		if (typeof cndextra.TriggerOnce_lastTick === "undefined")
			cndextra.TriggerOnce_lastTick = -1;
        var last_tick = cndextra.TriggerOnce_lastTick;
        var cur_tick = this.runtime.tickcount;
        cndextra.TriggerOnce_lastTick = cur_tick;
        return this.runtime.layout_first_tick || last_tick !== cur_tick - 1;
    };
    SysCnds.prototype.Every = function (seconds)
    {
        var cnd = this.runtime.getCurrentCondition();
        var last_time = cnd.extra.Every_lastTime || 0;
        var cur_time = this.runtime.kahanTime.sum;
		if (typeof cnd.extra.Every_seconds === "undefined")
			cnd.extra.Every_seconds = seconds;
		var this_seconds = cnd.extra.Every_seconds;
        if (cur_time >= last_time + this_seconds)
        {
            cnd.extra.Every_lastTime = last_time + this_seconds;
			if (cur_time >= cnd.extra.Every_lastTime + 0.04)
			{
				cnd.extra.Every_lastTime = cur_time;
			}
			cnd.extra.Every_seconds = seconds;
            return true;
        }
        else
            return false;
    };
    SysCnds.prototype.PickNth = function (obj, index)
    {
        if (!obj)
            return false;
        var sol = obj.getCurrentSol();
        var instances = sol.getObjects();
		index = cr.floor(index);
        if (index < 0 || index >= instances.length)
            return false;
		var inst = instances[index];
        sol.pick_one(inst);
		obj.applySolToContainer();
        return true;
    };
	SysCnds.prototype.PickRandom = function (obj)
    {
        if (!obj)
            return false;
        var sol = obj.getCurrentSol();
        var instances = sol.getObjects();
		var index = cr.floor(Math.random() * instances.length);
        if (index >= instances.length)
            return false;
		var inst = instances[index];
        sol.pick_one(inst);
		obj.applySolToContainer();
        return true;
    };
	SysCnds.prototype.CompareVar = function (v, cmp, val)
    {
        return cr.do_cmp(v.getValue(), cmp, val);
    };
    SysCnds.prototype.IsGroupActive = function (group)
    {
        return this.runtime.activeGroups[(/*this.runtime.getCurrentCondition().sheet.name + "|" + */group).toLowerCase()];
    };
	SysCnds.prototype.IsPreview = function ()
	{
		return typeof cr_is_preview !== "undefined";
	};
	SysCnds.prototype.PickAll = function (obj)
    {
        if (!obj)
            return false;
		if (!obj.instances.length)
			return false;
        var sol = obj.getCurrentSol();
        sol.select_all = true;
		obj.applySolToContainer();
        return true;
    };
	SysCnds.prototype.IsMobile = function ()
	{
		return this.runtime.isMobile;
	};
	SysCnds.prototype.CompareBetween = function (x, a, b)
	{
		return x >= a && x <= b;
	};
	SysCnds.prototype.Else = function ()
	{
		var current_frame = this.runtime.getCurrentEventStack();
		if (current_frame.else_branch_ran)
			return false;		// another event in this else-if chain has run
		else
			return !current_frame.last_event_true;
		/*
		var current_frame = this.runtime.getCurrentEventStack();
        var current_event = current_frame.current_event;
		var prev_event = current_event.prev_block;
		if (!prev_event)
			return false;
		if (prev_event.is_logical)
			return !this.runtime.last_event_true;
		var i, len, j, lenj, s, sol, temp, inst, any_picked = false;
		for (i = 0, len = prev_event.cndReferences.length; i < len; i++)
		{
			s = prev_event.cndReferences[i];
			sol = s.getCurrentSol();
			if (sol.select_all || sol.instances.length === s.instances.length)
			{
				sol.select_all = false;
				sol.instances.length = 0;
			}
			else
			{
				if (sol.instances.length === 1 && sol.else_instances.length === 0 && s.instances.length >= 2)
				{
					inst = sol.instances[0];
					sol.instances.length = 0;
					for (j = 0, lenj = s.instances.length; j < lenj; j++)
					{
						if (s.instances[j] != inst)
							sol.instances.push(s.instances[j]);
					}
					any_picked = true;
				}
				else
				{
					temp = sol.instances;
					sol.instances = sol.else_instances;
					sol.else_instances = temp;
					any_picked = true;
				}
			}
		}
		return any_picked;
		*/
	};
	SysCnds.prototype.OnLoadFinished = function ()
	{
		return true;
	};
	SysCnds.prototype.OnCanvasSnapshot = function ()
	{
		return true;
	};
	SysCnds.prototype.EffectsSupported = function ()
	{
		return !!this.runtime.glwrap;
	};
	SysCnds.prototype.OnSaveComplete = function ()
	{
		return true;
	};
	SysCnds.prototype.OnLoadComplete = function ()
	{
		return true;
	};
	SysCnds.prototype.OnLoadFailed = function ()
	{
		return true;
	};
	SysCnds.prototype.ObjectUIDExists = function (u)
	{
		return !!this.runtime.getObjectByUID(u);
	};
	SysCnds.prototype.IsOnPlatform = function (p)
	{
		var rt = this.runtime;
		switch (p) {
		case 0:		// HTML5 website
			return !rt.isDomFree && !rt.isNodeWebkit && !rt.isPhoneGap && !rt.isCrosswalk && !rt.isWindows8App && !rt.isWindowsPhone8 && !rt.isBlackberry10 && !rt.isAmazonWebApp;
		case 1:		// iOS
			return rt.isiOS;
		case 2:		// Android
			return rt.isAndroid;
		case 3:		// Windows 8
			return rt.isWindows8App;
		case 4:		// Windows Phone 8
			return rt.isWindowsPhone8;
		case 5:		// Blackberry 10
			return rt.isBlackberry10;
		case 6:		// Tizen
			return rt.isTizen;
		case 7:		// CocoonJS
			return rt.isCocoonJs;
		case 8:		// PhoneGap
			return rt.isPhoneGap;
		case 9:	// Scirra Arcade
			return rt.isArcade;
		case 10:	// node-webkit
			return rt.isNodeWebkit;
		case 11:	// crosswalk
			return rt.isCrosswalk;
		case 12:	// amazon webapp
			return rt.isAmazonWebApp;
		default:	// should not be possible
			return false;
		}
	};
	var cacheRegex = null;
	var lastRegex = "";
	var lastFlags = "";
	function getRegex(regex_, flags_)
	{
		if (!cacheRegex || regex_ !== lastRegex || flags_ !== lastFlags)
		{
			cacheRegex = new RegExp(regex_, flags_);
			lastRegex = regex_;
			lastFlags = flags_;
		}
		cacheRegex.lastIndex = 0;		// reset
		return cacheRegex;
	};
	SysCnds.prototype.RegexTest = function (str_, regex_, flags_)
	{
		var regex = getRegex(regex_, flags_);
		return regex.test(str_);
	};
	var tmp_arr = [];
	SysCnds.prototype.PickOverlappingPoint = function (obj_, x_, y_)
	{
		if (!obj_)
            return false;
        var sol = obj_.getCurrentSol();
        var instances = sol.getObjects();
		var current_event = this.runtime.getCurrentEventStack().current_event;
		var orblock = current_event.orblock;
		var cnd = this.runtime.getCurrentCondition();
		var i, len, inst, pick;
		if (sol.select_all)
		{
			cr.shallowAssignArray(tmp_arr, instances);
			sol.else_instances.length = 0;
			sol.select_all = false;
			sol.instances.length = 0;
		}
		else
		{
			if (orblock)
			{
				cr.shallowAssignArray(tmp_arr, sol.else_instances);
				sol.else_instances.length = 0;
			}
			else
			{
				cr.shallowAssignArray(tmp_arr, instances);
				sol.instances.length = 0;
			}
		}
		for (i = 0, len = tmp_arr.length; i < len; ++i)
		{
			inst = tmp_arr[i];
			pick = cr.xor(inst.contains_pt(x_, y_), cnd.inverted);
			if (pick)
				sol.instances.push(inst);
			else
				sol.else_instances.push(inst);
		}
		obj_.applySolToContainer();
		return cr.xor(!!sol.instances.length, cnd.inverted);
	};
	sysProto.cnds = new SysCnds();
    function SysActs() {};
    SysActs.prototype.GoToLayout = function(to)
    {
		if (this.runtime.isloading)
			return;		// cannot change layout while loading on loader layout
		if (this.runtime.changelayout)
			return;		// already changing to a different layout
;
        this.runtime.changelayout = to;
    };
    SysActs.prototype.CreateObject = function (obj, layer, x, y)
    {
        if (!layer || !obj)
            return;
        var inst = this.runtime.createInstance(obj, layer, x, y);
		if (!inst)
			return;
		this.runtime.isInOnDestroy++;
		var i, len, s;
		this.runtime.trigger(Object.getPrototypeOf(obj.plugin).cnds.OnCreated, inst);
		if (inst.is_contained)
		{
			for (i = 0, len = inst.siblings.length; i < len; i++)
			{
				s = inst.siblings[i];
				this.runtime.trigger(Object.getPrototypeOf(s.type.plugin).cnds.OnCreated, s);
			}
		}
		this.runtime.isInOnDestroy--;
        var sol = obj.getCurrentSol();
        sol.select_all = false;
		sol.instances.length = 1;
		sol.instances[0] = inst;
		if (inst.is_contained)
		{
			for (i = 0, len = inst.siblings.length; i < len; i++)
			{
				s = inst.siblings[i];
				sol = s.type.getCurrentSol();
				sol.select_all = false;
				sol.instances.length = 1;
				sol.instances[0] = s;
			}
		}
    };
    SysActs.prototype.SetLayerVisible = function (layer, visible_)
    {
        if (!layer)
            return;
		if (layer.visible !== visible_)
		{
			layer.visible = visible_;
			this.runtime.redraw = true;
		}
    };
	SysActs.prototype.SetLayerOpacity = function (layer, opacity_)
	{
		if (!layer)
			return;
		opacity_ = cr.clamp(opacity_ / 100, 0, 1);
		if (layer.opacity !== opacity_)
		{
			layer.opacity = opacity_;
			this.runtime.redraw = true;
		}
	};
	SysActs.prototype.SetLayerScaleRate = function (layer, sr)
	{
		if (!layer)
			return;
		if (layer.zoomRate !== sr)
		{
			layer.zoomRate = sr;
			this.runtime.redraw = true;
		}
	};
	SysActs.prototype.SetLayoutScale = function (s)
	{
		if (!this.runtime.running_layout)
			return;
		if (this.runtime.running_layout.scale !== s)
		{
			this.runtime.running_layout.scale = s;
			this.runtime.running_layout.boundScrolling();
			this.runtime.redraw = true;
		}
	};
    SysActs.prototype.ScrollX = function(x)
    {
        this.runtime.running_layout.scrollToX(x);
    };
    SysActs.prototype.ScrollY = function(y)
    {
        this.runtime.running_layout.scrollToY(y);
    };
    SysActs.prototype.Scroll = function(x, y)
    {
        this.runtime.running_layout.scrollToX(x);
        this.runtime.running_layout.scrollToY(y);
    };
    SysActs.prototype.ScrollToObject = function(obj)
    {
        var inst = obj.getFirstPicked();
        if (inst)
        {
            this.runtime.running_layout.scrollToX(inst.x);
            this.runtime.running_layout.scrollToY(inst.y);
        }
    };
	SysActs.prototype.SetVar = function(v, x)
	{
;
		if (v.vartype === 0)
		{
			if (cr.is_number(x))
				v.setValue(x);
			else
				v.setValue(parseFloat(x));
		}
		else if (v.vartype === 1)
			v.setValue(x.toString());
	};
	SysActs.prototype.AddVar = function(v, x)
	{
;
		if (v.vartype === 0)
		{
			if (cr.is_number(x))
				v.setValue(v.getValue() + x);
			else
				v.setValue(v.getValue() + parseFloat(x));
		}
		else if (v.vartype === 1)
			v.setValue(v.getValue() + x.toString());
	};
	SysActs.prototype.SubVar = function(v, x)
	{
;
		if (v.vartype === 0)
		{
			if (cr.is_number(x))
				v.setValue(v.getValue() - x);
			else
				v.setValue(v.getValue() - parseFloat(x));
		}
	};
    SysActs.prototype.SetGroupActive = function (group, active)
    {
		var activeGroups = this.runtime.activeGroups;
		var groupkey = (/*this.runtime.getCurrentAction().sheet.name + "|" + */group).toLowerCase();
		switch (active) {
		case 0:
			activeGroups[groupkey] = false;
			break;
		case 1:
			activeGroups[groupkey] = true;
			break;
		case 2:
			activeGroups[groupkey] = !activeGroups[groupkey];
			break;
		}
    };
    SysActs.prototype.SetTimescale = function (ts_)
    {
        var ts = ts_;
        if (ts < 0)
            ts = 0;
        this.runtime.timescale = ts;
    };
    SysActs.prototype.SetObjectTimescale = function (obj, ts_)
    {
        var ts = ts_;
        if (ts < 0)
            ts = 0;
        if (!obj)
            return;
        var sol = obj.getCurrentSol();
        var instances = sol.getObjects();
        var i, len;
        for (i = 0, len = instances.length; i < len; i++)
        {
            instances[i].my_timescale = ts;
        }
    };
    SysActs.prototype.RestoreObjectTimescale = function (obj)
    {
        if (!obj)
            return false;
        var sol = obj.getCurrentSol();
        var instances = sol.getObjects();
        var i, len;
        for (i = 0, len = instances.length; i < len; i++)
        {
            instances[i].my_timescale = -1.0;
        }
    };
	var waitobjrecycle = [];
	function allocWaitObject()
	{
		var w;
		if (waitobjrecycle.length)
			w = waitobjrecycle.pop();
		else
		{
			w = {};
			w.sols = {};
			w.solModifiers = [];
		}
		w.deleteme = false;
		return w;
	};
	function freeWaitObject(w)
	{
		cr.wipe(w.sols);
		w.solModifiers.length = 0;
		waitobjrecycle.push(w);
	};
	var solstateobjects = [];
	function allocSolStateObject()
	{
		var s;
		if (solstateobjects.length)
			s = solstateobjects.pop();
		else
		{
			s = {};
			s.insts = [];
		}
		s.sa = false;
		return s;
	};
	function freeSolStateObject(s)
	{
		s.insts.length = 0;
		solstateobjects.push(s);
	};
	SysActs.prototype.Wait = function (seconds)
	{
		if (seconds < 0)
			return;
		var i, len, s, t, ss;
		var evinfo = this.runtime.getCurrentEventStack();
		var waitobj = allocWaitObject();
		waitobj.time = this.runtime.kahanTime.sum + seconds;
		waitobj.ev = evinfo.current_event;
		waitobj.actindex = evinfo.actindex + 1;	// pointing at next action
		for (i = 0, len = this.runtime.types_by_index.length; i < len; i++)
		{
			t = this.runtime.types_by_index[i];
			s = t.getCurrentSol();
			if (s.select_all && evinfo.current_event.solModifiers.indexOf(t) === -1)
				continue;
			waitobj.solModifiers.push(t);
			ss = allocSolStateObject();
			ss.sa = s.select_all;
			cr.shallowAssignArray(ss.insts, s.instances);
			waitobj.sols[i.toString()] = ss;
		}
		this.waits.push(waitobj);
		return true;
	};
	SysActs.prototype.SetLayerScale = function (layer, scale)
    {
        if (!layer)
            return;
		if (layer.scale === scale)
			return;
        layer.scale = scale;
        this.runtime.redraw = true;
    };
	SysActs.prototype.ResetGlobals = function ()
	{
		var i, len, g;
		for (i = 0, len = this.runtime.all_global_vars.length; i < len; i++)
		{
			g = this.runtime.all_global_vars[i];
			g.data = g.initial;
		}
	};
	SysActs.prototype.SetLayoutAngle = function (a)
	{
		a = cr.to_radians(a);
		a = cr.clamp_angle(a);
		if (this.runtime.running_layout)
		{
			if (this.runtime.running_layout.angle !== a)
			{
				this.runtime.running_layout.angle = a;
				this.runtime.redraw = true;
			}
		}
	};
	SysActs.prototype.SetLayerAngle = function (layer, a)
    {
        if (!layer)
            return;
		a = cr.to_radians(a);
		a = cr.clamp_angle(a);
		if (layer.angle === a)
			return;
        layer.angle = a;
        this.runtime.redraw = true;
    };
	SysActs.prototype.SetLayerParallax = function (layer, px, py)
    {
        if (!layer)
            return;
		if (layer.parallaxX === px / 100 && layer.parallaxY === py / 100)
			return;
        layer.parallaxX = px / 100;
		layer.parallaxY = py / 100;
		if (layer.parallaxX !== 1 || layer.parallaxY !== 1)
		{
			var i, len, instances = layer.instances;
			for (i = 0, len = instances.length; i < len; ++i)
			{
				instances[i].type.any_instance_parallaxed = true;
			}
		}
        this.runtime.redraw = true;
    };
	SysActs.prototype.SetLayerBackground = function (layer, c)
    {
        if (!layer)
            return;
		var r = cr.GetRValue(c);
		var g = cr.GetGValue(c);
		var b = cr.GetBValue(c);
		if (layer.background_color[0] === r && layer.background_color[1] === g && layer.background_color[2] === b)
			return;
        layer.background_color[0] = r;
		layer.background_color[1] = g;
		layer.background_color[2] = b;
        this.runtime.redraw = true;
    };
	SysActs.prototype.SetLayerTransparent = function (layer, t)
    {
        if (!layer)
            return;
		if (!!t === !!layer.transparent)
			return;
		layer.transparent = !!t;
        this.runtime.redraw = true;
    };
	SysActs.prototype.StopLoop = function ()
	{
		if (this.runtime.loop_stack_index < 0)
			return;		// no loop currently running
		this.runtime.getCurrentLoop().stopped = true;
	};
	SysActs.prototype.GoToLayoutByName = function (layoutname)
	{
		if (this.runtime.isloading)
			return;		// cannot change layout while loading on loader layout
		if (this.runtime.changelayout)
			return;		// already changing to different layout
;
		var l;
		for (l in this.runtime.layouts)
		{
			if (this.runtime.layouts.hasOwnProperty(l) && cr.equals_nocase(l, layoutname))
			{
				this.runtime.changelayout = this.runtime.layouts[l];
				return;
			}
		}
	};
	SysActs.prototype.RestartLayout = function (layoutname)
	{
		if (this.runtime.isloading)
			return;		// cannot restart loader layouts
		if (this.runtime.changelayout)
			return;		// already changing to a different layout
;
		if (!this.runtime.running_layout)
			return;
		this.runtime.changelayout = this.runtime.running_layout;
		var i, len, g;
		for (i = 0, len = this.runtime.allGroups.length; i < len; i++)
		{
			g = this.runtime.allGroups[i];
			this.runtime.activeGroups[g.group_name.toLowerCase()] = g.initially_activated;
		}
	};
	SysActs.prototype.SnapshotCanvas = function (format_, quality_)
	{
		this.runtime.snapshotCanvas = [format_ === 0 ? "image/png" : "image/jpeg", quality_ / 100];
		this.runtime.redraw = true;		// force redraw so snapshot is always taken
	};
	SysActs.prototype.SetCanvasSize = function (w, h)
	{
		if (w <= 0 || h <= 0)
			return;
		var mode = this.runtime.fullscreen_mode;
		var isfullscreen = (document["mozFullScreen"] || document["webkitIsFullScreen"] || !!document["msFullscreenElement"] || document["fullScreen"] || this.runtime.isNodeFullscreen);
		if (isfullscreen && this.runtime.fullscreen_scaling > 0)
			mode = this.runtime.fullscreen_scaling;
		if (mode === 0)
		{
			this.runtime["setSize"](w, h, true);
		}
		else
		{
			this.runtime.original_width = w;
			this.runtime.original_height = h;
			this.runtime["setSize"](this.runtime.lastWindowWidth, this.runtime.lastWindowHeight, true);
		}
	};
	SysActs.prototype.SetLayoutEffectEnabled = function (enable_, effectname_)
	{
		if (!this.runtime.running_layout || !this.runtime.glwrap)
			return;
		var et = this.runtime.running_layout.getEffectByName(effectname_);
		if (!et)
			return;		// effect name not found
		var enable = (enable_ === 1);
		if (et.active == enable)
			return;		// no change
		et.active = enable;
		this.runtime.running_layout.updateActiveEffects();
		this.runtime.redraw = true;
	};
	SysActs.prototype.SetLayerEffectEnabled = function (layer, enable_, effectname_)
	{
		if (!layer || !this.runtime.glwrap)
			return;
		var et = layer.getEffectByName(effectname_);
		if (!et)
			return;		// effect name not found
		var enable = (enable_ === 1);
		if (et.active == enable)
			return;		// no change
		et.active = enable;
		layer.updateActiveEffects();
		this.runtime.redraw = true;
	};
	SysActs.prototype.SetLayoutEffectParam = function (effectname_, index_, value_)
	{
		if (!this.runtime.running_layout || !this.runtime.glwrap)
			return;
		var et = this.runtime.running_layout.getEffectByName(effectname_);
		if (!et)
			return;		// effect name not found
		var params = this.runtime.running_layout.effect_params[et.index];
		index_ = Math.floor(index_);
		if (index_ < 0 || index_ >= params.length)
			return;		// effect index out of bounds
		if (this.runtime.glwrap.getProgramParameterType(et.shaderindex, index_) === 1)
			value_ /= 100.0;
		if (params[index_] === value_)
			return;		// no change
		params[index_] = value_;
		if (et.active)
			this.runtime.redraw = true;
	};
	SysActs.prototype.SetLayerEffectParam = function (layer, effectname_, index_, value_)
	{
		if (!layer || !this.runtime.glwrap)
			return;
		var et = layer.getEffectByName(effectname_);
		if (!et)
			return;		// effect name not found
		var params = layer.effect_params[et.index];
		index_ = Math.floor(index_);
		if (index_ < 0 || index_ >= params.length)
			return;		// effect index out of bounds
		if (this.runtime.glwrap.getProgramParameterType(et.shaderindex, index_) === 1)
			value_ /= 100.0;
		if (params[index_] === value_)
			return;		// no change
		params[index_] = value_;
		if (et.active)
			this.runtime.redraw = true;
	};
	SysActs.prototype.SaveState = function (slot_)
	{
		this.runtime.saveToSlot = slot_;
	};
	SysActs.prototype.LoadState = function (slot_)
	{
		this.runtime.loadFromSlot = slot_;
	};
	SysActs.prototype.LoadStateJSON = function (jsonstr_)
	{
		this.runtime.loadFromJson = jsonstr_;
	};
	SysActs.prototype.SetHalfFramerateMode = function (set_)
	{
		this.runtime.halfFramerateMode = (set_ !== 0);
	};
	SysActs.prototype.SetFullscreenQuality = function (q)
	{
		var isfullscreen = (document["mozFullScreen"] || document["webkitIsFullScreen"] || !!document["msFullscreenElement"] || document["fullScreen"] || this.isNodeFullscreen);
		if (!isfullscreen && this.runtime.fullscreen_mode === 0)
			return;
		this.runtime.wantFullscreenScalingQuality = (q !== 0);
		this.runtime["setSize"](this.runtime.lastWindowWidth, this.runtime.lastWindowHeight, true);
	};
	sysProto.acts = new SysActs();
    function SysExps() {};
    SysExps.prototype["int"] = function(ret, x)
    {
        if (cr.is_string(x))
        {
            ret.set_int(parseInt(x, 10));
            if (isNaN(ret.data))
                ret.data = 0;
        }
        else
            ret.set_int(x);
    };
    SysExps.prototype["float"] = function(ret, x)
    {
        if (cr.is_string(x))
        {
            ret.set_float(parseFloat(x));
            if (isNaN(ret.data))
                ret.data = 0;
        }
        else
            ret.set_float(x);
    };
    SysExps.prototype.str = function(ret, x)
    {
        if (cr.is_string(x))
            ret.set_string(x);
        else
            ret.set_string(x.toString());
    };
    SysExps.prototype.len = function(ret, x)
    {
        ret.set_int(x.length || 0);
    };
    SysExps.prototype.random = function (ret, a, b)
    {
        if (b === undefined)
        {
            ret.set_float(Math.random() * a);
        }
        else
        {
            ret.set_float(Math.random() * (b - a) + a);
        }
    };
    SysExps.prototype.sqrt = function(ret, x)
    {
        ret.set_float(Math.sqrt(x));
    };
    SysExps.prototype.abs = function(ret, x)
    {
        ret.set_float(Math.abs(x));
    };
    SysExps.prototype.round = function(ret, x)
    {
        ret.set_int(Math.round(x));
    };
    SysExps.prototype.floor = function(ret, x)
    {
        ret.set_int(Math.floor(x));
    };
    SysExps.prototype.ceil = function(ret, x)
    {
        ret.set_int(Math.ceil(x));
    };
    SysExps.prototype.sin = function(ret, x)
    {
        ret.set_float(Math.sin(cr.to_radians(x)));
    };
    SysExps.prototype.cos = function(ret, x)
    {
        ret.set_float(Math.cos(cr.to_radians(x)));
    };
    SysExps.prototype.tan = function(ret, x)
    {
        ret.set_float(Math.tan(cr.to_radians(x)));
    };
    SysExps.prototype.asin = function(ret, x)
    {
        ret.set_float(cr.to_degrees(Math.asin(x)));
    };
    SysExps.prototype.acos = function(ret, x)
    {
        ret.set_float(cr.to_degrees(Math.acos(x)));
    };
    SysExps.prototype.atan = function(ret, x)
    {
        ret.set_float(cr.to_degrees(Math.atan(x)));
    };
    SysExps.prototype.exp = function(ret, x)
    {
        ret.set_float(Math.exp(x));
    };
    SysExps.prototype.ln = function(ret, x)
    {
        ret.set_float(Math.log(x));
    };
    SysExps.prototype.log10 = function(ret, x)
    {
        ret.set_float(Math.log(x) / Math.LN10);
    };
    SysExps.prototype.max = function(ret)
    {
		var max_ = arguments[1];
		var i, len;
		for (i = 2, len = arguments.length; i < len; i++)
		{
			if (max_ < arguments[i])
				max_ = arguments[i];
		}
		ret.set_float(max_);
    };
    SysExps.prototype.min = function(ret)
    {
        var min_ = arguments[1];
		var i, len;
		for (i = 2, len = arguments.length; i < len; i++)
		{
			if (min_ > arguments[i])
				min_ = arguments[i];
		}
		ret.set_float(min_);
    };
    SysExps.prototype.dt = function(ret)
    {
        ret.set_float(this.runtime.dt);
    };
    SysExps.prototype.timescale = function(ret)
    {
        ret.set_float(this.runtime.timescale);
    };
    SysExps.prototype.wallclocktime = function(ret)
    {
        ret.set_float((Date.now() - this.runtime.start_time) / 1000.0);
    };
    SysExps.prototype.time = function(ret)
    {
        ret.set_float(this.runtime.kahanTime.sum);
    };
    SysExps.prototype.tickcount = function(ret)
    {
        ret.set_int(this.runtime.tickcount);
    };
    SysExps.prototype.objectcount = function(ret)
    {
        ret.set_int(this.runtime.objectcount);
    };
    SysExps.prototype.fps = function(ret)
    {
        ret.set_int(this.runtime.fps);
    };
    SysExps.prototype.loopindex = function(ret, name_)
    {
		var loop, i, len;
        if (!this.runtime.loop_stack.length)
        {
            ret.set_int(0);
            return;
        }
        if (name_)
        {
            for (i = 0, len = this.runtime.loop_stack.length; i < len; i++)
            {
                loop = this.runtime.loop_stack[i];
                if (loop.name === name_)
                {
                    ret.set_int(loop.index);
                    return;
                }
            }
            ret.set_int(0);
        }
        else
        {
			loop = this.runtime.getCurrentLoop();
			ret.set_int(loop ? loop.index : -1);
        }
    };
    SysExps.prototype.distance = function(ret, x1, y1, x2, y2)
    {
        ret.set_float(cr.distanceTo(x1, y1, x2, y2));
    };
    SysExps.prototype.angle = function(ret, x1, y1, x2, y2)
    {
        ret.set_float(cr.to_degrees(cr.angleTo(x1, y1, x2, y2)));
    };
    SysExps.prototype.scrollx = function(ret)
    {
        ret.set_float(this.runtime.running_layout.scrollX);
    };
    SysExps.prototype.scrolly = function(ret)
    {
        ret.set_float(this.runtime.running_layout.scrollY);
    };
    SysExps.prototype.newline = function(ret)
    {
        ret.set_string("\n");
    };
    SysExps.prototype.lerp = function(ret, a, b, x)
    {
        ret.set_float(cr.lerp(a, b, x));
    };
    SysExps.prototype.windowwidth = function(ret)
    {
        ret.set_int(this.runtime.width);
    };
    SysExps.prototype.windowheight = function(ret)
    {
        ret.set_int(this.runtime.height);
    };
	SysExps.prototype.uppercase = function(ret, str)
	{
		ret.set_string(cr.is_string(str) ? str.toUpperCase() : "");
	};
	SysExps.prototype.lowercase = function(ret, str)
	{
		ret.set_string(cr.is_string(str) ? str.toLowerCase() : "");
	};
	SysExps.prototype.clamp = function(ret, x, l, u)
	{
		if (x < l)
			ret.set_float(l);
		else if (x > u)
			ret.set_float(u);
		else
			ret.set_float(x);
	};
	SysExps.prototype.layerscale = function (ret, layerparam)
	{
		var layer = this.runtime.getLayer(layerparam);
		if (!layer)
			ret.set_float(0);
		else
			ret.set_float(layer.scale);
	};
	SysExps.prototype.layeropacity = function (ret, layerparam)
	{
		var layer = this.runtime.getLayer(layerparam);
		if (!layer)
			ret.set_float(0);
		else
			ret.set_float(layer.opacity * 100);
	};
	SysExps.prototype.layerscalerate = function (ret, layerparam)
	{
		var layer = this.runtime.getLayer(layerparam);
		if (!layer)
			ret.set_float(0);
		else
			ret.set_float(layer.zoomRate);
	};
	SysExps.prototype.layerparallaxx = function (ret, layerparam)
	{
		var layer = this.runtime.getLayer(layerparam);
		if (!layer)
			ret.set_float(0);
		else
			ret.set_float(layer.parallaxX * 100);
	};
	SysExps.prototype.layerparallaxy = function (ret, layerparam)
	{
		var layer = this.runtime.getLayer(layerparam);
		if (!layer)
			ret.set_float(0);
		else
			ret.set_float(layer.parallaxY * 100);
	};
	SysExps.prototype.layoutscale = function (ret)
	{
		if (this.runtime.running_layout)
			ret.set_float(this.runtime.running_layout.scale);
		else
			ret.set_float(0);
	};
	SysExps.prototype.layoutangle = function (ret)
	{
		ret.set_float(cr.to_degrees(this.runtime.running_layout.angle));
	};
	SysExps.prototype.layerangle = function (ret, layerparam)
	{
		var layer = this.runtime.getLayer(layerparam);
		if (!layer)
			ret.set_float(0);
		else
			ret.set_float(cr.to_degrees(layer.angle));
	};
	SysExps.prototype.layoutwidth = function (ret)
	{
		ret.set_int(this.runtime.running_layout.width);
	};
	SysExps.prototype.layoutheight = function (ret)
	{
		ret.set_int(this.runtime.running_layout.height);
	};
	SysExps.prototype.find = function (ret, text, searchstr)
	{
		if (cr.is_string(text) && cr.is_string(searchstr))
			ret.set_int(text.search(new RegExp(cr.regexp_escape(searchstr), "i")));
		else
			ret.set_int(-1);
	};
	SysExps.prototype.left = function (ret, text, n)
	{
		ret.set_string(cr.is_string(text) ? text.substr(0, n) : "");
	};
	SysExps.prototype.right = function (ret, text, n)
	{
		ret.set_string(cr.is_string(text) ? text.substr(text.length - n) : "");
	};
	SysExps.prototype.mid = function (ret, text, index_, length_)
	{
		ret.set_string(cr.is_string(text) ? text.substr(index_, length_) : "");
	};
	SysExps.prototype.tokenat = function (ret, text, index_, sep)
	{
		if (cr.is_string(text) && cr.is_string(sep))
		{
			var arr = text.split(sep);
			var i = cr.floor(index_);
			if (i < 0 || i >= arr.length)
				ret.set_string("");
			else
				ret.set_string(arr[i]);
		}
		else
			ret.set_string("");
	};
	SysExps.prototype.tokencount = function (ret, text, sep)
	{
		if (cr.is_string(text) && text.length)
			ret.set_int(text.split(sep).length);
		else
			ret.set_int(0);
	};
	SysExps.prototype.replace = function (ret, text, find_, replace_)
	{
		if (cr.is_string(text) && cr.is_string(find_) && cr.is_string(replace_))
			ret.set_string(text.replace(new RegExp(cr.regexp_escape(find_), "gi"), replace_));
		else
			ret.set_string(cr.is_string(text) ? text : "");
	};
	SysExps.prototype.trim = function (ret, text)
	{
		ret.set_string(cr.is_string(text) ? text.trim() : "");
	};
	SysExps.prototype.pi = function (ret)
	{
		ret.set_float(cr.PI);
	};
	SysExps.prototype.layoutname = function (ret)
	{
		if (this.runtime.running_layout)
			ret.set_string(this.runtime.running_layout.name);
		else
			ret.set_string("");
	};
	SysExps.prototype.renderer = function (ret)
	{
		ret.set_string(this.runtime.gl ? "webgl" : "canvas2d");
	};
	SysExps.prototype.anglediff = function (ret, a, b)
	{
		ret.set_float(cr.to_degrees(cr.angleDiff(cr.to_radians(a), cr.to_radians(b))));
	};
	SysExps.prototype.choose = function (ret)
	{
		var index = cr.floor(Math.random() * (arguments.length - 1));
		ret.set_any(arguments[index + 1]);
	};
	SysExps.prototype.rgb = function (ret, r, g, b)
	{
		ret.set_int(cr.RGB(r, g, b));
	};
	SysExps.prototype.projectversion = function (ret)
	{
		ret.set_string(this.runtime.versionstr);
	};
	SysExps.prototype.anglelerp = function (ret, a, b, x)
	{
		a = cr.to_radians(a);
		b = cr.to_radians(b);
		var diff = cr.angleDiff(a, b);
		if (cr.angleClockwise(b, a))
		{
			ret.set_float(cr.to_clamped_degrees(a + diff * x));
		}
		else
		{
			ret.set_float(cr.to_clamped_degrees(a - diff * x));
		}
	};
	SysExps.prototype.anglerotate = function (ret, a, b, c)
	{
		a = cr.to_radians(a);
		b = cr.to_radians(b);
		c = cr.to_radians(c);
		ret.set_float(cr.to_clamped_degrees(cr.angleRotate(a, b, c)));
	};
	SysExps.prototype.zeropad = function (ret, n, d)
	{
		var s = (n < 0 ? "-" : "");
		if (n < 0) n = -n;
		var zeroes = d - n.toString().length;
		for (var i = 0; i < zeroes; i++)
			s += "0";
		ret.set_string(s + n.toString());
	};
	SysExps.prototype.cpuutilisation = function (ret)
	{
		ret.set_float(this.runtime.cpuutilisation / 1000);
	};
	SysExps.prototype.viewportleft = function (ret, layerparam)
	{
		var layer = this.runtime.getLayer(layerparam);
		ret.set_float(layer ? layer.viewLeft : 0);
	};
	SysExps.prototype.viewporttop = function (ret, layerparam)
	{
		var layer = this.runtime.getLayer(layerparam);
		ret.set_float(layer ? layer.viewTop : 0);
	};
	SysExps.prototype.viewportright = function (ret, layerparam)
	{
		var layer = this.runtime.getLayer(layerparam);
		ret.set_float(layer ? layer.viewRight : 0);
	};
	SysExps.prototype.viewportbottom = function (ret, layerparam)
	{
		var layer = this.runtime.getLayer(layerparam);
		ret.set_float(layer ? layer.viewBottom : 0);
	};
	SysExps.prototype.loadingprogress = function (ret)
	{
		ret.set_float(this.runtime.loadingprogress);
	};
	SysExps.prototype.unlerp = function(ret, a, b, y)
    {
        ret.set_float(cr.unlerp(a, b, y));
    };
	SysExps.prototype.canvassnapshot = function (ret)
	{
		ret.set_string(this.runtime.snapshotData);
	};
	SysExps.prototype.urlencode = function (ret, s)
	{
		ret.set_string(encodeURIComponent(s));
	};
	SysExps.prototype.urldecode = function (ret, s)
	{
		ret.set_string(decodeURIComponent(s));
	};
	SysExps.prototype.canvastolayerx = function (ret, layerparam, x, y)
	{
		var layer = this.runtime.getLayer(layerparam);
		ret.set_float(layer ? layer.canvasToLayer(x, y, true) : 0);
	};
	SysExps.prototype.canvastolayery = function (ret, layerparam, x, y)
	{
		var layer = this.runtime.getLayer(layerparam);
		ret.set_float(layer ? layer.canvasToLayer(x, y, false) : 0);
	};
	SysExps.prototype.layertocanvasx = function (ret, layerparam, x, y)
	{
		var layer = this.runtime.getLayer(layerparam);
		ret.set_float(layer ? layer.layerToCanvas(x, y, true) : 0);
	};
	SysExps.prototype.layertocanvasy = function (ret, layerparam, x, y)
	{
		var layer = this.runtime.getLayer(layerparam);
		ret.set_float(layer ? layer.layerToCanvas(x, y, false) : 0);
	};
	SysExps.prototype.savestatejson = function (ret)
	{
		ret.set_string(this.runtime.lastSaveJson);
	};
	SysExps.prototype.imagememoryusage = function (ret)
	{
		if (this.runtime.glwrap)
			ret.set_float(Math.round(100 * this.runtime.glwrap.estimateVRAM() / (1024 * 1024)) / 100);
		else
			ret.set_float(0);
	};
	SysExps.prototype.regexsearch = function (ret, str_, regex_, flags_)
	{
		var regex = getRegex(regex_, flags_);
		ret.set_int(str_ ? str_.search(regex) : -1);
	};
	SysExps.prototype.regexreplace = function (ret, str_, regex_, flags_, replace_)
	{
		var regex = getRegex(regex_, flags_);
		ret.set_string(str_ ? str_.replace(regex, replace_) : "");
	};
	var regexMatches = [];
	var lastMatchesStr = "";
	var lastMatchesRegex = "";
	var lastMatchesFlags = "";
	function updateRegexMatches(str_, regex_, flags_)
	{
		if (str_ === lastMatchesStr && regex_ === lastMatchesRegex && flags_ === lastMatchesFlags)
			return;
		var regex = getRegex(regex_, flags_);
		regexMatches = str_.match(regex);
		lastMatchesStr = str_;
		lastMatchesRegex = regex_;
		lastMatchesFlags = flags_;
	};
	SysExps.prototype.regexmatchcount = function (ret, str_, regex_, flags_)
	{
		var regex = getRegex(regex_, flags_);
		updateRegexMatches(str_, regex_, flags_);
		ret.set_int(regexMatches ? regexMatches.length : 0);
	};
	SysExps.prototype.regexmatchat = function (ret, str_, regex_, flags_, index_)
	{
		index_ = Math.floor(index_);
		var regex = getRegex(regex_, flags_);
		updateRegexMatches(str_, regex_, flags_);
		if (!regexMatches || index_ < 0 || index_ >= regexMatches.length)
			ret.set_string("");
		else
			ret.set_string(regexMatches[index_]);
	};
	SysExps.prototype.infinity = function (ret)
	{
		ret.set_float(Infinity);
	};
	SysExps.prototype.setbit = function (ret, n, b, v)
	{
		n = n | 0;
		b = b | 0;
		v = (v !== 0 ? 1 : 0);
		ret.set_int((n & ~(1 << b)) | (v << b));
	};
	SysExps.prototype.togglebit = function (ret, n, b)
	{
		n = n | 0;
		b = b | 0;
		ret.set_int(n ^ (1 << b));
	};
	SysExps.prototype.getbit = function (ret, n, b)
	{
		n = n | 0;
		b = b | 0;
		ret.set_int((n & (1 << b)) ? 1 : 0);
	};
	sysProto.exps = new SysExps();
	sysProto.runWaits = function ()
	{
		var i, j, len, w, k, s, ss;
		var evinfo = this.runtime.getCurrentEventStack();
		for (i = 0, len = this.waits.length; i < len; i++)
		{
			w = this.waits[i];
			if (w.time > this.runtime.kahanTime.sum)
				continue;
			evinfo.current_event = w.ev;
			evinfo.actindex = w.actindex;
			evinfo.cndindex = 0;
			for (k in w.sols)
			{
				if (w.sols.hasOwnProperty(k))
				{
					s = this.runtime.types_by_index[parseInt(k, 10)].getCurrentSol();
					ss = w.sols[k];
					s.select_all = ss.sa;
					cr.shallowAssignArray(s.instances, ss.insts);
					freeSolStateObject(ss);
				}
			}
			w.ev.resume_actions_and_subevents();
			this.runtime.clearSol(w.solModifiers);
			w.deleteme = true;
		}
		for (i = 0, j = 0, len = this.waits.length; i < len; i++)
		{
			w = this.waits[i];
			this.waits[j] = w;
			if (w.deleteme)
				freeWaitObject(w);
			else
				j++;
		}
		this.waits.length = j;
	};
}());
;
(function () {
	cr.add_common_aces = function (m)
	{
		var pluginProto = m[0].prototype;
		var singleglobal_ = m[1];
		var position_aces = m[3];
		var size_aces = m[4];
		var angle_aces = m[5];
		var appearance_aces = m[6];
		var zorder_aces = m[7];
		var effects_aces = m[8];
		if (!pluginProto.cnds)
			pluginProto.cnds = {};
		if (!pluginProto.acts)
			pluginProto.acts = {};
		if (!pluginProto.exps)
			pluginProto.exps = {};
		var cnds = pluginProto.cnds;
		var acts = pluginProto.acts;
		var exps = pluginProto.exps;
		if (position_aces)
		{
			cnds.CompareX = function (cmp, x)
			{
				return cr.do_cmp(this.x, cmp, x);
			};
			cnds.CompareY = function (cmp, y)
			{
				return cr.do_cmp(this.y, cmp, y);
			};
			cnds.IsOnScreen = function ()
			{
				var layer = this.layer;
				this.update_bbox();
				var bbox = this.bbox;
				return !(bbox.right < layer.viewLeft || bbox.bottom < layer.viewTop || bbox.left > layer.viewRight || bbox.top > layer.viewBottom);
			};
			cnds.IsOutsideLayout = function ()
			{
				this.update_bbox();
				var bbox = this.bbox;
				var layout = this.runtime.running_layout;
				return (bbox.right < 0 || bbox.bottom < 0 || bbox.left > layout.width || bbox.top > layout.height);
			};
			cnds.PickDistance = function (which, x, y)
			{
				var sol = this.getCurrentSol();
				var instances = sol.getObjects();
				if (!instances.length)
					return false;
				var inst = instances[0];
				var pickme = inst;
				var dist = cr.distanceTo(inst.x, inst.y, x, y);
				var i, len, d;
				for (i = 1, len = instances.length; i < len; i++)
				{
					inst = instances[i];
					d = cr.distanceTo(inst.x, inst.y, x, y);
					if ((which === 0 && d < dist) || (which === 1 && d > dist))
					{
						dist = d;
						pickme = inst;
					}
				}
				sol.pick_one(pickme);
				return true;
			};
			acts.SetX = function (x)
			{
				if (this.x !== x)
				{
					this.x = x;
					this.set_bbox_changed();
				}
			};
			acts.SetY = function (y)
			{
				if (this.y !== y)
				{
					this.y = y;
					this.set_bbox_changed();
				}
			};
			acts.SetPos = function (x, y)
			{
				if (this.x !== x || this.y !== y)
				{
					this.x = x;
					this.y = y;
					this.set_bbox_changed();
				}
			};
			acts.SetPosToObject = function (obj, imgpt)
			{
				var inst = obj.getPairedInstance(this);
				if (!inst)
					return;
				var newx, newy;
				if (inst.getImagePoint)
				{
					newx = inst.getImagePoint(imgpt, true);
					newy = inst.getImagePoint(imgpt, false);
				}
				else
				{
					newx = inst.x;
					newy = inst.y;
				}
				if (this.x !== newx || this.y !== newy)
				{
					this.x = newx;
					this.y = newy;
					this.set_bbox_changed();
				}
			};
			acts.MoveForward = function (dist)
			{
				if (dist !== 0)
				{
					this.x += Math.cos(this.angle) * dist;
					this.y += Math.sin(this.angle) * dist;
					this.set_bbox_changed();
				}
			};
			acts.MoveAtAngle = function (a, dist)
			{
				if (dist !== 0)
				{
					this.x += Math.cos(cr.to_radians(a)) * dist;
					this.y += Math.sin(cr.to_radians(a)) * dist;
					this.set_bbox_changed();
				}
			};
			exps.X = function (ret)
			{
				ret.set_float(this.x);
			};
			exps.Y = function (ret)
			{
				ret.set_float(this.y);
			};
			exps.dt = function (ret)
			{
				ret.set_float(this.runtime.getDt(this));
			};
		}
		if (size_aces)
		{
			cnds.CompareWidth = function (cmp, w)
			{
				return cr.do_cmp(this.width, cmp, w);
			};
			cnds.CompareHeight = function (cmp, h)
			{
				return cr.do_cmp(this.height, cmp, h);
			};
			acts.SetWidth = function (w)
			{
				if (this.width !== w)
				{
					this.width = w;
					this.set_bbox_changed();
				}
			};
			acts.SetHeight = function (h)
			{
				if (this.height !== h)
				{
					this.height = h;
					this.set_bbox_changed();
				}
			};
			acts.SetSize = function (w, h)
			{
				if (this.width !== w || this.height !== h)
				{
					this.width = w;
					this.height = h;
					this.set_bbox_changed();
				}
			};
			exps.Width = function (ret)
			{
				ret.set_float(this.width);
			};
			exps.Height = function (ret)
			{
				ret.set_float(this.height);
			};
			exps.BBoxLeft = function (ret)
			{
				this.update_bbox();
				ret.set_float(this.bbox.left);
			};
			exps.BBoxTop = function (ret)
			{
				this.update_bbox();
				ret.set_float(this.bbox.top);
			};
			exps.BBoxRight = function (ret)
			{
				this.update_bbox();
				ret.set_float(this.bbox.right);
			};
			exps.BBoxBottom = function (ret)
			{
				this.update_bbox();
				ret.set_float(this.bbox.bottom);
			};
		}
		if (angle_aces)
		{
			cnds.AngleWithin = function (within, a)
			{
				return cr.angleDiff(this.angle, cr.to_radians(a)) <= cr.to_radians(within);
			};
			cnds.IsClockwiseFrom = function (a)
			{
				return cr.angleClockwise(this.angle, cr.to_radians(a));
			};
			cnds.IsBetweenAngles = function (a, b)
			{
				var lower = cr.to_clamped_radians(a);
				var upper = cr.to_clamped_radians(b);
				var angle = cr.clamp_angle(this.angle);
				var obtuse = (!cr.angleClockwise(upper, lower));
				if (obtuse)
					return !(!cr.angleClockwise(angle, lower) && cr.angleClockwise(angle, upper));
				else
					return cr.angleClockwise(angle, lower) && !cr.angleClockwise(angle, upper);
			};
			acts.SetAngle = function (a)
			{
				var newangle = cr.to_radians(cr.clamp_angle_degrees(a));
				if (isNaN(newangle))
					return;
				if (this.angle !== newangle)
				{
					this.angle = newangle;
					this.set_bbox_changed();
				}
			};
			acts.RotateClockwise = function (a)
			{
				if (a !== 0 && !isNaN(a))
				{
					this.angle += cr.to_radians(a);
					this.angle = cr.clamp_angle(this.angle);
					this.set_bbox_changed();
				}
			};
			acts.RotateCounterclockwise = function (a)
			{
				if (a !== 0 && !isNaN(a))
				{
					this.angle -= cr.to_radians(a);
					this.angle = cr.clamp_angle(this.angle);
					this.set_bbox_changed();
				}
			};
			acts.RotateTowardAngle = function (amt, target)
			{
				var newangle = cr.angleRotate(this.angle, cr.to_radians(target), cr.to_radians(amt));
				if (isNaN(newangle))
					return;
				if (this.angle !== newangle)
				{
					this.angle = newangle;
					this.set_bbox_changed();
				}
			};
			acts.RotateTowardPosition = function (amt, x, y)
			{
				var dx = x - this.x;
				var dy = y - this.y;
				var target = Math.atan2(dy, dx);
				var newangle = cr.angleRotate(this.angle, target, cr.to_radians(amt));
				if (isNaN(newangle))
					return;
				if (this.angle !== newangle)
				{
					this.angle = newangle;
					this.set_bbox_changed();
				}
			};
			acts.SetTowardPosition = function (x, y)
			{
				var dx = x - this.x;
				var dy = y - this.y;
				var newangle = Math.atan2(dy, dx);
				if (isNaN(newangle))
					return;
				if (this.angle !== newangle)
				{
					this.angle = newangle;
					this.set_bbox_changed();
				}
			};
			exps.Angle = function (ret)
			{
				ret.set_float(cr.to_clamped_degrees(this.angle));
			};
		}
		if (!singleglobal_)
		{
			cnds.CompareInstanceVar = function (iv, cmp, val)
			{
				return cr.do_cmp(this.instance_vars[iv], cmp, val);
			};
			cnds.IsBoolInstanceVarSet = function (iv)
			{
				return this.instance_vars[iv];
			};
			cnds.PickInstVarHiLow = function (which, iv)
			{
				var sol = this.getCurrentSol();
				var instances = sol.getObjects();
				if (!instances.length)
					return false;
				var inst = instances[0];
				var pickme = inst;
				var val = inst.instance_vars[iv];
				var i, len, v;
				for (i = 1, len = instances.length; i < len; i++)
				{
					inst = instances[i];
					v = inst.instance_vars[iv];
					if ((which === 0 && v < val) || (which === 1 && v > val))
					{
						val = v;
						pickme = inst;
					}
				}
				sol.pick_one(pickme);
				return true;
			};
			cnds.PickByUID = function (u)
			{
				var i, len, j, inst, families, instances, sol;
				var cnd = this.runtime.getCurrentCondition();
				if (cnd.inverted)
				{
					sol = this.getCurrentSol();
					if (sol.select_all)
					{
						sol.select_all = false;
						sol.instances.length = 0;
						sol.else_instances.length = 0;
						instances = this.instances;
						for (i = 0, len = instances.length; i < len; i++)
						{
							inst = instances[i];
							if (inst.uid === u)
								sol.else_instances.push(inst);
							else
								sol.instances.push(inst);
						}
						this.applySolToContainer();
						return !!sol.instances.length;
					}
					else
					{
						for (i = 0, j = 0, len = sol.instances.length; i < len; i++)
						{
							inst = sol.instances[i];
							sol.instances[j] = inst;
							if (inst.uid === u)
							{
								sol.else_instances.push(inst);
							}
							else
								j++;
						}
						sol.instances.length = j;
						this.applySolToContainer();
						return !!sol.instances.length;
					}
				}
				else
				{
					inst = this.runtime.getObjectByUID(u);
					if (!inst)
						return false;
					sol = this.getCurrentSol();
					if (!sol.select_all && sol.instances.indexOf(inst) === -1)
						return false;		// not picked
					if (this.is_family)
					{
						families = inst.type.families;
						for (i = 0, len = families.length; i < len; i++)
						{
							if (families[i] === this)
							{
								sol.pick_one(inst);
								this.applySolToContainer();
								return true;
							}
						}
					}
					else if (inst.type === this)
					{
						sol.pick_one(inst);
						this.applySolToContainer();
						return true;
					}
					return false;
				}
			};
			cnds.OnCreated = function ()
			{
				return true;
			};
			cnds.OnDestroyed = function ()
			{
				return true;
			};
			acts.SetInstanceVar = function (iv, val)
			{
				var myinstvars = this.instance_vars;
				if (cr.is_number(myinstvars[iv]))
				{
					if (cr.is_number(val))
						myinstvars[iv] = val;
					else
						myinstvars[iv] = parseFloat(val);
				}
				else if (cr.is_string(myinstvars[iv]))
				{
					if (cr.is_string(val))
						myinstvars[iv] = val;
					else
						myinstvars[iv] = val.toString();
				}
				else
;
			};
			acts.AddInstanceVar = function (iv, val)
			{
				var myinstvars = this.instance_vars;
				if (cr.is_number(myinstvars[iv]))
				{
					if (cr.is_number(val))
						myinstvars[iv] += val;
					else
						myinstvars[iv] += parseFloat(val);
				}
				else if (cr.is_string(myinstvars[iv]))
				{
					if (cr.is_string(val))
						myinstvars[iv] += val;
					else
						myinstvars[iv] += val.toString();
				}
				else
;
			};
			acts.SubInstanceVar = function (iv, val)
			{
				var myinstvars = this.instance_vars;
				if (cr.is_number(myinstvars[iv]))
				{
					if (cr.is_number(val))
						myinstvars[iv] -= val;
					else
						myinstvars[iv] -= parseFloat(val);
				}
				else
;
			};
			acts.SetBoolInstanceVar = function (iv, val)
			{
				this.instance_vars[iv] = val ? 1 : 0;
			};
			acts.ToggleBoolInstanceVar = function (iv)
			{
				this.instance_vars[iv] = 1 - this.instance_vars[iv];
			};
			acts.Destroy = function ()
			{
				this.runtime.DestroyInstance(this);
			};
			if (!acts.LoadFromJsonString)
			{
				acts.LoadFromJsonString = function (str_)
				{
					var o, i, len, binst;
					try {
						o = JSON.parse(str_);
					}
					catch (e) {
						return;
					}
					this.runtime.loadInstanceFromJSON(this, o, true);
					if (this.afterLoad)
						this.afterLoad();
					if (this.behavior_insts)
					{
						for (i = 0, len = this.behavior_insts.length; i < len; ++i)
						{
							binst = this.behavior_insts[i];
							if (binst.afterLoad)
								binst.afterLoad();
						}
					}
				};
			}
			exps.Count = function (ret)
			{
				var count = ret.object_class.instances.length;
				var i, len, inst;
				for (i = 0, len = this.runtime.createRow.length; i < len; i++)
				{
					inst = this.runtime.createRow[i];
					if (ret.object_class.is_family)
					{
						if (inst.type.families.indexOf(ret.object_class) >= 0)
							count++;
					}
					else
					{
						if (inst.type === ret.object_class)
							count++;
					}
				}
				ret.set_int(count);
			};
			exps.PickedCount = function (ret)
			{
				ret.set_int(ret.object_class.getCurrentSol().getObjects().length);
			};
			exps.UID = function (ret)
			{
				ret.set_int(this.uid);
			};
			exps.IID = function (ret)
			{
				ret.set_int(this.get_iid());
			};
			if (!exps.AsJSON)
			{
				exps.AsJSON = function (ret)
				{
					ret.set_string(JSON.stringify(this.runtime.saveInstanceToJSON(this, true)));
				};
			}
		}
		if (appearance_aces)
		{
			cnds.IsVisible = function ()
			{
				return this.visible;
			};
			acts.SetVisible = function (v)
			{
				if (!v !== !this.visible)
				{
					this.visible = v;
					this.runtime.redraw = true;
				}
			};
			cnds.CompareOpacity = function (cmp, x)
			{
				return cr.do_cmp(cr.round6dp(this.opacity * 100), cmp, x);
			};
			acts.SetOpacity = function (x)
			{
				var new_opacity = x / 100.0;
				if (new_opacity < 0)
					new_opacity = 0;
				else if (new_opacity > 1)
					new_opacity = 1;
				if (new_opacity !== this.opacity)
				{
					this.opacity = new_opacity;
					this.runtime.redraw = true;
				}
			};
			exps.Opacity = function (ret)
			{
				ret.set_float(cr.round6dp(this.opacity * 100.0));
			};
		}
		if (zorder_aces)
		{
			cnds.IsOnLayer = function (layer_)
			{
				if (!layer_)
					return false;
				return this.layer === layer_;
			};
			cnds.PickTopBottom = function (which_)
			{
				var sol = this.getCurrentSol();
				var instances = sol.getObjects();
				if (!instances.length)
					return false;
				var inst = instances[0];
				var pickme = inst;
				var i, len;
				for (i = 1, len = instances.length; i < len; i++)
				{
					inst = instances[i];
					if (which_ === 0)
					{
						if (inst.layer.index > pickme.layer.index || (inst.layer.index === pickme.layer.index && inst.get_zindex() > pickme.get_zindex()))
						{
							pickme = inst;
						}
					}
					else
					{
						if (inst.layer.index < pickme.layer.index || (inst.layer.index === pickme.layer.index && inst.get_zindex() < pickme.get_zindex()))
						{
							pickme = inst;
						}
					}
				}
				sol.pick_one(pickme);
				return true;
			};
			acts.MoveToTop = function ()
			{
				var zindex = this.get_zindex();
				if (zindex === this.layer.instances.length - 1)
					return;
				cr.arrayRemove(this.layer.instances, zindex);
				this.layer.instances.push(this);
				this.runtime.redraw = true;
				this.layer.zindices_stale = true;
			};
			acts.MoveToBottom = function ()
			{
				var zindex = this.get_zindex();
				if (zindex === 0)
					return;
				cr.arrayRemove(this.layer.instances, zindex);
				this.layer.instances.unshift(this);
				this.runtime.redraw = true;
				this.layer.zindices_stale = true;
			};
			acts.MoveToLayer = function (layerMove)
			{
				if (!layerMove || layerMove == this.layer)
					return;
				cr.arrayRemove(this.layer.instances, this.get_zindex());
				this.layer.zindices_stale = true;
				this.layer = layerMove;
				this.zindex = layerMove.instances.length;
				layerMove.instances.push(this);
				this.runtime.redraw = true;
			};
			acts.ZMoveToObject = function (where_, obj_)
			{
				var isafter = (where_ === 0);
				if (!obj_)
					return;
				var other = obj_.getFirstPicked(this);
				if (!other || other.uid === this.uid)
					return;
				if (this.layer.index !== other.layer.index)
				{
					cr.arrayRemove(this.layer.instances, this.get_zindex());
					this.layer.zindices_stale = true;
					this.layer = other.layer;
					this.zindex = other.layer.instances.length;
					other.layer.instances.push(this);
				}
				var myZ = this.get_zindex();
				var insertZ = other.get_zindex();
				cr.arrayRemove(this.layer.instances, myZ);
				if (myZ < insertZ)
					insertZ--;
				if (isafter)
					insertZ++;
				if (insertZ === this.layer.instances.length)
					this.layer.instances.push(this);
				else
					this.layer.instances.splice(insertZ, 0, this);
				this.layer.zindices_stale = true;
				this.runtime.redraw = true;
			};
			exps.LayerNumber = function (ret)
			{
				ret.set_int(this.layer.number);
			};
			exps.LayerName = function (ret)
			{
				ret.set_string(this.layer.name);
			};
			exps.ZIndex = function (ret)
			{
				ret.set_int(this.get_zindex());
			};
		}
		if (effects_aces)
		{
			acts.SetEffectEnabled = function (enable_, effectname_)
			{
				if (!this.runtime.glwrap)
					return;
				var i = this.type.getEffectIndexByName(effectname_);
				if (i < 0)
					return;		// effect name not found
				var enable = (enable_ === 1);
				if (this.active_effect_flags[i] === enable)
					return;		// no change
				this.active_effect_flags[i] = enable;
				this.updateActiveEffects();
				this.runtime.redraw = true;
			};
			acts.SetEffectParam = function (effectname_, index_, value_)
			{
				if (!this.runtime.glwrap)
					return;
				var i = this.type.getEffectIndexByName(effectname_);
				if (i < 0)
					return;		// effect name not found
				var et = this.type.effect_types[i];
				var params = this.effect_params[i];
				index_ = Math.floor(index_);
				if (index_ < 0 || index_ >= params.length)
					return;		// effect index out of bounds
				if (this.runtime.glwrap.getProgramParameterType(et.shaderindex, index_) === 1)
					value_ /= 100.0;
				if (params[index_] === value_)
					return;		// no change
				params[index_] = value_;
				if (et.active)
					this.runtime.redraw = true;
			};
		}
	};
	cr.set_bbox_changed = function ()
	{
		this.bbox_changed = true;      		// will recreate next time box requested
		this.cell_changed = true;
		this.type.any_cell_changed = true;	// avoid unnecessary updateAllBBox() calls
		this.runtime.redraw = true;     	// assume runtime needs to redraw
		var i, len, callbacks = this.bbox_changed_callbacks;
		for (i = 0, len = callbacks.length; i < len; ++i)
		{
			callbacks[i](this);
		}
	};
	cr.add_bbox_changed_callback = function (f)
	{
		if (f)
		{
			this.bbox_changed_callbacks.push(f);
		}
	};
	cr.update_bbox = function ()
	{
		if (!this.bbox_changed)
			return;                 // bounding box not changed
		var bbox = this.bbox;
		var bquad = this.bquad;
		bbox.set(this.x, this.y, this.x + this.width, this.y + this.height);
		bbox.offset(-this.hotspotX * this.width, -this.hotspotY * this.height);
		if (!this.angle)
		{
			bquad.set_from_rect(bbox);    // make bounding quad from box
		}
		else
		{
			bbox.offset(-this.x, -this.y);       			// translate to origin
			bquad.set_from_rotated_rect(bbox, this.angle);	// rotate around origin
			bquad.offset(this.x, this.y);      				// translate back to original position
			bquad.bounding_box(bbox);
		}
		bbox.normalize();
		this.bbox_changed = false;  // bounding box up to date
	};
	var tmprc = new cr.rect(0, 0, 0, 0);
	cr.update_collision_cell = function ()
	{
		if (!this.cell_changed || !this.collisionsEnabled)
			return;
		this.update_bbox();
		var mygrid = this.type.collision_grid;
		var collcells = this.collcells;
		var bbox = this.bbox;
		tmprc.set(mygrid.XToCell(bbox.left), mygrid.YToCell(bbox.top), mygrid.XToCell(bbox.right), mygrid.YToCell(bbox.bottom));
		if (collcells.equals(tmprc))
			return;
		if (collcells.right < collcells.left)
			mygrid.update(this, null, tmprc);		// first insertion with invalid rect: don't provide old range
		else
			mygrid.update(this, collcells, tmprc);
		collcells.copy(tmprc);
		this.cell_changed = false;
	};
	cr.inst_contains_pt = function (x, y)
	{
		if (!this.bbox.contains_pt(x, y))
			return false;
		if (!this.bquad.contains_pt(x, y))
			return false;
		if (this.collision_poly && !this.collision_poly.is_empty())
		{
			this.collision_poly.cache_poly(this.width, this.height, this.angle);
			return this.collision_poly.contains_pt(x - this.x, y - this.y);
		}
		else
			return true;
	};
	cr.inst_get_iid = function ()
	{
		this.type.updateIIDs();
		return this.iid;
	};
	cr.inst_get_zindex = function ()
	{
		this.layer.updateZIndices();
		return this.zindex;
	};
	cr.inst_updateActiveEffects = function ()
	{
		this.active_effect_types.length = 0;
		var i, len, et, inst;
		for (i = 0, len = this.active_effect_flags.length; i < len; i++)
		{
			if (this.active_effect_flags[i])
				this.active_effect_types.push(this.type.effect_types[i]);
		}
		this.uses_shaders = !!this.active_effect_types.length;
	};
	cr.inst_toString = function ()
	{
		return "Inst" + this.puid;
	};
	cr.type_getFirstPicked = function (frominst)
	{
		if (frominst && frominst.is_contained && frominst.type != this)
		{
			var i, len, s;
			for (i = 0, len = frominst.siblings.length; i < len; i++)
			{
				s = frominst.siblings[i];
				if (s.type == this)
					return s;
			}
		}
		var instances = this.getCurrentSol().getObjects();
		if (instances.length)
			return instances[0];
		else
			return null;
	};
	cr.type_getPairedInstance = function (inst)
	{
		var instances = this.getCurrentSol().getObjects();
		if (instances.length)
			return instances[inst.get_iid() % instances.length];
		else
			return null;
	};
	cr.type_updateIIDs = function ()
	{
		if (!this.stale_iids || this.is_family)
			return;		// up to date or is family - don't want family to overwrite IIDs
		var i, len;
		for (i = 0, len = this.instances.length; i < len; i++)
			this.instances[i].iid = i;
		var next_iid = i;
		var createRow = this.runtime.createRow;
		for (i = 0, len = createRow.length; i < len; ++i)
		{
			if (createRow[i].type === this)
				createRow[i].iid = next_iid++;
		}
		this.stale_iids = false;
	};
	cr.type_getInstanceByIID = function (i)
	{
		if (i < this.instances.length)
			return this.instances[i];
		i -= this.instances.length;
		var createRow = this.runtime.createRow;
		var j, lenj;
		for (j = 0, lenj = createRow.length; j < lenj; ++j)
		{
			if (createRow[j].type === this)
			{
				if (i === 0)
					return createRow[j];
				--i;
			}
		}
;
		return null;
	};
	cr.type_getCurrentSol = function ()
	{
		return this.solstack[this.cur_sol];
	};
	cr.type_pushCleanSol = function ()
	{
		this.cur_sol++;
		if (this.cur_sol === this.solstack.length)
			this.solstack.push(new cr.selection(this));
		else
			this.solstack[this.cur_sol].select_all = true;  // else clear next SOL
	};
	cr.type_pushCopySol = function ()
	{
		this.cur_sol++;
		if (this.cur_sol === this.solstack.length)
			this.solstack.push(new cr.selection(this));
		var clonesol = this.solstack[this.cur_sol];
		var prevsol = this.solstack[this.cur_sol - 1];
		if (prevsol.select_all)
			clonesol.select_all = true;
		else
		{
			clonesol.select_all = false;
			cr.shallowAssignArray(clonesol.instances, prevsol.instances);
			cr.shallowAssignArray(clonesol.else_instances, prevsol.else_instances);
		}
	};
	cr.type_popSol = function ()
	{
;
		this.cur_sol--;
	};
	cr.type_getBehaviorByName = function (behname)
	{
		var i, len, j, lenj, f, index = 0;
		if (!this.is_family)
		{
			for (i = 0, len = this.families.length; i < len; i++)
			{
				f = this.families[i];
				for (j = 0, lenj = f.behaviors.length; j < lenj; j++)
				{
					if (behname === f.behaviors[j].name)
					{
						this.extra.lastBehIndex = index;
						return f.behaviors[j];
					}
					index++;
				}
			}
		}
		for (i = 0, len = this.behaviors.length; i < len; i++) {
			if (behname === this.behaviors[i].name)
			{
				this.extra.lastBehIndex = index;
				return this.behaviors[i];
			}
			index++;
		}
		return null;
	};
	cr.type_getBehaviorIndexByName = function (behname)
	{
		var b = this.getBehaviorByName(behname);
		if (b)
			return this.extra.lastBehIndex;
		else
			return -1;
	};
	cr.type_getEffectIndexByName = function (name_)
	{
		var i, len;
		for (i = 0, len = this.effect_types.length; i < len; i++)
		{
			if (this.effect_types[i].name === name_)
				return i;
		}
		return -1;
	};
	cr.type_applySolToContainer = function ()
	{
		if (!this.is_contained || this.is_family)
			return;
		var i, len, j, lenj, t, sol, sol2;
		this.updateIIDs();
		sol = this.getCurrentSol();
		var select_all = sol.select_all;
		var es = this.runtime.getCurrentEventStack();
		var orblock = es && es.current_event && es.current_event.orblock;
		for (i = 0, len = this.container.length; i < len; i++)
		{
			t = this.container[i];
			if (t === this)
				continue;
			t.updateIIDs();
			sol2 = t.getCurrentSol();
			sol2.select_all = select_all;
			if (!select_all)
			{
				sol2.instances.length = sol.instances.length;
				for (j = 0, lenj = sol.instances.length; j < lenj; j++)
					sol2.instances[j] = t.getInstanceByIID(sol.instances[j].iid);
				if (orblock)
				{
					sol2.else_instances.length = sol.else_instances.length;
					for (j = 0, lenj = sol.else_instances.length; j < lenj; j++)
						sol2.else_instances[j] = t.getInstanceByIID(sol.else_instances[j].iid);
				}
			}
		}
	};
	cr.type_toString = function ()
	{
		return "Type" + this.sid;
	};
	cr.do_cmp = function (x, cmp, y)
	{
		if (typeof x === "undefined" || typeof y === "undefined")
			return false;
		switch (cmp)
		{
			case 0:     // equal
				return x === y;
			case 1:     // not equal
				return x !== y;
			case 2:     // less
				return x < y;
			case 3:     // less/equal
				return x <= y;
			case 4:     // greater
				return x > y;
			case 5:     // greater/equal
				return x >= y;
			default:
;
				return false;
		}
	};
})();
cr.shaders = {};
;
;
cr.plugins_.Audio = function(runtime)
{
	this.runtime = runtime;
};
(function ()
{
	var pluginProto = cr.plugins_.Audio.prototype;
	pluginProto.Type = function(plugin)
	{
		this.plugin = plugin;
		this.runtime = plugin.runtime;
	};
	var typeProto = pluginProto.Type.prototype;
	typeProto.onCreate = function()
	{
	};
	var audRuntime = null;
	var audInst = null;
	var audTag = "";
	var appPath = "";			// for PhoneGap only
	var API_HTML5 = 0;
	var API_WEBAUDIO = 1;
	var API_PHONEGAP = 2;
	var API_APPMOBI = 3;
	var api = API_HTML5;
	var context = null;
	var audioBuffers = [];		// cache of buffers
	var audioInstances = [];	// cache of instances
	var lastAudio = null;
	var useOgg = false;			// determined at create time
	var timescale_mode = 0;
	var silent = false;
	var masterVolume = 1;
	var listenerX = 0;
	var listenerY = 0;
	var panningModel = 1;		// HRTF
	var distanceModel = 1;		// Inverse
	var refDistance = 10;
	var maxDistance = 10000;
	var rolloffFactor = 1;
	var micSource = null;
	var micTag = "";
	var isMusicWorkaround = false;
	var musicPlayNextTouch = [];
	function dbToLinear(x)
	{
		var v = dbToLinear_nocap(x);
		if (v < 0)
			v = 0;
		if (v > 1)
			v = 1;
		return v;
	};
	function linearToDb(x)
	{
		if (x < 0)
			x = 0;
		if (x > 1)
			x = 1;
		return linearToDb_nocap(x);
	};
	function dbToLinear_nocap(x)
	{
		return Math.pow(10, x / 20);
	};
	function linearToDb_nocap(x)
	{
		return (Math.log(x) / Math.log(10)) * 20;
	};
	var effects = {};
	function getDestinationForTag(tag)
	{
		tag = tag.toLowerCase();
		if (effects.hasOwnProperty(tag))
		{
			if (effects[tag].length)
				return effects[tag][0].getInputNode();
		}
		return context["destination"];
	};
	function createGain()
	{
		if (context["createGain"])
			return context["createGain"]();
		else
			return context["createGainNode"]();
	};
	function createDelay(d)
	{
		if (context["createDelay"])
			return context["createDelay"](d);
		else
			return context["createDelayNode"](d);
	};
	function startSource(s)
	{
		if (s["start"])
			s["start"](0);
		else
			s["noteOn"](0);
	};
	function startSourceAt(s, x, d)
	{
		if (s["start"])
			s["start"](0, x);
		else
			s["noteGrainOn"](0, x, d - x);
	};
	function stopSource(s)
	{
		try {
			if (s["stop"])
				s["stop"](0);
			else
				s["noteOff"](0);
		}
		catch (e) {}
	};
	function setAudioParam(ap, value, ramp, time)
	{
		if (!ap)
			return;		// iOS is missing some parameters
		ap["cancelScheduledValues"](0);
		if (time === 0)
		{
			ap["value"] = value;
			return;
		}
		var curTime = context["currentTime"];
		time += curTime;
		switch (ramp) {
		case 0:		// step
			ap["setValueAtTime"](value, time);
			break;
		case 1:		// linear
			ap["setValueAtTime"](ap["value"], curTime);		// to set what to ramp from
			ap["linearRampToValueAtTime"](value, time);
			break;
		case 2:		// exponential
			ap["setValueAtTime"](ap["value"], curTime);		// to set what to ramp from
			ap["exponentialRampToValueAtTime"](value, time);
			break;
		}
	};
	var filterTypes = ["lowpass", "highpass", "bandpass", "lowshelf", "highshelf", "peaking", "notch", "allpass"];
	function FilterEffect(type, freq, detune, q, gain, mix)
	{
		this.type = "filter";
		this.params = [type, freq, detune, q, gain, mix];
		this.inputNode = createGain();
		this.wetNode = createGain();
		this.wetNode["gain"]["value"] = mix;
		this.dryNode = createGain();
		this.dryNode["gain"]["value"] = 1 - mix;
		this.filterNode = context["createBiquadFilter"]();
		if (typeof this.filterNode["type"] === "number")
			this.filterNode["type"] = type;
		else
			this.filterNode["type"] = filterTypes[type];
		this.filterNode["frequency"]["value"] = freq;
		if (this.filterNode["detune"])		// iOS 6 doesn't have detune yet
			this.filterNode["detune"]["value"] = detune;
		this.filterNode["Q"]["value"] = q;
		this.filterNode["gain"]["value"] = gain;
		this.inputNode["connect"](this.filterNode);
		this.inputNode["connect"](this.dryNode);
		this.filterNode["connect"](this.wetNode);
	};
	FilterEffect.prototype.connectTo = function (node)
	{
		this.wetNode["disconnect"]();
		this.wetNode["connect"](node);
		this.dryNode["disconnect"]();
		this.dryNode["connect"](node);
	};
	FilterEffect.prototype.remove = function ()
	{
		this.inputNode["disconnect"]();
		this.filterNode["disconnect"]();
		this.wetNode["disconnect"]();
		this.dryNode["disconnect"]();
	};
	FilterEffect.prototype.getInputNode = function ()
	{
		return this.inputNode;
	};
	FilterEffect.prototype.setParam = function(param, value, ramp, time)
	{
		switch (param) {
		case 0:		// mix
			value = value / 100;
			if (value < 0) value = 0;
			if (value > 1) value = 1;
			this.params[5] = value;
			setAudioParam(this.wetNode["gain"], value, ramp, time);
			setAudioParam(this.dryNode["gain"], 1 - value, ramp, time);
			break;
		case 1:		// filter frequency
			this.params[1] = value;
			setAudioParam(this.filterNode["frequency"], value, ramp, time);
			break;
		case 2:		// filter detune
			this.params[2] = value;
			setAudioParam(this.filterNode["detune"], value, ramp, time);
			break;
		case 3:		// filter Q
			this.params[3] = value;
			setAudioParam(this.filterNode["Q"], value, ramp, time);
			break;
		case 4:		// filter/delay gain (note value is in dB here)
			this.params[4] = value;
			setAudioParam(this.filterNode["gain"], value, ramp, time);
			break;
		}
	};
	function DelayEffect(delayTime, delayGain, mix)
	{
		this.type = "delay";
		this.params = [delayTime, delayGain, mix];
		this.inputNode = createGain();
		this.wetNode = createGain();
		this.wetNode["gain"]["value"] = mix;
		this.dryNode = createGain();
		this.dryNode["gain"]["value"] = 1 - mix;
		this.mainNode = createGain();
		this.delayNode = createDelay(delayTime);
		this.delayNode["delayTime"]["value"] = delayTime;
		this.delayGainNode = createGain();
		this.delayGainNode["gain"]["value"] = delayGain;
		this.inputNode["connect"](this.mainNode);
		this.inputNode["connect"](this.dryNode);
		this.mainNode["connect"](this.wetNode);
		this.mainNode["connect"](this.delayNode);
		this.delayNode["connect"](this.delayGainNode);
		this.delayGainNode["connect"](this.mainNode);
	};
	DelayEffect.prototype.connectTo = function (node)
	{
		this.wetNode["disconnect"]();
		this.wetNode["connect"](node);
		this.dryNode["disconnect"]();
		this.dryNode["connect"](node);
	};
	DelayEffect.prototype.remove = function ()
	{
		this.inputNode["disconnect"]();
		this.mainNode["disconnect"]();
		this.delayNode["disconnect"]();
		this.delayGainNode["disconnect"]();
		this.wetNode["disconnect"]();
		this.dryNode["disconnect"]();
	};
	DelayEffect.prototype.getInputNode = function ()
	{
		return this.inputNode;
	};
	DelayEffect.prototype.setParam = function(param, value, ramp, time)
	{
		switch (param) {
		case 0:		// mix
			value = value / 100;
			if (value < 0) value = 0;
			if (value > 1) value = 1;
			this.params[2] = value;
			setAudioParam(this.wetNode["gain"], value, ramp, time);
			setAudioParam(this.dryNode["gain"], 1 - value, ramp, time);
			break;
		case 4:		// filter/delay gain (note value is passed in dB but needs to be linear here)
			this.params[1] = dbToLinear(value);
			setAudioParam(this.delayGainNode["gain"], dbToLinear(value), ramp, time);
			break;
		case 5:		// delay time
			this.params[0] = value;
			setAudioParam(this.delayNode["delayTime"], value, ramp, time);
			break;
		}
	};
	function ConvolveEffect(buffer, normalize, mix, src)
	{
		this.type = "convolve";
		this.params = [normalize, mix, src];
		this.inputNode = createGain();
		this.wetNode = createGain();
		this.wetNode["gain"]["value"] = mix;
		this.dryNode = createGain();
		this.dryNode["gain"]["value"] = 1 - mix;
		this.convolveNode = context["createConvolver"]();
		if (buffer)
		{
			this.convolveNode["normalize"] = normalize;
			this.convolveNode["buffer"] = buffer;
		}
		this.inputNode["connect"](this.convolveNode);
		this.inputNode["connect"](this.dryNode);
		this.convolveNode["connect"](this.wetNode);
	};
	ConvolveEffect.prototype.connectTo = function (node)
	{
		this.wetNode["disconnect"]();
		this.wetNode["connect"](node);
		this.dryNode["disconnect"]();
		this.dryNode["connect"](node);
	};
	ConvolveEffect.prototype.remove = function ()
	{
		this.inputNode["disconnect"]();
		this.convolveNode["disconnect"]();
		this.wetNode["disconnect"]();
		this.dryNode["disconnect"]();
	};
	ConvolveEffect.prototype.getInputNode = function ()
	{
		return this.inputNode;
	};
	ConvolveEffect.prototype.setParam = function(param, value, ramp, time)
	{
		switch (param) {
		case 0:		// mix
			value = value / 100;
			if (value < 0) value = 0;
			if (value > 1) value = 1;
			this.params[1] = value;
			setAudioParam(this.wetNode["gain"], value, ramp, time);
			setAudioParam(this.dryNode["gain"], 1 - value, ramp, time);
			break;
		}
	};
	function FlangerEffect(delay, modulation, freq, feedback, mix)
	{
		this.type = "flanger";
		this.params = [delay, modulation, freq, feedback, mix];
		this.inputNode = createGain();
		this.dryNode = createGain();
		this.dryNode["gain"]["value"] = 1 - (mix / 2);
		this.wetNode = createGain();
		this.wetNode["gain"]["value"] = mix / 2;
		this.feedbackNode = createGain();
		this.feedbackNode["gain"]["value"] = feedback;
		this.delayNode = createDelay(delay + modulation);
		this.delayNode["delayTime"]["value"] = delay;
		this.oscNode = context["createOscillator"]();
		this.oscNode["frequency"]["value"] = freq;
		this.oscGainNode = createGain();
		this.oscGainNode["gain"]["value"] = modulation;
		this.inputNode["connect"](this.delayNode);
		this.inputNode["connect"](this.dryNode);
		this.delayNode["connect"](this.wetNode);
		this.delayNode["connect"](this.feedbackNode);
		this.feedbackNode["connect"](this.delayNode);
		this.oscNode["connect"](this.oscGainNode);
		this.oscGainNode["connect"](this.delayNode["delayTime"]);
		startSource(this.oscNode);
	};
	FlangerEffect.prototype.connectTo = function (node)
	{
		this.dryNode["disconnect"]();
		this.dryNode["connect"](node);
		this.wetNode["disconnect"]();
		this.wetNode["connect"](node);
	};
	FlangerEffect.prototype.remove = function ()
	{
		this.inputNode["disconnect"]();
		this.delayNode["disconnect"]();
		this.oscNode["disconnect"]();
		this.oscGainNode["disconnect"]();
		this.dryNode["disconnect"]();
		this.wetNode["disconnect"]();
		this.feedbackNode["disconnect"]();
	};
	FlangerEffect.prototype.getInputNode = function ()
	{
		return this.inputNode;
	};
	FlangerEffect.prototype.setParam = function(param, value, ramp, time)
	{
		switch (param) {
		case 0:		// mix
			value = value / 100;
			if (value < 0) value = 0;
			if (value > 1) value = 1;
			this.params[4] = value;
			setAudioParam(this.wetNode["gain"], value / 2, ramp, time);
			setAudioParam(this.dryNode["gain"], 1 - (value / 2), ramp, time);
			break;
		case 6:		// modulation
			this.params[1] = value / 1000;
			setAudioParam(this.oscGainNode["gain"], value / 1000, ramp, time);
			break;
		case 7:		// modulation frequency
			this.params[2] = value;
			setAudioParam(this.oscNode["frequency"], value, ramp, time);
			break;
		case 8:		// feedback
			this.params[3] = value / 100;
			setAudioParam(this.feedbackNode["gain"], value / 100, ramp, time);
			break;
		}
	};
	function PhaserEffect(freq, detune, q, modulation, modfreq, mix)
	{
		this.type = "phaser";
		this.params = [freq, detune, q, modulation, modfreq, mix];
		this.inputNode = createGain();
		this.dryNode = createGain();
		this.dryNode["gain"]["value"] = 1 - (mix / 2);
		this.wetNode = createGain();
		this.wetNode["gain"]["value"] = mix / 2;
		this.filterNode = context["createBiquadFilter"]();
		if (typeof this.filterNode["type"] === "number")
			this.filterNode["type"] = 7;	// all-pass
		else
			this.filterNode["type"] = "allpass";
		this.filterNode["frequency"]["value"] = freq;
		if (this.filterNode["detune"])		// iOS 6 doesn't have detune yet
			this.filterNode["detune"]["value"] = detune;
		this.filterNode["Q"]["value"] = q;
		this.oscNode = context["createOscillator"]();
		this.oscNode["frequency"]["value"] = modfreq;
		this.oscGainNode = createGain();
		this.oscGainNode["gain"]["value"] = modulation;
		this.inputNode["connect"](this.filterNode);
		this.inputNode["connect"](this.dryNode);
		this.filterNode["connect"](this.wetNode);
		this.oscNode["connect"](this.oscGainNode);
		this.oscGainNode["connect"](this.filterNode["frequency"]);
		startSource(this.oscNode);
	};
	PhaserEffect.prototype.connectTo = function (node)
	{
		this.dryNode["disconnect"]();
		this.dryNode["connect"](node);
		this.wetNode["disconnect"]();
		this.wetNode["connect"](node);
	};
	PhaserEffect.prototype.remove = function ()
	{
		this.inputNode["disconnect"]();
		this.filterNode["disconnect"]();
		this.oscNode["disconnect"]();
		this.oscGainNode["disconnect"]();
		this.dryNode["disconnect"]();
		this.wetNode["disconnect"]();
	};
	PhaserEffect.prototype.getInputNode = function ()
	{
		return this.inputNode;
	};
	PhaserEffect.prototype.setParam = function(param, value, ramp, time)
	{
		switch (param) {
		case 0:		// mix
			value = value / 100;
			if (value < 0) value = 0;
			if (value > 1) value = 1;
			this.params[5] = value;
			setAudioParam(this.wetNode["gain"], value / 2, ramp, time);
			setAudioParam(this.dryNode["gain"], 1 - (value / 2), ramp, time);
			break;
		case 1:		// filter frequency
			this.params[0] = value;
			setAudioParam(this.filterNode["frequency"], value, ramp, time);
			break;
		case 2:		// filter detune
			this.params[1] = value;
			setAudioParam(this.filterNode["detune"], value, ramp, time);
			break;
		case 3:		// filter Q
			this.params[2] = value;
			setAudioParam(this.filterNode["Q"], value, ramp, time);
			break;
		case 6:		// modulation
			this.params[3] = value;
			setAudioParam(this.oscGainNode["gain"], value, ramp, time);
			break;
		case 7:		// modulation frequency
			this.params[4] = value;
			setAudioParam(this.oscNode["frequency"], value, ramp, time);
			break;
		}
	};
	function GainEffect(g)
	{
		this.type = "gain";
		this.params = [g];
		this.node = createGain();
		this.node["gain"]["value"] = g;
	};
	GainEffect.prototype.connectTo = function (node_)
	{
		this.node["disconnect"]();
		this.node["connect"](node_);
	};
	GainEffect.prototype.remove = function ()
	{
		this.node["disconnect"]();
	};
	GainEffect.prototype.getInputNode = function ()
	{
		return this.node;
	};
	GainEffect.prototype.setParam = function(param, value, ramp, time)
	{
		switch (param) {
		case 4:		// gain
			this.params[0] = dbToLinear(value);
			setAudioParam(this.node["gain"], dbToLinear(value), ramp, time);
			break;
		}
	};
	function TremoloEffect(freq, mix)
	{
		this.type = "tremolo";
		this.params = [freq, mix];
		this.node = createGain();
		this.node["gain"]["value"] = 1 - (mix / 2);
		this.oscNode = context["createOscillator"]();
		this.oscNode["frequency"]["value"] = freq;
		this.oscGainNode = createGain();
		this.oscGainNode["gain"]["value"] = mix / 2;
		this.oscNode["connect"](this.oscGainNode);
		this.oscGainNode["connect"](this.node["gain"]);
		startSource(this.oscNode);
	};
	TremoloEffect.prototype.connectTo = function (node_)
	{
		this.node["disconnect"]();
		this.node["connect"](node_);
	};
	TremoloEffect.prototype.remove = function ()
	{
		this.oscNode["disconnect"]();
		this.oscGainNode["disconnect"]();
		this.node["disconnect"]();
	};
	TremoloEffect.prototype.getInputNode = function ()
	{
		return this.node;
	};
	TremoloEffect.prototype.setParam = function(param, value, ramp, time)
	{
		switch (param) {
		case 0:		// mix
			value = value / 100;
			if (value < 0) value = 0;
			if (value > 1) value = 1;
			this.params[1] = value;
			setAudioParam(this.node["gain"]["value"], 1 - (value / 2), ramp, time);
			setAudioParam(this.oscGainNode["gain"]["value"], value / 2, ramp, time);
			break;
		case 7:		// modulation frequency
			this.params[0] = value;
			setAudioParam(this.oscNode["frequency"], value, ramp, time);
			break;
		}
	};
	function RingModulatorEffect(freq, mix)
	{
		this.type = "ringmod";
		this.params = [freq, mix];
		this.inputNode = createGain();
		this.wetNode = createGain();
		this.wetNode["gain"]["value"] = mix;
		this.dryNode = createGain();
		this.dryNode["gain"]["value"] = 1 - mix;
		this.ringNode = createGain();
		this.ringNode["gain"]["value"] = 0;
		this.oscNode = context["createOscillator"]();
		this.oscNode["frequency"]["value"] = freq;
		this.oscNode["connect"](this.ringNode["gain"]);
		startSource(this.oscNode);
		this.inputNode["connect"](this.ringNode);
		this.inputNode["connect"](this.dryNode);
		this.ringNode["connect"](this.wetNode);
	};
	RingModulatorEffect.prototype.connectTo = function (node_)
	{
		this.wetNode["disconnect"]();
		this.wetNode["connect"](node_);
		this.dryNode["disconnect"]();
		this.dryNode["connect"](node_);
	};
	RingModulatorEffect.prototype.remove = function ()
	{
		this.oscNode["disconnect"]();
		this.ringNode["disconnect"]();
		this.inputNode["disconnect"]();
		this.wetNode["disconnect"]();
		this.dryNode["disconnect"]();
	};
	RingModulatorEffect.prototype.getInputNode = function ()
	{
		return this.inputNode;
	};
	RingModulatorEffect.prototype.setParam = function(param, value, ramp, time)
	{
		switch (param) {
		case 0:		// mix
			value = value / 100;
			if (value < 0) value = 0;
			if (value > 1) value = 1;
			this.params[1] = value;
			setAudioParam(this.wetNode["gain"], value, ramp, time);
			setAudioParam(this.dryNode["gain"], 1 - value, ramp, time);
			break;
		case 7:		// modulation frequency
			this.params[0] = value;
			setAudioParam(this.oscNode["frequency"], value, ramp, time);
			break;
		}
	};
	function DistortionEffect(threshold, headroom, drive, makeupgain, mix)
	{
		this.type = "distortion";
		this.params = [threshold, headroom, drive, makeupgain, mix];
		this.inputNode = createGain();
		this.preGain = createGain();
		this.postGain = createGain();
		this.setDrive(drive, dbToLinear_nocap(makeupgain));
		this.wetNode = createGain();
		this.wetNode["gain"]["value"] = mix;
		this.dryNode = createGain();
		this.dryNode["gain"]["value"] = 1 - mix;
		this.waveShaper = context["createWaveShaper"]();
		this.curve = new Float32Array(65536);
		this.generateColortouchCurve(threshold, headroom);
		this.waveShaper.curve = this.curve;
		this.inputNode["connect"](this.preGain);
		this.inputNode["connect"](this.dryNode);
		this.preGain["connect"](this.waveShaper);
		this.waveShaper["connect"](this.postGain);
		this.postGain["connect"](this.wetNode);
	};
	DistortionEffect.prototype.setDrive = function (drive, makeupgain)
	{
		if (drive < 0.01)
			drive = 0.01;
		this.preGain["gain"]["value"] = drive;
		this.postGain["gain"]["value"] = Math.pow(1 / drive, 0.6) * makeupgain;
	};
	function e4(x, k)
	{
		return 1.0 - Math.exp(-k * x);
	}
	DistortionEffect.prototype.shape = function (x, linearThreshold, linearHeadroom)
	{
		var maximum = 1.05 * linearHeadroom * linearThreshold;
		var kk = (maximum - linearThreshold);
		var sign = x < 0 ? -1 : +1;
		var absx = x < 0 ? -x : x;
		var shapedInput = absx < linearThreshold ? absx : linearThreshold + kk * e4(absx - linearThreshold, 1.0 / kk);
		shapedInput *= sign;
		return shapedInput;
	};
	DistortionEffect.prototype.generateColortouchCurve = function (threshold, headroom)
	{
		var linearThreshold = dbToLinear_nocap(threshold);
		var linearHeadroom = dbToLinear_nocap(headroom);
		var n = 65536;
		var n2 = n / 2;
		var x = 0;
		for (var i = 0; i < n2; ++i) {
			x = i / n2;
			x = this.shape(x, linearThreshold, linearHeadroom);
			this.curve[n2 + i] = x;
			this.curve[n2 - i - 1] = -x;
		}
	};
	DistortionEffect.prototype.connectTo = function (node)
	{
		this.wetNode["disconnect"]();
		this.wetNode["connect"](node);
		this.dryNode["disconnect"]();
		this.dryNode["connect"](node);
	};
	DistortionEffect.prototype.remove = function ()
	{
		this.inputNode["disconnect"]();
		this.preGain["disconnect"]();
		this.waveShaper["disconnect"]();
		this.postGain["disconnect"]();
		this.wetNode["disconnect"]();
		this.dryNode["disconnect"]();
	};
	DistortionEffect.prototype.getInputNode = function ()
	{
		return this.inputNode;
	};
	DistortionEffect.prototype.setParam = function(param, value, ramp, time)
	{
		switch (param) {
		case 0:		// mix
			value = value / 100;
			if (value < 0) value = 0;
			if (value > 1) value = 1;
			this.params[4] = value;
			setAudioParam(this.wetNode["gain"], value, ramp, time);
			setAudioParam(this.dryNode["gain"], 1 - value, ramp, time);
			break;
		}
	};
	function CompressorEffect(threshold, knee, ratio, attack, release)
	{
		this.type = "compressor";
		this.params = [threshold, knee, ratio, attack, release];
		this.node = context["createDynamicsCompressor"]();
		try {
			this.node["threshold"]["value"] = threshold;
			this.node["knee"]["value"] = knee;
			this.node["ratio"]["value"] = ratio;
			this.node["attack"]["value"] = attack;
			this.node["release"]["value"] = release;
		}
		catch (e) {}
	};
	CompressorEffect.prototype.connectTo = function (node_)
	{
		this.node["disconnect"]();
		this.node["connect"](node_);
	};
	CompressorEffect.prototype.remove = function ()
	{
		this.node["disconnect"]();
	};
	CompressorEffect.prototype.getInputNode = function ()
	{
		return this.node;
	};
	CompressorEffect.prototype.setParam = function(param, value, ramp, time)
	{
	};
	function AnalyserEffect(fftSize, smoothing)
	{
		this.type = "analyser";
		this.params = [fftSize, smoothing];
		this.node = context["createAnalyser"]();
		this.node["fftSize"] = fftSize;
		this.node["smoothingTimeConstant"] = smoothing;
		this.freqBins = new Float32Array(this.node["frequencyBinCount"]);
		this.signal = new Uint8Array(fftSize);
		this.peak = 0;
		this.rms = 0;
	};
	AnalyserEffect.prototype.tick = function ()
	{
		this.node["getFloatFrequencyData"](this.freqBins);
		this.node["getByteTimeDomainData"](this.signal);
		var fftSize = this.node["fftSize"];
		var i = 0;
		this.peak = 0;
		var rmsSquaredSum = 0;
		var s = 0;
		for ( ; i < fftSize; i++)
		{
			s = (this.signal[i] - 128) / 128;
			if (s < 0)
				s = -s;
			if (this.peak < s)
				this.peak = s;
			rmsSquaredSum += s * s;
		}
		this.peak = linearToDb(this.peak);
		this.rms = linearToDb(Math.sqrt(rmsSquaredSum / fftSize));
	};
	AnalyserEffect.prototype.connectTo = function (node_)
	{
		this.node["disconnect"]();
		this.node["connect"](node_);
	};
	AnalyserEffect.prototype.remove = function ()
	{
		this.node["disconnect"]();
	};
	AnalyserEffect.prototype.getInputNode = function ()
	{
		return this.node;
	};
	AnalyserEffect.prototype.setParam = function(param, value, ramp, time)
	{
	};
	var OT_POS_SAMPLES = 4;
	function ObjectTracker()
	{
		this.obj = null;
		this.loadUid = 0;
		this.speeds = [];
		this.lastX = 0;
		this.lastY = 0;
		this.moveAngle = 0;
	};
	ObjectTracker.prototype.setObject = function (obj_)
	{
		this.obj = obj_;
		if (this.obj)
		{
			this.lastX = this.obj.x;
			this.lastY = this.obj.y;
		}
		this.speeds.length = 0;
	};
	ObjectTracker.prototype.hasObject = function ()
	{
		return !!this.obj;
	};
	ObjectTracker.prototype.tick = function (dt)
	{
		if (!this.obj || dt === 0)
			return;
		this.moveAngle = cr.angleTo(this.lastX, this.lastY, this.obj.x, this.obj.y);
		var s = cr.distanceTo(this.lastX, this.lastY, this.obj.x, this.obj.y) / dt;
		if (this.speeds.length < OT_POS_SAMPLES)
			this.speeds.push(s);
		else
		{
			this.speeds.shift();
			this.speeds.push(s);
		}
		this.lastX = this.obj.x;
		this.lastY = this.obj.y;
	};
	ObjectTracker.prototype.getSpeed = function ()
	{
		if (!this.speeds.length)
			return 0;
		var i, len, sum = 0;
		for (i = 0, len = this.speeds.length; i < len; i++)
		{
			sum += this.speeds[i];
		}
		return sum / this.speeds.length;
	};
	ObjectTracker.prototype.getVelocityX = function ()
	{
		return Math.cos(this.moveAngle) * this.getSpeed();
	};
	ObjectTracker.prototype.getVelocityY = function ()
	{
		return Math.sin(this.moveAngle) * this.getSpeed();
	};
	var iOShadtouch = false;	// has had touch input on iOS to work around web audio API muting
	function C2AudioBuffer(src_, is_music)
	{
		this.src = src_;
		this.myapi = api;
		this.is_music = is_music;
		this.added_end_listener = false;
		var self = this;
		this.outNode = null;
		this.mediaSourceNode = null;
		this.panWhenReady = [];		// for web audio API positioned sounds
		this.seekWhenReady = 0;
		this.pauseWhenReady = false;
		this.supportWebAudioAPI = false;
		if (api === API_WEBAUDIO && is_music)
		{
			this.myapi = API_HTML5;
			this.outNode = createGain();
		}
		this.bufferObject = null;			// actual audio object
		this.audioData = null;				// web audio api: ajax request result (compressed audio that needs decoding)
		var request;
		switch (this.myapi) {
		case API_HTML5:
			this.bufferObject = new Audio();
			if (api === API_WEBAUDIO && context["createMediaElementSource"] && !audRuntime.isFirefox)
			{
				this.supportWebAudioAPI = true;		// can be routed through web audio api
				this.bufferObject.addEventListener("canplay", function ()
				{
					if (!self.mediaSourceNode)		// protect against this event firing twice
					{
						self.mediaSourceNode = context["createMediaElementSource"](self.bufferObject);
						self.mediaSourceNode["connect"](self.outNode);
					}
				});
			}
			this.bufferObject.autoplay = false;	// this is only a source buffer, not an instance
			this.bufferObject.preload = "auto";
			this.bufferObject.src = src_;
			break;
		case API_WEBAUDIO:
			request = new XMLHttpRequest();
			request.open("GET", src_, true);
			request.responseType = "arraybuffer";
			request.onload = function () {
				self.audioData = request.response;
				self.decodeAudioBuffer();
			};
			request.send();
			break;
		case API_PHONEGAP:
			this.bufferObject = true;
			break;
		case API_APPMOBI:
			this.bufferObject = true;
			break;
		}
	};
	C2AudioBuffer.prototype.decodeAudioBuffer = function ()
	{
		if (this.bufferObject || !this.audioData)
			return;		// audio already decoded or AJAX request not yet complete
		var self = this;
		if (context["decodeAudioData"])
		{
			context["decodeAudioData"](this.audioData, function (buffer) {
					self.bufferObject = buffer;
					var p, i, len, a;
					if (!cr.is_undefined(self.playTagWhenReady) && !silent)
					{
						if (self.panWhenReady.length)
						{
							for (i = 0, len = self.panWhenReady.length; i < len; i++)
							{
								p = self.panWhenReady[i];
								a = new C2AudioInstance(self, p.thistag);
								a.setPannerEnabled(true);
								if (typeof p.objUid !== "undefined")
								{
									p.obj = audRuntime.getObjectByUID(p.objUid);
									if (!p.obj)
										continue;
								}
								if (p.obj)
								{
									var px = cr.rotatePtAround(p.obj.x, p.obj.y, -p.obj.layer.getAngle(), listenerX, listenerY, true);
									var py = cr.rotatePtAround(p.obj.x, p.obj.y, -p.obj.layer.getAngle(), listenerX, listenerY, false);
									a.setPan(px, py, cr.to_degrees(p.obj.angle - p.obj.layer.getAngle()), p.ia, p.oa, p.og);
									a.setObject(p.obj);
								}
								else
								{
									a.setPan(p.x, p.y, p.a, p.ia, p.oa, p.og);
								}
								a.play(self.loopWhenReady, self.volumeWhenReady, self.seekWhenReady);
								if (self.pauseWhenReady)
									a.pause();
								audioInstances.push(a);
							}
							self.panWhenReady.length = 0;
						}
						else
						{
							a = new C2AudioInstance(self, self.playTagWhenReady);
							a.play(self.loopWhenReady, self.volumeWhenReady, self.seekWhenReady);
							if (self.pauseWhenReady)
								a.pause();
							audioInstances.push(a);
						}
					}
					else if (!cr.is_undefined(self.convolveWhenReady))
					{
						var convolveNode = self.convolveWhenReady.convolveNode;
						convolveNode["normalize"] = self.normalizeWhenReady;
						convolveNode["buffer"] = buffer;
					}
			});
		}
		else
		{
			this.bufferObject = context["createBuffer"](this.audioData, false);
			if (!cr.is_undefined(this.playTagWhenReady) && !silent)
			{
				var a = new C2AudioInstance(this, this.playTagWhenReady);
				a.play(this.loopWhenReady, this.volumeWhenReady, this.seekWhenReady);
				if (this.pauseWhenReady)
					a.pause();
				audioInstances.push(a);
			}
			else if (!cr.is_undefined(this.convolveWhenReady))
			{
				var convolveNode = this.convolveWhenReady.convolveNode;
				convolveNode["normalize"] = this.normalizeWhenReady;
				convolveNode["buffer"] = this.bufferObject;
			}
		}
	};
	C2AudioBuffer.prototype.isLoaded = function ()
	{
		switch (this.myapi) {
		case API_HTML5:
			return this.bufferObject["readyState"] === 4;	// HAVE_ENOUGH_DATA
		case API_WEBAUDIO:
			return !!this.audioData;			// null until AJAX request completes
		case API_PHONEGAP:
			return true;
		case API_APPMOBI:
			return true;
		}
		return false;
	};
	function C2AudioInstance(buffer_, tag_)
	{
		var self = this;
		this.tag = tag_;
		this.fresh = true;
		this.stopped = true;
		this.src = buffer_.src;
		this.buffer = buffer_;
		this.myapi = api;
		this.is_music = buffer_.is_music;
		this.playbackRate = 1;
		this.pgended = true;			// for PhoneGap only: ended flag
		this.resume_me = false;			// make sure resumes when leaving suspend
		this.is_paused = false;
		this.resume_position = 0;		// for web audio api to resume from correct playback position
		this.looping = false;
		this.is_muted = false;
		this.is_silent = false;
		this.volume = 1;
		this.mutevol = 1;
		this.startTime = audRuntime.kahanTime.sum;
		this.gainNode = null;
		this.pannerNode = null;
		this.pannerEnabled = false;
		this.objectTracker = null;
		this.panX = 0;
		this.panY = 0;
		this.panAngle = 0;
		this.panConeInner = 0;
		this.panConeOuter = 0;
		this.panConeOuterGain = 0;
		this.instanceObject = null;
		var add_end_listener = false;
		if (this.myapi === API_WEBAUDIO && this.buffer.myapi === API_HTML5 && !this.buffer.supportWebAudioAPI)
			this.myapi = API_HTML5;
		switch (this.myapi) {
		case API_HTML5:
			if (this.is_music)
			{
				this.instanceObject = buffer_.bufferObject;
				add_end_listener = !buffer_.added_end_listener;
				buffer_.added_end_listener = true;
			}
			else
			{
				this.instanceObject = new Audio();
				this.instanceObject.autoplay = false;
				this.instanceObject.src = buffer_.bufferObject.src;
				add_end_listener = true;
			}
			if (add_end_listener)
			{
				this.instanceObject.addEventListener('ended', function () {
						audTag = self.tag;
						self.stopped = true;
						audRuntime.trigger(cr.plugins_.Audio.prototype.cnds.OnEnded, audInst);
				});
			}
			break;
		case API_WEBAUDIO:
			this.gainNode = createGain();
			this.gainNode["connect"](getDestinationForTag(tag_));
			if (this.buffer.myapi === API_WEBAUDIO)
			{
				if (buffer_.bufferObject)
				{
					this.instanceObject = context["createBufferSource"]();
					this.instanceObject["buffer"] = buffer_.bufferObject;
					this.instanceObject["connect"](this.gainNode);
				}
			}
			else
			{
				this.instanceObject = this.buffer.bufferObject;		// reference the audio element
				this.buffer.outNode["connect"](this.gainNode);
			}
			break;
		case API_PHONEGAP:
			this.instanceObject = new window["Media"](appPath + this.src, null, null, function (status) {
					if (status === window["Media"]["MEDIA_STOPPED"])
					{
						self.pgended = true;
						self.stopped = true;
						audTag = self.tag;
						audRuntime.trigger(cr.plugins_.Audio.prototype.cnds.OnEnded, audInst);
					}
			});
			break;
		case API_APPMOBI:
			this.instanceObject = true;
			break;
		}
	};
	C2AudioInstance.prototype.hasEnded = function ()
	{
		switch (this.myapi) {
		case API_HTML5:
			return this.instanceObject.ended;
		case API_WEBAUDIO:
			if (this.buffer.myapi === API_WEBAUDIO)
			{
				if (!this.fresh && !this.stopped && this.instanceObject["loop"])
					return false;
				if (this.is_paused)
					return false;
				return (audRuntime.kahanTime.sum - this.startTime) > this.buffer.bufferObject["duration"];
			}
			else
				return this.instanceObject.ended;
		case API_PHONEGAP:
			return this.pgended;
		case API_APPMOBI:
			true;	// recycling an AppMobi sound does not matter because it will just do another throwaway playSound
		}
		return true;
	};
	C2AudioInstance.prototype.canBeRecycled = function ()
	{
		if (this.fresh || this.stopped)
			return true;		// not yet used or is not playing
		return this.hasEnded();
	};
	C2AudioInstance.prototype.setPannerEnabled = function (enable_)
	{
		if (api !== API_WEBAUDIO)
			return;
		if (!this.pannerEnabled && enable_)
		{
			if (!this.gainNode)
				return;
			if (!this.pannerNode)
			{
				this.pannerNode = context["createPanner"]();
				if (typeof this.pannerNode["panningModel"] === "number")
					this.pannerNode["panningModel"] = panningModel;
				else
					this.pannerNode["panningModel"] = ["equalpower", "HRTF", "soundfield"][panningModel];
				if (typeof this.pannerNode["distanceModel"] === "number")
					this.pannerNode["distanceModel"] = distanceModel;
				else
					this.pannerNode["distanceModel"] = ["linear", "inverse", "exponential"][distanceModel];
				this.pannerNode["refDistance"] = refDistance;
				this.pannerNode["maxDistance"] = maxDistance;
				this.pannerNode["rolloffFactor"] = rolloffFactor;
			}
			this.gainNode["disconnect"]();
			this.gainNode["connect"](this.pannerNode);
			this.pannerNode["connect"](getDestinationForTag(this.tag));
			this.pannerEnabled = true;
		}
		else if (this.pannerEnabled && !enable_)
		{
			if (!this.gainNode)
				return;
			this.pannerNode["disconnect"]();
			this.gainNode["disconnect"]();
			this.gainNode["connect"](getDestinationForTag(this.tag));
			this.pannerEnabled = false;
		}
	};
	C2AudioInstance.prototype.setPan = function (x, y, angle, innerangle, outerangle, outergain)
	{
		if (!this.pannerEnabled || api !== API_WEBAUDIO)
			return;
		this.pannerNode["setPosition"](x, y, 0);
		this.pannerNode["setOrientation"](Math.cos(cr.to_radians(angle)), Math.sin(cr.to_radians(angle)), 0);
		this.pannerNode["coneInnerAngle"] = innerangle;
		this.pannerNode["coneOuterAngle"] = outerangle;
		this.pannerNode["coneOuterGain"] = outergain;
		this.panX = x;
		this.panY = y;
		this.panAngle = angle;
		this.panConeInner = innerangle;
		this.panConeOuter = outerangle;
		this.panConeOuterGain = outergain;
	};
	C2AudioInstance.prototype.setObject = function (o)
	{
		if (!this.pannerEnabled || api !== API_WEBAUDIO)
			return;
		if (!this.objectTracker)
			this.objectTracker = new ObjectTracker();
		this.objectTracker.setObject(o);
	};
	C2AudioInstance.prototype.tick = function (dt)
	{
		if (!this.pannerEnabled || api !== API_WEBAUDIO || !this.objectTracker || !this.objectTracker.hasObject() || !this.isPlaying())
		{
			return;
		}
		this.objectTracker.tick(dt);
		var inst = this.objectTracker.obj;
		var px = cr.rotatePtAround(inst.x, inst.y, -inst.layer.getAngle(), listenerX, listenerY, true);
		var py = cr.rotatePtAround(inst.x, inst.y, -inst.layer.getAngle(), listenerX, listenerY, false);
		this.pannerNode["setPosition"](px, py, 0);
		var a = 0;
		if (typeof this.objectTracker.obj.angle !== "undefined")
		{
			a = inst.angle - inst.layer.getAngle();
			this.pannerNode["setOrientation"](Math.cos(a), Math.sin(a), 0);
		}
		px = cr.rotatePtAround(this.objectTracker.getVelocityX(), this.objectTracker.getVelocityY(), -inst.layer.getAngle(), 0, 0, true);
		py = cr.rotatePtAround(this.objectTracker.getVelocityX(), this.objectTracker.getVelocityY(), -inst.layer.getAngle(), 0, 0, false);
		this.pannerNode["setVelocity"](px, py, 0);
	};
	C2AudioInstance.prototype.play = function (looping, vol, fromPosition)
	{
		var instobj = this.instanceObject;
		this.looping = looping;
		this.volume = vol;
		var seekPos = fromPosition || 0;
		switch (this.myapi) {
		case API_HTML5:
			if (instobj.playbackRate !== 1.0)
				instobj.playbackRate = 1.0;
			if (instobj.volume !== vol * masterVolume)
				instobj.volume = vol * masterVolume;
			if (instobj.loop !== looping)
				instobj.loop = looping;
			if (instobj.muted)
				instobj.muted = false;
			if (instobj.currentTime !== seekPos)
			{
				try {
					instobj.currentTime = seekPos;
				}
				catch (err)
				{
;
				}
			}
			if (this.is_music && isMusicWorkaround && !audRuntime.isInUserInputEvent)
				musicPlayNextTouch.push(this);
			else
				this.instanceObject.play();
			break;
		case API_WEBAUDIO:
			this.muted = false;
			this.mutevol = 1;
			if (this.buffer.myapi === API_WEBAUDIO)
			{
				if (!this.fresh)
				{
					this.instanceObject = context["createBufferSource"]();
					this.instanceObject["buffer"] = this.buffer.bufferObject;
					this.instanceObject["connect"](this.gainNode);
				}
				this.instanceObject.loop = looping;
				this.gainNode["gain"]["value"] = vol * masterVolume;
				if (seekPos === 0)
					startSource(this.instanceObject);
				else
					startSourceAt(this.instanceObject, seekPos, this.getDuration());
			}
			else
			{
				if (instobj.playbackRate !== 1.0)
					instobj.playbackRate = 1.0;
				if (instobj.loop !== looping)
					instobj.loop = looping;
				this.gainNode["gain"]["value"] = vol * masterVolume;
				if (instobj.currentTime !== seekPos)
				{
					try {
						instobj.currentTime = seekPos;
					}
					catch (err)
					{
;
					}
				}
				if (this.is_music && isMusicWorkaround && !audRuntime.isInUserInputEvent)
					musicPlayNextTouch.push(this);
				else
					instobj.play();
			}
			break;
		case API_PHONEGAP:
			if ((!this.fresh && this.stopped) || seekPos !== 0)
				instobj["seekTo"](seekPos);
			instobj["play"]();
			this.pgended = false;
			break;
		case API_APPMOBI:
			if (audRuntime.isDirectCanvas)
				AppMobi["context"]["playSound"](this.src, looping);
			else
				AppMobi["player"]["playSound"](this.src, looping);
			break;
		}
		this.playbackRate = 1;
		this.startTime = audRuntime.kahanTime.sum - seekPos;
		this.fresh = false;
		this.stopped = false;
		this.is_paused = false;
	};
	C2AudioInstance.prototype.stop = function ()
	{
		switch (this.myapi) {
		case API_HTML5:
			if (!this.instanceObject.paused)
				this.instanceObject.pause();
			break;
		case API_WEBAUDIO:
			if (this.buffer.myapi === API_WEBAUDIO)
				stopSource(this.instanceObject);
			else
			{
				if (!this.instanceObject.paused)
					this.instanceObject.pause();
			}
			break;
		case API_PHONEGAP:
			this.instanceObject["stop"]();
			break;
		case API_APPMOBI:
			if (audRuntime.isDirectCanvas)
				AppMobi["context"]["stopSound"](this.src);
			break;
		}
		this.stopped = true;
		this.is_paused = false;
	};
	C2AudioInstance.prototype.pause = function ()
	{
		if (this.fresh || this.stopped || this.hasEnded() || this.is_paused)
			return;
		switch (this.myapi) {
		case API_HTML5:
			if (!this.instanceObject.paused)
				this.instanceObject.pause();
			break;
		case API_WEBAUDIO:
			if (this.buffer.myapi === API_WEBAUDIO)
			{
				this.resume_position = this.getPlaybackTime();
				if (this.looping)
					this.resume_position = this.resume_position % this.getDuration();
				stopSource(this.instanceObject);
			}
			else
			{
				if (!this.instanceObject.paused)
					this.instanceObject.pause();
			}
			break;
		case API_PHONEGAP:
			this.instanceObject["pause"]();
			break;
		case API_APPMOBI:
			if (audRuntime.isDirectCanvas)
				AppMobi["context"]["stopSound"](this.src);
			break;
		}
		this.is_paused = true;
	};
	C2AudioInstance.prototype.resume = function ()
	{
		if (this.fresh || this.stopped || this.hasEnded() || !this.is_paused)
			return;
		switch (this.myapi) {
		case API_HTML5:
			this.instanceObject.play();
			break;
		case API_WEBAUDIO:
			if (this.buffer.myapi === API_WEBAUDIO)
			{
				this.instanceObject = context["createBufferSource"]();
				this.instanceObject["buffer"] = this.buffer.bufferObject;
				this.instanceObject["connect"](this.gainNode);
				this.instanceObject.loop = this.looping;
				this.gainNode["gain"]["value"] = masterVolume * this.volume * this.mutevol;
				this.startTime = audRuntime.kahanTime.sum - this.resume_position;
				startSourceAt(this.instanceObject, this.resume_position, this.getDuration());
			}
			else
			{
				this.instanceObject.play();
			}
			break;
		case API_PHONEGAP:
			this.instanceObject["play"]();
			break;
		case API_APPMOBI:
			if (audRuntime.isDirectCanvas)
				AppMobi["context"]["resumeSound"](this.src);
			break;
		}
		this.is_paused = false;
	};
	C2AudioInstance.prototype.seek = function (pos)
	{
		if (this.fresh || this.stopped || this.hasEnded())
			return;
		switch (this.myapi) {
		case API_HTML5:
			try {
				this.instanceObject.currentTime = pos;
			}
			catch (e) {}
			break;
		case API_WEBAUDIO:
			if (this.buffer.myapi === API_WEBAUDIO)
			{
				if (this.is_paused)
					this.resume_position = pos;
				else
				{
					this.pause();
					this.resume_position = pos;
					this.resume();
				}
			}
			else
			{
				try {
					this.instanceObject.currentTime = pos;
				}
				catch (e) {}
			}
			break;
		case API_PHONEGAP:
			break;
		case API_APPMOBI:
			if (audRuntime.isDirectCanvas)
				AppMobi["context"]["seekSound"](this.src, pos);
			break;
		}
	};
	C2AudioInstance.prototype.reconnect = function (toNode)
	{
		if (this.myapi !== API_WEBAUDIO)
			return;
		if (this.pannerEnabled)
		{
			this.pannerNode["disconnect"]();
			this.pannerNode["connect"](toNode);
		}
		else
		{
			this.gainNode["disconnect"]();
			this.gainNode["connect"](toNode);
		}
	};
	C2AudioInstance.prototype.getDuration = function ()
	{
		switch (this.myapi) {
		case API_HTML5:
			if (typeof this.instanceObject.duration !== "undefined")
				return this.instanceObject.duration;
			else
				return 0;
		case API_WEBAUDIO:
			return this.buffer.bufferObject["duration"];
		case API_PHONEGAP:
			return this.instanceObject["getDuration"]();
		case API_APPMOBI:
			if (audRuntime.isDirectCanvas)
				return AppMobi["context"]["getDurationSound"](this.src);
			else
				return 0;
		}
		return 0;
	};
	C2AudioInstance.prototype.getPlaybackTime = function ()
	{
		var duration = this.getDuration();
		var ret = 0;
		switch (this.myapi) {
		case API_HTML5:
			if (typeof this.instanceObject.currentTime !== "undefined")
				ret = this.instanceObject.currentTime;
			break;
		case API_WEBAUDIO:
			if (this.buffer.myapi === API_WEBAUDIO)
			{
				if (this.is_paused)
					return this.resume_position;
				else
					ret = audRuntime.kahanTime.sum - this.startTime;
			}
			else if (typeof this.instanceObject.currentTime !== "undefined")
				ret = this.instanceObject.currentTime;
			break;
		case API_PHONEGAP:
			break;
		case API_APPMOBI:
			if (audRuntime.isDirectCanvas)
				ret = AppMobi["context"]["getPlaybackTimeSound"](this.src);
			break;
		}
		if (!this.looping && ret > duration)
			ret = duration;
		return ret;
	};
	C2AudioInstance.prototype.isPlaying = function ()
	{
		return !this.is_paused && !this.fresh && !this.stopped && !this.hasEnded();
	};
	C2AudioInstance.prototype.setVolume = function (v)
	{
		this.volume = v;
		this.updateVolume();
	};
	C2AudioInstance.prototype.updateVolume = function ()
	{
		var volToSet = this.volume * masterVolume;
		switch (this.myapi) {
		case API_HTML5:
			if (this.instanceObject.volume && this.instanceObject.volume !== volToSet)
				this.instanceObject.volume = volToSet;
			break;
		case API_WEBAUDIO:
			this.gainNode["gain"]["value"] = volToSet * this.mutevol;
			break;
		case API_PHONEGAP:
			break;
		case API_APPMOBI:
			break;
		}
	};
	C2AudioInstance.prototype.getVolume = function ()
	{
		return this.volume;
	};
	C2AudioInstance.prototype.doSetMuted = function (m)
	{
		switch (this.myapi) {
		case API_HTML5:
			if (this.instanceObject.muted !== !!m)
				this.instanceObject.muted = !!m;
			break;
		case API_WEBAUDIO:
			this.mutevol = (m ? 0 : 1);
			this.gainNode["gain"]["value"] = masterVolume * this.volume * this.mutevol;
			break;
		case API_PHONEGAP:
			break;
		case API_APPMOBI:
			break;
		}
	};
	C2AudioInstance.prototype.setMuted = function (m)
	{
		this.is_muted = !!m;
		this.doSetMuted(this.is_muted || this.is_silent);
	};
	C2AudioInstance.prototype.setSilent = function (m)
	{
		this.is_silent = !!m;
		this.doSetMuted(this.is_muted || this.is_silent);
	};
	C2AudioInstance.prototype.setLooping = function (l)
	{
		this.looping = l;
		switch (this.myapi) {
		case API_HTML5:
			if (this.instanceObject.loop !== !!l)
				this.instanceObject.loop = !!l;
			break;
		case API_WEBAUDIO:
			if (this.instanceObject.loop !== !!l)
				this.instanceObject.loop = !!l;
			break;
		case API_PHONEGAP:
			break;
		case API_APPMOBI:
			if (audRuntime.isDirectCanvas)
				AppMobi["context"]["setLoopingSound"](this.src, l);
			break;
		}
	};
	C2AudioInstance.prototype.setPlaybackRate = function (r)
	{
		this.playbackRate = r;
		this.updatePlaybackRate();
	};
	C2AudioInstance.prototype.updatePlaybackRate = function ()
	{
		var r = this.playbackRate;
		if ((timescale_mode === 1 && !this.is_music) || timescale_mode === 2)
			r *= audRuntime.timescale;
		switch (this.myapi) {
		case API_HTML5:
			if (this.instanceObject.playbackRate !== r)
				this.instanceObject.playbackRate = r;
			break;
		case API_WEBAUDIO:
			if (this.buffer.myapi === API_WEBAUDIO)
			{
				if (this.instanceObject["playbackRate"]["value"] !== r)
					this.instanceObject["playbackRate"]["value"] = r;
			}
			else
			{
				if (this.instanceObject.playbackRate !== r)
					this.instanceObject.playbackRate = r;
			}
			break;
		case API_PHONEGAP:
			break;
		case API_APPMOBI:
			break;
		}
	};
	C2AudioInstance.prototype.setSuspended = function (s)
	{
		switch (this.myapi) {
		case API_HTML5:
			if (s)
			{
				if (this.isPlaying())
				{
					this.instanceObject["pause"]();
					this.resume_me = true;
				}
				else
					this.resume_me = false;
			}
			else
			{
				if (this.resume_me)
					this.instanceObject["play"]();
			}
			break;
		case API_WEBAUDIO:
			if (s)
			{
				if (this.isPlaying())
				{
					if (this.buffer.myapi === API_WEBAUDIO)
					{
						this.resume_position = this.getPlaybackTime();
						if (this.looping)
							this.resume_position = this.resume_position % this.getDuration();
						stopSource(this.instanceObject);
					}
					else
						this.instanceObject["pause"]();
					this.resume_me = true;
				}
				else
					this.resume_me = false;
			}
			else
			{
				if (this.resume_me)
				{
					if (this.buffer.myapi === API_WEBAUDIO)
					{
						this.instanceObject = context["createBufferSource"]();
						this.instanceObject["buffer"] = this.buffer.bufferObject;
						this.instanceObject["connect"](this.gainNode);
						this.instanceObject.loop = this.looping;
						this.gainNode["gain"]["value"] = masterVolume * this.volume * this.mutevol;
						this.startTime = audRuntime.kahanTime.sum - this.resume_position;
						startSourceAt(this.instanceObject, this.resume_position, this.getDuration());
					}
					else
					{
						this.instanceObject["play"]();
					}
				}
			}
			break;
		case API_PHONEGAP:
			if (s)
			{
				if (this.isPlaying())
				{
					this.instanceObject["pause"]();
					this.resume_me = true;
				}
				else
					this.resume_me = false;
			}
			else
			{
				if (this.resume_me)
					this.instanceObject["play"]();
			}
			break;
		case API_APPMOBI:
			break;
		}
	};
	pluginProto.Instance = function(type)
	{
		this.type = type;
		this.runtime = type.runtime;
		audRuntime = this.runtime;
		audInst = this;
		this.listenerTracker = null;
		this.listenerZ = -600;
		if ((this.runtime.isiOS || (this.runtime.isAndroid && (this.runtime.isChrome || this.runtime.isAndroidStockBrowser))) && !this.runtime.isCrosswalk && !this.runtime.isDomFree)
		{
			isMusicWorkaround = true;
		}
		context = null;
		if (typeof AudioContext !== "undefined")
		{
			api = API_WEBAUDIO;
			context = new AudioContext();
		}
		else if (typeof webkitAudioContext !== "undefined")
		{
			api = API_WEBAUDIO;
			context = new webkitAudioContext();
		}
		if ((this.runtime.isiOS && api === API_WEBAUDIO) || isMusicWorkaround)
		{
			document.addEventListener("touchstart", function ()
			{
				var i, len, m;
				if (!iOShadtouch && context)
				{
					var buffer = context["createBuffer"](1, 1, 22050);
					var source = context["createBufferSource"]();
					source["buffer"] = buffer;
					source["connect"](context["destination"]);
					startSource(source);
					iOShadtouch = true;
				}
				if (isMusicWorkaround)
				{
					if (!silent)
					{
						for (i = 0, len = musicPlayNextTouch.length; i < len; ++i)
						{
							m = musicPlayNextTouch[i];
							if (!m.stopped && !m.is_paused)
								m.instanceObject.play();
						}
					}
					musicPlayNextTouch.length = 0;
				}
			}, true);
		}
		if (api !== API_WEBAUDIO)
		{
			if (this.runtime.isPhoneGap)
				api = API_PHONEGAP;
			else if (this.runtime.isAppMobi)
				api = API_APPMOBI;
		}
		if (api === API_PHONEGAP)
		{
			appPath = location.href;
			var i = appPath.lastIndexOf("/");
			if (i > -1)
				appPath = appPath.substr(0, i + 1);
			appPath = appPath.replace("file://", "");
		}
		if (this.runtime.isSafari && this.runtime.isWindows && typeof Audio === "undefined")
		{
			alert("It looks like you're using Safari for Windows without Quicktime.  Audio cannot be played until Quicktime is installed.");
			this.runtime.DestroyInstance(this);
		}
		else
		{
			if (this.runtime.isDirectCanvas)
				useOgg = this.runtime.isAndroid;		// AAC on iOS, OGG on Android
			else
			{
				try {
					useOgg = !!(new Audio().canPlayType('audio/ogg; codecs="vorbis"'));
				}
				catch (e)
				{
					useOgg = false;
				}
			}
			switch (api) {
			case API_HTML5:
;
				break;
			case API_WEBAUDIO:
;
				break;
			case API_PHONEGAP:
;
				break;
			case API_APPMOBI:
;
				break;
			default:
;
			}
			this.runtime.tickMe(this);
		}
	};
	var instanceProto = pluginProto.Instance.prototype;
	instanceProto.onCreate = function ()
	{
		timescale_mode = this.properties[0];	// 0 = off, 1 = sounds only, 2 = all
		this.saveload = this.properties[1];		// 0 = all, 1 = sounds only, 2 = music only, 3 = none
		panningModel = this.properties[2];		// 0 = equalpower, 1 = hrtf, 3 = soundfield
		distanceModel = this.properties[3];		// 0 = linear, 1 = inverse, 2 = exponential
		this.listenerZ = -this.properties[4];
		refDistance = this.properties[5];
		maxDistance = this.properties[6];
		rolloffFactor = this.properties[7];
		this.listenerTracker = new ObjectTracker();
		if (api === API_WEBAUDIO)
		{
			context["listener"]["speedOfSound"] = this.properties[8];
			context["listener"]["dopplerFactor"] = this.properties[9];
			context["listener"]["setPosition"](this.runtime.draw_width / 2, this.runtime.draw_height / 2, this.listenerZ);
			context["listener"]["setOrientation"](0, 0, 1, 0, -1, 0);
			window["c2OnAudioMicStream"] = function (localMediaStream, tag)
			{
				if (micSource)
					micSource["disconnect"]();
				micTag = tag.toLowerCase();
				micSource = context["createMediaStreamSource"](localMediaStream);
				micSource["connect"](getDestinationForTag(micTag));
			};
		}
		this.runtime.addSuspendCallback(function(s)
		{
			audInst.onSuspend(s);
		});
		var self = this;
		this.runtime.addDestroyCallback(function (inst)
		{
			self.onInstanceDestroyed(inst);
		});
	};
	instanceProto.onInstanceDestroyed = function (inst)
	{
		var i, len, a;
		for (i = 0, len = audioInstances.length; i < len; i++)
		{
			a = audioInstances[i];
			if (a.objectTracker)
			{
				if (a.objectTracker.obj === inst)
				{
					a.objectTracker.obj = null;
					if (a.pannerEnabled && a.isPlaying() && a.looping)
						a.stop();
				}
			}
		}
		if (this.listenerTracker.obj === inst)
			this.listenerTracker.obj = null;
	};
	instanceProto.saveToJSON = function ()
	{
		var o = {
			"silent": silent,
			"masterVolume": masterVolume,
			"listenerZ": this.listenerZ,
			"listenerUid": this.listenerTracker.hasObject() ? this.listenerTracker.obj.uid : -1,
			"playing": [],
			"effects": {}
		};
		var playingarr = o["playing"];
		var i, len, a, d, p, panobj, playbackTime;
		for (i = 0, len = audioInstances.length; i < len; i++)
		{
			a = audioInstances[i];
			if (!a.isPlaying())
				continue;				// no need to save stopped sounds
			if (this.saveload === 3)	// not saving/loading any sounds/music
				continue;
			if (a.is_music && this.saveload === 1)	// not saving/loading music
				continue;
			if (!a.is_music && this.saveload === 2)	// not saving/loading sound
				continue;
			playbackTime = a.getPlaybackTime();
			if (a.looping)
				playbackTime = playbackTime % a.getDuration();
			d = {
				"tag": a.tag,
				"buffersrc": a.buffer.src,
				"is_music": a.is_music,
				"playbackTime": playbackTime,
				"volume": a.volume,
				"looping": a.looping,
				"muted": a.is_muted,
				"playbackRate": a.playbackRate,
				"paused": a.is_paused,
				"resume_position": a.resume_position
			};
			if (a.pannerEnabled)
			{
				d["pan"] = {};
				panobj = d["pan"];
				if (a.objectTracker && a.objectTracker.hasObject())
				{
					panobj["objUid"] = a.objectTracker.obj.uid;
				}
				else
				{
					panobj["x"] = a.panX;
					panobj["y"] = a.panY;
					panobj["a"] = a.panAngle;
				}
				panobj["ia"] = a.panConeInner;
				panobj["oa"] = a.panConeOuter;
				panobj["og"] = a.panConeOuterGain;
			}
			playingarr.push(d);
		}
		var fxobj = o["effects"];
		var fxarr;
		for (p in effects)
		{
			if (effects.hasOwnProperty(p))
			{
				fxarr = [];
				for (i = 0, len = effects[p].length; i < len; i++)
				{
					fxarr.push({ "type": effects[p][i].type, "params": effects[p][i].params });
				}
				fxobj[p] = fxarr;
			}
		}
		return o;
	};
	var objectTrackerUidsToLoad = [];
	instanceProto.loadFromJSON = function (o)
	{
		var setSilent = o["silent"];
		masterVolume = o["masterVolume"];
		this.listenerZ = o["listenerZ"];
		this.listenerTracker.setObject(null);
		var listenerUid = o["listenerUid"];
		if (listenerUid !== -1)
		{
			this.listenerTracker.loadUid = listenerUid;
			objectTrackerUidsToLoad.push(this.listenerTracker);
		}
		var playingarr = o["playing"];
		var i, len, d, src, is_music, tag, playbackTime, looping, vol, b, a, p, pan, panObjUid;
		if (this.saveload !== 3)
		{
			for (i = 0, len = audioInstances.length; i < len; i++)
			{
				a = audioInstances[i];
				if (a.is_music && this.saveload === 1)
					continue;		// only saving/loading sound: leave music playing
				if (!a.is_music && this.saveload === 2)
					continue;		// only saving/loading music: leave sound playing
				a.stop();
			}
		}
		var fxarr, fxtype, fxparams, fx;
		for (p in effects)
		{
			if (effects.hasOwnProperty(p))
			{
				for (i = 0, len = effects[p].length; i < len; i++)
					effects[p][i].remove();
			}
		}
		cr.wipe(effects);
		for (p in o["effects"])
		{
			if (o["effects"].hasOwnProperty(p))
			{
				fxarr = o["effects"][p];
				for (i = 0, len = fxarr.length; i < len; i++)
				{
					fxtype = fxarr[i]["type"];
					fxparams = fxarr[i]["params"];
					switch (fxtype) {
					case "filter":
						addEffectForTag(p, new FilterEffect(fxparams[0], fxparams[1], fxparams[2], fxparams[3], fxparams[4], fxparams[5]));
						break;
					case "delay":
						addEffectForTag(p, new DelayEffect(fxparams[0], fxparams[1], fxparams[2]));
						break;
					case "convolve":
						src = fxparams[2];
						b = this.getAudioBuffer(src, false);
						if (b.bufferObject)
						{
							fx = new ConvolveEffect(b.bufferObject, fxparams[0], fxparams[1], src);
						}
						else
						{
							fx = new ConvolveEffect(null, fxparams[0], fxparams[1], src);
							b.normalizeWhenReady = fxparams[0];
							b.convolveWhenReady = fx;
						}
						addEffectForTag(p, fx);
						break;
					case "flanger":
						addEffectForTag(p, new FlangerEffect(fxparams[0], fxparams[1], fxparams[2], fxparams[3], fxparams[4]));
						break;
					case "phaser":
						addEffectForTag(p, new PhaserEffect(fxparams[0], fxparams[1], fxparams[2], fxparams[3], fxparams[4], fxparams[5]));
						break;
					case "gain":
						addEffectForTag(p, new GainEffect(fxparams[0]));
						break;
					case "tremolo":
						addEffectForTag(p, new TremoloEffect(fxparams[0], fxparams[1]));
						break;
					case "ringmod":
						addEffectForTag(p, new RingModulatorEffect(fxparams[0], fxparams[1]));
						break;
					case "distortion":
						addEffectForTag(p, new DistortionEffect(fxparams[0], fxparams[1], fxparams[2], fxparams[3], fxparams[4]));
						break;
					case "compressor":
						addEffectForTag(p, new CompressorEffect(fxparams[0], fxparams[1], fxparams[2], fxparams[3], fxparams[4]));
						break;
					case "analyser":
						addEffectForTag(p, new AnalyserEffect(fxparams[0], fxparams[1]));
						break;
					}
				}
			}
		}
		for (i = 0, len = playingarr.length; i < len; i++)
		{
			if (this.saveload === 3)	// not saving/loading any sounds/music
				continue;
			d = playingarr[i];
			src = d["buffersrc"];
			is_music = d["is_music"];
			tag = d["tag"];
			playbackTime = d["playbackTime"];
			looping = d["looping"];
			vol = d["volume"];
			pan = d["pan"];
			panObjUid = (pan && pan.hasOwnProperty("objUid")) ? pan["objUid"] : -1;
			if (is_music && this.saveload === 1)	// not saving/loading music
				continue;
			if (!is_music && this.saveload === 2)	// not saving/loading sound
				continue;
			a = this.getAudioInstance(src, tag, is_music, looping, vol);
			if (!a)
			{
				b = this.getAudioBuffer(src, is_music);
				b.seekWhenReady = playbackTime;
				b.pauseWhenReady = d["paused"];
				if (pan)
				{
					if (panObjUid !== -1)
					{
						b.panWhenReady.push({ objUid: panObjUid, ia: pan["ia"], oa: pan["oa"], og: pan["og"], thistag: tag });
					}
					else
					{
						b.panWhenReady.push({ x: pan["x"], y: pan["y"], a: pan["a"], ia: pan["ia"], oa: pan["oa"], og: pan["og"], thistag: tag });
					}
				}
				continue;
			}
			a.resume_position = d["resume_position"];
			a.setPannerEnabled(!!pan);
			a.play(looping, vol, playbackTime);
			a.updatePlaybackRate();
			a.updateVolume();
			a.doSetMuted(a.is_muted || a.is_silent);
			if (d["paused"])
				a.pause();
			if (d["muted"])
				a.setMuted(true);
			a.doSetMuted(a.is_muted || a.is_silent);
			if (pan)
			{
				if (panObjUid !== -1)
				{
					a.objectTracker = a.objectTracker || new ObjectTracker();
					a.objectTracker.loadUid = panObjUid;
					objectTrackerUidsToLoad.push(a.objectTracker);
				}
				else
				{
					a.setPan(pan["x"], pan["y"], pan["a"], pan["ia"], pan["oa"], pan["og"]);
				}
			}
		}
		if (setSilent && !silent)			// setting silent
		{
			for (i = 0, len = audioInstances.length; i < len; i++)
				audioInstances[i].setSilent(true);
			silent = true;
		}
		else if (!setSilent && silent)		// setting not silent
		{
			for (i = 0, len = audioInstances.length; i < len; i++)
				audioInstances[i].setSilent(false);
			silent = false;
		}
	};
	instanceProto.afterLoad = function ()
	{
		var i, len, ot, inst;
		for (i = 0, len = objectTrackerUidsToLoad.length; i < len; i++)
		{
			ot = objectTrackerUidsToLoad[i];
			inst = this.runtime.getObjectByUID(ot.loadUid);
			ot.setObject(inst);
			ot.loadUid = -1;
			if (inst)
			{
				listenerX = inst.x;
				listenerY = inst.y;
			}
		}
		objectTrackerUidsToLoad.length = 0;
	};
	instanceProto.onSuspend = function (s)
	{
		var i, len;
		for (i = 0, len = audioInstances.length; i < len; i++)
			audioInstances[i].setSuspended(s);
	};
	instanceProto.tick = function ()
	{
		var dt = this.runtime.dt;
		var i, len, a;
		for (i = 0, len = audioInstances.length; i < len; i++)
		{
			a = audioInstances[i];
			a.tick(dt);
			if (a.myapi !== API_HTML5 && a.myapi !== API_APPMOBI)
			{
				if (!a.fresh && !a.stopped && a.hasEnded())
				{
					a.stopped = true;
					audTag = a.tag;
					audRuntime.trigger(cr.plugins_.Audio.prototype.cnds.OnEnded, audInst);
				}
			}
			if (timescale_mode !== 0)
				a.updatePlaybackRate();
		}
		var p, arr, f;
		for (p in effects)
		{
			if (effects.hasOwnProperty(p))
			{
				arr = effects[p];
				for (i = 0, len = arr.length; i < len; i++)
				{
					f = arr[i];
					if (f.tick)
						f.tick();
				}
			}
		}
		if (api === API_WEBAUDIO && this.listenerTracker.hasObject())
		{
			this.listenerTracker.tick(dt);
			listenerX = this.listenerTracker.obj.x;
			listenerY = this.listenerTracker.obj.y;
			context["listener"]["setPosition"](this.listenerTracker.obj.x, this.listenerTracker.obj.y, this.listenerZ);
			context["listener"]["setVelocity"](this.listenerTracker.getVelocityX(), this.listenerTracker.getVelocityY(), 0);
		}
	};
	instanceProto.getAudioBuffer = function (src_, is_music)
	{
		var i, len, a, ret = null, j, k, lenj, ai;
		for (i = 0, len = audioBuffers.length; i < len; i++)
		{
			a = audioBuffers[i];
			if (a.src === src_)
			{
				ret = a;
				break;
			}
		}
		if (!ret)
		{
			ret = new C2AudioBuffer(src_, is_music);
			audioBuffers.push(ret);
		}
		return ret;
	};
	instanceProto.getAudioInstance = function (src_, tag, is_music, looping, vol)
	{
		var i, len, a;
		for (i = 0, len = audioInstances.length; i < len; i++)
		{
			a = audioInstances[i];
			if (a.src === src_ && (a.canBeRecycled() || is_music))
			{
				a.tag = tag;
				return a;
			}
		}
		var b = this.getAudioBuffer(src_, is_music);
		if (!b.bufferObject)
		{
			if (tag !== "<preload>")
			{
				b.playTagWhenReady = tag;
				b.loopWhenReady = looping;
				b.volumeWhenReady = vol;
			}
			return null;
		}
		a = new C2AudioInstance(b, tag);
		audioInstances.push(a);
		return a;
	};
	var taggedAudio = [];
	function getAudioByTag(tag)
	{
		taggedAudio.length = 0;
		if (!tag.length)
		{
			if (!lastAudio || lastAudio.hasEnded())
				return;
			else
			{
				taggedAudio.length = 1;
				taggedAudio[0] = lastAudio;
				return;
			}
		}
		var i, len, a;
		for (i = 0, len = audioInstances.length; i < len; i++)
		{
			a = audioInstances[i];
			if (cr.equals_nocase(tag, a.tag))
				taggedAudio.push(a);
		}
	};
	function reconnectEffects(tag)
	{
		var i, len, arr, n, toNode = context["destination"];
		if (effects.hasOwnProperty(tag))
		{
			arr = effects[tag];
			if (arr.length)
			{
				toNode = arr[0].getInputNode();
				for (i = 0, len = arr.length; i < len; i++)
				{
					n = arr[i];
					if (i + 1 === len)
						n.connectTo(context["destination"]);
					else
						n.connectTo(arr[i + 1].getInputNode());
				}
			}
		}
		getAudioByTag(tag);
		for (i = 0, len = taggedAudio.length; i < len; i++)
			taggedAudio[i].reconnect(toNode);
		if (micSource && micTag === tag)
		{
			micSource["disconnect"]();
			micSource["connect"](toNode);
		}
	};
	function addEffectForTag(tag, fx)
	{
		if (!effects.hasOwnProperty(tag))
			effects[tag] = [fx];
		else
			effects[tag].push(fx);
		reconnectEffects(tag);
	};
	function Cnds() {};
	Cnds.prototype.OnEnded = function (t)
	{
		return cr.equals_nocase(audTag, t);
	};
	Cnds.prototype.PreloadsComplete = function ()
	{
		var i, len;
		for (i = 0, len = audioBuffers.length; i < len; i++)
		{
			if (!audioBuffers[i].isLoaded())
				return false;
		}
		return true;
	};
	Cnds.prototype.AdvancedAudioSupported = function ()
	{
		return api === API_WEBAUDIO;
	};
	Cnds.prototype.IsSilent = function ()
	{
		return silent;
	};
	Cnds.prototype.IsAnyPlaying = function ()
	{
		var i, len;
		for (i = 0, len = audioInstances.length; i < len; i++)
		{
			if (audioInstances[i].isPlaying())
				return true;
		}
		return false;
	};
	Cnds.prototype.IsTagPlaying = function (tag)
	{
		getAudioByTag(tag);
		var i, len;
		for (i = 0, len = taggedAudio.length; i < len; i++)
		{
			if (taggedAudio[i].isPlaying())
				return true;
		}
		return false;
	};
	pluginProto.cnds = new Cnds();
	function Acts() {};
	Acts.prototype.Play = function (file, looping, vol, tag)
	{
		if (silent)
			return;
		var v = dbToLinear(vol);
		var is_music = file[1];
		var src = this.runtime.files_subfolder + file[0] + (useOgg ? ".ogg" : ".m4a");
		lastAudio = this.getAudioInstance(src, tag, is_music, looping!==0, v);
		if (!lastAudio)
			return;
		lastAudio.setPannerEnabled(false);
		lastAudio.play(looping!==0, v);
	};
	Acts.prototype.PlayAtPosition = function (file, looping, vol, x_, y_, angle_, innerangle_, outerangle_, outergain_, tag)
	{
		if (silent)
			return;
		var v = dbToLinear(vol);
		var is_music = file[1];
		var src = this.runtime.files_subfolder + file[0] + (useOgg ? ".ogg" : ".m4a");
		lastAudio = this.getAudioInstance(src, tag, is_music, looping!==0, v);
		if (!lastAudio)
		{
			var b = this.getAudioBuffer(src, is_music);
			b.panWhenReady.push({ x: x_, y: y_, a: angle_, ia: innerangle_, oa: outerangle_, og: dbToLinear(outergain_), thistag: tag });
			return;
		}
		lastAudio.setPannerEnabled(true);
		lastAudio.setPan(x_, y_, angle_, innerangle_, outerangle_, dbToLinear(outergain_));
		lastAudio.play(looping!==0, v);
	};
	Acts.prototype.PlayAtObject = function (file, looping, vol, obj, innerangle, outerangle, outergain, tag)
	{
		if (silent || !obj)
			return;
		var inst = obj.getFirstPicked();
		if (!inst)
			return;
		var v = dbToLinear(vol);
		var is_music = file[1];
		var src = this.runtime.files_subfolder + file[0] + (useOgg ? ".ogg" : ".m4a");
		lastAudio = this.getAudioInstance(src, tag, is_music, looping!==0, v);
		if (!lastAudio)
		{
			var b = this.getAudioBuffer(src, is_music);
			b.panWhenReady.push({ obj: inst, ia: innerangle, oa: outerangle, og: dbToLinear(outergain), thistag: tag });
			return;
		}
		lastAudio.setPannerEnabled(true);
		var px = cr.rotatePtAround(inst.x, inst.y, -inst.layer.getAngle(), listenerX, listenerY, true);
		var py = cr.rotatePtAround(inst.x, inst.y, -inst.layer.getAngle(), listenerX, listenerY, false);
		lastAudio.setPan(px, py, cr.to_degrees(inst.angle - inst.layer.getAngle()), innerangle, outerangle, dbToLinear(outergain));
		lastAudio.setObject(inst);
		lastAudio.play(looping!==0, v);
	};
	Acts.prototype.PlayByName = function (folder, filename, looping, vol, tag)
	{
		if (silent)
			return;
		var v = dbToLinear(vol);
		var is_music = (folder === 1);
		var src = this.runtime.files_subfolder + filename.toLowerCase() + (useOgg ? ".ogg" : ".m4a");
		lastAudio = this.getAudioInstance(src, tag, is_music, looping!==0, v);
		if (!lastAudio)
			return;
		lastAudio.setPannerEnabled(false);
		lastAudio.play(looping!==0, v);
	};
	Acts.prototype.PlayAtPositionByName = function (folder, filename, looping, vol, x_, y_, angle_, innerangle_, outerangle_, outergain_, tag)
	{
		if (silent)
			return;
		var v = dbToLinear(vol);
		var is_music = (folder === 1);
		var src = this.runtime.files_subfolder + filename.toLowerCase() + (useOgg ? ".ogg" : ".m4a");
		lastAudio = this.getAudioInstance(src, tag, is_music, looping!==0, v);
		if (!lastAudio)
		{
			var b = this.getAudioBuffer(src, is_music);
			b.panWhenReady.push({ x: x_, y: y_, a: angle_, ia: innerangle_, oa: outerangle_, og: dbToLinear(outergain_), thistag: tag });
			return;
		}
		lastAudio.setPannerEnabled(true);
		lastAudio.setPan(x_, y_, angle_, innerangle_, outerangle_, dbToLinear(outergain_));
		lastAudio.play(looping!==0, v);
	};
	Acts.prototype.PlayAtObjectByName = function (folder, filename, looping, vol, obj, innerangle, outerangle, outergain, tag)
	{
		if (silent || !obj)
			return;
		var inst = obj.getFirstPicked();
		if (!inst)
			return;
		var v = dbToLinear(vol);
		var is_music = (folder === 1);
		var src = this.runtime.files_subfolder + filename.toLowerCase() + (useOgg ? ".ogg" : ".m4a");
		lastAudio = this.getAudioInstance(src, tag, is_music, looping!==0, v);
		if (!lastAudio)
		{
			var b = this.getAudioBuffer(src, is_music);
			b.panWhenReady.push({ obj: inst, ia: innerangle, oa: outerangle, og: dbToLinear(outergain), thistag: tag });
			return;
		}
		lastAudio.setPannerEnabled(true);
		var px = cr.rotatePtAround(inst.x, inst.y, -inst.layer.getAngle(), listenerX, listenerY, true);
		var py = cr.rotatePtAround(inst.x, inst.y, -inst.layer.getAngle(), listenerX, listenerY, false);
		lastAudio.setPan(px, py, cr.to_degrees(inst.angle - inst.layer.getAngle()), innerangle, outerangle, dbToLinear(outergain));
		lastAudio.setObject(inst);
		lastAudio.play(looping!==0, v);
	};
	Acts.prototype.SetLooping = function (tag, looping)
	{
		getAudioByTag(tag);
		var i, len;
		for (i = 0, len = taggedAudio.length; i < len; i++)
			taggedAudio[i].setLooping(looping === 0);
	};
	Acts.prototype.SetMuted = function (tag, muted)
	{
		getAudioByTag(tag);
		var i, len;
		for (i = 0, len = taggedAudio.length; i < len; i++)
			taggedAudio[i].setMuted(muted === 0);
	};
	Acts.prototype.SetVolume = function (tag, vol)
	{
		getAudioByTag(tag);
		var v = dbToLinear(vol);
		var i, len;
		for (i = 0, len = taggedAudio.length; i < len; i++)
			taggedAudio[i].setVolume(v);
	};
	Acts.prototype.Preload = function (file)
	{
		if (silent)
			return;
		var is_music = file[1];
		var src = this.runtime.files_subfolder + file[0] + (useOgg ? ".ogg" : ".m4a");
		if (api === API_APPMOBI)
		{
			if (this.runtime.isDirectCanvas)
				AppMobi["context"]["loadSound"](src);
			else
				AppMobi["player"]["loadSound"](src);
			return;
		}
		else if (api === API_PHONEGAP)
		{
			return;
		}
		this.getAudioInstance(src, "<preload>", is_music, false);
	};
	Acts.prototype.PreloadByName = function (folder, filename)
	{
		if (silent)
			return;
		var is_music = (folder === 1);
		var src = this.runtime.files_subfolder + filename.toLowerCase() + (useOgg ? ".ogg" : ".m4a");
		if (api === API_APPMOBI)
		{
			if (this.runtime.isDirectCanvas)
				AppMobi["context"]["loadSound"](src);
			else
				AppMobi["player"]["loadSound"](src);
			return;
		}
		else if (api === API_PHONEGAP)
		{
			return;
		}
		this.getAudioInstance(src, "<preload>", is_music, false);
	};
	Acts.prototype.SetPlaybackRate = function (tag, rate)
	{
		getAudioByTag(tag);
		if (rate < 0.0)
			rate = 0;
		var i, len;
		for (i = 0, len = taggedAudio.length; i < len; i++)
			taggedAudio[i].setPlaybackRate(rate);
	};
	Acts.prototype.Stop = function (tag)
	{
		getAudioByTag(tag);
		var i, len;
		for (i = 0, len = taggedAudio.length; i < len; i++)
			taggedAudio[i].stop();
	};
	Acts.prototype.StopAll = function ()
	{
		var i, len;
		for (i = 0, len = audioInstances.length; i < len; i++)
			audioInstances[i].stop();
	};
	Acts.prototype.SetPaused = function (tag, state)
	{
		getAudioByTag(tag);
		var i, len;
		for (i = 0, len = taggedAudio.length; i < len; i++)
		{
			if (state === 0)
				taggedAudio[i].pause();
			else
				taggedAudio[i].resume();
		}
	};
	Acts.prototype.Seek = function (tag, pos)
	{
		getAudioByTag(tag);
		var i, len;
		for (i = 0, len = taggedAudio.length; i < len; i++)
		{
			taggedAudio[i].seek(pos);
		}
	};
	Acts.prototype.SetSilent = function (s)
	{
		var i, len;
		if (s === 2)					// toggling
			s = (silent ? 1 : 0);		// choose opposite state
		if (s === 0 && !silent)			// setting silent
		{
			for (i = 0, len = audioInstances.length; i < len; i++)
				audioInstances[i].setSilent(true);
			silent = true;
		}
		else if (s === 1 && silent)		// setting not silent
		{
			for (i = 0, len = audioInstances.length; i < len; i++)
				audioInstances[i].setSilent(false);
			silent = false;
		}
	};
	Acts.prototype.SetMasterVolume = function (vol)
	{
		masterVolume = dbToLinear(vol);
		var i, len;
		for (i = 0, len = audioInstances.length; i < len; i++)
			audioInstances[i].updateVolume();
	};
	Acts.prototype.AddFilterEffect = function (tag, type, freq, detune, q, gain, mix)
	{
		if (api !== API_WEBAUDIO || type < 0 || type >= filterTypes.length || !context["createBiquadFilter"])
			return;
		tag = tag.toLowerCase();
		mix = mix / 100;
		if (mix < 0) mix = 0;
		if (mix > 1) mix = 1;
		addEffectForTag(tag, new FilterEffect(type, freq, detune, q, gain, mix));
	};
	Acts.prototype.AddDelayEffect = function (tag, delay, gain, mix)
	{
		if (api !== API_WEBAUDIO)
			return;
		tag = tag.toLowerCase();
		mix = mix / 100;
		if (mix < 0) mix = 0;
		if (mix > 1) mix = 1;
		addEffectForTag(tag, new DelayEffect(delay, dbToLinear(gain), mix));
	};
	Acts.prototype.AddFlangerEffect = function (tag, delay, modulation, freq, feedback, mix)
	{
		if (api !== API_WEBAUDIO || !context["createOscillator"])
			return;
		tag = tag.toLowerCase();
		mix = mix / 100;
		if (mix < 0) mix = 0;
		if (mix > 1) mix = 1;
		addEffectForTag(tag, new FlangerEffect(delay / 1000, modulation / 1000, freq, feedback / 100, mix));
	};
	Acts.prototype.AddPhaserEffect = function (tag, freq, detune, q, mod, modfreq, mix)
	{
		if (api !== API_WEBAUDIO || !context["createOscillator"])
			return;
		tag = tag.toLowerCase();
		mix = mix / 100;
		if (mix < 0) mix = 0;
		if (mix > 1) mix = 1;
		addEffectForTag(tag, new PhaserEffect(freq, detune, q, mod, modfreq, mix));
	};
	Acts.prototype.AddConvolutionEffect = function (tag, file, norm, mix)
	{
		if (api !== API_WEBAUDIO || !context["createConvolver"])
			return;
		var doNormalize = (norm === 0);
		var src = this.runtime.files_subfolder + file[0] + (useOgg ? ".ogg" : ".m4a");
		var b = this.getAudioBuffer(src, false);
		tag = tag.toLowerCase();
		mix = mix / 100;
		if (mix < 0) mix = 0;
		if (mix > 1) mix = 1;
		var fx;
		if (b.bufferObject)
		{
			fx = new ConvolveEffect(b.bufferObject, doNormalize, mix, src);
		}
		else
		{
			fx = new ConvolveEffect(null, doNormalize, mix, src);
			b.normalizeWhenReady = doNormalize;
			b.convolveWhenReady = fx;
		}
		addEffectForTag(tag, fx);
	};
	Acts.prototype.AddGainEffect = function (tag, g)
	{
		if (api !== API_WEBAUDIO)
			return;
		tag = tag.toLowerCase();
		addEffectForTag(tag, new GainEffect(dbToLinear(g)));
	};
	Acts.prototype.AddMuteEffect = function (tag)
	{
		if (api !== API_WEBAUDIO)
			return;
		tag = tag.toLowerCase();
		addEffectForTag(tag, new GainEffect(0));	// re-use gain effect with 0 gain
	};
	Acts.prototype.AddTremoloEffect = function (tag, freq, mix)
	{
		if (api !== API_WEBAUDIO || !context["createOscillator"])
			return;
		tag = tag.toLowerCase();
		mix = mix / 100;
		if (mix < 0) mix = 0;
		if (mix > 1) mix = 1;
		addEffectForTag(tag, new TremoloEffect(freq, mix));
	};
	Acts.prototype.AddRingModEffect = function (tag, freq, mix)
	{
		if (api !== API_WEBAUDIO || !context["createOscillator"])
			return;
		tag = tag.toLowerCase();
		mix = mix / 100;
		if (mix < 0) mix = 0;
		if (mix > 1) mix = 1;
		addEffectForTag(tag, new RingModulatorEffect(freq, mix));
	};
	Acts.prototype.AddDistortionEffect = function (tag, threshold, headroom, drive, makeupgain, mix)
	{
		if (api !== API_WEBAUDIO || !context["createWaveShaper"])
			return;
		tag = tag.toLowerCase();
		mix = mix / 100;
		if (mix < 0) mix = 0;
		if (mix > 1) mix = 1;
		addEffectForTag(tag, new DistortionEffect(threshold, headroom, drive, makeupgain, mix));
	};
	Acts.prototype.AddCompressorEffect = function (tag, threshold, knee, ratio, attack, release)
	{
		if (api !== API_WEBAUDIO || !context["createDynamicsCompressor"])
			return;
		tag = tag.toLowerCase();
		addEffectForTag(tag, new CompressorEffect(threshold, knee, ratio, attack / 1000, release / 1000));
	};
	Acts.prototype.AddAnalyserEffect = function (tag, fftSize, smoothing)
	{
		if (api !== API_WEBAUDIO)
			return;
		tag = tag.toLowerCase();
		addEffectForTag(tag, new AnalyserEffect(fftSize, smoothing));
	};
	Acts.prototype.RemoveEffects = function (tag)
	{
		if (api !== API_WEBAUDIO)
			return;
		tag = tag.toLowerCase();
		var i, len, arr;
		if (effects.hasOwnProperty(tag))
		{
			arr = effects[tag];
			if (arr.length)
			{
				for (i = 0, len = arr.length; i < len; i++)
					arr[i].remove();
				arr.length = 0;
				reconnectEffects(tag);
			}
		}
	};
	Acts.prototype.SetEffectParameter = function (tag, index, param, value, ramp, time)
	{
		if (api !== API_WEBAUDIO)
			return;
		tag = tag.toLowerCase();
		index = Math.floor(index);
		var arr;
		if (!effects.hasOwnProperty(tag))
			return;
		arr = effects[tag];
		if (index < 0 || index >= arr.length)
			return;
		arr[index].setParam(param, value, ramp, time);
	};
	Acts.prototype.SetListenerObject = function (obj_)
	{
		if (!obj_ || api !== API_WEBAUDIO)
			return;
		var inst = obj_.getFirstPicked();
		if (!inst)
			return;
		this.listenerTracker.setObject(inst);
		listenerX = inst.x;
		listenerY = inst.y;
	};
	Acts.prototype.SetListenerZ = function (z)
	{
		this.listenerZ = z;
	};
	pluginProto.acts = new Acts();
	function Exps() {};
	Exps.prototype.Duration = function (ret, tag)
	{
		getAudioByTag(tag);
		if (taggedAudio.length)
			ret.set_float(taggedAudio[0].getDuration());
		else
			ret.set_float(0);
	};
	Exps.prototype.PlaybackTime = function (ret, tag)
	{
		getAudioByTag(tag);
		if (taggedAudio.length)
			ret.set_float(taggedAudio[0].getPlaybackTime());
		else
			ret.set_float(0);
	};
	Exps.prototype.Volume = function (ret, tag)
	{
		getAudioByTag(tag);
		if (taggedAudio.length)
		{
			var v = taggedAudio[0].getVolume();
			ret.set_float(linearToDb(v));
		}
		else
			ret.set_float(0);
	};
	Exps.prototype.MasterVolume = function (ret)
	{
		ret.set_float(masterVolume);
	};
	Exps.prototype.EffectCount = function (ret, tag)
	{
		tag = tag.toLowerCase();
		var arr = null;
		if (effects.hasOwnProperty(tag))
			arr = effects[tag];
		ret.set_int(arr ? arr.length : 0);
	};
	function getAnalyser(tag, index)
	{
		var arr = null;
		if (effects.hasOwnProperty(tag))
			arr = effects[tag];
		if (arr && index >= 0 && index < arr.length && arr[index].freqBins)
			return arr[index];
		else
			return null;
	};
	Exps.prototype.AnalyserFreqBinCount = function (ret, tag, index)
	{
		tag = tag.toLowerCase();
		index = Math.floor(index);
		var analyser = getAnalyser(tag, index);
		ret.set_int(analyser ? analyser.node["frequencyBinCount"] : 0);
	};
	Exps.prototype.AnalyserFreqBinAt = function (ret, tag, index, bin)
	{
		tag = tag.toLowerCase();
		index = Math.floor(index);
		bin = Math.floor(bin);
		var analyser = getAnalyser(tag, index);
		if (!analyser)
			ret.set_float(0);
		else if (bin < 0 || bin >= analyser.node["frequencyBinCount"])
			ret.set_float(0);
		else
			ret.set_float(analyser.freqBins[bin]);
	};
	Exps.prototype.AnalyserPeakLevel = function (ret, tag, index)
	{
		tag = tag.toLowerCase();
		index = Math.floor(index);
		var analyser = getAnalyser(tag, index);
		if (analyser)
			ret.set_float(analyser.peak);
		else
			ret.set_float(0);
	};
	Exps.prototype.AnalyserRMSLevel = function (ret, tag, index)
	{
		tag = tag.toLowerCase();
		index = Math.floor(index);
		var analyser = getAnalyser(tag, index);
		if (analyser)
			ret.set_float(analyser.rms);
		else
			ret.set_float(0);
	};
	pluginProto.exps = new Exps();
}());
;
;
cr.plugins_.Browser = function(runtime)
{
	this.runtime = runtime;
};
(function ()
{
	var pluginProto = cr.plugins_.Browser.prototype;
	pluginProto.Type = function(plugin)
	{
		this.plugin = plugin;
		this.runtime = plugin.runtime;
	};
	var typeProto = pluginProto.Type.prototype;
	typeProto.onCreate = function()
	{
	};
	pluginProto.Instance = function(type)
	{
		this.type = type;
		this.runtime = type.runtime;
	};
	var instanceProto = pluginProto.Instance.prototype;
	instanceProto.onCreate = function()
	{
		var self = this;
		window.addEventListener("resize", function () {
			self.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnResize, self);
		});
		if (typeof navigator.onLine !== "undefined")
		{
			window.addEventListener("online", function() {
				self.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnOnline, self);
			});
			window.addEventListener("offline", function() {
				self.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnOffline, self);
			});
		}
		if (typeof window.applicationCache !== "undefined")
		{
			window.applicationCache.addEventListener('updateready', function() {
				self.runtime.loadingprogress = 1;
				self.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnUpdateReady, self);
			});
			window.applicationCache.addEventListener('progress', function(e) {
				self.runtime.loadingprogress = e["loaded"] / e["total"];
			});
		}
		if (!this.runtime.isDirectCanvas)
		{
			document.addEventListener("appMobi.device.update.available", function() {
				self.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnUpdateReady, self);
			});
			document.addEventListener("backbutton", function() {
				self.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnBackButton, self);
			});
			document.addEventListener("menubutton", function() {
				self.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnMenuButton, self);
			});
			document.addEventListener("searchbutton", function() {
				self.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnSearchButton, self);
			});
			document.addEventListener("tizenhwkey", function (e) {
				var ret;
				switch (e["keyName"]) {
				case "back":
					ret = self.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnBackButton, self);
					if (!ret)
					{
						if (window["tizen"])
							window["tizen"]["application"]["getCurrentApplication"]()["exit"]();
					}
					break;
				case "menu":
					ret = self.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnMenuButton, self);
					if (!ret)
						e.preventDefault();
					break;
				}
			});
		}
		this.runtime.addSuspendCallback(function(s) {
			if (s)
			{
				self.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnPageHidden, self);
			}
			else
			{
				self.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnPageVisible, self);
			}
		});
		this.is_arcade = (typeof window["is_scirra_arcade"] !== "undefined");
	};
	function Cnds() {};
	Cnds.prototype.CookiesEnabled = function()
	{
		return navigator ? navigator.cookieEnabled : false;
	};
	Cnds.prototype.IsOnline = function()
	{
		return navigator ? navigator.onLine : false;
	};
	Cnds.prototype.HasJava = function()
	{
		return navigator ? navigator.javaEnabled() : false;
	};
	Cnds.prototype.OnOnline = function()
	{
		return true;
	};
	Cnds.prototype.OnOffline = function()
	{
		return true;
	};
	Cnds.prototype.IsDownloadingUpdate = function ()
	{
		if (typeof window["applicationCache"] === "undefined")
			return false;
		else
			return window["applicationCache"]["status"] === window["applicationCache"]["DOWNLOADING"];
	};
	Cnds.prototype.OnUpdateReady = function ()
	{
		return true;
	};
	Cnds.prototype.PageVisible = function ()
	{
		return !this.runtime.isSuspended;
	};
	Cnds.prototype.OnPageVisible = function ()
	{
		return true;
	};
	Cnds.prototype.OnPageHidden = function ()
	{
		return true;
	};
	Cnds.prototype.OnResize = function ()
	{
		return true;
	};
	Cnds.prototype.IsFullscreen = function ()
	{
		return !!(document["mozFullScreen"] || document["webkitIsFullScreen"] || document["fullScreen"] || this.runtime.isNodeFullscreen);
	};
	Cnds.prototype.OnBackButton = function ()
	{
		return true;
	};
	Cnds.prototype.OnMenuButton = function ()
	{
		return true;
	};
	Cnds.prototype.OnSearchButton = function ()
	{
		return true;
	};
	Cnds.prototype.IsMetered = function ()
	{
		var connection = navigator["connection"] || navigator["mozConnection"] || navigator["webkitConnection"];
		if (!connection)
			return false;
		return connection["metered"];
	};
	Cnds.prototype.IsCharging = function ()
	{
		var battery = navigator["battery"] || navigator["mozBattery"] || navigator["webkitBattery"];
		if (!battery)
			return true;
		return battery["charging"];
	};
	Cnds.prototype.IsPortraitLandscape = function (p)
	{
		var current = (window.innerWidth <= window.innerHeight ? 0 : 1);
		return current === p;
	};
	pluginProto.cnds = new Cnds();
	function Acts() {};
	Acts.prototype.Alert = function (msg)
	{
		if (!this.runtime.isDomFree)
			alert(msg.toString());
	};
	Acts.prototype.Close = function ()
	{
		if (this.runtime.isCocoonJs)
			CocoonJS["App"]["forceToFinish"]();
		else if (window["tizen"])
			window["tizen"]["application"]["getCurrentApplication"]()["exit"]();
		else if (navigator["app"] && navigator["app"]["exitApp"])
			navigator["app"]["exitApp"]();
		else if (navigator["device"] && navigator["device"]["exitApp"])
			navigator["device"]["exitApp"]();
		else if (!this.is_arcade && !this.runtime.isDomFree)
			window.close();
	};
	Acts.prototype.Focus = function ()
	{
		if (this.runtime.isNodeWebkit)
		{
			var win = window["nwgui"]["Window"]["get"]();
			win["focus"]();
		}
		else if (!this.is_arcade && !this.runtime.isDomFree)
			window.focus();
	};
	Acts.prototype.Blur = function ()
	{
		if (this.runtime.isNodeWebkit)
		{
			var win = window["nwgui"]["Window"]["get"]();
			win["blur"]();
		}
		else if (!this.is_arcade && !this.runtime.isDomFree)
			window.blur();
	};
	Acts.prototype.GoBack = function ()
	{
		if (navigator["app"] && navigator["app"]["backHistory"])
			navigator["app"]["backHistory"]();
		else if (!this.is_arcade && !this.runtime.isDomFree && window.back)
			window.back();
	};
	Acts.prototype.GoForward = function ()
	{
		if (!this.is_arcade && !this.runtime.isDomFree && window.forward)
			window.forward();
	};
	Acts.prototype.GoHome = function ()
	{
		if (!this.is_arcade && !this.runtime.isDomFree && window.home)
			window.home();
	};
	Acts.prototype.GoToURL = function (url)
	{
		if (this.runtime.isCocoonJs)
			CocoonJS["App"]["openURL"](url);
		else if (!this.is_arcade && !this.runtime.isDomFree)
			window.location = url;
	};
	Acts.prototype.GoToURLWindow = function (url, tag)
	{
		if (this.runtime.isCocoonJs)
			CocoonJS["App"]["openURL"](url);
		else if (!this.is_arcade && !this.runtime.isDomFree)
			window.open(url, tag);
	};
	Acts.prototype.Reload = function ()
	{
		if (!this.is_arcade && !this.runtime.isDomFree)
			window.location.reload();
	};
	var firstRequestFullscreen = true;
	var crruntime = null;
	function onFullscreenError()
	{
		if (typeof jQuery !== "undefined")
		{
			crruntime["setSize"](jQuery(window).width(), jQuery(window).height());
		}
	};
	Acts.prototype.RequestFullScreen = function (stretchmode)
	{
		if (this.runtime.isDomFree)
		{
			cr.logexport("[Construct 2] Requesting fullscreen is not supported on this platform - the request has been ignored");
			return;
		}
		if (stretchmode >= 2)
			stretchmode += 1;
		if (stretchmode === 6)
			stretchmode = 2;
		if (this.runtime.isNodeWebkit)
		{
			if (!this.runtime.isNodeFullscreen)
			{
				window["nwgui"]["Window"]["get"]()["enterFullscreen"]();
				this.runtime.isNodeFullscreen = true;
			}
		}
		else
		{
			if (document["mozFullScreen"] || document["webkitIsFullScreen"] || !!document["msFullscreenElement"] || document["fullScreen"])
			{
				return;
			}
			this.runtime.fullscreen_scaling = (stretchmode >= 2 ? stretchmode : 0);
			var elem = this.runtime.canvasdiv || this.runtime.canvas;
			if (firstRequestFullscreen)
			{
				firstRequestFullscreen = false;
				crruntime = this.runtime;
				elem.addEventListener("mozfullscreenerror", onFullscreenError);
				elem.addEventListener("webkitfullscreenerror", onFullscreenError);
				elem.addEventListener("msfullscreenerror", onFullscreenError);
				elem.addEventListener("fullscreenerror", onFullscreenError);
			}
			if (!cr.is_undefined(elem["requestFullscreen"]))
				elem["requestFullscreen"]();
			else if (!cr.is_undefined(elem["webkitRequestFullScreen"]))
			{
				if (typeof Element !== "undefined" && typeof Element["ALLOW_KEYBOARD_INPUT"] !== "undefined")
					elem["webkitRequestFullScreen"](Element["ALLOW_KEYBOARD_INPUT"]);
				else
					elem["webkitRequestFullScreen"]();
			}
			else if (!cr.is_undefined(elem["mozRequestFullScreen"]))
				elem["mozRequestFullScreen"]();
			else if (!cr.is_undefined(elem["msRequestFullscreen"]))
				elem["msRequestFullscreen"]();
		}
	};
	Acts.prototype.CancelFullScreen = function ()
	{
		if (this.runtime.isDomFree)
		{
			cr.logexport("[Construct 2] Exiting fullscreen is not supported on this platform - the request has been ignored");
			return;
		}
		if (this.runtime.isNodeWebkit)
		{
			if (this.runtime.isNodeFullscreen)
			{
				window["nwgui"]["Window"]["get"]()["leaveFullscreen"]();
				this.runtime.isNodeFullscreen = false;
			}
		}
		else
		{
			if (!cr.is_undefined(document["exitFullscreen"]))
				document["exitFullscreen"]();
			else if (!cr.is_undefined(document["webkitCancelFullScreen"]))
				document["webkitCancelFullScreen"]();
			else if (!cr.is_undefined(document["mozCancelFullScreen"]))
				document["mozCancelFullScreen"]();
			else if (!cr.is_undefined(document["msExitFullscreen"]))
				document["msExitFullscreen"]();
		}
	};
	Acts.prototype.Vibrate = function (pattern_)
	{
		try {
			var arr = pattern_.split(",");
			var i, len;
			for (i = 0, len = arr.length; i < len; i++)
			{
				arr[i] = parseInt(arr[i], 10);
			}
			if (navigator["vibrate"])
				navigator["vibrate"](arr);
			else if (navigator["mozVibrate"])
				navigator["mozVibrate"](arr);
			else if (navigator["webkitVibrate"])
				navigator["webkitVibrate"](arr);
			else if (navigator["msVibrate"])
				navigator["msVibrate"](arr);
		}
		catch (e) {}
	};
	Acts.prototype.InvokeDownload = function (url_, filename_)
	{
		var a = document.createElement("a");
		if (typeof a.download === "undefined")
		{
			window.open(url_);
		}
		else
		{
			var body = document.getElementsByTagName("body")[0];
			a.textContent = filename_;
			a.href = url_;
			a.download = filename_;
			body.appendChild(a);
			var clickEvent = document.createEvent("MouseEvent");
			clickEvent.initMouseEvent("click", true, true, window, 0, 0, 0, 0, 0, false, false, false, false, 0, null);
			a.dispatchEvent(clickEvent);
			body.removeChild(a);
		}
	};
	Acts.prototype.InvokeDownloadString = function (str_, mimetype_, filename_)
	{
		var datauri = "data:" + mimetype_ + "," + encodeURIComponent(str_);
		var a = document.createElement("a");
		if (typeof a.download === "undefined")
		{
			window.open(datauri);
		}
		else
		{
			var body = document.getElementsByTagName("body")[0];
			a.textContent = filename_;
			a.href = datauri;
			a.download = filename_;
			body.appendChild(a);
			var clickEvent = document.createEvent("MouseEvent");
			clickEvent.initMouseEvent("click", true, true, window, 0, 0, 0, 0, 0, false, false, false, false, 0, null);
			a.dispatchEvent(clickEvent);
			body.removeChild(a);
		}
	};
	Acts.prototype.ConsoleLog = function (type_, msg_)
	{
		if (typeof console === "undefined")
			return;
		if (type_ === 0 && console.log)
			console.log(msg_.toString());
		if (type_ === 1 && console.warn)
			console.warn(msg_.toString());
		if (type_ === 2 && console.error)
			console.error(msg_.toString());
	};
	Acts.prototype.ConsoleGroup = function (name_)
	{
		if (console && console.group)
			console.group(name_);
	};
	Acts.prototype.ConsoleGroupEnd = function ()
	{
		if (console && console.groupEnd)
			console.groupEnd();
	};
	Acts.prototype.ExecJs = function (js_)
	{
		if (eval)
			eval(js_);
	};
	var orientations = [
		"portrait",
		"landscape",
		"portrait-primary",
		"portrait-secondary",
		"landscape-primary",
		"landscape-secondary"
	];
	Acts.prototype.LockOrientation = function (o)
	{
		o = Math.floor(o);
		if (o < 0 || o >= orientations.length)
			return;
		this.runtime.autoLockOrientation = false;
		var orientation = orientations[o];
		if (screen["lockOrientation"])
			screen["lockOrientation"](orientation);
		else if (screen["webkitLockOrientation"])
			screen["webkitLockOrientation"](orientation);
		else if (screen["mozLockOrientation"])
			screen["mozLockOrientation"](orientation);
		else if (screen["msLockOrientation"])
			screen["msLockOrientation"](orientation);
	};
	Acts.prototype.UnlockOrientation = function ()
	{
		this.runtime.autoLockOrientation = false;
		if (screen["unlockOrientation"])
			screen["unlockOrientation"]();
		else if (screen["webkitUnlockOrientation"])
			screen["webkitUnlockOrientation"]();
		else if (screen["mozUnlockOrientation"])
			screen["mozUnlockOrientation"]();
		else if (screen["msUnlockOrientation"])
			screen["msUnlockOrientation"]();
	};
	pluginProto.acts = new Acts();
	function Exps() {};
	Exps.prototype.URL = function (ret)
	{
		ret.set_string(this.runtime.isDomFree ? "" : window.location.toString());
	};
	Exps.prototype.Protocol = function (ret)
	{
		ret.set_string(this.runtime.isDomFree ? "" : window.location.protocol);
	};
	Exps.prototype.Domain = function (ret)
	{
		ret.set_string(this.runtime.isDomFree ? "" : window.location.hostname);
	};
	Exps.prototype.PathName = function (ret)
	{
		ret.set_string(this.runtime.isDomFree ? "" : window.location.pathname);
	};
	Exps.prototype.Hash = function (ret)
	{
		ret.set_string(this.runtime.isDomFree ? "" : window.location.hash);
	};
	Exps.prototype.Referrer = function (ret)
	{
		ret.set_string(this.runtime.isDomFree ? "" : document.referrer);
	};
	Exps.prototype.Title = function (ret)
	{
		ret.set_string(this.runtime.isDomFree ? "" : document.title);
	};
	Exps.prototype.Name = function (ret)
	{
		ret.set_string(this.runtime.isDomFree ? "" : navigator.appName);
	};
	Exps.prototype.Version = function (ret)
	{
		ret.set_string(this.runtime.isDomFree ? "" : navigator.appVersion);
	};
	Exps.prototype.Language = function (ret)
	{
		if (navigator && navigator.language)
			ret.set_string(navigator.language);
		else
			ret.set_string("");
	};
	Exps.prototype.Platform = function (ret)
	{
		ret.set_string(this.runtime.isDomFree ? "" : navigator.platform);
	};
	Exps.prototype.Product = function (ret)
	{
		if (navigator && navigator.product)
			ret.set_string(navigator.product);
		else
			ret.set_string("");
	};
	Exps.prototype.Vendor = function (ret)
	{
		if (navigator && navigator.vendor)
			ret.set_string(navigator.vendor);
		else
			ret.set_string("");
	};
	Exps.prototype.UserAgent = function (ret)
	{
		ret.set_string(this.runtime.isDomFree ? "" : navigator.userAgent);
	};
	Exps.prototype.QueryString = function (ret)
	{
		ret.set_string(this.runtime.isDomFree ? "" : window.location.search);
	};
	Exps.prototype.QueryParam = function (ret, paramname)
	{
		if (this.runtime.isDomFree)
		{
			ret.set_string("");
			return;
		}
		var match = RegExp('[?&]' + paramname + '=([^&]*)').exec(window.location.search);
		if (match)
			ret.set_string(decodeURIComponent(match[1].replace(/\+/g, ' ')));
		else
			ret.set_string("");
	};
	Exps.prototype.Bandwidth = function (ret)
	{
		var connection = navigator["connection"] || navigator["mozConnection"] || navigator["webkitConnection"];
		if (!connection)
			ret.set_float(Number.POSITIVE_INFINITY);
		else
			ret.set_float(connection["bandwidth"]);
	};
	Exps.prototype.BatteryLevel = function (ret)
	{
		var battery = navigator["battery"] || navigator["mozBattery"] || navigator["webkitBattery"];
		if (!battery)
			ret.set_float(1);
		else
			ret.set_float(battery["level"]);
	};
	Exps.prototype.BatteryTimeLeft = function (ret)
	{
		var battery = navigator["battery"] || navigator["mozBattery"] || navigator["webkitBattery"];
		if (!battery)
			ret.set_float(Number.POSITIVE_INFINITY);
		else
			ret.set_float(battery["dischargingTime"]);
	};
	Exps.prototype.ExecJS = function (ret, js_)
	{
		if (!eval)
		{
			ret.set_any(0);
			return;
		}
		var result = eval(js_);
		if (typeof result === "number")
			ret.set_any(result);
		else if (typeof result === "string")
			ret.set_any(result);
		else if (typeof result === "boolean")
			ret.set_any(result ? 1 : 0);
		else
			ret.set_any(0);
	};
	Exps.prototype.ScreenWidth = function (ret)
	{
		ret.set_int(screen.width);
	};
	Exps.prototype.ScreenHeight = function (ret)
	{
		ret.set_int(screen.height);
	};
	Exps.prototype.DevicePixelRatio = function (ret)
	{
		ret.set_float(this.runtime.devicePixelRatio);
	};
	pluginProto.exps = new Exps();
}());
;
;
cr.plugins_.CJSAds = function(runtime)
{
	this.runtime = runtime;
};
(function ()
{
	var input_text = "";
	var products_list = [];
	var requested_score = 0;
	var bannerPosition = 0;
	var preloadingBanner = false;
	var bannerReady = false;
	var preloadingFullscreen = false;
	var fullscreenReady = false;
	var pluginProto = cr.plugins_.CJSAds.prototype;
	pluginProto.Type = function(plugin)
	{
		this.plugin = plugin;
		this.runtime = plugin.runtime;
	};
	var typeProto = pluginProto.Type.prototype;
	typeProto.onCreate = function()
	{
	};
	pluginProto.Instance = function(type)
	{
		this.type = type;
		this.runtime = type.runtime;
	};
	var instanceProto = pluginProto.Instance.prototype;
	instanceProto.onCreate = function()
	{
		this.isShowingBanner = false;
		this.isShowingFullscreen = false;
		this.triggerProduct = "";
		this.socialService = null;
		this.socialServiceAvailable = false;
		this.storeServiceAvailable = (this.runtime.isCocoonJs && typeof CocoonJS["Store"]["nativeExtensionObjectAvailable"] !== "undefined");
		this.storeManaged = (this.properties[0] !== 1);
		this.storeSandboxed = (this.properties[1] !== 0);
		this.onConsumePurchaseFailedTransactionId = "";
		this.onConsumePurchaseCompleted = "";
		var self = this;
		if (this.runtime.isCocoonJs)
		{
			CocoonJS["App"]["onTextDialogFinished"].addEventListener(function(text) {
				input_text = text;
				self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnKeyboardOK, self);
			});
			CocoonJS["App"]["onTextDialogCancelled"].addEventListener(function() {
					self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnKeyboardCancelled, self);
			});
			CocoonJS["Ad"]["onBannerShown"].addEventListener(function ()
			{
				self.isShowingBanner = true;
				self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnBannerShown, self);
			});
			CocoonJS["Ad"]["onBannerReady"].addEventListener(function ()
			{
				bannerReady = true;
				if (!preloadingBanner)
				{
					CocoonJS["Ad"]["setBannerLayout"](bannerPosition);
					CocoonJS["Ad"]["showBanner"]();
				}
			});
			CocoonJS["Ad"]["onFullScreenShown"].addEventListener(function ()
			{
				self.isShowingFullscreen = true;
				self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnFullscreenShown, self);
			});
			CocoonJS["Ad"]["onFullScreenHidden"].addEventListener(function ()
			{
				self.isShowingFullscreen = false;
				self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnFullscreenHidden, self);
			});
			CocoonJS["Ad"]["onFullScreenReady"].addEventListener(function ()
			{
				fullscreenReady = true;
				if (!preloadFullScreen)
					CocoonJS["Ad"]["showFullScreen"]();
			});
			if (this.storeServiceAvailable)
			{
				CocoonJS["Store"]["onProductPurchaseCompleted"].addEventListener(function (purchase)
				{
					self.triggerProduct = purchase["productId"];
					self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete, self);
					CocoonJS["Store"]["addPurchase"](purchase);
					CocoonJS["Store"]["consumePurchase"](purchase["transactionId"], purchase["productId"]);
					CocoonJS["Store"]["finishPurchase"](purchase["transactionId"]);
				});
				CocoonJS["Store"]["onConsumePurchaseFailed"].addEventListener(function(transactionId, errorMessage)
				{
					this.onConsumePurchaseFailedTransactionId = transactionId;
					self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onConsumePurchaseFailed, self);
				});
				CocoonJS["Store"]["onConsumePurchaseCompleted"].addEventListener(function(transactionId)
				{
					this.onConsumePurchaseCompleted = transactionId;
					self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onConsumePurchaseCompleted, self);
				});
				CocoonJS["Store"]["onProductPurchaseFailed"].addEventListener(function (productId, errorMsg)
				{
					self.triggerProduct = productId;
					self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnPurchaseFail, self);
				});
				CocoonJS["Store"]["onProductPurchaseStarted"].addEventListener(function (productinfo)
				{
					self.triggerProduct = productinfo["productId"];
					self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnPurchaseStart, self);
				});
				CocoonJS["Store"]["onProductsFetchStarted"].addEventListener(function ()
				{
					self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onProductsFetchStarted, self);
				});
				CocoonJS["Store"]["onProductsFetchFailed"].addEventListener(function ()
				{
					self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onProductsFetchFailed, self);
				});
				CocoonJS["Store"]["onProductsFetchCompleted"].addEventListener(function (products)
				{
					self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onProductsFetchCompleted, self);
				});
				CocoonJS["Store"]["requestInitialization"]({
					"managed": this.storeManaged,
					"sandbox": this.storeSandboxed
				});
				CocoonJS["Store"]["start"]();
			}
			this.socialService = CocoonJS["SocialGaming"]["GameCenter"];
			this.socialServiceAvailable = !!this.socialService["nativeExtensionObjectAvailable"];
			this.socialService["onRequestLoginSucceed"].addEventListener(function () {
				self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCLoginSuccess, self);
			});
			this.socialService["onRequestLoginFailed"].addEventListener(function () {
				self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCLoginFail, self);
			});
			this.socialService["onLogout"].addEventListener(function () {
				self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCLogout, self);
			});
			this.socialService["onRequestUserScoreSucceed"].addEventListener(function (userInfo) {
				requested_score = userInfo["score"] || 0;
				self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCScoreReceived, self);
			});
			this.socialService["onRequestUserScoreFailed"].addEventListener(function () {
				self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCScoreUnavailable, self);
			});
			this.socialService["onSubmitUserScoreSucceed"].addEventListener(function () {
				self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCScoreSubmitSuccess, self);
			});
			this.socialService["onSubmitUserScoreFailed"].addEventListener(function () {
				self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCScoreSubmitFail, self);
			});
			this.socialService["onLeaderboardViewSucceed"].addEventListener(function () {
				self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCLeaderboardOpen, self);
			});
			this.socialService["onLeaderboardViewClosed"].addEventListener(function () {
				self.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCLeaderboardClose, self);
			});
		}
	};
	function Cnds() {};
	Cnds.prototype.IsShowingBanner = function ()
	{
		return this.isShowingBanner;
	};
	Cnds.prototype.IsCocoonJS = function ()
	{
		return this.runtime.isCocoonJs;
	};
	Cnds.prototype.OnBannerShown = function ()
	{
		return true;
	};
	Cnds.prototype.OnFullscreenShown = function ()
	{
		return true;
	};
	Cnds.prototype.OnFullscreenHidden = function ()
	{
		return true;
	};
	Cnds.prototype.IsShowingFullscreen = function ()
	{
		return this.isShowingFullscreen;
	};
	Cnds.prototype.IsStoreAvailable = function ()
	{
		if (this.runtime.isCocoonJs)
			return this.storeServiceAvailable && CocoonJS["Store"]["canPurchase"]();
		else
			return false;
	};
	Cnds.prototype.OnPurchaseStart = function (productid)
	{
		return this.triggerProduct === productid;
	};
	Cnds.prototype.OnPurchaseComplete = function (productid)
	{
		return this.triggerProduct === productid;
	};
	Cnds.prototype.OnPurchaseFail = function (productid)
	{
		return this.triggerProduct === productid;
	};
	Cnds.prototype.onProductsFetchStarted = function(){
		return true;
	}
	Cnds.prototype.onConsumePurchaseFailed = function(){
		return true;
	}
	Cnds.prototype.onProductsFetchCompleted = function(){
		return true;
	}
	Cnds.prototype.onProductsFetchFailed = function(){
		return true;
	}
	Cnds.prototype.IsProductPurchased = function (productid)
	{
		if (this.runtime.isCocoonJs)
			return CocoonJS["Store"]["isProductPurchased"](productid);
		else
			return false;
	};
	Cnds.prototype.OnKeyboardCancelled = function ()
	{
		return true;
	};
	Cnds.prototype.OnKeyboardOK = function ()
	{
		return true;
	};
	Cnds.prototype.IsGCAvailable = function ()
	{
		return this.socialServiceAvailable;
	};
	Cnds.prototype.IsGCLoggedIn = function ()
	{
		if (!this.socialServiceAvailable)
			return false;
		return this.socialService["isLoggedIn"]();
	};
	Cnds.prototype.OnGCLoginSuccess = function ()
	{
		return true;
	};
	Cnds.prototype.OnGCLoginFail = function ()
	{
		return true;
	};
	Cnds.prototype.OnGCLogout = function ()
	{
		return true;
	};
	Cnds.prototype.OnGCScoreReceived = function ()
	{
		return true;
	};
	Cnds.prototype.OnGCScoreUnavailable = function ()
	{
		return true;
	};
	Cnds.prototype.OnGCScoreSubmitSuccess = function ()
	{
		return true;
	};
	Cnds.prototype.OnGCScoreSubmitFail = function ()
	{
		return true;
	};
	Cnds.prototype.OnGCLeaderboardOpen = function ()
	{
		return true;
	};
	Cnds.prototype.OnGCLeaderboardClose = function ()
	{
		return true;
	};
	pluginProto.cnds = new Cnds();
	function Acts() {};
	Acts.prototype.ShowBanner = function (layout_)
	{
		if (!this.runtime.isCocoonJs)
			return;
		bannerPosition = (layout_ === 0 ? CocoonJS["Ad"]["BannerLayout"]["TOP_CENTER"] : CocoonJS["Ad"]["BannerLayout"]["BOTTOM_CENTER"]);
		preloadingBanner = false;
		if (bannerReady)
		{
			CocoonJS["Ad"]["setBannerLayout"](bannerPosition);
			CocoonJS["Ad"]["showBanner"]();
		}
		else
		{
			CocoonJS["Ad"]["preloadBanner"]();
		}
	};
	Acts.prototype.ShowFullscreen = function ()
	{
		if (!this.runtime.isCocoonJs)
			return;
		preloadingFullscreen = false;
		if (fullscreenReady)
			CocoonJS["Ad"]["showFullScreen"]();
		else
			CocoonJS["Ad"]["preloadFullScreen"]();
	};
	Acts.prototype.HideBanner = function ()
	{
		if (!this.runtime.isCocoonJs)
			return;
		CocoonJS["Ad"]["hideBanner"]();
		this.isShowingBanner = false;
	};
	Acts.prototype.PreloadBanner = function ()
	{
		if (!this.runtime.isCocoonJs)
			return;
		preloadingBanner = true;
		CocoonJS["Ad"]["preloadBanner"]();
	};
	Acts.prototype.PreloadFullscreen = function ()
	{
		if (!this.runtime.isCocoonJs)
			return;
		preloadingFullscreen = true;
		CocoonJS["Ad"]["preloadFullScreen"]();
	};
	Acts.prototype.RefreshBanner = function ()
	{
		if (!this.runtime.isCocoonJs)
			return;
		CocoonJS["Ad"]["refreshBanner"]();
	};
	Acts.prototype.RefreshFullscreen = function ()
	{
		if (!this.runtime.isCocoonJs)
			return;
		CocoonJS["Ad"]["refreshFullScreen"]();
	};
	Acts.prototype.Purchase = function (productid)
	{
		if (!this.runtime.isCocoonJs)
			return;
		CocoonJS["Store"]["purchaseProduct"](productid);
	};
	Acts.prototype.fetchProductsFromStore = function (products)
	{
		if (!this.runtime.isCocoonJs)
			return;
		CocoonJS["Store"]["fetchProductsFromStore"](products.split(","));
	};
	Acts.prototype.restorePurchases = function ()
	{
		if (this.runtime.isCocoonJs)
			return CocoonJS["Store"]["restorePurchases"]();
	};
	Acts.prototype.PurchasePreview = function (productid)
	{
		if (!this.runtime.isCocoonJs)
			return;
		CocoonJS["Store"]["purchaseProductModalWithPreview"](productid);
	};
	Acts.prototype.RestorePurchases = function ()
	{
		if (!this.runtime.isCocoonJs)
			return;
		CocoonJS["Store"]["restorePurchases"]();
	};
	Acts.prototype.PromptKeyboard = function (title_, message_, initial_, type_, canceltext_, oktext_)
	{
		if (!this.runtime.isCocoonJs)
			return;
		var typestr = ["text", "num", "phone", "email", "url"][type_];
		CocoonJS["App"]["showTextDialog"](title_, message_, initial_, typestr, canceltext_, oktext_);
	};
	Acts.prototype.UpdateProductsList = function ()
	{
		if (!this.runtime.isCocoonJs)
			return;
		if (!CocoonJS["Store"]["canPurchase"]())
			return;
		products_list = CocoonJS["Store"]["getProducts"]();
	};
	Acts.prototype.GCLogin = function ()
	{
		if (!this.socialServiceAvailable || this.socialService["isLoggedIn"]())
			return;
		this.socialService["requestLogin"]();
	};
	Acts.prototype.GCLogout = function ()
	{
		if (!this.socialServiceAvailable || !this.socialService["isLoggedIn"]())
			return;
		this.socialService["requestLogout"]();
	};
	Acts.prototype.GCSubmitScore = function (score_, leaderboard_)
	{
		if (!this.socialServiceAvailable || !this.socialService["isLoggedIn"]())
			return;
		this.socialService["submitUserScore"](score_, leaderboard_);
	};
	Acts.prototype.GCRequestScore = function (leaderboard_)
	{
		if (!this.socialServiceAvailable || !this.socialService["isLoggedIn"]())
			return;
		this.socialService["requestUserScore"](leaderboard_);
	};
	Acts.prototype.GCOpenLeaderboard = function (leaderboard_)
	{
		if (!this.socialServiceAvailable || !this.socialService["isLoggedIn"]())
			return;
		this.socialService["showLeaderboardView"](leaderboard_);
	};
	pluginProto.acts = new Acts();
	function Exps() {};
	Exps.prototype.InputText = function (ret)
	{
		ret.set_string(input_text);
	};
	Exps.prototype.ProductCount = function (ret)
	{
		ret.set_int(products_list.length);
	};
	Exps.prototype.ProductDescription = function (ret, index)
	{
		index = Math.floor(index);
		if (index < 0 || index >= products_list.length)
		{
			ret.set_string("");
			return;
		}
		ret.set_string(products_list[index]["description"]);
	};
	Exps.prototype.ProductLocalizedPrice = function (ret, index)
	{
		index = Math.floor(index);
		if (index < 0 || index >= products_list.length)
		{
			ret.set_string("");
			return;
		}
		ret.set_string(products_list[index]["localizedPrice"]);
	};
	Exps.prototype.ProductPrice = function (ret, index)
	{
		index = Math.floor(index);
		if (index < 0 || index >= products_list.length)
		{
			ret.set_string("");
			return;
		}
		ret.set_string(products_list[index]["price"]);
	};
	Exps.prototype.ProductAlias = function (ret, index)
	{
		index = Math.floor(index);
		if (index < 0 || index >= products_list.length)
		{
			ret.set_string("");
			return;
		}
		ret.set_string(products_list[index]["productAlias"]);
	};
	Exps.prototype.ProductID = function (ret, index)
	{
		index = Math.floor(index);
		if (index < 0 || index >= products_list.length)
		{
			ret.set_string("");
			return;
		}
		ret.set_string(products_list[index]["productId"]);
	};
	Exps.prototype.ProductTitle = function (ret, index)
	{
		index = Math.floor(index);
		if (index < 0 || index >= products_list.length)
		{
			ret.set_string("");
			return;
		}
		ret.set_string(products_list[index]["title"]);
	};
	Exps.prototype.GameCenterScore = function (ret)
	{
		ret.set_float(requested_score);
	};
	pluginProto.exps = new Exps();
}());
;
;
cr.plugins_.Function = function(runtime)
{
	this.runtime = runtime;
};
(function ()
{
	var pluginProto = cr.plugins_.Function.prototype;
	pluginProto.Type = function(plugin)
	{
		this.plugin = plugin;
		this.runtime = plugin.runtime;
	};
	var typeProto = pluginProto.Type.prototype;
	typeProto.onCreate = function()
	{
	};
	pluginProto.Instance = function(type)
	{
		this.type = type;
		this.runtime = type.runtime;
	};
	var instanceProto = pluginProto.Instance.prototype;
	var funcStack = [];
	var funcStackPtr = -1;
	var isInPreview = false;	// set in onCreate
	function FuncStackEntry()
	{
		this.name = "";
		this.retVal = 0;
		this.params = [];
	};
	function pushFuncStack()
	{
		funcStackPtr++;
		if (funcStackPtr === funcStack.length)
			funcStack.push(new FuncStackEntry());
		return funcStack[funcStackPtr];
	};
	function getCurrentFuncStack()
	{
		if (funcStackPtr < 0)
			return null;
		return funcStack[funcStackPtr];
	};
	function getOneAboveFuncStack()
	{
		if (!funcStack.length)
			return null;
		var i = funcStackPtr + 1;
		if (i >= funcStack.length)
			i = funcStack.length - 1;
		return funcStack[i];
	};
	function popFuncStack()
	{
;
		funcStackPtr--;
	};
	instanceProto.onCreate = function()
	{
		isInPreview = (typeof cr_is_preview !== "undefined");
	};
	function Cnds() {};
	Cnds.prototype.OnFunction = function (name_)
	{
		var fs = getCurrentFuncStack();
		if (!fs)
			return false;
		return cr.equals_nocase(name_, fs.name);
	};
	Cnds.prototype.CompareParam = function (index_, cmp_, value_)
	{
		var fs = getCurrentFuncStack();
		if (!fs)
			return false;
		index_ = cr.floor(index_);
		if (index_ < 0 || index_ >= fs.params.length)
			return false;
		return cr.do_cmp(fs.params[index_], cmp_, value_);
	};
	pluginProto.cnds = new Cnds();
	function Acts() {};
	Acts.prototype.CallFunction = function (name_, params_)
	{
		var fs = pushFuncStack();
		fs.name = name_.toLowerCase();
		fs.retVal = 0;
		cr.shallowAssignArray(fs.params, params_);
		var ran = this.runtime.trigger(cr.plugins_.Function.prototype.cnds.OnFunction, this, fs.name);
		if (isInPreview && !ran)
		{
;
		}
		popFuncStack();
	};
	Acts.prototype.SetReturnValue = function (value_)
	{
		var fs = getCurrentFuncStack();
		if (fs)
			fs.retVal = value_;
		else
;
	};
	pluginProto.acts = new Acts();
	function Exps() {};
	Exps.prototype.ReturnValue = function (ret)
	{
		var fs = getOneAboveFuncStack();
		if (fs)
			ret.set_any(fs.retVal);
		else
			ret.set_int(0);
	};
	Exps.prototype.ParamCount = function (ret)
	{
		var fs = getCurrentFuncStack();
		if (fs)
			ret.set_int(fs.params.length);
		else
		{
;
			ret.set_int(0);
		}
	};
	Exps.prototype.Param = function (ret, index_)
	{
		index_ = cr.floor(index_);
		var fs = getCurrentFuncStack();
		if (fs)
		{
			if (index_ >= 0 && index_ < fs.params.length)
			{
				ret.set_any(fs.params[index_]);
			}
			else
			{
;
				ret.set_int(0);
			}
		}
		else
		{
;
			ret.set_int(0);
		}
	};
	Exps.prototype.Call = function (ret, name_)
	{
		var fs = pushFuncStack();
		fs.name = name_.toLowerCase();
		fs.retVal = 0;
		fs.params.length = 0;
		var i, len;
		for (i = 2, len = arguments.length; i < len; i++)
			fs.params.push(arguments[i]);
		var ran = this.runtime.trigger(cr.plugins_.Function.prototype.cnds.OnFunction, this, fs.name);
		if (isInPreview && !ran)
		{
;
		}
		popFuncStack();
		ret.set_any(fs.retVal);
	};
	pluginProto.exps = new Exps();
}());
;
;
cr.plugins_.Sprite = function(runtime)
{
	this.runtime = runtime;
};
(function ()
{
	var pluginProto = cr.plugins_.Sprite.prototype;
	pluginProto.Type = function(plugin)
	{
		this.plugin = plugin;
		this.runtime = plugin.runtime;
	};
	var typeProto = pluginProto.Type.prototype;
	function frame_getDataUri()
	{
		if (this.datauri.length === 0)
		{
			var tmpcanvas = document.createElement("canvas");
			tmpcanvas.width = this.width;
			tmpcanvas.height = this.height;
			var tmpctx = tmpcanvas.getContext("2d");
			if (this.spritesheeted)
			{
				tmpctx.drawImage(this.texture_img, this.offx, this.offy, this.width, this.height,
										 0, 0, this.width, this.height);
			}
			else
			{
				tmpctx.drawImage(this.texture_img, 0, 0, this.width, this.height);
			}
			this.datauri = tmpcanvas.toDataURL("image/png");
		}
		return this.datauri;
	};
	typeProto.onCreate = function()
	{
		if (this.is_family)
			return;
		var i, leni, j, lenj;
		var anim, frame, animobj, frameobj, wt, uv;
		this.all_frames = [];
		this.has_loaded_textures = false;
		for (i = 0, leni = this.animations.length; i < leni; i++)
		{
			anim = this.animations[i];
			animobj = {};
			animobj.name = anim[0];
			animobj.speed = anim[1];
			animobj.loop = anim[2];
			animobj.repeatcount = anim[3];
			animobj.repeatto = anim[4];
			animobj.pingpong = anim[5];
			animobj.sid = anim[6];
			animobj.frames = [];
			for (j = 0, lenj = anim[7].length; j < lenj; j++)
			{
				frame = anim[7][j];
				frameobj = {};
				frameobj.texture_file = frame[0];
				frameobj.texture_filesize = frame[1];
				frameobj.offx = frame[2];
				frameobj.offy = frame[3];
				frameobj.width = frame[4];
				frameobj.height = frame[5];
				frameobj.duration = frame[6];
				frameobj.hotspotX = frame[7];
				frameobj.hotspotY = frame[8];
				frameobj.image_points = frame[9];
				frameobj.poly_pts = frame[10];
				frameobj.pixelformat = frame[11];
				frameobj.spritesheeted = (frameobj.width !== 0);
				frameobj.datauri = "";		// generated on demand and cached
				frameobj.getDataUri = frame_getDataUri;
				uv = {};
				uv.left = 0;
				uv.top = 0;
				uv.right = 1;
				uv.bottom = 1;
				frameobj.sheetTex = uv;
				frameobj.webGL_texture = null;
				wt = this.runtime.findWaitingTexture(frame[0]);
				if (wt)
				{
					frameobj.texture_img = wt;
				}
				else
				{
					frameobj.texture_img = new Image();
					frameobj.texture_img["idtkLoadDisposed"] = true;
					frameobj.texture_img.src = frame[0];
					frameobj.texture_img.cr_src = frame[0];
					frameobj.texture_img.cr_filesize = frame[1];
					frameobj.texture_img.c2webGL_texture = null;
					this.runtime.waitForImageLoad(frameobj.texture_img);
				}
				cr.seal(frameobj);
				animobj.frames.push(frameobj);
				this.all_frames.push(frameobj);
			}
			cr.seal(animobj);
			this.animations[i] = animobj;		// swap array data for object
		}
	};
	typeProto.updateAllCurrentTexture = function ()
	{
		var i, len, inst;
		for (i = 0, len = this.instances.length; i < len; i++)
		{
			inst = this.instances[i];
			inst.curWebGLTexture = inst.curFrame.webGL_texture;
		}
	};
	typeProto.onLostWebGLContext = function ()
	{
		if (this.is_family)
			return;
		var i, len, frame;
		for (i = 0, len = this.all_frames.length; i < len; ++i)
		{
			frame = this.all_frames[i];
			frame.texture_img.c2webGL_texture = null;
			frame.webGL_texture = null;
		}
	};
	typeProto.onRestoreWebGLContext = function ()
	{
		if (this.is_family || !this.instances.length)
			return;
		var i, len, frame;
		for (i = 0, len = this.all_frames.length; i < len; ++i)
		{
			frame = this.all_frames[i];
			frame.webGL_texture = this.runtime.glwrap.loadTexture(frame.texture_img, false, this.runtime.linearSampling, frame.pixelformat);
		}
		this.updateAllCurrentTexture();
	};
	typeProto.loadTextures = function ()
	{
		if (this.is_family || this.has_loaded_textures || !this.runtime.glwrap)
			return;
		var i, len, frame;
		for (i = 0, len = this.all_frames.length; i < len; ++i)
		{
			frame = this.all_frames[i];
			frame.webGL_texture = this.runtime.glwrap.loadTexture(frame.texture_img, false, this.runtime.linearSampling, frame.pixelformat);
		}
		this.has_loaded_textures = true;
	};
	typeProto.unloadTextures = function ()
	{
		if (this.is_family || this.instances.length || !this.has_loaded_textures)
			return;
		var i, len, frame;
		for (i = 0, len = this.all_frames.length; i < len; ++i)
		{
			frame = this.all_frames[i];
			this.runtime.glwrap.deleteTexture(frame.webGL_texture);
		}
		this.has_loaded_textures = false;
	};
	var already_drawn_images = [];
	typeProto.preloadCanvas2D = function (ctx)
	{
		var i, len, frameimg;
		already_drawn_images.length = 0;
		for (i = 0, len = this.all_frames.length; i < len; ++i)
		{
			frameimg = this.all_frames[i].texture_img;
			if (already_drawn_images.indexOf(frameimg) !== -1)
					continue;
			ctx.drawImage(frameimg, 0, 0);
			already_drawn_images.push(frameimg);
		}
	};
	pluginProto.Instance = function(type)
	{
		this.type = type;
		this.runtime = type.runtime;
		var poly_pts = this.type.animations[0].frames[0].poly_pts;
		if (this.recycled)
			this.collision_poly.set_pts(poly_pts);
		else
			this.collision_poly = new cr.CollisionPoly(poly_pts);
	};
	var instanceProto = pluginProto.Instance.prototype;
	instanceProto.onCreate = function()
	{
		this.visible = (this.properties[0] === 0);	// 0=visible, 1=invisible
		this.isTicking = false;
		this.inAnimTrigger = false;
		this.collisionsEnabled = (this.properties[3] !== 0);
		if (!(this.type.animations.length === 1 && this.type.animations[0].frames.length === 1) && this.type.animations[0].speed !== 0)
		{
			this.runtime.tickMe(this);
			this.isTicking = true;
		}
		this.cur_animation = this.getAnimationByName(this.properties[1]) || this.type.animations[0];
		this.cur_frame = this.properties[2];
		if (this.cur_frame < 0)
			this.cur_frame = 0;
		if (this.cur_frame >= this.cur_animation.frames.length)
			this.cur_frame = this.cur_animation.frames.length - 1;
		var curanimframe = this.cur_animation.frames[this.cur_frame];
		this.collision_poly.set_pts(curanimframe.poly_pts);
		this.hotspotX = curanimframe.hotspotX;
		this.hotspotY = curanimframe.hotspotY;
		this.cur_anim_speed = this.cur_animation.speed;
		if (this.recycled)
			this.animTimer.reset();
		else
			this.animTimer = new cr.KahanAdder();
		this.frameStart = this.getNowTime();
		this.animPlaying = true;
		this.animRepeats = 0;
		this.animForwards = true;
		this.animTriggerName = "";
		this.changeAnimName = "";
		this.changeAnimFrom = 0;
		this.changeAnimFrame = -1;
		this.type.loadTextures();
		var i, leni, j, lenj;
		var anim, frame, uv, maintex;
		for (i = 0, leni = this.type.animations.length; i < leni; i++)
		{
			anim = this.type.animations[i];
			for (j = 0, lenj = anim.frames.length; j < lenj; j++)
			{
				frame = anim.frames[j];
				if (frame.width === 0)
				{
					frame.width = frame.texture_img.width;
					frame.height = frame.texture_img.height;
				}
				if (frame.spritesheeted)
				{
					maintex = frame.texture_img;
					uv = frame.sheetTex;
					uv.left = frame.offx / maintex.width;
					uv.top = frame.offy / maintex.height;
					uv.right = (frame.offx + frame.width) / maintex.width;
					uv.bottom = (frame.offy + frame.height) / maintex.height;
					if (frame.offx === 0 && frame.offy === 0 && frame.width === maintex.width && frame.height === maintex.height)
					{
						frame.spritesheeted = false;
					}
				}
			}
		}
		this.curFrame = this.cur_animation.frames[this.cur_frame];
		this.curWebGLTexture = this.curFrame.webGL_texture;
	};
	instanceProto.saveToJSON = function ()
	{
		var o = {
			"a": this.cur_animation.sid,
			"f": this.cur_frame,
			"cas": this.cur_anim_speed,
			"fs": this.frameStart,
			"ar": this.animRepeats,
			"at": this.animTimer.sum
		};
		if (!this.animPlaying)
			o["ap"] = this.animPlaying;
		if (!this.animForwards)
			o["af"] = this.animForwards;
		return o;
	};
	instanceProto.loadFromJSON = function (o)
	{
		var anim = this.getAnimationBySid(o["a"]);
		if (anim)
			this.cur_animation = anim;
		this.cur_frame = o["f"];
		if (this.cur_frame < 0)
			this.cur_frame = 0;
		if (this.cur_frame >= this.cur_animation.frames.length)
			this.cur_frame = this.cur_animation.frames.length - 1;
		this.cur_anim_speed = o["cas"];
		this.frameStart = o["fs"];
		this.animRepeats = o["ar"];
		this.animTimer.reset();
		this.animTimer.sum = o["at"];
		this.animPlaying = o.hasOwnProperty("ap") ? o["ap"] : true;
		this.animForwards = o.hasOwnProperty("af") ? o["af"] : true;
		this.curFrame = this.cur_animation.frames[this.cur_frame];
		this.curWebGLTexture = this.curFrame.webGL_texture;
		this.collision_poly.set_pts(this.curFrame.poly_pts);
		this.hotspotX = this.curFrame.hotspotX;
		this.hotspotY = this.curFrame.hotspotY;
	};
	instanceProto.animationFinish = function (reverse)
	{
		this.cur_frame = reverse ? 0 : this.cur_animation.frames.length - 1;
		this.animPlaying = false;
		this.animTriggerName = this.cur_animation.name;
		this.inAnimTrigger = true;
		this.runtime.trigger(cr.plugins_.Sprite.prototype.cnds.OnAnyAnimFinished, this);
		this.runtime.trigger(cr.plugins_.Sprite.prototype.cnds.OnAnimFinished, this);
		this.inAnimTrigger = false;
		this.animRepeats = 0;
	};
	instanceProto.getNowTime = function()
	{
		return this.animTimer.sum;
	};
	instanceProto.tick = function()
	{
		this.animTimer.add(this.runtime.getDt(this));
		if (this.changeAnimName.length)
			this.doChangeAnim();
		if (this.changeAnimFrame >= 0)
			this.doChangeAnimFrame();
		var now = this.getNowTime();
		var cur_animation = this.cur_animation;
		var prev_frame = cur_animation.frames[this.cur_frame];
		var next_frame;
		var cur_frame_time = prev_frame.duration / this.cur_anim_speed;
		if (this.animPlaying && now >= this.frameStart + cur_frame_time)
		{
			if (this.animForwards)
			{
				this.cur_frame++;
			}
			else
			{
				this.cur_frame--;
			}
			this.frameStart += cur_frame_time;
			if (this.cur_frame >= cur_animation.frames.length)
			{
				if (cur_animation.pingpong)
				{
					this.animForwards = false;
					this.cur_frame = cur_animation.frames.length - 2;
				}
				else if (cur_animation.loop)
				{
					this.cur_frame = cur_animation.repeatto;
				}
				else
				{
					this.animRepeats++;
					if (this.animRepeats >= cur_animation.repeatcount)
					{
						this.animationFinish(false);
					}
					else
					{
						this.cur_frame = cur_animation.repeatto;
					}
				}
			}
			if (this.cur_frame < 0)
			{
				if (cur_animation.pingpong)
				{
					this.cur_frame = 1;
					this.animForwards = true;
					if (!cur_animation.loop)
					{
						this.animRepeats++;
						if (this.animRepeats >= cur_animation.repeatcount)
						{
							this.animationFinish(true);
						}
					}
				}
				else
				{
					if (cur_animation.loop)
					{
						this.cur_frame = cur_animation.repeatto;
					}
					else
					{
						this.animRepeats++;
						if (this.animRepeats >= cur_animation.repeatcount)
						{
							this.animationFinish(true);
						}
						else
						{
							this.cur_frame = cur_animation.repeatto;
						}
					}
				}
			}
			if (this.cur_frame < 0)
				this.cur_frame = 0;
			else if (this.cur_frame >= cur_animation.frames.length)
				this.cur_frame = cur_animation.frames.length - 1;
			if (now > this.frameStart + (cur_animation.frames[this.cur_frame].duration / this.cur_anim_speed))
			{
				this.frameStart = now;
			}
			next_frame = cur_animation.frames[this.cur_frame];
			this.OnFrameChanged(prev_frame, next_frame);
			this.runtime.redraw = true;
		}
	};
	instanceProto.getAnimationByName = function (name_)
	{
		var i, len, a;
		for (i = 0, len = this.type.animations.length; i < len; i++)
		{
			a = this.type.animations[i];
			if (cr.equals_nocase(a.name, name_))
				return a;
		}
		return null;
	};
	instanceProto.getAnimationBySid = function (sid_)
	{
		var i, len, a;
		for (i = 0, len = this.type.animations.length; i < len; i++)
		{
			a = this.type.animations[i];
			if (a.sid === sid_)
				return a;
		}
		return null;
	};
	instanceProto.doChangeAnim = function ()
	{
		var prev_frame = this.cur_animation.frames[this.cur_frame];
		var anim = this.getAnimationByName(this.changeAnimName);
		this.changeAnimName = "";
		if (!anim)
			return;
		if (cr.equals_nocase(anim.name, this.cur_animation.name) && this.animPlaying)
			return;
		this.cur_animation = anim;
		this.cur_anim_speed = anim.speed;
		if (this.cur_frame < 0)
			this.cur_frame = 0;
		if (this.cur_frame >= this.cur_animation.frames.length)
			this.cur_frame = this.cur_animation.frames.length - 1;
		if (this.changeAnimFrom === 1)
			this.cur_frame = 0;
		this.animPlaying = true;
		this.frameStart = this.getNowTime();
		this.animForwards = true;
		this.OnFrameChanged(prev_frame, this.cur_animation.frames[this.cur_frame]);
		this.runtime.redraw = true;
	};
	instanceProto.doChangeAnimFrame = function ()
	{
		var prev_frame = this.cur_animation.frames[this.cur_frame];
		var prev_frame_number = this.cur_frame;
		this.cur_frame = cr.floor(this.changeAnimFrame);
		if (this.cur_frame < 0)
			this.cur_frame = 0;
		if (this.cur_frame >= this.cur_animation.frames.length)
			this.cur_frame = this.cur_animation.frames.length - 1;
		if (prev_frame_number !== this.cur_frame)
		{
			this.OnFrameChanged(prev_frame, this.cur_animation.frames[this.cur_frame]);
			this.frameStart = this.getNowTime();
			this.runtime.redraw = true;
		}
		this.changeAnimFrame = -1;
	};
	instanceProto.OnFrameChanged = function (prev_frame, next_frame)
	{
		var oldw = prev_frame.width;
		var oldh = prev_frame.height;
		var neww = next_frame.width;
		var newh = next_frame.height;
		if (oldw != neww)
			this.width *= (neww / oldw);
		if (oldh != newh)
			this.height *= (newh / oldh);
		this.hotspotX = next_frame.hotspotX;
		this.hotspotY = next_frame.hotspotY;
		this.collision_poly.set_pts(next_frame.poly_pts);
		this.set_bbox_changed();
		this.curFrame = next_frame;
		this.curWebGLTexture = next_frame.webGL_texture;
		var i, len, b;
		for (i = 0, len = this.behavior_insts.length; i < len; i++)
		{
			b = this.behavior_insts[i];
			if (b.onSpriteFrameChanged)
				b.onSpriteFrameChanged(prev_frame, next_frame);
		}
		this.runtime.trigger(cr.plugins_.Sprite.prototype.cnds.OnFrameChanged, this);
	};
	instanceProto.draw = function(ctx)
	{
		ctx.globalAlpha = this.opacity;
		var cur_frame = this.curFrame;
		var spritesheeted = cur_frame.spritesheeted;
		var cur_image = cur_frame.texture_img;
		var myx = this.x;
		var myy = this.y;
		var w = this.width;
		var h = this.height;
		if (this.angle === 0 && w >= 0 && h >= 0)
		{
			myx -= this.hotspotX * w;
			myy -= this.hotspotY * h;
			if (this.runtime.pixel_rounding)
			{
				myx = (myx + 0.5) | 0;
				myy = (myy + 0.5) | 0;
			}
			if (spritesheeted)
			{
				ctx.drawImage(cur_image, cur_frame.offx, cur_frame.offy, cur_frame.width, cur_frame.height,
										 myx, myy, w, h);
			}
			else
			{
				ctx.drawImage(cur_image, myx, myy, w, h);
			}
		}
		else
		{
			if (this.runtime.pixel_rounding)
			{
				myx = (myx + 0.5) | 0;
				myy = (myy + 0.5) | 0;
			}
			ctx.save();
			var widthfactor = w > 0 ? 1 : -1;
			var heightfactor = h > 0 ? 1 : -1;
			ctx.translate(myx, myy);
			if (widthfactor !== 1 || heightfactor !== 1)
				ctx.scale(widthfactor, heightfactor);
			ctx.rotate(this.angle * widthfactor * heightfactor);
			var drawx = 0 - (this.hotspotX * cr.abs(w))
			var drawy = 0 - (this.hotspotY * cr.abs(h));
			if (spritesheeted)
			{
				ctx.drawImage(cur_image, cur_frame.offx, cur_frame.offy, cur_frame.width, cur_frame.height,
										 drawx, drawy, cr.abs(w), cr.abs(h));
			}
			else
			{
				ctx.drawImage(cur_image, drawx, drawy, cr.abs(w), cr.abs(h));
			}
			ctx.restore();
		}
		/*
		ctx.strokeStyle = "#f00";
		ctx.lineWidth = 3;
		ctx.beginPath();
		this.collision_poly.cache_poly(this.width, this.height, this.angle);
		var i, len, ax, ay, bx, by;
		for (i = 0, len = this.collision_poly.pts_count; i < len; i++)
		{
			ax = this.collision_poly.pts_cache[i*2] + this.x;
			ay = this.collision_poly.pts_cache[i*2+1] + this.y;
			bx = this.collision_poly.pts_cache[((i+1)%len)*2] + this.x;
			by = this.collision_poly.pts_cache[((i+1)%len)*2+1] + this.y;
			ctx.moveTo(ax, ay);
			ctx.lineTo(bx, by);
		}
		ctx.stroke();
		ctx.closePath();
		*/
		/*
		if (this.behavior_insts.length >= 1 && this.behavior_insts[0].draw)
		{
			this.behavior_insts[0].draw(ctx);
		}
		*/
	};
	instanceProto.drawGL = function(glw)
	{
		glw.setTexture(this.curWebGLTexture);
		glw.setOpacity(this.opacity);
		var cur_frame = this.curFrame;
		var q = this.bquad;
		if (this.runtime.pixel_rounding)
		{
			var ox = ((this.x + 0.5) | 0) - this.x;
			var oy = ((this.y + 0.5) | 0) - this.y;
			if (cur_frame.spritesheeted)
				glw.quadTex(q.tlx + ox, q.tly + oy, q.trx + ox, q.try_ + oy, q.brx + ox, q.bry + oy, q.blx + ox, q.bly + oy, cur_frame.sheetTex);
			else
				glw.quad(q.tlx + ox, q.tly + oy, q.trx + ox, q.try_ + oy, q.brx + ox, q.bry + oy, q.blx + ox, q.bly + oy);
		}
		else
		{
			if (cur_frame.spritesheeted)
				glw.quadTex(q.tlx, q.tly, q.trx, q.try_, q.brx, q.bry, q.blx, q.bly, cur_frame.sheetTex);
			else
				glw.quad(q.tlx, q.tly, q.trx, q.try_, q.brx, q.bry, q.blx, q.bly);
		}
	};
	instanceProto.getImagePointIndexByName = function(name_)
	{
		var cur_frame = this.curFrame;
		var i, len;
		for (i = 0, len = cur_frame.image_points.length; i < len; i++)
		{
			if (cr.equals_nocase(name_, cur_frame.image_points[i][0]))
				return i;
		}
		return -1;
	};
	instanceProto.getImagePoint = function(imgpt, getX)
	{
		var cur_frame = this.curFrame;
		var image_points = cur_frame.image_points;
		var index;
		if (cr.is_string(imgpt))
			index = this.getImagePointIndexByName(imgpt);
		else
			index = imgpt - 1;	// 0 is origin
		index = cr.floor(index);
		if (index < 0 || index >= image_points.length)
			return getX ? this.x : this.y;	// return origin
		var x = (image_points[index][1] - cur_frame.hotspotX) * this.width;
		var y = image_points[index][2];
		y = (y - cur_frame.hotspotY) * this.height;
		var cosa = Math.cos(this.angle);
		var sina = Math.sin(this.angle);
		var x_temp = (x * cosa) - (y * sina);
		y = (y * cosa) + (x * sina);
		x = x_temp;
		x += this.x;
		y += this.y;
		return getX ? x : y;
	};
	function Cnds() {};
	var arrCache = [];
	function allocArr()
	{
		if (arrCache.length)
			return arrCache.pop();
		else
			return [0, 0, 0];
	};
	function freeArr(a)
	{
		a[0] = 0;
		a[1] = 0;
		a[2] = 0;
		arrCache.push(a);
	};
	function makeCollKey(a, b)
	{
		if (a < b)
			return "" + a + "," + b;
		else
			return "" + b + "," + a;
	};
	function collmemory_add(collmemory, a, b, tickcount)
	{
		var a_uid = a.uid;
		var b_uid = b.uid;
		var key = makeCollKey(a_uid, b_uid);
		if (collmemory.hasOwnProperty(key))
		{
			collmemory[key][2] = tickcount;
			return;
		}
		var arr = allocArr();
		arr[0] = a_uid;
		arr[1] = b_uid;
		arr[2] = tickcount;
		collmemory[key] = arr;
	};
	function collmemory_remove(collmemory, a, b)
	{
		var key = makeCollKey(a.uid, b.uid);
		if (collmemory.hasOwnProperty(key))
		{
			freeArr(collmemory[key]);
			delete collmemory[key];
		}
	};
	function collmemory_removeInstance(collmemory, inst)
	{
		var uid = inst.uid;
		var p, entry;
		for (p in collmemory)
		{
			if (collmemory.hasOwnProperty(p))
			{
				entry = collmemory[p];
				if (entry[0] === uid || entry[1] === uid)
				{
					freeArr(collmemory[p]);
					delete collmemory[p];
				}
			}
		}
	};
	var last_coll_tickcount = -2;
	function collmemory_has(collmemory, a, b)
	{
		var key = makeCollKey(a.uid, b.uid);
		if (collmemory.hasOwnProperty(key))
		{
			last_coll_tickcount = collmemory[key][2];
			return true;
		}
		else
		{
			last_coll_tickcount = -2;
			return false;
		}
	};
	var candidates = [];
	Cnds.prototype.OnCollision = function (rtype)
	{
		if (!rtype)
			return false;
		var runtime = this.runtime;
		var cnd = runtime.getCurrentCondition();
		var ltype = cnd.type;
		if (!cnd.extra.collmemory)
		{
			cnd.extra.collmemory = {};
			runtime.addDestroyCallback((function (collmemory) {
				return function(inst) {
					collmemory_removeInstance(collmemory, inst);
				};
			})(cnd.extra.collmemory));
		}
		var collmemory = cnd.extra.collmemory;
		var lsol = ltype.getCurrentSol();
		var rsol = rtype.getCurrentSol();
		var linstances = lsol.getObjects();
		var rinstances;
		var l, linst, r, rinst;
		var curlsol, currsol;
		var tickcount = this.runtime.tickcount;
		var lasttickcount = tickcount - 1;
		var exists, run;
		var current_event = runtime.getCurrentEventStack().current_event;
		var orblock = current_event.orblock;
		for (l = 0; l < linstances.length; l++)
		{
			linst = linstances[l];
			if (rsol.select_all)
			{
				linst.update_bbox();
				this.runtime.getCollisionCandidates(linst.layer, rtype, linst.bbox, candidates);
				rinstances = candidates;
			}
			else
				rinstances = rsol.getObjects();
			for (r = 0; r < rinstances.length; r++)
			{
				rinst = rinstances[r];
				if (runtime.testOverlap(linst, rinst) || runtime.checkRegisteredCollision(linst, rinst))
				{
					exists = collmemory_has(collmemory, linst, rinst);
					run = (!exists || (last_coll_tickcount < lasttickcount));
					collmemory_add(collmemory, linst, rinst, tickcount);
					if (run)
					{
						runtime.pushCopySol(current_event.solModifiers);
						curlsol = ltype.getCurrentSol();
						currsol = rtype.getCurrentSol();
						curlsol.select_all = false;
						currsol.select_all = false;
						if (ltype === rtype)
						{
							curlsol.instances.length = 2;	// just use lsol, is same reference as rsol
							curlsol.instances[0] = linst;
							curlsol.instances[1] = rinst;
							ltype.applySolToContainer();
						}
						else
						{
							curlsol.instances.length = 1;
							currsol.instances.length = 1;
							curlsol.instances[0] = linst;
							currsol.instances[0] = rinst;
							ltype.applySolToContainer();
							rtype.applySolToContainer();
						}
						current_event.retrigger();
						runtime.popSol(current_event.solModifiers);
					}
				}
				else
				{
					collmemory_remove(collmemory, linst, rinst);
				}
			}
			candidates.length = 0;
		}
		return false;
	};
	var rpicktype = null;
	var rtopick = new cr.ObjectSet();
	var needscollisionfinish = false;
	function DoOverlapCondition(rtype, offx, offy)
	{
		if (!rtype)
			return false;
		var do_offset = (offx !== 0 || offy !== 0);
		var oldx, oldy, ret = false, r, lenr, rinst;
		var cnd = this.runtime.getCurrentCondition();
		var ltype = cnd.type;
		var inverted = cnd.inverted;
		var rsol = rtype.getCurrentSol();
		var orblock = this.runtime.getCurrentEventStack().current_event.orblock;
		var rinstances;
		if (rsol.select_all)
		{
			this.update_bbox();
			this.runtime.getCollisionCandidates(this.layer, rtype, this.bbox, candidates);
			rinstances = candidates;
		}
		else if (orblock)
			rinstances = rsol.else_instances;
		else
			rinstances = rsol.instances;
		rpicktype = rtype;
		needscollisionfinish = (ltype !== rtype && !inverted);
		if (do_offset)
		{
			oldx = this.x;
			oldy = this.y;
			this.x += offx;
			this.y += offy;
			this.set_bbox_changed();
		}
		for (r = 0, lenr = rinstances.length; r < lenr; r++)
		{
			rinst = rinstances[r];
			if (this.runtime.testOverlap(this, rinst))
			{
				ret = true;
				if (inverted)
					break;
				if (ltype !== rtype)
					rtopick.add(rinst);
			}
		}
		if (do_offset)
		{
			this.x = oldx;
			this.y = oldy;
			this.set_bbox_changed();
		}
		candidates.length = 0;
		return ret;
	};
	typeProto.finish = function (do_pick)
	{
		if (!needscollisionfinish)
			return;
		if (do_pick)
		{
			var orblock = this.runtime.getCurrentEventStack().current_event.orblock;
			var sol = rpicktype.getCurrentSol();
			var topick = rtopick.valuesRef();
			var i, len, inst;
			if (sol.select_all)
			{
				sol.select_all = false;
				sol.instances.length = topick.length;
				for (i = 0, len = topick.length; i < len; i++)
				{
					sol.instances[i] = topick[i];
				}
				if (orblock)
				{
					sol.else_instances.length = 0;
					for (i = 0, len = rpicktype.instances.length; i < len; i++)
					{
						inst = rpicktype.instances[i];
						if (!rtopick.contains(inst))
							sol.else_instances.push(inst);
					}
				}
			}
			else
			{
				if (orblock)
				{
					var initsize = sol.instances.length;
					sol.instances.length = initsize + topick.length;
					for (i = 0, len = topick.length; i < len; i++)
					{
						sol.instances[initsize + i] = topick[i];
						cr.arrayFindRemove(sol.else_instances, topick[i]);
					}
				}
				else
				{
					cr.shallowAssignArray(sol.instances, topick);
				}
			}
			rpicktype.applySolToContainer();
		}
		rtopick.clear();
		needscollisionfinish = false;
	};
	Cnds.prototype.IsOverlapping = function (rtype)
	{
		return DoOverlapCondition.call(this, rtype, 0, 0);
	};
	Cnds.prototype.IsOverlappingOffset = function (rtype, offx, offy)
	{
		return DoOverlapCondition.call(this, rtype, offx, offy);
	};
	Cnds.prototype.IsAnimPlaying = function (animname)
	{
		if (this.changeAnimName.length)
			return cr.equals_nocase(this.changeAnimName, animname);
		else
			return cr.equals_nocase(this.cur_animation.name, animname);
	};
	Cnds.prototype.CompareFrame = function (cmp, framenum)
	{
		return cr.do_cmp(this.cur_frame, cmp, framenum);
	};
	Cnds.prototype.CompareAnimSpeed = function (cmp, x)
	{
		var s = (this.animForwards ? this.cur_anim_speed : -this.cur_anim_speed);
		return cr.do_cmp(s, cmp, x);
	};
	Cnds.prototype.OnAnimFinished = function (animname)
	{
		return cr.equals_nocase(this.animTriggerName, animname);
	};
	Cnds.prototype.OnAnyAnimFinished = function ()
	{
		return true;
	};
	Cnds.prototype.OnFrameChanged = function ()
	{
		return true;
	};
	Cnds.prototype.IsMirrored = function ()
	{
		return this.width < 0;
	};
	Cnds.prototype.IsFlipped = function ()
	{
		return this.height < 0;
	};
	Cnds.prototype.OnURLLoaded = function ()
	{
		return true;
	};
	Cnds.prototype.IsCollisionEnabled = function ()
	{
		return this.collisionsEnabled;
	};
	pluginProto.cnds = new Cnds();
	function Acts() {};
	Acts.prototype.Spawn = function (obj, layer, imgpt)
	{
		if (!obj || !layer)
			return;
		var inst = this.runtime.createInstance(obj, layer, this.getImagePoint(imgpt, true), this.getImagePoint(imgpt, false));
		if (!inst)
			return;
		if (typeof inst.angle !== "undefined")
		{
			inst.angle = this.angle;
			inst.set_bbox_changed();
		}
		this.runtime.isInOnDestroy++;
		var i, len, s;
		this.runtime.trigger(Object.getPrototypeOf(obj.plugin).cnds.OnCreated, inst);
		if (inst.is_contained)
		{
			for (i = 0, len = inst.siblings.length; i < len; i++)
			{
				s = inst.siblings[i];
				this.runtime.trigger(Object.getPrototypeOf(s.type.plugin).cnds.OnCreated, s);
			}
		}
		this.runtime.isInOnDestroy--;
		var cur_act = this.runtime.getCurrentAction();
		var reset_sol = false;
		if (cr.is_undefined(cur_act.extra.Spawn_LastExec) || cur_act.extra.Spawn_LastExec < this.runtime.execcount)
		{
			reset_sol = true;
			cur_act.extra.Spawn_LastExec = this.runtime.execcount;
		}
		var sol;
		if (obj != this.type)
		{
			sol = obj.getCurrentSol();
			sol.select_all = false;
			if (reset_sol)
			{
				sol.instances.length = 1;
				sol.instances[0] = inst;
			}
			else
				sol.instances.push(inst);
			if (inst.is_contained)
			{
				for (i = 0, len = inst.siblings.length; i < len; i++)
				{
					s = inst.siblings[i];
					sol = s.type.getCurrentSol();
					sol.select_all = false;
					if (reset_sol)
					{
						sol.instances.length = 1;
						sol.instances[0] = s;
					}
					else
						sol.instances.push(s);
				}
			}
		}
	};
	Acts.prototype.SetEffect = function (effect)
	{
		this.compositeOp = cr.effectToCompositeOp(effect);
		cr.setGLBlend(this, effect, this.runtime.gl);
		this.runtime.redraw = true;
	};
	Acts.prototype.StopAnim = function ()
	{
		this.animPlaying = false;
	};
	Acts.prototype.StartAnim = function (from)
	{
		this.animPlaying = true;
		this.frameStart = this.getNowTime();
		if (from === 1 && this.cur_frame !== 0)
		{
			this.changeAnimFrame = 0;
			if (!this.inAnimTrigger)
				this.doChangeAnimFrame();
		}
		if (!this.isTicking)
		{
			this.runtime.tickMe(this);
			this.isTicking = true;
		}
	};
	Acts.prototype.SetAnim = function (animname, from)
	{
		this.changeAnimName = animname;
		this.changeAnimFrom = from;
		if (!this.isTicking)
		{
			this.runtime.tickMe(this);
			this.isTicking = true;
		}
		if (!this.inAnimTrigger)
			this.doChangeAnim();
	};
	Acts.prototype.SetAnimFrame = function (framenumber)
	{
		this.changeAnimFrame = framenumber;
		if (!this.isTicking)
		{
			this.runtime.tickMe(this);
			this.isTicking = true;
		}
		if (!this.inAnimTrigger)
			this.doChangeAnimFrame();
	};
	Acts.prototype.SetAnimSpeed = function (s)
	{
		this.cur_anim_speed = cr.abs(s);
		this.animForwards = (s >= 0);
		if (!this.isTicking)
		{
			this.runtime.tickMe(this);
			this.isTicking = true;
		}
	};
	Acts.prototype.SetMirrored = function (m)
	{
		var neww = cr.abs(this.width) * (m === 0 ? -1 : 1);
		if (this.width === neww)
			return;
		this.width = neww;
		this.set_bbox_changed();
	};
	Acts.prototype.SetFlipped = function (f)
	{
		var newh = cr.abs(this.height) * (f === 0 ? -1 : 1);
		if (this.height === newh)
			return;
		this.height = newh;
		this.set_bbox_changed();
	};
	Acts.prototype.SetScale = function (s)
	{
		var cur_frame = this.curFrame;
		var mirror_factor = (this.width < 0 ? -1 : 1);
		var flip_factor = (this.height < 0 ? -1 : 1);
		var new_width = cur_frame.width * s * mirror_factor;
		var new_height = cur_frame.height * s * flip_factor;
		if (this.width !== new_width || this.height !== new_height)
		{
			this.width = new_width;
			this.height = new_height;
			this.set_bbox_changed();
		}
	};
	Acts.prototype.LoadURL = function (url_, resize_)
	{
		var img = new Image();
		var self = this;
		var curFrame_ = this.curFrame;
		img.onload = function ()
		{
			if (curFrame_.texture_img.src === img.src)
			{
				if (self.runtime.glwrap && self.curFrame === curFrame_)
					self.curWebGLTexture = curFrame_.webGL_texture;
				self.runtime.redraw = true;
				self.runtime.trigger(cr.plugins_.Sprite.prototype.cnds.OnURLLoaded, self);
				return;
			}
			curFrame_.texture_img = img;
			curFrame_.offx = 0;
			curFrame_.offy = 0;
			curFrame_.width = img.width;
			curFrame_.height = img.height;
			curFrame_.spritesheeted = false;
			curFrame_.datauri = "";
			if (self.runtime.glwrap)
			{
				if (curFrame_.webGL_texture)
					self.runtime.glwrap.deleteTexture(curFrame_.webGL_texture);
				curFrame_.webGL_texture = self.runtime.glwrap.loadTexture(img, false, self.runtime.linearSampling);
				if (self.curFrame === curFrame_)
					self.curWebGLTexture = curFrame_.webGL_texture;
				self.type.updateAllCurrentTexture();
			}
			if (resize_ === 0)		// resize to image size
			{
				self.width = img.width;
				self.height = img.height;
				self.set_bbox_changed();
			}
			self.runtime.redraw = true;
			self.runtime.trigger(cr.plugins_.Sprite.prototype.cnds.OnURLLoaded, self);
		};
		if (url_.substr(0, 5) !== "data:")
			img.crossOrigin = 'anonymous';
		img.src = url_;
	};
	Acts.prototype.SetCollisions = function (set_)
	{
		if (this.collisionsEnabled === (set_ !== 0))
			return;		// no change
		this.collisionsEnabled = (set_ !== 0);
		if (this.collisionsEnabled)
			this.set_bbox_changed();		// needs to be added back to cells
		else
		{
			if (this.collcells.right >= this.collcells.left)
				this.type.collision_grid.update(this, this.collcells, null);
			this.collcells.set(0, 0, -1, -1);
		}
	};
	pluginProto.acts = new Acts();
	function Exps() {};
	Exps.prototype.AnimationFrame = function (ret)
	{
		ret.set_int(this.cur_frame);
	};
	Exps.prototype.AnimationFrameCount = function (ret)
	{
		ret.set_int(this.cur_animation.frames.length);
	};
	Exps.prototype.AnimationName = function (ret)
	{
		ret.set_string(this.cur_animation.name);
	};
	Exps.prototype.AnimationSpeed = function (ret)
	{
		ret.set_float(this.animForwards ? this.cur_anim_speed : -this.cur_anim_speed);
	};
	Exps.prototype.ImagePointX = function (ret, imgpt)
	{
		ret.set_float(this.getImagePoint(imgpt, true));
	};
	Exps.prototype.ImagePointY = function (ret, imgpt)
	{
		ret.set_float(this.getImagePoint(imgpt, false));
	};
	Exps.prototype.ImagePointCount = function (ret)
	{
		ret.set_int(this.curFrame.image_points.length);
	};
	Exps.prototype.ImageWidth = function (ret)
	{
		ret.set_float(this.curFrame.width);
	};
	Exps.prototype.ImageHeight = function (ret)
	{
		ret.set_float(this.curFrame.height);
	};
	pluginProto.exps = new Exps();
}());
;
;
cr.plugins_.Text = function(runtime)
{
	this.runtime = runtime;
};
(function ()
{
	var pluginProto = cr.plugins_.Text.prototype;
	pluginProto.onCreate = function ()
	{
		pluginProto.acts.SetWidth = function (w)
		{
			if (this.width !== w)
			{
				this.width = w;
				this.text_changed = true;	// also recalculate text wrapping
				this.set_bbox_changed();
			}
		};
	};
	pluginProto.Type = function(plugin)
	{
		this.plugin = plugin;
		this.runtime = plugin.runtime;
	};
	var typeProto = pluginProto.Type.prototype;
	typeProto.onCreate = function()
	{
	};
	typeProto.onLostWebGLContext = function ()
	{
		if (this.is_family)
			return;
		var i, len, inst;
		for (i = 0, len = this.instances.length; i < len; i++)
		{
			inst = this.instances[i];
			inst.mycanvas = null;
			inst.myctx = null;
			inst.mytex = null;
		}
	};
	pluginProto.Instance = function(type)
	{
		this.type = type;
		this.runtime = type.runtime;
		if (this.recycled)
			this.lines.length = 0;
		else
			this.lines = [];		// for word wrapping
		this.text_changed = true;
	};
	var instanceProto = pluginProto.Instance.prototype;
	var requestedWebFonts = {};		// already requested web fonts have an entry here
	instanceProto.onCreate = function()
	{
		this.text = this.properties[0];
		this.visible = (this.properties[1] === 0);		// 0=visible, 1=invisible
		this.font = this.properties[2];
		this.color = this.properties[3];
		this.halign = this.properties[4];				// 0=left, 1=center, 2=right
		this.valign = this.properties[5];				// 0=top, 1=center, 2=bottom
		this.wrapbyword = (this.properties[7] === 0);	// 0=word, 1=character
		this.lastwidth = this.width;
		this.lastwrapwidth = this.width;
		this.lastheight = this.height;
		this.line_height_offset = this.properties[8];
		this.facename = "";
		this.fontstyle = "";
		this.ptSize = 0;
		this.textWidth = 0;
		this.textHeight = 0;
		this.parseFont();
		this.mycanvas = null;
		this.myctx = null;
		this.mytex = null;
		this.need_text_redraw = false;
		this.last_render_tick = this.runtime.tickcount;
		if (this.recycled)
			this.rcTex.set(0, 0, 1, 1);
		else
			this.rcTex = new cr.rect(0, 0, 1, 1);
		if (this.runtime.glwrap)
			this.runtime.tickMe(this);
;
	};
	instanceProto.parseFont = function ()
	{
		var arr = this.font.split(" ");
		var i;
		for (i = 0; i < arr.length; i++)
		{
			if (arr[i].substr(arr[i].length - 2, 2) === "pt")
			{
				this.ptSize = parseInt(arr[i].substr(0, arr[i].length - 2));
				this.pxHeight = Math.ceil((this.ptSize / 72.0) * 96.0) + 4;	// assume 96dpi...
				if (i > 0)
					this.fontstyle = arr[i - 1];
				this.facename = arr[i + 1];
				for (i = i + 2; i < arr.length; i++)
					this.facename += " " + arr[i];
				break;
			}
		}
	};
	instanceProto.saveToJSON = function ()
	{
		return {
			"t": this.text,
			"f": this.font,
			"c": this.color,
			"ha": this.halign,
			"va": this.valign,
			"wr": this.wrapbyword,
			"lho": this.line_height_offset,
			"fn": this.facename,
			"fs": this.fontstyle,
			"ps": this.ptSize,
			"pxh": this.pxHeight,
			"tw": this.textWidth,
			"th": this.textHeight,
			"lrt": this.last_render_tick
		};
	};
	instanceProto.loadFromJSON = function (o)
	{
		this.text = o["t"];
		this.font = o["f"];
		this.color = o["c"];
		this.halign = o["ha"];
		this.valign = o["va"];
		this.wrapbyword = o["wr"];
		this.line_height_offset = o["lho"];
		this.facename = o["fn"];
		this.fontstyle = o["fs"];
		this.ptSize = o["ps"];
		this.pxHeight = o["pxh"];
		this.textWidth = o["tw"];
		this.textHeight = o["th"];
		this.last_render_tick = o["lrt"];
		this.text_changed = true;
		this.lastwidth = this.width;
		this.lastwrapwidth = this.width;
		this.lastheight = this.height;
	};
	instanceProto.tick = function ()
	{
		if (this.runtime.glwrap && this.mytex && (this.runtime.tickcount - this.last_render_tick >= 300))
		{
			var layer = this.layer;
            this.update_bbox();
            var bbox = this.bbox;
            if (bbox.right < layer.viewLeft || bbox.bottom < layer.viewTop || bbox.left > layer.viewRight || bbox.top > layer.viewBottom)
			{
				this.runtime.glwrap.deleteTexture(this.mytex);
				this.mytex = null;
				this.myctx = null;
				this.mycanvas = null;
			}
		}
	};
	instanceProto.onDestroy = function ()
	{
		this.myctx = null;
		this.mycanvas = null;
		if (this.runtime.glwrap && this.mytex)
			this.runtime.glwrap.deleteTexture(this.mytex);
		this.mytex = null;
	};
	instanceProto.updateFont = function ()
	{
		this.font = this.fontstyle + " " + this.ptSize.toString() + "pt " + this.facename;
		this.text_changed = true;
		this.runtime.redraw = true;
	};
	instanceProto.draw = function(ctx, glmode)
	{
		ctx.font = this.font;
		ctx.textBaseline = "top";
		ctx.fillStyle = this.color;
		ctx.globalAlpha = glmode ? 1 : this.opacity;
		var myscale = 1;
		if (glmode)
		{
			myscale = this.layer.getScale();
			ctx.save();
			ctx.scale(myscale, myscale);
		}
		if (this.text_changed || this.width !== this.lastwrapwidth)
		{
			this.type.plugin.WordWrap(this.text, this.lines, ctx, this.width, this.wrapbyword);
			this.text_changed = false;
			this.lastwrapwidth = this.width;
		}
		this.update_bbox();
		var penX = glmode ? 0 : this.bquad.tlx;
		var penY = glmode ? 0 : this.bquad.tly;
		if (this.runtime.pixel_rounding)
		{
			penX = (penX + 0.5) | 0;
			penY = (penY + 0.5) | 0;
		}
		if (this.angle !== 0 && !glmode)
		{
			ctx.save();
			ctx.translate(penX, penY);
			ctx.rotate(this.angle);
			penX = 0;
			penY = 0;
		}
		var endY = penY + this.height;
		var line_height = this.pxHeight;
		line_height += this.line_height_offset;
		var drawX;
		var i;
		if (this.valign === 1)		// center
			penY += Math.max(this.height / 2 - (this.lines.length * line_height) / 2, 0);
		else if (this.valign === 2)	// bottom
			penY += Math.max(this.height - (this.lines.length * line_height) - 2, 0);
		for (i = 0; i < this.lines.length; i++)
		{
			drawX = penX;
			if (this.halign === 1)		// center
				drawX = penX + (this.width - this.lines[i].width) / 2;
			else if (this.halign === 2)	// right
				drawX = penX + (this.width - this.lines[i].width);
			ctx.fillText(this.lines[i].text, drawX, penY);
			penY += line_height;
			if (penY >= endY - line_height)
				break;
		}
		if (this.angle !== 0 || glmode)
			ctx.restore();
		this.last_render_tick = this.runtime.tickcount;
	};
	instanceProto.drawGL = function(glw)
	{
		if (this.width < 1 || this.height < 1)
			return;
		var need_redraw = this.text_changed || this.need_text_redraw;
		this.need_text_redraw = false;
		var layer_scale = this.layer.getScale();
		var layer_angle = this.layer.getAngle();
		var rcTex = this.rcTex;
		var floatscaledwidth = layer_scale * this.width;
		var floatscaledheight = layer_scale * this.height;
		var scaledwidth = Math.ceil(floatscaledwidth);
		var scaledheight = Math.ceil(floatscaledheight);
		var halfw = this.runtime.draw_width / 2;
		var halfh = this.runtime.draw_height / 2;
		if (!this.myctx)
		{
			this.mycanvas = document.createElement("canvas");
			this.mycanvas.width = scaledwidth;
			this.mycanvas.height = scaledheight;
			this.lastwidth = scaledwidth;
			this.lastheight = scaledheight;
			need_redraw = true;
			this.myctx = this.mycanvas.getContext("2d");
		}
		if (scaledwidth !== this.lastwidth || scaledheight !== this.lastheight)
		{
			this.mycanvas.width = scaledwidth;
			this.mycanvas.height = scaledheight;
			if (this.mytex)
			{
				glw.deleteTexture(this.mytex);
				this.mytex = null;
			}
			need_redraw = true;
		}
		if (need_redraw)
		{
			this.myctx.clearRect(0, 0, scaledwidth, scaledheight);
			this.draw(this.myctx, true);
			if (!this.mytex)
				this.mytex = glw.createEmptyTexture(scaledwidth, scaledheight, this.runtime.linearSampling, this.runtime.isMobile);
			glw.videoToTexture(this.mycanvas, this.mytex, this.runtime.isMobile);
		}
		this.lastwidth = scaledwidth;
		this.lastheight = scaledheight;
		glw.setTexture(this.mytex);
		glw.setOpacity(this.opacity);
		glw.resetModelView();
		glw.translate(-halfw, -halfh);
		glw.updateModelView();
		var q = this.bquad;
		var old_dpr = this.runtime.devicePixelRatio;
		this.runtime.devicePixelRatio = 1;
		var tlx = this.layer.layerToCanvas(q.tlx, q.tly, true, true);
		var tly = this.layer.layerToCanvas(q.tlx, q.tly, false, true);
		var trx = this.layer.layerToCanvas(q.trx, q.try_, true, true);
		var try_ = this.layer.layerToCanvas(q.trx, q.try_, false, true);
		var brx = this.layer.layerToCanvas(q.brx, q.bry, true, true);
		var bry = this.layer.layerToCanvas(q.brx, q.bry, false, true);
		var blx = this.layer.layerToCanvas(q.blx, q.bly, true, true);
		var bly = this.layer.layerToCanvas(q.blx, q.bly, false, true);
		this.runtime.devicePixelRatio = old_dpr;
		if (this.runtime.pixel_rounding || (this.angle === 0 && layer_angle === 0))
		{
			var ox = ((tlx + 0.5) | 0) - tlx;
			var oy = ((tly + 0.5) | 0) - tly
			tlx += ox;
			tly += oy;
			trx += ox;
			try_ += oy;
			brx += ox;
			bry += oy;
			blx += ox;
			bly += oy;
		}
		if (this.angle === 0 && layer_angle === 0)
		{
			trx = tlx + scaledwidth;
			try_ = tly;
			brx = trx;
			bry = tly + scaledheight;
			blx = tlx;
			bly = bry;
			rcTex.right = 1;
			rcTex.bottom = 1;
		}
		else
		{
			rcTex.right = floatscaledwidth / scaledwidth;
			rcTex.bottom = floatscaledheight / scaledheight;
		}
		glw.quadTex(tlx, tly, trx, try_, brx, bry, blx, bly, rcTex);
		glw.resetModelView();
		glw.scale(layer_scale, layer_scale);
		glw.rotateZ(-this.layer.getAngle());
		glw.translate((this.layer.viewLeft + this.layer.viewRight) / -2, (this.layer.viewTop + this.layer.viewBottom) / -2);
		glw.updateModelView();
		this.last_render_tick = this.runtime.tickcount;
	};
	var wordsCache = [];
	pluginProto.TokeniseWords = function (text)
	{
		wordsCache.length = 0;
		var cur_word = "";
		var ch;
		var i = 0;
		while (i < text.length)
		{
			ch = text.charAt(i);
			if (ch === "\n")
			{
				if (cur_word.length)
				{
					wordsCache.push(cur_word);
					cur_word = "";
				}
				wordsCache.push("\n");
				++i;
			}
			else if (ch === " " || ch === "\t" || ch === "-")
			{
				do {
					cur_word += text.charAt(i);
					i++;
				}
				while (i < text.length && (text.charAt(i) === " " || text.charAt(i) === "\t"));
				wordsCache.push(cur_word);
				cur_word = "";
			}
			else if (i < text.length)
			{
				cur_word += ch;
				i++;
			}
		}
		if (cur_word.length)
			wordsCache.push(cur_word);
	};
	var linesCache = [];
	function allocLine()
	{
		if (linesCache.length)
			return linesCache.pop();
		else
			return {};
	};
	function freeLine(l)
	{
		linesCache.push(l);
	};
	function freeAllLines(arr)
	{
		var i, len;
		for (i = 0, len = arr.length; i < len; i++)
		{
			freeLine(arr[i]);
		}
		arr.length = 0;
	};
	pluginProto.WordWrap = function (text, lines, ctx, width, wrapbyword)
	{
		if (!text || !text.length)
		{
			freeAllLines(lines);
			return;
		}
		if (width <= 2.0)
		{
			freeAllLines(lines);
			return;
		}
		if (text.length <= 100 && text.indexOf("\n") === -1)
		{
			var all_width = ctx.measureText(text).width;
			if (all_width <= width)
			{
				freeAllLines(lines);
				lines.push(allocLine());
				lines[0].text = text;
				lines[0].width = all_width;
				return;
			}
		}
		this.WrapText(text, lines, ctx, width, wrapbyword);
	};
	pluginProto.WrapText = function (text, lines, ctx, width, wrapbyword)
	{
		var wordArray;
		if (wrapbyword)
		{
			this.TokeniseWords(text);	// writes to wordsCache
			wordArray = wordsCache;
		}
		else
			wordArray = text;
		var cur_line = "";
		var prev_line;
		var line_width;
		var i;
		var lineIndex = 0;
		var line;
		for (i = 0; i < wordArray.length; i++)
		{
			if (wordArray[i] === "\n")
			{
				if (lineIndex >= lines.length)
					lines.push(allocLine());
				line = lines[lineIndex];
				line.text = cur_line;
				line.width = ctx.measureText(cur_line).width;
				lineIndex++;
				cur_line = "";
				continue;
			}
			prev_line = cur_line;
			cur_line += wordArray[i];
			line_width = ctx.measureText(cur_line).width;
			if (line_width >= width)
			{
				if (lineIndex >= lines.length)
					lines.push(allocLine());
				line = lines[lineIndex];
				line.text = prev_line;
				line.width = ctx.measureText(prev_line).width;
				lineIndex++;
				cur_line = wordArray[i];
				if (!wrapbyword && cur_line === " ")
					cur_line = "";
			}
		}
		if (cur_line.length)
		{
			if (lineIndex >= lines.length)
				lines.push(allocLine());
			line = lines[lineIndex];
			line.text = cur_line;
			line.width = ctx.measureText(cur_line).width;
			lineIndex++;
		}
		for (i = lineIndex; i < lines.length; i++)
			freeLine(lines[i]);
		lines.length = lineIndex;
	};
	function Cnds() {};
	Cnds.prototype.CompareText = function(text_to_compare, case_sensitive)
	{
		if (case_sensitive)
			return this.text == text_to_compare;
		else
			return cr.equals_nocase(this.text, text_to_compare);
	};
	pluginProto.cnds = new Cnds();
	function Acts() {};
	Acts.prototype.SetText = function(param)
	{
		if (cr.is_number(param) && param < 1e9)
			param = Math.round(param * 1e10) / 1e10;	// round to nearest ten billionth - hides floating point errors
		var text_to_set = param.toString();
		if (this.text !== text_to_set)
		{
			this.text = text_to_set;
			this.text_changed = true;
			this.runtime.redraw = true;
		}
	};
	Acts.prototype.AppendText = function(param)
	{
		if (cr.is_number(param))
			param = Math.round(param * 1e10) / 1e10;	// round to nearest ten billionth - hides floating point errors
		var text_to_append = param.toString();
		if (text_to_append)	// not empty
		{
			this.text += text_to_append;
			this.text_changed = true;
			this.runtime.redraw = true;
		}
	};
	Acts.prototype.SetFontFace = function (face_, style_)
	{
		var newstyle = "";
		switch (style_) {
		case 1: newstyle = "bold"; break;
		case 2: newstyle = "italic"; break;
		case 3: newstyle = "bold italic"; break;
		}
		if (face_ === this.facename && newstyle === this.fontstyle)
			return;		// no change
		this.facename = face_;
		this.fontstyle = newstyle;
		this.updateFont();
	};
	Acts.prototype.SetFontSize = function (size_)
	{
		if (this.ptSize === size_)
			return;
		this.ptSize = size_;
		this.pxHeight = Math.ceil((this.ptSize / 72.0) * 96.0) + 4;	// assume 96dpi...
		this.updateFont();
	};
	Acts.prototype.SetFontColor = function (rgb)
	{
		var newcolor = "rgb(" + cr.GetRValue(rgb).toString() + "," + cr.GetGValue(rgb).toString() + "," + cr.GetBValue(rgb).toString() + ")";
		if (newcolor === this.color)
			return;
		this.color = newcolor;
		this.need_text_redraw = true;
		this.runtime.redraw = true;
	};
	Acts.prototype.SetWebFont = function (familyname_, cssurl_)
	{
		if (this.runtime.isDomFree)
		{
			cr.logexport("[Construct 2] Text plugin: 'Set web font' not supported on this platform - the action has been ignored");
			return;		// DC todo
		}
		var self = this;
		var refreshFunc = (function () {
							self.runtime.redraw = true;
							self.text_changed = true;
						});
		if (requestedWebFonts.hasOwnProperty(cssurl_))
		{
			var newfacename = "'" + familyname_ + "'";
			if (this.facename === newfacename)
				return;	// no change
			this.facename = newfacename;
			this.updateFont();
			for (var i = 1; i < 10; i++)
			{
				setTimeout(refreshFunc, i * 100);
				setTimeout(refreshFunc, i * 1000);
			}
			return;
		}
		var wf = document.createElement("link");
		wf.href = cssurl_;
		wf.rel = "stylesheet";
		wf.type = "text/css";
		wf.onload = refreshFunc;
		document.getElementsByTagName('head')[0].appendChild(wf);
		requestedWebFonts[cssurl_] = true;
		this.facename = "'" + familyname_ + "'";
		this.updateFont();
		for (var i = 1; i < 10; i++)
		{
			setTimeout(refreshFunc, i * 100);
			setTimeout(refreshFunc, i * 1000);
		}
;
	};
	Acts.prototype.SetEffect = function (effect)
	{
		this.compositeOp = cr.effectToCompositeOp(effect);
		cr.setGLBlend(this, effect, this.runtime.gl);
		this.runtime.redraw = true;
	};
	pluginProto.acts = new Acts();
	function Exps() {};
	Exps.prototype.Text = function(ret)
	{
		ret.set_string(this.text);
	};
	Exps.prototype.FaceName = function (ret)
	{
		ret.set_string(this.facename);
	};
	Exps.prototype.FaceSize = function (ret)
	{
		ret.set_int(this.ptSize);
	};
	Exps.prototype.TextWidth = function (ret)
	{
		var w = 0;
		var i, len, x;
		for (i = 0, len = this.lines.length; i < len; i++)
		{
			x = this.lines[i].width;
			if (w < x)
				w = x;
		}
		ret.set_int(w);
	};
	Exps.prototype.TextHeight = function (ret)
	{
		ret.set_int(this.lines.length * (this.pxHeight + this.line_height_offset) - this.line_height_offset);
	};
	pluginProto.exps = new Exps();
}());
;
;
cr.plugins_.TiledBg = function(runtime)
{
	this.runtime = runtime;
};
(function ()
{
	var pluginProto = cr.plugins_.TiledBg.prototype;
	pluginProto.Type = function(plugin)
	{
		this.plugin = plugin;
		this.runtime = plugin.runtime;
	};
	var typeProto = pluginProto.Type.prototype;
	typeProto.onCreate = function()
	{
		if (this.is_family)
			return;
		this.texture_img = new Image();
		this.texture_img["idtkLoadDisposed"] = true;
		this.texture_img.src = this.texture_file;
		this.texture_img.cr_filesize = this.texture_filesize;
		this.runtime.waitForImageLoad(this.texture_img);
		this.pattern = null;
		this.webGL_texture = null;
	};
	typeProto.onLostWebGLContext = function ()
	{
		if (this.is_family)
			return;
		this.webGL_texture = null;
	};
	typeProto.onRestoreWebGLContext = function ()
	{
		if (this.is_family || !this.instances.length)
			return;
		if (!this.webGL_texture)
		{
			this.webGL_texture = this.runtime.glwrap.loadTexture(this.texture_img, true, this.runtime.linearSampling, this.texture_pixelformat);
		}
		var i, len;
		for (i = 0, len = this.instances.length; i < len; i++)
			this.instances[i].webGL_texture = this.webGL_texture;
	};
	typeProto.loadTextures = function ()
	{
		if (this.is_family || this.webGL_texture || !this.runtime.glwrap)
			return;
		this.webGL_texture = this.runtime.glwrap.loadTexture(this.texture_img, true, this.runtime.linearSampling, this.texture_pixelformat);
	};
	typeProto.unloadTextures = function ()
	{
		if (this.is_family || this.instances.length || !this.webGL_texture)
			return;
		this.runtime.glwrap.deleteTexture(this.webGL_texture);
		this.webGL_texture = null;
	};
	typeProto.preloadCanvas2D = function (ctx)
	{
		ctx.drawImage(this.texture_img, 0, 0);
	};
	pluginProto.Instance = function(type)
	{
		this.type = type;
		this.runtime = type.runtime;
	};
	var instanceProto = pluginProto.Instance.prototype;
	instanceProto.onCreate = function()
	{
		this.visible = (this.properties[0] === 0);							// 0=visible, 1=invisible
		this.rcTex = new cr.rect(0, 0, 0, 0);
		this.has_own_texture = false;										// true if a texture loaded in from URL
		this.texture_img = this.type.texture_img;
		if (this.runtime.glwrap)
		{
			this.type.loadTextures();
			this.webGL_texture = this.type.webGL_texture;
		}
		else
		{
			if (!this.type.pattern)
				this.type.pattern = this.runtime.ctx.createPattern(this.type.texture_img, "repeat");
			this.pattern = this.type.pattern;
		}
	};
	instanceProto.afterLoad = function ()
	{
		this.has_own_texture = false;
		this.texture_img = this.type.texture_img;
	};
	instanceProto.onDestroy = function ()
	{
		if (this.runtime.glwrap && this.has_own_texture && this.webGL_texture)
		{
			this.runtime.glwrap.deleteTexture(this.webGL_texture);
			this.webGL_texture = null;
		}
	};
	instanceProto.draw = function(ctx)
	{
		ctx.globalAlpha = this.opacity;
		ctx.save();
		ctx.fillStyle = this.pattern;
		var myx = this.x;
		var myy = this.y;
		if (this.runtime.pixel_rounding)
		{
			myx = (myx + 0.5) | 0;
			myy = (myy + 0.5) | 0;
		}
		var drawX = -(this.hotspotX * this.width);
		var drawY = -(this.hotspotY * this.height);
		var offX = drawX % this.texture_img.width;
		var offY = drawY % this.texture_img.height;
		if (offX < 0)
			offX += this.texture_img.width;
		if (offY < 0)
			offY += this.texture_img.height;
		ctx.translate(myx, myy);
		ctx.rotate(this.angle);
		ctx.translate(offX, offY);
		ctx.fillRect(drawX - offX,
					 drawY - offY,
					 this.width,
					 this.height);
		ctx.restore();
	};
	instanceProto.drawGL = function(glw)
	{
		glw.setTexture(this.webGL_texture);
		glw.setOpacity(this.opacity);
		var rcTex = this.rcTex;
		rcTex.right = this.width / this.texture_img.width;
		rcTex.bottom = this.height / this.texture_img.height;
		var q = this.bquad;
		if (this.runtime.pixel_rounding)
		{
			var ox = ((this.x + 0.5) | 0) - this.x;
			var oy = ((this.y + 0.5) | 0) - this.y;
			glw.quadTex(q.tlx + ox, q.tly + oy, q.trx + ox, q.try_ + oy, q.brx + ox, q.bry + oy, q.blx + ox, q.bly + oy, rcTex);
		}
		else
			glw.quadTex(q.tlx, q.tly, q.trx, q.try_, q.brx, q.bry, q.blx, q.bly, rcTex);
	};
	function Cnds() {};
	Cnds.prototype.OnURLLoaded = function ()
	{
		return true;
	};
	pluginProto.cnds = new Cnds();
	function Acts() {};
	Acts.prototype.SetEffect = function (effect)
	{
		this.compositeOp = cr.effectToCompositeOp(effect);
		cr.setGLBlend(this, effect, this.runtime.gl);
		this.runtime.redraw = true;
	};
	Acts.prototype.LoadURL = function (url_)
	{
		var img = new Image();
		var self = this;
		img.onload = function ()
		{
			self.texture_img = img;
			if (self.runtime.glwrap)
			{
				if (self.has_own_texture && self.webGL_texture)
					self.runtime.glwrap.deleteTexture(self.webGL_texture);
				self.webGL_texture = self.runtime.glwrap.loadTexture(img, true, self.runtime.linearSampling);
			}
			else
			{
				self.pattern = self.runtime.ctx.createPattern(img, "repeat");
			}
			self.has_own_texture = true;
			self.runtime.redraw = true;
			self.runtime.trigger(cr.plugins_.TiledBg.prototype.cnds.OnURLLoaded, self);
		};
		if (url_.substr(0, 5) !== "data:")
			img.crossOrigin = 'anonymous';
		img.src = url_;
	};
	pluginProto.acts = new Acts();
	function Exps() {};
	Exps.prototype.ImageWidth = function (ret)
	{
		ret.set_float(this.texture_img.width);
	};
	Exps.prototype.ImageHeight = function (ret)
	{
		ret.set_float(this.texture_img.height);
	};
	pluginProto.exps = new Exps();
}());
;
;
cr.plugins_.Touch = function(runtime)
{
	this.runtime = runtime;
};
(function ()
{
	var pluginProto = cr.plugins_.Touch.prototype;
	pluginProto.Type = function(plugin)
	{
		this.plugin = plugin;
		this.runtime = plugin.runtime;
	};
	var typeProto = pluginProto.Type.prototype;
	typeProto.onCreate = function()
	{
	};
	pluginProto.Instance = function(type)
	{
		this.type = type;
		this.runtime = type.runtime;
		this.touches = [];
		this.mouseDown = false;
	};
	var instanceProto = pluginProto.Instance.prototype;
	var dummyoffset = {left: 0, top: 0};
	instanceProto.findTouch = function (id)
	{
		var i, len;
		for (i = 0, len = this.touches.length; i < len; i++)
		{
			if (this.touches[i]["id"] === id)
				return i;
		}
		return -1;
	};
	var appmobi_accx = 0;
	var appmobi_accy = 0;
	var appmobi_accz = 0;
	function AppMobiGetAcceleration(evt)
	{
		appmobi_accx = evt.x;
		appmobi_accy = evt.y;
		appmobi_accz = evt.z;
	};
	var pg_accx = 0;
	var pg_accy = 0;
	var pg_accz = 0;
	function PhoneGapGetAcceleration(evt)
	{
		pg_accx = evt.x;
		pg_accy = evt.y;
		pg_accz = evt.z;
	};
	var theInstance = null;
	instanceProto.onCreate = function()
	{
		theInstance = this;
		this.isWindows8 = !!(typeof window["c2isWindows8"] !== "undefined" && window["c2isWindows8"]);
		this.orient_alpha = 0;
		this.orient_beta = 0;
		this.orient_gamma = 0;
		this.acc_g_x = 0;
		this.acc_g_y = 0;
		this.acc_g_z = 0;
		this.acc_x = 0;
		this.acc_y = 0;
		this.acc_z = 0;
		this.curTouchX = 0;
		this.curTouchY = 0;
		this.trigger_index = 0;
		this.trigger_id = 0;
		this.useMouseInput = (this.properties[0] !== 0);
		var elem = (this.runtime.fullscreen_mode > 0) ? document : this.runtime.canvas;
		var elem2 = document;
		if (this.runtime.isDirectCanvas)
			elem2 = elem = window["Canvas"];
		else if (this.runtime.isCocoonJs)
			elem2 = elem = window;
		var self = this;
		if (window.navigator["pointerEnabled"])
		{
			elem.addEventListener("pointerdown",
				function(info) {
					self.onPointerStart(info);
				},
				false
			);
			elem.addEventListener("pointermove",
				function(info) {
					self.onPointerMove(info);
				},
				false
			);
			elem2.addEventListener("pointerup",
				function(info) {
					self.onPointerEnd(info);
				},
				false
			);
			elem2.addEventListener("pointercancel",
				function(info) {
					self.onPointerEnd(info);
				},
				false
			);
			if (this.runtime.canvas)
			{
				this.runtime.canvas.addEventListener("MSGestureHold", function(e) {
					e.preventDefault();
				}, false);
				document.addEventListener("MSGestureHold", function(e) {
					e.preventDefault();
				}, false);
				this.runtime.canvas.addEventListener("gesturehold", function(e) {
					e.preventDefault();
				}, false);
				document.addEventListener("gesturehold", function(e) {
					e.preventDefault();
				}, false);
			}
		}
		else if (window.navigator["msPointerEnabled"])
		{
			elem.addEventListener("MSPointerDown",
				function(info) {
					self.onPointerStart(info);
				},
				false
			);
			elem.addEventListener("MSPointerMove",
				function(info) {
					self.onPointerMove(info);
				},
				false
			);
			elem2.addEventListener("MSPointerUp",
				function(info) {
					self.onPointerEnd(info);
				},
				false
			);
			elem2.addEventListener("MSPointerCancel",
				function(info) {
					self.onPointerEnd(info);
				},
				false
			);
			if (this.runtime.canvas)
			{
				this.runtime.canvas.addEventListener("MSGestureHold", function(e) {
					e.preventDefault();
				}, false);
				document.addEventListener("MSGestureHold", function(e) {
					e.preventDefault();
				}, false);
			}
		}
		else
		{
			elem.addEventListener("touchstart",
				function(info) {
					self.onTouchStart(info);
				},
				false
			);
			elem.addEventListener("touchmove",
				function(info) {
					self.onTouchMove(info);
				},
				false
			);
			elem2.addEventListener("touchend",
				function(info) {
					self.onTouchEnd(info);
				},
				false
			);
			elem2.addEventListener("touchcancel",
				function(info) {
					self.onTouchEnd(info);
				},
				false
			);
		}
		if (this.isWindows8)
		{
			var win8accelerometerFn = function(e) {
					var reading = e["reading"];
					self.acc_x = reading["accelerationX"];
					self.acc_y = reading["accelerationY"];
					self.acc_z = reading["accelerationZ"];
				};
			var win8inclinometerFn = function(e) {
					var reading = e["reading"];
					self.orient_alpha = reading["yawDegrees"];
					self.orient_beta = reading["pitchDegrees"];
					self.orient_gamma = reading["rollDegrees"];
				};
			var accelerometer = Windows["Devices"]["Sensors"]["Accelerometer"]["getDefault"]();
            if (accelerometer)
			{
                accelerometer["reportInterval"] = Math.max(accelerometer["minimumReportInterval"], 16);
				accelerometer.addEventListener("readingchanged", win8accelerometerFn);
            }
			var inclinometer = Windows["Devices"]["Sensors"]["Inclinometer"]["getDefault"]();
			if (inclinometer)
			{
				inclinometer["reportInterval"] = Math.max(inclinometer["minimumReportInterval"], 16);
				inclinometer.addEventListener("readingchanged", win8inclinometerFn);
			}
			document.addEventListener("visibilitychange", function(e) {
				if (document["hidden"] || document["msHidden"])
				{
					if (accelerometer)
						accelerometer.removeEventListener("readingchanged", win8accelerometerFn);
					if (inclinometer)
						inclinometer.removeEventListener("readingchanged", win8inclinometerFn);
				}
				else
				{
					if (accelerometer)
						accelerometer.addEventListener("readingchanged", win8accelerometerFn);
					if (inclinometer)
						inclinometer.addEventListener("readingchanged", win8inclinometerFn);
				}
			}, false);
		}
		else
		{
			window.addEventListener("deviceorientation", function (eventData) {
				self.orient_alpha = eventData["alpha"] || 0;
				self.orient_beta = eventData["beta"] || 0;
				self.orient_gamma = eventData["gamma"] || 0;
			}, false);
			window.addEventListener("devicemotion", function (eventData) {
				if (eventData["accelerationIncludingGravity"])
				{
					self.acc_g_x = eventData["accelerationIncludingGravity"]["x"] || 0;
					self.acc_g_y = eventData["accelerationIncludingGravity"]["y"] || 0;
					self.acc_g_z = eventData["accelerationIncludingGravity"]["z"] || 0;
				}
				if (eventData["acceleration"])
				{
					self.acc_x = eventData["acceleration"]["x"] || 0;
					self.acc_y = eventData["acceleration"]["y"] || 0;
					self.acc_z = eventData["acceleration"]["z"] || 0;
				}
			}, false);
		}
		if (this.useMouseInput && !this.runtime.isDomFree)
		{
			jQuery(document).mousemove(
				function(info) {
					self.onMouseMove(info);
				}
			);
			jQuery(document).mousedown(
				function(info) {
					self.onMouseDown(info);
				}
			);
			jQuery(document).mouseup(
				function(info) {
					self.onMouseUp(info);
				}
			);
		}
		if (this.runtime.isAppMobi && !this.runtime.isDirectCanvas)
		{
			AppMobi["accelerometer"]["watchAcceleration"](AppMobiGetAcceleration, { "frequency": 40, "adjustForRotation": true });
		}
		if (this.runtime.isPhoneGap)
		{
			navigator["accelerometer"]["watchAcceleration"](PhoneGapGetAcceleration, null, { "frequency": 40 });
		}
		this.runtime.tick2Me(this);
	};
	instanceProto.onPointerMove = function (info)
	{
		if (info["pointerType"] === info["MSPOINTER_TYPE_MOUSE"] || info["pointerType"] === "mouse")
			return;
		if (info.preventDefault)
			info.preventDefault();
		var i = this.findTouch(info["pointerId"]);
		var nowtime = cr.performance_now();
		if (i >= 0)
		{
			var offset = this.runtime.isDomFree ? dummyoffset : jQuery(this.runtime.canvas).offset();
			var t = this.touches[i];
			if (nowtime - t.time < 2)
				return;
			t.lasttime = t.time;
			t.lastx = t.x;
			t.lasty = t.y;
			t.time = nowtime;
			t.x = info.pageX - offset.left;
			t.y = info.pageY - offset.top;
		}
	};
	instanceProto.onPointerStart = function (info)
	{
		if (info["pointerType"] === info["MSPOINTER_TYPE_MOUSE"] || info["pointerType"] === "mouse")
			return;
		if (info.preventDefault)
			info.preventDefault();
		var offset = this.runtime.isDomFree ? dummyoffset : jQuery(this.runtime.canvas).offset();
		var touchx = info.pageX - offset.left;
		var touchy = info.pageY - offset.top;
		var nowtime = cr.performance_now();
		this.trigger_index = this.touches.length;
		this.trigger_id = info["pointerId"];
		this.touches.push({ time: nowtime,
							x: touchx,
							y: touchy,
							lasttime: nowtime,
							lastx: touchx,
							lasty: touchy,
							"id": info["pointerId"],
							startindex: this.trigger_index
						});
		this.runtime.isInUserInputEvent = true;
		this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnNthTouchStart, this);
		this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTouchStart, this);
		this.curTouchX = touchx;
		this.curTouchY = touchy;
		this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTouchObject, this);
		this.runtime.isInUserInputEvent = false;
	};
	instanceProto.onPointerEnd = function (info)
	{
		if (info["pointerType"] === info["MSPOINTER_TYPE_MOUSE"] || info["pointerType"] === "mouse")
			return;
		if (info.preventDefault)
			info.preventDefault();
		var i = this.findTouch(info["pointerId"]);
		this.trigger_index = (i >= 0 ? this.touches[i].startindex : -1);
		this.trigger_id = (i >= 0 ? this.touches[i]["id"] : -1);
		this.runtime.isInUserInputEvent = true;
		this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnNthTouchEnd, this);
		this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTouchEnd, this);
		this.runtime.isInUserInputEvent = false;
		if (i >= 0)
		{
			this.touches.splice(i, 1);
		}
	};
	instanceProto.onTouchMove = function (info)
	{
		if (info.preventDefault)
			info.preventDefault();
		var nowtime = cr.performance_now();
		var i, len, t, u;
		for (i = 0, len = info.changedTouches.length; i < len; i++)
		{
			t = info.changedTouches[i];
			var j = this.findTouch(t["identifier"]);
			if (j >= 0)
			{
				var offset = this.runtime.isDomFree ? dummyoffset : jQuery(this.runtime.canvas).offset();
				u = this.touches[j];
				if (nowtime - u.time < 2)
					continue;
				u.lasttime = u.time;
				u.lastx = u.x;
				u.lasty = u.y;
				u.time = nowtime;
				u.x = t.pageX - offset.left;
				u.y = t.pageY - offset.top;
			}
		}
	};
	instanceProto.onTouchStart = function (info)
	{
		if (info.preventDefault)
			info.preventDefault();
		var offset = this.runtime.isDomFree ? dummyoffset : jQuery(this.runtime.canvas).offset();
		var nowtime = cr.performance_now();
		this.runtime.isInUserInputEvent = true;
		var i, len, t, j;
		for (i = 0, len = info.changedTouches.length; i < len; i++)
		{
			t = info.changedTouches[i];
			j = this.findTouch(t["identifier"]);
			if (j !== -1)
				continue;
			var touchx = t.pageX - offset.left;
			var touchy = t.pageY - offset.top;
			this.trigger_index = this.touches.length;
			this.trigger_id = t["identifier"];
			this.touches.push({ time: nowtime,
								x: touchx,
								y: touchy,
								lasttime: nowtime,
								lastx: touchx,
								lasty: touchy,
								"id": t["identifier"],
								startindex: this.trigger_index
							});
			this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnNthTouchStart, this);
			this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTouchStart, this);
			this.curTouchX = touchx;
			this.curTouchY = touchy;
			this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTouchObject, this);
		}
		this.runtime.isInUserInputEvent = false;
	};
	instanceProto.onTouchEnd = function (info)
	{
		if (info.preventDefault)
			info.preventDefault();
		this.runtime.isInUserInputEvent = true;
		var i, len, t, j;
		for (i = 0, len = info.changedTouches.length; i < len; i++)
		{
			t = info.changedTouches[i];
			j = this.findTouch(t["identifier"]);
			if (j >= 0)
			{
				this.trigger_index = this.touches[j].startindex;
				this.trigger_id = this.touches[j]["id"];
				this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnNthTouchEnd, this);
				this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTouchEnd, this);
				this.touches.splice(j, 1);
			}
		}
		this.runtime.isInUserInputEvent = false;
	};
	instanceProto.getAlpha = function ()
	{
		if (this.runtime.isAppMobi && this.orient_alpha === 0 && appmobi_accz !== 0)
			return appmobi_accz * 90;
		else if (this.runtime.isPhoneGap  && this.orient_alpha === 0 && pg_accz !== 0)
			return pg_accz * 90;
		else
			return this.orient_alpha;
	};
	instanceProto.getBeta = function ()
	{
		if (this.runtime.isAppMobi && this.orient_beta === 0 && appmobi_accy !== 0)
			return appmobi_accy * -90;
		else if (this.runtime.isPhoneGap  && this.orient_beta === 0 && pg_accy !== 0)
			return pg_accy * -90;
		else
			return this.orient_beta;
	};
	instanceProto.getGamma = function ()
	{
		if (this.runtime.isAppMobi && this.orient_gamma === 0 && appmobi_accx !== 0)
			return appmobi_accx * 90;
		else if (this.runtime.isPhoneGap  && this.orient_gamma === 0 && pg_accx !== 0)
			return pg_accx * 90;
		else
			return this.orient_gamma;
	};
	var noop_func = function(){};
	instanceProto.onMouseDown = function(info)
	{
		if (info.preventDefault && this.runtime.had_a_click)
			info.preventDefault();
		var t = { pageX: info.pageX, pageY: info.pageY, "identifier": 0 };
		var fakeinfo = { changedTouches: [t] };
		this.onTouchStart(fakeinfo);
		this.mouseDown = true;
	};
	instanceProto.onMouseMove = function(info)
	{
		if (info.preventDefault && this.runtime.had_a_click)
			info.preventDefault();
		if (!this.mouseDown)
			return;
		var t = { pageX: info.pageX, pageY: info.pageY, "identifier": 0 };
		var fakeinfo = { changedTouches: [t] };
		this.onTouchMove(fakeinfo);
	};
	instanceProto.onMouseUp = function(info)
	{
		if (info.preventDefault && this.runtime.had_a_click)
			info.preventDefault();
		this.runtime.had_a_click = true;
		var t = { pageX: info.pageX, pageY: info.pageY, "identifier": 0 };
		var fakeinfo = { changedTouches: [t] };
		this.onTouchEnd(fakeinfo);
		this.mouseDown = false;
	};
	instanceProto.tick2 = function()
	{
		var i, len, t;
		var nowtime = cr.performance_now();
		for (i = 0, len = this.touches.length; i < len; i++)
		{
			t = this.touches[i];
			if (t.time <= nowtime - 50)
				t.lasttime = nowtime;
		}
	};
	function Cnds() {};
	Cnds.prototype.OnTouchStart = function ()
	{
		return true;
	};
	Cnds.prototype.OnTouchEnd = function ()
	{
		return true;
	};
	Cnds.prototype.IsInTouch = function ()
	{
		return this.touches.length;
	};
	Cnds.prototype.OnTouchObject = function (type)
	{
		if (!type)
			return false;
		return this.runtime.testAndSelectCanvasPointOverlap(type, this.curTouchX, this.curTouchY, false);
	};
	Cnds.prototype.IsTouchingObject = function (type)
	{
		if (!type)
			return false;
		var sol = type.getCurrentSol();
		var instances = sol.getObjects();
		var px, py;
		var touching = [];
		var i, leni, j, lenj;
		for (i = 0, leni = instances.length; i < leni; i++)
		{
			var inst = instances[i];
			inst.update_bbox();
			for (j = 0, lenj = this.touches.length; j < lenj; j++)
			{
				var touch = this.touches[j];
				px = inst.layer.canvasToLayer(touch.x, touch.y, true);
				py = inst.layer.canvasToLayer(touch.x, touch.y, false);
				if (inst.contains_pt(px, py))
				{
					touching.push(inst);
					break;
				}
			}
		}
		if (touching.length)
		{
			sol.select_all = false;
			sol.instances = touching;
			type.applySolToContainer();
			return true;
		}
		else
			return false;
	};
	Cnds.prototype.CompareTouchSpeed = function (index, cmp, s)
	{
		index = Math.floor(index);
		if (index < 0 || index >= this.touches.length)
			return false;
		var t = this.touches[index];
		var dist = cr.distanceTo(t.x, t.y, t.lastx, t.lasty);
		var timediff = (t.time - t.lasttime) / 1000;
		var speed = 0;
		if (timediff > 0)
			speed = dist / timediff;
		return cr.do_cmp(speed, cmp, s);
	};
	Cnds.prototype.OrientationSupported = function ()
	{
		return typeof window["DeviceOrientationEvent"] !== "undefined";
	};
	Cnds.prototype.MotionSupported = function ()
	{
		return typeof window["DeviceMotionEvent"] !== "undefined";
	};
	Cnds.prototype.CompareOrientation = function (orientation_, cmp_, angle_)
	{
		var v = 0;
		if (orientation_ === 0)
			v = this.getAlpha();
		else if (orientation_ === 1)
			v = this.getBeta();
		else
			v = this.getGamma();
		return cr.do_cmp(v, cmp_, angle_);
	};
	Cnds.prototype.CompareAcceleration = function (acceleration_, cmp_, angle_)
	{
		var v = 0;
		if (acceleration_ === 0)
			v = this.acc_g_x;
		else if (acceleration_ === 1)
			v = this.acc_g_y;
		else if (acceleration_ === 2)
			v = this.acc_g_z;
		else if (acceleration_ === 3)
			v = this.acc_x;
		else if (acceleration_ === 4)
			v = this.acc_y;
		else if (acceleration_ === 5)
			v = this.acc_z;
		return cr.do_cmp(v, cmp_, angle_);
	};
	Cnds.prototype.OnNthTouchStart = function (touch_)
	{
		touch_ = Math.floor(touch_);
		return touch_ === this.trigger_index;
	};
	Cnds.prototype.OnNthTouchEnd = function (touch_)
	{
		touch_ = Math.floor(touch_);
		return touch_ === this.trigger_index;
	};
	Cnds.prototype.HasNthTouch = function (touch_)
	{
		touch_ = Math.floor(touch_);
		return this.touches.length >= touch_ + 1;
	};
	pluginProto.cnds = new Cnds();
	function Exps() {};
	Exps.prototype.TouchCount = function (ret)
	{
		ret.set_int(this.touches.length);
	};
	Exps.prototype.X = function (ret, layerparam)
	{
		if (this.touches.length)
		{
			var layer, oldScale, oldZoomRate, oldParallaxX, oldAngle;
			if (cr.is_undefined(layerparam))
			{
				layer = this.runtime.getLayerByNumber(0);
				oldScale = layer.scale;
				oldZoomRate = layer.zoomRate;
				oldParallaxX = layer.parallaxX;
				oldAngle = layer.angle;
				layer.scale = this.runtime.running_layout.scale;
				layer.zoomRate = 1.0;
				layer.parallaxX = 1.0;
				layer.angle = this.runtime.running_layout.angle;
				ret.set_float(layer.canvasToLayer(this.touches[0].x, this.touches[0].y, true));
				layer.scale = oldScale;
				layer.zoomRate = oldZoomRate;
				layer.parallaxX = oldParallaxX;
				layer.angle = oldAngle;
			}
			else
			{
				if (cr.is_number(layerparam))
					layer = this.runtime.getLayerByNumber(layerparam);
				else
					layer = this.runtime.getLayerByName(layerparam);
				if (layer)
					ret.set_float(layer.canvasToLayer(this.touches[0].x, this.touches[0].y, true));
				else
					ret.set_float(0);
			}
		}
		else
			ret.set_float(0);
	};
	Exps.prototype.XAt = function (ret, index, layerparam)
	{
		index = Math.floor(index);
		if (index < 0 || index >= this.touches.length)
		{
			ret.set_float(0);
			return;
		}
		var layer, oldScale, oldZoomRate, oldParallaxX, oldAngle;
		if (cr.is_undefined(layerparam))
		{
			layer = this.runtime.getLayerByNumber(0);
			oldScale = layer.scale;
			oldZoomRate = layer.zoomRate;
			oldParallaxX = layer.parallaxX;
			oldAngle = layer.angle;
			layer.scale = this.runtime.running_layout.scale;
			layer.zoomRate = 1.0;
			layer.parallaxX = 1.0;
			layer.angle = this.runtime.running_layout.angle;
			ret.set_float(layer.canvasToLayer(this.touches[index].x, this.touches[index].y, true));
			layer.scale = oldScale;
			layer.zoomRate = oldZoomRate;
			layer.parallaxX = oldParallaxX;
			layer.angle = oldAngle;
		}
		else
		{
			if (cr.is_number(layerparam))
				layer = this.runtime.getLayerByNumber(layerparam);
			else
				layer = this.runtime.getLayerByName(layerparam);
			if (layer)
				ret.set_float(layer.canvasToLayer(this.touches[index].x, this.touches[index].y, true));
			else
				ret.set_float(0);
		}
	};
	Exps.prototype.XForID = function (ret, id, layerparam)
	{
		var index = this.findTouch(id);
		if (index < 0)
		{
			ret.set_float(0);
			return;
		}
		var touch = this.touches[index];
		var layer, oldScale, oldZoomRate, oldParallaxX, oldAngle;
		if (cr.is_undefined(layerparam))
		{
			layer = this.runtime.getLayerByNumber(0);
			oldScale = layer.scale;
			oldZoomRate = layer.zoomRate;
			oldParallaxX = layer.parallaxX;
			oldAngle = layer.angle;
			layer.scale = this.runtime.running_layout.scale;
			layer.zoomRate = 1.0;
			layer.parallaxX = 1.0;
			layer.angle = this.runtime.running_layout.angle;
			ret.set_float(layer.canvasToLayer(touch.x, touch.y, true));
			layer.scale = oldScale;
			layer.zoomRate = oldZoomRate;
			layer.parallaxX = oldParallaxX;
			layer.angle = oldAngle;
		}
		else
		{
			if (cr.is_number(layerparam))
				layer = this.runtime.getLayerByNumber(layerparam);
			else
				layer = this.runtime.getLayerByName(layerparam);
			if (layer)
				ret.set_float(layer.canvasToLayer(touch.x, touch.y, true));
			else
				ret.set_float(0);
		}
	};
	Exps.prototype.Y = function (ret, layerparam)
	{
		if (this.touches.length)
		{
			var layer, oldScale, oldZoomRate, oldParallaxY, oldAngle;
			if (cr.is_undefined(layerparam))
			{
				layer = this.runtime.getLayerByNumber(0);
				oldScale = layer.scale;
				oldZoomRate = layer.zoomRate;
				oldParallaxY = layer.parallaxY;
				oldAngle = layer.angle;
				layer.scale = this.runtime.running_layout.scale;
				layer.zoomRate = 1.0;
				layer.parallaxY = 1.0;
				layer.angle = this.runtime.running_layout.angle;
				ret.set_float(layer.canvasToLayer(this.touches[0].x, this.touches[0].y, false));
				layer.scale = oldScale;
				layer.zoomRate = oldZoomRate;
				layer.parallaxY = oldParallaxY;
				layer.angle = oldAngle;
			}
			else
			{
				if (cr.is_number(layerparam))
					layer = this.runtime.getLayerByNumber(layerparam);
				else
					layer = this.runtime.getLayerByName(layerparam);
				if (layer)
					ret.set_float(layer.canvasToLayer(this.touches[0].x, this.touches[0].y, false));
				else
					ret.set_float(0);
			}
		}
		else
			ret.set_float(0);
	};
	Exps.prototype.YAt = function (ret, index, layerparam)
	{
		index = Math.floor(index);
		if (index < 0 || index >= this.touches.length)
		{
			ret.set_float(0);
			return;
		}
		var layer, oldScale, oldZoomRate, oldParallaxY, oldAngle;
		if (cr.is_undefined(layerparam))
		{
			layer = this.runtime.getLayerByNumber(0);
			oldScale = layer.scale;
			oldZoomRate = layer.zoomRate;
			oldParallaxY = layer.parallaxY;
			oldAngle = layer.angle;
			layer.scale = this.runtime.running_layout.scale;
			layer.zoomRate = 1.0;
			layer.parallaxY = 1.0;
			layer.angle = this.runtime.running_layout.angle;
			ret.set_float(layer.canvasToLayer(this.touches[index].x, this.touches[index].y, false));
			layer.scale = oldScale;
			layer.zoomRate = oldZoomRate;
			layer.parallaxY = oldParallaxY;
			layer.angle = oldAngle;
		}
		else
		{
			if (cr.is_number(layerparam))
				layer = this.runtime.getLayerByNumber(layerparam);
			else
				layer = this.runtime.getLayerByName(layerparam);
			if (layer)
				ret.set_float(layer.canvasToLayer(this.touches[index].x, this.touches[index].y, false));
			else
				ret.set_float(0);
		}
	};
	Exps.prototype.YForID = function (ret, id, layerparam)
	{
		var index = this.findTouch(id);
		if (index < 0)
		{
			ret.set_float(0);
			return;
		}
		var touch = this.touches[index];
		var layer, oldScale, oldZoomRate, oldParallaxY, oldAngle;
		if (cr.is_undefined(layerparam))
		{
			layer = this.runtime.getLayerByNumber(0);
			oldScale = layer.scale;
			oldZoomRate = layer.zoomRate;
			oldParallaxY = layer.parallaxY;
			oldAngle = layer.angle;
			layer.scale = this.runtime.running_layout.scale;
			layer.zoomRate = 1.0;
			layer.parallaxY = 1.0;
			layer.angle = this.runtime.running_layout.angle;
			ret.set_float(layer.canvasToLayer(touch.x, touch.y, false));
			layer.scale = oldScale;
			layer.zoomRate = oldZoomRate;
			layer.parallaxY = oldParallaxY;
			layer.angle = oldAngle;
		}
		else
		{
			if (cr.is_number(layerparam))
				layer = this.runtime.getLayerByNumber(layerparam);
			else
				layer = this.runtime.getLayerByName(layerparam);
			if (layer)
				ret.set_float(layer.canvasToLayer(touch.x, touch.y, false));
			else
				ret.set_float(0);
		}
	};
	Exps.prototype.AbsoluteX = function (ret)
	{
		if (this.touches.length)
			ret.set_float(this.touches[0].x);
		else
			ret.set_float(0);
	};
	Exps.prototype.AbsoluteXAt = function (ret, index)
	{
		index = Math.floor(index);
		if (index < 0 || index >= this.touches.length)
		{
			ret.set_float(0);
			return;
		}
		ret.set_float(this.touches[index].x);
	};
	Exps.prototype.AbsoluteXForID = function (ret, id)
	{
		var index = this.findTouch(id);
		if (index < 0)
		{
			ret.set_float(0);
			return;
		}
		var touch = this.touches[index];
		ret.set_float(touch.x);
	};
	Exps.prototype.AbsoluteY = function (ret)
	{
		if (this.touches.length)
			ret.set_float(this.touches[0].y);
		else
			ret.set_float(0);
	};
	Exps.prototype.AbsoluteYAt = function (ret, index)
	{
		index = Math.floor(index);
		if (index < 0 || index >= this.touches.length)
		{
			ret.set_float(0);
			return;
		}
		ret.set_float(this.touches[index].y);
	};
	Exps.prototype.AbsoluteYForID = function (ret, id)
	{
		var index = this.findTouch(id);
		if (index < 0)
		{
			ret.set_float(0);
			return;
		}
		var touch = this.touches[index];
		ret.set_float(touch.y);
	};
	Exps.prototype.SpeedAt = function (ret, index)
	{
		index = Math.floor(index);
		if (index < 0 || index >= this.touches.length)
		{
			ret.set_float(0);
			return;
		}
		var t = this.touches[index];
		var dist = cr.distanceTo(t.x, t.y, t.lastx, t.lasty);
		var timediff = (t.time - t.lasttime) / 1000;
		if (timediff === 0)
			ret.set_float(0);
		else
			ret.set_float(dist / timediff);
	};
	Exps.prototype.SpeedForID = function (ret, id)
	{
		var index = this.findTouch(id);
		if (index < 0)
		{
			ret.set_float(0);
			return;
		}
		var touch = this.touches[index];
		var dist = cr.distanceTo(touch.x, touch.y, touch.lastx, touch.lasty);
		var timediff = (touch.time - touch.lasttime) / 1000;
		if (timediff === 0)
			ret.set_float(0);
		else
			ret.set_float(dist / timediff);
	};
	Exps.prototype.AngleAt = function (ret, index)
	{
		index = Math.floor(index);
		if (index < 0 || index >= this.touches.length)
		{
			ret.set_float(0);
			return;
		}
		var t = this.touches[index];
		ret.set_float(cr.to_degrees(cr.angleTo(t.lastx, t.lasty, t.x, t.y)));
	};
	Exps.prototype.AngleForID = function (ret, id)
	{
		var index = this.findTouch(id);
		if (index < 0)
		{
			ret.set_float(0);
			return;
		}
		var touch = this.touches[index];
		ret.set_float(cr.to_degrees(cr.angleTo(touch.lastx, touch.lasty, touch.x, touch.y)));
	};
	Exps.prototype.Alpha = function (ret)
	{
		ret.set_float(this.getAlpha());
	};
	Exps.prototype.Beta = function (ret)
	{
		ret.set_float(this.getBeta());
	};
	Exps.prototype.Gamma = function (ret)
	{
		ret.set_float(this.getGamma());
	};
	Exps.prototype.AccelerationXWithG = function (ret)
	{
		ret.set_float(this.acc_g_x);
	};
	Exps.prototype.AccelerationYWithG = function (ret)
	{
		ret.set_float(this.acc_g_y);
	};
	Exps.prototype.AccelerationZWithG = function (ret)
	{
		ret.set_float(this.acc_g_z);
	};
	Exps.prototype.AccelerationX = function (ret)
	{
		ret.set_float(this.acc_x);
	};
	Exps.prototype.AccelerationY = function (ret)
	{
		ret.set_float(this.acc_y);
	};
	Exps.prototype.AccelerationZ = function (ret)
	{
		ret.set_float(this.acc_z);
	};
	Exps.prototype.TouchIndex = function (ret)
	{
		ret.set_int(this.trigger_index);
	};
	Exps.prototype.TouchID = function (ret)
	{
		ret.set_float(this.trigger_id);
	};
	pluginProto.exps = new Exps();
}());
;
;
cr.plugins_.WebStorage = function(runtime)
{
	this.runtime = runtime;
};
(function()
{
	var pluginProto = cr.plugins_.WebStorage.prototype;
	pluginProto.Type = function(plugin)
	{
		this.plugin = plugin;
		this.runtime = plugin.runtime;
	};
	var typeProto = pluginProto.Type.prototype;
	typeProto.onCreate = function()
	{
	};
	pluginProto.Instance = function(type)
	{
		this.type = type;
		this.runtime = type.runtime;
	};
	var instanceProto = pluginProto.Instance.prototype;
	var prefix = "";
	var is_arcade = (typeof window["is_scirra_arcade"] !== "undefined");
	if (is_arcade)
		prefix = "arcade" + window["scirra_arcade_id"];
	var logged_sessionnotsupported = false;
	function LogSessionNotSupported()
	{
		if (logged_sessionnotsupported)
			return;
		cr.logexport("[Construct 2] Webstorage plugin: session storage is not supported on this platform. Try using local storage or global variables instead.");
		logged_sessionnotsupported = true;
	};
	instanceProto.onCreate = function()
	{
	};
	function Cnds() {};
	Cnds.prototype.LocalStorageEnabled = function()
	{
		return true;
	};
	Cnds.prototype.SessionStorageEnabled = function()
	{
		return true;
	};
	Cnds.prototype.LocalStorageExists = function(key)
	{
		return localStorage.getItem(prefix + key) != null;
	};
	Cnds.prototype.SessionStorageExists = function(key)
	{
		if (this.runtime.isCocoonJs || !sessionStorage)
		{
			LogSessionNotSupported();
			return false;
		}
		return sessionStorage.getItem(prefix + key) != null;
	};
	Cnds.prototype.OnQuotaExceeded = function ()
	{
		return true;
	};
	Cnds.prototype.CompareKeyText = function (key, text_to_compare, case_sensitive)
	{
		var value = localStorage.getItem(prefix + key) || "";
		if (case_sensitive)
			return value == text_to_compare;
		else
			return cr.equals_nocase(value, text_to_compare);
	};
	Cnds.prototype.CompareKeyNumber = function (key, cmp, x)
	{
		var value = localStorage.getItem(prefix + key) || "";
		return cr.do_cmp(parseFloat(value), cmp, x);
	};
	pluginProto.cnds = new Cnds();
	function Acts() {};
	Acts.prototype.StoreLocal = function(key, data)
	{
		try {
			localStorage.setItem(prefix + key, data);
		}
		catch (e)
		{
			this.runtime.trigger(cr.plugins_.WebStorage.prototype.cnds.OnQuotaExceeded, this);
		}
	};
	Acts.prototype.StoreSession = function(key,data)
	{
		if (this.runtime.isCocoonJs || !sessionStorage)
		{
			LogSessionNotSupported();
			return;
		}
		try {
			sessionStorage.setItem(prefix + key, data);
		}
		catch (e)
		{
			this.runtime.trigger(cr.plugins_.WebStorage.prototype.cnds.OnQuotaExceeded, this);
		}
	};
	Acts.prototype.RemoveLocal = function(key)
	{
		localStorage.removeItem(prefix + key);
	};
	Acts.prototype.RemoveSession = function(key)
	{
		if (this.runtime.isCocoonJs || !sessionStorage)
		{
			LogSessionNotSupported();
			return;
		}
		sessionStorage.removeItem(prefix + key);
	};
	Acts.prototype.ClearLocal = function()
	{
		if (!is_arcade)
			localStorage.clear();
	};
	Acts.prototype.ClearSession = function()
	{
		if (this.runtime.isCocoonJs || !sessionStorage)
		{
			LogSessionNotSupported();
			return;
		}
		if (!is_arcade)
			sessionStorage.clear();
	};
	Acts.prototype.JSONLoad = function (json_, mode_)
	{
		var d;
		try {
			d = JSON.parse(json_);
		}
		catch(e) { return; }
		if (!d["c2dictionary"])			// presumably not a c2dictionary object
			return;
		var o = d["data"];
		if (mode_ === 0 && !is_arcade)	// 'set' mode: must clear webstorage first
			localStorage.clear();
		var p;
		for (p in o)
		{
			if (o.hasOwnProperty(p))
			{
				try {
					localStorage.setItem(prefix + p, o[p]);
				}
				catch (e)
				{
					this.runtime.trigger(cr.plugins_.WebStorage.prototype.cnds.OnQuotaExceeded, this);
					return;
				}
			}
		}
	};
	pluginProto.acts = new Acts();
	function Exps() {};
	Exps.prototype.LocalValue = function(ret,key)
	{
		ret.set_string(localStorage.getItem(prefix + key) || "");
	};
	Exps.prototype.SessionValue = function(ret,key)
	{
		if (this.runtime.isCocoonJs || !sessionStorage)
		{
			LogSessionNotSupported();
			ret.set_string("");
			return;
		}
		ret.set_string(sessionStorage.getItem(prefix + key) || "");
	};
	Exps.prototype.LocalCount = function(ret)
	{
		ret.set_int(is_arcade ? 0 : localStorage.length);
	};
	Exps.prototype.SessionCount = function(ret)
	{
		if (this.runtime.isCocoonJs || !sessionStorage)
		{
			LogSessionNotSupported();
			ret.set_int(0);
			return;
		}
		ret.set_int(is_arcade ? 0 : sessionStorage.length);
	};
	Exps.prototype.LocalAt = function(ret,n)
	{
		if (is_arcade)
			ret.set_string("");
		else
			ret.set_string(localStorage.getItem(localStorage.key(n)) || "");
	};
	Exps.prototype.SessionAt = function(ret,n)
	{
		if (this.runtime.isCocoonJs || !sessionStorage)
		{
			LogSessionNotSupported();
			ret.set_string("");
			return;
		}
		if (is_arcade)
			ret.set_string("");
		else
			ret.set_string(sessionStorage.getItem(sessionStorage.key(n)) || "");
	};
	Exps.prototype.LocalKeyAt = function(ret,n)
	{
		if (is_arcade)
			ret.set_string("");
		else
			ret.set_string(localStorage.key(n) || "");
	};
	Exps.prototype.SessionKeyAt = function(ret,n)
	{
		if (this.runtime.isCocoonJs || !sessionStorage)
		{
			LogSessionNotSupported();
			ret.set_string("");
			return;
		}
		if (is_arcade)
			ret.set_string("");
		else
			ret.set_string(sessionStorage.key(n) || "");
	};
	Exps.prototype.AsJSON = function (ret)
	{
		var o = {}, i, len, k;
		for (i = 0, len = localStorage.length; i < len; i++)
		{
			k = localStorage.key(i);
			if (is_arcade)
			{
				if (k.substr(0, prefix.length) === prefix)
				{
					o[k.substr(prefix.length)] = localStorage.getItem(k);
				}
			}
			else
				o[k] = localStorage.getItem(k);
		}
		ret.set_string(JSON.stringify({
			"c2dictionary": true,
			"data": o
		}));
	};
	pluginProto.exps = new Exps();
}());
;
;
cr.behaviors.Anchor = function(runtime)
{
	this.runtime = runtime;
};
(function ()
{
	var behaviorProto = cr.behaviors.Anchor.prototype;
	behaviorProto.Type = function(behavior, objtype)
	{
		this.behavior = behavior;
		this.objtype = objtype;
		this.runtime = behavior.runtime;
	};
	var behtypeProto = behaviorProto.Type.prototype;
	behtypeProto.onCreate = function()
	{
	};
	behaviorProto.Instance = function(type, inst)
	{
		this.type = type;
		this.behavior = type.behavior;
		this.inst = inst;				// associated object instance to modify
		this.runtime = type.runtime;
	};
	var behinstProto = behaviorProto.Instance.prototype;
	behinstProto.onCreate = function()
	{
		this.anch_left = this.properties[0];		// 0 = left, 1 = right
		this.anch_top = this.properties[1];			// 0 = top, 1 = bottom
		this.anch_right = this.properties[2];		// 0 = none, 1 = right
		this.anch_bottom = this.properties[3];		// 0 = none, 1 = bottom
		this.inst.update_bbox();
		this.xleft = this.inst.bbox.left;
		this.ytop = this.inst.bbox.top;
		this.xright = this.runtime.original_width - this.inst.bbox.left;
		this.ybottom = this.runtime.original_height - this.inst.bbox.top;
		this.rdiff = this.runtime.original_width - this.inst.bbox.right;
		this.bdiff = this.runtime.original_height - this.inst.bbox.bottom;
		this.enabled = (this.properties[4] !== 0);
	};
	behinstProto.saveToJSON = function ()
	{
		return {
			"xleft": this.xleft,
			"ytop": this.ytop,
			"xright": this.xright,
			"ybottom": this.ybottom,
			"rdiff": this.rdiff,
			"bdiff": this.bdiff,
			"enabled": this.enabled
		};
	};
	behinstProto.loadFromJSON = function (o)
	{
		this.xleft = o["xleft"];
		this.ytop = o["ytop"];
		this.xright = o["xright"];
		this.ybottom = o["ybottom"];
		this.rdiff = o["rdiff"];
		this.bdiff = o["bdiff"];
		this.enabled = o["enabled"];
	};
	behinstProto.tick = function ()
	{
		if (!this.enabled)
			return;
		var n;
		var layer = this.inst.layer;
		var inst = this.inst;
		var bbox = this.inst.bbox;
		if (this.anch_left === 0)
		{
			inst.update_bbox();
			n = (layer.viewLeft + this.xleft) - bbox.left;
			if (n !== 0)
			{
				inst.x += n;
				inst.set_bbox_changed();
			}
		}
		else if (this.anch_left === 1)
		{
			inst.update_bbox();
			n = (layer.viewRight - this.xright) - bbox.left;
			if (n !== 0)
			{
				inst.x += n;
				inst.set_bbox_changed();
			}
		}
		if (this.anch_top === 0)
		{
			inst.update_bbox();
			n = (layer.viewTop + this.ytop) - bbox.top;
			if (n !== 0)
			{
				inst.y += n;
				inst.set_bbox_changed();
			}
		}
		else if (this.anch_top === 1)
		{
			inst.update_bbox();
			n = (layer.viewBottom - this.ybottom) - bbox.top;
			if (n !== 0)
			{
				inst.y += n;
				inst.set_bbox_changed();
			}
		}
		if (this.anch_right === 1)
		{
			inst.update_bbox();
			n = (layer.viewRight - this.rdiff) - bbox.right;
			if (n !== 0)
			{
				inst.width += n;
				if (inst.width < 0)
					inst.width = 0;
				inst.set_bbox_changed();
			}
		}
		if (this.anch_bottom === 1)
		{
			inst.update_bbox();
			n = (layer.viewBottom - this.bdiff) - bbox.bottom;
			if (n !== 0)
			{
				inst.height += n;
				if (inst.height < 0)
					inst.height = 0;
				inst.set_bbox_changed();
			}
		}
	};
	function Cnds() {};
	behaviorProto.cnds = new Cnds();
	function Acts() {};
	Acts.prototype.SetEnabled = function (e)
	{
		if (this.enabled && e === 0)
			this.enabled = false;
		else if (!this.enabled && e !== 0)
		{
			this.inst.update_bbox();
			this.xleft = this.inst.bbox.left;
			this.ytop = this.inst.bbox.top;
			this.xright = this.runtime.original_width - this.inst.bbox.left;
			this.ybottom = this.runtime.original_height - this.inst.bbox.top;
			this.rdiff = this.runtime.original_width - this.inst.bbox.right;
			this.bdiff = this.runtime.original_height - this.inst.bbox.bottom;
			this.enabled = true;
		}
	};
	behaviorProto.acts = new Acts();
	function Exps() {};
	behaviorProto.exps = new Exps();
}());
;
;
cr.behaviors.Bullet = function(runtime)
{
	this.runtime = runtime;
};
(function ()
{
	var behaviorProto = cr.behaviors.Bullet.prototype;
	behaviorProto.Type = function(behavior, objtype)
	{
		this.behavior = behavior;
		this.objtype = objtype;
		this.runtime = behavior.runtime;
	};
	var behtypeProto = behaviorProto.Type.prototype;
	behtypeProto.onCreate = function()
	{
	};
	behaviorProto.Instance = function(type, inst)
	{
		this.type = type;
		this.behavior = type.behavior;
		this.inst = inst;				// associated object instance to modify
		this.runtime = type.runtime;
	};
	var behinstProto = behaviorProto.Instance.prototype;
	behinstProto.onCreate = function()
	{
		var speed = this.properties[0];
		this.acc = this.properties[1];
		this.g = this.properties[2];
		this.bounceOffSolid = (this.properties[3] !== 0);
		this.setAngle = (this.properties[4] !== 0);
		this.dx = Math.cos(this.inst.angle) * speed;
		this.dy = Math.sin(this.inst.angle) * speed;
		this.lastx = this.inst.x;
		this.lasty = this.inst.y;
		this.lastKnownAngle = this.inst.angle;
		this.travelled = 0;
		this.enabled = (this.properties[5] !== 0);
	};
	behinstProto.saveToJSON = function ()
	{
		return {
			"acc": this.acc,
			"g": this.g,
			"dx": this.dx,
			"dy": this.dy,
			"lx": this.lastx,
			"ly": this.lasty,
			"lka": this.lastKnownAngle,
			"t": this.travelled,
			"e": this.enabled
		};
	};
	behinstProto.loadFromJSON = function (o)
	{
		this.acc = o["acc"];
		this.g = o["g"];
		this.dx = o["dx"];
		this.dy = o["dy"];
		this.lastx = o["lx"];
		this.lasty = o["ly"];
		this.lastKnownAngle = o["lka"];
		this.travelled = o["t"];
		this.enabled = o["e"];
	};
	behinstProto.tick = function ()
	{
		if (!this.enabled)
			return;
		var dt = this.runtime.getDt(this.inst);
		var s, a;
		var bounceSolid, bounceAngle;
		if (this.inst.angle !== this.lastKnownAngle)
		{
			if (this.setAngle)
			{
				s = cr.distanceTo(0, 0, this.dx, this.dy);
				this.dx = Math.cos(this.inst.angle) * s;
				this.dy = Math.sin(this.inst.angle) * s;
			}
			this.lastKnownAngle = this.inst.angle;
		}
		if (this.acc !== 0)
		{
			s = cr.distanceTo(0, 0, this.dx, this.dy);
			if (this.dx === 0 && this.dy === 0)
				a = this.inst.angle;
			else
				a = cr.angleTo(0, 0, this.dx, this.dy);
			s += this.acc * dt;
			if (s < 0)
				s = 0;
			this.dx = Math.cos(a) * s;
			this.dy = Math.sin(a) * s;
		}
		if (this.g !== 0)
			this.dy += this.g * dt;
		this.lastx = this.inst.x;
		this.lasty = this.inst.y;
		if (this.dx !== 0 || this.dy !== 0)
		{
			this.inst.x += this.dx * dt;
			this.inst.y += this.dy * dt;
			this.travelled += cr.distanceTo(0, 0, this.dx * dt, this.dy * dt)
			if (this.setAngle)
			{
				this.inst.angle = cr.angleTo(0, 0, this.dx, this.dy);
				this.inst.set_bbox_changed();
				this.lastKnownAngle = this.inst.angle;
			}
			this.inst.set_bbox_changed();
			if (this.bounceOffSolid)
			{
				bounceSolid = this.runtime.testOverlapSolid(this.inst);
				if (bounceSolid)
				{
					this.runtime.registerCollision(this.inst, bounceSolid);
					s = cr.distanceTo(0, 0, this.dx, this.dy);
					bounceAngle = this.runtime.calculateSolidBounceAngle(this.inst, this.lastx, this.lasty);
					this.dx = Math.cos(bounceAngle) * s;
					this.dy = Math.sin(bounceAngle) * s;
					this.inst.x += this.dx * dt;			// move out for one tick since the object can't have spent a tick in the solid
					this.inst.y += this.dy * dt;
					this.inst.set_bbox_changed();
					if (this.setAngle)
					{
						this.inst.angle = bounceAngle;
						this.lastKnownAngle = bounceAngle;
						this.inst.set_bbox_changed();
					}
					if (!this.runtime.pushOutSolid(this.inst, this.dx / s, this.dy / s, Math.max(s * 2.5 * dt, 30)))
						this.runtime.pushOutSolidNearest(this.inst, 100);
				}
			}
		}
	};
	function Cnds() {};
	Cnds.prototype.CompareSpeed = function (cmp, s)
	{
		return cr.do_cmp(cr.distanceTo(0, 0, this.dx, this.dy), cmp, s);
	};
	Cnds.prototype.CompareTravelled = function (cmp, d)
	{
		return cr.do_cmp(this.travelled, cmp, d);
	};
	behaviorProto.cnds = new Cnds();
	function Acts() {};
	Acts.prototype.SetSpeed = function (s)
	{
		var a = cr.angleTo(0, 0, this.dx, this.dy);
		this.dx = Math.cos(a) * s;
		this.dy = Math.sin(a) * s;
	};
	Acts.prototype.SetAcceleration = function (a)
	{
		this.acc = a;
	};
	Acts.prototype.SetGravity = function (g)
	{
		this.g = g;
	};
	Acts.prototype.SetAngleOfMotion = function (a)
	{
		a = cr.to_radians(a);
		var s = cr.distanceTo(0, 0, this.dx, this.dy)
		this.dx = Math.cos(a) * s;
		this.dy = Math.sin(a) * s;
	};
	Acts.prototype.Bounce = function (objtype)
	{
		if (!objtype)
			return;
		var otherinst = objtype.getFirstPicked(this.inst);
		if (!otherinst)
			return;
		var dt = this.runtime.getDt(this.inst);
		var s = cr.distanceTo(0, 0, this.dx, this.dy);
		var bounceAngle = this.runtime.calculateSolidBounceAngle(this.inst, this.lastx, this.lasty, otherinst);
		this.dx = Math.cos(bounceAngle) * s;
		this.dy = Math.sin(bounceAngle) * s;
		this.inst.x += this.dx * dt;			// move out for one tick since the object can't have spent a tick in the solid
		this.inst.y += this.dy * dt;
		this.inst.set_bbox_changed();
		if (this.setAngle)
		{
			this.inst.angle = bounceAngle;
			this.lastKnownAngle = bounceAngle;
			this.inst.set_bbox_changed();
		}
		if (this.bounceOffSolid)
		{
			if (!this.runtime.pushOutSolid(this.inst, this.dx / s, this.dy / s, Math.max(s * 2.5 * dt, 30)))
				this.runtime.pushOutSolidNearest(this.inst, 100);
		}
		else
		{
			this.runtime.pushOut(this.inst, this.dx / s, this.dy / s, Math.max(s * 2.5 * dt, 30), otherinst)
		}
	};
	Acts.prototype.SetEnabled = function (en)
	{
		this.enabled = (en === 1);
	};
	behaviorProto.acts = new Acts();
	function Exps() {};
	Exps.prototype.Speed = function (ret)
	{
		var s = cr.distanceTo(0, 0, this.dx, this.dy);
		s = cr.round6dp(s);
		ret.set_float(s);
	};
	Exps.prototype.Acceleration = function (ret)
	{
		ret.set_float(this.acc);
	};
	Exps.prototype.AngleOfMotion = function (ret)
	{
		ret.set_float(cr.to_degrees(cr.angleTo(0, 0, this.dx, this.dy)));
	};
	Exps.prototype.DistanceTravelled = function (ret)
	{
		ret.set_float(this.travelled);
	};
	behaviorProto.exps = new Exps();
}());
;
;
cr.behaviors.DragnDrop = function(runtime)
{
	this.runtime = runtime;
	var self = this;
	if (!this.runtime.isDomFree)
	{
		jQuery(document).mousemove(
			function(info) {
				self.onMouseMove(info);
			}
		);
		jQuery(document).mousedown(
			function(info) {
				self.onMouseDown(info);
			}
		);
		jQuery(document).mouseup(
			function(info) {
				self.onMouseUp(info);
			}
		);
	}
	var elem = (this.runtime.fullscreen_mode > 0) ? document : this.runtime.canvas;
	if (this.runtime.isDirectCanvas)
		elem = window["Canvas"];
	else if (this.runtime.isCocoonJs)
		elem = window;
	if (window.navigator["pointerEnabled"])
	{
		elem.addEventListener("pointerdown",
			function(info) {
				self.onPointerStart(info);
			},
			false
		);
		elem.addEventListener("pointermove",
			function(info) {
				self.onPointerMove(info);
			},
			false
		);
		elem.addEventListener("pointerup",
			function(info) {
				self.onPointerEnd(info);
			},
			false
		);
		elem.addEventListener("pointercancel",
			function(info) {
				self.onPointerEnd(info);
			},
			false
		);
	}
	else if (window.navigator["msPointerEnabled"])
	{
		elem.addEventListener("MSPointerDown",
			function(info) {
				self.onPointerStart(info);
			},
			false
		);
		elem.addEventListener("MSPointerMove",
			function(info) {
				self.onPointerMove(info);
			},
			false
		);
		elem.addEventListener("MSPointerUp",
			function(info) {
				self.onPointerEnd(info);
			},
			false
		);
		elem.addEventListener("MSPointerCancel",
			function(info) {
				self.onPointerEnd(info);
			},
			false
		);
	}
	else
	{
		elem.addEventListener("touchstart",
			function(info) {
				self.onTouchStart(info);
			},
			false
		);
		elem.addEventListener("touchmove",
			function(info) {
				self.onTouchMove(info);
			},
			false
		);
		elem.addEventListener("touchend",
			function(info) {
				self.onTouchEnd(info);
			},
			false
		);
		elem.addEventListener("touchcancel",
			function(info) {
				self.onTouchEnd(info);
			},
			false
		);
	}
};
(function ()
{
	var behaviorProto = cr.behaviors.DragnDrop.prototype;
	var dummyoffset = {left: 0, top: 0};
	function GetDragDropBehavior(inst)
	{
		var i, len;
		for (i = 0, len = inst.behavior_insts.length; i < len; i++)
		{
			if (inst.behavior_insts[i] instanceof behaviorProto.Instance)
				return inst.behavior_insts[i];
		}
		return null;
	};
	behaviorProto.onMouseDown = function (info)
	{
		if (info.which !== 1)
			return;		// not left mouse button
		this.onInputDown("leftmouse", info.pageX, info.pageY);
	};
	behaviorProto.onMouseMove = function (info)
	{
		if (info.which !== 1)
			return;		// not left mouse button
		this.onInputMove("leftmouse", info.pageX, info.pageY);
	};
	behaviorProto.onMouseUp = function (info)
	{
		if (info.which !== 1)
			return;		// not left mouse button
		this.onInputUp("leftmouse");
	};
	behaviorProto.onTouchStart = function (info)
	{
		if (info.preventDefault)
			info.preventDefault();
		var i, len, t, id;
		for (i = 0, len = info.changedTouches.length; i < len; i++)
		{
			t = info.changedTouches[i];
			id = t.identifier;
			this.onInputDown(id ? id.toString() : "<none>", t.pageX, t.pageY);
		}
	};
	behaviorProto.onTouchMove = function (info)
	{
		if (info.preventDefault)
			info.preventDefault();
		var i, len, t, id;
		for (i = 0, len = info.changedTouches.length; i < len; i++)
		{
			t = info.changedTouches[i];
			id = t.identifier;
			this.onInputMove(id ? id.toString() : "<none>", t.pageX, t.pageY);
		}
	};
	behaviorProto.onTouchEnd = function (info)
	{
		if (info.preventDefault)
			info.preventDefault();
		var i, len, t, id;
		for (i = 0, len = info.changedTouches.length; i < len; i++)
		{
			t = info.changedTouches[i];
			id = t.identifier;
			this.onInputUp(id ? id.toString() : "<none>");
		}
	};
	behaviorProto.onPointerStart = function (info)
	{
		if (info["pointerType"] === info["MSPOINTER_TYPE_MOUSE"] || info["pointerType"] === "mouse")
			return;
		if (info.preventDefault)
			info.preventDefault();
		this.onInputDown(info["pointerId"].toString(), info.pageX, info.pageY);
	};
	behaviorProto.onPointerMove = function (info)
	{
		if (info["pointerType"] === info["MSPOINTER_TYPE_MOUSE"] || info["pointerType"] === "mouse")
			return;
		if (info.preventDefault)
			info.preventDefault();
		this.onInputMove(info["pointerId"].toString(), info.pageX, info.pageY);
	};
	behaviorProto.onPointerEnd = function (info)
	{
		if (info["pointerType"] === info["MSPOINTER_TYPE_MOUSE"] || info["pointerType"] === "mouse")
			return;
		if (info.preventDefault)
			info.preventDefault();
		this.onInputUp(info["pointerId"].toString());
	};
	behaviorProto.onInputDown = function (src, pageX, pageY)
	{
		var offset = this.runtime.isDomFree ? dummyoffset : jQuery(this.runtime.canvas).offset();
		var x = pageX - offset.left;
		var y = pageY - offset.top;
		var lx, ly, topx, topy;
		var arr = this.my_instances.valuesRef();
		var i, len, b, inst, topmost = null;
		for (i = 0, len = arr.length; i < len; i++)
		{
			inst = arr[i];
			b = GetDragDropBehavior(inst);
			if (!b.enabled || b.dragging)
				continue;		// don't consider disabled or already-dragging instances
			lx = inst.layer.canvasToLayer(x, y, true);
			ly = inst.layer.canvasToLayer(x, y, false);
			inst.update_bbox();
			if (!inst.contains_pt(lx, ly))
				continue;		// don't consider instances not over this point
			if (!topmost)
			{
				topmost = inst;
				topx = lx;
				topy = ly;
				continue;
			}
			if (inst.layer.index > topmost.layer.index)
			{
				topmost = inst;
				topx = lx;
				topy = ly;
				continue;
			}
			if (inst.layer.index === topmost.layer.index && inst.get_zindex() > topmost.get_zindex())
			{
				topmost = inst;
				topx = lx;
				topy = ly;
				continue;
			}
		}
		if (topmost)
			GetDragDropBehavior(topmost).onDown(src, topx, topy);
	};
	behaviorProto.onInputMove = function (src, pageX, pageY)
	{
		var offset = this.runtime.isDomFree ? dummyoffset : jQuery(this.runtime.canvas).offset();
		var x = pageX - offset.left;
		var y = pageY - offset.top;
		var lx, ly;
		var arr = this.my_instances.valuesRef();
		var i, len, b, inst;
		for (i = 0, len = arr.length; i < len; i++)
		{
			inst = arr[i];
			b = GetDragDropBehavior(inst);
			if (!b.enabled || !b.dragging || (b.dragging && b.dragsource !== src))
				continue;		// don't consider disabled, not-dragging, or dragging by other sources
			lx = inst.layer.canvasToLayer(x, y, true);
			ly = inst.layer.canvasToLayer(x, y, false);
			b.onMove(lx, ly);
		}
	};
	behaviorProto.onInputUp = function (src)
	{
		var arr = this.my_instances.valuesRef();
		var i, len, b, inst;
		for (i = 0, len = arr.length; i < len; i++)
		{
			inst = arr[i];
			b = GetDragDropBehavior(inst);
			if (b.dragging && b.dragsource === src)
				b.onUp();
		}
	};
	behaviorProto.Type = function(behavior, objtype)
	{
		this.behavior = behavior;
		this.objtype = objtype;
		this.runtime = behavior.runtime;
	};
	var behtypeProto = behaviorProto.Type.prototype;
	behtypeProto.onCreate = function()
	{
	};
	behaviorProto.Instance = function(type, inst)
	{
		this.type = type;
		this.behavior = type.behavior;
		this.inst = inst;				// associated object instance to modify
		this.runtime = type.runtime;
	};
	var behinstProto = behaviorProto.Instance.prototype;
	behinstProto.onCreate = function()
	{
		this.dragging = false;
		this.dx = 0;
		this.dy = 0;
		this.dragsource = "<none>";
		this.axes = this.properties[0];
		this.enabled = (this.properties[1] !== 0);
	};
	behinstProto.saveToJSON = function ()
	{
		return { "enabled": this.enabled };
	};
	behinstProto.loadFromJSON = function (o)
	{
		this.enabled = o["enabled"];
		this.dragging = false;
	};
	behinstProto.onDown = function(src, x, y)
	{
		this.dx = x - this.inst.x;
		this.dy = y - this.inst.y;
		this.dragging = true;
		this.dragsource = src;
		this.runtime.isInUserInputEvent = true;
		this.runtime.trigger(cr.behaviors.DragnDrop.prototype.cnds.OnDragStart, this.inst);
		this.runtime.isInUserInputEvent = false;
	};
	behinstProto.onMove = function(x, y)
	{
		var newx = x - this.dx;
		var newy = y - this.dy;
		if (this.axes === 0)		// both
		{
			if (this.inst.x !== newx || this.inst.y !== newy)
			{
				this.inst.x = newx;
				this.inst.y = newy;
				this.inst.set_bbox_changed();
			}
		}
		else if (this.axes === 1)	// horizontal
		{
			if (this.inst.x !== newx)
			{
				this.inst.x = newx;
				this.inst.set_bbox_changed();
			}
		}
		else if (this.axes === 2)	// vertical
		{
			if (this.inst.y !== newy)
			{
				this.inst.y = newy;
				this.inst.set_bbox_changed();
			}
		}
	};
	behinstProto.onUp = function()
	{
		this.dragging = false;
		this.runtime.isInUserInputEvent = true;
		this.runtime.trigger(cr.behaviors.DragnDrop.prototype.cnds.OnDrop, this.inst);
		this.runtime.isInUserInputEvent = false;
	};
	behinstProto.tick = function ()
	{
	};
	function Cnds() {};
	Cnds.prototype.IsDragging = function ()
	{
		return this.dragging;
	};
	Cnds.prototype.OnDragStart = function ()
	{
		return true;
	};
	Cnds.prototype.OnDrop = function ()
	{
		return true;
	};
	Cnds.prototype.IsEnabled = function ()
	{
		return !!this.enabled;
	};
	behaviorProto.cnds = new Cnds();
	function Acts() {};
	Acts.prototype.SetEnabled = function (s)
	{
		this.enabled = (s !== 0);
		if (!this.enabled)
			this.dragging = false;
	};
	Acts.prototype.Drop = function ()
	{
		if (this.dragging)
			this.onUp();
	};
	behaviorProto.acts = new Acts();
	function Exps() {};
	behaviorProto.exps = new Exps();
}());
;
;
cr.behaviors.Fade = function(runtime)
{
	this.runtime = runtime;
};
(function ()
{
	var behaviorProto = cr.behaviors.Fade.prototype;
	behaviorProto.Type = function(behavior, objtype)
	{
		this.behavior = behavior;
		this.objtype = objtype;
		this.runtime = behavior.runtime;
	};
	var behtypeProto = behaviorProto.Type.prototype;
	behtypeProto.onCreate = function()
	{
	};
	behaviorProto.Instance = function(type, inst)
	{
		this.type = type;
		this.behavior = type.behavior;
		this.inst = inst;				// associated object instance to modify
		this.runtime = type.runtime;
	};
	var behinstProto = behaviorProto.Instance.prototype;
	behinstProto.onCreate = function()
	{
		var active_at_start = this.properties[0] === 1;
		this.fadeInTime = this.properties[1];
		this.waitTime = this.properties[2];
		this.fadeOutTime = this.properties[3];
		this.destroy = this.properties[4];			// 0 = no, 1 = after fade out
		this.stage = active_at_start ? 0 : 3;		// 0 = fade in, 1 = wait, 2 = fade out, 3 = done
		if (this.recycled)
			this.stageTime.reset();
		else
			this.stageTime = new cr.KahanAdder();
		this.maxOpacity = (this.inst.opacity ? this.inst.opacity : 1.0);
		if (active_at_start)
		{
			if (this.fadeInTime === 0)
			{
				this.stage = 1;
				if (this.waitTime === 0)
					this.stage = 2;
			}
			else
			{
				this.inst.opacity = 0;
				this.runtime.redraw = true;
			}
		}
	};
	behinstProto.saveToJSON = function ()
	{
		return {
			"fit": this.fadeInTime,
			"wt": this.waitTime,
			"fot": this.fadeOutTime,
			"s": this.stage,
			"st": this.stageTime.sum,
			"mo": this.maxOpacity,
		};
	};
	behinstProto.loadFromJSON = function (o)
	{
		this.fadeInTime = o["fit"];
		this.waitTime = o["wt"];
		this.fadeOutTime = o["fot"];
		this.stage = o["s"];
		this.stageTime.reset();
		this.stageTime.sum = o["st"];
		this.maxOpacity = o["mo"];
	};
	behinstProto.tick = function ()
	{
		this.stageTime.add(this.runtime.getDt(this.inst));
		if (this.stage === 0)
		{
			this.inst.opacity = (this.stageTime.sum / this.fadeInTime) * this.maxOpacity;
			this.runtime.redraw = true;
			if (this.inst.opacity >= this.maxOpacity)
			{
				this.inst.opacity = this.maxOpacity;
				this.stage = 1;	// wait stage
				this.stageTime.reset();
			}
		}
		if (this.stage === 1)
		{
			if (this.stageTime.sum >= this.waitTime)
			{
				this.stage = 2;	// fade out stage
				this.stageTime.reset();
			}
		}
		if (this.stage === 2)
		{
			if (this.fadeOutTime !== 0)
			{
				this.inst.opacity = this.maxOpacity - ((this.stageTime.sum / this.fadeOutTime) * this.maxOpacity);
				this.runtime.redraw = true;
				if (this.inst.opacity < 0)
				{
					this.inst.opacity = 0;
					this.stage = 3;	// done
					this.stageTime.reset();
					this.runtime.trigger(cr.behaviors.Fade.prototype.cnds.OnFadeOutEnd, this.inst);
					if (this.destroy === 1)
						this.runtime.DestroyInstance(this.inst);
				}
			}
		}
	};
	behinstProto.doStart = function ()
	{
		this.stage = 0;
		this.stageTime.reset();
		if (this.fadeInTime === 0)
		{
			this.stage = 1;
			if (this.waitTime === 0)
				this.stage = 2;
		}
		else
		{
			this.inst.opacity = 0;
			this.runtime.redraw = true;
		}
	};
	function Cnds() {};
	Cnds.prototype.OnFadeOutEnd = function ()
	{
		return true;
	};
	behaviorProto.cnds = new Cnds();
	function Acts() {};
	Acts.prototype.StartFade = function ()
	{
		if (this.stage === 3)
			this.doStart();
	};
	Acts.prototype.RestartFade = function ()
	{
		this.doStart();
	};
	behaviorProto.acts = new Acts();
}());
;
;
cr.behaviors.Pin = function(runtime)
{
	this.runtime = runtime;
};
(function ()
{
	var behaviorProto = cr.behaviors.Pin.prototype;
	behaviorProto.Type = function(behavior, objtype)
	{
		this.behavior = behavior;
		this.objtype = objtype;
		this.runtime = behavior.runtime;
	};
	var behtypeProto = behaviorProto.Type.prototype;
	behtypeProto.onCreate = function()
	{
	};
	behaviorProto.Instance = function(type, inst)
	{
		this.type = type;
		this.behavior = type.behavior;
		this.inst = inst;				// associated object instance to modify
		this.runtime = type.runtime;
	};
	var behinstProto = behaviorProto.Instance.prototype;
	behinstProto.onCreate = function()
	{
		this.pinObject = null;
		this.pinObjectUid = -1;		// for loading
		this.pinAngle = 0;
		this.pinDist = 0;
		this.myStartAngle = 0;
		this.theirStartAngle = 0;
		this.lastKnownAngle = 0;
		this.mode = 0;				// 0 = position & angle; 1 = position; 2 = angle; 3 = rope; 4 = bar
		var self = this;
		if (!this.recycled)
		{
			this.myDestroyCallback = (function(inst) {
													self.onInstanceDestroyed(inst);
												});
		}
		this.runtime.addDestroyCallback(this.myDestroyCallback);
	};
	behinstProto.saveToJSON = function ()
	{
		return {
			"uid": this.pinObject ? this.pinObject.uid : -1,
			"pa": this.pinAngle,
			"pd": this.pinDist,
			"msa": this.myStartAngle,
			"tsa": this.theirStartAngle,
			"lka": this.lastKnownAngle,
			"m": this.mode
		};
	};
	behinstProto.loadFromJSON = function (o)
	{
		this.pinObjectUid = o["uid"];		// wait until afterLoad to look up
		this.pinAngle = o["pa"];
		this.pinDist = o["pd"];
		this.myStartAngle = o["msa"];
		this.theirStartAngle = o["tsa"];
		this.lastKnownAngle = o["lka"];
		this.mode = o["m"];
	};
	behinstProto.afterLoad = function ()
	{
		if (this.pinObjectUid === -1)
			this.pinObject = null;
		else
		{
			this.pinObject = this.runtime.getObjectByUID(this.pinObjectUid);
;
		}
		this.pinObjectUid = -1;
	};
	behinstProto.onInstanceDestroyed = function (inst)
	{
		if (this.pinObject == inst)
			this.pinObject = null;
	};
	behinstProto.onDestroy = function()
	{
		this.pinObject = null;
		this.runtime.removeDestroyCallback(this.myDestroyCallback);
	};
	behinstProto.tick = function ()
	{
	};
	behinstProto.tick2 = function ()
	{
		if (!this.pinObject)
			return;
		if (this.lastKnownAngle !== this.inst.angle)
			this.myStartAngle = cr.clamp_angle(this.myStartAngle + (this.inst.angle - this.lastKnownAngle));
		var newx = this.inst.x;
		var newy = this.inst.y;
		if (this.mode === 3 || this.mode === 4)		// rope mode or bar mode
		{
			var dist = cr.distanceTo(this.inst.x, this.inst.y, this.pinObject.x, this.pinObject.y);
			if ((dist > this.pinDist) || (this.mode === 4 && dist < this.pinDist))
			{
				var a = cr.angleTo(this.pinObject.x, this.pinObject.y, this.inst.x, this.inst.y);
				newx = this.pinObject.x + Math.cos(a) * this.pinDist;
				newy = this.pinObject.y + Math.sin(a) * this.pinDist;
			}
		}
		else
		{
			newx = this.pinObject.x + Math.cos(this.pinObject.angle + this.pinAngle) * this.pinDist;
			newy = this.pinObject.y + Math.sin(this.pinObject.angle + this.pinAngle) * this.pinDist;
		}
		var newangle = cr.clamp_angle(this.myStartAngle + (this.pinObject.angle - this.theirStartAngle));
		this.lastKnownAngle = newangle;
		if ((this.mode === 0 || this.mode === 1 || this.mode === 3 || this.mode === 4)
			&& (this.inst.x !== newx || this.inst.y !== newy))
		{
			this.inst.x = newx;
			this.inst.y = newy;
			this.inst.set_bbox_changed();
		}
		if ((this.mode === 0 || this.mode === 2) && (this.inst.angle !== newangle))
		{
			this.inst.angle = newangle;
			this.inst.set_bbox_changed();
		}
	};
	function Cnds() {};
	Cnds.prototype.IsPinned = function ()
	{
		return !!this.pinObject;
	};
	behaviorProto.cnds = new Cnds();
	function Acts() {};
	Acts.prototype.Pin = function (obj, mode_)
	{
		if (!obj)
			return;
		var otherinst = obj.getFirstPicked(this.inst);
		if (!otherinst)
			return;
		this.pinObject = otherinst;
		this.pinAngle = cr.angleTo(otherinst.x, otherinst.y, this.inst.x, this.inst.y) - otherinst.angle;
		this.pinDist = cr.distanceTo(otherinst.x, otherinst.y, this.inst.x, this.inst.y);
		this.myStartAngle = this.inst.angle;
		this.lastKnownAngle = this.inst.angle;
		this.theirStartAngle = otherinst.angle;
		this.mode = mode_;
	};
	Acts.prototype.Unpin = function ()
	{
		this.pinObject = null;
	};
	behaviorProto.acts = new Acts();
	function Exps() {};
	Exps.prototype.PinnedUID = function (ret)
	{
		ret.set_int(this.pinObject ? this.pinObject.uid : -1);
	};
	behaviorProto.exps = new Exps();
}());
;
;
cr.behaviors.Rex_MoveTo = function(runtime)
{
	this.runtime = runtime;
};
(function ()
{
	var behaviorProto = cr.behaviors.Rex_MoveTo.prototype;
	behaviorProto.Type = function(behavior, objtype)
	{
		this.behavior = behavior;
		this.objtype = objtype;
		this.runtime = behavior.runtime;
	};
	var behtypeProto = behaviorProto.Type.prototype;
	behtypeProto.onCreate = function()
	{
	};
	behaviorProto.Instance = function(type, inst)
	{
		this.type = type;
		this.behavior = type.behavior;
		this.inst = inst;				// associated object instance to modify
		this.runtime = type.runtime;
	};
	var behinstProto = behaviorProto.Instance.prototype;
	behinstProto.onCreate = function()
	{
        this.activated = (this.properties[0] == 1);
        this.move = {"max":this.properties[1],
                     "acc":this.properties[2],
                     "dec":this.properties[3]};
        this.target = {"x":0 , "y":0, "a":0};
        this.is_moving = false;
        this.current_speed = 0;
        this.remain_distance = 0;
        this.is_hit_target = false;
        this._pre_pos = {"x":0,"y":0};
        this._moving_angle_info = {"x":0,"y":0,"a":(-1)};
        this._last_tick = null;
        this.is_my_call = false;
	};
	behinstProto.tick = function ()
	{
        if (this.is_hit_target)
        {
            this.is_my_call = true;
            this.runtime.trigger(cr.behaviors.Rex_MoveTo.prototype.cnds.OnHitTarget, this.inst);
            this.is_my_call = false;
            this.is_hit_target = false;
        }
        if ( (!this.activated) || (!this.is_moving) )
        {
            return;
        }
		var dt = this.runtime.getDt(this.inst);
        if (dt==0)   // can not move if dt == 0
            return;
        if ((this._pre_pos["x"] != this.inst.x) || (this._pre_pos["y"] != this.inst.y))
		    this._reset_current_pos();    // reset this.remain_distance
        var is_slow_down = false;
        if (this.move["dec"] != 0)
        {
            var _speed = this.current_speed;
            var _distance = (_speed*_speed)/(2*this.move["dec"]); // (v*v)/(2*a)
            is_slow_down = (_distance >= this.remain_distance);
        }
        var acc = (is_slow_down)? (-this.move["dec"]):this.move["acc"];
        if (acc != 0)
        {
            this.SetCurrentSpeed( this.current_speed + (acc * dt) );
        }
        var distance = this.current_speed * dt;
        this.remain_distance -= distance;
        if ( (this.remain_distance <= 0) || (this.current_speed <= 0) )
        {
            this.is_moving = false;
            this.inst.x = this.target["x"];
            this.inst.y = this.target["y"];
            this.SetCurrentSpeed(0);
            this.moving_angle_get();
            this.is_hit_target = true;
        }
        else
        {
            var angle = this.target["a"];
            this.inst.x += (distance * Math.cos(angle));
            this.inst.y += (distance * Math.sin(angle));
        }
		this.inst.set_bbox_changed();
		this._pre_pos["x"] = this.inst.x;
		this._pre_pos["y"] = this.inst.y;
	};
	behinstProto.tick2 = function ()
	{
        this._moving_angle_info["x"] = this.inst.x;
		this._moving_angle_info["y"] = this.inst.y;
    };
	behinstProto.SetCurrentSpeed = function(speed)
	{
        if (speed != null)
        {
            this.current_speed = (speed > this.move["max"])?
                                 this.move["max"]: speed;
        }
        else if (this.move["acc"]==0)
        {
            this.current_speed = this.move["max"];
        }
	};
	behinstProto._reset_current_pos = function ()
	{
        var dx = this.target["x"] - this.inst.x;
        var dy = this.target["y"] - this.inst.y;
        this.target["a"] = Math.atan2(dy, dx);
        this.remain_distance = Math.sqrt( (dx*dx) + (dy*dy) );
		this._pre_pos["x"] = this.inst.x;
		this._pre_pos["y"] = this.inst.y;
	};
	behinstProto.SetTargetPos = function (_x, _y)
	{
        this.is_moving = true;
		this.target["x"] = _x;
        this.target["y"] = _y;
        this._reset_current_pos();
        this.SetCurrentSpeed(null);
		this._moving_angle_info["x"] = this.inst.x;
		this._moving_angle_info["y"] = this.inst.y;
	};
	behinstProto.is_tick_changed = function ()
	{
	    var cur_tick = this.runtime.tickcount;
		var tick_changed = (this._last_tick != cur_tick);
        this._last_tick = cur_tick;
		return tick_changed;
	};
 	behinstProto.moving_angle_get = function (ret)
	{
        if (this.is_tick_changed())
        {
            var dx = this.inst.x - this._moving_angle_info["x"];
            var dy = this.inst.y - this._moving_angle_info["y"];
            if ((dx!=0) || (dy!=0))
                this._moving_angle_info["a"] = cr.to_clamped_degrees(Math.atan2(dy,dx));
        }
		return this._moving_angle_info["a"];
	};
	behinstProto.saveToJSON = function ()
	{
		return { "en": this.activated,
		         "v": this.move,
                 "t": this.target,
                 "is_m": this.is_moving,
                 "c_spd" : this.current_speed,
                 "rd" : this.remain_distance,
                 "is_ht" : this.is_hit_target,
                 "pp": this._pre_pos,
                 "ma": this._moving_angle_info,
                 "lt": this._last_tick,
               };
	};
	behinstProto.loadFromJSON = function (o)
	{
		this.activated = o["en"];
		this.move = o["v"];
		this.target = o["t"];
		this.is_moving = o["is_m"];
		this.current_speed = o["c_spd"];
		this.remain_distance = o["rd"];
		this.is_hit_target = o["is_ht"];
        this._pre_pos = o["pp"];
        this._moving_angle_info = o["ma"];
        this._last_tick = o["lt"];
	};
	function Cnds() {};
	behaviorProto.cnds = new Cnds();
	Cnds.prototype.OnHitTarget = function ()
	{
		return (this.is_my_call);
	};
	Cnds.prototype.CompareSpeed = function (cmp, s)
	{
		return cr.do_cmp(this.current_speed, cmp, s);
	};
    Cnds.prototype.OnMoving = function ()  // deprecated
	{
		return false;
	};
	Cnds.prototype.IsMoving = function ()
	{
		return (this.activated && this.is_moving);
	};
	Cnds.prototype.CompareMovingAngle = function (cmp, s)
	{
        var angle = this.moving_angle_get();
        if (angle != (-1))
		    return cr.do_cmp(this.moving_angle_get(), cmp, s);
        else
            return false;
	};
	function Acts() {};
	behaviorProto.acts = new Acts();
	Acts.prototype.SetActivated = function (s)
	{
		this.activated = (s == 1);
	};
	Acts.prototype.SetMaxSpeed = function (s)
	{
		this.move["max"] = s;
        this.SetCurrentSpeed(null);
	};
	Acts.prototype.SetAcceleration = function (a)
	{
		this.move["acc"] = a;
        this.SetCurrentSpeed(null);
	};
	Acts.prototype.SetDeceleration = function (a)
	{
		this.move["dec"] = a;
	};
	Acts.prototype.SetTargetPos = function (_x, _y)
	{
        this.SetTargetPos(_x, _y)
	};
	Acts.prototype.SetCurrentSpeed = function (s)
	{
        this.SetCurrentSpeed(s);
	};
 	Acts.prototype.SetTargetPosOnObject = function (objtype)
	{
		if (!objtype)
			return;
		var inst = objtype.getFirstPicked();
        if (inst != null)
            this.SetTargetPos(inst.x, inst.y);
	};
 	Acts.prototype.SetTargetPosByDeltaXY = function (dx, dy)
	{
        this.SetTargetPos(this.inst.x + dx, this.inst.y + dy);
	};
 	Acts.prototype.SetTargetPosByDistanceAngle = function (distance, angle)
	{
        var a = cr.to_clamped_radians(angle);
        var dx = distance*Math.cos(a);
        var dy = distance*Math.sin(a);
        this.SetTargetPos(this.inst.x + dx, this.inst.y + dy);
	};
 	Acts.prototype.Stop = function ()
	{
        this.is_moving = false;
	};
	function Exps() {};
	behaviorProto.exps = new Exps();
	Exps.prototype.Activated = function (ret)
	{
		ret.set_int((this.activated)? 1:0);
	};
	Exps.prototype.Speed = function (ret)
	{
		ret.set_float(this.current_speed);
	};
	Exps.prototype.MaxSpeed = function (ret)
	{
		ret.set_float(this.move["max"]);
	};
	Exps.prototype.Acc = function (ret)
	{
		ret.set_float(this.move["acc"]);
	};
 	Exps.prototype.Dec = function (ret)
	{
		ret.set_float(this.move["dec"]);
	};
	Exps.prototype.TargetX = function (ret)
	{
        var x = (this.is_moving)? this.target["x"]:0;
		ret.set_float(x);
	};
 	Exps.prototype.TargetY = function (ret)
	{
        var y = (this.is_moving)? this.target["y"]:0;
		ret.set_float(y);
	};
 	Exps.prototype.MovingAngle = function (ret)
	{
		ret.set_float(this.moving_angle_get());
	};
}());
;
;
cr.behaviors.Sin = function(runtime)
{
	this.runtime = runtime;
};
(function ()
{
	var behaviorProto = cr.behaviors.Sin.prototype;
	behaviorProto.Type = function(behavior, objtype)
	{
		this.behavior = behavior;
		this.objtype = objtype;
		this.runtime = behavior.runtime;
	};
	var behtypeProto = behaviorProto.Type.prototype;
	behtypeProto.onCreate = function()
	{
	};
	behaviorProto.Instance = function(type, inst)
	{
		this.type = type;
		this.behavior = type.behavior;
		this.inst = inst;				// associated object instance to modify
		this.runtime = type.runtime;
		this.i = 0;		// period offset (radians)
	};
	var behinstProto = behaviorProto.Instance.prototype;
	var _2pi = 2 * Math.PI;
	var _pi_2 = Math.PI / 2;
	var _3pi_2 = (3 * Math.PI) / 2;
	behinstProto.onCreate = function()
	{
		this.active = (this.properties[0] === 1);
		this.movement = this.properties[1]; // 0=Horizontal|1=Vertical|2=Size|3=Width|4=Height|5=Angle|6=Opacity|7=Value only
		this.wave = this.properties[2];		// 0=Sine|1=Triangle|2=Sawtooth|3=Reverse sawtooth|4=Square
		this.period = this.properties[3];
		this.period += Math.random() * this.properties[4];								// period random
		if (this.period === 0)
			this.i = 0;
		else
		{
			this.i = (this.properties[5] / this.period) * _2pi;								// period offset
			this.i += ((Math.random() * this.properties[6]) / this.period) * _2pi;			// period offset random
		}
		this.mag = this.properties[7];													// magnitude
		this.mag += Math.random() * this.properties[8];									// magnitude random
		this.initialValue = 0;
		this.initialValue2 = 0;
		this.ratio = 0;
		this.init();
	};
	behinstProto.saveToJSON = function ()
	{
		return {
			"i": this.i,
			"a": this.active,
			"mv": this.movement,
			"w": this.wave,
			"p": this.period,
			"mag": this.mag,
			"iv": this.initialValue,
			"iv2": this.initialValue2,
			"r": this.ratio,
			"lkv": this.lastKnownValue,
			"lkv2": this.lastKnownValue2
		};
	};
	behinstProto.loadFromJSON = function (o)
	{
		this.i = o["i"];
		this.active = o["a"];
		this.movement = o["mv"];
		this.wave = o["w"];
		this.period = o["p"];
		this.mag = o["mag"];
		this.initialValue = o["iv"];
		this.initialValue2 = o["iv2"] || 0;
		this.ratio = o["r"];
		this.lastKnownValue = o["lkv"];
		this.lastKnownValue2 = o["lkv2"] || 0;
	};
	behinstProto.init = function ()
	{
		switch (this.movement) {
		case 0:		// horizontal
			this.initialValue = this.inst.x;
			break;
		case 1:		// vertical
			this.initialValue = this.inst.y;
			break;
		case 2:		// size
			this.initialValue = this.inst.width;
			this.ratio = this.inst.height / this.inst.width;
			break;
		case 3:		// width
			this.initialValue = this.inst.width;
			break;
		case 4:		// height
			this.initialValue = this.inst.height;
			break;
		case 5:		// angle
			this.initialValue = this.inst.angle;
			this.mag = cr.to_radians(this.mag);		// convert magnitude from degrees to radians
			break;
		case 6:		// opacity
			this.initialValue = this.inst.opacity;
			break;
		case 7:
			this.initialValue = 0;
			break;
		case 8:		// forwards/backwards
			this.initialValue = this.inst.x;
			this.initialValue2 = this.inst.y;
			break;
		default:
;
		}
		this.lastKnownValue = this.initialValue;
		this.lastKnownValue2 = this.initialValue2;
	};
	behinstProto.waveFunc = function (x)
	{
		x = x % _2pi;
		switch (this.wave) {
		case 0:		// sine
			return Math.sin(x);
		case 1:		// triangle
			if (x <= _pi_2)
				return x / _pi_2;
			else if (x <= _3pi_2)
				return 1 - (2 * (x - _pi_2) / Math.PI);
			else
				return (x - _3pi_2) / _pi_2 - 1;
		case 2:		// sawtooth
			return 2 * x / _2pi - 1;
		case 3:		// reverse sawtooth
			return -2 * x / _2pi + 1;
		case 4:		// square
			return x < Math.PI ? -1 : 1;
		};
		return 0;
	};
	behinstProto.tick = function ()
	{
		var dt = this.runtime.getDt(this.inst);
		if (!this.active || dt === 0)
			return;
		if (this.period === 0)
			this.i = 0;
		else
		{
			this.i += (dt / this.period) * _2pi;
			this.i = this.i % _2pi;
		}
		switch (this.movement) {
		case 0:		// horizontal
			if (this.inst.x !== this.lastKnownValue)
				this.initialValue += this.inst.x - this.lastKnownValue;
			this.inst.x = this.initialValue + this.waveFunc(this.i) * this.mag;
			this.lastKnownValue = this.inst.x;
			break;
		case 1:		// vertical
			if (this.inst.y !== this.lastKnownValue)
				this.initialValue += this.inst.y - this.lastKnownValue;
			this.inst.y = this.initialValue + this.waveFunc(this.i) * this.mag;
			this.lastKnownValue = this.inst.y;
			break;
		case 2:		// size
			this.inst.width = this.initialValue + this.waveFunc(this.i) * this.mag;
			this.inst.height = this.inst.width * this.ratio;
			break;
		case 3:		// width
			this.inst.width = this.initialValue + this.waveFunc(this.i) * this.mag;
			break;
		case 4:		// height
			this.inst.height = this.initialValue + this.waveFunc(this.i) * this.mag;
			break;
		case 5:		// angle
			if (this.inst.angle !== this.lastKnownValue)
				this.initialValue = cr.clamp_angle(this.initialValue + (this.inst.angle - this.lastKnownValue));
			this.inst.angle = cr.clamp_angle(this.initialValue + this.waveFunc(this.i) * this.mag);
			this.lastKnownValue = this.inst.angle;
			break;
		case 6:		// opacity
			this.inst.opacity = this.initialValue + (this.waveFunc(this.i) * this.mag) / 100;
			if (this.inst.opacity < 0)
				this.inst.opacity = 0;
			else if (this.inst.opacity > 1)
				this.inst.opacity = 1;
			break;
		case 8:		// forwards/backwards
			if (this.inst.x !== this.lastKnownValue)
				this.initialValue += this.inst.x - this.lastKnownValue;
			if (this.inst.y !== this.lastKnownValue2)
				this.initialValue2 += this.inst.y - this.lastKnownValue2;
			this.inst.x = this.initialValue + Math.cos(this.inst.angle) * this.waveFunc(this.i) * this.mag;
			this.inst.y = this.initialValue2 + Math.sin(this.inst.angle) * this.waveFunc(this.i) * this.mag;
			this.lastKnownValue = this.inst.x;
			this.lastKnownValue2 = this.inst.y;
			break;
		}
		this.inst.set_bbox_changed();
	};
	behinstProto.onSpriteFrameChanged = function (prev_frame, next_frame)
	{
		switch (this.movement) {
		case 2:	// size
			this.initialValue *= (next_frame.width / prev_frame.width);
			this.ratio = next_frame.height / next_frame.width;
			break;
		case 3:	// width
			this.initialValue *= (next_frame.width / prev_frame.width);
			break;
		case 4:	// height
			this.initialValue *= (next_frame.height / prev_frame.height);
			break;
		}
	};
	function Cnds() {};
	Cnds.prototype.IsActive = function ()
	{
		return this.active;
	};
	Cnds.prototype.CompareMovement = function (m)
	{
		return this.movement === m;
	};
	Cnds.prototype.ComparePeriod = function (cmp, v)
	{
		return cr.do_cmp(this.period, cmp, v);
	};
	Cnds.prototype.CompareMagnitude = function (cmp, v)
	{
		if (this.movement === 5)
			return cr.do_cmp(this.mag, cmp, cr.to_radians(v));
		else
			return cr.do_cmp(this.mag, cmp, v);
	};
	Cnds.prototype.CompareWave = function (w)
	{
		return this.wave === w;
	};
	behaviorProto.cnds = new Cnds();
	function Acts() {};
	Acts.prototype.SetActive = function (a)
	{
		this.active = (a === 1);
	};
	Acts.prototype.SetPeriod = function (x)
	{
		this.period = x;
	};
	Acts.prototype.SetMagnitude = function (x)
	{
		this.mag = x;
		if (this.movement === 5)	// angle
			this.mag = cr.to_radians(this.mag);
	};
	Acts.prototype.SetMovement = function (m)
	{
		if (this.movement === 5)
			this.mag = cr.to_degrees(this.mag);
		this.movement = m;
		this.init();
	};
	Acts.prototype.SetWave = function (w)
	{
		this.wave = w;
	};
	behaviorProto.acts = new Acts();
	function Exps() {};
	Exps.prototype.CyclePosition = function (ret)
	{
		ret.set_float(this.i / _2pi);
	};
	Exps.prototype.Period = function (ret)
	{
		ret.set_float(this.period);
	};
	Exps.prototype.Magnitude = function (ret)
	{
		if (this.movement === 5)	// angle
			ret.set_float(cr.to_degrees(this.mag));
		else
			ret.set_float(this.mag);
	};
	Exps.prototype.Value = function (ret)
	{
		ret.set_float(this.waveFunc(this.i) * this.mag);
	};
	behaviorProto.exps = new Exps();
}());
;
;
cr.behaviors.Turret = function(runtime)
{
	this.runtime = runtime;
};
(function ()
{
	var behaviorProto = cr.behaviors.Turret.prototype;
	behaviorProto.Type = function(behavior, objtype)
	{
		this.behavior = behavior;
		this.objtype = objtype;
		this.runtime = behavior.runtime;
	};
	var behtypeProto = behaviorProto.Type.prototype;
	behtypeProto.onCreate = function()
	{
		this.targetTypes = [];						// object types to check for as targets
	};
	behaviorProto.Instance = function(type, inst)
	{
		this.type = type;
		this.behavior = type.behavior;
		this.inst = inst;				// associated object instance to modify
		this.runtime = type.runtime;
	};
	var behinstProto = behaviorProto.Instance.prototype;
	behinstProto.onCreate = function()
	{
		this.range = this.properties[0];
		this.rateOfFire = this.properties[1];
		this.rotateEnabled = (this.properties[2] !== 0);
		this.rotateSpeed = cr.to_radians(this.properties[3]);
		this.targetMode = this.properties[4];		// 0 = first, 1 = nearest
		this.predictiveAim = (this.properties[5] !== 0);
		this.projectileSpeed = this.properties[6];
		this.enabled = (this.properties[7] !== 0);
		this.useCollisionCells = (this.properties[8] !== 0);
		this.lastCheckTime = 0;						// last time checked for targets in range
		this.fireTimeCount = this.rateOfFire;		// counts up to rate of fire before shooting. starts in fully reloaded state
		this.currentTarget = null;					// current target object
		this.loadTargetUid = -1;
		this.oldTargetX = 0;
		this.oldTargetY = 0;
		this.lastSpeeds = [0, 0, 0, 0];
		this.speedsCount = 0;
		this.firstTickWithTarget = true;
		var self = this;
		if (!this.recycled)
		{
			this.myDestroyCallback = function(inst) {
										self.onInstanceDestroyed(inst);
									};
		}
		this.runtime.addDestroyCallback(this.myDestroyCallback);
	};
	behinstProto.saveToJSON = function ()
	{
		var o = {
			"r": this.range,
			"rof": this.rateOfFire,
			"re": this.rotateEnabled,
			"rs": this.rotateSpeed,
			"tm": this.targetMode,
			"pa": this.predictiveAim,
			"ps": this.projectileSpeed,
			"en": this.enabled,
			"lct": this.lastCheckTime,
			"ftc": this.fireTimeCount,
			"target": (this.currentTarget ? this.currentTarget.uid : -1),
			"ox": this.oldTargetX,
			"oy": this.oldTargetY,
			"ls": this.lastSpeeds,
			"sc": this.speedsCount,
			"targs": []
		};
		var i, len;
		for (i = 0, len = this.type.targetTypes.length; i < len; i++)
		{
			o["targs"].push(this.type.targetTypes[i].sid);
		}
		return o;
	};
	behinstProto.loadFromJSON = function (o)
	{
		this.range = o["r"];
		this.rateOfFire = o["rof"];
		this.rotateEnabled = o["re"];
		this.rotateSpeed = o["rs"];
		this.targetMode = o["tm"];
		this.predictiveAim = o["pa"];
		this.projectileSpeed = o["ps"];
		this.enabled = o["en"];
		this.lastCheckTime = o["lct"];
		this.fireTimeCount = o["ftc"] || 0;		// not in <r154
		this.loadTargetUid = o["target"];
		this.oldTargetX = o["ox"];
		this.oldTargetY = o["oy"];
		this.lastSpeeds = o["ls"];
		this.speedsCount = o["sc"];
		this.type.targetTypes.length = 0;
		var i, len, t;
		for (i = 0, len = o["targs"].length; i < len; i++)
		{
			t = this.runtime.getObjectTypeBySid(o["targs"][i]);
			if (t)
				this.type.targetTypes.push(t);
		}
	};
	behinstProto.afterLoad = function ()
	{
		if (this.loadTargetUid === -1)
			this.currentTarget = null;
		else
			this.currentTarget = this.runtime.getObjectByUID(this.loadTargetUid);
	};
	behinstProto.onInstanceDestroyed = function (inst)
	{
		if (this.currentTarget == inst)
			this.currentTarget = null;
	};
	behinstProto.onDestroy = function ()
	{
		this.currentTarget = null;
		this.runtime.removeDestroyCallback(this.myDestroyCallback);
	};
	behinstProto.addSpeed = function (s)
	{
		if (this.speedsCount < 4)
		{
			this.lastSpeeds[this.speedsCount] = s;
			this.speedsCount++;
		}
		else
		{
			this.lastSpeeds.shift();
			this.lastSpeeds.push(s);
		}
	};
	behinstProto.getSpeed = function ()
	{
		var ret = 0;
		var i = 0;
		for ( ; i < this.speedsCount; i++)
		{
			ret += this.lastSpeeds[i];
		}
		return ret / this.speedsCount;
	};
	behinstProto.isInRange = function (obj_)
	{
		var inst = this.inst;
		var dx = obj_.x - inst.x;
		var dy = obj_.y - inst.y;
		return dx * dx + dy * dy <= this.range * this.range;
	};
	var tmpRect = new cr.rect(0, 0, 0, 0);
	var candidates = [];
	behinstProto.lookForFirstTarget = function ()
	{
		var i, len, rinst;
		tmpRect.left = this.inst.x - this.range;
		tmpRect.top = this.inst.y - this.range;
		tmpRect.right = this.inst.x + this.range;
		tmpRect.bottom = this.inst.y + this.range;
		if (this.useCollisionCells)
		{
			this.runtime.getTypesCollisionCandidates(null, this.type.targetTypes, tmpRect, candidates);
		}
		else
		{
			for (i = 0, len = this.type.targetTypes.length; i < len; ++i)
			{
				cr.appendArray(candidates, this.type.targetTypes[i].instances);
			}
		}
		for (i = 0, len = candidates.length; i < len; ++i)
		{
			rinst = candidates[i];
			if (this.isInRange(rinst))
			{
				this.currentTarget = rinst;
				candidates.length = 0;
				return;
			}
		}
		candidates.length = 0;
	};
	behinstProto.lookForNearestTarget = function ()
	{
		var i, len, rinst, dist, dx, dy;
		var myx = this.inst.x;
		var myy = this.inst.y;
		var closest = this.range * this.range;
		this.currentTarget = null;
		tmpRect.left = myx - this.range;
		tmpRect.top = myy - this.range;
		tmpRect.right = myx + this.range;
		tmpRect.bottom = myy + this.range;
		if (this.useCollisionCells)
		{
			this.runtime.getTypesCollisionCandidates(null, this.type.targetTypes, tmpRect, candidates);
		}
		else
		{
			for (i = 0, len = this.type.targetTypes.length; i < len; ++i)
			{
				cr.appendArray(candidates, this.type.targetTypes[i].instances);
			}
		}
		for (i = 0, len = candidates.length; i < len; ++i)
		{
			rinst = candidates[i];
			dx = myx - rinst.x;
			dy = myy - rinst.y;
			dist = dx * dx + dy * dy;
			if (dist < closest)
			{
				this.currentTarget = rinst;
				closest = dist;
			}
		}
		candidates.length = 0;
	};
	behinstProto.tick = function ()
	{
		var dt = this.runtime.getDt(this.inst);
		var nowtime = this.runtime.kahanTime.sum;
		var inst = this.inst;
		if (!this.enabled)
			return;
		if (this.currentTarget && !this.isInRange(this.currentTarget))
		{
			this.currentTarget = null;
			this.speedsCount = 0;
			this.firstTickWithTarget = true;
		}
		if (nowtime >= this.lastCheckTime + 0.1)
		{
			this.lastCheckTime = nowtime;
			if (this.targetMode === 0 && !this.currentTarget)
			{
				this.lookForFirstTarget();
				if (this.currentTarget)
				{
					this.speedsCount = 0;
					this.firstTickWithTarget = true;
					this.oldTargetX = this.currentTarget.x;
					this.oldTargetY = this.currentTarget.y;
					this.runtime.trigger(cr.behaviors.Turret.prototype.cnds.OnTargetAcquired, this.inst);
				}
			}
			else if (this.targetMode === 1)
			{
				var oldTarget = this.currentTarget;
				this.lookForNearestTarget();
				if (this.currentTarget && this.currentTarget !== oldTarget)
				{
					this.speedsCount = 0;
					this.firstTickWithTarget = true;
					this.oldTargetX = this.currentTarget.x;
					this.oldTargetY = this.currentTarget.y;
					this.runtime.trigger(cr.behaviors.Turret.prototype.cnds.OnTargetAcquired, this.inst);
				}
			}
		}
		this.fireTimeCount += dt;
		if (this.currentTarget)
		{
			var targetAngle = cr.angleTo(inst.x, inst.y, this.currentTarget.x, this.currentTarget.y);
			if (this.predictiveAim)
			{
				var Gx = inst.x;
				var Gy = inst.y;
				var Px = this.currentTarget.x;
				var Py = this.currentTarget.y;
				var h = cr.angleTo(Px, Py, this.oldTargetX, this.oldTargetY);
				if (!this.firstTickWithTarget)
					this.addSpeed(cr.distanceTo(Px, Py, this.oldTargetX, this.oldTargetY) / dt);
				var s = this.getSpeed();
				var q = Py - Gy;
				var r = Px - Gx;
				var w = (s * Math.sin(h) * (Gx - Px) - s * Math.cos(h) * (Gy - Py)) / this.projectileSpeed;
				var a = (Math.asin(w / Math.sqrt(q * q + r * r)) - Math.atan2(q, -r)) + Math.PI;
				if (!isNaN(a))
					targetAngle = a;
			}
			if (this.rotateEnabled)
			{
				inst.angle = cr.angleRotate(inst.angle, targetAngle, this.rotateSpeed * dt);
				inst.set_bbox_changed();
			}
			if ((this.fireTimeCount >= this.rateOfFire) &&
				cr.to_degrees(cr.angleDiff(inst.angle, targetAngle)) <= 0.1 &&
				(!this.predictiveAim || this.speedsCount >= 4))
			{
				this.fireTimeCount -= this.rateOfFire;
				if (this.fireTimeCount >= this.rateOfFire)
					this.fireTimeCount = 0;
				this.runtime.trigger(cr.behaviors.Turret.prototype.cnds.OnShoot, this.inst);
			}
			this.oldTargetX = this.currentTarget.x;
			this.oldTargetY = this.currentTarget.y;
			this.firstTickWithTarget = false;
		}
		if (this.fireTimeCount > this.rateOfFire)
			this.fireTimeCount = this.rateOfFire;
	};
	function Cnds() {};
	Cnds.prototype.HasTarget = function ()
	{
		return !!this.currentTarget;
	};
	Cnds.prototype.OnShoot = function ()
	{
		return true;
	};
	Cnds.prototype.OnTargetAcquired = function ()
	{
		return true;
	};
	behaviorProto.cnds = new Cnds();
	function Acts() {};
	Acts.prototype.AcquireTarget = function (obj_)
	{
		if (!obj_)
			return;
		var inst = obj_.getFirstPicked(this.inst);
		if (!inst)
			return;
		if (this.currentTarget !== inst && this.isInRange(inst))
		{
			this.currentTarget = inst;
			this.speedsCount = 0;
			this.firstTickWithTarget = true;
			this.oldTargetX = this.currentTarget.x;
			this.oldTargetY = this.currentTarget.y;
			this.runtime.trigger(cr.behaviors.Turret.prototype.cnds.OnTargetAcquired, this.inst);
		}
	};
	Acts.prototype.AddTarget = function (obj_)
	{
		var targetTypes = this.type.targetTypes;
		if (targetTypes.indexOf(obj_) !== -1)
			return;
		var i, len, t;
		for (i = 0, len = targetTypes.length; i < len; i++)
		{
			t = targetTypes[i];
			if (t.is_family && t.members.indexOf(obj_) !== -1)
				return;
		}
		targetTypes.push(obj_);
	};
	Acts.prototype.ClearTargets = function ()
	{
		this.type.targetTypes.length = 0;
	};
	Acts.prototype.UnacquireTarget = function ()
	{
		this.currentTarget = null;
		this.speedsCount = 0;
		this.firstTickWithTarget = true;
	};
	Acts.prototype.SetEnabled = function (e)
	{
		this.enabled = (e !== 0);
	};
	Acts.prototype.SetRange = function (r)
	{
		this.range = r;
	};
	Acts.prototype.SetRateOfFire = function (r)
	{
		this.rateOfFire = r;
	};
	Acts.prototype.SetRotate = function (r)
	{
		this.rotateEnabled = (r !== 0);
	};
	Acts.prototype.SetRotateSpeed = function (r)
	{
		this.rotateSpeed = cr.to_radians(r);
	};
	Acts.prototype.SetTargetMode = function (s)
	{
		this.targetMode = s;
	};
	Acts.prototype.SetPredictiveAim = function (s)
	{
		this.predictiveAim = (s !== 0);
	};
	Acts.prototype.SetProjectileSpeed = function (s)
	{
		this.projectileSpeed = s;
	};
	behaviorProto.acts = new Acts();
	function Exps() {};
	Exps.prototype.TargetUID = function (ret)
	{
		ret.set_int(this.currentTarget ? this.currentTarget.uid : 0);
	};
	Exps.prototype.Range = function (ret)
	{
		ret.set_float(this.range);
	};
	Exps.prototype.RateOfFire = function (ret)
	{
		ret.set_float(this.rateOfFire);
	};
	Exps.prototype.RotateSpeed = function (ret)
	{
		ret.set_float(cr.to_degrees(this.rotateSpeed));
	};
	behaviorProto.exps = new Exps();
}());
;
;
cr.behaviors.custom = function(runtime)
{
	this.runtime = runtime;
};
(function ()
{
	var behaviorProto = cr.behaviors.custom.prototype;
	behaviorProto.Type = function(behavior, objtype)
	{
		this.behavior = behavior;
		this.objtype = objtype;
		this.runtime = behavior.runtime;
	};
	var behtypeProto = behaviorProto.Type.prototype;
	behtypeProto.onCreate = function()
	{
	};
	behaviorProto.Instance = function(type, inst)
	{
		this.type = type;
		this.behavior = type.behavior;
		this.inst = inst;
		this.runtime = type.runtime;
		this.dx = 0;
		this.dy = 0;
		this.cancelStep = 0;
	};
	var behinstProto = behaviorProto.Instance.prototype;
	behinstProto.onCreate = function()
	{
		this.stepMode = this.properties[0];	// 0=None, 1=Linear, 2=Horizontal then vertical, 3=Vertical then horizontal
		this.pxPerStep = this.properties[1];
		this.enabled = (this.properties[2] !== 0);
	};
	behinstProto.saveToJSON = function ()
	{
		return {
			"dx": this.dx,
			"dy": this.dy,
			"cancelStep": this.cancelStep,
			"enabled": this.enabled,
			"stepMode": this.stepMode,
			"pxPerStep": this.pxPerStep
		};
	};
	behinstProto.loadFromJSON = function (o)
	{
		this.dx = o["dx"];
		this.dy = o["dy"];
		this.cancelStep = o["cancelStep"];
		this.enabled = o["enabled"];
		this.stepMode = o["stepMode"];
		this.pxPerStep = o["pxPerStep"];
	};
	behinstProto.getSpeed = function ()
	{
		return Math.sqrt(this.dx * this.dx + this.dy * this.dy);
	};
	behinstProto.getAngle = function ()
	{
		return Math.atan2(this.dy, this.dx);
	};
	function sign(x)
	{
		if (x === 0)
			return 0;
		else if (x < 0)
			return -1;
		else
			return 1;
	};
	behinstProto.step = function (x, y, trigmethod)
	{
		if (x === 0 && y === 0)
			return;
		var startx = this.inst.x;
		var starty = this.inst.y;
		var sx, sy, prog;
		var steps = Math.round(Math.sqrt(x * x + y * y) / this.pxPerStep);
		if (steps === 0)
			steps = 1;
		var i;
		for (i = 1; i <= steps; i++)
		{
			prog = i / steps;
			this.inst.x = startx + x * prog;
			this.inst.y = starty + y * prog;
			this.inst.set_bbox_changed();
			this.runtime.trigger(trigmethod, this.inst);
			if (this.cancelStep === 1)
			{
				i--;
				prog = i / steps;
				this.inst.x = startx + x * prog;
				this.inst.y = starty + y * prog;
				this.inst.set_bbox_changed();
				return;
			}
			else if (this.cancelStep === 2)
			{
				return;
			}
		}
	};
	behinstProto.tick = function ()
	{
		var dt = this.runtime.getDt(this.inst);
		var mx = this.dx * dt;
		var my = this.dy * dt;
		var i, steps;
		if ((this.dx === 0 && this.dy === 0) || !this.enabled)
			return;
		this.cancelStep = 0;
		if (this.stepMode === 0)		// none
		{
			this.inst.x += mx;
			this.inst.y += my;
		}
		else if (this.stepMode === 1)	// linear
		{
			this.step(mx, my, cr.behaviors.custom.prototype.cnds.OnCMStep);
		}
		else if (this.stepMode === 2)	// horizontal then vertical
		{
			this.step(mx, 0, cr.behaviors.custom.prototype.cnds.OnCMHorizStep);
			this.cancelStep = 0;
			this.step(0, my, cr.behaviors.custom.prototype.cnds.OnCMVertStep);
		}
		else if (this.stepMode === 3)	// vertical then horizontal
		{
			this.step(0, my, cr.behaviors.custom.prototype.cnds.OnCMVertStep);
			this.cancelStep = 0;
			this.step(mx, 0, cr.behaviors.custom.prototype.cnds.OnCMHorizStep);
		}
		this.inst.set_bbox_changed();
	};
	function Cnds() {};
	Cnds.prototype.IsMoving = function ()
	{
		return this.dx != 0 || this.dy != 0;
	};
	Cnds.prototype.CompareSpeed = function (axis, cmp, s)
	{
		var speed;
		switch (axis) {
		case 0:		speed = this.getSpeed();	break;
		case 1:		speed = this.dx;			break;
		case 2:		speed = this.dy;			break;
		}
		return cr.do_cmp(speed, cmp, s);
	};
	Cnds.prototype.OnCMStep = function ()
	{
		return true;
	};
	Cnds.prototype.OnCMHorizStep = function ()
	{
		return true;
	};
	Cnds.prototype.OnCMVertStep = function ()
	{
		return true;
	};
	behaviorProto.cnds = new Cnds();
	function Acts() {};
	Acts.prototype.Stop = function ()
	{
		this.dx = 0;
		this.dy = 0;
	};
	Acts.prototype.Reverse = function (axis)
	{
		switch (axis) {
		case 0:
			this.dx *= -1;
			this.dy *= -1;
			break;
		case 1:
			this.dx *= -1;
			break;
		case 2:
			this.dy *= -1;
			break;
		}
	};
	Acts.prototype.SetSpeed = function (axis, s)
	{
		var a;
		switch (axis) {
		case 0:
			a = this.getAngle();
			this.dx = Math.cos(a) * s;
			this.dy = Math.sin(a) * s;
			break;
		case 1:
			this.dx = s;
			break;
		case 2:
			this.dy = s;
			break;
		}
	};
	Acts.prototype.Accelerate = function (axis, acc)
	{
		var dt = this.runtime.getDt(this.inst);
		var ds = acc * dt;
		var a;
		switch (axis) {
		case 0:
			a = this.getAngle();
			this.dx += Math.cos(a) * ds;
			this.dy += Math.sin(a) * ds;
			break;
		case 1:
			this.dx += ds;
			break;
		case 2:
			this.dy += ds;
			break;
		}
	};
	Acts.prototype.AccelerateAngle = function (acc, a_)
	{
		var dt = this.runtime.getDt(this.inst);
		var ds = acc * dt;
		var a = cr.to_radians(a_);
		this.dx += Math.cos(a) * ds;
		this.dy += Math.sin(a) * ds;
	};
	Acts.prototype.AcceleratePos = function (acc, x, y)
	{
		var dt = this.runtime.getDt(this.inst);
		var ds = acc * dt;
		var a = Math.atan2(y - this.inst.y, x - this.inst.x);
		this.dx += Math.cos(a) * ds;
		this.dy += Math.sin(a) * ds;
	};
	Acts.prototype.SetAngleOfMotion = function (a_)
	{
		var a = cr.to_radians(a_);
		var s = this.getSpeed();
		this.dx = Math.cos(a) * s;
		this.dy = Math.sin(a) * s;
	};
	Acts.prototype.RotateAngleOfMotionClockwise = function (a_)
	{
		var a = this.getAngle() + cr.to_radians(a_);
		var s = this.getSpeed();
		this.dx = Math.cos(a) * s;
		this.dy = Math.sin(a) * s;
	};
	Acts.prototype.RotateAngleOfMotionCounterClockwise = function (a_)
	{
		var a = this.getAngle() - cr.to_radians(a_);
		var s = this.getSpeed();
		this.dx = Math.cos(a) * s;
		this.dy = Math.sin(a) * s;
	};
	Acts.prototype.StopStepping = function (mode)
	{
		this.cancelStep = mode + 1;
	};
	Acts.prototype.PushOutSolid = function (mode)
	{
		var a, ux, uy;
		switch (mode) {
		case 0:
			a = this.getAngle();
			ux = Math.cos(a);
			uy = Math.sin(a);
			this.runtime.pushOutSolid(this.inst, -ux, -uy, Math.max(this.getSpeed() * 3, 100));
			break;
		case 1:
			this.runtime.pushOutSolidNearest(this.inst);
			break;
		case 2:
			this.runtime.pushOutSolid(this.inst, 0, -1, Math.max(Math.abs(this.dy) * 3, 100));
			break;
		case 3:
			this.runtime.pushOutSolid(this.inst, 0, 1, Math.max(Math.abs(this.dy) * 3, 100));
			break;
		case 4:
			this.runtime.pushOutSolid(this.inst, -1, 0, Math.max(Math.abs(this.dx) * 3, 100));
			break;
		case 5:
			this.runtime.pushOutSolid(this.inst, 1, 0, Math.max(Math.abs(this.dx) * 3, 100));
			break;
		}
	};
	Acts.prototype.PushOutSolidAngle = function (a)
	{
		a = cr.to_radians(a);
		var ux = Math.cos(a);
		var uy = Math.sin(a);
		this.runtime.pushOutSolid(this.inst, ux, uy, Math.max(this.getSpeed() * 3, 100));
	};
	Acts.prototype.SetEnabled = function (en)
	{
		this.enabled = (en === 1);
	};
	behaviorProto.acts = new Acts();
	function Exps() {};
	Exps.prototype.Speed = function (ret)
	{
		ret.set_float(this.getSpeed());
	};
	Exps.prototype.MovingAngle = function (ret)
	{
		ret.set_float(cr.to_degrees(this.getAngle()));
	};
	Exps.prototype.dx = function (ret)
	{
		ret.set_float(this.dx);
	};
	Exps.prototype.dy = function (ret)
	{
		ret.set_float(this.dy);
	};
	behaviorProto.exps = new Exps();
}());
var easeOutBounceArray = [];
var easeInElasticArray = [];
var easeOutElasticArray = [];
var easeInOutElasticArray = [];
var easeInCircle = [];
var easeOutCircle = [];
var easeInOutCircle = [];
var easeOutBack = [];
var easeInOutBack = [];
var litetween_precision = 10000;
var updateLimit = 0; //0.0165;
function easeOutBounce(t,b,c,d) {
	if ((t/=d) < (1/2.75)) {
		return c*(7.5625*t*t) + b;
	} else if (t < (2/2.75)) {
		return c*(7.5625*(t-=(1.5/2.75))*t + .75) + b;
	} else if (t < (2.5/2.75)) {
		return c*(7.5625*(t-=(2.25/2.75))*t + .9375) + b;
	} else {
		return c*(7.5625*(t-=(2.625/2.75))*t + .984375) + b;
	}
}
function integerize(t, d)
{
  return Math.round(t/d*litetween_precision);
}
function easeFunc(easing, t, b, c, d)
{
  switch (easing) {
	case 0:		// linear
		return c*t/d + b;
	case 1:		// easeInQuad
		return c*(t/=d)*t + b;
	case 2:		// easeOutQuad
		return -c *(t/=d)*(t-2) + b;
	case 3:		// easeInOutQuad
		if ((t/=d/2) < 1) return c/2*t*t + b;
		return -c/2 * ((--t)*(t-2) - 1) + b;
	case 4:		// easeInCubic
		return c*(t/=d)*t*t + b;
	case 5:		// easeOutCubic
		return c*((t=t/d-1)*t*t + 1) + b;
	case 6:		// easeInOutCubic
		if ((t/=d/2) < 1)
			return c/2*t*t*t + b;
		return c/2*((t-=2)*t*t + 2) + b;
	case 7:		// easeInQuart
		return c*(t/=d)*t*t*t + b;
	case 8:		// easeOutQuart
		return -c * ((t=t/d-1)*t*t*t - 1) + b;
	case 9:		// easeInOutQuart
		if ((t/=d/2) < 1) return c/2*t*t*t*t + b;
		return -c/2 * ((t-=2)*t*t*t - 2) + b;
	case 10:		// easeInQuint
		return c*(t/=d)*t*t*t*t + b;
	case 11:		// easeOutQuint
		return c*((t=t/d-1)*t*t*t*t + 1) + b;
	case 12:		// easeInOutQuint
		if ((t/=d/2) < 1) return c/2*t*t*t*t*t + b;
		return c/2*((t-=2)*t*t*t*t + 2) + b;
	case 13:		// easeInCircle
		return easeInCircle[integerize(t,d)];
	case 14:		// easeOutCircle
		return easeOutCircle[integerize(t,d)];;
	case 15:		// easeInOutCircle
		return easeInOutCircle[integerize(t,d)];;
	case 16:		// easeInBack
		var s = 0;
		if (s==0) s = 1.70158;
		return c*(t/=d)*t*((s+1)*t - s) + b;
	case 17:		// easeOutBack
		return easeOutBack[integerize(t,d)];
	case 18:		// easeInOutBack
		return easeInOutBack[integerize(t,d)];
	case 19:	//easeInElastic
		return easeInElasticArray[integerize(t, d)];
	case 20:	//easeOutElastic
    return easeOutElasticArray[integerize(t,d)];
	case 21:	//easeInOutElastic
    return easeInOutElasticArray[integerize(t,d)];
	case 22:	//easeInBounce
		return c - easeOutBounceArray[integerize(d-t, d)] + b;
	case 23:	//easeOutBounce
		return easeOutBounceArray[integerize(t, d)];
	case 24:	//easeInOutBounce
		if (t < d/2)
      return (c - easeOutBounceArray[integerize(d-(t*2), d)] + b) * 0.5 +b;
		else
      return easeOutBounceArray[integerize(t*2-d, d)] * .5 + c*.5 + b;
	case 25:	//easeInSmoothstep
		var mt = (t/d) / 2;
		return (2*(mt * mt * (3 - 2*mt)));
	case 26:	//easeOutSmoothstep
		var mt = ((t/d) + 1) / 2;
		return ((2*(mt * mt * (3 - 2*mt))) - 1);
	case 27:	//easeInOutSmoothstep
		var mt = (t / d);
		return (mt * mt * (3 - 2*mt));
	};
	return 0;
};
(function preCalculateArray() {
  var d = 1.0;
  var b = 0.0;
  var c = 1.0;
  var result = 0.0;
  var a = 0;
  var p = 0;
  var t = 0;
  var s = 0;
  for (var ti = 0; ti <= litetween_precision; ti++) {
    t = ti/litetween_precision;
  	if ((t/=d) < (1/2.75)) {
  		result = c*(7.5625*t*t) + b;
  	} else if (t < (2/2.75)) {
  		result = c*(7.5625*(t-=(1.5/2.75))*t + .75) + b;
  	} else if (t < (2.5/2.75)) {
  		result = c*(7.5625*(t-=(2.25/2.75))*t + .9375) + b;
  	} else {
  		result = c*(7.5625*(t-=(2.625/2.75))*t + .984375) + b;
  	}
    easeOutBounceArray[ti] = easeOutBounce(ti/litetween_precision, b, c, d);
    t = ti/litetween_precision; a = 0; p = 0;
    if (t==0) result = b; if ((t/=d)==1) result = b+c;
    if (p==0) p=d*.3;	if (a==0 || a < Math.abs(c)) { a=c; var s=p/4; }
    else var s = p/(2*Math.PI) * Math.asin (c/a);
		result = -(a*Math.pow(2,10*(t-=1)) * Math.sin( (t*d-s)*(2*Math.PI)/p )) + b;
    easeInElasticArray[ti] = result;
    t = ti/litetween_precision; a = 0; p = 0;
		if (t==0) result= b;  if ((t/=d)==1) result= b+c;  if (p == 0) p=d*.3;
		if (a==0 || a < Math.abs(c)) { a=c; var s=p/4; }
		else var s = p/(2*Math.PI) * Math.asin (c/a);
		result= (a*Math.pow(2,-10*t) * Math.sin( (t*d-s)*(2*Math.PI)/p ) + c + b);
    easeOutElasticArray[ti] = result;
    t = ti/litetween_precision; a = 0; p = 0;
		if (t==0) result = b;
		if ((t/=d/2)==2) result = b+c;
		if (p==0) p=d*(.3*1.5);
		if (a==0 || a < Math.abs(c)) { a=c; var s=p/4; }
		else var s = p/(2*Math.PI) * Math.asin (c/a);
		if (t < 1)
      result = -.5*(a*Math.pow(2,10*(t-=1)) * Math.sin( (t*d-s)*(2*Math.PI)/p )) + b
    else
		  result = a*Math.pow(2,-10*(t-=1)) * Math.sin( (t*d-s)*(2*Math.PI)/p )*.5 + c + b;
    easeInOutElasticArray[ti] = result;
    t = ti/litetween_precision; easeInCircle[ti] = -(Math.sqrt(1-t*t) - 1);
    t = ti/litetween_precision; easeOutCircle[ti] = Math.sqrt(1 - ((t-1)*(t-1)));
    t = ti/litetween_precision;
		if ((t/=d/2) < 1) result = -c/2 * (Math.sqrt(1 - t*t) - 1) + b
    else result = c/2 * (Math.sqrt(1 - (t-=2)*t) + 1) + b;
    easeInOutCircle[ti] = result;
    t = ti/litetween_precision; s = 0;
		if (s==0) s = 1.70158;
		result = c*((t=t/d-1)*t*((s+1)*t + s) + 1) + b;
    easeOutBack[ti] = result;
    t = ti/litetween_precision; s = 0; if (s==0) s = 1.70158;
		if ((t/=d/2) < 1) result = c/2*(t*t*(((s*=(1.525))+1)*t - s)) + b;
		result = c/2*((t-=2)*t*(((s*=(1.525))+1)*t + s) + 2) + b;
    easeInOutBack[ti] = result;
	}
}())
var TweenObject = function()
{
	var constructor = function (tname, tweened, easefunc, initial, target, duration, enforce)
	{
    this.name = tname;
    this.value = 0;
    this.setInitial(initial);
    this.setTarget(target);
    this.easefunc = easefunc;
    this.tweened = tweened;
    this.duration = duration;
    this.progress = 0;
    this.state = 0;
    this.onStart = false;
    this.onEnd = false;
    this.onReverseStart = false;
    this.onReverseEnd = false;
    this.lastKnownValue = 0;
    this.lastKnownValue2 = 0;
    this.enforce = enforce;
    this.pingpong = 1.0;
	}
	return constructor;
}();
(function () {
	TweenObject.prototype = {
	};
  TweenObject.prototype.setInitial = function (initial)
  {
    this.initialparam1 = parseFloat(initial.split(",")[0]);
    this.initialparam2 = parseFloat(initial.split(",")[1]);
		this.lastKnownValue = 0;
		this.lastKnownValue2 = 0;
  }
  TweenObject.prototype.setTarget = function (target)
  {
    this.targetparam1 = parseFloat(target.split(",")[0]);
    this.targetparam2 = parseFloat(target.split(",")[1]);
    if (isNaN(this.targetparam2)) this.targetparam2 = this.targetparam1;
  }
  TweenObject.prototype.OnTick = function(dt)
  {
    if (this.state === 0) return -1.0;
    if (this.state === 1)
      this.progress += dt;
    if (this.state === 2)
      this.progress -= dt;
    if (this.state === 3) {
      this.state = 0;
    }
    if (this.state === 4) {
      this.progress += dt * this.pingpong;
    }
    if (this.state === 5) {
      this.progress += dt * this.pingpong;
    }
    if (this.progress < 0) {
      this.progress = 0;
      if (this.state !== 4) {
        this.state = 0;
      } else {
        this.pingpong = 1;
      }
      this.onReverseEnd = true;
      return 0.0;
    } else if (this.progress > this.duration) {
      this.progress = this.duration;
      if (this.state === 4) {
        this.pingpong = -1;
      } else if (this.state === 5) {
        this.progress = 0.0;
      } else {
        this.state = 0;
      }
      this.onEnd = true;
      return 1.0;
    } else {
      var factor = easeFunc(this.easefunc, this.progress, 0, 1, this.duration);
      return factor;
    }
  };
}());
;
;
function trim (str) {
    return str.replace(/^\s\s*/, '').replace(/\s\s*$/, '');
}
cr.behaviors.lunarray_LiteTween = function(runtime)
{
	this.runtime = runtime;
};
(function ()
{
	var behaviorProto = cr.behaviors.lunarray_LiteTween.prototype;
	behaviorProto.Type = function(behavior, objtype)
	{
		this.behavior = behavior;
		this.objtype = objtype;
		this.runtime = behavior.runtime;
	};
	var behtypeProto = behaviorProto.Type.prototype;
	behtypeProto.onCreate = function()
	{
	};
	behaviorProto.Instance = function(type, inst)
	{
		this.type = type;
		this.behavior = type.behavior;
		this.inst = inst;				// associated object instance to modify
		this.runtime = type.runtime;
		this.i = 0;		// progress
	};
	var behinstProto = behaviorProto.Instance.prototype;
	behinstProto.onCreate = function()
	{
    this.playmode = this.properties[0];
    this.active = (this.playmode == 1) || (this.playmode == 2) || (this.playmode == 4) || (this.playmode == 5);
		this.tweened = this.properties[1]; // 0=Position|1=Size|2=Width|3=Height|4=Angle|5=Opacity|6=Value only|7=Horizontal|8=Vertical
		this.easing = this.properties[2];
		this.target = this.properties[3];
		this.targetmode = this.properties[4];
    if (this.targetmode === 1) this.target = "relative("+this.target+")";
		this.duration = this.properties[5];
		this.enforce = (this.properties[6] === 1);
    this.value = 0;
    this.tween_list = {};
    this.addToTweenList("default", this.tweened, this.easing, "current", this.target, this.duration, this.enforce);
    if (this.properties[0] === 1) this.startTween(0)
    if (this.properties[0] === 2) this.startTween(2)
    if (this.properties[0] === 3) this.startTween(3)
	};
	behinstProto.parseCurrent = function(tweened, parseText)
  {
    if (parseText === undefined) parseText = "current";
    var parsed = trim(parseText);
    parseText = trim(parseText);
    var value = this.value;
    if (parseText === "current") {
      switch (tweened) {
        case 0: parsed = this.inst.x + "," + this.inst.y; break;
        case 1: parsed = this.inst.width + "," + this.inst.height; break;
        case 2: parsed = this.inst.width + "," + this.inst.height; break;
        case 3: parsed = this.inst.width + "," + this.inst.height; break;
        case 4: parsed = cr.to_degrees(this.inst.angle) + "," + cr.to_degrees(this.inst.angle); break;
        case 5: parsed = (this.inst.opacity*100) + "," + (this.inst.opacity*100); break;
        case 6: parsed = value + "," + value; break;
        case 7: parsed = this.inst.x + "," + this.inst.y; break;
        case 8: parsed = this.inst.x + "," + this.inst.y; break;
        default:  break;
      }
    }
    if (parseText.substring(0,8) === "relative") {
      var param1 = parseText.match(/\((.*?)\)/);
      if (param1) {
        var relativex = parseFloat(param1[1].split(",")[0]);
        var relativey = parseFloat(param1[1].split(",")[1]);
      }
      if (isNaN(relativex)) relativex = 0;
      if (isNaN(relativey)) relativey = 0;
      switch (tweened) {
        case 0: parsed = (this.inst.x+relativex) + "," + (this.inst.y+relativey); break;
        case 1: parsed = (this.inst.width+relativex) + "," + (this.inst.height+relativey); break;
        case 2: parsed = (this.inst.width+relativex) + "," + (this.inst.height+relativey); break;
        case 3: parsed = (this.inst.width+relativex) + "," + (this.inst.height+relativey); break;
        case 4: parsed = (cr.to_degrees(this.inst.angle)+relativex) + "," + (cr.to_degrees(this.inst.angle)+relativey); break;
        case 5: parsed = (this.inst.opacity*100+relativex) + "," + (this.inst.opacity*100+relativey); break;
        case 6: parsed = value+relativex + "," + value+relativex; break;
        case 7: parsed = (this.inst.x+relativex) + "," + (this.inst.y); break;
        case 8: parsed = (this.inst.x) + "," + (this.inst.y+relativex); break;
        default:  break;
      }
    }
    return parsed;
  };
	behinstProto.addToTweenList = function(tname, tweened, easing, init, targ, duration, enforce)
  {
    init = this.parseCurrent(tweened, init);
    targ = this.parseCurrent(tweened, targ);
    if (this.tween_list[tname] !== undefined) {
      delete this.tween_list[tname]
    }
    this.tween_list[tname] = new TweenObject(tname, tweened, easing, init, targ, duration, enforce);
  };
	behinstProto.saveToJSON = function ()
	{
	};
	behinstProto.loadFromJSON = function (o)
	{
	};
	behinstProto.setProgressTo = function (mark)
	{
    if (mark > 1.0) mark = 1.0;
    if (mark < 0.0) mark = 0.0;
    for (var i in this.tween_list) {
      var inst = this.tween_list[i];
      inst.lastKnownValue = 0;
      inst.lastKnownValue2 = 0;
      inst.state = 3;
      inst.progress = mark * inst.duration;
      var factor = inst.OnTick(0);
      this.updateTween(inst, factor);
    }
  }
	behinstProto.startTween = function (startMode)
	{
    for (var i in this.tween_list) {
      var inst = this.tween_list[i];
      if (startMode === 0) {
        inst.progress = 0.000001;
        inst.lastKnownValue = 0;
        inst.lastKnownValue2 = 0;
        inst.onStart = true;
        inst.state = 1;
      }
      if (startMode === 1) {
        inst.state = 1;
      }
      if (startMode === 2) {
        inst.progress = 0.000001;
        inst.lastKnownValue = 0;
        inst.lastKnownValue2 = 0;
        inst.onStart = true;
        inst.state = 4;
      }
      if (startMode === 3) {
        inst.progress = 0.000001;
        inst.lastKnownValue = 0;
        inst.lastKnownValue2 = 0;
        inst.onStart = true;
        inst.state = 5;
      }
    }
  }
	behinstProto.stopTween = function (stopMode)
	{
    for (var i in this.tween_list) {
      var inst = this.tween_list[i];
      if (stopMode === 1) inst.progress = 0.0;
      if (stopMode === 2) inst.progress = inst.duration;
      inst.state = 3;
      var factor = inst.OnTick(0);
      this.updateTween(inst, factor);
    }
  }
	behinstProto.reverseTween = function(reverseMode)
	{
    for (var i in this.tween_list) {
      var inst = this.tween_list[i];
      if (reverseMode === 1) {
        inst.progress = inst.duration;
        inst.lastKnownValue = 0;
        inst.lastKnownValue2 = 0;
        inst.onReverseStart = true;
      }
      inst.state = 2;
    }
  }
	behinstProto.updateTween = function (inst, factor)
	{
    if (inst.tweened === 0) {
      if (inst.enforce) {
	      this.inst.x = inst.initialparam1 + (inst.targetparam1 - inst.initialparam1) * factor;
        this.inst.y = inst.initialparam2 + (inst.targetparam2 - inst.initialparam2) * factor;
      } else {
        this.inst.x += ((inst.targetparam1 - inst.initialparam1) * factor) - inst.lastKnownValue;
        this.inst.y += ((inst.targetparam2 - inst.initialparam2) * factor) - inst.lastKnownValue2;
        inst.lastKnownValue = ((inst.targetparam1 - inst.initialparam1) * factor);
        inst.lastKnownValue2 = ((inst.targetparam2 - inst.initialparam2) * factor);
      }
    } else if (inst.tweened === 1) {
      if (inst.enforce) {
  			this.inst.width = inst.initialparam1 + (inst.targetparam1 - inst.initialparam1) * factor;
	   		this.inst.height = inst.initialparam2 + (inst.targetparam2 - inst.initialparam2) * factor;
      } else {
      	this.inst.width += ((inst.targetparam1 - inst.initialparam1) * factor) - inst.lastKnownValue;
      	this.inst.height += ((inst.targetparam2 - inst.initialparam2) * factor) - inst.lastKnownValue2;
        inst.lastKnownValue = ((inst.targetparam1 - inst.initialparam1) * factor);
        inst.lastKnownValue2 = ((inst.targetparam2 - inst.initialparam2) * factor);
      }
    } else if (inst.tweened === 2) {
      if (inst.enforce) {
      	this.inst.width = inst.initialparam1 + ((inst.targetparam1 - inst.initialparam1) * factor);
      } else {
      	this.inst.width += ((inst.targetparam1 - inst.initialparam1) * factor) - inst.lastKnownValue;
        inst.lastKnownValue = ((inst.targetparam1 - inst.initialparam1) * factor);
      }
    } else if (inst.tweened === 3) {
      if (inst.enforce) {
      	this.inst.height = inst.initialparam2 + ((inst.targetparam2 - inst.initialparam2) * factor);
      } else {
      	this.inst.height += ((inst.targetparam2 - inst.initialparam2) * factor) - inst.lastKnownValue2;
        inst.lastKnownValue2 = ((inst.targetparam2 - inst.initialparam2) * factor);
      }
    } else if (inst.tweened === 4) {
      if (inst.enforce) {
  		  var tangle = inst.initialparam1 + (inst.targetparam1 - inst.initialparam1) * factor;
  		  this.inst.angle = cr.clamp_angle(cr.to_radians(tangle));
      } else {
  		  var tangle = ((inst.targetparam1 - inst.initialparam1) * factor) - inst.lastKnownValue;
  		  this.inst.angle = cr.clamp_angle(this.inst.angle + cr.to_radians(tangle));
        inst.lastKnownValue = (inst.targetparam1 - inst.initialparam1) * factor;
      }
    } else if (inst.tweened === 5) {
      if (inst.enforce) {
  		  this.inst.opacity = (inst.initialparam1 + (inst.targetparam1 - inst.initialparam1) * factor) / 100;
      } else {
  		  this.inst.opacity += (((inst.targetparam1 - inst.initialparam1) * factor) - inst.lastKnownValue) / 100;
        inst.lastKnownValue = ((inst.targetparam1 - inst.initialparam1) * factor);
      }
    } else if (inst.tweened === 6) {
      if (inst.enforce) {
  		  this.value = (inst.initialparam1 + (inst.targetparam1 - inst.initialparam1) * factor);
      } else {
  		  this.value += (((inst.targetparam1 - inst.initialparam1) * factor) - inst.lastKnownValue);
        inst.lastKnownValue = ((inst.targetparam1 - inst.initialparam1) * factor);
      }
    } else if (inst.tweened === 7) {
      if (inst.enforce) {
	      this.inst.x = inst.initialparam1 + (inst.targetparam1 - inst.initialparam1) * factor;
      } else {
        this.inst.x += ((inst.targetparam1 - inst.initialparam1) * factor) - inst.lastKnownValue;
        inst.lastKnownValue = ((inst.targetparam1 - inst.initialparam1) * factor);
      }
    } else if (inst.tweened === 8) {
      if (inst.enforce) {
        this.inst.y = inst.initialparam2 + (inst.targetparam2 - inst.initialparam2) * factor;
      } else {
        this.inst.y += ((inst.targetparam2 - inst.initialparam2) * factor) - inst.lastKnownValue2;
        inst.lastKnownValue2 = ((inst.targetparam2 - inst.initialparam2) * factor);
      }
    }
    this.inst.set_bbox_changed();
  }
	behinstProto.tick = function ()
	{
		var dt = this.runtime.getDt(this.inst);
    var inst = this.tween_list["default"];
    if (inst.state !== 0) {
      if (inst.onStart) {
  			this.runtime.trigger(cr.behaviors.lunarray_LiteTween.prototype.cnds.OnStart, this.inst);
        inst.onStart = false;
      }
      if (inst.onReverseStart) {
  		  this.runtime.trigger(cr.behaviors.lunarray_LiteTween.prototype.cnds.OnReverseStart, this.inst);
        inst.onReverseStart = false;
      }
      this.active = (inst.state == 1) || (inst.state == 2) || (inst.state == 4) || (inst.state == 5);
      var factor = inst.OnTick(dt);
      this.updateTween(inst, factor);
      if (inst.onEnd) {
  		  this.runtime.trigger(cr.behaviors.lunarray_LiteTween.prototype.cnds.OnEnd, this.inst);
        inst.onEnd = false;
      }
      if (inst.onReverseEnd) {
  		  this.runtime.trigger(cr.behaviors.lunarray_LiteTween.prototype.cnds.OnReverseEnd, this.inst);
        inst.onReverseEnd = false;
      }
    }
	};
	behaviorProto.cnds = {};
	var cnds = behaviorProto.cnds;
	cnds.IsActive = function ()
	{
		return (this.tween_list["default"].state !== 0);
	};
	cnds.CompareProgress = function (cmp, v)
	{
    var inst = this.tween_list["default"];
		return cr.do_cmp((inst.progress / inst.duration), cmp, v);
	};
	cnds.OnStart = function ()
	{
    if (this.tween_list["default"] === undefined)
      return false;
    return this.tween_list["default"].onStart;
	};
	cnds.OnReverseStart = function ()
	{
    if (this.tween_list["default"] === undefined)
      return false;
    return this.tween_list["default"].onReverseStart;
	};
  cnds.OnEnd = function ()
	{
    if (this.tween_list["default"] === undefined)
      return false;
    return this.tween_list["default"].onEnd;
	};
  cnds.OnReverseEnd = function ()
	{
    if (this.tween_list["default"] === undefined)
      return false;
    return this.tween_list["default"].onReverseEnd;
	};
	behaviorProto.acts = {};
	var acts = behaviorProto.acts;
	acts.Start = function (startmode)
	{
    this.startTween(startmode);
	};
	acts.Stop = function (stopmode)
	{
    this.stopTween(stopmode);
	};
	acts.Reverse = function (revMode)
	{
    this.reverseTween(revMode);
	};
 	acts.ProgressTo = function (progress)
	{
    this.setProgressTo(progress);
	};
	acts.SetDuration = function (x)
	{
    if (isNaN(x)) return;
    if (x < 0) return;
    if (this.tween_list["default"] === undefined) return;
		this.tween_list["default"].duration = x;
	};
	acts.SetEnforce = function (x)
	{
    if (this.tween_list["default"] === undefined) return;
		this.tween_list["default"].enforce = (x===1);
	};
	acts.SetInitial = function (x)
	{
    if (this.tween_list["default"] === undefined) return;
    var init = this.parseCurrent(this.tween_list["default"].tweened, x);
		this.tween_list["default"].setInitial(init);
	};
	acts.SetTarget = function (targettype, absrel, x)
	{
    if (this.tween_list["default"] === undefined) return;
    if (isNaN(x)) return;
    var parsed = x + "";
    var inst = this.tween_list["default"];
    this.targetmode = absrel;
    if (absrel === 1) {
      switch (targettype) {
        case 0: parsed = (this.inst.x + x) + "," + inst.targetparam2; break;
        case 1: parsed = inst.targetparam1 + "," + (this.inst.y + x); break;
        case 2: parsed = "" + cr.to_degrees(this.inst.angle + cr.to_radians(x)); break; //angle
        case 3: parsed = "" + (this.inst.opacity*100) + x; break; //opacity
        case 4: parsed = (this.inst.width + x) + "," + inst.targetparam2; break; //width
        case 5: parsed = inst.targetparam1 + "," + (this.inst.height + x); break; //height
        case 6: parsed = x + "," + x; break; //value
        default:  break;
      }
    } else {
      switch (targettype) {
        case 0: parsed = x + "," + inst.targetparam2; break;
        case 1: parsed = inst.targetparam1 + "," + x; break;
        case 2: parsed = x+","+x; break; //angle
        case 3: parsed = x+","+x; break; //opacity
        case 4: parsed = x + "," + inst.targetparam2; break; //width
        case 5: parsed = inst.targetparam1 + "," + x; break; //height
        case 6: parsed = x + "," + x; break; //value
        default:  break;
      }
    }
    var init = this.parseCurrent(this.tween_list["default"].tweened, "current");
    var targ = this.parseCurrent(this.tween_list["default"].tweened, parsed);
 		inst.setInitial(init);
 		inst.setTarget(targ);
	};
	acts.SetTweenedProperty = function (x)
	{
    if (this.tween_list["default"] === undefined) return;
		this.tween_list["default"].tweened = x;
	};
	acts.SetEasing = function (x)
	{
    if (this.tween_list["default"] === undefined) return;
		this.tween_list["default"].easefunc = x;
	};
 	acts.SetValue = function (x)
	{
    var inst = this.tween_list["default"];
		this.value = x;
    if (inst.tweened === 6)
      inst.setInitial( this.parseCurrent(inst.tweened, "current") );
	};
	acts.SetParameter = function (tweened, easefunction, target, duration, enforce)
	{
    if (this.tween_list["default"] === undefined) {
      this.addToTweenList("default", tweened, easefunction, initial, target, duration, enforce);
    } else {
      var inst = this.tween_list["default"];
      inst.tweened = tweened;
  		inst.easefunc = easefunction;
      inst.setInitial( this.parseCurrent(tweened, "current") );
      inst.setTarget( this.parseCurrent(tweened, target) );
      inst.duration = duration;
      inst.enforce = (enforce === 1);
    }
	};
	behaviorProto.exps = {};
	var exps = behaviorProto.exps;
	exps.Progress = function (ret)
	{
    var progress = this.tween_list["default"].progress/this.tween_list["default"].duration;
    ret.set_float(progress);
	};
	exps.Duration = function (ret)
	{
    ret.set_float(this.tween_list["default"].duration);
	};
	exps.Target = function (ret)
	{
    var inst = this.tween_list["default"];
    var parsed = "N/A";
    switch (inst.tweened) {
      case 0: parsed = inst.targetparam1; break;
      case 1: parsed = inst.targetparam2; break;
      case 2: parsed = inst.targetparam1; break;
      case 3: parsed = inst.targetparam1; break;
      case 4: parsed = inst.targetparam1; break;
      case 5: parsed = inst.targetparam2; break;
      case 6: parsed = inst.targetparam1; break;
      default:  break;
    }
    ret.set_float(parsed);
	};
	exps.Value = function (ret)
	{
    var tval = this.value;
    ret.set_float(tval);
	};
}());
;
;
cr.behaviors.solid = function(runtime)
{
	this.runtime = runtime;
};
(function ()
{
	var behaviorProto = cr.behaviors.solid.prototype;
	behaviorProto.Type = function(behavior, objtype)
	{
		this.behavior = behavior;
		this.objtype = objtype;
		this.runtime = behavior.runtime;
	};
	var behtypeProto = behaviorProto.Type.prototype;
	behtypeProto.onCreate = function()
	{
	};
	behaviorProto.Instance = function(type, inst)
	{
		this.type = type;
		this.behavior = type.behavior;
		this.inst = inst;				// associated object instance to modify
		this.runtime = type.runtime;
	};
	var behinstProto = behaviorProto.Instance.prototype;
	behinstProto.onCreate = function()
	{
		this.inst.extra.solidEnabled = (this.properties[0] !== 0);
	};
	behinstProto.tick = function ()
	{
	};
	function Cnds() {};
	Cnds.prototype.IsEnabled = function ()
	{
		return this.inst.extra.solidEnabled;
	};
	behaviorProto.cnds = new Cnds();
	function Acts() {};
	Acts.prototype.SetEnabled = function (e)
	{
		this.inst.extra.solidEnabled = !!e;
	};
	behaviorProto.acts = new Acts();
}());
cr.getProjectModel = function() { return [
	null,
	"cartaMenu",
	[
	[
		cr.plugins_.CJSAds,
		true,
		false,
		false,
		false,
		false,
		false,
		false,
		false,
		false
	]
,	[
		cr.plugins_.Browser,
		true,
		false,
		false,
		false,
		false,
		false,
		false,
		false,
		false
	]
,	[
		cr.plugins_.Audio,
		true,
		false,
		false,
		false,
		false,
		false,
		false,
		false,
		false
	]
,	[
		cr.plugins_.Function,
		true,
		false,
		false,
		false,
		false,
		false,
		false,
		false,
		false
	]
,	[
		cr.plugins_.Sprite,
		false,
		true,
		true,
		true,
		true,
		true,
		true,
		true,
		false
	]
,	[
		cr.plugins_.Text,
		false,
		true,
		true,
		true,
		true,
		true,
		true,
		true,
		false
	]
,	[
		cr.plugins_.Touch,
		true,
		false,
		false,
		false,
		false,
		false,
		false,
		false,
		false
	]
,	[
		cr.plugins_.WebStorage,
		true,
		false,
		false,
		false,
		false,
		false,
		false,
		false,
		false
	]
,	[
		cr.plugins_.TiledBg,
		false,
		true,
		true,
		true,
		true,
		true,
		true,
		true,
		true
	]
	],
	[
	[
		"t0",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"anime1",
			5,
			false,
			1,
			0,
			false,
			8939873120968724,
			[
				["basefrente-sheet0.png", 748737, 1, 1, 1502, 551, 1, 0.0006657789344899356, 1,[],[0.01531292032450438,-0.9564427733421326,0.4993342161178589,-0.3956440091133118,0.8774962425231934,-0.6678769588470459,0.9280962347984314,-0.5009070038795471,0.9986681938171387,-0.00181502103805542,5.820766091346741e-011,-0.00181502103805542],0]
			]
			]
,			[
			"anime2",
			5,
			false,
			1,
			0,
			false,
			1884382044527705,
			[
				["basefrente-sheet0.png", 748737, 1, 553, 1502, 551, 1, 0.0006657789344899356, 1,[],[0.01531292032450438,-0.9564427733421326,0.4993342161178589,-0.3956440091133118,0.8774962425231934,-0.6678769588470459,0.9280962347984314,-0.5009070038795471,0.9986681938171387,-0.00181502103805542,5.820766091346741e-011,-0.00181502103805542],0]
			]
			]
,			[
			"anime3",
			5,
			false,
			1,
			0,
			false,
			3491168805476516,
			[
				["basefrente-sheet0.png", 748737, 1, 1105, 1500, 207, 1, 0.0006666666595265269, 1,[],[0.07000003755092621,-0.4879230260848999,0.4993333220481873,-0.8454110026359558,0.9986663460731506,-0.9951691031455994,0.9993333220481873,0,-0.0006666666595265269,0,0.07800003886222839,-0.5024150013923645],0]
			]
			]
,			[
			"anime4",
			5,
			false,
			1,
			0,
			false,
			1806943085155009,
			[
				["basefrente-sheet0.png", 748737, 1, 1313, 1500, 207, 1, 0.0006666666595265269, 1,[],[0.07000003755092621,-0.4879230260848999,0.4993333220481873,-0.8454110026359558,0.9986663460731506,-0.9951691031455994,0.9993333220481873,0,-0.0006666666595265269,0,0.07800003886222839,-0.5024150013923645],0]
			]
			]
		],
		[
		],
		false,
		false,
		2539592408263506,
		[],
		null
	]
,	[
		"t1",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"anime1",
			5,
			false,
			1,
			0,
			false,
			3582406483253482,
			[
				["basefundo-sheet0.png", 445234, 1, 1, 1475, 329, 1, 0.000677966105286032, 1,[],[0.1091530323028565,-0.5075989961624146,0.4989830255508423,-0.8358659744262695,0.9233900308609009,-0.659574031829834,0.9667800664901733,-0.501520037651062,0.9986440539360046,-0.003040015697479248,-1.164153218269348e-010,-0.003040015697479248],0]
			]
			]
,			[
			"anime2",
			5,
			false,
			1,
			0,
			false,
			36912671430617,
			[
				["basefundo-sheet0.png", 445234, 1, 331, 1473, 327, 1, 0.0006788866012357175, 1.006116151809692,[],[0.2847931087017059,-0.5749231576919556,0.3944331109523773,-0.9357792735099793,0.5407330989837647,-1.00152850151062,0.6707401275634766,-0.4556571245193481,0.8295990824699402,-0.8837921619415283,0.9993211030960083,-0.006116151809692383,-0.0006788866012357175,-0.006116151809692383,0.0728108137845993,-0.5657491683959961],0]
			]
			]
,			[
			"anime3",
			5,
			false,
			1,
			0,
			false,
			1193056133899255,
			[
				["basefundo-sheet0.png", 445234, 1, 659, 1502, 319, 1, 0.0006657789344899356, 1.003134846687317,[],[0.07989352196455002,-0.6238248348236084,0.4993342161178589,-0.2319748401641846,0.8968042135238648,-0.5203758478164673,0.9986681938171387,-0.5047018527984619,0.9986681938171387,-0.006269872188568115,5.820766091346741e-011,-0.006269872188568115,0.04460721835494041,-0.5047018527984619],0]
			]
			]
,			[
			"anime4",
			5,
			false,
			1,
			0,
			false,
			912404607009895,
			[
				["basefundo-sheet0.png", 445234, 1, 979, 1502, 319, 1, 0.0006657789344899356, 1.003134846687317,[],[0.08455402404069901,-0.6645768880844116,0.1624502092599869,-0.1363638639450073,0.2936082184314728,-0.1873048543930054,0.2516642212867737,-1.003134846687317,0.4254322052001953,-0.9905952215194702,0.3741672039031982,-0.3040748238563538,0.9993342161178589,-0.4984318614006043,0.9993342161178589,-0.003134846687316895,5.820766091346741e-011,-0.006269872188568115,0.03262322023510933,-0.5172408819198608],0]
			]
			]
		],
		[
		],
		false,
		false,
		8653936261772719,
		[],
		null
	]
,	[
		"t2",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"anime1",
			5,
			false,
			1,
			0,
			false,
			4118941435135947,
			[
				["ceu-sheet0.png", 1246619, 1, 1, 1500, 472, 1, 0, 0,[],[],0]
			]
			]
,			[
			"anime2",
			5,
			false,
			1,
			0,
			false,
			5888707220152765,
			[
				["ceu-sheet0.png", 1246619, 1, 474, 1500, 472, 1, 0, 0,[],[],0]
			]
			]
,			[
			"anime3",
			5,
			false,
			1,
			0,
			false,
			927016838593313,
			[
				["ceu-sheet0.png", 1246619, 1, 947, 1500, 472, 1, 0, 0,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		3774534205025944,
		[],
		null
	]
,	[
		"t3",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"anime1",
			5,
			false,
			1,
			0,
			false,
			6716799585336089,
			[
				["basemeio-sheet0.png", 1307297, 1, 1, 1502, 532, 1, 0.0006657789344899356, 0.9981203079223633,[],[0.1664452105760574,-0.5263162851333618,0.4993342161178589,-0.7687972784042358,0.8561922311782837,-0.5939853191375732,0.9986681938171387,-0.4981203079223633,0.9986681938171387,-2.980232238769531e-007,5.820766091346741e-011,-2.980232238769531e-007,0.1005322262644768,-0.4981203079223633],0]
			]
			]
,			[
			"anime2",
			5,
			false,
			1,
			0,
			false,
			9344516264344745,
			[
				["basemeio-sheet0.png", 1307297, 1, 534, 1500, 530, 1, 0.0006666666595265269, 1.00188684463501,[],[0.1660003364086151,-0.5301888585090637,0.4993333220481873,-0.7735848426818848,0.8566663265228272,-0.5981128215789795,0.9993333220481873,-0.5018868446350098,0.9993333220481873,-0.001886844635009766,-0.0006666666595265269,-0.001886844635009766,0.100000336766243,-0.5018868446350098],0]
			]
			]
,			[
			"anime3",
			5,
			false,
			1,
			0,
			false,
			4391168415424005,
			[
				["basemeio-sheet0.png", 1307297, 1, 1065, 1500, 399, 1, 0.0006666666595265269, 1,[],[0.1046663373708725,-0.6040099859237671,0.4993333220481873,-0.7142859697341919,0.8966663479804993,-0.6140350103378296,0.9993333220481873,-0.5012530088424683,0.9993333220481873,0,-0.0006666666595265269,0,-0.0006666666595265269,-0.5012530088424683],0]
			]
			]
,			[
			"anime4",
			5,
			false,
			1,
			0,
			false,
			3068771578404474,
			[
				["basemeio-sheet0.png", 1307297, 1, 1465, 1500, 399, 1, 0.0006666666595265269, 1,[],[0.1046663373708725,-0.6040099859237671,0.4993333220481873,-0.7142859697341919,0.8966663479804993,-0.6140350103378296,0.9993333220481873,-0.5012530088424683,0.9993333220481873,0,-0.0006666666595265269,0,-0.0006666666595265269,-0.5012530088424683],0]
			]
			]
		],
		[
		],
		false,
		false,
		7355070068080883,
		[],
		null
	]
,	[
		"t4",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"anime1",
			10,
			false,
			1,
			0,
			false,
			8302400609410059,
			[
				["florzinha1-sheet0.png", 29115, 141, 143, 34, 37, 1, 0.5588235259056091, 0.4324324429035187,[],[],0],
				["florzinha1-sheet0.png", 29115, 176, 178, 34, 37, 1, 0.6764705777168274, 0.6486486196517944,[],[],0],
				["florzinha1-sheet0.png", 29115, 211, 178, 34, 37, 1, 0.8235294222831726, 0.8648648858070374,[],[],0],
				["florzinha1-sheet0.png", 29115, 176, 134, 34, 43, 1, 0.9117646813392639, 0.930232584476471,[],[],0],
				["florzinha1-sheet0.png", 29115, 71, 80, 34, 52, 1, 0.9117646813392639, 0.942307710647583,[],[],0],
				["florzinha1-sheet0.png", 29115, 176, 72, 34, 61, 1, 0.9117646813392639, 0.9508196711540222,[],[],0],
				["florzinha1-sheet0.png", 29115, 141, 1, 34, 70, 1, 0.8529411554336548, 0.9571428298950195,[],[],0],
				["florzinha1-sheet0.png", 29115, 1, 1, 34, 78, 1, 0.7647058963775635, 0.9615384340286255,[],[],0]
			]
			]
,			[
			"anime2",
			10,
			false,
			1,
			0,
			true,
			1363781788491878,
			[
				["florzinha1-sheet0.png", 29115, 141, 181, 34, 37, 1, 0.5588235259056091, 0.4324324429035187,[],[],0],
				["florzinha1-sheet0.png", 29115, 1, 186, 34, 37, 1, 0.6764705777168274, 0.6486486196517944,[],[],0],
				["florzinha1-sheet0.png", 29115, 36, 186, 34, 37, 1, 0.8235294222831726, 0.8648648858070374,[],[],0],
				["florzinha1-sheet0.png", 29115, 211, 134, 34, 43, 1, 0.9117646813392639, 0.930232584476471,[],[],0],
				["florzinha1-sheet0.png", 29115, 106, 80, 34, 52, 1, 0.9117646813392639, 0.942307710647583,[],[],0],
				["florzinha1-sheet0.png", 29115, 211, 72, 34, 61, 1, 0.9117646813392639, 0.9508196711540222,[],[],0],
				["florzinha1-sheet0.png", 29115, 176, 1, 34, 70, 1, 0.8529411554336548, 0.9571428298950195,[],[],0],
				["florzinha1-sheet0.png", 29115, 36, 1, 34, 78, 1, 0.7647058963775635, 0.9615384340286255,[],[-0.7647058963775635,-0.9615384340286255,0.2352941036224365,-0.9615384340286255,0.2352941036224365,-0.5641034245491028,-0.7647058963775635,-0.5641024112701416],0]
			]
			]
,			[
			"anime3",
			10,
			false,
			1,
			0,
			false,
			7200126000869963,
			[
				["florzinha1-sheet0.png", 29115, 71, 186, 34, 37, 1, 0.5588235259056091, 0.4324324429035187,[],[],0],
				["florzinha1-sheet0.png", 29115, 106, 186, 34, 37, 1, 0.6764705777168274, 0.6486486196517944,[],[],0],
				["florzinha1-sheet0.png", 29115, 176, 216, 34, 37, 1, 0.8235294222831726, 0.8648648858070374,[],[],0],
				["florzinha1-sheet0.png", 29115, 1, 142, 34, 43, 1, 0.9117646813392639, 0.930232584476471,[],[],0],
				["florzinha1-sheet0.png", 29115, 71, 133, 34, 52, 1, 0.9117646813392639, 0.942307710647583,[],[],0],
				["florzinha1-sheet0.png", 29115, 1, 80, 34, 61, 1, 0.9117646813392639, 0.9508196711540222,[],[],0],
				["florzinha1-sheet0.png", 29115, 211, 1, 34, 70, 1, 0.8529411554336548, 0.9571428298950195,[],[],0],
				["florzinha1-sheet0.png", 29115, 71, 1, 34, 78, 1, 0.7647058963775635, 0.9615384340286255,[],[-0.7647058963775635,-0.9615384340286255,0.2352941036224365,-0.9615384340286255,0.2352941036224365,-0.5641024112701416,-0.7647058963775635,-0.5641024112701416],0]
			]
			]
,			[
			"anime4",
			10,
			false,
			1,
			0,
			true,
			3962348919521666,
			[
				["florzinha1-sheet0.png", 29115, 211, 216, 34, 37, 1, 0.5588235259056091, 0.4324324429035187,[],[],0],
				["florzinha1-sheet1.png", 3267, 1, 1, 34, 37, 1, 0.6764705777168274, 0.6486486196517944,[],[],0],
				["florzinha1-sheet1.png", 3267, 36, 1, 34, 37, 1, 0.8235294222831726, 0.8648648858070374,[],[],0],
				["florzinha1-sheet0.png", 29115, 36, 142, 34, 43, 1, 0.9117646813392639, 0.930232584476471,[],[],0],
				["florzinha1-sheet0.png", 29115, 106, 133, 34, 52, 1, 0.9117646813392639, 0.942307710647583,[],[],0],
				["florzinha1-sheet0.png", 29115, 36, 80, 34, 61, 1, 0.9117646813392639, 0.9508196711540222,[],[],0],
				["florzinha1-sheet0.png", 29115, 141, 72, 34, 70, 1, 0.8529411554336548, 0.9571428298950195,[],[],0],
				["florzinha1-sheet0.png", 29115, 106, 1, 34, 78, 1, 0.7647058963775635, 0.9615384340286255,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		9608166379629043,
		[],
		null
	]
,	[
		"t5",
		cr.plugins_.Sprite,
		false,
		[2572197918062255],
		0,
		0,
		null,
		[
			[
			"anime1",
			10,
			false,
			1,
			0,
			false,
			6798392075516136,
			[
				["florzinha2-sheet0.png", 21332, 35, 218, 32, 31, 1, 0.5625, 0.4838709533214569,[],[],0],
				["florzinha2-sheet0.png", 21332, 171, 184, 33, 31, 1, 0.6666666865348816, 0.7419354915618897,[],[],0],
				["florzinha2-sheet0.png", 21332, 35, 183, 33, 34, 1, 0.8181818127632141, 0.9117646813392639,[],[],0],
				["florzinha2-sheet0.png", 21332, 1, 140, 33, 42, 1, 0.9090909361839294, 0.9285714030265808,[],[],0],
				["florzinha2-sheet0.png", 21332, 69, 79, 32, 51, 1, 0.9375, 0.9411764740943909,[],[],0],
				["florzinha2-sheet0.png", 21332, 167, 71, 33, 60, 1, 0.9090909361839294, 0.949999988079071,[],[],0],
				["florzinha2-sheet0.png", 21332, 133, 1, 33, 69, 1, 0.8484848737716675, 0.95652174949646,[],[],0],
				["florzinha2-sheet0.png", 21332, 1, 1, 32, 77, 1, 0.78125, 0.9610389471054077,[],[-0.78125,-0.9610389471054077,0.21875,-0.9610389471054077,0.21875,-0.5974029302597046,-0.78125,-0.5844159126281738],0]
			]
			]
,			[
			"anime2",
			10,
			false,
			1,
			0,
			true,
			5696759923584562,
			[
				["florzinha2-sheet0.png", 21332, 68, 219, 32, 31, 1, 0.5625, 0.4838709533214569,[],[],0],
				["florzinha2-sheet0.png", 21332, 205, 184, 33, 31, 1, 0.6666666865348816, 0.7419354915618897,[],[],0],
				["florzinha2-sheet0.png", 21332, 69, 184, 33, 34, 1, 0.8181818127632141, 0.9117646813392639,[],[],0],
				["florzinha2-sheet0.png", 21332, 35, 140, 33, 42, 1, 0.9090909361839294, 0.9285714030265808,[],[],0],
				["florzinha2-sheet0.png", 21332, 69, 131, 32, 51, 1, 0.9375, 0.9411764740943909,[],[],0],
				["florzinha2-sheet0.png", 21332, 201, 71, 33, 60, 1, 0.9090909361839294, 0.949999988079071,[],[],0],
				["florzinha2-sheet0.png", 21332, 167, 1, 33, 69, 1, 0.8484848737716675, 0.95652174949646,[],[],0],
				["florzinha2-sheet0.png", 21332, 34, 1, 32, 77, 1, 0.78125, 0.9610389471054077,[],[],0]
			]
			]
,			[
			"anime3",
			10,
			false,
			1,
			0,
			false,
			735571260339816,
			[
				["florzinha2-sheet0.png", 21332, 101, 219, 32, 31, 1, 0.5625, 0.4838709533214569,[],[],0],
				["florzinha2-sheet0.png", 21332, 171, 216, 33, 31, 1, 0.6666666865348816, 0.7419354915618897,[],[],0],
				["florzinha2-sheet0.png", 21332, 103, 184, 33, 34, 1, 0.8181818127632141, 0.9117646813392639,[],[],0],
				["florzinha2-sheet0.png", 21332, 102, 141, 33, 42, 1, 0.9090909361839294, 0.9285714030265808,[],[],0],
				["florzinha2-sheet0.png", 21332, 167, 132, 32, 51, 1, 0.9375, 0.9411764740943909,[],[],0],
				["florzinha2-sheet0.png", 21332, 1, 79, 33, 60, 1, 0.9090909361839294, 0.949999988079071,[],[],0],
				["florzinha2-sheet0.png", 21332, 201, 1, 33, 69, 1, 0.8484848737716675, 0.95652174949646,[],[],0],
				["florzinha2-sheet0.png", 21332, 67, 1, 32, 77, 1, 0.78125, 0.9610389471054077,[],[-0.78125,-0.9610389471054077,0.21875,-0.9610389471054077,0.21875,-0.5844159126281738,-0.78125,-0.5974029302597046],0]
			]
			]
,			[
			"anime4",
			10,
			false,
			1,
			0,
			true,
			5410911688230807,
			[
				["florzinha2-sheet0.png", 21332, 134, 219, 32, 31, 1, 0.5625, 0.4838709533214569,[],[],0],
				["florzinha2-sheet0.png", 21332, 205, 216, 33, 31, 1, 0.6666666865348816, 0.7419354915618897,[],[],0],
				["florzinha2-sheet0.png", 21332, 137, 184, 33, 34, 1, 0.8181818127632141, 0.9117646813392639,[],[],0],
				["florzinha2-sheet0.png", 21332, 1, 183, 33, 42, 1, 0.9090909361839294, 0.9285714030265808,[],[],0],
				["florzinha2-sheet0.png", 21332, 200, 132, 32, 51, 1, 0.9375, 0.9411764740943909,[],[],0],
				["florzinha2-sheet0.png", 21332, 35, 79, 33, 60, 1, 0.9090909361839294, 0.949999988079071,[],[],0],
				["florzinha2-sheet0.png", 21332, 133, 71, 33, 69, 1, 0.8484848737716675, 0.95652174949646,[],[],0],
				["florzinha2-sheet0.png", 21332, 100, 1, 32, 77, 1, 0.78125, 0.9610389471054077,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		9252158064968721,
		[],
		null
	]
,	[
		"t6",
		cr.plugins_.Sprite,
		false,
		[894489618868328],
		0,
		0,
		null,
		[
			[
			"anime1",
			10,
			false,
			1,
			0,
			false,
			4744271201849947,
			[
				["florzinha3-sheet1.png", 12686, 1, 1, 46, 38, 1, 0.695652186870575, 0.4210526347160339,[],[],0],
				["florzinha3-sheet1.png", 12686, 48, 1, 46, 38, 1, 0.717391312122345, 0.6315789222717285,[],[],0],
				["florzinha3-sheet1.png", 12686, 95, 1, 46, 38, 1, 0.760869562625885, 0.8684210777282715,[],[],0],
				["florzinha3-sheet0.png", 19882, 1, 205, 46, 44, 1, 0.8043478131294251, 0.9318181872367859,[],[],0],
				["florzinha3-sheet0.png", 19882, 189, 143, 46, 53, 1, 0.8043478131294251, 0.9433962106704712,[],[],0],
				["florzinha3-sheet0.png", 19882, 95, 80, 46, 62, 1, 0.8043478131294251, 0.9516128897666931,[],[],0],
				["florzinha3-sheet0.png", 19882, 189, 1, 46, 70, 1, 0.760869562625885, 0.9571428298950195,[],[],0],
				["florzinha3-sheet0.png", 19882, 1, 1, 46, 78, 1, 0.695652186870575, 0.9615384340286255,[],[-0.695652186870575,-0.9615384340286255,0.3043478131294251,-0.9615384340286255,0.3043478131294251,-0.5897444486618042,-0.695652186870575,-0.5897444486618042],0]
			]
			]
,			[
			"anime2",
			10,
			false,
			1,
			0,
			true,
			5691064239704708,
			[
				["florzinha3-sheet1.png", 12686, 142, 1, 46, 38, 1, 0.695652186870575, 0.4210526347160339,[],[],0],
				["florzinha3-sheet1.png", 12686, 189, 1, 46, 38, 1, 0.717391312122345, 0.6315789222717285,[],[],0],
				["florzinha3-sheet1.png", 12686, 1, 40, 46, 38, 1, 0.760869562625885, 0.8684210777282715,[],[],0],
				["florzinha3-sheet0.png", 19882, 48, 205, 46, 44, 1, 0.8043478131294251, 0.9318181872367859,[],[],0],
				["florzinha3-sheet0.png", 19882, 1, 151, 46, 53, 1, 0.8043478131294251, 0.9433962106704712,[],[],0],
				["florzinha3-sheet0.png", 19882, 142, 80, 46, 62, 1, 0.8043478131294251, 0.9516128897666931,[],[],0],
				["florzinha3-sheet0.png", 19882, 189, 72, 46, 70, 1, 0.760869562625885, 0.9571428298950195,[],[],0],
				["florzinha3-sheet0.png", 19882, 48, 1, 46, 78, 1, 0.695652186870575, 0.9615384340286255,[],[],0]
			]
			]
,			[
			"anime3",
			10,
			false,
			1,
			0,
			false,
			3627523778991395,
			[
				["florzinha3-sheet1.png", 12686, 48, 40, 46, 38, 1, 0.695652186870575, 0.4210526347160339,[],[],0],
				["florzinha3-sheet1.png", 12686, 95, 40, 46, 38, 1, 0.717391312122345, 0.6315789222717285,[],[],0],
				["florzinha3-sheet1.png", 12686, 142, 40, 46, 38, 1, 0.760869562625885, 0.8684210777282715,[],[],0],
				["florzinha3-sheet0.png", 19882, 95, 206, 46, 44, 1, 0.8043478131294251, 0.9318181872367859,[],[],0],
				["florzinha3-sheet0.png", 19882, 48, 151, 46, 53, 1, 0.8043478131294251, 0.9433962106704712,[],[],0],
				["florzinha3-sheet0.png", 19882, 95, 143, 46, 62, 1, 0.8043478131294251, 0.9516128897666931,[],[],0],
				["florzinha3-sheet0.png", 19882, 1, 80, 46, 70, 1, 0.760869562625885, 0.9571428298950195,[],[],0],
				["florzinha3-sheet0.png", 19882, 95, 1, 46, 78, 1, 0.695652186870575, 0.9615384340286255,[],[-0.695652186870575,-0.9615384340286255,0.3043478131294251,-0.9615384340286255,0.3043478131294251,-0.5641024112701416,-0.695652186870575,-0.5512824058532715],0]
			]
			]
,			[
			"anime4",
			10,
			false,
			1,
			0,
			true,
			3584928695634346,
			[
				["florzinha3-sheet1.png", 12686, 189, 40, 46, 38, 1, 0.695652186870575, 0.4210526347160339,[],[],0],
				["florzinha3-sheet1.png", 12686, 1, 79, 46, 38, 1, 0.717391312122345, 0.6315789222717285,[],[],0],
				["florzinha3-sheet1.png", 12686, 48, 79, 46, 38, 1, 0.760869562625885, 0.8684210777282715,[],[],0],
				["florzinha3-sheet0.png", 19882, 142, 206, 46, 44, 1, 0.8043478131294251, 0.9318181872367859,[],[],0],
				["florzinha3-sheet0.png", 19882, 189, 197, 46, 53, 1, 0.8043478131294251, 0.9433962106704712,[],[],0],
				["florzinha3-sheet0.png", 19882, 142, 143, 46, 62, 1, 0.8043478131294251, 0.9516128897666931,[],[],0],
				["florzinha3-sheet0.png", 19882, 48, 80, 46, 70, 1, 0.760869562625885, 0.9571428298950195,[],[],0],
				["florzinha3-sheet0.png", 19882, 142, 1, 46, 78, 1, 0.695652186870575, 0.9615384340286255,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		6879371694790782,
		[],
		null
	]
,	[
		"t7",
		cr.plugins_.Sprite,
		false,
		[4497423903719318],
		0,
		0,
		null,
		[
			[
			"anime1",
			10,
			false,
			1,
			0,
			false,
			9996379518486165,
			[
				["florzinha4-sheet0.png", 14576, 187, 172, 29, 28, 1, 0.7931034564971924, 0.5714285969734192,[],[],0],
				["florzinha4-sheet0.png", 14576, 93, 180, 29, 27, 1, 0.8620689511299133, 0.8888888955116272,[],[],0],
				["florzinha4-sheet0.png", 14576, 157, 135, 29, 36, 1, 0.9310345053672791, 0.9166666865348816,[],[],0],
				["florzinha4-sheet0.png", 14576, 33, 134, 30, 44, 1, 0.9333333373069763, 0.9318181872367859,[],[],0],
				["florzinha4-sheet0.png", 14576, 1, 80, 31, 53, 1, 0.9354838728904724, 0.9433962106704712,[],[],0],
				["florzinha4-sheet0.png", 14576, 121, 72, 30, 62, 1, 0.9333333373069763, 0.9516128897666931,[],[],0],
				["florzinha4-sheet0.png", 14576, 121, 1, 29, 70, 1, 0.8965517282485962, 0.9571428298950195,[],[],0],
				["florzinha4-sheet0.png", 14576, 1, 1, 29, 78, 1, 0.7931034564971924, 0.9615384340286255,[],[-0.7931034564971924,-0.9615384340286255,0.2068965435028076,-0.9615384340286255,0.2068965435028076,-0.6538464426994324,-0.7931034564971924,-0.6538464426994324],0]
			]
			]
,			[
			"anime2",
			10,
			false,
			1,
			0,
			true,
			1435878726213996,
			[
				["florzinha4-sheet0.png", 14576, 217, 172, 29, 28, 1, 0.7931034564971924, 0.5714285969734192,[],[],0],
				["florzinha4-sheet0.png", 14576, 123, 180, 29, 27, 1, 0.8620689511299133, 0.8888888955116272,[],[],0],
				["florzinha4-sheet0.png", 14576, 187, 135, 29, 36, 1, 0.9310345053672791, 0.9166666865348816,[],[],0],
				["florzinha4-sheet0.png", 14576, 64, 134, 30, 44, 1, 0.9333333373069763, 0.9318181872367859,[],[],0],
				["florzinha4-sheet0.png", 14576, 33, 80, 31, 53, 1, 0.9354838728904724, 0.9433962106704712,[],[],0],
				["florzinha4-sheet0.png", 14576, 152, 72, 30, 62, 1, 0.9333333373069763, 0.9516128897666931,[],[],0],
				["florzinha4-sheet0.png", 14576, 151, 1, 29, 70, 1, 0.8965517282485962, 0.9571428298950195,[],[],0],
				["florzinha4-sheet0.png", 14576, 31, 1, 29, 78, 1, 0.7931034564971924, 0.9615384340286255,[],[],0]
			]
			]
,			[
			"anime3",
			10,
			false,
			1,
			0,
			false,
			438287409058437,
			[
				["florzinha4-sheet0.png", 14576, 33, 179, 29, 28, 1, 0.7931034564971924, 0.5714285969734192,[],[],0],
				["florzinha4-sheet0.png", 14576, 1, 188, 29, 27, 1, 0.8620689511299133, 0.8888888955116272,[],[],0],
				["florzinha4-sheet0.png", 14576, 217, 135, 29, 36, 1, 0.9310345053672791, 0.9166666865348816,[],[],0],
				["florzinha4-sheet0.png", 14576, 95, 135, 30, 44, 1, 0.9333333373069763, 0.9318181872367859,[],[],0],
				["florzinha4-sheet0.png", 14576, 65, 80, 31, 53, 1, 0.9354838728904724, 0.9433962106704712,[],[],0],
				["florzinha4-sheet0.png", 14576, 183, 72, 30, 62, 1, 0.9333333373069763, 0.9516128897666931,[],[],0],
				["florzinha4-sheet0.png", 14576, 181, 1, 29, 70, 1, 0.8965517282485962, 0.9571428298950195,[],[],0],
				["florzinha4-sheet0.png", 14576, 61, 1, 29, 78, 1, 0.7931034564971924, 0.9615384340286255,[],[-0.7931034564971924,-0.9615384340286255,0.2068965435028076,-0.9615384340286255,0.2068965435028076,-0.6153844594955444,-0.7931034564971924,-0.6153844594955444],0]
			]
			]
,			[
			"anime4",
			10,
			false,
			1,
			0,
			true,
			8059465227571351,
			[
				["florzinha4-sheet0.png", 14576, 63, 179, 29, 28, 1, 0.7931034564971924, 0.5714285969734192,[],[],0],
				["florzinha4-sheet0.png", 14576, 187, 201, 29, 27, 1, 0.8620689511299133, 0.8888888955116272,[],[],0],
				["florzinha4-sheet0.png", 14576, 157, 172, 29, 36, 1, 0.9310345053672791, 0.9166666865348816,[],[],0],
				["florzinha4-sheet0.png", 14576, 126, 135, 30, 44, 1, 0.9333333373069763, 0.9318181872367859,[],[],0],
				["florzinha4-sheet0.png", 14576, 1, 134, 31, 53, 1, 0.9354838728904724, 0.9433962106704712,[],[],0],
				["florzinha4-sheet0.png", 14576, 214, 72, 30, 62, 1, 0.9333333373069763, 0.9516128897666931,[],[],0],
				["florzinha4-sheet0.png", 14576, 211, 1, 29, 70, 1, 0.8965517282485962, 0.9571428298950195,[],[],0],
				["florzinha4-sheet0.png", 14576, 91, 1, 29, 78, 1, 0.7931034564971924, 0.9615384340286255,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		2188334456889426,
		[],
		null
	]
,	[
		"t8",
		cr.plugins_.Sprite,
		false,
		[6941031336348348],
		0,
		0,
		null,
		[
			[
			"anime1",
			10,
			false,
			1,
			0,
			false,
			2389715334487695,
			[
				["florzinha5-sheet0.png", 16039, 61, 156, 27, 27, 1, 0.8148148059844971, 0.4074074029922485,[],[],0],
				["florzinha5-sheet0.png", 16039, 173, 156, 27, 27, 1, 0.8518518805503845, 0.7407407164573669,[],[],0],
				["florzinha5-sheet0.png", 16039, 61, 124, 27, 31, 1, 0.9259259104728699, 0.9032257795333862,[],[],0],
				["florzinha5-sheet0.png", 16039, 173, 116, 29, 39, 1, 0.9310345053672791, 0.9230769276618958,[],[],0],
				["florzinha5-sheet0.png", 16039, 173, 67, 29, 48, 1, 0.9310345053672791, 0.9375,[],[],0],
				["florzinha5-sheet0.png", 16039, 225, 1, 29, 57, 1, 0.9310345053672791, 0.9473684430122376,[],[],0],
				["florzinha5-sheet0.png", 16039, 113, 1, 27, 65, 1, 0.9259259104728699, 0.9538461565971375,[],[],0],
				["florzinha5-sheet0.png", 16039, 1, 1, 27, 73, 1, 0.8148148059844971, 0.9589040875434876,[],[],0]
			]
			]
,			[
			"anime2",
			10,
			false,
			1,
			0,
			true,
			1699449137797265,
			[
				["florzinha5-sheet0.png", 16039, 89, 157, 27, 27, 1, 0.8148148059844971, 0.4074074029922485,[],[],0],
				["florzinha5-sheet0.png", 16039, 117, 157, 27, 27, 1, 0.8518518805503845, 0.7407407164573669,[],[],0],
				["florzinha5-sheet0.png", 16039, 89, 125, 27, 31, 1, 0.9259259104728699, 0.9032257795333862,[],[],0],
				["florzinha5-sheet0.png", 16039, 203, 117, 29, 39, 1, 0.9310345053672791, 0.9230769276618958,[],[],0],
				["florzinha5-sheet0.png", 16039, 1, 75, 29, 48, 1, 0.9310345053672791, 0.9375,[],[],0],
				["florzinha5-sheet0.png", 16039, 225, 59, 29, 57, 1, 0.9310345053672791, 0.9473684430122376,[],[],0],
				["florzinha5-sheet0.png", 16039, 141, 1, 27, 65, 1, 0.9259259104728699, 0.9538461565971375,[],[],0],
				["florzinha5-sheet0.png", 16039, 29, 1, 27, 73, 1, 0.8148148059844971, 0.9589040875434876,[],[],0]
			]
			]
,			[
			"anime3",
			10,
			false,
			1,
			0,
			false,
			6945348886627708,
			[
				["florzinha5-sheet0.png", 16039, 145, 157, 27, 27, 1, 0.8148148059844971, 0.4074074029922485,[],[],0],
				["florzinha5-sheet0.png", 16039, 201, 157, 27, 27, 1, 0.8518518805503845, 0.7407407164573669,[],[],0],
				["florzinha5-sheet0.png", 16039, 117, 125, 27, 31, 1, 0.9259259104728699, 0.9032257795333862,[],[],0],
				["florzinha5-sheet0.png", 16039, 1, 124, 29, 39, 1, 0.9310345053672791, 0.9230769276618958,[],[],0],
				["florzinha5-sheet0.png", 16039, 31, 75, 29, 48, 1, 0.9310345053672791, 0.9375,[],[],0],
				["florzinha5-sheet0.png", 16039, 113, 67, 29, 57, 1, 0.9310345053672791, 0.9473684430122376,[],[],0],
				["florzinha5-sheet0.png", 16039, 169, 1, 27, 65, 1, 0.9259259104728699, 0.9538461565971375,[],[],0],
				["florzinha5-sheet0.png", 16039, 57, 1, 27, 73, 1, 0.8148148059844971, 0.9589040875434876,[],[-0.8148148059844971,-0.9589040875434876,0.1851851940155029,-0.9589040875434876,0.1851851940155029,-0.6164391040802002,-0.8148148059844971,-0.616438090801239],0]
			]
			]
,			[
			"anime4",
			10,
			false,
			1,
			0,
			true,
			5889920725819428,
			[
				["florzinha5-sheet0.png", 16039, 1, 164, 27, 27, 1, 0.8148148059844971, 0.4074074029922485,[],[],0],
				["florzinha5-sheet0.png", 16039, 29, 164, 27, 27, 1, 0.8518518805503845, 0.7407407164573669,[],[],0],
				["florzinha5-sheet0.png", 16039, 145, 125, 27, 31, 1, 0.9259259104728699, 0.9032257795333862,[],[],0],
				["florzinha5-sheet0.png", 16039, 31, 124, 29, 39, 1, 0.9310345053672791, 0.9230769276618958,[],[],0],
				["florzinha5-sheet0.png", 16039, 61, 75, 29, 48, 1, 0.9310345053672791, 0.9375,[],[],0],
				["florzinha5-sheet0.png", 16039, 143, 67, 29, 57, 1, 0.9310345053672791, 0.9473684430122376,[],[],0],
				["florzinha5-sheet0.png", 16039, 197, 1, 27, 65, 1, 0.9259259104728699, 0.9538461565971375,[],[],0],
				["florzinha5-sheet0.png", 16039, 85, 1, 27, 73, 1, 0.8148148059844971, 0.9589040875434876,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		878918501038288,
		[],
		null
	]
,	[
		"t9",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"anime1",
			10,
			false,
			1,
			0,
			false,
			2667702204053281,
			[
				["florzinha6-sheet0.png", 15913, 1, 213, 52, 35, 1, 0.6730769276618958, 0.4285714328289032,[],[],0],
				["florzinha6-sheet0.png", 15913, 54, 213, 52, 35, 1, 0.692307710647583, 0.6857143044471741,[],[-0.692307710647583,-0.6857143044471741,0.307692289352417,-0.6857143044471741,0.307692289352417,-0.2369973063468933,-0.692307710647583,-0.2626383006572723],0],
				["florzinha6-sheet0.png", 15913, 107, 213, 52, 35, 1, 0.75, 0.9142857193946838,[],[-0.75,-0.9142857193946838,0.25,-0.9142857193946838,0.25,-0.4655687212944031,-0.75,-0.4912097156047821],0],
				["florzinha6-sheet1.png", 17159, 1, 55, 52, 44, 1, 0.7692307829856873, 0.9318181872367859,[],[-0.7692307829856873,-0.9318181872367859,0.2307692170143127,-0.9318181872367859,0.2307692170143127,-0.4831011891365051,-0.7692307829856873,-0.5087422132492065],0],
				["florzinha6-sheet1.png", 17159, 1, 1, 52, 53, 1, 0.7692307829856873, 0.9433962106704712,[],[-0.7692307829856873,-0.9433962106704712,0.2307692170143127,-0.9433962106704712,0.2307692170143127,-0.4946792125701904,-0.7692307829856873,-0.5203201770782471],0],
				["florzinha6-sheet0.png", 15913, 1, 151, 52, 61, 1, 0.75, 0.9508196711540222,[],[-0.75,-0.9508196711540222,0.25,-0.9508196711540222,0.25,-0.5021026730537415,-0.75,-0.5277436971664429],0],
				["florzinha6-sheet0.png", 15913, 1, 80, 52, 70, 1, 0.7307692170143127, 0.9571428298950195,[],[-0.7307692170143127,-0.9571428298950195,0.2692307829856873,-0.9571428298950195,0.2692307829856873,-0.5084258317947388,-0.7307692170143127,-0.5340667963027954],0],
				["florzinha6-sheet0.png", 15913, 1, 1, 52, 78, 1, 0.6730769276618958, 0.9615384340286255,[],[-0.6730769276618958,-0.9615384340286255,0.3269230723381043,-0.9615384340286255,0.3269230723381043,-0.5897444486618042,-0.6730769276618958,-0.5897444486618042],0]
			]
			]
,			[
			"anime2",
			10,
			false,
			1,
			0,
			true,
			3558509891086924,
			[
				["florzinha6-sheet0.png", 15913, 160, 213, 52, 35, 1, 0.6730769276618958, 0.4285714328289032,[],[],0],
				["florzinha6-sheet1.png", 17159, 1, 100, 52, 35, 1, 0.692307710647583, 0.6857143044471741,[],[],0],
				["florzinha6-sheet1.png", 17159, 54, 100, 52, 35, 1, 0.75, 0.9142857193946838,[],[],0],
				["florzinha6-sheet1.png", 17159, 54, 55, 52, 44, 1, 0.7692307829856873, 0.9318181872367859,[],[],0],
				["florzinha6-sheet1.png", 17159, 54, 1, 52, 53, 1, 0.7692307829856873, 0.9433962106704712,[],[],0],
				["florzinha6-sheet0.png", 15913, 54, 151, 52, 61, 1, 0.75, 0.9508196711540222,[],[],0],
				["florzinha6-sheet0.png", 15913, 54, 80, 52, 70, 1, 0.7307692170143127, 0.9571428298950195,[],[],0],
				["florzinha6-sheet0.png", 15913, 54, 1, 52, 78, 1, 0.6730769276618958, 0.9615384340286255,[],[],0]
			]
			]
,			[
			"anime3",
			10,
			false,
			1,
			0,
			false,
			1915223207098784,
			[
				["florzinha6-sheet1.png", 17159, 107, 100, 52, 35, 1, 0.6730769276618958, 0.4285714328289032,[],[],0],
				["florzinha6-sheet1.png", 17159, 160, 100, 52, 35, 1, 0.692307710647583, 0.6857143044471741,[],[],0],
				["florzinha6-sheet1.png", 17159, 1, 136, 52, 35, 1, 0.75, 0.9142857193946838,[],[],0],
				["florzinha6-sheet1.png", 17159, 107, 55, 52, 44, 1, 0.7692307829856873, 0.9318181872367859,[],[],0],
				["florzinha6-sheet1.png", 17159, 107, 1, 52, 53, 1, 0.7692307829856873, 0.9433962106704712,[],[],0],
				["florzinha6-sheet0.png", 15913, 107, 151, 52, 61, 1, 0.75, 0.9508196711540222,[],[],0],
				["florzinha6-sheet0.png", 15913, 107, 80, 52, 70, 1, 0.7307692170143127, 0.9571428298950195,[],[],0],
				["florzinha6-sheet0.png", 15913, 107, 1, 52, 78, 1, 0.6730769276618958, 0.9615384340286255,[],[-0.6730769276618958,-0.9615384340286255,0.3269230723381043,-0.9615384340286255,0.3269230723381043,-0.5769234299659729,-0.6730769276618958,-0.5769234299659729],0]
			]
			]
,			[
			"anime4",
			10,
			false,
			1,
			0,
			true,
			2939614736793095,
			[
				["florzinha6-sheet1.png", 17159, 54, 136, 52, 35, 1, 0.6730769276618958, 0.4285714328289032,[],[],0],
				["florzinha6-sheet1.png", 17159, 107, 136, 52, 35, 1, 0.692307710647583, 0.6857143044471741,[],[],0],
				["florzinha6-sheet1.png", 17159, 160, 136, 52, 35, 1, 0.75, 0.9142857193946838,[],[],0],
				["florzinha6-sheet1.png", 17159, 160, 55, 52, 44, 1, 0.7692307829856873, 0.9318181872367859,[],[],0],
				["florzinha6-sheet1.png", 17159, 160, 1, 52, 53, 1, 0.7692307829856873, 0.9433962106704712,[],[],0],
				["florzinha6-sheet0.png", 15913, 160, 151, 52, 61, 1, 0.75, 0.9508196711540222,[],[],0],
				["florzinha6-sheet0.png", 15913, 160, 80, 52, 70, 1, 0.7307692170143127, 0.9571428298950195,[],[],0],
				["florzinha6-sheet0.png", 15913, 160, 1, 52, 78, 1, 0.6730769276618958, 0.9615384340286255,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		9064593553628305,
		[],
		null
	]
,	[
		"t10",
		cr.plugins_.Sprite,
		false,
		[9966116751861103],
		0,
		0,
		null,
		[
			[
			"anime1",
			10,
			false,
			1,
			0,
			false,
			3696288637705656,
			[
				["florzinha7-sheet1.png", 6750, 89, 37, 43, 32, 1, 0.604651153087616, 0.46875,[],[],0],
				["florzinha7-sheet1.png", 6750, 177, 1, 43, 33, 1, 0.6511628031730652, 0.7272727489471436,[],[],0],
				["florzinha7-sheet1.png", 6750, 1, 1, 43, 35, 1, 0.6976743936538696, 0.9142857193946838,[],[],0],
				["florzinha7-sheet0.png", 14367, 89, 204, 43, 44, 1, 0.7441860437393189, 0.9318181872367859,[],[],0],
				["florzinha7-sheet0.png", 14367, 177, 143, 43, 53, 1, 0.7441860437393189, 0.9433962106704712,[],[],0],
				["florzinha7-sheet0.png", 14367, 89, 80, 43, 61, 1, 0.7209302186965942, 0.9508196711540222,[],[],0],
				["florzinha7-sheet0.png", 14367, 177, 1, 43, 70, 1, 0.6744186282157898, 0.9571428298950195,[],[],0],
				["florzinha7-sheet0.png", 14367, 1, 1, 43, 78, 1, 0.604651153087616, 0.9615384340286255,[],[-0.604651153087616,-0.9615384340286255,0.395348846912384,-0.9615384340286255,0.395348846912384,-0.5512824058532715,-0.604651153087616,-0.5512824058532715],0]
			]
			]
,			[
			"anime2",
			10,
			false,
			1,
			0,
			true,
			1855285294811049,
			[
				["florzinha7-sheet1.png", 6750, 133, 37, 43, 32, 1, 0.604651153087616, 0.46875,[],[],0],
				["florzinha7-sheet1.png", 6750, 177, 35, 43, 33, 1, 0.6511628031730652, 0.7272727489471436,[],[],0],
				["florzinha7-sheet1.png", 6750, 45, 1, 43, 35, 1, 0.6976743936538696, 0.9142857193946838,[],[],0],
				["florzinha7-sheet0.png", 14367, 133, 204, 43, 44, 1, 0.7441860437393189, 0.9318181872367859,[],[],0],
				["florzinha7-sheet0.png", 14367, 1, 151, 43, 53, 1, 0.7441860437393189, 0.9433962106704712,[],[],0],
				["florzinha7-sheet0.png", 14367, 133, 80, 43, 61, 1, 0.7209302186965942, 0.9508196711540222,[],[],0],
				["florzinha7-sheet0.png", 14367, 177, 72, 43, 70, 1, 0.6744186282157898, 0.9571428298950195,[],[],0],
				["florzinha7-sheet0.png", 14367, 45, 1, 43, 78, 1, 0.604651153087616, 0.9615384340286255,[],[],0]
			]
			]
,			[
			"anime3",
			10,
			false,
			1,
			0,
			false,
			2089559343096114,
			[
				["florzinha7-sheet1.png", 6750, 177, 69, 43, 32, 1, 0.604651153087616, 0.46875,[],[],0],
				["florzinha7-sheet1.png", 6750, 1, 37, 43, 33, 1, 0.6511628031730652, 0.7272727489471436,[],[],0],
				["florzinha7-sheet1.png", 6750, 89, 1, 43, 35, 1, 0.6976743936538696, 0.9142857193946838,[],[],0],
				["florzinha7-sheet0.png", 14367, 1, 205, 43, 44, 1, 0.7441860437393189, 0.9318181872367859,[],[],0],
				["florzinha7-sheet0.png", 14367, 45, 151, 43, 53, 1, 0.7441860437393189, 0.9433962106704712,[],[],0],
				["florzinha7-sheet0.png", 14367, 89, 142, 43, 61, 1, 0.7209302186965942, 0.9508196711540222,[],[],0],
				["florzinha7-sheet0.png", 14367, 1, 80, 43, 70, 1, 0.6744186282157898, 0.9571428298950195,[],[],0],
				["florzinha7-sheet0.png", 14367, 89, 1, 43, 78, 1, 0.604651153087616, 0.9615384340286255,[],[-0.604651153087616,-0.9615384340286255,0.395348846912384,-0.9615384340286255,0.395348846912384,-0.5512824058532715,-0.604651153087616,-0.589743435382843],0]
			]
			]
,			[
			"anime4",
			10,
			false,
			1,
			0,
			true,
			3267544599793863,
			[
				["florzinha7-sheet1.png", 6750, 89, 70, 43, 32, 1, 0.604651153087616, 0.46875,[],[],0],
				["florzinha7-sheet1.png", 6750, 45, 37, 43, 33, 1, 0.6511628031730652, 0.7272727489471436,[],[],0],
				["florzinha7-sheet1.png", 6750, 133, 1, 43, 35, 1, 0.6976743936538696, 0.9142857193946838,[],[],0],
				["florzinha7-sheet0.png", 14367, 45, 205, 43, 44, 1, 0.7441860437393189, 0.9318181872367859,[],[],0],
				["florzinha7-sheet0.png", 14367, 177, 197, 43, 53, 1, 0.7441860437393189, 0.9433962106704712,[],[],0],
				["florzinha7-sheet0.png", 14367, 133, 142, 43, 61, 1, 0.7209302186965942, 0.9508196711540222,[],[],0],
				["florzinha7-sheet0.png", 14367, 45, 80, 43, 70, 1, 0.6744186282157898, 0.9571428298950195,[],[],0],
				["florzinha7-sheet0.png", 14367, 133, 1, 43, 78, 1, 0.604651153087616, 0.9615384340286255,[],[],0]
			]
			]
		],
		[
		],
		true,
		false,
		5421837036284622,
		[],
		null
	]
,	[
		"t11",
		cr.plugins_.Sprite,
		false,
		[3831054594842675],
		0,
		0,
		null,
		[
			[
			"anime1",
			10,
			false,
			1,
			0,
			false,
			8926307989701058,
			[
				["florzinha8-sheet0.png", 17228, 212, 215, 34, 32, 1, 0.7647058963775635, 0.46875,[],[],0],
				["florzinha8-sheet0.png", 17228, 36, 187, 34, 33, 1, 0.8235294222831726, 0.7272727489471436,[],[],0],
				["florzinha8-sheet0.png", 17228, 141, 143, 34, 35, 1, 0.8823529481887817, 0.9142857193946838,[],[],0],
				["florzinha8-sheet0.png", 17228, 176, 134, 35, 44, 1, 0.9142857193946838, 0.9318181872367859,[],[],0],
				["florzinha8-sheet0.png", 17228, 71, 80, 34, 53, 1, 0.9411764740943909, 0.9433962106704712,[],[],0],
				["florzinha8-sheet0.png", 17228, 176, 72, 34, 61, 1, 0.9117646813392639, 0.9508196711540222,[],[],0],
				["florzinha8-sheet0.png", 17228, 141, 1, 34, 70, 1, 0.8529411554336548, 0.9571428298950195,[],[],0],
				["florzinha8-sheet0.png", 17228, 1, 1, 34, 78, 1, 0.7647058963775635, 0.9615384340286255,[],[-0.7647058963775635,-0.9615384340286255,0.2352941036224365,-0.9615384340286255,0.2352941036224365,-0.5512824058532715,-0.7647058963775635,-0.5512824058532715],0]
			]
			]
,			[
			"anime2",
			10,
			false,
			1,
			0,
			true,
			1131020200245013,
			[
				["florzinha8-sheet0.png", 17228, 36, 221, 34, 32, 1, 0.7647058963775635, 0.46875,[],[],0],
				["florzinha8-sheet0.png", 17228, 71, 188, 34, 33, 1, 0.8235294222831726, 0.7272727489471436,[],[],0],
				["florzinha8-sheet0.png", 17228, 177, 179, 34, 35, 1, 0.8823529481887817, 0.9142857193946838,[],[],0],
				["florzinha8-sheet0.png", 17228, 212, 134, 35, 44, 1, 0.9142857193946838, 0.9318181872367859,[],[],0],
				["florzinha8-sheet0.png", 17228, 106, 80, 34, 53, 1, 0.9411764740943909, 0.9433962106704712,[],[],0],
				["florzinha8-sheet0.png", 17228, 211, 72, 34, 61, 1, 0.9117646813392639, 0.9508196711540222,[],[],0],
				["florzinha8-sheet0.png", 17228, 176, 1, 34, 70, 1, 0.8529411554336548, 0.9571428298950195,[],[],0],
				["florzinha8-sheet0.png", 17228, 36, 1, 34, 78, 1, 0.7647058963775635, 0.9615384340286255,[],[],0]
			]
			]
,			[
			"anime3",
			10,
			false,
			1,
			0,
			false,
			3791198952203932,
			[
				["florzinha8-sheet0.png", 17228, 71, 222, 34, 32, 1, 0.7647058963775635, 0.46875,[],[],0],
				["florzinha8-sheet0.png", 17228, 106, 188, 34, 33, 1, 0.8235294222831726, 0.7272727489471436,[],[],0],
				["florzinha8-sheet0.png", 17228, 212, 179, 34, 35, 1, 0.8823529481887817, 0.9142857193946838,[],[],0],
				["florzinha8-sheet0.png", 17228, 1, 142, 35, 44, 1, 0.9142857193946838, 0.9318181872367859,[],[],0],
				["florzinha8-sheet0.png", 17228, 71, 134, 34, 53, 1, 0.9411764740943909, 0.9433962106704712,[],[],0],
				["florzinha8-sheet0.png", 17228, 1, 80, 34, 61, 1, 0.9117646813392639, 0.9508196711540222,[],[],0],
				["florzinha8-sheet0.png", 17228, 211, 1, 34, 70, 1, 0.8529411554336548, 0.9571428298950195,[],[],0],
				["florzinha8-sheet0.png", 17228, 71, 1, 34, 78, 1, 0.7647058963775635, 0.9615384340286255,[],[-0.7647058963775635,-0.9615384340286255,0.2352941036224365,-0.9615384340286255,0.2352941036224365,-0.6025644540786743,-0.7647058963775635,-0.5641024112701416],0]
			]
			]
,			[
			"anime4",
			10,
			false,
			1,
			0,
			true,
			4099053025655903,
			[
				["florzinha8-sheet0.png", 17228, 106, 222, 34, 32, 1, 0.7647058963775635, 0.46875,[],[],0],
				["florzinha8-sheet0.png", 17228, 177, 215, 34, 33, 1, 0.8235294222831726, 0.7272727489471436,[],[],0],
				["florzinha8-sheet0.png", 17228, 1, 187, 34, 35, 1, 0.8823529481887817, 0.9142857193946838,[],[],0],
				["florzinha8-sheet0.png", 17228, 141, 179, 35, 44, 1, 0.9142857193946838, 0.9318181872367859,[],[],0],
				["florzinha8-sheet0.png", 17228, 106, 134, 34, 53, 1, 0.9411764740943909, 0.9433962106704712,[],[],0],
				["florzinha8-sheet0.png", 17228, 36, 80, 34, 61, 1, 0.9117646813392639, 0.9508196711540222,[],[],0],
				["florzinha8-sheet0.png", 17228, 141, 72, 34, 70, 1, 0.8529411554336548, 0.9571428298950195,[],[],0],
				["florzinha8-sheet0.png", 17228, 106, 1, 34, 78, 1, 0.7647058963775635, 0.9615384340286255,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		5126019191312267,
		[],
		null
	]
,	[
		"t12",
		cr.plugins_.Sprite,
		false,
		[6722288982644298],
		0,
		0,
		null,
		[
			[
			"anime1",
			10,
			false,
			1,
			0,
			false,
			8298665440057987,
			[
				["florzinha9-sheet1.png", 16555, 173, 1, 42, 44, 1, 0.6666666865348816, 0.4318181872367859,[],[],0],
				["florzinha9-sheet1.png", 16555, 173, 46, 42, 44, 1, 0.7142857313156128, 0.6136363744735718,[],[],0],
				["florzinha9-sheet1.png", 16555, 44, 49, 42, 44, 1, 0.761904776096344, 0.8181818127632141,[],[],0],
				["florzinha9-sheet0.png", 17995, 130, 207, 42, 47, 1, 0.8095238208770752, 0.936170220375061,[],[],0],
				["florzinha9-sheet0.png", 17995, 130, 150, 42, 56, 1, 0.8095238208770752, 0.9464285969734192,[],[],0],
				["florzinha9-sheet0.png", 17995, 87, 84, 42, 65, 1, 0.7857142686843872, 0.9538461565971375,[],[],0],
				["florzinha9-sheet0.png", 17995, 173, 1, 42, 73, 1, 0.738095223903656, 0.9589040875434876,[],[],0],
				["florzinha9-sheet0.png", 17995, 1, 1, 42, 82, 1, 0.6666666865348816, 0.9634146094322205,[],[-0.6666666865348816,-0.9634146094322205,0.3333333134651184,-0.9634146094322205,0.3333333134651184,-0.5853656530380249,-0.6666666865348816,-0.5853656530380249],0]
			]
			]
,			[
			"anime2",
			10,
			false,
			1,
			0,
			true,
			5662374380606169,
			[
				["florzinha9-sheet1.png", 16555, 87, 49, 42, 44, 1, 0.6666666865348816, 0.4318181872367859,[],[],0],
				["florzinha9-sheet1.png", 16555, 130, 49, 42, 44, 1, 0.7142857313156128, 0.6136363744735718,[],[],0],
				["florzinha9-sheet1.png", 16555, 1, 58, 42, 44, 1, 0.761904776096344, 0.8181818127632141,[],[],0],
				["florzinha9-sheet1.png", 16555, 44, 1, 42, 47, 1, 0.8095238208770752, 0.936170220375061,[],[],0],
				["florzinha9-sheet0.png", 17995, 1, 158, 42, 56, 1, 0.8095238208770752, 0.9464285969734192,[],[],0],
				["florzinha9-sheet0.png", 17995, 130, 84, 42, 65, 1, 0.7857142686843872, 0.9538461565971375,[],[],0],
				["florzinha9-sheet0.png", 17995, 173, 75, 42, 73, 1, 0.738095223903656, 0.9589040875434876,[],[],0],
				["florzinha9-sheet0.png", 17995, 44, 1, 42, 82, 1, 0.6666666865348816, 0.9634146094322205,[],[],0]
			]
			]
,			[
			"anime3",
			10,
			false,
			1,
			0,
			false,
			7895836426780317,
			[
				["florzinha9-sheet1.png", 16555, 173, 91, 42, 44, 1, 0.6666666865348816, 0.4318181872367859,[],[],0],
				["florzinha9-sheet1.png", 16555, 44, 94, 42, 44, 1, 0.7142857313156128, 0.6136363744735718,[],[],0],
				["florzinha9-sheet1.png", 16555, 87, 94, 42, 44, 1, 0.761904776096344, 0.8181818127632141,[],[],0],
				["florzinha9-sheet1.png", 16555, 87, 1, 42, 47, 1, 0.8095238208770752, 0.936170220375061,[],[],0],
				["florzinha9-sheet0.png", 17995, 44, 158, 42, 56, 1, 0.8095238208770752, 0.9464285969734192,[],[],0],
				["florzinha9-sheet0.png", 17995, 173, 149, 42, 65, 1, 0.7857142686843872, 0.9538461565971375,[],[],0],
				["florzinha9-sheet0.png", 17995, 1, 84, 42, 73, 1, 0.738095223903656, 0.9589040875434876,[],[],0],
				["florzinha9-sheet0.png", 17995, 87, 1, 42, 82, 1, 0.6666666865348816, 0.9634146094322205,[],[-0.6666666865348816,-0.9634146094322205,0.3333333134651184,-0.9634146094322205,0.3333333134651184,-0.499999612569809,-0.6666666865348816,-0.499999612569809],0]
			]
			]
,			[
			"anime4",
			10,
			false,
			1,
			0,
			true,
			9237055900789631,
			[
				["florzinha9-sheet1.png", 16555, 130, 94, 42, 44, 1, 0.6666666865348816, 0.4318181872367859,[],[],0],
				["florzinha9-sheet1.png", 16555, 1, 103, 42, 44, 1, 0.7142857313156128, 0.6136363744735718,[],[],0],
				["florzinha9-sheet1.png", 16555, 173, 136, 42, 44, 1, 0.761904776096344, 0.8181818127632141,[],[],0],
				["florzinha9-sheet1.png", 16555, 130, 1, 42, 47, 1, 0.8095238208770752, 0.936170220375061,[],[],0],
				["florzinha9-sheet1.png", 16555, 1, 1, 42, 56, 1, 0.8095238208770752, 0.9464285969734192,[],[],0],
				["florzinha9-sheet0.png", 17995, 87, 150, 42, 65, 1, 0.7857142686843872, 0.9538461565971375,[],[],0],
				["florzinha9-sheet0.png", 17995, 44, 84, 42, 73, 1, 0.738095223903656, 0.9589040875434876,[],[],0],
				["florzinha9-sheet0.png", 17995, 130, 1, 42, 82, 1, 0.6666666865348816, 0.9634146094322205,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		3509808580761815,
		[],
		null
	]
,	[
		"t13",
		cr.plugins_.Sprite,
		false,
		[4670041814524129],
		0,
		0,
		null,
		[
			[
			"anime1",
			10,
			false,
			1,
			0,
			false,
			8738667777939231,
			[
				["florzinha10-sheet0.png", 15032, 37, 150, 31, 30, 1, 0.8709677457809448, 0.6333333253860474,[],[],0],
				["florzinha10-sheet0.png", 15032, 213, 198, 31, 30, 1, 0.9354838728904724, 0.8999999761581421,[],[],0],
				["florzinha10-sheet0.png", 15032, 37, 198, 34, 39, 1, 0.9411764740943909, 0.9230769276618958,[],[],0],
				["florzinha10-sheet0.png", 15032, 107, 149, 35, 47, 1, 0.9428571462631226, 0.936170220375061,[],[],0],
				["florzinha10-sheet0.png", 15032, 71, 84, 35, 56, 1, 0.9428571462631226, 0.9464285969734192,[],[],0],
				["florzinha10-sheet0.png", 15032, 162, 75, 34, 65, 1, 0.9411764740943909, 0.9538461565971375,[],[],0],
				["florzinha10-sheet0.png", 15032, 129, 1, 32, 73, 1, 0.9375, 0.9589040875434876,[],[],0],
				["florzinha10-sheet0.png", 15032, 1, 1, 31, 82, 1, 0.8709677457809448, 0.9634146094322205,[],[-0.8709677457809448,-0.9634146094322205,0.1290322542190552,-0.9634146094322205,0.1290322542190552,-0.621950626373291,-0.8709677457809448,-0.621950626373291],0]
			]
			]
,			[
			"anime2",
			10,
			false,
			1,
			0,
			true,
			407775607613497,
			[
				["florzinha10-sheet1.png", 3210, 1, 1, 31, 30, 1, 0.8709677457809448, 0.6333333253860474,[],[],0],
				["florzinha10-sheet1.png", 3210, 33, 1, 31, 30, 1, 0.9354838728904724, 0.8999999761581421,[],[],0],
				["florzinha10-sheet0.png", 15032, 72, 198, 34, 39, 1, 0.9411764740943909, 0.9230769276618958,[],[],0],
				["florzinha10-sheet0.png", 15032, 1, 150, 35, 47, 1, 0.9428571462631226, 0.936170220375061,[],[],0],
				["florzinha10-sheet0.png", 15032, 71, 141, 35, 56, 1, 0.9428571462631226, 0.9464285969734192,[],[],0],
				["florzinha10-sheet0.png", 15032, 197, 75, 34, 65, 1, 0.9411764740943909, 0.9538461565971375,[],[],0],
				["florzinha10-sheet0.png", 15032, 162, 1, 32, 73, 1, 0.9375, 0.9589040875434876,[],[],0],
				["florzinha10-sheet0.png", 15032, 33, 1, 31, 82, 1, 0.8709677457809448, 0.9634146094322205,[],[],0]
			]
			]
,			[
			"anime3",
			10,
			false,
			1,
			0,
			false,
			3092036957837284,
			[
				["florzinha10-sheet1.png", 3210, 65, 1, 31, 30, 1, 0.8709677457809448, 0.6333333253860474,[],[],0],
				["florzinha10-sheet1.png", 3210, 1, 32, 31, 30, 1, 0.9354838728904724, 0.8999999761581421,[],[],0],
				["florzinha10-sheet0.png", 15032, 143, 198, 34, 39, 1, 0.9411764740943909, 0.9230769276618958,[],[],0],
				["florzinha10-sheet0.png", 15032, 107, 197, 35, 47, 1, 0.9428571462631226, 0.936170220375061,[],[],0],
				["florzinha10-sheet0.png", 15032, 162, 141, 35, 56, 1, 0.9428571462631226, 0.9464285969734192,[],[],0],
				["florzinha10-sheet0.png", 15032, 1, 84, 34, 65, 1, 0.9411764740943909, 0.9538461565971375,[],[],0],
				["florzinha10-sheet0.png", 15032, 195, 1, 32, 73, 1, 0.9375, 0.9589040875434876,[],[],0],
				["florzinha10-sheet0.png", 15032, 65, 1, 31, 82, 1, 0.8709677457809448, 0.9634146094322205,[],[-0.8709677457809448,-0.9634146094322205,0.1290322542190552,-0.9634146094322205,0.1290322542190552,-0.6097556352615356,-0.8709677457809448,-0.5975606441497803],0]
			]
			]
,			[
			"anime4",
			10,
			false,
			1,
			0,
			true,
			1488595968045731,
			[
				["florzinha10-sheet1.png", 3210, 33, 32, 31, 30, 1, 0.8709677457809448, 0.6333333253860474,[],[],0],
				["florzinha10-sheet1.png", 3210, 65, 32, 31, 30, 1, 0.9354838728904724, 0.8999999761581421,[],[],0],
				["florzinha10-sheet0.png", 15032, 178, 198, 34, 39, 1, 0.9411764740943909, 0.9230769276618958,[],[],0],
				["florzinha10-sheet0.png", 15032, 1, 198, 35, 47, 1, 0.9428571462631226, 0.936170220375061,[],[],0],
				["florzinha10-sheet0.png", 15032, 198, 141, 35, 56, 1, 0.9428571462631226, 0.9464285969734192,[],[],0],
				["florzinha10-sheet0.png", 15032, 36, 84, 34, 65, 1, 0.9411764740943909, 0.9538461565971375,[],[],0],
				["florzinha10-sheet0.png", 15032, 129, 75, 32, 73, 1, 0.9375, 0.9589040875434876,[],[],0],
				["florzinha10-sheet0.png", 15032, 97, 1, 31, 82, 1, 0.8709677457809448, 0.9634146094322205,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		9584298751488815,
		[],
		null
	]
,	[
		"t14",
		cr.plugins_.Sprite,
		false,
		[],
		3,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			9491377931815465,
			[
				["quadro1-sheet0.png", 14808, 0, 0, 75, 95, 1, 0.4266666769981384, 0.06315789371728897,[],[-0.4200000166893005,-0.02105259522795677,0.4600003361701965,-0.05789472162723541,0.5200003385543823,0.863158106803894,-0.346666693687439,0.9105260968208313],0]
			]
			]
		],
		[
		[
			"Sine",
			cr.behaviors.Sin,
			3582618112204332
		]
,		[
			"DragDrop",
			cr.behaviors.DragnDrop,
			1536446747035017
		]
,		[
			"MoveTo",
			cr.behaviors.Rex_MoveTo,
			9627714267214645
		]
		],
		false,
		false,
		8519005178642657,
		[],
		null
	]
,	[
		"t15",
		cr.plugins_.Sprite,
		false,
		[],
		3,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			3221306810421257,
			[
				["quadro2-sheet0.png", 13027, 0, 0, 76, 85, 1, 0.5263158082962036, 0.05882352963089943,[],[-0.4638158082962036,-0.05882352963089943,0.4506582021713257,-0.01764702796936035,0.4046052098274231,0.9294114708900452,-0.5164473652839661,0.8764704465866089],0]
			]
			]
		],
		[
		[
			"DragDrop",
			cr.behaviors.DragnDrop,
			1460221722100056
		]
,		[
			"Sine",
			cr.behaviors.Sin,
			8620158654602632
		]
,		[
			"MoveTo",
			cr.behaviors.Rex_MoveTo,
			5550054978980429
		]
		],
		false,
		false,
		5506057793558212,
		[],
		null
	]
,	[
		"t16",
		cr.plugins_.Sprite,
		false,
		[],
		3,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			8096840264459244,
			[
				["quadro3-sheet0.png", 13892, 0, 0, 75, 94, 1, 0.5333333611488342, 0.07446808367967606,[],[-0.4733333587646484,-0.07446808367967606,0.4666666388511658,-0.03191488236188889,0.3966666460037231,0.8989359140396118,-0.5333333611488342,0.8776599168777466],0]
			]
			]
		],
		[
		[
			"DragDrop",
			cr.behaviors.DragnDrop,
			2966074299542512
		]
,		[
			"MoveTo",
			cr.behaviors.Rex_MoveTo,
			5022968612084345
		]
,		[
			"Sine",
			cr.behaviors.Sin,
			6744898636008244
		]
		],
		false,
		false,
		3227515420670902,
		[],
		null
	]
,	[
		"t17",
		cr.plugins_.Sprite,
		false,
		[],
		3,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			3557894724207126,
			[
				["quadro4-sheet0.png", 14402, 0, 0, 79, 97, 1, 0.4177215099334717, 0.1030927821993828,[],[-0.4145569503307343,-0.02577318251132965,0.4525315165519714,-0.09020618349313736,0.5601264834403992,0.8118551969528198,-0.3164555132389069,0.8711342215538025],0]
			]
			]
		],
		[
		[
			"DragDrop",
			cr.behaviors.DragnDrop,
			5821715485493362
		]
,		[
			"Sine",
			cr.behaviors.Sin,
			1617775392723564
		]
,		[
			"MoveTo",
			cr.behaviors.Rex_MoveTo,
			3320253394868508
		]
		],
		false,
		false,
		1446645655684658,
		[],
		null
	]
,	[
		"t18",
		cr.plugins_.Sprite,
		false,
		[],
		3,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			5344570930942797,
			[
				["quadro5-sheet0.png", 7915, 0, 0, 54, 67, 1, 0.5, 0.0746268630027771,[],[-0.3148149847984314,0.07462713122367859,0,-0.05970146507024765,0.3333330154418945,0.05970112979412079,0.4814810156822205,0.4179101288318634,0.3148149847984314,0.7761191129684448,0,0.8955221176147461,-0.3148149847984314,0.7761191129684448,-0.4814814925193787,0.4179101288318634],0]
			]
			]
		],
		[
		[
			"DragDrop",
			cr.behaviors.DragnDrop,
			5691745860727888
		]
,		[
			"Sine",
			cr.behaviors.Sin,
			6093736412632325
		]
,		[
			"MoveTo",
			cr.behaviors.Rex_MoveTo,
			9876898609168893
		]
		],
		false,
		false,
		4440181465396548,
		[],
		null
	]
,	[
		"t19",
		cr.plugins_.Sprite,
		false,
		[],
		3,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			7715982537844591,
			[
				["quadro6-sheet0.png", 18368, 0, 0, 70, 119, 1, 0.5, 0.04201680794358254,[],[-0.4714286029338837,-0.02521010860800743,0.449999988079071,-0.02941180765628815,0.449999988079071,0.9369751811027527,-0.4857142865657806,0.9243701696395874],0]
			]
			]
		],
		[
		[
			"DragDrop",
			cr.behaviors.DragnDrop,
			3281631034600071
		]
,		[
			"MoveTo",
			cr.behaviors.Rex_MoveTo,
			2720364407336417
		]
,		[
			"Sine",
			cr.behaviors.Sin,
			4209581131649078
		]
		],
		false,
		false,
		2454431105179599,
		[],
		null
	]
,	[
		"t20",
		cr.plugins_.WebStorage,
		false,
		[],
		0,
		0,
		null,
		null,
		[
		],
		false,
		false,
		9207119904799581,
		[],
		null
		,[]
	]
,	[
		"t21",
		cr.plugins_.Touch,
		false,
		[],
		0,
		0,
		null,
		null,
		[
		],
		false,
		false,
		9341849809984684,
		[],
		null
		,[1]
	]
,	[
		"t22",
		cr.plugins_.Browser,
		false,
		[],
		0,
		0,
		null,
		null,
		[
		],
		false,
		false,
		1193978891698913,
		[],
		null
		,[]
	]
,	[
		"t23",
		cr.plugins_.Audio,
		false,
		[],
		0,
		0,
		null,
		null,
		[
		],
		false,
		false,
		5051416813475639,
		[],
		null
		,[0,0,1,1,600,600,10000,1,5000,1]
	]
,	[
		"t24",
		cr.plugins_.CJSAds,
		false,
		[],
		0,
		0,
		null,
		null,
		[
		],
		false,
		false,
		3339520457322871,
		[],
		null
		,[0,1]
	]
,	[
		"t25",
		cr.plugins_.TiledBg,
		false,
		[],
		0,
		0,
		["cartabg.png", 1141660, 1],
		null,
		[
		],
		false,
		false,
		3408144299918837,
		[],
		null
	]
,	[
		"t26",
		cr.plugins_.Sprite,
		false,
		[],
		3,
		0,
		null,
		[
			[
			"thumb1",
			5,
			false,
			1,
			0,
			false,
			5514878986779956,
			[
				["thumb1-sheet0.png", 71650, 0, 0, 239, 181, 1, 0.5020920634269714, 0.5027624368667603,[],[-0.4686192572116852,-0.4585635364055634,-0.004184067249298096,-0.4585635364055634,0.4435149431228638,-0.4309392273426056,0.4811719655990601,-0.005524426698684692,0.4602509140968323,0.4475135803222656,-0.004184067249298096,0.4806625843048096,-0.4686192572116852,0.4530385732650757,-0.48953977227211,-0.005524426698684692],0]
			]
			]
		],
		[
		[
			"MoveTo",
			cr.behaviors.Rex_MoveTo,
			4304024972744726
		]
,		[
			"FadeIn",
			cr.behaviors.Fade,
			3162383862928782
		]
,		[
			"FadeOut",
			cr.behaviors.Fade,
			4537733733223972
		]
		],
		false,
		false,
		4050165732039734,
		[],
		null
	]
,	[
		"t27",
		cr.plugins_.Text,
		false,
		[],
		1,
		0,
		null,
		null,
		[
		[
			"Anchor",
			cr.behaviors.Anchor,
			2858821239805402
		]
		],
		false,
		false,
		1864188486876382,
		[],
		null
	]
,	[
		"t28",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			4656221168842582,
			[
				["maskcarta-sheet0.png", 106889, 0, 0, 791, 192, 1, 0.500632107257843, 0.5,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		1277691759815991,
		[],
		null
	]
,	[
		"t29",
		cr.plugins_.Sprite,
		false,
		[],
		3,
		0,
		null,
		[
			[
			"thumb1",
			5,
			false,
			1,
			0,
			false,
			6795398891396163,
			[
				["thumb2-sheet0.png", 54704, 0, 0, 239, 181, 1, 0.5020920634269714, 0.5027624368667603,[],[-0.4686192572116852,-0.4585635364055634,-0.004184067249298096,-0.4585635364055634,0.4435149431228638,-0.4309392273426056,0.4811719655990601,-0.005524426698684692,0.4602509140968323,0.4475135803222656,-0.004184067249298096,0.4806625843048096,-0.4686192572116852,0.4530385732650757,-0.48953977227211,-0.005524426698684692],0]
			]
			]
		],
		[
		[
			"MoveTo",
			cr.behaviors.Rex_MoveTo,
			6819984510925
		]
,		[
			"FadeIn",
			cr.behaviors.Fade,
			6881547872206541
		]
,		[
			"FadeOut",
			cr.behaviors.Fade,
			5683041207104607
		]
		],
		false,
		false,
		4543296814844532,
		[],
		null
	]
,	[
		"t30",
		cr.plugins_.Sprite,
		false,
		[],
		3,
		0,
		null,
		[
			[
			"thumb1",
			5,
			false,
			1,
			0,
			false,
			6515795632410941,
			[
				["thumb3-sheet0.png", 75848, 0, 0, 239, 181, 1, 0.5020920634269714, 0.5027624368667603,[],[-0.4686192572116852,-0.4585635364055634,-0.004184067249298096,-0.4585635364055634,0.4435149431228638,-0.4309392273426056,0.4811719655990601,-0.005524426698684692,0.4602509140968323,0.4475135803222656,-0.004184067249298096,0.4806625843048096,-0.4686192572116852,0.4530385732650757,-0.48953977227211,-0.005524426698684692],0]
			]
			]
		],
		[
		[
			"MoveTo",
			cr.behaviors.Rex_MoveTo,
			6058532974170281
		]
,		[
			"FadeIn",
			cr.behaviors.Fade,
			9823108406805268
		]
,		[
			"FadeOut",
			cr.behaviors.Fade,
			7330244842782701
		]
		],
		false,
		false,
		1683705226452501,
		[],
		null
	]
,	[
		"t31",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			8447000788927593,
			[
				["setadireita-sheet0.png", 1115, 0, 0, 25, 29, 1, 0.5199999809265137, 0.517241358757019,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		7616425170569707,
		[],
		null
	]
,	[
		"t32",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			4551992187416128,
			[
				["setaesquerda-sheet0.png", 1120, 0, 0, 25, 29, 1, 0.4799999892711639, 0.517241358757019,[],[0.5199999809265137,0.482758641242981,-0.4799999892711639,0.482758641242981,-0.4799999892711639,-0.517241358757019,0.5199999809265137,-0.517241358757019],0]
			]
			]
		],
		[
		],
		false,
		false,
		1953201019162751,
		[],
		null
	]
,	[
		"t33",
		cr.plugins_.Function,
		false,
		[],
		0,
		0,
		null,
		null,
		[
		],
		false,
		false,
		965145016495581,
		[],
		null
		,[]
	]
,	[
		"t34",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			9596758928536261,
			[
				["btncontinuar-sheet0.png", 7627, 0, 0, 120, 65, 1, 0.5, 0.5076923370361328,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		4256853831605589,
		[],
		null
	]
,	[
		"t35",
		cr.plugins_.Sprite,
		false,
		[],
		1,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			5682951808978682,
			[
				["nuvempark-sheet0.png", 23762, 0, 0, 428, 258, 1, 0, 0.7984496355056763,[],[],0]
			]
			]
		],
		[
		[
			"CustomMovement",
			cr.behaviors.custom,
			4530344650338413
		]
		],
		false,
		false,
		1601569162198089,
		[],
		null
	]
,	[
		"t36",
		cr.plugins_.Sprite,
		false,
		[],
		1,
		0,
		null,
		[
			[
			"anime1",
			5,
			false,
			1,
			0,
			false,
			4050762404184265,
			[
				["banco-sheet0.png", 16092, 1, 1, 295, 169, 1, 0.501694917678833, 0.5029585957527161,[],[-0.3423729240894318,-0.2248516082763672,-0.003389924764633179,-0.4615384936332703,0.4406780600547791,-0.402366578578949,0.4101690649986267,-0.005917608737945557,0.3423730731010437,0.2248523831367493,-0.003389924764633179,0.2781063914299011,-0.4338983297348023,0.3786984086036682,-0.4033898115158081,-0.005917608737945557],0]
			]
			]
,			[
			"anime2",
			5,
			false,
			1,
			0,
			false,
			8267420720365561,
			[
				["banco-sheet0.png", 16092, 1, 171, 295, 169, 1, 0.501694917678833, 0.5029585957527161,[],[-0.3423729240894318,-0.2248516082763672,-0.003389924764633179,-0.4615384936332703,0.4406780600547791,-0.402366578578949,0.4101690649986267,-0.005917608737945557,0.3423730731010437,0.2248523831367493,-0.003389924764633179,0.2781063914299011,-0.4338983297348023,0.3786984086036682,-0.4101695120334625,-0.005917608737945557],0]
			]
			]
		],
		[
		[
			"Pin",
			cr.behaviors.Pin,
			469939418280698
		]
		],
		false,
		false,
		4607642493777515,
		[],
		null
	]
,	[
		"t37",
		cr.plugins_.Sprite,
		false,
		[],
		1,
		0,
		null,
		[
			[
			"anime1",
			1,
			true,
			1,
			0,
			false,
			2728749381057701,
			[
				["nanarosa-sheet0.png", 434458, 1, 352, 265, 318, 2, 0.4301886856555939, 0.4150943458080292,[],[0.04905632138252258,-0.0157233476638794,0.06792432069778442,-0.2893083393573761,0.4339623153209686,-0.3018863499164581,0.4301883280277252,0.08490565419197083,0.2075473368167877,0.2830186784267426,0.06792432069778442,0.2987416684627533,-0.350943386554718,0.5188676118850708,0.07547131180763245,0.08490565419197083],0],
				["nanarosa-sheet0.png", 434458, 267, 352, 265, 318, 0.2000000029802322, 0.4301886856555939, 0.4150943458080292,[],[0.04905632138252258,-0.0157233476638794,0.06792432069778442,-0.2893083393573761,0.4339623153209686,-0.3018863499164581,0.4301883280277252,0.08490565419197083,0.2075473368167877,0.2830186784267426,0.06792432069778442,0.2987416684627533,-0.350943386554718,0.5188676118850708,0.07547131180763245,0.08490565419197083],0]
			]
			]
,			[
			"anime2",
			25,
			false,
			1,
			0,
			false,
			8890037680329277,
			[
				["nanarosa-sheet0.png", 434458, 533, 352, 265, 318, 1, 0.4301886856555939, 0.4150943458080292,[],[],0],
				["nanarosa-sheet0.png", 434458, 799, 352, 265, 318, 1, 0.4301886856555939, 0.4150943458080292,[],[],0],
				["nanarosa-sheet0.png", 434458, 1065, 352, 265, 318, 1, 0.4301886856555939, 0.4150943458080292,[],[],0],
				["nanarosa-sheet0.png", 434458, 1331, 352, 265, 318, 1, 0.4301886856555939, 0.4150943458080292,[],[],0],
				["nanarosa-sheet0.png", 434458, 1597, 352, 265, 318, 1, 0.4301886856555939, 0.4150943458080292,[],[],0],
				["nanarosa-sheet0.png", 434458, 1, 671, 265, 318, 1, 0.4301886856555939, 0.4150943458080292,[],[],0],
				["nanarosa-sheet0.png", 434458, 267, 671, 265, 318, 1, 0.4301886856555939, 0.4150943458080292,[],[],0],
				["nanarosa-sheet0.png", 434458, 533, 671, 265, 318, 1, 0.4301886856555939, 0.4150943458080292,[],[],0],
				["nanarosa-sheet0.png", 434458, 799, 671, 265, 318, 1, 0.4301886856555939, 0.4150943458080292,[],[],0],
				["nanarosa-sheet0.png", 434458, 1065, 671, 265, 318, 1, 0.4301886856555939, 0.4150943458080292,[],[],0],
				["nanarosa-sheet0.png", 434458, 1331, 671, 265, 318, 1, 0.4301886856555939, 0.4150943458080292,[],[],0],
				["nanarosa-sheet0.png", 434458, 1597, 671, 265, 318, 1, 0.4301886856555939, 0.4150943458080292,[],[],0],
				["nanarosa-sheet0.png", 434458, 1, 990, 265, 318, 1, 0.4301886856555939, 0.4150943458080292,[],[],0],
				["nanarosa-sheet0.png", 434458, 267, 990, 265, 318, 1, 0.4301886856555939, 0.4150943458080292,[],[],0],
				["nanarosa-sheet0.png", 434458, 533, 990, 265, 318, 1, 0.4301886856555939, 0.4150943458080292,[],[],0],
				["nanarosa-sheet0.png", 434458, 799, 990, 265, 318, 1, 0.4301886856555939, 0.4150943458080292,[],[],0],
				["nanarosa-sheet0.png", 434458, 1065, 990, 265, 318, 1, 0.4301886856555939, 0.4150943458080292,[],[],0],
				["nanarosa-sheet0.png", 434458, 1331, 990, 265, 318, 1, 0.4301886856555939, 0.4150943458080292,[],[],0],
				["nanarosa-sheet0.png", 434458, 1597, 990, 265, 318, 1, 0.4301886856555939, 0.4150943458080292,[],[],0],
				["nanarosa-sheet0.png", 434458, 1, 1309, 265, 318, 1, 0.4301886856555939, 0.4150943458080292,[],[],0],
				["nanarosa-sheet0.png", 434458, 267, 1309, 265, 318, 1, 0.4301886856555939, 0.4150943458080292,[],[],0],
				["nanarosa-sheet0.png", 434458, 533, 1309, 265, 318, 1, 0.4301886856555939, 0.4150943458080292,[],[],0],
				["nanarosa-sheet0.png", 434458, 799, 1309, 265, 318, 1, 0.4301886856555939, 0.4150943458080292,[],[],0],
				["nanarosa-sheet0.png", 434458, 1065, 1309, 265, 318, 1, 0.4301886856555939, 0.4150943458080292,[],[],0],
				["nanarosa-sheet0.png", 434458, 1331, 1309, 265, 318, 1, 0.4301886856555939, 0.4150943458080292,[],[],0],
				["nanarosa-sheet0.png", 434458, 1597, 1309, 265, 318, 1, 0.4301886856555939, 0.4150943458080292,[],[],0],
				["nanarosa-sheet0.png", 434458, 1, 1628, 265, 318, 1, 0.4301886856555939, 0.4150943458080292,[],[],0],
				["nanarosa-sheet0.png", 434458, 267, 1628, 265, 318, 1, 0.4301886856555939, 0.4150943458080292,[],[],0],
				["nanarosa-sheet0.png", 434458, 533, 1628, 265, 318, 1, 0.4301886856555939, 0.4150943458080292,[],[],0],
				["nanarosa-sheet0.png", 434458, 799, 1628, 265, 318, 1, 0.4301886856555939, 0.4150943458080292,[],[],0]
			]
			]
,			[
			"anime3",
			5,
			true,
			1,
			0,
			false,
			3372389664060716,
			[
				["nanarosa-sheet0.png", 434458, 1065, 1628, 254, 304, 14, 0.4685039222240448, 0.460526317358017,[],[],0],
				["nanarosa-sheet0.png", 434458, 1320, 1628, 254, 304, 0.5, 0.4685039222240448, 0.460526317358017,[],[],0]
			]
			]
,			[
			"anime4",
			8,
			false,
			1,
			0,
			true,
			6523891131136598,
			[
				["nanarosa-sheet0.png", 434458, 1, 1, 300, 350, 1, 0.4333333373069763, 0.4199999868869782,[],[],0],
				["nanarosa-sheet0.png", 434458, 302, 1, 300, 350, 1, 0.4333333373069763, 0.4199999868869782,[],[],0],
				["nanarosa-sheet0.png", 434458, 603, 1, 300, 350, 1, 0.4333333373069763, 0.4199999868869782,[],[],0],
				["nanarosa-sheet0.png", 434458, 904, 1, 300, 350, 1, 0.4333333373069763, 0.4199999868869782,[],[],0],
				["nanarosa-sheet0.png", 434458, 1205, 1, 300, 350, 1, 0.4333333373069763, 0.4199999868869782,[],[],0],
				["nanarosa-sheet0.png", 434458, 1506, 1, 300, 350, 8, 0.4333333373069763, 0.4199999868869782,[],[],0]
			]
			]
		],
		[
		[
			"Pin",
			cr.behaviors.Pin,
			2727811207322215
		]
		],
		false,
		false,
		9914979970712122,
		[],
		null
	]
,	[
		"t38",
		cr.plugins_.Sprite,
		false,
		[],
		1,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			70769064497559,
			[
				["baseparabola-sheet0.png", 155, 0, 0, 250, 250, 1, 0.5, 0.5,[],[],1]
			]
			]
		],
		[
		[
			"Pin",
			cr.behaviors.Pin,
			6595226330175267
		]
		],
		false,
		false,
		9261462015739822,
		[],
		null
	]
,	[
		"t39",
		cr.plugins_.Sprite,
		false,
		[509545591630459],
		2,
		0,
		null,
		[
			[
			"anime1",
			10,
			false,
			1,
			0,
			false,
			773489236253744,
			[
				["alpiste-sheet0.png", 163857, 173, 159, 17, 18, 1, 0.4117647111415863, 1.111111164093018,[],[],0],
				["alpiste-sheet1.png", 164006, 92, 250, 29, 31, 1, 0.4482758641242981, 0.8709677457809448,[],[],0],
				["alpiste-sheet0.png", 163857, 465, 456, 43, 44, 1, 0.4651162922382355, 0.75,[],[],0],
				["alpiste-sheet0.png", 163857, 413, 456, 51, 54, 1, 0.4705882370471954, 0.6851851940155029,[],[],0],
				["alpiste-sheet1.png", 164006, 229, 434, 62, 67, 1, 0.4838709533214569, 0.641791045665741,[],[],0],
				["alpiste-sheet2.png", 53185, 354, 1, 74, 81, 1, 0.4864864945411682, 0.604938268661499,[],[],0],
				["alpiste-sheet1.png", 164006, 92, 155, 83, 94, 1, 0.4939759075641632, 0.5744680762290955,[],[],0],
				["alpiste-sheet1.png", 164006, 1, 155, 90, 104, 1, 0.4888888895511627, 0.557692289352417,[],[],0],
				["alpiste-sheet1.png", 164006, 399, 1, 97, 117, 1, 0.4948453605175018, 0.5384615659713745,[],[],0],
				["alpiste-sheet0.png", 163857, 402, 1, 105, 130, 1.5, 0.4952380955219269, 0.5153846144676209,[],[],0],
				["alpiste-sheet1.png", 164006, 229, 293, 111, 140, 1.5, 0.4954954981803894, 0.5071428418159485,[],[],0],
				["alpiste-sheet2.png", 53185, 235, 1, 118, 152, 1, 0.5, 0.5,[],[],0]
			]
			]
,			[
			"anime2",
			22,
			false,
			1,
			0,
			false,
			1332788866358276,
			[
				["alpiste-sheet0.png", 163857, 373, 299, 126, 156, 1, 0.5, 0.5192307829856873,[],[],0],
				["alpiste-sheet0.png", 163857, 373, 141, 134, 157, 1, 0.5, 0.5350318551063538,[],[],0],
				["alpiste-sheet1.png", 164006, 343, 290, 141, 157, 1, 0.5035461187362671, 0.5477706789970398,[],[],0],
				["alpiste-sheet1.png", 164006, 343, 126, 148, 163, 1, 0.5067567825317383, 0.5337423086166382,[],[],0],
				["alpiste-sheet1.png", 164006, 186, 126, 156, 166, 1, 0.5064102411270142, 0.5240963697433472,[],[],0],
				["alpiste-sheet0.png", 163857, 1, 326, 162, 165, 1, 0.5061728358268738, 0.5151515007019043,[],[],0],
				["alpiste-sheet0.png", 163857, 1, 159, 171, 166, 1, 0.5087719559669495, 0.4939759075641632,[],[],0],
				["alpiste-sheet0.png", 163857, 194, 141, 178, 161, 1, 0.5112359523773193, 0.4844720363616943,[],[],0],
				["alpiste-sheet1.png", 164006, 1, 1, 184, 153, 1, 0.510869562625885, 0.4771241843700409,[],[],0],
				["alpiste-sheet0.png", 163857, 1, 1, 192, 157, 1, 0.5104166865348816, 0.4140127301216126,[],[],0],
				["alpiste-sheet0.png", 163857, 173, 303, 199, 142, 1, 0.5125628113746643, 0.401408463716507,[],[],0],
				["alpiste-sheet0.png", 163857, 194, 1, 207, 139, 1, 0.512077271938324, 0.3309352397918701,[],[],0],
				["alpiste-sheet1.png", 164006, 186, 1, 212, 124, 1, 0.5141509175300598, 0.2983871102333069,[],[],0],
				["alpiste-sheet1.png", 164006, 1, 293, 220, 109, 1, 0.5136363506317139, 0.2201834917068481,[],[],0],
				["alpiste-sheet1.png", 164006, 1, 403, 227, 94, 1, 0.5154185295104981, 0.09574468433856964,[],[],0],
				["alpiste-sheet2.png", 53185, 1, 1, 233, 86, 1, 0.5150214433670044, -0.04651162773370743,[],[],0],
				["alpiste-sheet2.png", 53185, 1, 154, 240, 71, 1, 0.5166666507720947, -0.2957746386528015,[],[],0],
				["alpiste-sheet0.png", 163857, 164, 456, 248, 54, 1, 0.5161290168762207, -0.6666666865348816,[],[],0]
			]
			]
		],
		[
		[
			"Pin",
			cr.behaviors.Pin,
			1663474353302725
		]
,		[
			"fadeOut",
			cr.behaviors.Fade,
			2832375642455366
		]
		],
		false,
		false,
		4000651539887224,
		[],
		null
	]
,	[
		"t40",
		cr.plugins_.Sprite,
		false,
		[],
		2,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			4233160698396617,
			[
				["drag-sheet0.png", 155, 0, 0, 250, 250, 1, 0.004000000189989805, 1,[],[],1]
			]
			]
		],
		[
		[
			"DragDrop",
			cr.behaviors.DragnDrop,
			8940481293822347
		]
,		[
			"Pin",
			cr.behaviors.Pin,
			8482225627760024
		]
		],
		false,
		false,
		9884581838942826,
		[],
		null
	]
,	[
		"t41",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"anime1",
			15,
			true,
			1,
			0,
			false,
			9923142099438649,
			[
				["passrosa1-sheet0.png", 224537, 1, 680, 142, 145, 1, 0.6760563254356384, 0.3862068951129913,[],[],0],
				["passrosa1-sheet0.png", 224537, 713, 896, 143, 126, 1, 0.5944055914878845, 0.2936508059501648,[],[],0],
				["passrosa1-sheet1.png", 249697, 687, 791, 138, 120, 1, 0.4927536249160767, 0.2583333253860474,[],[],0],
				["passrosa1-sheet1.png", 249697, 124, 679, 150, 115, 1, 0.3266666531562805, 0.2173912972211838,[],[],0],
				["passrosa1-sheet1.png", 249697, 847, 563, 155, 113, 1, 0.3161290287971497, 0.2212389409542084,[],[],0],
				["passrosa1-sheet1.png", 249697, 124, 562, 153, 116, 1, 0.3529411852359772, 0.2413793057203293,[],[],0],
				["passrosa1-sheet1.png", 249697, 809, 677, 154, 113, 1, 0.3311688303947449, 0.2212389409542084,[],[],0],
				["passrosa1-sheet0.png", 224537, 857, 898, 154, 116, 1, 0.3116883039474487, 0.2155172377824783,[],[],0],
				["passrosa1-sheet1.png", 249697, 536, 712, 150, 114, 1, 0.3333333432674408, 0.219298243522644,[],[],0],
				["passrosa1-sheet1.png", 249697, 826, 791, 144, 115, 1, 0.4097222089767456, 0.2347826063632965,[],[],0],
				["passrosa1-sheet1.png", 249697, 275, 724, 138, 121, 1, 0.5, 0.2644627988338471,[],[],0],
				["passrosa1-sheet0.png", 224537, 142, 899, 135, 124, 1, 0.5703703761100769, 0.2822580635547638,[],[],0],
				["passrosa1-sheet0.png", 224537, 570, 896, 142, 127, 1, 0.5985915660858154, 0.2992126047611237,[],[],0],
				["passrosa1-sheet1.png", 249697, 143, 426, 143, 135, 1, 0.6363636255264282, 0.3407407402992249,[],[],0],
				["passrosa1-sheet0.png", 224537, 287, 558, 141, 147, 1, 0.6808510422706604, 0.3945578336715698,[],[],0],
				["passrosa1-sheet0.png", 224537, 429, 580, 141, 147, 1, 0.6808510422706604, 0.3945578336715698,[],[],0],
				["passrosa1-sheet0.png", 224537, 571, 581, 141, 147, 3, 0.6808510422706604, 0.3945578336715698,[],[],0],
				["passrosa1-sheet0.png", 224537, 858, 750, 140, 147, 1, 0.6857143044471741, 0.3945578336715698,[],[],0],
				["passrosa1-sheet0.png", 224537, 144, 751, 140, 147, 1, 0.6857143044471741, 0.3945578336715698,[],[],0],
				["passrosa1-sheet0.png", 224537, 713, 602, 141, 147, 1, 0.6808510422706604, 0.3945578336715698,[],[],0],
				["passrosa1-sheet0.png", 224537, 1, 237, 142, 147, 1, 0.6760563254356384, 0.3945578336715698,[],[],0],
				["passrosa1-sheet0.png", 224537, 855, 602, 141, 147, 1, 0.6808510422706604, 0.3945578336715698,[],[],0],
				["passrosa1-sheet0.png", 224537, 1, 826, 140, 147, 1, 0.6857143044471741, 0.3945578336715698,[],[],0],
				["passrosa1-sheet0.png", 224537, 144, 603, 141, 147, 1, 0.6808510422706604, 0.3945578336715698,[],[],0],
				["passrosa1-sheet0.png", 224537, 1, 385, 142, 147, 1, 0.6760563254356384, 0.3945578336715698,[],[],0],
				["passrosa1-sheet0.png", 224537, 300, 410, 142, 147, 1, 0.6760563254356384, 0.3945578336715698,[],[],0],
				["passrosa1-sheet0.png", 224537, 443, 432, 142, 147, 1, 0.6760563254356384, 0.3945578336715698,[],[],0],
				["passrosa1-sheet0.png", 224537, 586, 433, 142, 147, 1, 0.6760563254356384, 0.3945578336715698,[],[],0]
			]
			]
,			[
			"anime2",
			20,
			false,
			1,
			0,
			false,
			7691891102907858,
			[
				["passrosa1-sheet0.png", 224537, 428, 875, 141, 145, 1, 0.673758864402771, 0.3862068951129913,[],[],0],
				["passrosa1-sheet1.png", 249697, 427, 1, 141, 144, 1, 0.673758864402771, 0.4930555522441864,[],[],0],
				["passrosa1-sheet1.png", 249697, 1, 1, 141, 145, 1, 0.673758864402771, 0.6000000238418579,[],[],0],
				["passrosa1-sheet0.png", 224537, 286, 706, 142, 145, 1, 0.6690140962600708, 0.7034482955932617,[],[],0],
				["passrosa1-sheet0.png", 224537, 729, 455, 142, 146, 1, 0.6690140962600708, 0.8082191944122315,[],[],0],
				["passrosa1-sheet0.png", 224537, 429, 729, 142, 145, 1, 0.6690140962600708, 0.9172413945198059,[],[],0],
				["passrosa1-sheet0.png", 224537, 872, 455, 142, 146, 1, 0.6690140962600708, 1,[],[],0],
				["passrosa1-sheet0.png", 224537, 144, 456, 142, 146, 1, 0.6690140962600708, 1.089041113853455,[],[],0],
				["passrosa1-sheet0.png", 224537, 572, 750, 142, 145, 1, 0.6690140962600708, 1.117241382598877,[],[],0],
				["passrosa1-sheet0.png", 224537, 1, 533, 142, 146, 1, 0.6690140962600708, 1.136986255645752,[],[],0],
				["passrosa1-sheet0.png", 224537, 715, 750, 142, 145, 1, 0.6690140962600708, 1.144827604293823,[],[],0],
				["passrosa1-sheet0.png", 224537, 285, 852, 142, 144, 1, 0.6690140962600708, 1.159722208976746,[],[],0],
				["passrosa1-sheet1.png", 249697, 569, 1, 141, 143, 1, 0.673758864402771, 1.167832136154175,[],[],0],
				["passrosa1-sheet1.png", 249697, 711, 1, 141, 141, 1, 0.673758864402771, 1.184397220611572,[],[],0],
				["passrosa1-sheet1.png", 249697, 853, 1, 141, 141, 1, 0.673758864402771, 1.141843914985657,[],[],0],
				["passrosa1-sheet1.png", 249697, 711, 143, 141, 141, 1, 0.673758864402771, 1.099290728569031,[],[],0],
				["passrosa1-sheet1.png", 249697, 143, 288, 141, 137, 1, 0.673758864402771, 1.080291986465454,[],[],0],
				["passrosa1-sheet1.png", 249697, 1, 427, 141, 134, 1, 0.673758864402771, 1.052238821983337,[],[],0],
				["passrosa1-sheet1.png", 249697, 847, 426, 141, 136, 1, 0.673758864402771, 1.029411792755127,[],[],0],
				["passrosa1-sheet1.png", 249697, 1, 288, 141, 138, 1, 0.673758864402771, 0.8913043737411499,[],[],0],
				["passrosa1-sheet1.png", 249697, 853, 143, 141, 141, 1, 0.673758864402771, 0.758865237236023,[],[],0],
				["passrosa1-sheet1.png", 249697, 427, 146, 141, 140, 1, 0.673758864402771, 0.6285714507102966,[],[],0],
				["passrosa1-sheet1.png", 249697, 569, 145, 141, 141, 1, 0.673758864402771, 0.4964539110660553,[],[],0],
				["passrosa1-sheet1.png", 249697, 1, 147, 141, 140, 1, 0.673758864402771, 0.3642857074737549,[],[],0],
				["passrosa1-sheet1.png", 249697, 143, 147, 141, 140, 1, 0.673758864402771, 0.3642857074737549,[],[],0],
				["passrosa1-sheet1.png", 249697, 285, 147, 141, 140, 1, 0.673758864402771, 0.3642857074737549,[],[],0],
				["passrosa1-sheet1.png", 249697, 711, 285, 141, 140, 1, 0.673758864402771, 0.3642857074737549,[],[],0],
				["passrosa1-sheet1.png", 249697, 853, 285, 141, 140, 1, 0.673758864402771, 0.3642857074737549,[],[],0],
				["passrosa1-sheet1.png", 249697, 427, 287, 141, 140, 1, 0.673758864402771, 0.3642857074737549,[],[],0],
				["passrosa1-sheet1.png", 249697, 569, 287, 141, 140, 1, 0.673758864402771, 0.3642857074737549,[],[],0]
			]
			]
,			[
			"anime3",
			9,
			false,
			1,
			0,
			false,
			332517181224634,
			[
				["passrosa1-sheet1.png", 249697, 143, 1, 141, 145, 1, 0.673758864402771, 0.3862068951129913,[],[],0],
				["passrosa1-sheet1.png", 249697, 287, 288, 135, 143, 1, 0.7407407164573669, 0.3706293702125549,[],[],0],
				["passrosa1-sheet1.png", 249697, 683, 570, 125, 140, 1, 0.8320000171661377, 0.3571428656578064,[],[],0],
				["passrosa1-sheet1.png", 249697, 536, 575, 128, 136, 1, 0.8359375, 0.3382352888584137,[],[],0],
				["passrosa1-sheet1.png", 249697, 287, 432, 122, 154, 1, 0.868852436542511, 0.4155844151973724,[],[],0],
				["passrosa1-sheet0.png", 224537, 902, 229, 121, 174, 1, 0.8842975497245789, 0.4827586114406586,[],[],0],
				["passrosa1-sheet0.png", 224537, 465, 231, 135, 200, 1, 0.7925925850868225, 0.5450000166893005,[],[],0],
				["passrosa1-sheet0.png", 224537, 761, 229, 140, 225, 1, 0.7571428418159485, 0.5955555438995361,[],[],0],
				["passrosa1-sheet0.png", 224537, 761, 1, 145, 227, 1, 0.7241379022598267, 0.5991189479827881,[],[],0],
				["passrosa1-sheet0.png", 224537, 465, 1, 149, 229, 1, 0.6979866027832031, 0.6026200652122498,[],[],0],
				["passrosa1-sheet0.png", 224537, 159, 1, 155, 228, 1, 0.6709677577018738, 0.6008771657943726,[],[],0],
				["passrosa1-sheet1.png", 249697, 423, 428, 129, 146, 1, 0.7984496355056763, 0.3835616409778595,[],[],0],
				["passrosa1-sheet1.png", 249697, 285, 1, 141, 145, 1, 0.673758864402771, 0.3862068951129913,[],[],0],
				["passrosa1-sheet1.png", 249697, 711, 426, 135, 143, 1, 0.7407407164573669, 0.3706293702125549,[],[],0],
				["passrosa1-sheet1.png", 249697, 410, 575, 125, 140, 1, 0.8320000171661377, 0.3571428656578064,[],[],0],
				["passrosa1-sheet1.png", 249697, 278, 587, 128, 136, 1, 0.8359375, 0.3382352888584137,[],[],0],
				["passrosa1-sheet1.png", 249697, 1, 562, 122, 154, 1, 0.868852436542511, 0.4155844151973724,[],[],0],
				["passrosa1-sheet0.png", 224537, 300, 235, 121, 174, 1, 0.8842975497245789, 0.4827586114406586,[],[],0],
				["passrosa1-sheet0.png", 224537, 601, 232, 135, 200, 1, 0.7925925850868225, 0.5450000166893005,[],[],0],
				["passrosa1-sheet0.png", 224537, 159, 230, 140, 225, 1, 0.7571428418159485, 0.5955555438995361,[],[],0],
				["passrosa1-sheet0.png", 224537, 615, 1, 145, 230, 1, 0.7241379022598267, 0.604347825050354,[],[],0],
				["passrosa1-sheet0.png", 224537, 315, 1, 149, 233, 1, 0.6979866027832031, 0.6094420552253723,[],[],0],
				["passrosa1-sheet0.png", 224537, 1, 1, 157, 235, 1, 0.662420392036438, 0.6127659678459168,[],[],0],
				["passrosa1-sheet1.png", 249697, 553, 428, 129, 146, 1, 0.7984496355056763, 0.3835616409778595,[],[],0]
			]
			]
,			[
			"anime4",
			8,
			true,
			1,
			0,
			true,
			1077245841030546,
			[
				["passrosa1-sheet2.png", 12811, 1, 1, 107, 101, 1, 0.4953271150588989, 0.5148515105247498,[],[],0],
				["passrosa1-sheet2.png", 12811, 109, 1, 107, 101, 1, 0.5046728849411011, 0.5148515105247498,[],[],0],
				["passrosa1-sheet2.png", 12811, 1, 103, 107, 101, 1, 0.5046728849411011, 0.5148515105247498,[],[],0],
				["passrosa1-sheet1.png", 249697, 214, 846, 107, 102, 1, 0.5046728849411011, 0.5196078419685364,[],[],0],
				["passrosa1-sheet1.png", 249697, 826, 907, 107, 102, 1, 0.514018714427948, 0.5196078419685364,[],[],0],
				["passrosa1-sheet1.png", 249697, 632, 912, 107, 102, 1, 0.514018714427948, 0.5196078419685364,[],[],0],
				["passrosa1-sheet1.png", 249697, 414, 824, 108, 103, 1, 0.5185185074806213, 0.5242718458175659,[],[],0],
				["passrosa1-sheet1.png", 249697, 1, 822, 107, 103, 1, 0.5233644843101502, 0.5242718458175659,[],[],0]
			]
			]
,			[
			"anime5",
			8.800000190734863,
			false,
			1,
			0,
			true,
			945460746118105,
			[
				["passrosa1-sheet2.png", 12811, 109, 103, 107, 101, 1, 0.4953271150588989, 0.5148515105247498,[],[],0],
				["passrosa1-sheet1.png", 249697, 523, 827, 108, 103, 1, 0.5185185074806213, 0.5145630836486816,[],[],0],
				["passrosa1-sheet1.png", 249697, 1, 717, 107, 104, 1, 0.5420560836791992, 0.5192307829856873,[],[],0],
				["passrosa1-sheet0.png", 224537, 907, 108, 107, 105, 1, 0.5607476830482483, 0.523809552192688,[],[],0],
				["passrosa1-sheet0.png", 224537, 907, 1, 106, 106, 1, 0.5849056839942932, 0.5283018946647644,[],[],0],
				["passrosa1-sheet1.png", 249697, 414, 716, 105, 107, 1, 0.6095238327980042, 0.5327102541923523,[],[],0],
				["passrosa1-sheet1.png", 249697, 109, 795, 104, 107, 10, 0.6346153616905212, 0.5327102541923523,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		14263297490744,
		[],
		null
	]
,	[
		"t42",
		cr.plugins_.Sprite,
		false,
		[3169463629632893],
		1,
		0,
		null,
		[
			[
			"anime1",
			15,
			false,
			1,
			0,
			false,
			9544554533356268,
			[
				["arbusto-sheet0.png", 310949, 592, 468, 194, 154, 1, 0.5, 0.5,[["Imagepoint 1", 0.7525773048400879, 0.1558441519737244],["Imagepoint 2", 0.1237113401293755, 0.4935064911842346],["Imagepoint 3", 0.8917526006698608, 0.441558450460434]],[],0],
				["arbusto-sheet0.png", 310949, 397, 157, 196, 155, 1, 0.5051020383834839, 0.5032258033752441,[["Imagepoint 1", 0.7551020383834839, 0.1548387110233307],["Imagepoint 2", 0.1224489808082581, 0.4903225898742676],["Imagepoint 3", 0.8928571343421936, 0.4387096762657166]],[],0],
				["arbusto-sheet0.png", 310949, 395, 313, 196, 154, 1, 0.5051020383834839, 0.5,[["Imagepoint 1", 0.7551020383834839, 0.1558441519737244],["Imagepoint 2", 0.1224489808082581, 0.4935064911842346],["Imagepoint 3", 0.8928571343421936, 0.441558450460434]],[],0],
				["arbusto-sheet0.png", 310949, 1, 1, 197, 155, 1, 0.5025380849838257, 0.5032258033752441,[["Imagepoint 1", 0.7512690424919128, 0.1548387110233307],["Imagepoint 2", 0.1218274086713791, 0.4903225898742676],["Imagepoint 3", 0.893401026725769, 0.4387096762657166]],[],0],
				["arbusto-sheet0.png", 310949, 199, 1, 197, 155, 1, 0.5025380849838257, 0.5032258033752441,[["Imagepoint 1", 0.7512690424919128, 0.1548387110233307],["Imagepoint 2", 0.1218274086713791, 0.4903225898742676],["Imagepoint 3", 0.893401026725769, 0.4387096762657166]],[],0],
				["arbusto-sheet0.png", 310949, 787, 468, 194, 154, 1, 0.5, 0.5,[["Imagepoint 1", 0.7525773048400879, 0.1558441519737244],["Imagepoint 2", 0.1237113401293755, 0.4935064911842346],["Imagepoint 3", 0.8917526006698608, 0.441558450460434]],[],0],
				["arbusto-sheet0.png", 310949, 594, 157, 196, 155, 1, 0.5051020383834839, 0.5032258033752441,[["Imagepoint 1", 0.7551020383834839, 0.1548387110233307],["Imagepoint 2", 0.1224489808082581, 0.4903225898742676],["Imagepoint 3", 0.8928571343421936, 0.4387096762657166]],[],0],
				["arbusto-sheet0.png", 310949, 592, 313, 196, 154, 1, 0.5051020383834839, 0.5064935088157654,[["Imagepoint 1", 0.7551020383834839, 0.1558441519737244],["Imagepoint 2", 0.1224489808082581, 0.4935064911842346],["Imagepoint 3", 0.8928571343421936, 0.441558450460434]],[],0],
				["arbusto-sheet0.png", 310949, 397, 1, 197, 155, 1, 0.5025380849838257, 0.5032258033752441,[["Imagepoint 1", 0.7512690424919128, 0.1548387110233307],["Imagepoint 2", 0.1218274086713791, 0.4903225898742676],["Imagepoint 3", 0.893401026725769, 0.4387096762657166]],[],0],
				["arbusto-sheet0.png", 310949, 595, 1, 197, 155, 1, 0.5025380849838257, 0.5032258033752441,[["Imagepoint 1", 0.7512690424919128, 0.1548387110233307],["Imagepoint 2", 0.1218274086713791, 0.4903225898742676],["Imagepoint 3", 0.893401026725769, 0.4387096762657166]],[],0]
			]
			]
,			[
			"anime2",
			15,
			false,
			1,
			0,
			false,
			7765325888995146,
			[
				["arbusto-sheet0.png", 310949, 1, 469, 194, 154, 1, 0.5, 0.5,[["Imagepoint 1", 0.7525773048400879, 0.1558441519737244],["Imagepoint 2", 0.1237113401293755, 0.4935064911842346],["Imagepoint 3", 0.8917526006698608, 0.441558450460434]],[],0],
				["arbusto-sheet0.png", 310949, 791, 157, 196, 155, 1, 0.5051020383834839, 0.5032258033752441,[["Imagepoint 1", 0.7551020383834839, 0.1548387110233307],["Imagepoint 2", 0.1224489808082581, 0.4903225898742676],["Imagepoint 3", 0.8928571343421936, 0.4387096762657166]],[],0],
				["arbusto-sheet0.png", 310949, 789, 313, 196, 154, 1, 0.5051020383834839, 0.5,[["Imagepoint 1", 0.7551020383834839, 0.1558441519737244],["Imagepoint 2", 0.1224489808082581, 0.4935064911842346],["Imagepoint 3", 0.8928571343421936, 0.441558450460434]],[],0],
				["arbusto-sheet0.png", 310949, 793, 1, 197, 155, 1, 0.5025380849838257, 0.5032258033752441,[["Imagepoint 1", 0.7512690424919128, 0.1548387110233307],["Imagepoint 2", 0.1218274086713791, 0.4903225898742676],["Imagepoint 3", 0.893401026725769, 0.4387096762657166]],[],0],
				["arbusto-sheet0.png", 310949, 1, 157, 197, 155, 1, 0.5025380849838257, 0.5032258033752441,[["Imagepoint 1", 0.7512690424919128, 0.1548387110233307],["Imagepoint 2", 0.1218274086713791, 0.4903225898742676],["Imagepoint 3", 0.893401026725769, 0.4387096762657166]],[],0],
				["arbusto-sheet0.png", 310949, 196, 469, 194, 154, 1, 0.5, 0.5,[["Imagepoint 1", 0.7525773048400879, 0.1558441519737244],["Imagepoint 2", 0.1237113401293755, 0.4935064911842346],["Imagepoint 3", 0.8917526006698608, 0.441558450460434]],[],0],
				["arbusto-sheet0.png", 310949, 1, 313, 196, 155, 1, 0.5051020383834839, 0.5032258033752441,[["Imagepoint 1", 0.7551020383834839, 0.1548387110233307],["Imagepoint 2", 0.1224489808082581, 0.4903225898742676],["Imagepoint 3", 0.8928571343421936, 0.4387096762657166]],[],0],
				["arbusto-sheet0.png", 310949, 395, 468, 196, 154, 1, 0.5051020383834839, 0.5,[["Imagepoint 1", 0.7551020383834839, 0.1558441519737244],["Imagepoint 2", 0.1224489808082581, 0.4935064911842346],["Imagepoint 3", 0.8928571343421936, 0.441558450460434]],[],0],
				["arbusto-sheet0.png", 310949, 199, 157, 197, 155, 1, 0.5025380849838257, 0.5032258033752441,[["Imagepoint 1", 0.7512690424919128, 0.1548387110233307],["Imagepoint 2", 0.1218274086713791, 0.4903225898742676],["Imagepoint 3", 0.893401026725769, 0.4387096762657166]],[],0],
				["arbusto-sheet0.png", 310949, 198, 313, 196, 155, 1, 0.5, 0.5032258033752441,[["Imagepoint 1", 0.7551020383834839, 0.1548387110233307],["Imagepoint 2", 0.1224489808082581, 0.4903225898742676],["Imagepoint 3", 0.8928571343421936, 0.4387096762657166]],[],0]
			]
			]
		],
		[
		[
			"Pin",
			cr.behaviors.Pin,
			1412090281004245
		]
		],
		false,
		false,
		9676117445178985,
		[],
		null
	]
,	[
		"t43",
		cr.plugins_.Sprite,
		false,
		[1252368676862403],
		4,
		0,
		null,
		[
			[
			"anime1",
			16,
			true,
			1,
			0,
			true,
			6871945933136347,
			[
				["butterfly1-sheet0.png", 26922, 1, 1, 68, 79, 1, 0.3676470518112183, 0.6455696225166321,[],[],0],
				["butterfly1-sheet0.png", 26922, 70, 1, 68, 78, 1, 0.3676470518112183, 0.6410256624221802,[],[],0],
				["butterfly1-sheet0.png", 26922, 139, 1, 64, 70, 1, 0.390625, 0.6000000238418579,[],[],0],
				["butterfly1-sheet0.png", 26922, 1, 81, 58, 63, 1, 0.4310344755649567, 0.4761904776096344,[],[],0],
				["butterfly1-sheet0.png", 26922, 70, 80, 60, 62, 1, 0.5666666626930237, 0.3548386991024017,[],[],0],
				["butterfly1-sheet0.png", 26922, 139, 72, 66, 64, 1, 0.6515151262283325, 0.296875,[],[],0]
			]
			]
,			[
			"anime2",
			10,
			true,
			1,
			0,
			false,
			2711379433556653,
			[
				["butterfly1-sheet0.png", 26922, 131, 137, 55, 55, 10, 0.5090909004211426, 0.5090909004211426,[],[],0],
				["butterfly1-sheet0.png", 26922, 187, 137, 55, 55, 1, 0.5090909004211426, 0.5090909004211426,[],[],0],
				["butterfly1-sheet0.png", 26922, 60, 143, 55, 55, 1, 0.5090909004211426, 0.5090909004211426,[],[],0],
				["butterfly1-sheet0.png", 26922, 1, 145, 55, 55, 4, 0.5090909004211426, 0.5090909004211426,[],[],0],
				["butterfly1-sheet0.png", 26922, 116, 193, 55, 55, 1, 0.5090909004211426, 0.5090909004211426,[],[],0],
				["butterfly1-sheet0.png", 26922, 172, 193, 55, 55, 1, 0.5090909004211426, 0.5090909004211426,[],[],0]
			]
			]
		],
		[
		[
			"Sine",
			cr.behaviors.Sin,
			6091992202716537
		]
,		[
			"Sine2",
			cr.behaviors.Sin,
			352770865089522
		]
,		[
			"MoveTo",
			cr.behaviors.Rex_MoveTo,
			2902656315568962
		]
,		[
			"DragDrop",
			cr.behaviors.DragnDrop,
			3713703492340798
		]
		],
		false,
		false,
		9335126259596921,
		[],
		null
	]
,	[
		"t44",
		cr.plugins_.Sprite,
		false,
		[5105493323426996],
		4,
		0,
		null,
		[
			[
			"anime1",
			16,
			true,
			1,
			0,
			true,
			3700081902307072,
			[
				["butterfly2-sheet0.png", 6780, 1, 1, 68, 79, 1, 0.3676470518112183, 0.6455696225166321,[],[],0],
				["butterfly1-sheet0.png", 26922, 70, 1, 68, 78, 1, 0.3676470518112183, 0.6410256624221802,[],[],0],
				["butterfly1-sheet0.png", 26922, 139, 1, 64, 70, 1, 0.390625, 0.6000000238418579,[],[],0],
				["butterfly1-sheet0.png", 26922, 1, 81, 58, 63, 1, 0.4310344755649567, 0.4761904776096344,[],[],0],
				["butterfly1-sheet0.png", 26922, 70, 80, 60, 62, 1, 0.5666666626930237, 0.3548386991024017,[],[],0],
				["butterfly1-sheet0.png", 26922, 139, 72, 66, 64, 1, 0.6515151262283325, 0.296875,[],[],0]
			]
			]
,			[
			"anime2",
			10,
			true,
			1,
			0,
			false,
			2025360747475984,
			[
				["butterfly2-sheet0.png", 6780, 70, 1, 55, 55, 11, 0.5090909004211426, 0.5090909004211426,[],[],0],
				["butterfly2-sheet0.png", 6780, 70, 57, 55, 55, 1, 0.5090909004211426, 0.5090909004211426,[],[],0],
				["butterfly2-sheet1.png", 3844, 1, 1, 55, 55, 1, 0.5090909004211426, 0.5090909004211426,[],[],0],
				["butterfly2-sheet1.png", 3844, 57, 1, 55, 55, 5, 0.5090909004211426, 0.5090909004211426,[],[],0],
				["butterfly2-sheet1.png", 3844, 1, 57, 55, 55, 1, 0.5090909004211426, 0.5090909004211426,[],[],0],
				["butterfly2-sheet1.png", 3844, 57, 57, 55, 55, 1, 0.5090909004211426, 0.5090909004211426,[],[],0]
			]
			]
		],
		[
		[
			"Sine",
			cr.behaviors.Sin,
			3854261393228664
		]
,		[
			"Sine2",
			cr.behaviors.Sin,
			9967284478974084
		]
,		[
			"MoveTo",
			cr.behaviors.Rex_MoveTo,
			7871993186953156
		]
,		[
			"DragDrop",
			cr.behaviors.DragnDrop,
			2273262943183116
		]
		],
		false,
		false,
		2399605352445164,
		[],
		null
	]
,	[
		"t45",
		cr.plugins_.Sprite,
		false,
		[6765015086480693],
		3,
		0,
		null,
		[
			[
			"anime1",
			16,
			true,
			1,
			0,
			true,
			2956986962501784,
			[
				["butterfly3-sheet0.png", 3575, 0, 0, 68, 79, 1, 0.3676470518112183, 0.6455696225166321,[],[],0],
				["butterfly3-sheet1.png", 4518, 0, 0, 68, 78, 1, 0.3676470518112183, 0.6410256624221802,[],[],0],
				["butterfly1-sheet0.png", 26922, 139, 1, 64, 70, 1, 0.390625, 0.6000000238418579,[],[],0],
				["butterfly1-sheet0.png", 26922, 1, 81, 58, 63, 1, 0.4310344755649567, 0.4761904776096344,[],[],0],
				["butterfly1-sheet0.png", 26922, 70, 80, 60, 62, 1, 0.5666666626930237, 0.3548386991024017,[],[],0],
				["butterfly1-sheet0.png", 26922, 139, 72, 66, 64, 1, 0.6515151262283325, 0.296875,[],[],0]
			]
			]
,			[
			"anime2",
			10,
			true,
			1,
			0,
			false,
			5926225111623278,
			[
				["butterfly2-sheet0.png", 6780, 70, 1, 55, 55, 12, 0.5090909004211426, 0.5090909004211426,[],[],0],
				["butterfly2-sheet1.png", 3844, 57, 57, 55, 55, 1, 0.5090909004211426, 0.5090909004211426,[],[],0],
				["butterfly2-sheet1.png", 3844, 1, 57, 55, 55, 1, 0.5090909004211426, 0.5090909004211426,[],[],0],
				["butterfly2-sheet1.png", 3844, 57, 1, 55, 55, 6, 0.5090909004211426, 0.5090909004211426,[],[],0],
				["butterfly2-sheet1.png", 3844, 1, 57, 55, 55, 1, 0.5090909004211426, 0.5090909004211426,[],[],0],
				["butterfly2-sheet1.png", 3844, 57, 57, 55, 55, 1, 0.5090909004211426, 0.5090909004211426,[],[],0]
			]
			]
		],
		[
		[
			"Sine",
			cr.behaviors.Sin,
			977781813640923
		]
,		[
			"Sine2",
			cr.behaviors.Sin,
			2359555978919271
		]
,		[
			"MoveTo",
			cr.behaviors.Rex_MoveTo,
			2380462193311373
		]
		],
		false,
		false,
		6685266517231845,
		[],
		null
	]
,	[
		"t46",
		cr.plugins_.Sprite,
		false,
		[],
		1,
		0,
		null,
		[
			[
			"anime1",
			5,
			false,
			1,
			0,
			false,
			3467256821990317,
			[
				["arvoredir-sheet0.png", 36169, 1, 1, 399, 566, 1, 0.5012531280517578, 0.4858657121658325,[],[-0.4310777187347412,-0.2226147055625916,-0.2807021141052246,-0.4293286204338074,0.1453638672828674,-0.4505300223827362,0.4110278487205505,-0.358657717704773,0.4987468719482422,-0.2349826991558075,0.4686718583106995,0.5141342878341675,0.3157898783683777,0.1307423114776611,-0.3032581210136414,0.07067126035690308],0]
			]
			]
,			[
			"anime2",
			5,
			false,
			1,
			0,
			false,
			9071317677043148,
			[
				["arvoredir-sheet0.png", 36169, 401, 1, 399, 566, 1, 0.5012531280517578, 0.4858657121658325,[],[-0.3132831454277039,-0.383392721414566,-0.002506136894226074,-0.4487632215023041,0.2882208824157715,-0.3674907088279724,0.4962408542633057,-0.001766711473464966,0.4736838936805725,0.4964662790298462,-0.002506136894226074,0.1219083070755005,0.0952378511428833,0.0936393141746521,-0.423558920621872,-0.001766711473464966],0]
			]
			]
		],
		[
		[
			"Pin",
			cr.behaviors.Pin,
			7145934482856241
		]
		],
		false,
		false,
		6495156235627994,
		[],
		null
	]
,	[
		"t47",
		cr.plugins_.Sprite,
		false,
		[],
		4,
		0,
		null,
		[
			[
			"anime1",
			8,
			true,
			1,
			0,
			true,
			7167653121890262,
			[
				["passarogordo-sheet1.png", 249458, 594, 547, 116, 136, 1, 0.5, 0.5367646813392639,[],[],0],
				["passarogordo-sheet1.png", 249458, 877, 412, 116, 137, 1, 0.5, 0.5401459932327271,[],[],0],
				["passarogordo-sheet1.png", 249458, 243, 414, 116, 137, 1, 0.5, 0.5401459932327271,[],[],0],
				["passarogordo-sheet1.png", 249458, 1, 416, 116, 137, 1, 0.5, 0.5401459932327271,[],[],0],
				["passarogordo-sheet0.png", 313890, 592, 849, 134, 138, 1, 0.5149253606796265, 0.5362318754196167,[],[],0],
				["passarogordo-sheet1.png", 249458, 118, 545, 116, 137, 1, 0.5, 0.5328466892242432,[],[],0],
				["passarogordo-sheet1.png", 249458, 1, 1, 134, 137, 1, 0.5149253606796265, 0.5401459932327271,[],[],0],
				["passarogordo-sheet1.png", 249458, 729, 546, 116, 137, 1, 0.5, 0.5401459932327271,[],[],0],
				["passarogordo-sheet1.png", 249458, 136, 1, 134, 137, 1, 0.5149253606796265, 0.5401459932327271,[],[],0],
				["passarogordo-sheet1.png", 249458, 360, 547, 116, 137, 1, 0.5, 0.5401459932327271,[],[],0]
			]
			]
,			[
			"anime2",
			15,
			true,
			1,
			0,
			false,
			6429949282632376,
			[
				["passarogordo-sheet1.png", 249458, 846, 550, 116, 136, 1, 0.5, 0.5367646813392639,[],[],0],
				["passarogordo-sheet0.png", 313890, 454, 843, 137, 136, 1, 0.4963503777980804, 0.5367646813392639,[],[],0],
				["passarogordo-sheet0.png", 313890, 684, 273, 160, 137, 1, 0.5, 0.5401459932327271,[],[],0],
				["passarogordo-sheet0.png", 313890, 381, 1, 177, 137, 1, 0.5028248429298401, 0.5401459932327271,[],[],0],
				["passarogordo-sheet0.png", 313890, 1, 1, 189, 137, 1, 0.5026454925537109, 0.5401459932327271,[],[],0],
				["passarogordo-sheet0.png", 313890, 559, 1, 177, 137, 1, 0.5028248429298401, 0.5401459932327271,[],[],0],
				["passarogordo-sheet0.png", 313890, 523, 273, 160, 138, 1, 0.5, 0.5362318754196167,[],[],0],
				["passarogordo-sheet0.png", 313890, 454, 704, 137, 138, 1, 0.4963503777980804, 0.5362318754196167,[],[],0],
				["passarogordo-sheet1.png", 249458, 477, 547, 116, 137, 1, 0.5, 0.5328466892242432,[],[],0],
				["passarogordo-sheet0.png", 313890, 1, 707, 137, 137, 1, 0.4963503777980804, 0.5401459932327271,[],[],0],
				["passarogordo-sheet0.png", 313890, 845, 273, 160, 137, 1, 0.5, 0.5401459932327271,[],[],0],
				["passarogordo-sheet0.png", 313890, 737, 1, 177, 137, 1, 0.5028248429298401, 0.5401459932327271,[],[],0],
				["passarogordo-sheet0.png", 313890, 191, 1, 189, 137, 1, 0.5026454925537109, 0.5401459932327271,[],[],0],
				["passarogordo-sheet0.png", 313890, 1, 139, 177, 137, 1, 0.5028248429298401, 0.5401459932327271,[],[],0],
				["passarogordo-sheet0.png", 313890, 1, 277, 160, 137, 1, 0.5, 0.5401459932327271,[],[],0],
				["passarogordo-sheet0.png", 313890, 305, 845, 137, 136, 1, 0.4963503777980804, 0.5367646813392639,[],[],0]
			]
			]
,			[
			"anime3",
			6,
			true,
			1,
			0,
			false,
			8954157229020156,
			[
				["passarogordo-sheet1.png", 249458, 611, 409, 117, 137, 1, 0.5128205418586731, 0.5036496520042419,[],[],0],
				["passarogordo-sheet1.png", 249458, 905, 274, 118, 137, 1, 0.5169491767883301, 0.5036496520042419,[],[],0],
				["passarogordo-sheet1.png", 249458, 757, 408, 119, 137, 1, 0.5210084319114685, 0.5036496520042419,[],[],0],
				["passarogordo-sheet1.png", 249458, 1, 278, 120, 137, 1, 0.5166666507720947, 0.5036496520042419,[],[],0],
				["passarogordo-sheet1.png", 249458, 894, 1, 122, 138, 1, 0.5163934230804443, 0.5,[],[],0],
				["passarogordo-sheet1.png", 249458, 771, 1, 122, 139, 1, 0.5163934230804443, 0.4964028894901276,[],[],0],
				["passarogordo-sheet1.png", 249458, 397, 1, 124, 139, 1, 0.5161290168762207, 0.4964028894901276,[],[],0],
				["passarogordo-sheet1.png", 249458, 271, 1, 125, 140, 1, 0.5199999809265137, 0.4928571283817291,[],[],0],
				["passarogordo-sheet1.png", 249458, 522, 1, 124, 139, 1, 0.5161290168762207, 0.4964028894901276,[],[],0],
				["passarogordo-sheet1.png", 249458, 647, 1, 123, 139, 1, 0.5203251838684082, 0.4964028894901276,[],[],0],
				["passarogordo-sheet1.png", 249458, 1, 139, 122, 138, 1, 0.5163934230804443, 0.5,[],[],0],
				["passarogordo-sheet1.png", 249458, 251, 276, 121, 137, 1, 0.5206611752510071, 0.5036496520042419,[],[],0],
				["passarogordo-sheet1.png", 249458, 122, 407, 120, 137, 1, 0.5166666507720947, 0.5036496520042419,[],[],0],
				["passarogordo-sheet1.png", 249458, 373, 409, 118, 137, 1, 0.5169491767883301, 0.5036496520042419,[],[],0],
				["passarogordo-sheet1.png", 249458, 492, 409, 118, 137, 1, 0.5169491767883301, 0.5036496520042419,[],[],0]
			]
			]
,			[
			"anime4",
			8,
			true,
			1,
			0,
			true,
			456942131829256,
			[
				["passarogordo-sheet0.png", 313890, 883, 139, 126, 133, 1, 0.5158730149269104, 0.5338345766067505,[],[],0],
				["passarogordo-sheet1.png", 249458, 124, 139, 126, 133, 1, 0.5158730149269104, 0.5338345766067505,[],[],0],
				["passarogordo-sheet1.png", 249458, 894, 140, 126, 133, 1, 0.5158730149269104, 0.5338345766067505,[],[],0],
				["passarogordo-sheet1.png", 249458, 397, 141, 126, 133, 1, 0.5158730149269104, 0.5338345766067505,[],[],0],
				["passarogordo-sheet1.png", 249458, 524, 141, 126, 133, 1, 0.5158730149269104, 0.5338345766067505,[],[],0],
				["passarogordo-sheet1.png", 249458, 651, 141, 126, 133, 1, 0.5158730149269104, 0.5338345766067505,[],[],0],
				["passarogordo-sheet1.png", 249458, 251, 142, 126, 133, 1, 0.5158730149269104, 0.5338345766067505,[],[],0],
				["passarogordo-sheet1.png", 249458, 124, 273, 126, 133, 1, 0.5158730149269104, 0.5338345766067505,[],[],0],
				["passarogordo-sheet1.png", 249458, 778, 274, 126, 133, 1, 0.5158730149269104, 0.5338345766067505,[],[],0],
				["passarogordo-sheet0.png", 313890, 915, 1, 108, 133, 1, 0.5185185074806213, 0.5338345766067505,[],[],0],
				["passarogordo-sheet1.png", 249458, 378, 275, 126, 133, 1, 0.5158730149269104, 0.5338345766067505,[],[],0],
				["passarogordo-sheet0.png", 313890, 908, 703, 108, 133, 1, 0.5185185074806213, 0.5338345766067505,[],[],0]
			]
			]
,			[
			"anime5",
			12,
			true,
			1,
			0,
			false,
			2006774584952231,
			[
				["passarogordo-sheet1.png", 249458, 505, 275, 125, 133, 1, 0.5120000243186951, 0.5338345766067505,[],[],0],
				["passarogordo-sheet0.png", 313890, 756, 703, 151, 133, 1, 0.5099337697029114, 0.5338345766067505,[],[],0],
				["passarogordo-sheet0.png", 313890, 539, 139, 171, 133, 1, 0.5087719559669495, 0.5338345766067505,[],[],0],
				["passarogordo-sheet0.png", 313890, 179, 139, 179, 133, 1, 0.5083798766136169, 0.5338345766067505,[],[],0],
				["passarogordo-sheet0.png", 313890, 711, 139, 171, 133, 1, 0.5087719559669495, 0.5338345766067505,[],[],0],
				["passarogordo-sheet0.png", 313890, 756, 837, 151, 133, 1, 0.5099337697029114, 0.5338345766067505,[],[],0],
				["passarogordo-sheet1.png", 249458, 631, 275, 125, 133, 1, 0.5120000243186951, 0.5338345766067505,[],[],0],
				["passarogordo-sheet0.png", 313890, 1, 845, 151, 133, 1, 0.5099337697029114, 0.5338345766067505,[],[],0],
				["passarogordo-sheet0.png", 313890, 179, 273, 171, 133, 1, 0.5087719559669495, 0.5338345766067505,[],[],0],
				["passarogordo-sheet0.png", 313890, 359, 139, 179, 133, 1, 0.5083798766136169, 0.5338345766067505,[],[],0],
				["passarogordo-sheet0.png", 313890, 351, 273, 171, 133, 1, 0.5087719559669495, 0.5338345766067505,[],[],0],
				["passarogordo-sheet0.png", 313890, 153, 845, 151, 133, 1, 0.5099337697029114, 0.5338345766067505,[],[],0]
			]
			]
,			[
			"anime6",
			6,
			true,
			1,
			0,
			false,
			7090547006442904,
			[
				["passarogordo-sheet0.png", 313890, 162, 407, 150, 145, 1, 0.5, 0.5034482479095459,[],[],0],
				["passarogordo-sheet0.png", 313890, 313, 407, 150, 145, 1, 0.5, 0.5034482479095459,[],[],0],
				["passarogordo-sheet0.png", 313890, 684, 411, 150, 145, 1, 0.5, 0.5034482479095459,[],[],0],
				["passarogordo-sheet0.png", 313890, 835, 411, 150, 145, 1, 0.5, 0.5034482479095459,[],[],0],
				["passarogordo-sheet0.png", 313890, 464, 412, 150, 145, 1, 0.5, 0.5034482479095459,[],[],0],
				["passarogordo-sheet0.png", 313890, 1, 415, 150, 145, 1, 0.5, 0.5034482479095459,[],[],0],
				["passarogordo-sheet0.png", 313890, 152, 553, 150, 145, 1, 0.5, 0.5034482479095459,[],[],0],
				["passarogordo-sheet0.png", 313890, 303, 553, 150, 145, 1, 0.5, 0.5034482479095459,[],[],0],
				["passarogordo-sheet0.png", 313890, 615, 557, 150, 145, 1, 0.5, 0.5034482479095459,[],[],0],
				["passarogordo-sheet0.png", 313890, 766, 557, 150, 145, 1, 0.5, 0.5034482479095459,[],[],0],
				["passarogordo-sheet0.png", 313890, 454, 558, 150, 145, 1, 0.5, 0.5034482479095459,[],[],0],
				["passarogordo-sheet0.png", 313890, 1, 561, 150, 145, 1, 0.5, 0.5034482479095459,[],[],0],
				["passarogordo-sheet0.png", 313890, 152, 699, 150, 145, 1, 0.5, 0.5034482479095459,[],[],0],
				["passarogordo-sheet0.png", 313890, 303, 699, 150, 145, 1, 0.5, 0.5034482479095459,[],[],0],
				["passarogordo-sheet0.png", 313890, 605, 703, 150, 145, 1, 0.5, 0.5034482479095459,[],[],0]
			]
			]
		],
		[
		[
			"Pin",
			cr.behaviors.Pin,
			3402263186303948
		]
,		[
			"DragDrop",
			cr.behaviors.DragnDrop,
			922394978071958
		]
,		[
			"Sine",
			cr.behaviors.Sin,
			8174876458216781
		]
,		[
			"MoveTo",
			cr.behaviors.Rex_MoveTo,
			7082951203615003
		]
		],
		false,
		false,
		6167840526884735,
		[],
		null
	]
,	[
		"t48",
		cr.plugins_.Sprite,
		false,
		[],
		2,
		0,
		null,
		[
			[
			"anime1",
			8,
			true,
			1,
			0,
			true,
			1132115481963491,
			[
				["olho-sheet0.png", 406, 1, 1, 30, 30, 1, 0.5, 0.5,[],[0,0,0,-0.09999999403953552,0.199999988079071,-0.199999988079071,0.3999999761581421,0,0.1666669845581055,0.1666669845581055,0,0.06666702032089233,0,0],0],
				["olho-sheet0.png", 406, 32, 1, 30, 30, 1, 0.5, 0.5,[],[0,0,0,-0.09999999403953552,0.199999988079071,-0.199999988079071,0.3999999761581421,0,0.1666669845581055,0.1666669845581055,0,0.06666702032089233,0,0],0],
				["olho-sheet0.png", 406, 63, 1, 30, 30, 1, 0.5, 0.5,[],[0,0,0,-0.09999999403953552,0.199999988079071,-0.199999988079071,0.3999999761581421,0,0.1666669845581055,0.1666669845581055,0,0.06666702032089233,0,0],0],
				["olho-sheet0.png", 406, 94, 1, 30, 30, 1, 0.5, 0.5,[],[0,0,0,-0.09999999403953552,0.199999988079071,-0.199999988079071,0.3999999761581421,0,0.1666669845581055,0.1666669845581055,0,0.06666702032089233,0,0],0],
				["olho-sheet0.png", 406, 1, 32, 30, 30, 1, 0.5, 0.5,[],[0,0,0,-0.09999999403953552,0.199999988079071,-0.199999988079071,0.3999999761581421,0,0.1666669845581055,0.1666669845581055,0,0.06666702032089233,0,0],0],
				["olho-sheet0.png", 406, 32, 32, 30, 30, 1, 0.5, 0.5,[],[0,0,0,-0.09999999403953552,0.199999988079071,-0.199999988079071,0.3999999761581421,0,0.1666669845581055,0.1666669845581055,0,0.06666702032089233,0,0],0],
				["olho-sheet0.png", 406, 63, 32, 30, 30, 1, 0.5, 0.5,[],[0,0,0,-0.09999999403953552,0.199999988079071,-0.199999988079071,0.3999999761581421,0,0.1666669845581055,0.1666669845581055,0,0.06666702032089233,0,0],0],
				["olho-sheet0.png", 406, 94, 32, 30, 30, 1, 0.5, 0.5,[],[0,0,0,-0.09999999403953552,0.199999988079071,-0.199999988079071,0.3999999761581421,0,0.1666669845581055,0.1666669845581055,0,0.06666702032089233,0,0],0],
				["olho-sheet0.png", 406, 1, 63, 30, 30, 1, 0.5, 0.5,[],[0,0,0,-0.09999999403953552,0.199999988079071,-0.199999988079071,0.3999999761581421,0,0.1666669845581055,0.1666669845581055,0,0.06666702032089233,0,0],0],
				["olho-sheet0.png", 406, 32, 63, 30, 30, 1, 0.5, 0.5,[],[0,0,0,-0.09999999403953552,0.199999988079071,-0.199999988079071,0.3999999761581421,0,0.1666669845581055,0.1666669845581055,0,0.06666702032089233,0,0],0]
			]
			]
,			[
			"anime2",
			8,
			true,
			1,
			0,
			true,
			7918910969399575,
			[
				["olho-sheet0.png", 406, 63, 63, 30, 30, 1, 0.5, 0.5,[],[0,0,0,-0.09999999403953552,0.199999988079071,-0.199999988079071,0.3999999761581421,0,0.1666669845581055,0.1666669845581055,0,0.06666702032089233,0,0],0]
			]
			]
,			[
			"anime3",
			8,
			true,
			1,
			0,
			true,
			4786713130850139,
			[
				["olho-sheet0.png", 406, 94, 63, 30, 30, 1, 0.5, 0.5,[],[0,0,0,-0.09999999403953552,0.199999988079071,-0.199999988079071,0.3999999761581421,0,0.1666669845581055,0.1666669845581055,0,0.06666702032089233,0,0],0],
				["olho-sheet0.png", 406, 1, 94, 30, 30, 1, 0.5, 0.5,[],[0,0,0,-0.09999999403953552,0.199999988079071,-0.199999988079071,0.3999999761581421,0,0.1666669845581055,0.1666669845581055,0,0.06666702032089233,0,0],0],
				["olho-sheet0.png", 406, 32, 94, 30, 30, 1, 0.5, 0.5,[],[0,0,0,-0.09999999403953552,0.199999988079071,-0.199999988079071,0.3999999761581421,0,0.1666669845581055,0.1666669845581055,0,0.06666702032089233,0,0],0],
				["olho-sheet0.png", 406, 63, 94, 30, 30, 1, 0.5, 0.5,[],[0,0,0,-0.09999999403953552,0.199999988079071,-0.199999988079071,0.3999999761581421,0,0.1666669845581055,0.1666669845581055,0,0.06666702032089233,0,0],0],
				["olho-sheet0.png", 406, 94, 94, 30, 30, 1, 0.5, 0.5,[],[0,0,0,-0.09999999403953552,0.199999988079071,-0.199999988079071,0.3999999761581421,0,0.1666669845581055,0.1666669845581055,0,0.06666702032089233,0,0],0],
				["olho-sheet1.png", 408, 1, 1, 30, 30, 1, 0.5, 0.5,[],[0,0,0,-0.09999999403953552,0.199999988079071,-0.199999988079071,0.3999999761581421,0,0.1666669845581055,0.1666669845581055,0,0.06666702032089233,0,0],0],
				["olho-sheet1.png", 408, 32, 1, 30, 30, 1, 0.5, 0.5,[],[0,0,0,-0.09999999403953552,0.199999988079071,-0.199999988079071,0.3999999761581421,0,0.1666669845581055,0.1666669845581055,0,0.06666702032089233,0,0],0],
				["olho-sheet1.png", 408, 63, 1, 30, 30, 1, 0.5, 0.5,[],[0,0,0,-0.09999999403953552,0.199999988079071,-0.199999988079071,0.3999999761581421,0,0.1666669845581055,0.1666669845581055,0,0.06666702032089233,0,0],0],
				["olho-sheet1.png", 408, 94, 1, 30, 30, 1, 0.5, 0.5,[],[0,0,0,-0.09999999403953552,0.199999988079071,-0.199999988079071,0.3999999761581421,0,0.1666669845581055,0.1666669845581055,0,0.06666702032089233,0,0],0],
				["olho-sheet1.png", 408, 1, 32, 30, 30, 1, 0.5, 0.5,[],[0,0,0,-0.09999999403953552,0.199999988079071,-0.199999988079071,0.3999999761581421,0,0.1666669845581055,0.1666669845581055,0,0.06666702032089233,0,0],0],
				["olho-sheet1.png", 408, 32, 32, 30, 30, 1, 0.5, 0.5,[],[0,0,0,-0.09999999403953552,0.199999988079071,-0.199999988079071,0.3999999761581421,0,0.1666669845581055,0.1666669845581055,0,0.06666702032089233,0,0],0],
				["olho-sheet1.png", 408, 63, 32, 30, 30, 1, 0.5, 0.5,[],[0,0,0,-0.09999999403953552,0.199999988079071,-0.199999988079071,0.3999999761581421,0,0.1666669845581055,0.1666669845581055,0,0.06666702032089233,0,0],0]
			]
			]
		],
		[
		[
			"Turret",
			cr.behaviors.Turret,
			9871045109337252
		]
,		[
			"Pin",
			cr.behaviors.Pin,
			355599594260798
		]
		],
		false,
		false,
		217567032724023,
		[],
		null
	]
,	[
		"t49",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"anime1",
			15,
			true,
			1,
			0,
			false,
			6234540072700887,
			[
				["passrosa2-sheet0.png", 213516, 428, 728, 142, 145, 1, 0.7394366264343262, 0.5034482479095459,[],[],0],
				["passrosa2-sheet0.png", 213516, 711, 896, 143, 126, 1, 0.6573426723480225, 0.4285714328289032,[],[],0],
				["passrosa2-sheet1.png", 210142, 519, 824, 138, 120, 1, 0.5579710006713867, 0.4000000059604645,[],[],0],
				["passrosa2-sheet1.png", 210142, 1, 718, 150, 115, 1, 0.3866666555404663, 0.365217387676239,[],[],0],
				["passrosa2-sheet1.png", 210142, 544, 573, 155, 113, 1, 0.374193549156189, 0.371681421995163,[],[],0],
				["passrosa2-sheet1.png", 210142, 390, 573, 153, 116, 1, 0.4117647111415863, 0.3879310488700867,[],[],0],
				["passrosa2-sheet1.png", 210142, 673, 711, 154, 113, 1, 0.3896103799343109, 0.371681421995163,[],[],0],
				["passrosa2-sheet0.png", 213516, 855, 896, 154, 116, 1, 0.3701298832893372, 0.3620689511299133,[],[],0],
				["passrosa2-sheet1.png", 210142, 828, 719, 150, 114, 1, 0.3933333456516266, 0.3684210479259491,[],[],0],
				["passrosa2-sheet1.png", 210142, 658, 825, 144, 115, 1, 0.4722222089767456, 0.3826086819171906,[],[],0],
				["passrosa2-sheet1.png", 210142, 152, 721, 138, 121, 1, 0.5652173757553101, 0.4049586653709412,[],[],0],
				["passrosa2-sheet0.png", 213516, 142, 897, 135, 124, 1, 0.6370370388031006, 0.4193548262119293,[],[],0],
				["passrosa2-sheet0.png", 213516, 568, 896, 142, 127, 1, 0.6619718074798584, 0.4330708682537079,[],[],0],
				["passrosa2-sheet1.png", 210142, 853, 428, 143, 135, 1, 0.6993007063865662, 0.4666666686534882,[],[],0],
				["passrosa2-sheet0.png", 213516, 287, 558, 141, 147, 1, 0.7446808218955994, 0.5102040767669678,[],[],0],
				["passrosa2-sheet0.png", 213516, 429, 580, 141, 147, 1, 0.7446808218955994, 0.5102040767669678,[],[],0],
				["passrosa2-sheet0.png", 213516, 571, 581, 141, 147, 1, 0.7446808218955994, 0.5102040767669678,[],[],0],
				["passrosa2-sheet0.png", 213516, 713, 602, 141, 147, 1, 0.7446808218955994, 0.5102040767669678,[],[],0],
				["passrosa2-sheet0.png", 213516, 855, 602, 141, 147, 1, 0.7446808218955994, 0.5102040767669678,[],[],0],
				["passrosa2-sheet0.png", 213516, 1, 828, 140, 147, 1, 0.75, 0.5102040767669678,[],[],0],
				["passrosa2-sheet0.png", 213516, 286, 854, 140, 147, 1, 0.75, 0.5102040767669678,[],[],0],
				["passrosa2-sheet0.png", 213516, 144, 603, 141, 147, 1, 0.7446808218955994, 0.5102040767669678,[],[],0],
				["passrosa2-sheet0.png", 213516, 1, 237, 142, 147, 1, 0.7394366264343262, 0.5102040767669678,[],[],0],
				["passrosa2-sheet0.png", 213516, 1, 680, 141, 147, 1, 0.7446808218955994, 0.5102040767669678,[],[],0],
				["passrosa2-sheet0.png", 213516, 427, 874, 140, 147, 1, 0.75, 0.5102040767669678,[],[],0],
				["passrosa2-sheet0.png", 213516, 286, 706, 141, 147, 1, 0.7446808218955994, 0.5102040767669678,[],[],0],
				["passrosa2-sheet0.png", 213516, 1, 385, 142, 147, 1, 0.7394366264343262, 0.5102040767669678,[],[],0],
				["passrosa2-sheet0.png", 213516, 300, 410, 142, 147, 1, 0.7394366264343262, 0.5102040767669678,[],[],0],
				["passrosa2-sheet0.png", 213516, 443, 432, 142, 147, 1, 0.7394366264343262, 0.5102040767669678,[],[],0],
				["passrosa2-sheet0.png", 213516, 586, 433, 142, 147, 1, 0.7394366264343262, 0.5102040767669678,[],[],0]
			]
			]
,			[
			"anime2",
			20,
			false,
			1,
			0,
			false,
			8103021102462716,
			[
				["passrosa2-sheet1.png", 210142, 144, 1, 141, 145, 1, 0.73758864402771, 0.5103448033332825,[],[],0],
				["passrosa2-sheet1.png", 210142, 712, 1, 141, 144, 1, 0.73758864402771, 0.6180555820465088,[],[],0],
				["passrosa2-sheet1.png", 210142, 286, 1, 141, 145, 1, 0.73758864402771, 0.7241379022598267,[],[],0],
				["passrosa2-sheet0.png", 213516, 571, 750, 142, 145, 1, 0.7323943376541138, 0.8275862336158752,[],[],0],
				["passrosa2-sheet0.png", 213516, 729, 455, 142, 146, 1, 0.7323943376541138, 0.931506872177124,[],[],0],
				["passrosa2-sheet0.png", 213516, 714, 750, 142, 145, 1, 0.7323943376541138, 1.041379332542419,[],[],0],
				["passrosa2-sheet0.png", 213516, 872, 455, 142, 146, 1, 0.7323943376541138, 1.123287677764893,[],[],0],
				["passrosa2-sheet0.png", 213516, 144, 456, 142, 146, 1, 0.7323943376541138, 1.212328791618347,[],[],0],
				["passrosa2-sheet0.png", 213516, 857, 750, 142, 145, 1, 0.7323943376541138, 1.241379261016846,[],[],0],
				["passrosa2-sheet0.png", 213516, 1, 533, 142, 146, 1, 0.7323943376541138, 1.260273933410645,[],[],0],
				["passrosa2-sheet0.png", 213516, 143, 751, 142, 145, 1, 0.7323943376541138, 1.268965482711792,[],[],0],
				["passrosa2-sheet1.png", 210142, 1, 1, 142, 144, 1, 0.7323943376541138, 1.284722208976746,[],[],0],
				["passrosa2-sheet1.png", 210142, 854, 1, 141, 143, 1, 0.73758864402771, 1.293706297874451,[],[],0],
				["passrosa2-sheet1.png", 210142, 854, 145, 141, 141, 1, 0.73758864402771, 1.31205677986145,[],[],0],
				["passrosa2-sheet1.png", 210142, 1, 146, 141, 141, 1, 0.73758864402771, 1.269503593444824,[],[],0],
				["passrosa2-sheet1.png", 210142, 712, 146, 141, 141, 1, 0.73758864402771, 1.226950407028198,[],[],0],
				["passrosa2-sheet1.png", 210142, 285, 428, 141, 137, 1, 0.73758864402771, 1.211678862571716,[],[],0],
				["passrosa2-sheet1.png", 210142, 705, 429, 141, 134, 1, 0.73758864402771, 1.186567187309265,[],[],0],
				["passrosa2-sheet1.png", 210142, 563, 429, 141, 136, 1, 0.73758864402771, 1.161764740943909,[],[],0],
				["passrosa2-sheet1.png", 210142, 285, 289, 141, 138, 1, 0.73758864402771, 1.02173912525177,[],[],0],
				["passrosa2-sheet1.png", 210142, 143, 147, 141, 141, 1, 0.73758864402771, 0.8865247964859009,[],[],0],
				["passrosa2-sheet1.png", 210142, 427, 147, 141, 140, 1, 0.73758864402771, 0.7571428418159485,[],[],0],
				["passrosa2-sheet1.png", 210142, 285, 147, 141, 141, 1, 0.73758864402771, 0.6241135001182556,[],[],0],
				["passrosa2-sheet1.png", 210142, 569, 147, 141, 140, 1, 0.73758864402771, 0.4928571283817291,[],[],0],
				["passrosa2-sheet1.png", 210142, 854, 287, 141, 140, 1, 0.73758864402771, 0.4928571283817291,[],[],0],
				["passrosa2-sheet1.png", 210142, 1, 288, 141, 140, 1, 0.73758864402771, 0.4928571283817291,[],[],0],
				["passrosa2-sheet1.png", 210142, 427, 288, 141, 140, 1, 0.73758864402771, 0.4928571283817291,[],[],0],
				["passrosa2-sheet1.png", 210142, 569, 288, 141, 140, 1, 0.73758864402771, 0.4928571283817291,[],[],0],
				["passrosa2-sheet1.png", 210142, 711, 288, 141, 140, 1, 0.73758864402771, 0.4928571283817291,[],[],0],
				["passrosa2-sheet1.png", 210142, 143, 289, 141, 140, 1, 0.73758864402771, 0.4928571283817291,[],[],0]
			]
			]
,			[
			"anime4",
			8,
			true,
			1,
			0,
			true,
			515469456937539,
			[
				["passrosa1-sheet2.png", 12811, 109, 103, 107, 101, 1, 0.4953271150588989, 0.5148515105247498,[],[],0],
				["passrosa1-sheet2.png", 12811, 109, 1, 107, 101, 1, 0.5046728849411011, 0.5148515105247498,[],[],0],
				["passrosa1-sheet2.png", 12811, 1, 103, 107, 101, 1, 0.5046728849411011, 0.5148515105247498,[],[],0],
				["passrosa1-sheet1.png", 249697, 214, 846, 107, 102, 1, 0.5046728849411011, 0.5196078419685364,[],[],0],
				["passrosa1-sheet1.png", 249697, 826, 907, 107, 102, 1, 0.514018714427948, 0.5196078419685364,[],[],0],
				["passrosa1-sheet1.png", 249697, 632, 912, 107, 102, 1, 0.514018714427948, 0.5196078419685364,[],[],0],
				["passrosa1-sheet1.png", 249697, 414, 824, 108, 103, 1, 0.5185185074806213, 0.5242718458175659,[],[],0],
				["passrosa1-sheet1.png", 249697, 1, 822, 107, 103, 1, 0.5233644843101502, 0.5242718458175659,[],[],0]
			]
			]
,			[
			"anime3",
			9,
			false,
			1,
			0,
			false,
			3125672805645261,
			[
				["passrosa2-sheet1.png", 210142, 428, 1, 141, 145, 1, 0.73758864402771, 0.5103448033332825,[],[],0],
				["passrosa2-sheet1.png", 210142, 1, 429, 135, 143, 1, 0.8074073791503906, 0.4965035021305084,[],[],0],
				["passrosa2-sheet1.png", 210142, 1, 573, 125, 140, 1, 0.9039999842643738, 0.4857142865657806,[],[],0],
				["passrosa2-sheet1.png", 210142, 544, 687, 128, 136, 1, 0.90625, 0.4705882370471954,[],[],0],
				["passrosa2-sheet1.png", 210142, 835, 564, 122, 154, 1, 0.9426229596138001, 0.5324675440788269,[],[],0],
				["passrosa2-sheet0.png", 213516, 902, 229, 121, 174, 1, 0.9586777091026306, 0.5862069129943848,[],[],0],
				["passrosa2-sheet0.png", 213516, 465, 231, 135, 200, 1, 0.8592592477798462, 0.6349999904632568,[],[],0],
				["passrosa2-sheet0.png", 213516, 761, 229, 140, 225, 1, 0.8214285969734192, 0.6755555272102356,[],[],0],
				["passrosa2-sheet0.png", 213516, 761, 1, 145, 227, 1, 0.7862069010734558, 0.6784141063690186,[],[],0],
				["passrosa2-sheet0.png", 213516, 465, 1, 149, 229, 1, 0.7583892345428467, 0.6812227368354797,[],[],0],
				["passrosa2-sheet0.png", 213516, 159, 1, 155, 228, 1, 0.7290322780609131, 0.6798245906829834,[],[],0],
				["passrosa2-sheet1.png", 210142, 137, 430, 129, 146, 1, 0.8682170510292053, 0.5068492889404297,[],[],0],
				["passrosa2-sheet1.png", 210142, 570, 1, 141, 145, 1, 0.73758864402771, 0.5103448033332825,[],[],0],
				["passrosa2-sheet1.png", 210142, 427, 429, 135, 143, 1, 0.8074073791503906, 0.4965035021305084,[],[],0],
				["passrosa2-sheet1.png", 210142, 127, 577, 125, 140, 1, 0.9039999842643738, 0.4857142865657806,[],[],0],
				["passrosa2-sheet1.png", 210142, 390, 690, 128, 136, 1, 0.90625, 0.4705882370471954,[],[],0],
				["passrosa2-sheet1.png", 210142, 267, 566, 122, 154, 1, 0.9426229596138001, 0.5324675440788269,[],[],0],
				["passrosa2-sheet0.png", 213516, 300, 235, 121, 174, 1, 0.9586777091026306, 0.5862069129943848,[],[],0],
				["passrosa2-sheet0.png", 213516, 601, 232, 135, 200, 1, 0.8592592477798462, 0.6349999904632568,[],[],0],
				["passrosa2-sheet0.png", 213516, 159, 230, 140, 225, 1, 0.8214285969734192, 0.6755555272102356,[],[],0],
				["passrosa2-sheet0.png", 213516, 615, 1, 145, 230, 1, 0.7862069010734558, 0.6826087236404419,[],[],0],
				["passrosa2-sheet0.png", 213516, 315, 1, 149, 233, 1, 0.7583892345428467, 0.6866952776908875,[],[],0],
				["passrosa2-sheet0.png", 213516, 1, 1, 157, 235, 1, 0.7197452187538147, 0.6893616914749146,[],[],0],
				["passrosa2-sheet1.png", 210142, 705, 564, 129, 146, 1, 0.8682170510292053, 0.5068492889404297,[],[],0]
			]
			]
,			[
			"anime5",
			8.800000190734863,
			false,
			1,
			0,
			true,
			6704699041241624,
			[
				["passrosa1-sheet2.png", 12811, 109, 103, 107, 101, 1, 0.4953271150588989, 0.5148515105247498,[],[],0],
				["passrosa1-sheet1.png", 249697, 523, 827, 108, 103, 1, 0.5185185074806213, 0.5145630836486816,[],[],0],
				["passrosa1-sheet1.png", 249697, 1, 717, 107, 104, 1, 0.5420560836791992, 0.5192307829856873,[],[],0],
				["passrosa1-sheet0.png", 224537, 907, 108, 107, 105, 1, 0.5607476830482483, 0.523809552192688,[],[],0],
				["passrosa1-sheet0.png", 224537, 907, 1, 106, 106, 1, 0.5849056839942932, 0.5283018946647644,[],[],0],
				["passrosa1-sheet1.png", 249697, 414, 716, 105, 107, 1, 0.6095238327980042, 0.5327102541923523,[],[],0],
				["passrosa1-sheet1.png", 249697, 109, 795, 104, 107, 10, 0.6346153616905212, 0.5327102541923523,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		3902110481643728,
		[],
		null
	]
,	[
		"t50",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"anime1",
			15,
			true,
			1,
			0,
			false,
			2667944614282502,
			[
				["passrosa1-sheet0.png", 224537, 1, 680, 142, 145, 1, 0.6760563254356384, 0.3862068951129913,[],[],0],
				["passrosa1-sheet0.png", 224537, 713, 896, 143, 126, 1, 0.5944055914878845, 0.2936508059501648,[],[],0],
				["passrosa1-sheet1.png", 249697, 687, 791, 138, 120, 1, 0.4927536249160767, 0.2583333253860474,[],[],0],
				["passrosa1-sheet1.png", 249697, 124, 679, 150, 115, 1, 0.3266666531562805, 0.2173912972211838,[],[],0],
				["passrosa1-sheet1.png", 249697, 847, 563, 155, 113, 1, 0.3161290287971497, 0.2212389409542084,[],[],0],
				["passrosa1-sheet1.png", 249697, 124, 562, 153, 116, 1, 0.3529411852359772, 0.2413793057203293,[],[],0],
				["passrosa1-sheet1.png", 249697, 809, 677, 154, 113, 1, 0.3311688303947449, 0.2212389409542084,[],[],0],
				["passrosa1-sheet0.png", 224537, 857, 898, 154, 116, 1, 0.3116883039474487, 0.2155172377824783,[],[],0],
				["passrosa1-sheet1.png", 249697, 536, 712, 150, 114, 1, 0.3333333432674408, 0.219298243522644,[],[],0],
				["passrosa1-sheet1.png", 249697, 826, 791, 144, 115, 1, 0.4097222089767456, 0.2347826063632965,[],[],0],
				["passrosa1-sheet1.png", 249697, 275, 724, 138, 121, 1, 0.5, 0.2644627988338471,[],[],0],
				["passrosa1-sheet0.png", 224537, 142, 899, 135, 124, 1, 0.5703703761100769, 0.2822580635547638,[],[],0],
				["passrosa1-sheet0.png", 224537, 570, 896, 142, 127, 1, 0.5985915660858154, 0.2992126047611237,[],[],0],
				["passrosa1-sheet1.png", 249697, 143, 426, 143, 135, 1, 0.6363636255264282, 0.3407407402992249,[],[],0],
				["passrosa1-sheet0.png", 224537, 287, 558, 141, 147, 1, 0.6808510422706604, 0.3945578336715698,[],[],0],
				["passrosa1-sheet0.png", 224537, 429, 580, 141, 147, 1, 0.6808510422706604, 0.3945578336715698,[],[],0],
				["passrosa1-sheet0.png", 224537, 571, 581, 141, 147, 3, 0.6808510422706604, 0.3945578336715698,[],[],0],
				["passrosa1-sheet0.png", 224537, 858, 750, 140, 147, 1, 0.6857143044471741, 0.3945578336715698,[],[],0],
				["passrosa1-sheet0.png", 224537, 144, 751, 140, 147, 1, 0.6857143044471741, 0.3945578336715698,[],[],0],
				["passrosa1-sheet0.png", 224537, 713, 602, 141, 147, 1, 0.6808510422706604, 0.3945578336715698,[],[],0],
				["passrosa1-sheet0.png", 224537, 1, 237, 142, 147, 1, 0.6760563254356384, 0.3945578336715698,[],[],0],
				["passrosa1-sheet0.png", 224537, 855, 602, 141, 147, 1, 0.6808510422706604, 0.3945578336715698,[],[],0],
				["passrosa1-sheet0.png", 224537, 1, 826, 140, 147, 1, 0.6857143044471741, 0.3945578336715698,[],[],0],
				["passrosa1-sheet0.png", 224537, 144, 603, 141, 147, 1, 0.6808510422706604, 0.3945578336715698,[],[],0],
				["passrosa1-sheet0.png", 224537, 586, 433, 142, 147, 1, 0.6760563254356384, 0.3945578336715698,[],[],0],
				["passrosa1-sheet0.png", 224537, 586, 433, 142, 147, 1, 0.6760563254356384, 0.3945578336715698,[],[],0],
				["passrosa1-sheet0.png", 224537, 586, 433, 142, 147, 1, 0.6760563254356384, 0.3945578336715698,[],[],0],
				["passrosa1-sheet0.png", 224537, 586, 433, 142, 147, 1, 0.6760563254356384, 0.3945578336715698,[],[],0]
			]
			]
,			[
			"anime2",
			20,
			false,
			1,
			0,
			false,
			316202787854785,
			[
				["passrosa1-sheet0.png", 224537, 428, 875, 141, 145, 1, 0.673758864402771, 0.3862068951129913,[],[],0],
				["passrosa1-sheet1.png", 249697, 427, 1, 141, 144, 1, 0.673758864402771, 0.4930555522441864,[],[],0],
				["passrosa1-sheet1.png", 249697, 1, 1, 141, 145, 1, 0.673758864402771, 0.6000000238418579,[],[],0],
				["passrosa1-sheet0.png", 224537, 286, 706, 142, 145, 1, 0.6690140962600708, 0.7034482955932617,[],[],0],
				["passrosa1-sheet0.png", 224537, 729, 455, 142, 146, 1, 0.6690140962600708, 0.8082191944122315,[],[],0],
				["passrosa1-sheet0.png", 224537, 429, 729, 142, 145, 1, 0.6690140962600708, 0.9172413945198059,[],[],0],
				["passrosa1-sheet0.png", 224537, 872, 455, 142, 146, 1, 0.6690140962600708, 1,[],[],0],
				["passrosa1-sheet0.png", 224537, 144, 456, 142, 146, 1, 0.6690140962600708, 1.089041113853455,[],[],0],
				["passrosa1-sheet0.png", 224537, 572, 750, 142, 145, 1, 0.6690140962600708, 1.117241382598877,[],[],0],
				["passrosa1-sheet0.png", 224537, 1, 533, 142, 146, 1, 0.6690140962600708, 1.136986255645752,[],[],0],
				["passrosa1-sheet0.png", 224537, 715, 750, 142, 145, 1, 0.6690140962600708, 1.144827604293823,[],[],0],
				["passrosa1-sheet0.png", 224537, 285, 852, 142, 144, 1, 0.6690140962600708, 1.159722208976746,[],[],0],
				["passrosa1-sheet1.png", 249697, 569, 1, 141, 143, 1, 0.673758864402771, 1.167832136154175,[],[],0],
				["passrosa1-sheet1.png", 249697, 711, 1, 141, 141, 1, 0.673758864402771, 1.184397220611572,[],[],0],
				["passrosa1-sheet1.png", 249697, 853, 1, 141, 141, 1, 0.673758864402771, 1.141843914985657,[],[],0],
				["passrosa1-sheet1.png", 249697, 711, 143, 141, 141, 1, 0.673758864402771, 1.099290728569031,[],[],0],
				["passrosa1-sheet1.png", 249697, 143, 288, 141, 137, 1, 0.673758864402771, 1.080291986465454,[],[],0],
				["passrosa1-sheet1.png", 249697, 1, 427, 141, 134, 1, 0.673758864402771, 1.052238821983337,[],[],0],
				["passrosa1-sheet1.png", 249697, 847, 426, 141, 136, 1, 0.673758864402771, 1.029411792755127,[],[],0],
				["passrosa1-sheet1.png", 249697, 1, 288, 141, 138, 1, 0.673758864402771, 0.8913043737411499,[],[],0],
				["passrosa1-sheet1.png", 249697, 853, 143, 141, 141, 1, 0.673758864402771, 0.758865237236023,[],[],0],
				["passrosa1-sheet1.png", 249697, 427, 146, 141, 140, 1, 0.673758864402771, 0.6285714507102966,[],[],0],
				["passrosa1-sheet1.png", 249697, 569, 145, 141, 141, 1, 0.673758864402771, 0.4964539110660553,[],[],0],
				["passrosa1-sheet1.png", 249697, 285, 147, 141, 140, 1, 0.673758864402771, 0.3642857074737549,[],[],0],
				["passrosa1-sheet1.png", 249697, 285, 147, 141, 140, 1, 0.673758864402771, 0.3642857074737549,[],[],0],
				["passrosa1-sheet1.png", 249697, 285, 147, 141, 140, 1, 0.673758864402771, 0.3642857074737549,[],[],0],
				["passrosa1-sheet1.png", 249697, 569, 287, 141, 140, 1, 0.673758864402771, 0.3642857074737549,[],[],0],
				["passrosa1-sheet1.png", 249697, 569, 287, 141, 140, 1, 0.673758864402771, 0.3642857074737549,[],[],0],
				["passrosa1-sheet1.png", 249697, 569, 287, 141, 140, 1, 0.673758864402771, 0.3642857074737549,[],[],0],
				["passrosa1-sheet1.png", 249697, 569, 287, 141, 140, 1, 0.673758864402771, 0.3642857074737549,[],[],0]
			]
			]
,			[
			"anime3",
			9,
			false,
			1,
			0,
			false,
			6455161968250803,
			[
				["passrosa1-sheet1.png", 249697, 285, 1, 141, 145, 1, 0.673758864402771, 0.3862068951129913,[],[],0],
				["passrosa1-sheet1.png", 249697, 711, 426, 135, 143, 1, 0.7407407164573669, 0.3706293702125549,[],[],0],
				["passrosa1-sheet1.png", 249697, 410, 575, 125, 140, 1, 0.8320000171661377, 0.3571428656578064,[],[],0],
				["passrosa1-sheet1.png", 249697, 278, 587, 128, 136, 1, 0.8359375, 0.3382352888584137,[],[],0],
				["passrosa1-sheet1.png", 249697, 1, 562, 122, 154, 1, 0.868852436542511, 0.4155844151973724,[],[],0],
				["passrosa1-sheet0.png", 224537, 300, 235, 121, 174, 1, 0.8842975497245789, 0.4827586114406586,[],[],0],
				["passrosa1-sheet0.png", 224537, 601, 232, 135, 200, 1, 0.7925925850868225, 0.5450000166893005,[],[],0],
				["passrosa1-sheet0.png", 224537, 159, 230, 140, 225, 1, 0.7571428418159485, 0.5955555438995361,[],[],0],
				["passrosa1-sheet0.png", 224537, 761, 1, 145, 227, 1, 0.7241379022598267, 0.5991189479827881,[],[],0],
				["passrosa1-sheet0.png", 224537, 465, 1, 149, 229, 1, 0.6979866027832031, 0.6026200652122498,[],[],0],
				["passrosa1-sheet0.png", 224537, 159, 1, 155, 228, 1, 0.6709677577018738, 0.6008771657943726,[],[],0],
				["passrosa1-sheet1.png", 249697, 553, 428, 129, 146, 1, 0.7984496355056763, 0.3835616409778595,[],[],0],
				["passrosa1-sheet1.png", 249697, 285, 1, 141, 145, 1, 0.673758864402771, 0.3862068951129913,[],[],0],
				["passrosa1-sheet1.png", 249697, 711, 426, 135, 143, 1, 0.7407407164573669, 0.3706293702125549,[],[],0],
				["passrosa1-sheet1.png", 249697, 410, 575, 125, 140, 1, 0.8320000171661377, 0.3571428656578064,[],[],0],
				["passrosa1-sheet1.png", 249697, 278, 587, 128, 136, 1, 0.8359375, 0.3382352888584137,[],[],0],
				["passrosa1-sheet1.png", 249697, 1, 562, 122, 154, 1, 0.868852436542511, 0.4155844151973724,[],[],0],
				["passrosa1-sheet0.png", 224537, 300, 235, 121, 174, 1, 0.8842975497245789, 0.4827586114406586,[],[],0],
				["passrosa1-sheet0.png", 224537, 601, 232, 135, 200, 1, 0.7925925850868225, 0.5450000166893005,[],[],0],
				["passrosa1-sheet0.png", 224537, 159, 230, 140, 225, 1, 0.7571428418159485, 0.5955555438995361,[],[],0],
				["passrosa1-sheet0.png", 224537, 615, 1, 145, 230, 1, 0.7241379022598267, 0.604347825050354,[],[],0],
				["passrosa1-sheet0.png", 224537, 315, 1, 149, 233, 1, 0.6979866027832031, 0.6094420552253723,[],[],0],
				["passrosa1-sheet0.png", 224537, 1, 1, 157, 235, 1, 0.662420392036438, 0.6127659678459168,[],[],0],
				["passrosa1-sheet1.png", 249697, 553, 428, 129, 146, 1, 0.7984496355056763, 0.3835616409778595,[],[],0]
			]
			]
,			[
			"anime4",
			7,
			true,
			1,
			0,
			true,
			7568417140260927,
			[
				["passrosa1-sheet2.png", 12811, 109, 103, 107, 101, 1, 0.4953271150588989, 0.5148515105247498,[],[],0],
				["passrosa1-sheet2.png", 12811, 109, 1, 107, 101, 1, 0.5046728849411011, 0.5148515105247498,[],[],0],
				["passrosa1-sheet2.png", 12811, 1, 103, 107, 101, 1, 0.5046728849411011, 0.5148515105247498,[],[],0],
				["passrosa1-sheet1.png", 249697, 214, 846, 107, 102, 1, 0.5046728849411011, 0.5196078419685364,[],[],0],
				["passrosa1-sheet1.png", 249697, 826, 907, 107, 102, 1, 0.514018714427948, 0.5196078419685364,[],[],0],
				["passrosa1-sheet1.png", 249697, 632, 912, 107, 102, 1, 0.514018714427948, 0.5196078419685364,[],[],0],
				["passrosa1-sheet1.png", 249697, 414, 824, 108, 103, 1, 0.5185185074806213, 0.5242718458175659,[],[],0],
				["passrosa1-sheet1.png", 249697, 1, 822, 107, 103, 1, 0.5233644843101502, 0.5242718458175659,[],[],0]
			]
			]
,			[
			"anime5",
			8.800000190734863,
			false,
			1,
			0,
			true,
			933108268752869,
			[
				["passrosa1-sheet2.png", 12811, 109, 103, 107, 101, 1, 0.4953271150588989, 0.5148515105247498,[],[],0],
				["passrosa1-sheet1.png", 249697, 523, 827, 108, 103, 1, 0.5185185074806213, 0.5145630836486816,[],[],0],
				["passrosa1-sheet1.png", 249697, 1, 717, 107, 104, 1, 0.5420560836791992, 0.5192307829856873,[],[],0],
				["passrosa1-sheet0.png", 224537, 907, 108, 107, 105, 1, 0.5607476830482483, 0.523809552192688,[],[],0],
				["passrosa1-sheet0.png", 224537, 907, 1, 106, 106, 1, 0.5849056839942932, 0.5283018946647644,[],[],0],
				["passrosa1-sheet1.png", 249697, 414, 716, 105, 107, 1, 0.6095238327980042, 0.5327102541923523,[],[],0],
				["passrosa1-sheet1.png", 249697, 109, 795, 104, 107, 10, 0.6346153616905212, 0.5327102541923523,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		5481072606668442,
		[],
		null
	]
,	[
		"t51",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"anime1",
			15,
			false,
			4,
			1,
			false,
			1600079851114896,
			[
				["lixeira-sheet0.png", 122667, 323, 326, 133, 153, 1, 0.5037593841552734, 0.46405228972435,[],[],0],
				["lixeira-sheet0.png", 122667, 323, 172, 134, 153, 1, 0.4701492488384247, 0.46405228972435,[],[],0],
				["lixeira-sheet0.png", 122667, 1, 343, 133, 153, 1, 0.5037593841552734, 0.46405228972435,[],[],0],
				["lixeira-sheet0.png", 122667, 135, 343, 133, 153, 1, 0.5338345766067505, 0.46405228972435,[],[],0],
				["lixeira-sheet1.png", 15342, 0, 0, 133, 153, 1, 0.5037593841552734, 0.46405228972435,[],[],0]
			]
			]
,			[
			"anime2",
			15,
			false,
			4,
			1,
			false,
			9046300675648496,
			[
				["lixeira-sheet0.png", 122667, 1, 1, 160, 170, 1, 0.5, 0.5,[],[],0],
				["lixeira-sheet0.png", 122667, 162, 1, 160, 170, 1, 0.5, 0.5,[],[],0],
				["lixeira-sheet0.png", 122667, 323, 1, 160, 170, 1, 0.5, 0.5,[],[],0],
				["lixeira-sheet0.png", 122667, 1, 172, 160, 170, 1, 0.5, 0.5,[],[],0],
				["lixeira-sheet0.png", 122667, 162, 172, 160, 170, 1, 0.5, 0.5,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		3686022822922783,
		[],
		null
	]
,	[
		"t52",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"anime1",
			5,
			false,
			1,
			0,
			false,
			8904489140020821,
			[
				["arvoreesq-sheet0.png", 34230, 1, 1, 395, 511, 1, 0.501265823841095, 0.5009784698486328,[],[-0.384809821844101,-0.08023548126220703,-0.3227848410606384,-0.1428574621677399,-0.2759498357772827,-0.2367904782295227,0.1240501999855042,-0.4520547688007355,0.250633180141449,-0.3718194663524628,0.3291141986846924,-0.3786694705486298,0.3974681496620178,-0.2641874551773071,0.3873421549797058,-0.07045048475265503,0.2708861827850342,-0.02739748358726502,0.1797471642494202,-0.1037184596061707,-0.01265782117843628,-0.1506844758987427,-0.1917718350887299,-0.06751447916030884,-0.1382908225059509,0.03571450710296631,-0.3734178245067596,0.09980350732803345,-0.3740508258342743,-0.01859146356582642],0]
			]
			]
,			[
			"anime2",
			5,
			false,
			1,
			0,
			false,
			6588302145829631,
			[
				["arvoreesq-sheet0.png", 34230, 397, 1, 395, 511, 1, 0.501265823841095, 0.5009784698486328,[],[-0.384809821844101,-0.08023548126220703,-0.3227848410606384,-0.1428574621677399,-0.2759498357772827,-0.2367904782295227,0.1240501999855042,-0.4520547688007355,0.250633180141449,-0.3718194663524628,0.3291141986846924,-0.3786694705486298,0.3974681496620178,-0.2641874551773071,0.3873421549797058,-0.07045048475265503,0.2708861827850342,-0.02739748358726502,0.1797471642494202,-0.1037184596061707,-0.01265782117843628,-0.1506844758987427,-0.1917718350887299,-0.06751447916030884,-0.1382908225059509,0.03571450710296631,-0.3734178245067596,0.09980350732803345,-0.3740508258342743,-0.01859146356582642],0]
			]
			]
		],
		[
		],
		false,
		false,
		8298872550979627,
		[],
		null
	]
,	[
		"t53",
		cr.plugins_.Sprite,
		false,
		[],
		1,
		0,
		null,
		[
			[
			"anime1",
			5,
			false,
			1,
			0,
			false,
			7062361066675877,
			[
				["maca-sheet0.png", 2796, 0, 0, 80, 80, 1, 0.5, 0.512499988079071,[],[-0.3218750059604645,-0.2718749940395355,0.003125011920928955,-0.418749988079071,0.265625,-0.3156249821186066,0.387499988079071,-0.05624997615814209,0.3218749761581421,0.215624988079071,0.015625,0.371874988079071,-0.309374988079071,0.253125011920929,-0.40625,-0.02187499403953552],0]
			]
			]
,			[
			"anime2",
			5,
			false,
			1,
			0,
			false,
			9691578804077227,
			[
				["maca-sheet1.png", 2596, 0, 0, 80, 80, 1, 0.5, 0.512499988079071,[],[-0.3187499940395355,-0.234375,-0.05937498807907105,-0.3781249821186066,0.278124988079071,-0.28125,0.371874988079071,5.960464477539063e-008,0.2406250238418579,0.237500011920929,0.003125011920928955,0.3500000238418579,-0.296875,0.268750011920929,-0.40625,0.01875001192092896],0]
			]
			]
		],
		[
		[
			"LiteTween",
			cr.behaviors.lunarray_LiteTween,
			9981259624772236
		]
		],
		false,
		false,
		3703672987502961,
		[],
		null
	]
,	[
		"t54",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"anime1",
			12,
			false,
			1,
			0,
			false,
			4866827176356659,
			[
				["flor-sheet0.png", 54598, 407, 362, 22, 19, 1, 0.5454545617103577, 0.5789473652839661,[],[],0],
				["flor-sheet0.png", 54598, 487, 193, 24, 35, 1, 0.5833333134651184, 0.9142857193946838,[],[],0],
				["flor-sheet0.png", 54598, 303, 362, 25, 56, 1, 0.6000000238418579, 0.9464285969734192,[],[],0],
				["flor-sheet0.png", 54598, 191, 362, 27, 77, 1, 0.5555555820465088, 0.9610389471054077,[],[],0],
				["flor-sheet0.png", 54598, 477, 339, 29, 98, 1, 0.4482758641242981, 0.9693877696990967,[],[],0],
				["flor-sheet0.png", 54598, 151, 214, 39, 121, 1, 0.3589743673801422, 0.9752066135406494,[],[],0],
				["flor-sheet0.png", 54598, 437, 193, 49, 145, 1, 0.2448979616165161, 0.9793103337287903,[],[],0],
				["flor-sheet0.png", 54598, 193, 193, 60, 168, 1, 0.1666666716337204, 0.9821428656578064,[],[],0],
				["flor-sheet0.png", 54598, 193, 1, 78, 191, 1, 0.1282051354646683, 0.9842932224273682,[],[],0],
				["flor-sheet0.png", 54598, 1, 1, 95, 212, 1, 0.1052631586790085, 0.9858490824699402,[],[0.04210484027862549,-0.9811320900917053,0.8526318073272705,-0.9858490824699402,0.8105258345603943,-0.7311320900917053,0.5368418097496033,-0.6415090560913086,0.3052628636360169,-0.6415090560913086,0.1578948348760605,-0.6745281219482422],0],
				["flor-sheet0.png", 54598, 272, 1, 78, 191, 1, 0.1282051354646683, 0.9842932224273682,[],[],0],
				["flor-sheet0.png", 54598, 254, 193, 60, 168, 1, 0.1666666716337204, 0.9821428656578064,[],[],0],
				["flor-sheet0.png", 54598, 1, 214, 49, 145, 1, 0.2448979616165161, 0.9793103337287903,[],[],0],
				["flor-sheet0.png", 54598, 151, 336, 39, 121, 1, 0.3589743673801422, 0.9752066135406494,[],[],0],
				["flor-sheet0.png", 54598, 41, 360, 29, 98, 1, 0.4482758641242981, 0.9693877696990967,[],[],0],
				["flor-sheet0.png", 54598, 219, 362, 27, 77, 1, 0.5555555820465088, 0.9610389471054077,[],[],0],
				["flor-sheet0.png", 54598, 329, 362, 25, 56, 1, 0.6000000238418579, 0.9464285969734192,[],[],0],
				["flor-sheet0.png", 54598, 487, 229, 24, 35, 1, 0.5833333134651184, 0.9142857193946838,[],[],0],
				["flor-sheet0.png", 54598, 407, 382, 22, 19, 1, 0.5454545617103577, 0.5789473652839661,[],[],0]
			]
			]
,			[
			"anime2",
			12,
			false,
			1,
			0,
			false,
			1643951641282209,
			[
				["flor-sheet0.png", 54598, 407, 402, 22, 19, 1, 0.5909090638160706, 0.5789473652839661,[],[],0],
				["flor-sheet0.png", 54598, 487, 265, 24, 35, 1, 0.625, 0.9142857193946838,[],[],0],
				["flor-sheet0.png", 54598, 355, 362, 25, 56, 1, 0.6399999856948853, 0.9464285969734192,[],[],0],
				["flor-sheet0.png", 54598, 247, 362, 27, 77, 1, 0.5925925970077515, 0.9610389471054077,[],[],0],
				["flor-sheet0.png", 54598, 71, 360, 29, 98, 1, 0.4827586114406586, 0.9693877696990967,[],[],0],
				["flor-sheet0.png", 54598, 437, 339, 39, 121, 1, 0.3846153914928436, 0.9752066135406494,[],[],0],
				["flor-sheet0.png", 54598, 51, 214, 49, 145, 1, 0.2653061151504517, 0.9793103337287903,[],[],0],
				["flor-sheet0.png", 54598, 315, 193, 60, 168, 1, 0.1833333373069763, 0.9821428656578064,[],[],0],
				["flor-sheet0.png", 54598, 351, 1, 78, 191, 1, 0.141025647521019, 0.9842932224273682,[],[],0],
				["flor-sheet0.png", 54598, 97, 1, 95, 212, 1, 0.1157894730567932, 0.9858490824699402,[],[0.05263152718544006,-0.943396270275116,0.8526315093040466,-0.9622641801834106,0.7789475321769714,-0.6462260484695435,0.1999995410442352,-0.6226410865783691],0],
				["flor-sheet0.png", 54598, 430, 1, 78, 191, 1, 0.141025647521019, 0.9842932224273682,[],[],0],
				["flor-sheet0.png", 54598, 376, 193, 60, 168, 1, 0.1833333373069763, 0.9821428656578064,[],[],0],
				["flor-sheet0.png", 54598, 101, 214, 49, 145, 1, 0.2653061151504517, 0.9793103337287903,[],[],0],
				["flor-sheet0.png", 54598, 1, 360, 39, 121, 1, 0.3846153914928436, 0.9752066135406494,[],[],0],
				["flor-sheet0.png", 54598, 101, 360, 29, 98, 1, 0.4827586114406586, 0.9693877696990967,[],[],0],
				["flor-sheet0.png", 54598, 275, 362, 27, 77, 1, 0.5925925970077515, 0.9610389471054077,[],[],0],
				["flor-sheet0.png", 54598, 381, 362, 25, 56, 1, 0.6399999856948853, 0.9464285969734192,[],[],0],
				["flor-sheet0.png", 54598, 487, 301, 24, 35, 1, 0.625, 0.9142857193946838,[],[],0],
				["flor-sheet0.png", 54598, 303, 419, 22, 19, 1, 0.5909090638160706, 0.5789473652839661,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		3624883445656284,
		[],
		null
	]
,	[
		"t55",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			7000790854915184,
			[
				["horta-sheet0.png", 5429, 0, 0, 592, 198, 1, 0.5, 0.5,[],[-0.3716219961643219,-0.1161620020866394,-0.1621620059013367,-0.1111110150814056,-0.1646960079669952,0.1136360168457031,-0.06038901209831238,0.1401510238647461,-0.02195999026298523,-0.4898988902568817,0.4898650050163269,0.4595959782600403,0,0.297980010509491,-0.4966216087341309,0.4898989796638489,-0.4645270109176636,0],0]
			]
			]
		],
		[
		],
		false,
		false,
		9997838897468029,
		[],
		null
	]
,	[
		"t56",
		cr.plugins_.Sprite,
		false,
		[],
		3,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			647949490880374,
			[
				["balao-sheet0.png", 21032, 0, 0, 131, 166, 1, 0.5038167834281921, 0.5,[],[-0.5038167834281921,-0.3493980169296265,-0.1145037710666657,-0.5,0.3511452078819275,-0.4457831084728241,0.4961832165718079,-0.1506020128726959,0.137404203414917,0.2168669700622559,0.02671724557876587,0.4939759969711304,-0.1145037710666657,0.4939759969711304,-0.183205783367157,0.2469879984855652,-0.4198472797870636,0],0]
			]
			]
		],
		[
		[
			"DragDrop",
			cr.behaviors.DragnDrop,
			8811382244007996
		]
,		[
			"Sine",
			cr.behaviors.Sin,
			4257112980218198
		]
,		[
			"MoveTo",
			cr.behaviors.Rex_MoveTo,
			1738626574694969
		]
		],
		false,
		false,
		5057500730896352,
		[],
		null
	]
,	[
		"t57",
		cr.plugins_.Sprite,
		false,
		[],
		1,
		0,
		null,
		[
			[
			"anime1",
			3,
			false,
			1,
			0,
			false,
			2412472460940828,
			[
				["letra1-sheet0.png", 355380, 1, 541, 1025, 52, 3.5, 0.5004878044128418, 0.5,[],[],0],
				["letra1-sheet0.png", 355380, 1, 594, 1025, 52, 8.5, 0.5004878044128418, 0.5,[],[-0.0009758174419403076,-0.2115379869937897,0.1502441763877869,0,-0.0009758174419403076,0.3461539745330811,-0.1317078173160553,0],0],
				["letra1-sheet0.png", 355380, 1, 647, 1025, 52, 8.5, 0.5004878044128418, 0.5,[],[],0],
				["letra1-sheet0.png", 355380, 1, 700, 1025, 52, 14, 0.5004878044128418, 0.5,[],[],0],
				["letra1-sheet0.png", 355380, 1, 753, 1025, 52, 3, 0.5004878044128418, 0.5,[],[],0],
				["letra1-sheet0.png", 355380, 1, 806, 1025, 52, 5.5, 0.5004878044128418, 0.5,[],[],0],
				["letra1-sheet0.png", 355380, 1, 859, 1025, 52, 4, 0.5004878044128418, 0.5,[],[],0],
				["letra1-sheet0.png", 355380, 1, 912, 1025, 52, 5.5, 0.5004878044128418, 0.5,[],[],0],
				["letra1-sheet0.png", 355380, 1, 965, 1025, 52, 7.5, 0.5004878044128418, 0.5,[],[],0],
				["letra1-sheet0.png", 355380, 1, 1018, 1025, 52, 5, 0.5004878044128418, 0.5,[],[],0],
				["letra1-sheet0.png", 355380, 1, 1071, 1025, 52, 5.5, 0.5004878044128418, 0.5,[],[],0],
				["letra1-sheet0.png", 355380, 1, 1124, 1025, 52, 7.5, 0.5004878044128418, 0.5,[],[],0],
				["letra1-sheet0.png", 355380, 1, 1177, 1025, 52, 5.5, 0.5004878044128418, 0.5,[],[],0],
				["letra1-sheet0.png", 355380, 1, 1230, 1025, 52, 3.400000095367432, 0.5004878044128418, 0.5,[],[],0],
				["letra1-sheet0.png", 355380, 1, 1283, 1025, 52, 3, 0.5004878044128418, 0.5,[],[],0],
				["letra1-sheet0.png", 355380, 1, 1336, 1025, 52, 5.400000095367432, 0.5004878044128418, 0.5,[],[],0],
				["letra1-sheet0.png", 355380, 1, 1389, 1025, 52, 3, 0.5004878044128418, 0.5,[],[],0],
				["letra1-sheet0.png", 355380, 1, 1442, 1025, 52, 14, 0.5004878044128418, 0.5,[],[],0],
				["letra1-sheet0.png", 355380, 1, 1495, 1025, 52, 8, 0.5004878044128418, 0.5,[],[],0],
				["letra1-sheet0.png", 355380, 1, 1548, 1025, 52, 9, 0.5004878044128418, 0.5,[],[],0],
				["letra1-sheet0.png", 355380, 1, 1601, 1025, 52, 8, 0.5004878044128418, 0.5,[],[],0],
				["letra1-sheet0.png", 355380, 1, 1654, 1025, 52, 19.39999961853027, 0.5004878044128418, 0.5,[],[],0],
				["letra1-sheet0.png", 355380, 1, 1707, 1025, 52, 4, 0.5004878044128418, 0.5,[],[],0],
				["letra1-sheet0.png", 355380, 1, 1760, 1025, 52, 3.700000047683716, 0.5004878044128418, 0.5,[],[],0],
				["letra1-sheet0.png", 355380, 1, 1813, 1025, 52, 5.300000190734863, 0.5004878044128418, 0.5,[],[],0],
				["letra1-sheet0.png", 355380, 1, 1866, 1025, 52, 3.599999904632568, 0.5004878044128418, 0.5,[],[],0],
				["letra1-sheet0.png", 355380, 1, 1919, 1025, 52, 1, 0.5004878044128418, 0.5,[],[],0]
			]
			]
,			[
			"anime2",
			1,
			false,
			1,
			0,
			false,
			4809813603429499,
			[
				["letra1-sheet0.png", 355380, 1026, 1, 800, 59, 2.5, 0.5, 0.508474588394165,[],[],0],
				["letra1-sheet0.png", 355380, 1026, 61, 800, 59, 2.200000047683716, 0.5, 0.508474588394165,[],[],0],
				["letra1-sheet0.png", 355380, 1026, 121, 800, 59, 4, 0.5, 0.508474588394165,[],[],0],
				["letra1-sheet0.png", 355380, 1026, 181, 800, 59, 4, 0.5, 0.508474588394165,[],[],0],
				["letra1-sheet0.png", 355380, 1026, 241, 800, 59, 3, 0.5, 0.508474588394165,[],[],0],
				["letra1-sheet0.png", 355380, 1026, 301, 800, 59, 3.400000095367432, 0.5, 0.508474588394165,[],[],0],
				["letra1-sheet0.png", 355380, 1026, 361, 800, 59, 2.400000095367432, 0.5, 0.508474588394165,[],[],0],
				["letra1-sheet0.png", 355380, 1026, 421, 800, 59, 2.299999952316284, 0.5, 0.508474588394165,[],[],0],
				["letra1-sheet0.png", 355380, 1026, 481, 800, 59, 3, 0.5, 0.508474588394165,[],[],0]
			]
			]
,			[
			"anime3",
			1,
			false,
			1,
			0,
			false,
			7666598879708047,
			[
				["letra1-sheet0.png", 355380, 1, 1972, 1024, 52, 3.599999904632568, 0.5, 0.5,[],[],0],
				["letra1-sheet1.png", 237609, 1, 1, 1024, 52, 3.099999904632568, 0.5, 0.5,[],[],0],
				["letra1-sheet1.png", 237609, 1, 54, 1024, 52, 4, 0.5, 0.5,[],[],0],
				["letra1-sheet1.png", 237609, 1, 107, 1024, 52, 7.099999904632568, 0.5, 0.5,[],[],0],
				["letra1-sheet1.png", 237609, 1, 160, 1024, 52, 7.099999904632568, 0.5, 0.5,[],[],0],
				["letra1-sheet1.png", 237609, 1, 213, 1024, 52, 6.900000095367432, 0.5, 0.5,[],[],0],
				["letra1-sheet1.png", 237609, 1, 266, 1024, 52, 7.400000095367432, 0.5, 0.5,[],[],0],
				["letra1-sheet1.png", 237609, 1, 319, 1024, 52, 3.799999952316284, 0.5, 0.5,[],[],0],
				["letra1-sheet1.png", 237609, 1, 372, 1024, 52, 7.300000190734863, 0.5, 0.5,[],[],0],
				["letra1-sheet1.png", 237609, 1, 425, 1024, 52, 6.900000095367432, 0.5, 0.5,[],[],0]
			]
			]
,			[
			"anime4",
			1,
			false,
			1,
			0,
			false,
			1894940510833508,
			[
				["letra1-sheet1.png", 237609, 1, 478, 1024, 52, 0.300000011920929, 0.5, 0.5,[],[],0],
				["letra1-sheet1.png", 237609, 1, 531, 1024, 52, 2.5, 0.5, 0.5,[],[],0],
				["letra1-sheet1.png", 237609, 1, 584, 1024, 52, 2.099999904632568, 0.5, 0.5,[],[],0],
				["letra1-sheet1.png", 237609, 1, 637, 1024, 52, 4.400000095367432, 0.5, 0.5,[],[],0],
				["letra1-sheet1.png", 237609, 1, 690, 1024, 52, 7.400000095367432, 0.5, 0.5,[],[],0],
				["letra1-sheet1.png", 237609, 1, 743, 1024, 52, 4.099999904632568, 0.5, 0.5,[],[],0],
				["letra1-sheet1.png", 237609, 1, 796, 1024, 52, 2.200000047683716, 0.5, 0.5,[],[],0],
				["letra1-sheet1.png", 237609, 1, 849, 1024, 52, 4.699999809265137, 0.5, 0.5,[],[],0],
				["letra1-sheet1.png", 237609, 1, 902, 1024, 52, 2, 0.5, 0.5,[],[],0]
			]
			]
,			[
			"anime5",
			1,
			false,
			1,
			0,
			false,
			5051982920794449,
			[
				["letra1-sheet0.png", 355380, 1, 1, 1024, 59, 2.599999904632568, 0.5, 0.508474588394165,[],[],0],
				["letra1-sheet0.png", 355380, 1, 61, 1024, 59, 2.299999952316284, 0.5, 0.508474588394165,[],[],0],
				["letra1-sheet0.png", 355380, 1, 121, 1024, 59, 4.199999809265137, 0.5, 0.508474588394165,[],[],0],
				["letra1-sheet0.png", 355380, 1, 181, 1024, 59, 2, 0.5, 0.508474588394165,[],[],0],
				["letra1-sheet0.png", 355380, 1, 241, 1024, 59, 3.200000047683716, 0.5, 0.508474588394165,[],[],0],
				["letra1-sheet0.png", 355380, 1, 301, 1024, 59, 3.700000047683716, 0.5, 0.508474588394165,[],[],0],
				["letra1-sheet0.png", 355380, 1, 361, 1024, 59, 2.599999904632568, 0.5, 0.508474588394165,[],[],0],
				["letra1-sheet0.png", 355380, 1, 421, 1024, 59, 3.599999904632568, 0.5, 0.508474588394165,[],[],0],
				["letra1-sheet0.png", 355380, 1, 481, 1024, 59, 6.5, 0.5, 0.508474588394165,[],[],0]
			]
			]
		],
		[
		[
			"Anchor",
			cr.behaviors.Anchor,
			3466680936662356
		]
		],
		false,
		false,
		1355882516674907,
		[],
		null
	]
,	[
		"t58",
		cr.plugins_.Sprite,
		false,
		[],
		1,
		0,
		null,
		[
			[
			"anime1",
			5,
			false,
			1,
			0,
			false,
			7716398853474431,
			[
				["tapaolho-sheet0.png", 2604, 1, 1, 100, 49, 1, 0.5, 0.5102040767669678,[],[-0.4099999964237213,-0.3265310823917389,0,-0.5102040767669678,0.4200000166893005,-0.3469390869140625,0.5,-0.02040806412696838,0.4399999976158142,0.3673469424247742,0,0.306122899055481,-0.4300000071525574,0.3469389081001282,-0.5,-0.02040806412696838],0]
			]
			]
,			[
			"anime2",
			5,
			false,
			1,
			0,
			false,
			6648451060032549,
			[
				["tapaolho-sheet0.png", 2604, 1, 51, 100, 49, 1, 0.5, 0.5102040767669678,[],[-0.4099999964237213,-0.3265310823917389,0,-0.5102040767669678,0.4200000166893005,-0.3469390869140625,0.5,-0.02040806412696838,0.4399999976158142,0.3673469424247742,0,0.306122899055481,-0.4300000071525574,0.3469389081001282,-0.5,-0.02040806412696838],0]
			]
			]
		],
		[
		[
			"Pin",
			cr.behaviors.Pin,
			8497514143672198
		]
		],
		false,
		false,
		6863332028686316,
		[],
		null
	]
,	[
		"t59",
		cr.plugins_.Sprite,
		false,
		[],
		1,
		0,
		null,
		[
			[
			"anime1",
			5,
			false,
			1,
			0,
			false,
			3698046645777759,
			[
				["olhowake-sheet0.png", 21519, 1, 180, 78, 24, 0.300000011920929, 0.4743589758872986, 1.541666626930237,[],[],0],
				["olhowake-sheet1.png", 12595, 80, 72, 78, 19, 0.300000011920929, 0.4743589758872986, 1.578947424888611,[],[],0],
				["olhowake-sheet1.png", 12595, 155, 26, 77, 22, 0.300000011920929, 0.4675324559211731, 1.5,[],[],0],
				["olhowake-sheet0.png", 21519, 1, 1, 82, 32, 1, 0.4756097495555878, 1.34375,[],[],0],
				["olhowake-sheet0.png", 21519, 84, 1, 82, 32, 1, 0.4756097495555878, 1.34375,[],[],0],
				["olhowake-sheet0.png", 21519, 167, 1, 82, 32, 1, 0.4756097495555878, 1.34375,[],[],0],
				["olhowake-sheet0.png", 21519, 1, 34, 82, 32, 1, 0.4756097495555878, 1.34375,[],[],0],
				["olhowake-sheet0.png", 21519, 1, 156, 82, 23, 1, 0.4756097495555878, 1.43478262424469,[],[],0],
				["olhowake-sheet1.png", 12595, 1, 26, 76, 23, 1, 0.4736842215061188, 1.47826087474823,[],[],0],
				["olhowake-sheet0.png", 21519, 1, 100, 82, 27, 1, 0.4756097495555878, 1.407407402992249,[],[],0],
				["olhowake-sheet0.png", 21519, 167, 67, 82, 28, 1, 0.4756097495555878, 1.392857193946838,[],[],0],
				["olhowake-sheet0.png", 21519, 84, 100, 82, 27, 1, 0.4756097495555878, 1.407407402992249,[],[],0],
				["olhowake-sheet0.png", 21519, 167, 125, 82, 27, 1, 0.4756097495555878, 1.407407402992249,[],[],0],
				["olhowake-sheet1.png", 12595, 1, 50, 78, 21, 1, 0.4743589758872986, 1.523809552192688,[],[],0],
				["olhowake-sheet1.png", 12595, 80, 92, 78, 18, 1, 0.4743589758872986, 1.611111164093018,[],[],0],
				["olhowake-sheet0.png", 21519, 80, 180, 78, 24, 1, 0.4743589758872986, 1.541666626930237,[],[],0],
				["olhowake-sheet0.png", 21519, 159, 181, 78, 24, 1, 0.4743589758872986, 1.541666626930237,[],[],0],
				["olhowake-sheet0.png", 21519, 1, 205, 78, 24, 1, 0.4743589758872986, 1.541666626930237,[],[],0],
				["olhowake-sheet0.png", 21519, 80, 205, 78, 24, 1, 0.4743589758872986, 1.541666626930237,[],[],0],
				["olhowake-sheet0.png", 21519, 159, 206, 78, 24, 1, 0.4743589758872986, 1.541666626930237,[],[],0]
			]
			]
,			[
			"anime2",
			5,
			false,
			1,
			0,
			false,
			102963098835351,
			[
				["olhowake-sheet0.png", 21519, 1, 230, 78, 24, 0.300000011920929, 0.4743589758872986, 1.541666626930237,[],[],0],
				["olhowake-sheet1.png", 12595, 159, 72, 78, 19, 0.300000011920929, 0.4743589758872986, 1.578947424888611,[],[],0],
				["olhowake-sheet1.png", 12595, 155, 49, 77, 22, 0.300000011920929, 0.4675324559211731, 1.5,[],[],0],
				["olhowake-sheet0.png", 21519, 84, 34, 82, 32, 1, 0.4756097495555878, 1.34375,[],[],0],
				["olhowake-sheet0.png", 21519, 167, 34, 82, 32, 1, 0.4756097495555878, 1.34375,[],[],0],
				["olhowake-sheet0.png", 21519, 1, 67, 82, 32, 1, 0.4756097495555878, 1.34375,[],[],0],
				["olhowake-sheet0.png", 21519, 84, 67, 82, 32, 1, 0.4756097495555878, 1.34375,[],[],0],
				["olhowake-sheet0.png", 21519, 84, 156, 82, 23, 1, 0.4756097495555878, 1.43478262424469,[],[],0],
				["olhowake-sheet1.png", 12595, 78, 26, 76, 23, 1, 0.4736842215061188, 1.47826087474823,[],[],0],
				["olhowake-sheet0.png", 21519, 1, 128, 82, 27, 1, 0.4756097495555878, 1.407407402992249,[],[],0],
				["olhowake-sheet0.png", 21519, 167, 96, 82, 28, 1, 0.4756097495555878, 1.392857193946838,[],[],0],
				["olhowake-sheet0.png", 21519, 84, 128, 82, 27, 1, 0.4756097495555878, 1.407407402992249,[],[],0],
				["olhowake-sheet0.png", 21519, 167, 153, 82, 27, 1, 0.4756097495555878, 1.407407402992249,[],[],0],
				["olhowake-sheet1.png", 12595, 1, 72, 78, 21, 1, 0.4743589758872986, 1.523809552192688,[],[],0],
				["olhowake-sheet1.png", 12595, 159, 92, 78, 18, 1, 0.4743589758872986, 1.611111164093018,[],[],0],
				["olhowake-sheet0.png", 21519, 80, 230, 78, 24, 1, 0.4743589758872986, 1.541666626930237,[],[],0],
				["olhowake-sheet0.png", 21519, 159, 231, 78, 24, 1, 0.4743589758872986, 1.541666626930237,[],[],0],
				["olhowake-sheet1.png", 12595, 1, 1, 78, 24, 1, 0.4743589758872986, 1.541666626930237,[],[],0],
				["olhowake-sheet1.png", 12595, 80, 1, 78, 24, 1, 0.4743589758872986, 1.541666626930237,[],[],0],
				["olhowake-sheet1.png", 12595, 159, 1, 78, 24, 1, 0.4743589758872986, 1.541666626930237,[],[],0]
			]
			]
		],
		[
		[
			"Pin",
			cr.behaviors.Pin,
			8194150154610015
		]
		],
		false,
		false,
		6303395279006207,
		[],
		null
	]
,	[
		"t60",
		cr.plugins_.Sprite,
		false,
		[4906098910718099],
		0,
		0,
		null,
		[
			[
			"anime1",
			8,
			false,
			1,
			0,
			false,
			9319450785155474,
			[
				["zzz-sheet1.png", 2122, 46, 26, 17, 18, 1, -0.3529411852359772, -1.055555582046509,[],[],0],
				["zzz-sheet2.png", 1652, 42, 23, 18, 19, 1, -0.3333333432674408, -0.6842105388641357,[],[],0],
				["zzz-sheet2.png", 1652, 22, 23, 19, 19, 1, -0.2631579041481018, -0.3684210479259491,[],[],0],
				["zzz-sheet2.png", 1652, 22, 1, 20, 21, 1, -0.1500000059604645, -0.0476190485060215,[],[],0],
				["zzz-sheet2.png", 1652, 43, 1, 20, 21, 1, 0, 0.190476194024086,[],[],0],
				["zzz-sheet2.png", 1652, 1, 1, 20, 22, 1, 0.2000000029802322, 0.3636363744735718,[],[],0],
				["zzz-sheet1.png", 2122, 24, 26, 21, 22, 1, 0.4285714328289032, 0.5,[],[],0],
				["zzz-sheet1.png", 2122, 1, 26, 22, 23, 1, 0.6818181872367859, 0.6086956262588501,[],[],0],
				["zzz-sheet1.png", 2122, 25, 1, 22, 24, 1, 0.9545454382896423, 0.8333333134651184,[],[],0],
				["zzz-sheet1.png", 2122, 1, 1, 23, 24, 1, 1.08695650100708, 1.125,[],[],0],
				["zzz-sheet0.png", 1822, 26, 1, 24, 25, 1, 1.125, 1.440000057220459,[],[],0],
				["zzz-sheet0.png", 1822, 1, 1, 24, 26, 1, 1.125, 1.730769276618958,[],[],0],
				["zzz-sheet0.png", 1822, 26, 27, 24, 25, 1, 1.166666626930237, 2.039999961853027,[],[],0],
				["zzz-sheet0.png", 1822, 1, 28, 24, 25, 1, 1.166666626930237, 2.039999961853027,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		7318057728919942,
		[],
		null
	]
,	[
		"t61",
		cr.plugins_.Sprite,
		false,
		[],
		2,
		0,
		null,
		[
			[
			"Default",
			5,
			true,
			1,
			0,
			true,
			328306706526902,
			[
				["star-sheet0.png", 14999, 1, 1, 148, 157, 1, 0.5067567825317383, 0.4968152940273285,[],[],0],
				["star-sheet0.png", 14999, 150, 1, 142, 149, 1, 0.5070422291755676, 0.4966442883014679,[],[],0],
				["star-sheet0.png", 14999, 293, 1, 135, 139, 1, 0.5111111402511597, 0.4964028894901276,[],[],0],
				["star-sheet0.png", 14999, 293, 141, 124, 127, 1, 0.5080645084381104, 0.4960629940032959,[],[],0],
				["star-sheet0.png", 14999, 150, 151, 111, 114, 1, 0.5135135054588318, 0.5,[],[],0],
				["star-sheet0.png", 14999, 1, 159, 97, 99, 1, 0.5154638886451721, 0.4949494898319244,[],[],0]
			]
			]
		],
		[
		[
			"Bullet",
			cr.behaviors.Bullet,
			1644875506580685
		]
,		[
			"Fade",
			cr.behaviors.Fade,
			7830697404897488
		]
		],
		false,
		false,
		9029103378185524,
		[],
		null
	]
,	[
		"t62",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			true,
			1,
			0,
			true,
			7806171363576038,
			[
				["star-sheet0.png", 14999, 1, 1, 148, 157, 1, 0.5067567825317383, 0.4968152940273285,[],[],0],
				["star-sheet0.png", 14999, 150, 1, 142, 149, 1, 0.5070422291755676, 0.4966442883014679,[],[],0],
				["star-sheet0.png", 14999, 293, 1, 135, 139, 1, 0.5111111402511597, 0.4964028894901276,[],[],0],
				["star-sheet0.png", 14999, 293, 141, 124, 127, 1, 0.5080645084381104, 0.4960629940032959,[],[],0],
				["star-sheet0.png", 14999, 150, 151, 111, 114, 1, 0.5135135054588318, 0.5,[],[],0],
				["star-sheet0.png", 14999, 1, 159, 97, 99, 1, 0.5154638886451721, 0.4949494898319244,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		7102729237558713,
		[],
		null
	]
,	[
		"t63",
		cr.plugins_.Sprite,
		false,
		[],
		1,
		0,
		null,
		[
			[
			"anime1",
			5,
			true,
			1,
			0,
			true,
			3094368687308096,
			[
				["aviao-sheet0.png", 311190, 361, 1, 177, 154, 1, 0.4971751272678375, 0.5,[],[0.5028249025344849,0.5,-0.4971751272678375,0.5,-0.4971751272678375,-0.5,0.5028249025344849,-0.5],0],
				["aviao-sheet0.png", 311190, 539, 1, 177, 154, 1, 0.4971751272678375, 0.5,[],[0.5028249025344849,0.5,-0.4971751272678375,0.5,-0.4971751272678375,-0.5,0.5028249025344849,-0.5],0],
				["aviao-sheet0.png", 311190, 717, 1, 177, 154, 1, 0.4971751272678375, 0.5,[],[0.5028249025344849,0.5,-0.4971751272678375,0.5,-0.4971751272678375,-0.5,0.5028249025344849,-0.5],0],
				["aviao-sheet0.png", 311190, 181, 155, 177, 154, 1, 0.4971751272678375, 0.5,[],[0.5028249025344849,0.5,-0.4971751272678375,0.5,-0.4971751272678375,-0.5,0.5028249025344849,-0.5],0]
			]
			]
,			[
			"anime2",
			10,
			false,
			1,
			0,
			true,
			9335619727514029,
			[
				["aviao-sheet0.png", 311190, 359, 156, 177, 154, 1, 0.4971751272678375, 0.5,[],[0.5028249025344849,0.5,-0.4971751272678375,0.5,-0.4971751272678375,-0.5,0.5028249025344849,-0.5],0],
				["aviao-sheet0.png", 311190, 1, 1, 179, 155, 1, 0.4972067177295685, 0.5032258033752441,[],[0.4972063004970551,0.4967741966247559,-0.4916201233863831,0.4967741966247559,-0.4916201233863831,-0.4967741966247559,0.4972063004970551,-0.4967741966247559],0],
				["aviao-sheet0.png", 311190, 181, 1, 179, 153, 1, 0.4972067177295685, 0.5098039507865906,[],[0.4972063004970551,0.4901960492134094,-0.4916201233863831,0.4901960492134094,-0.4916201233863831,-0.5032680034637451,0.4972063004970551,-0.5032680034637451],0],
				["aviao-sheet0.png", 311190, 537, 156, 179, 152, 1, 0.4972067177295685, 0.5131579041481018,[],[0.4972063004970551,0.4868420958518982,-0.4916201233863831,0.4868420958518982,-0.4916201233863831,-0.5065789818763733,0.4972063004970551,-0.5065789818763733],0],
				["aviao-sheet0.png", 311190, 717, 156, 178, 150, 1, 0.4943820238113403, 0.5199999809265137,[],[0.5,0.4800000190734863,-0.4943820238113403,0.4800000190734863,-0.4943820238113403,-0.5133333206176758,0.5,-0.5133333206176758],0],
				["aviao-sheet0.png", 311190, 1, 157, 178, 148, 1, 0.4943820238113403, 0.5270270109176636,[],[0.5,0.4729729890823364,-0.4943820238113403,0.4729729890823364,-0.4943820238113403,-0.5202702283859253,0.5,-0.5202702283859253],0],
				["aviao-sheet0.png", 311190, 1, 306, 177, 145, 1, 0.491525411605835, 0.5379310250282288,[],[0.502824604511261,0.4620689749717712,-0.491525411605835,0.4620689749717712,-0.491525411605835,-0.5310344696044922,0.502824604511261,-0.5310344696044922],0],
				["aviao-sheet0.png", 311190, 717, 307, 178, 143, 1, 0.4943820238113403, 0.5454545617103577,[],[0.5,0.4545454382896423,-0.4943820238113403,0.4545454382896423,-0.4943820238113403,-0.5384615659713745,0.5,-0.5384615659713745],0],
				["aviao-sheet0.png", 311190, 537, 309, 178, 141, 1, 0.4943820238113403, 0.5531914830207825,[],[0.5,0.4468085169792175,-0.4943820238113403,0.4468085169792175,-0.4943820238113403,-0.5460993051528931,0.5,-0.5460993051528931],0],
				["aviao-sheet0.png", 311190, 179, 310, 179, 138, 1, 0.4972067177295685, 0.5652173757553101,[],[0.4972063004970551,0.4347826242446899,-0.4916201233863831,0.4347826242446899,-0.4916201233863831,-0.5579710006713867,0.4972063004970551,-0.5579710006713867],0],
				["aviao-sheet0.png", 311190, 179, 449, 179, 135, 1, 0.4972067177295685, 0.5777778029441834,[],[0.4972063004970551,0.4222221970558167,-0.4916201233863831,0.4222221970558167,-0.4916201233863831,-0.5703703761100769,0.4972063004970551,-0.5703703761100769],0],
				["aviao-sheet0.png", 311190, 359, 451, 179, 132, 1, 0.4972067177295685, 0.5833333134651184,[],[0.4972063004970551,0.4166666865348816,-0.4916201233863831,0.4166666865348816,-0.4916201233863831,-0.5833333134651184,0.4972063004970551,-0.5833333134651184],0],
				["aviao-sheet0.png", 311190, 539, 451, 179, 127, 1, 0.4972067177295685, 0.5905511975288391,[],[0.4972063004970551,0.4094488024711609,-0.4916201233863831,0.4094488024711609,-0.4916201233863831,-0.5905511975288391,0.4972063004970551,-0.5905511975288391],0],
				["aviao-sheet0.png", 311190, 719, 451, 179, 121, 1, 0.4972067177295685, 0.5950413346290588,[],[0.4972063004970551,0.4049586653709412,-0.4916201233863831,0.4049586653709412,-0.4916201233863831,-0.5950413346290588,0.4972063004970551,-0.5950413346290588],0],
				["aviao-sheet0.png", 311190, 719, 573, 179, 114, 1, 0.4972067177295685, 0.5964912176132202,[],[0.4972063004970551,0.4035087823867798,-0.4916201233863831,0.4035087823867798,-0.4916201233863831,-0.5964912176132202,0.4972063004970551,-0.5964912176132202],0],
				["aviao-sheet0.png", 311190, 539, 579, 179, 107, 1, 0.4972067177295685, 0.5981308221817017,[],[0.4972063004970551,0.4018691778182983,-0.4916201233863831,0.4018691778182983,-0.4916201233863831,-0.5981308221817017,0.4972063004970551,-0.5981308221817017],0],
				["aviao-sheet0.png", 311190, 359, 584, 179, 100, 1, 0.4972067177295685, 0.6000000238418579,[],[0.4972063004970551,0.3999999761581421,-0.4916201233863831,0.3999999761581421,-0.4916201233863831,-0.6000000238418579,0.4972063004970551,-0.6000000238418579],0],
				["aviao-sheet0.png", 311190, 1, 585, 179, 93, 3, 0.4972067177295685, 0.602150559425354,[],[0.4972063004970551,0.397849440574646,-0.4916201233863831,0.397849440574646,-0.4916201233863831,-0.602150559425354,0.4972063004970551,-0.602150559425354],0]
			]
			]
		],
		[
		[
			"Bullet",
			cr.behaviors.Bullet,
			7996089166209311
		]
		],
		false,
		false,
		1727264041863699,
		[],
		null
	]
,	[
		"t64",
		cr.plugins_.Sprite,
		false,
		[2959754353607344],
		3,
		0,
		null,
		[
			[
			"anime1",
			5,
			false,
			1,
			0,
			false,
			1700176902654303,
			[
				["luz-sheet0.png", 4512, 1, 1, 20, 30, 1, 0.5, 0.5,[],[],0],
				["luz-sheet0.png", 4512, 22, 1, 20, 30, 1, 0.5, 0.5,[],[],0],
				["luz-sheet0.png", 4512, 43, 1, 20, 30, 1, 0.5, 0.5,[],[],0],
				["luz-sheet0.png", 4512, 64, 1, 20, 30, 1, 0.5, 0.5,[],[],0],
				["luz-sheet0.png", 4512, 85, 1, 20, 30, 1, 0.5, 0.5,[],[],0],
				["luz-sheet0.png", 4512, 106, 1, 20, 30, 1, 0.5, 0.5,[],[],0],
				["luz-sheet0.png", 4512, 1, 32, 20, 30, 1, 0.5, 0.5,[],[],0],
				["luz-sheet0.png", 4512, 22, 32, 20, 30, 1, 0.5, 0.5,[],[],0],
				["luz-sheet0.png", 4512, 43, 32, 20, 30, 1, 0.5, 0.5,[],[],0],
				["luz-sheet0.png", 4512, 64, 32, 20, 30, 1, 0.5, 0.5,[],[],0],
				["luz-sheet0.png", 4512, 85, 32, 20, 30, 1, 0.5, 0.5,[],[],0]
			]
			]
,			[
			"anime2",
			5,
			false,
			1,
			0,
			false,
			7813651235596955,
			[
				["luz-sheet0.png", 4512, 106, 32, 20, 30, 1, 0.5, 0.5,[],[],0],
				["luz-sheet0.png", 4512, 1, 63, 20, 30, 1, 0.5, 0.5,[],[],0],
				["luz-sheet0.png", 4512, 22, 63, 20, 30, 1, 0.5, 0.5,[],[],0],
				["luz-sheet0.png", 4512, 43, 63, 20, 30, 1, 0.5, 0.5,[],[],0],
				["luz-sheet0.png", 4512, 64, 63, 20, 30, 1, 0.5, 0.5,[],[],0],
				["luz-sheet0.png", 4512, 85, 63, 20, 30, 1, 0.5, 0.5,[],[],0],
				["luz-sheet0.png", 4512, 106, 63, 20, 30, 1, 0.5, 0.5,[],[],0],
				["luz-sheet0.png", 4512, 1, 94, 20, 30, 1, 0.5, 0.5,[],[],0],
				["luz-sheet0.png", 4512, 22, 94, 20, 30, 1, 0.5, 0.5,[],[],0],
				["luz-sheet0.png", 4512, 43, 94, 20, 30, 1, 0.5, 0.5,[],[],0],
				["luz-sheet0.png", 4512, 64, 94, 20, 30, 1, 0.5, 0.5,[],[],0]
			]
			]
,			[
			"anime3",
			5,
			false,
			1,
			0,
			false,
			2960974473015999,
			[
				["luz-sheet0.png", 4512, 85, 94, 20, 30, 1, 0.5, 0.5,[],[],0],
				["luz-sheet0.png", 4512, 106, 94, 20, 30, 1, 0.5, 0.5,[],[],0],
				["luz-sheet1.png", 3998, 1, 1, 20, 30, 1, 0.5, 0.5,[],[],0],
				["luz-sheet1.png", 3998, 22, 1, 20, 30, 1, 0.5, 0.5,[],[],0],
				["luz-sheet1.png", 3998, 43, 1, 20, 30, 1, 0.5, 0.5,[],[],0],
				["luz-sheet1.png", 3998, 64, 1, 20, 30, 1, 0.5, 0.5,[],[],0],
				["luz-sheet1.png", 3998, 85, 1, 20, 30, 1, 0.5, 0.5,[],[],0],
				["luz-sheet1.png", 3998, 106, 1, 20, 30, 1, 0.5, 0.5,[],[],0],
				["luz-sheet1.png", 3998, 1, 32, 20, 30, 1, 0.5, 0.5,[],[],0]
			]
			]
,			[
			"anime4",
			5,
			false,
			1,
			0,
			false,
			3741724635308969,
			[
				["luz-sheet1.png", 3998, 22, 32, 20, 30, 1, 0.5, 0.5,[],[],0],
				["luz-sheet1.png", 3998, 43, 32, 20, 30, 1, 0.5, 0.5,[],[],0],
				["luz-sheet1.png", 3998, 64, 32, 20, 30, 1, 0.5, 0.5,[],[],0],
				["luz-sheet1.png", 3998, 85, 32, 20, 30, 1, 0.5, 0.5,[],[],0],
				["luz-sheet1.png", 3998, 106, 32, 20, 30, 1, 0.5, 0.5,[],[],0],
				["luz-sheet1.png", 3998, 1, 63, 20, 30, 1, 0.5, 0.5,[],[],0],
				["luz-sheet1.png", 3998, 22, 63, 20, 30, 1, 0.5, 0.5,[],[],0],
				["luz-sheet1.png", 3998, 43, 63, 20, 30, 1, 0.5, 0.5,[],[],0],
				["luz-sheet1.png", 3998, 64, 63, 20, 30, 1, 0.5, 0.5,[],[],0]
			]
			]
		],
		[
		[
			"Pin",
			cr.behaviors.Pin,
			4156294912130459
		]
,		[
			"fadeIn",
			cr.behaviors.Fade,
			9630210813904515
		]
,		[
			"fadeOut",
			cr.behaviors.Fade,
			8339980857078419
		]
		],
		false,
		false,
		9839149181601269,
		[],
		null
	]
,	[
		"t65",
		cr.plugins_.Sprite,
		false,
		[2589803468380943],
		1,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			3382658466061633,
			[
				["predio2-sheet0.png", 155, 0, 0, 250, 250, 1, 0.5, 0.5,[],[],1]
			]
			]
		],
		[
		[
			"Pin",
			cr.behaviors.Pin,
			3805129284945443
		]
		],
		false,
		false,
		5990128973929294,
		[],
		null
	]
,	[
		"t66",
		cr.plugins_.Sprite,
		false,
		[3531259919946599],
		1,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			9979555500627546,
			[
				["predio2-sheet0.png", 155, 0, 0, 250, 250, 1, 0.5, 0.5,[],[],1]
			]
			]
		],
		[
		[
			"Pin",
			cr.behaviors.Pin,
			660408918363781
		]
		],
		false,
		false,
		6960530229144466,
		[],
		null
	]
,	[
		"t67",
		cr.plugins_.Sprite,
		false,
		[2137090597311133],
		1,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			7612863253851617,
			[
				["predio2-sheet0.png", 155, 0, 0, 250, 250, 1, 0.5, 0.5,[],[],1]
			]
			]
		],
		[
		[
			"Pin",
			cr.behaviors.Pin,
			1237782319618152
		]
		],
		false,
		false,
		2996718592119149,
		[],
		null
	]
,	[
		"t68",
		cr.plugins_.Sprite,
		false,
		[8750652802663246],
		1,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			2723106090375516,
			[
				["predio2-sheet0.png", 155, 0, 0, 250, 250, 1, 0.5, 0.5,[],[],1]
			]
			]
		],
		[
		[
			"Pin",
			cr.behaviors.Pin,
			2936559350247325
		]
		],
		false,
		false,
		8521240390123206,
		[],
		null
	]
,	[
		"t69",
		cr.plugins_.Sprite,
		false,
		[5688870390171013],
		3,
		0,
		null,
		[
			[
			"anime1",
			5,
			false,
			1,
			0,
			false,
			7966466986671754,
			[
				["aviaozinho-sheet0.png", 3637, 0, 0, 107, 51, 1, 0.4953271150588989, 0.4901960790157318,[],[],0]
			]
			]
		],
		[
		[
			"Sine",
			cr.behaviors.Sin,
			3448968054468169
		]
,		[
			"MoveTo",
			cr.behaviors.Rex_MoveTo,
			9141590408925487
		]
,		[
			"Turret",
			cr.behaviors.Turret,
			7175382374525254
		]
		],
		false,
		false,
		9046810308513736,
		[],
		null
	]
,	[
		"t70",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"anime2",
			15,
			false,
			4,
			1,
			false,
			2726907290891485,
			[
				["lixeira2-sheet0.png", 47095, 1, 1, 160, 170, 1, 0.5, 0.5,[],[],0],
				["lixeira2-sheet0.png", 47095, 162, 1, 160, 170, 1, 0.5, 0.5,[],[],0],
				["lixeira2-sheet0.png", 47095, 323, 1, 160, 170, 1, 0.5, 0.5,[],[],0],
				["lixeira2-sheet0.png", 47095, 1, 172, 160, 170, 1, 0.5, 0.5,[],[],0],
				["lixeira2-sheet0.png", 47095, 162, 172, 160, 170, 1, 0.5, 0.5,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		683692067507536,
		[],
		null
	]
,	[
		"t71",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			5922567101624366,
			[
				["bgquarto-sheet0.png", 2025370, 0, 0, 1500, 768, 1, 0, 0,[],[],1]
			]
			]
		],
		[
		],
		false,
		false,
		6140168789212296,
		[],
		null
	]
,	[
		"t72",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"anime1",
			5,
			true,
			1,
			0,
			false,
			871662579229993,
			[
				["nanaterra-sheet1.png", 324997, 717, 1, 153, 307, 10, 0.4183006584644318, 0.4983713328838348,[],[],0],
				["nanaterra-sheet1.png", 324997, 375, 300, 153, 307, 1, 0.4183006584644318, 0.4983713328838348,[],[],0]
			]
			]
,			[
			"anime2",
			8,
			false,
			1,
			0,
			true,
			7008462089894063,
			[
				["nanaterra-sheet1.png", 324997, 1, 302, 153, 307, 1, 0.4183006584644318, 0.4983713328838348,[],[],0],
				["nanaterra-sheet0.png", 309267, 845, 607, 157, 305, 1, 0.4331210255622864, 0.5016393661499023,[],[],0],
				["nanaterra-sheet0.png", 309267, 845, 1, 174, 302, 1, 0.5, 0.5066224932670593,[],[],0],
				["nanaterra-sheet1.png", 324997, 1, 1, 186, 300, 1, 0.5376344323158264, 0.5099999904632568,[],[],0],
				["nanaterra-sheet1.png", 324997, 375, 1, 185, 298, 1, 0.5405405163764954, 0.5134228467941284,[],[],0],
				["nanaterra-sheet1.png", 324997, 188, 1, 186, 300, 1, 0.5376344323158264, 0.5099999904632568,[],[],0],
				["nanaterra-sheet0.png", 309267, 845, 304, 164, 302, 1, 0.4695121943950653, 0.5066224932670593,[],[],0],
				["nanaterra-sheet1.png", 324997, 684, 309, 152, 305, 1, 0.4276315867900848, 0.5016393661499023,[],[],0],
				["nanaterra-sheet1.png", 324997, 871, 1, 152, 307, 1, 0.4210526347160339, 0.4983713328838348,[],[],0],
				["nanaterra-sheet1.png", 324997, 837, 309, 152, 305, 1, 0.4276315867900848, 0.5016393661499023,[],[],0],
				["nanaterra-sheet1.png", 324997, 155, 302, 154, 302, 1, 0.4350649416446686, 0.5066224932670593,[],[],0],
				["nanaterra-sheet1.png", 324997, 155, 605, 154, 300, 1, 0.441558450460434, 0.5099999904632568,[],[],0],
				["nanaterra-sheet1.png", 324997, 465, 610, 154, 298, 1, 0.4480519592761993, 0.5134228467941284,[],[],0],
				["nanaterra-sheet1.png", 324997, 310, 608, 154, 300, 1, 0.441558450460434, 0.5099999904632568,[],[],0],
				["nanaterra-sheet1.png", 324997, 529, 307, 154, 302, 1, 0.4350649416446686, 0.5066224932670593,[],[],0],
				["nanaterra-sheet1.png", 324997, 561, 1, 155, 305, 1, 0.42580646276474, 0.5016393661499023,[],[],0]
			]
			]
,			[
			"anime3",
			5,
			true,
			1,
			0,
			false,
			2949481440443424,
			[
				["nanaterra-sheet1.png", 324997, 1, 610, 152, 299, 11, 0.460526317358017, 0.5016722679138184,[],[],0],
				["nanaterra-sheet1.png", 324997, 620, 615, 152, 299, 1, 0.460526317358017, 0.5016722679138184,[],[],0]
			]
			]
,			[
			"anime4",
			7,
			false,
			1,
			0,
			false,
			6024485216314306,
			[
				["nanaterra-sheet0.png", 309267, 1, 1, 210, 300, 1, 0.5, 0.5,[],[],0],
				["nanaterra-sheet0.png", 309267, 212, 1, 210, 300, 1, 0.5, 0.5,[],[],0],
				["nanaterra-sheet0.png", 309267, 423, 1, 210, 300, 1, 0.5, 0.5,[],[],0],
				["nanaterra-sheet0.png", 309267, 634, 1, 210, 300, 1, 0.5, 0.5,[],[],0],
				["nanaterra-sheet0.png", 309267, 1, 302, 210, 300, 1, 0.5, 0.5,[],[],0],
				["nanaterra-sheet0.png", 309267, 212, 302, 210, 300, 1, 0.5, 0.5,[],[],0],
				["nanaterra-sheet0.png", 309267, 423, 302, 210, 300, 1, 0.5, 0.5,[],[],0],
				["nanaterra-sheet0.png", 309267, 634, 302, 210, 300, 1, 0.5, 0.5,[],[],0],
				["nanaterra-sheet0.png", 309267, 1, 603, 210, 300, 1, 0.5, 0.5,[],[],0],
				["nanaterra-sheet0.png", 309267, 212, 603, 210, 300, 1, 0.5, 0.5,[],[],0],
				["nanaterra-sheet0.png", 309267, 423, 603, 210, 300, 1, 0.5, 0.5,[],[],0],
				["nanaterra-sheet0.png", 309267, 634, 603, 210, 300, 1, 0.5, 0.5,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		6933010993903113,
		[],
		null
	]
,	[
		"t73",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"anime1",
			5,
			false,
			1,
			0,
			false,
			2519372521688238,
			[
				["postinho-sheet0.png", 14225, 0, 0, 260, 303, 1, 0.4961538314819336, 0.4917491674423218,[],[-0.3692308366298676,-0.3960395753383637,1.788139343261719e-007,-0.1584161818027496,0.1115381717681885,-0.1749171614646912,-0.1423078179359436,-0.00330016016960144,-0.16153883934021,-0.06270617246627808,1.788139343261719e-007,-0.1089111566543579,-0.2038458287715912,0.2508248090744019,-0.2115388214588165,-0.00330016016960144],0]
			]
			]
		],
		[
		],
		false,
		false,
		1027382713661887,
		[],
		null
	]
,	[
		"t74",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"anime1",
			15,
			false,
			3,
			0,
			true,
			7932139632943213,
			[
				["arbustao-sheet0.png", 752835, 1, 1, 435, 220, 1, 0.5011494159698486, 0.5,[],[],0],
				["arbustao-sheet0.png", 752835, 437, 1, 435, 220, 1, 0.5011494159698486, 0.5,[],[],0],
				["arbustao-sheet0.png", 752835, 1, 222, 435, 220, 1, 0.5011494159698486, 0.5,[],[],0],
				["arbustao-sheet0.png", 752835, 437, 222, 435, 220, 1, 0.5011494159698486, 0.5,[],[],0],
				["arbustao-sheet0.png", 752835, 1, 443, 435, 220, 1, 0.5011494159698486, 0.5,[],[],0]
			]
			]
,			[
			"anime2",
			15,
			false,
			3,
			0,
			true,
			6005574085929808,
			[
				["arbustao-sheet0.png", 752835, 437, 443, 435, 220, 1, 0.5011494159698486, 0.5,[],[],0],
				["arbustao-sheet0.png", 752835, 1, 664, 435, 220, 1, 0.5011494159698486, 0.5,[],[],0],
				["arbustao-sheet0.png", 752835, 437, 664, 435, 220, 1, 0.5011494159698486, 0.5,[],[],0],
				["arbustao-sheet1.png", 153643, 1, 1, 435, 220, 1, 0.5011494159698486, 0.5,[],[],0],
				["arbustao-sheet1.png", 153643, 1, 222, 435, 220, 1, 0.5011494159698486, 0.5,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		9999233884339458,
		[],
		null
	]
,	[
		"t75",
		cr.plugins_.Sprite,
		false,
		[],
		1,
		0,
		null,
		[
			[
			"anime1",
			5,
			false,
			1,
			0,
			false,
			5928252831791934,
			[
				["postinho-sheet0.png", 14225, 0, 0, 260, 303, 1, 0.4961538314819336, 0.4917491674423218,[],[-0.3692308366298676,-0.3960395753383637,1.788139343261719e-007,-0.1584161818027496,0.1115381717681885,-0.1749171614646912,-0.1423078179359436,-0.00330016016960144,-0.16153883934021,-0.06270617246627808,1.788139343261719e-007,-0.1089111566543579,-0.2038458287715912,0.2508248090744019,-0.2115388214588165,-0.00330016016960144],0]
			]
			]
		],
		[
		[
			"Pin",
			cr.behaviors.Pin,
			9175756467689718
		]
		],
		false,
		false,
		7956433836859601,
		[],
		null
	]
,	[
		"t76",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"anime1",
			5,
			false,
			1,
			0,
			false,
			1662042677160101,
			[
				["arvoreterra-sheet0.png", 256798, 0, 0, 569, 645, 1, 0.5008787512779236, 0.5023255944252014,[],[-0.4604569673538208,-0.4852713048458099,0.02636224031448364,-0.4093028008937836,0.4112482666969299,-0.5023255944252014,0.4991212487220764,-0.139534592628479,-0.00175774097442627,0.4744184017181397,-0.1265377402305603,0.1674414277076721,-0.479789137840271,-0.1457366049289703],0]
			]
			]
,			[
			"anime2",
			5,
			false,
			1,
			0,
			false,
			7176996549813854,
			[
				["arvoreterra-sheet1.png", 145415, 0, 0, 569, 645, 1, 0.5008787512779236, 0.5007752180099487,[],[-0.4112478494644165,-0.4775194227695465,-0.00175774097442627,-0.3643411993980408,0.2636202573776245,-0.5007752180099487,0.4991212487220764,-0.1379842162132263,-0.00175774097442627,0.4759687781333923,-0.1265377402305603,0.1689918041229248,-0.5008787512779236,-0.1503872275352478],0]
			]
			]
		],
		[
		],
		false,
		false,
		9551240676920508,
		[],
		null
	]
,	[
		"t77",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			2792505423182798,
			[
				["plantas-sheet0.png", 22111, 0, 0, 270, 124, 1, 0.5, 0.5,[],[-0.4518519043922424,-0.3951610028743744,0,-0.09677401185035706,0.3925930261611939,-0.2661290168762207,0.4555559754371643,0,0.4814810156822205,0.45967698097229,0,0.3870970010757446,-0.3444440066814423,0.1612899899482727,-0.2111110091209412,0],0]
			]
			]
		],
		[
		],
		false,
		false,
		1270179961020127,
		[],
		null
	]
,	[
		"t78",
		cr.plugins_.Sprite,
		false,
		[],
		1,
		0,
		null,
		[
			[
			"anime1",
			5,
			false,
			1,
			0,
			false,
			4496502178725748,
			[
				["casa-sheet0.png", 89387, 1, 1, 145, 137, 1, 0.5034482479095459, 0.5036496520042419,[],[-0.2275862395763397,-0.2116786539554596,-0.006896257400512695,-0.3430656492710114,0.2689657807350159,-0.2627736330032349,0.4137927293777466,-0.007299661636352539,0.4137927293777466,0.408759355545044,-0.006896257400512695,0.4525543451309204,-0.4275861382484436,0.416058361530304,-0.2275862395763397,-0.007299661636352539],0]
			]
			]
,			[
			"anime2",
			8,
			false,
			1,
			0,
			false,
			4200736394800241,
			[
				["casa-sheet0.png", 89387, 147, 1, 145, 137, 1, 0.5034482479095459, 0.5036496520042419,[],[],0],
				["casa-sheet0.png", 89387, 293, 1, 145, 137, 1, 0.5034482479095459, 0.5036496520042419,[],[],0],
				["casa-sheet0.png", 89387, 1, 139, 145, 137, 1, 0.5034482479095459, 0.5036496520042419,[],[],0],
				["casa-sheet0.png", 89387, 147, 139, 145, 137, 1, 0.5034482479095459, 0.5036496520042419,[],[],0],
				["casa-sheet0.png", 89387, 293, 139, 145, 137, 1, 0.5034482479095459, 0.5036496520042419,[],[],0],
				["casa-sheet0.png", 89387, 1, 277, 145, 137, 1, 0.5034482479095459, 0.5036496520042419,[],[],0],
				["casa-sheet0.png", 89387, 147, 277, 145, 137, 1, 0.5034482479095459, 0.5036496520042419,[],[],0],
				["casa-sheet0.png", 89387, 293, 277, 145, 137, 1, 0.5034482479095459, 0.5036496520042419,[],[],0]
			]
			]
,			[
			"anime3",
			8,
			false,
			1,
			0,
			true,
			798536086359039,
			[
				["casa-sheet1.png", 66451, 1, 1, 145, 137, 1, 0.5034482479095459, 0.5036496520042419,[],[],0],
				["casa-sheet1.png", 66451, 147, 1, 145, 137, 1, 0.5034482479095459, 0.5036496520042419,[],[],0],
				["casa-sheet1.png", 66451, 293, 1, 145, 137, 1, 0.5034482479095459, 0.5036496520042419,[],[],0],
				["casa-sheet1.png", 66451, 1, 139, 145, 137, 1, 0.5034482479095459, 0.5036496520042419,[],[],0],
				["casa-sheet1.png", 66451, 147, 139, 145, 137, 1, 0.5034482479095459, 0.5036496520042419,[],[],0],
				["casa-sheet1.png", 66451, 293, 139, 145, 137, 1, 0.5034482479095459, 0.5036496520042419,[],[],0],
				["casa-sheet1.png", 66451, 1, 277, 145, 137, 1, 0.5034482479095459, 0.5036496520042419,[],[],0],
				["casa-sheet1.png", 66451, 147, 277, 145, 137, 1, 0.5034482479095459, 0.5036496520042419,[],[],0]
			]
			]
		],
		[
		[
			"Pin",
			cr.behaviors.Pin,
			6507574036610808
		]
		],
		false,
		false,
		5530094918090297,
		[],
		null
	]
,	[
		"t79",
		cr.plugins_.Sprite,
		false,
		[],
		2,
		0,
		null,
		[
			[
			"anime1",
			11,
			false,
			1,
			0,
			false,
			7420395097691703,
			[
				["fumaca-sheet0.png", 1074596, 1012, 1, 11, 18, 1, -1.545454502105713, -8.166666984558106,[],[],0],
				["fumaca-sheet0.png", 1074596, 998, 468, 13, 26, 1, -1.230769276618958, -5.461538314819336,[],[],0],
				["fumaca-sheet0.png", 1074596, 998, 436, 15, 31, 1, -1, -4.451612949371338,[],[],0],
				["fumaca-sheet0.png", 1074596, 998, 404, 17, 31, 1, -0.7647058963775635, -4.322580814361572,[],[],0],
				["fumaca-sheet0.png", 1074596, 998, 365, 19, 38, 1, -0.6315789222717285, -3.394736766815186,[],[],0],
				["fumaca-sheet0.png", 1074596, 998, 321, 21, 43, 1, -0.523809552192688, -2.906976699829102,[],[],0],
				["fumaca-sheet0.png", 1074596, 998, 274, 24, 46, 1, -0.375, -2.60869574546814,[],[],0],
				["fumaca-sheet0.png", 1074596, 992, 687, 26, 49, 1, -0.3076923191547394, -2.367347002029419,[],[],0],
				["fumaca-sheet0.png", 1074596, 992, 632, 29, 54, 1, -0.2068965584039688, -2.074074029922485,[],[],0],
				["fumaca-sheet0.png", 1074596, 992, 572, 31, 59, 1, -0.161290317773819, -1.830508470535278,[],[],0],
				["fumaca-sheet0.png", 1074596, 989, 790, 34, 62, 1, -0.08823529630899429, -1.677419304847717,[],[],0],
				["fumaca-sheet1.png", 783292, 621, 689, 36, 64, 1, -0.02777777798473835, -1.546875,[],[],0],
				["fumaca-sheet1.png", 783292, 583, 689, 37, 70, 1, 0, -1.357142806053162,[],[],0],
				["fumaca-sheet1.png", 783292, 65, 538, 39, 76, 1, 0.05128205195069313, -1.184210538864136,[],[],0],
				["fumaca-sheet1.png", 783292, 450, 686, 40, 79, 1, 0.07500000298023224, -1.075949311256409,[],[],0],
				["fumaca-sheet1.png", 783292, 410, 686, 39, 85, 1, 0.07692307978868485, -0.9529411792755127,[],[],0],
				["fumaca-sheet1.png", 783292, 676, 683, 40, 90, 1, 0.125, -0.8444444537162781,[],[],0],
				["fumaca-sheet1.png", 783292, 983, 625, 40, 95, 1, 0.1500000059604645, -0.7473683953285217,[],[],0],
				["fumaca-sheet1.png", 783292, 541, 646, 41, 97, 1, 0.1463414579629898, -0.6907216310501099,[],[],0],
				["fumaca-sheet1.png", 783292, 499, 646, 41, 103, 1, 0.1463414579629898, -0.6019417643547058,[],[],0],
				["fumaca-sheet1.png", 783292, 939, 625, 43, 106, 1, 0.1395348906517029, -0.5471698045730591,[],[],0],
				["fumaca-sheet1.png", 783292, 892, 625, 46, 110, 1, 0.1739130467176437, -0.4909090995788574,[],[],0],
				["fumaca-sheet1.png", 783292, 122, 621, 49, 116, 1, 0.2040816396474838, -0.4224137961864471,[],[],0],
				["fumaca-sheet1.png", 783292, 357, 625, 52, 121, 1, 0.2307692319154739, -0.3719008266925812,[],[],0],
				["fumaca-sheet1.png", 783292, 741, 623, 54, 126, 1, 0.2407407462596893, -0.3253968358039856,[],[],0],
				["fumaca-sheet1.png", 783292, 65, 621, 56, 129, 1, 0.25, -0.2790697813034058,[],[],0],
				["fumaca-sheet1.png", 783292, 298, 570, 58, 135, 1, 0.275862067937851, -0.2370370328426361,[],[],0],
				["fumaca-sheet1.png", 783292, 236, 570, 61, 138, 1, 0.2950819730758667, -0.1956521719694138,[],[],0],
				["fumaca-sheet1.png", 783292, 172, 570, 63, 141, 1, 0.3174603283405304, -0.1631205677986145,[],[],0],
				["fumaca-sheet1.png", 783292, 828, 563, 63, 147, 1, 0.3174603283405304, -0.129251703619957,[],[],0],
				["fumaca-sheet1.png", 783292, 676, 533, 64, 149, 1, 0.328125, -0.1006711423397064,[],[],0],
				["fumaca-sheet1.png", 783292, 1, 538, 63, 151, 1, 0.3333333432674408, -0.07284767925739288,[],[],0],
				["fumaca-sheet1.png", 783292, 613, 533, 62, 155, 1, 0.3225806355476379, -0.05161290243268013,[],[],0],
				["fumaca-sheet1.png", 783292, 668, 232, 63, 159, 1, 0.3333333432674408, -0.02515723183751106,[],[],0],
				["fumaca-sheet0.png", 1074596, 661, 858, 63, 164, 1, 0.3333333432674408, -0.006097560748457909,[],[],0],
				["fumaca-sheet1.png", 783292, 105, 450, 66, 170, 1, 0.3484848439693451, 0.01764705963432789,[],[],0],
				["fumaca-sheet1.png", 783292, 368, 449, 66, 175, 1, 0.3484848439693451, 0.04571428522467613,[],[],0],
				["fumaca-sheet1.png", 783292, 455, 446, 67, 178, 1, 0.358208954334259, 0.06741572916507721,[],[],0],
				["fumaca-sheet1.png", 783292, 931, 441, 69, 183, 1, 0.3768115937709808, 0.08743169158697128,[],[],0],
				["fumaca-sheet1.png", 783292, 756, 437, 71, 185, 1, 0.3802816867828369, 0.1081081107258797,[],[],0],
				["fumaca-sheet0.png", 1074596, 1, 830, 72, 186, 1, 0.3888888955116272, 0.1236559152603149,[],[],0],
				["fumaca-sheet1.png", 783292, 105, 255, 74, 194, 1, 0.3918918967247009, 0.1391752511262894,[],[],0],
				["fumaca-sheet1.png", 783292, 190, 252, 77, 198, 1, 0.4025973975658417, 0.1565656512975693,[],[],0],
				["fumaca-sheet1.png", 783292, 283, 246, 78, 199, 1, 0.410256415605545, 0.1758794039487839,[],[],0],
				["fumaca-sheet1.png", 783292, 375, 245, 79, 203, 1, 0.4177215099334717, 0.192118227481842,[],[],0],
				["fumaca-sheet1.png", 783292, 466, 238, 81, 207, 1, 0.4197530746459961, 0.2028985470533371,[],[],0],
				["fumaca-sheet1.png", 783292, 822, 227, 82, 209, 1, 0.4268292784690857, 0.220095694065094,[],[],0],
				["fumaca-sheet1.png", 783292, 938, 226, 84, 214, 1, 0.4285714328289032, 0.2336448580026627,[],[],0],
				["fumaca-sheet1.png", 783292, 736, 177, 85, 216, 1, 0.43529412150383, 0.2453703731298447,[],[],0],
				["fumaca-sheet1.png", 783292, 938, 1, 85, 224, 1, 0.43529412150383, 0.2544642984867096,[],[],0],
				["fumaca-sheet1.png", 783292, 850, 1, 87, 225, 1, 0.4367816150188446, 0.2711111009120941,[],[],0],
				["fumaca-sheet1.png", 783292, 647, 1, 88, 230, 1, 0.4431818127632141, 0.2782608568668366,[],[],0],
				["fumaca-sheet1.png", 783292, 557, 1, 89, 234, 1, 0.4382022619247437, 0.2905983030796051,[],[],0],
				["fumaca-sheet1.png", 783292, 466, 1, 90, 236, 1, 0.4444444477558136, 0.3008474707603455,[],[],0],
				["fumaca-sheet1.png", 783292, 375, 1, 90, 243, 1, 0.4444444477558136, 0.3086419701576233,[],[],0],
				["fumaca-sheet1.png", 783292, 283, 1, 91, 244, 1, 0.450549453496933, 0.3237704932689667,[],[],0],
				["fumaca-sheet1.png", 783292, 190, 1, 92, 250, 1, 0.45652174949646, 0.328000009059906,[],[],0],
				["fumaca-sheet1.png", 783292, 96, 1, 93, 253, 1, 0.4516128897666931, 0.3399209380149841,[],[],0],
				["fumaca-sheet1.png", 783292, 1, 1, 94, 255, 1, 0.457446813583374, 0.3529411852359772,[],[],0],
				["fumaca-sheet0.png", 1074596, 658, 599, 94, 258, 1, 0.457446813583374, 0.3604651093482971,[],[],0],
				["fumaca-sheet0.png", 1074596, 562, 592, 95, 261, 1, 0.4631578922271729, 0.3716475069522858,[],[],0],
				["fumaca-sheet0.png", 1074596, 217, 591, 96, 265, 1, 0.46875, 0.3773584961891174,[],[],0],
				["fumaca-sheet0.png", 1074596, 1, 560, 96, 269, 1, 0.46875, 0.3866170942783356,[],[],0],
				["fumaca-sheet0.png", 1074596, 119, 552, 97, 274, 1, 0.4742268025875092, 0.3941605985164642,[],[],0],
				["fumaca-sheet0.png", 1074596, 774, 543, 98, 276, 1, 0.4795918464660645, 0.4057970941066742,[],[],0],
				["fumaca-sheet0.png", 1074596, 238, 311, 98, 279, 1, 0.4795918464660645, 0.4157706201076508,[],[],0],
				["fumaca-sheet0.png", 1074596, 564, 307, 99, 284, 1, 0.4848484992980957, 0.4225352108478546,[],[],0],
				["fumaca-sheet0.png", 1074596, 672, 306, 101, 292, 1, 0.4950495064258575, 0.4246575236320496,[],[],0],
				["fumaca-sheet0.png", 1074596, 340, 305, 103, 293, 1, 0.5048543810844421, 0.436860054731369,[],[],0],
				["fumaca-sheet0.png", 1074596, 893, 274, 104, 297, 1, 0.5096153616905212, 0.4444444477558136,[],[],0],
				["fumaca-sheet0.png", 1074596, 672, 1, 106, 304, 1, 0.5188679099082947, 0.4440789520740509,[],[],0],
				["fumaca-sheet0.png", 1074596, 564, 1, 107, 305, 1, 0.5233644843101502, 0.4557377099990845,[],[],0],
				["fumaca-sheet0.png", 1074596, 454, 1, 109, 308, 1, 0.5321100950241089, 0.4610389471054077,[],[],0],
				["fumaca-sheet0.png", 1074596, 228, 1, 111, 309, 1, 0.5405405163764954, 0.469255656003952,[],[],0],
				["fumaca-sheet0.png", 1074596, 115, 1, 112, 307, 1.200000047683716, 0.5446428656578064, 0.4657980501651764,[],[],0],
				["fumaca-sheet0.png", 1074596, 1, 1, 113, 307, 1.200000047683716, 0.5486725568771362, 0.4788273572921753,[],[],0],
				["fumaca-sheet0.png", 1074596, 340, 1, 113, 303, 1.200000047683716, 0.5486725568771362, 0.4983498454093933,[],[],0],
				["fumaca-sheet0.png", 1074596, 779, 268, 113, 274, 1.200000047683716, 0.5486725568771362, 0.474452555179596,[],[],0],
				["fumaca-sheet0.png", 1074596, 897, 1, 114, 272, 1.200000047683716, 0.5438596606254578, 0.4963235259056091,[],[],0],
				["fumaca-sheet0.png", 1074596, 779, 1, 117, 266, 1.200000047683716, 0.5470085740089417, 0.518796980381012,[],[],0],
				["fumaca-sheet0.png", 1074596, 1, 309, 117, 250, 1.200000047683716, 0.5470085740089417, 0.515999972820282,[],[],0],
				["fumaca-sheet0.png", 1074596, 444, 310, 118, 245, 1.200000047683716, 0.5508474707603455, 0.5387755036354065,[],[],0],
				["fumaca-sheet0.png", 1074596, 119, 311, 118, 240, 1.200000047683716, 0.5508474707603455, 0.5625,[],[],0],
				["fumaca-sheet0.png", 1074596, 444, 556, 117, 222, 1.200000047683716, 0.5470085740089417, 0.5630630850791931,[],[],0],
				["fumaca-sheet0.png", 1074596, 873, 572, 118, 217, 1.200000047683716, 0.5423728823661804, 0.5898617506027222,[],[],0],
				["fumaca-sheet0.png", 1074596, 314, 599, 118, 213, 1.200000047683716, 0.5423728823661804, 0.6150234937667847,[],[],0],
				["fumaca-sheet0.png", 1074596, 433, 779, 116, 209, 1.200000047683716, 0.5344827771186829, 0.6459330320358276,[],[],0],
				["fumaca-sheet0.png", 1074596, 873, 790, 115, 192, 1.200000047683716, 0.530434787273407, 0.65625,[],[],0],
				["fumaca-sheet0.png", 1074596, 314, 813, 113, 188, 1.200000047683716, 0.5221238732337952, 0.6914893388748169,[],[],0],
				["fumaca-sheet0.png", 1074596, 753, 820, 113, 184, 1.200000047683716, 0.5221238732337952, 0.72826087474823,[],[],0],
				["fumaca-sheet0.png", 1074596, 98, 827, 112, 180, 1.200000047683716, 0.5178571343421936, 0.7666666507720947,[],[],0],
				["fumaca-sheet1.png", 783292, 736, 1, 113, 175, 1.200000047683716, 0.5221238732337952, 0.8057143092155457,[],[],0],
				["fumaca-sheet0.png", 1074596, 550, 858, 110, 158, 1.200000047683716, 0.5090909004211426, 0.8354430198669434,[],[],0],
				["fumaca-sheet1.png", 783292, 557, 236, 110, 153, 1.200000047683716, 0.5090909004211426, 0.8823529481887817,[],[],0],
				["fumaca-sheet0.png", 1074596, 211, 857, 102, 148, 1.200000047683716, 0.4803921580314636, 0.9391891956329346,[],[],0],
				["fumaca-sheet1.png", 783292, 1, 257, 103, 146, 1.200000047683716, 0.485436886548996, 0.9794520735740662,[],[],0],
				["fumaca-sheet1.png", 783292, 548, 390, 103, 141, 1.200000047683716, 0.4951456189155579, 1.042553186416626,[],[],0],
				["fumaca-sheet1.png", 783292, 652, 394, 103, 138, 1.200000047683716, 0.4951456189155579, 1.094202876091003,[],[],0],
				["fumaca-sheet1.png", 783292, 1, 404, 103, 133, 1.200000047683716, 0.4951456189155579, 1.157894730567932,[],[],0],
				["fumaca-sheet1.png", 783292, 828, 437, 102, 125, 1.200000047683716, 0.5, 1.264000058174133,[],[],0],
				["fumaca-sheet1.png", 783292, 268, 446, 99, 123, 1.200000047683716, 0.5050504803657532, 1.317073225975037,[],[],0],
				["fumaca-sheet1.png", 783292, 172, 451, 92, 118, 1.200000047683716, 0.489130437374115, 1.406779646873474,[],[],0],
				["fumaca-sheet1.png", 783292, 523, 532, 89, 113, 1.200000047683716, 0.4719101190567017, 1.504424810409546,[],[],0],
				["fumaca-sheet1.png", 783292, 410, 625, 88, 60, 1.200000047683716, 0.4659090936183929, 2.083333253860474,[],[],0]
			]
			]
		],
		[
		[
			"Pin",
			cr.behaviors.Pin,
			6530812868311655
		]
,		[
			"Fade",
			cr.behaviors.Fade,
			7855933215214025
		]
		],
		false,
		false,
		1167519781865664,
		[],
		null
	]
,	[
		"t80",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			3701115436519048,
			[
				["plantas2-sheet0.png", 14056, 0, 0, 270, 124, 1, 0.5, 0.5,[],[-0.4518519043922424,-0.3951610028743744,0,-0.09677401185035706,0.3925930261611939,-0.2661290168762207,0.4555559754371643,0,0.4814810156822205,0.45967698097229,0,0.3870970010757446,-0.3444440066814423,0.1612899899482727,-0.2111110091209412,0],0]
			]
			]
		],
		[
		],
		false,
		false,
		7695402428920919,
		[],
		null
	]
,	[
		"t81",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			8583198342131489,
			[
				["lanternaapagada-sheet0.png", 14220, 0, 0, 373, 417, 1, 0.5013405084609985, 0.5011990666389465,[],[-0.1099195182323456,-0.1510790586471558,-0.00268051028251648,-0.1654680669307709,0.0241284966468811,-0.07673907279968262,0.2144774794578552,-0.002398073673248291,0.0375334620475769,0.08633095026016235,-0.00268051028251648,0.4652279615402222,-0.0241284966468811,0.07194292545318604,-0.04289549589157105,-0.002398073673248291],0]
			]
			]
		],
		[
		],
		false,
		false,
		3658530461879022,
		[],
		null
	]
,	[
		"t82",
		cr.plugins_.Sprite,
		false,
		[],
		2,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			9226098383559872,
			[
				["lanternaacesa-sheet0.png", 38873, 0, 0, 347, 410, 1, 0.5417867302894592, 0.5121951103210449,[],[-0.2103747427463532,-0.1195121109485626,-0.05475473403930664,-0.2560971081256867,0.1066282987594605,-0.1658531129360199,0.002882242202758789,0.009756863117218018,-0.05187374353408814,0.007317900657653809],0]
			]
			]
		],
		[
		[
			"fadeIn",
			cr.behaviors.Fade,
			5048301250464935
		]
,		[
			"fadeOut",
			cr.behaviors.Fade,
			1478160483184274
		]
		],
		false,
		false,
		3801781411039392,
		[],
		null
	]
,	[
		"t83",
		cr.plugins_.Sprite,
		false,
		[],
		3,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			7710325972566279,
			[
				["lanternaacesa2-sheet0.png", 39199, 0, 0, 373, 417, 1, 0.5013405084609985, 0.5011990666389465,[],[-0.2144775092601776,-0.1199040710926056,-0.05898049473762512,-0.2589930593967438,0.09919548034667969,-0.1630700528621674,0.2680965065956116,0.05995196104049683,0.06434351205825806,0.08153492212295532,0.1260054707527161,0.4748199582099915,-0.01809650659561157,0.4874099493026733,-0.009383499622344971,0.1306959390640259,-0.2386054992675781,0.1127089262008667,-0.07238650321960449,0.00239795446395874],0]
			]
			]
		],
		[
		[
			"fadeIn",
			cr.behaviors.Fade,
			5567621530298714
		]
,		[
			"fadeOut",
			cr.behaviors.Fade,
			4610447839268556
		]
,		[
			"Pin",
			cr.behaviors.Pin,
			9065762575629943
		]
		],
		false,
		false,
		276159948593271,
		[],
		null
	]
,	[
		"t84",
		cr.plugins_.Sprite,
		false,
		[],
		1,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			8817881389115736,
			[
				["lanternaapagada-sheet0.png", 14220, 0, 0, 373, 417, 1, 0.5013405084609985, 0.5011990666389465,[],[-0.1099195182323456,-0.1510790586471558,-0.00268051028251648,-0.1654680669307709,0.0241284966468811,-0.07673907279968262,0.2144774794578552,-0.002398073673248291,0.0375334620475769,0.08633095026016235,-0.00268051028251648,0.4652279615402222,-0.0241284966468811,0.07194292545318604,-0.04289549589157105,-0.002398073673248291],0]
			]
			]
		],
		[
		[
			"Pin",
			cr.behaviors.Pin,
			5168328151456114
		]
		],
		false,
		false,
		4139626401547187,
		[],
		null
	]
,	[
		"t85",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"anime1",
			10,
			false,
			1,
			0,
			false,
			9817932198037465,
			[
				["lua-sheet0.png", 623495, 1, 1, 297, 296, 1, 0.5016834735870361, 0.5,[],[-0.1548824608325958,-0.1520270109176636,-0.003367483615875244,-0.2195950150489807,0.154882550239563,-0.1554050147533417,0.2154885530471802,0,0.151515543460846,0.1520270109176636,-0.003367483615875244,0.2162160277366638,-0.1548824608325958,0.1520270109176636,-0.2188554704189301,0],0],
				["lua-sheet0.png", 623495, 597, 1, 296, 296, 1, 0.5033783912658691, 0.5,[],[-0.1565773785114288,-0.1520270109176636,-0.005062401294708252,-0.2195950150489807,0.15318763256073,-0.1554050147533417,0.2137936353683472,0,0.1498206257820129,0.1520270109176636,-0.005062401294708252,0.2162160277366638,-0.1565773785114288,0.1520270109176636,-0.2205503880977631,0],0],
				["lua-sheet0.png", 623495, 1191, 1, 293, 295, 1, 0.5085324048995972, 0.498305082321167,[],[-0.1617313921451569,-0.1503320932388306,-0.01021641492843628,-0.2179000973701477,0.148033618927002,-0.1537100970745087,0.2086396217346191,0.001694917678833008,0.1446666121482849,0.1537219285964966,-0.01021641492843628,0.2179109454154968,-0.1617313921451569,0.1537219285964966,-0.2257044017314911,0.001694917678833008],0],
				["lua-sheet0.png", 623495, 1191, 297, 290, 291, 1, 0.5137931108474731, 0.4914089441299439,[],[-0.1669920980930328,-0.1434359550476074,-0.01547712087631226,-0.2110039591789246,0.142772912979126,-0.1468139588832855,0.2033789157867432,0.008591055870056152,0.1394059062004089,0.1606180667877197,-0.01547712087631226,0.22480708360672,-0.1669920980930328,0.1606180667877197,-0.2309651076793671,0.008591055870056152],0],
				["lua-sheet0.png", 623495, 1, 298, 287, 286, 1, 0.5191637873649597, 0.4825174808502197,[],[-0.1723627746105194,-0.1345444917678833,-0.02084779739379883,-0.2021124958992004,0.1374022364616394,-0.1379224956035614,0.1980082392692566,0.01748251914978027,0.1340352296829224,0.1695095300674439,-0.02084779739379883,0.2336985468864441,-0.1723627746105194,0.1695095300674439,-0.2363357841968536,0.01748251914978027],0],
				["lua-sheet0.png", 623495, 577, 298, 284, 281, 1, 0.5246478915214539, 0.4733096063137054,[],[-0.1778468787670136,-0.125336617231369,-0.02633190155029297,-0.1929046213626862,0.1319181323051453,-0.1287146210670471,0.1925241351127625,0.02669039368629456,0.1285511255264282,0.1787174046039581,-0.02633190155029297,0.2429064214229584,-0.1778468787670136,0.1787174046039581,-0.2418198883533478,0.02669039368629456],0],
				["lua-sheet0.png", 623495, 577, 580, 281, 276, 1, 0.5302491188049316, 0.4637681245803833,[],[-0.1834481060504913,-0.1157951354980469,-0.03193312883377075,-0.183363139629364,0.1263169050216675,-0.119173139333725,0.1869229078292847,0.0362318754196167,0.1229498982429504,0.1882588863372803,-0.03193312883377075,0.2524479031562805,-0.1834481060504913,0.1882588863372803,-0.2474211156368256,0.0362318754196167],0]
			]
			]
,			[
			"anime2",
			10,
			false,
			1,
			0,
			false,
			8751258201274285,
			[
				["lua-sheet0.png", 623495, 1, 585, 279, 275, 1, 0.5340501666069031, 0.4618181884288788,[],[-0.1756271719932556,-0.1781821846961975,-0.0358421802520752,-0.1272732019424439,0.06451582908630371,-0.05454519391059876,0.1362008452415466,0.03636381030082703,0.2186378240585327,0.159999817609787,-0.0358421802520752,0.2327267825603485,-0.1648741662502289,0.1636368334293366,-0.2293911576271057,0.03636381030082703],0],
				["lua-sheet0.png", 623495, 1141, 589, 277, 274, 1, 0.5379061102867127, 0.459854006767273,[],[-0.1794831156730652,-0.1762180030345917,-0.03969812393188477,-0.125309020280838,0.06065988540649414,-0.05258101224899292,0.1323449015617371,0.03832799196243286,0.2147818803787231,0.1619639992713928,-0.03969812393188477,0.2346909642219544,-0.1687301099300385,0.1656010150909424,-0.2332471013069153,0.03832799196243286],0],
				["lua-sheet0.png", 623495, 1697, 589, 276, 273, 1, 0.5398550629615784, 0.4578754603862763,[],[-0.1814320683479309,-0.174239456653595,-0.04164707660675049,-0.1233304738998413,0.05871093273162842,-0.05060246586799622,0.1303959488868713,0.04030653834342957,0.2128329277038574,0.1639425456523895,-0.04164707660675049,0.2366695106029511,-0.1706790626049042,0.1675795614719391,-0.235196053981781,0.04030653834342957],0],
				["lua-sheet0.png", 623495, 1773, 297, 274, 271, 1, 0.543795645236969, 0.4538745284080505,[],[-0.1853726506233215,-0.1702385246753693,-0.04558765888214111,-0.1193295419216156,0.05477035045623779,-0.04660153388977051,0.1264553666114807,0.04430747032165527,0.2088923454284668,0.1679434776306152,-0.04558765888214111,0.2406704425811768,-0.1746196448802948,0.1715804934501648,-0.2391366362571716,0.04430747032165527],0],
				["lua-sheet0.png", 623495, 1, 861, 273, 270, 1, 0.5457875728607178, 0.4518518447875977,[],[-0.1873645782470703,-0.1682158410549164,-0.04757958650588989,-0.1173068583011627,0.05277842283248901,-0.04457885026931763,0.1244634389877319,0.04633015394210815,0.206900417804718,0.1699661612510681,-0.04757958650588989,0.2426931262016296,-0.1766115725040436,0.1736031770706177,-0.2411285638809204,0.04633015394210815],0],
				["lua-sheet0.png", 623495, 1697, 863, 272, 268, 1, 0.5477941036224365, 0.447761207818985,[],[-0.1893711090087891,-0.1641252040863037,-0.04958611726760864,-0.1132162213325501,0.05077189207077026,-0.04048821330070496,0.1224569082260132,0.05042079091072083,0.2048938870429993,0.1740567982196808,-0.04958611726760864,0.2467837631702423,-0.1786181032657623,0.1776938140392304,-0.2431350946426392,0.05042079091072083],0]
			]
			]
,			[
			"anime3",
			10,
			false,
			1,
			0,
			false,
			6914958632666091,
			[
				["lua-sheet0.png", 623495, 1386, 864, 271, 263, 1, 0.5498154759407044, 0.4372623562812805,[],[-0.2029524743556976,-0.148288369178772,-0.05166047811508179,-0.03041836619377136,0.007380545139312744,0.01901164650917053,0.05166053771972656,0.06083664298057556,0.2066425085067749,0.1711026430130005,-0.007379472255706787,0.2585556507110596,-0.1697414815425873,0.1711026430130005,-0.2509224712848663,0.01520964503288269],0],
				["lua-sheet0.png", 623495, 838, 1129, 271, 258, 1, 0.5498154759407044, 0.4263565838336945,[],[-0.2029524743556976,-0.1373825967311859,-0.05166047811508179,-0.0195125937461853,0.007380545139312744,0.02991741895675659,0.05166053771972656,0.07174241542816162,0.2066425085067749,0.1820084154605866,-0.007379472255706787,0.2694614231586456,-0.1697414815425873,0.1820084154605866,-0.2509224712848663,0.02611541748046875],0],
				["lua-sheet0.png", 623495, 1, 1132, 270, 253, 1, 0.5518518686294556, 0.4150197505950928,[],[-0.2049888670444489,-0.1260457634925842,-0.05369687080383301,-0.008175760507583618,0.005344152450561523,0.04125425219535828,0.04962414503097534,0.08307924866676331,0.2046061158180237,0.1933452486991882,-0.009415864944458008,0.2807982563972473,-0.1717778742313385,0.1933452486991882,-0.2529588639736176,0.03745225071907044],0],
				["lua-sheet0.png", 623495, 1779, 1, 268, 247, 1, 0.5522388219833374, 0.4008097052574158,[],[-0.2053758203983307,-0.1118357181549072,-0.05408382415771484,0.006034284830093384,0.004957199096679688,0.05546429753303528,0.04923719167709351,0.09728929400444031,0.2042191624641419,0.2075552940368652,-0.009802818298339844,0.2950083017349243,-0.1721648275852203,0.2075552940368652,-0.2533458173274994,0.05166229605674744],0],
				["lua-sheet0.png", 623495, 1110, 1133, 268, 241, 1, 0.5522388219833374, 0.3858921229839325,[],[-0.2053758203983307,-0.09691813588142395,-0.05408382415771484,0.02095186710357666,0.004957199096679688,0.07038187980651856,0.04923719167709351,0.1122068762779236,0.2042191624641419,0.2224728763103485,-0.009802818298339844,0.3099258840084076,-0.1721648275852203,0.2224728763103485,-0.2533458173274994,0.06657987833023071],0],
				["lua-sheet0.png", 623495, 1658, 1380, 266, 234, 1, 0.5526315569877625, 0.3675213754177094,[],[-0.2057685554027557,-0.07854738831520081,-0.05447655916213989,0.03932261466979981,0.004564464092254639,0.0887526273727417,0.04884445667266846,0.1305776238441467,0.2038264274597168,0.2408436238765717,-0.01019555330276489,0.3282966315746307,-0.1725575625896454,0.2408436238765717,-0.2537385523319244,0.08495062589645386],0]
			]
			]
,			[
			"anime4",
			10,
			false,
			1,
			0,
			false,
			5088948595544211,
			[
				["lua-sheet0.png", 623495, 268, 1386, 264, 232, 1, 0.5568181872367859, 0.3620689511299133,[],[-0.257576197385788,-0.06034496426582336,-0.05681818723678589,0.1120690405368805,-1.788139343261719e-007,0.1422410607337952,-0.003788173198699951,0.1379310488700867,0.2121208310127258,0.1939650774002075,0.003787815570831299,0.2887930274009705,-0.1704541742801666,0.1982760429382324,-0.2121211886405945,0.1379310488700867],0],
				["lua-sheet0.png", 623495, 533, 1390, 261, 230, 1, 0.5632184147834778, 0.3565217256546021,[],[-0.2639764249324799,-0.05479773879051209,-0.06321841478347778,0.1176162660121918,-0.006400406360626221,0.1477882862091065,-0.01018840074539185,0.143478274345398,0.2057206034660339,0.1995123028755188,-0.002612411975860596,0.2943402528762817,-0.1768544018268585,0.2038232684135437,-0.2185214161872864,0.143478274345398],0],
				["lua-sheet0.png", 623495, 1641, 1615, 258, 228, 1, 0.565891444683075, 0.350877195596695,[],[-0.266649454832077,-0.04915320873260498,-0.06589144468307495,0.1232607960700989,-0.009073436260223389,0.1534328162670136,-0.01286143064498901,0.1491228044033051,0.2030475735664368,0.2051568329334259,-0.005285441875457764,0.2999847829341888,-0.1795274317264557,0.2094677984714508,-0.2211944460868835,0.1491228044033051],0],
				["lua-sheet0.png", 623495, 268, 1619, 254, 227, 1, 0.5748031735420227, 0.3480176329612732,[],[-0.2755611836910248,-0.04629364609718323,-0.07480317354202271,0.1261203587055206,-0.01798516511917114,0.1562923789024353,-0.02177315950393677,0.1519823670387268,0.194135844707489,0.2080163955688477,-0.01419717073440552,0.3028443455696106,-0.1884391605854034,0.2123273611068726,-0.2301061749458313,0.1519823670387268],0],
				["lua-sheet0.png", 623495, 523, 1621, 250, 226, 1, 0.5839999914169312, 0.3451327383518219,[],[-0.2847580015659332,-0.04340875148773193,-0.08399999141693115,0.1290052533149719,-0.02718198299407959,0.1591772735118866,-0.03096997737884522,0.1548672616481781,0.1849390268325806,0.210901290178299,-0.02339398860931397,0.3057292401790619,-0.1976359784603119,0.2152122557163239,-0.2393029928207398,0.1548672616481781],0]
			]
			]
,			[
			"anime5",
			10,
			false,
			1,
			0,
			true,
			2112194808942805,
			[
				["lua-sheet0.png", 623495, 821, 1388, 264, 232, 1, 0.5568181872367859, 0.3620689511299133,[],[-0.265151172876358,-0.06034496426582336,-0.05681818723678589,0.1120690405368805,-1.788139343261719e-007,0.1422410607337952,-0.003788173198699951,0.1379310488700867,0.1856058239936829,0.2068960666656494,-1.788139343261719e-007,0.2887930274009705,-0.1704541742801666,0.1982760429382324,-0.2121211886405945,0.1379310488700867],0],
				["lua-sheet0.png", 623495, 1379, 1392, 261, 230, 1, 0.5632184147834778, 0.3565217256546021,[],[-0.2715514004230499,-0.05479773879051209,-0.06321841478347778,0.1176162660121918,-0.006400406360626221,0.1477882862091065,-0.01018840074539185,0.143478274345398,0.179205596446991,0.2124432921409607,-0.006400406360626221,0.2943402528762817,-0.1768544018268585,0.2038232684135437,-0.2185214161872864,0.143478274345398],0],
				["lua-sheet0.png", 623495, 1086, 1617, 258, 228, 1, 0.565891444683075, 0.350877195596695,[],[-0.2742244303226471,-0.04915320873260498,-0.06589144468307495,0.1232607960700989,-0.009073436260223389,0.1534328162670136,-0.01286143064498901,0.1491228044033051,0.1765325665473938,0.2180878221988678,-0.009073436260223389,0.2999847829341888,-0.1795274317264557,0.2094677984714508,-0.2211944460868835,0.1491228044033051],0],
				["lua-sheet0.png", 623495, 1, 1621, 254, 227, 1, 0.5748031735420227, 0.3480176329612732,[],[-0.2831361591815949,-0.04629364609718323,-0.07480317354202271,0.1261203587055206,-0.01798516511917114,0.1562923789024353,-0.02177315950393677,0.1519823670387268,0.167620837688446,0.2209473848342896,-0.01798516511917114,0.3028443455696106,-0.1884391605854034,0.2123273611068726,-0.2301061749458313,0.1519823670387268],0],
				["lua-sheet0.png", 623495, 774, 1621, 250, 226, 1, 0.5839999914169312, 0.3451327383518219,[],[-0.2923329770565033,-0.04340875148773193,-0.08399999141693115,0.1290052533149719,-0.02718198299407959,0.1591772735118866,-0.03096997737884522,0.1548672616481781,0.1584240198135376,0.2238322794437408,-0.02718198299407959,0.3057292401790619,-0.1976359784603119,0.2152122557163239,-0.2393029928207398,0.1548672616481781],0]
			]
			]
,			[
			"anime6",
			10,
			false,
			1,
			0,
			true,
			2111181296786232,
			[
				["lua-sheet0.png", 623495, 1386, 1128, 271, 263, 1, 0.5498154759407044, 0.4372623562812805,[],[-0.2029524743556976,-0.1558933556079865,-0.05166047811508179,-0.03041836619377136,0.007380545139312744,0.01901164650917053,0.05166053771972656,0.06083664298057556,0.1918825507164002,0.1596956253051758,-0.007379472255706787,0.2509506344795227,-0.1697414815425873,0.1711026430130005,-0.2472324669361115,0.03041863441467285],0],
				["lua-sheet0.png", 623495, 549, 1131, 271, 258, 1, 0.5498154759407044, 0.4263565838336945,[],[-0.2029524743556976,-0.1449875831604004,-0.05166047811508179,-0.0195125937461853,0.007380545139312744,0.02991741895675659,0.05166053771972656,0.07174241542816162,0.1918825507164002,0.1706013977527618,-0.007379472255706787,0.2618564069271088,-0.1697414815425873,0.1820084154605866,-0.2472324669361115,0.04132440686225891],0],
				["lua-sheet0.png", 623495, 272, 1132, 270, 253, 1, 0.5518518686294556, 0.4150197505950928,[],[-0.2049888670444489,-0.1336507499217987,-0.05369687080383301,-0.008175760507583618,0.005344152450561523,0.04125425219535828,0.04962414503097534,0.08307924866676331,0.1898461580276489,0.1819382309913635,-0.009415864944458008,0.2731932401657105,-0.1717778742313385,0.1933452486991882,-0.2492688596248627,0.0526612401008606],0],
				["lua-sheet0.png", 623495, 1658, 1132, 268, 247, 1, 0.5522388219833374, 0.4008097052574158,[],[-0.2053758203983307,-0.1194407045841217,-0.05408382415771484,0.006034284830093384,0.004957199096679688,0.05546429753303528,0.04923719167709351,0.09728929400444031,0.1894592046737671,0.1961482763290405,-0.009802818298339844,0.2874032855033875,-0.1721648275852203,0.2075552940368652,-0.2496558129787445,0.0668712854385376],0],
				["lua-sheet0.png", 623495, 1110, 1375, 268, 241, 1, 0.5522388219833374, 0.3858921229839325,[],[-0.2053758203983307,-0.1045231223106384,-0.05408382415771484,0.02095186710357666,0.004957199096679688,0.07038187980651856,0.04923719167709351,0.1122068762779236,0.1894592046737671,0.2110658586025238,-0.009802818298339844,0.3023208677768707,-0.1721648275852203,0.2224728763103485,-0.2496558129787445,0.08178886771202087],0],
				["lua-sheet0.png", 623495, 1, 1386, 266, 234, 1, 0.5526315569877625, 0.3675213754177094,[],[-0.2057685554027557,-0.08615237474441528,-0.05447655916213989,0.03932261466979981,0.004564464092254639,0.0887526273727417,0.04884445667266846,0.1305776238441467,0.189066469669342,0.229436606168747,-0.01019555330276489,0.3206916153430939,-0.1725575625896454,0.2408436238765717,-0.2500485479831696,0.100159615278244],0]
			]
			]
,			[
			"anime7",
			10,
			false,
			1,
			0,
			true,
			9673888480626856,
			[
				["lua-sheet0.png", 623495, 281, 585, 279, 275, 1, 0.5340501666069031, 0.4618181884288788,[],[-0.1827961802482605,-0.1890911757946014,-0.0358421802520752,-0.1272732019424439,0.06451582908630371,-0.05454519391059876,0.1362008452415466,0.03636381030082703,0.1792108416557312,0.159999817609787,0.003583848476409912,0.2472728192806244,-0.1648741662502289,0.1636368334293366,-0.2293911576271057,0.03636381030082703],0],
				["lua-sheet0.png", 623495, 1419, 589, 277, 274, 1, 0.5379061102867127, 0.459854006767273,[],[-0.1866521239280701,-0.1871269941329956,-0.03969812393188477,-0.125309020280838,0.06065988540649414,-0.05258101224899292,0.1323449015617371,0.03832799196243286,0.1753548979759216,0.1619639992713928,-0.0002720952033996582,0.2492370009422302,-0.1687301099300385,0.1656010150909424,-0.2332471013069153,0.03832799196243286],0],
				["lua-sheet0.png", 623495, 561, 857, 276, 273, 1, 0.5398550629615784, 0.4578754603862763,[],[-0.1886010766029358,-0.1851484477519989,-0.04164707660675049,-0.1233304738998413,0.05871093273162842,-0.05060246586799622,0.1303959488868713,0.04030653834342957,0.1734059453010559,0.1639425456523895,-0.002221047878265381,0.2512155473232269,-0.1706790626049042,0.1675795614719391,-0.235196053981781,0.04030653834342957],0],
				["lua-sheet0.png", 623495, 838, 857, 274, 271, 1, 0.543795645236969, 0.4538745284080505,[],[-0.1925416588783264,-0.1811475157737732,-0.04558765888214111,-0.1193295419216156,0.05477035045623779,-0.04660153388977051,0.1264553666114807,0.04430747032165527,0.1694653630256653,0.1679434776306152,-0.006161630153656006,0.2552164793014526,-0.1746196448802948,0.1715804934501648,-0.2391366362571716,0.04430747032165527],0],
				["lua-sheet0.png", 623495, 275, 861, 273, 270, 1, 0.5457875728607178, 0.4518518447875977,[],[-0.1945335865020752,-0.1791248321533203,-0.04757958650588989,-0.1173068583011627,0.05277842283248901,-0.04457885026931763,0.1244634389877319,0.04633015394210815,0.1674734354019165,0.1699661612510681,-0.008153557777404785,0.2572391629219055,-0.1766115725040436,0.1736031770706177,-0.2411285638809204,0.04633015394210815],0],
				["lua-sheet0.png", 623495, 1113, 864, 272, 268, 1, 0.5477941036224365, 0.447761207818985,[],[-0.196540117263794,-0.1750341951847076,-0.04958611726760864,-0.1132162213325501,0.05077189207077026,-0.04048821330070496,0.1224569082260132,0.05042079091072083,0.1654669046401978,0.1740567982196808,-0.01016008853912354,0.2613297998905182,-0.1786181032657623,0.1776938140392304,-0.2431350946426392,0.05042079091072083],0]
			]
			]
,			[
			"anime8",
			10,
			false,
			1,
			0,
			true,
			2982342322226077,
			[
				["lua-sheet0.png", 623495, 299, 1, 297, 296, 1, 0.5016834735870361, 0.5,[],[-0.1548824608325958,-0.1520270109176636,-0.003367483615875244,-0.2195950150489807,0.154882550239563,-0.1554050147533417,0.2154885530471802,0,0.151515543460846,0.1520270109176636,-0.003367483615875244,0.2162160277366638,-0.1548824608325958,0.1520270109176636,-0.2188554704189301,0],0],
				["lua-sheet0.png", 623495, 894, 1, 296, 296, 1, 0.5033783912658691, 0.5,[],[-0.1565773785114288,-0.1520270109176636,-0.005062401294708252,-0.2195950150489807,0.15318763256073,-0.1554050147533417,0.2137936353683472,0,0.1498206257820129,0.1520270109176636,-0.005062401294708252,0.2162160277366638,-0.1565773785114288,0.1520270109176636,-0.2205503880977631,0],0],
				["lua-sheet0.png", 623495, 1485, 1, 293, 295, 1, 0.5085324048995972, 0.498305082321167,[],[-0.1617313921451569,-0.1503320932388306,-0.01021641492843628,-0.2179000973701477,0.148033618927002,-0.1537100970745087,0.2086396217346191,0.001694917678833008,0.1446666121482849,0.1537219285964966,-0.01021641492843628,0.2179109454154968,-0.1617313921451569,0.1537219285964966,-0.2257044017314911,0.001694917678833008],0],
				["lua-sheet0.png", 623495, 1482, 297, 290, 291, 1, 0.5137931108474731, 0.4914089441299439,[],[-0.1669920980930328,-0.1434359550476074,-0.01547712087631226,-0.2110039591789246,0.142772912979126,-0.1468139588832855,0.2033789157867432,0.008591055870056152,0.1394059062004089,0.1606180667877197,-0.01547712087631226,0.22480708360672,-0.1669920980930328,0.1606180667877197,-0.2309651076793671,0.008591055870056152],0],
				["lua-sheet0.png", 623495, 289, 298, 287, 286, 1, 0.5191637873649597, 0.4825174808502197,[],[-0.1723627746105194,-0.1345444917678833,-0.02084779739379883,-0.2021124958992004,0.1374022364616394,-0.1379224956035614,0.1980082392692566,0.01748251914978027,0.1340352296829224,0.1695095300674439,-0.02084779739379883,0.2336985468864441,-0.1723627746105194,0.1695095300674439,-0.2363357841968536,0.01748251914978027],0],
				["lua-sheet0.png", 623495, 862, 298, 284, 281, 1, 0.5246478915214539, 0.4733096063137054,[],[-0.1778468787670136,-0.125336617231369,-0.02633190155029297,-0.1929046213626862,0.1319181323051453,-0.1287146210670471,0.1925241351127625,0.02669039368629456,0.1285511255264282,0.1787174046039581,-0.02633190155029297,0.2429064214229584,-0.1778468787670136,0.1787174046039581,-0.2418198883533478,0.02669039368629456],0],
				["lua-sheet0.png", 623495, 859, 580, 281, 276, 1, 0.5302491188049316, 0.4637681245803833,[],[-0.1834481060504913,-0.1157951354980469,-0.03193312883377075,-0.183363139629364,0.1263169050216675,-0.119173139333725,0.1869229078292847,0.0362318754196167,0.1229498982429504,0.1882588863372803,-0.03193312883377075,0.2524479031562805,-0.1834481060504913,0.1882588863372803,-0.2474211156368256,0.0362318754196167],0]
			]
			]
		],
		[
		],
		false,
		false,
		2657606392584824,
		[],
		null
	]
,	[
		"t86",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"anime1",
			10,
			false,
			1,
			0,
			false,
			1603218773204612,
			[
				["porta-sheet1.png", 31412, 1, 1, 56, 97, 1, 0.4464285671710968, 0.5360824465751648,[],[],0],
				["porta-sheet1.png", 31412, 115, 1, 56, 96, 1, 0.4464285671710968, 0.5416666865348816,[],[],0],
				["porta-sheet2.png", 24759, 1, 1, 55, 92, 1, 0.4363636374473572, 0.5652173757553101,[],[],0],
				["porta-sheet2.png", 24759, 168, 93, 55, 89, 1, 0.4363636374473572, 0.584269642829895,[],[],0],
				["porta-sheet2.png", 24759, 57, 1, 55, 92, 1, 0.4363636374473572, 0.5652173757553101,[],[],0],
				["porta-sheet1.png", 31412, 115, 98, 56, 94, 1, 0.4464285671710968, 0.5531914830207825,[],[],0],
				["porta-sheet0.png", 33237, 190, 96, 58, 95, 1, 0.4655172526836395, 0.5473684072494507,[],[],0],
				["porta-sheet0.png", 33237, 153, 1, 69, 94, 1, 0.5507246255874634, 0.5531914830207825,[],[],0],
				["porta-sheet0.png", 33237, 1, 1, 80, 92, 1, 0.612500011920929, 0.5652173757553101,[],[],0],
				["porta-sheet0.png", 33237, 1, 94, 65, 94, 1, 0.5230769515037537, 0.5531914830207825,[],[],0],
				["porta-sheet1.png", 31412, 172, 98, 56, 94, 1, 0.4464285671710968, 0.5531914830207825,[],[],0],
				["porta-sheet2.png", 24759, 168, 1, 55, 91, 1, 0.4363636374473572, 0.5714285969734192,[],[],0],
				["porta-sheet1.png", 31412, 1, 99, 56, 93, 1, 0.4464285671710968, 0.5591397881507874,[],[],0],
				["porta-sheet0.png", 33237, 130, 96, 59, 94, 1, 0.4745762646198273, 0.5531914830207825,[],[],0],
				["porta-sheet0.png", 33237, 82, 1, 70, 94, 1, 0.5571428537368774, 0.5531914830207825,[],[],0],
				["porta-sheet0.png", 33237, 67, 96, 62, 95, 1, 0.5, 0.5473684072494507,[],[],0],
				["porta-sheet1.png", 31412, 58, 99, 55, 94, 1, 0.4363636374473572, 0.5531914830207825,[],[],0],
				["porta-sheet2.png", 24759, 113, 1, 54, 93, 1, 0.4259259402751923, 0.5591397881507874,[],[],0],
				["porta-sheet1.png", 31412, 172, 1, 55, 96, 1, 0.4363636374473572, 0.5416666865348816,[],[],0],
				["porta-sheet1.png", 31412, 58, 1, 56, 97, 1, 0.4464285671710968, 0.5360824465751648,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		6052679514821473,
		[],
		null
	]
,	[
		"t87",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"anime1",
			10,
			false,
			1,
			0,
			false,
			2550724574397896,
			[
				["perfume-sheet1.png", 31203, 215, 72, 38, 46, 1, -0.6578947305679321, 0.5,[],[0.815788745880127,-0.5,1.657894730567932,-0.5,1.657894730567932,0.5,0.6578947305679321,0.5],0],
				["perfume-sheet1.png", 31203, 140, 141, 43, 50, 1, -0.4651162922382355, 0.5400000214576721,[],[0.7209292650222778,-0.5000002384185791,1.465116262435913,-0.5200002193450928,1.465116262435913,0.4599999785423279,0.5348832011222839,0.4599999785423279],0],
				["perfume-sheet1.png", 31203, 78, 141, 61, 56, 1, -0.03278688341379166, 0.5892857313156128,[],[0.5081958770751953,-0.4464287161827087,1.032786846160889,-0.4642857313156128,1.032786846160889,0.4107142686843872,0.3770488798618317,0.4107142686843872],0],
				["perfume-sheet1.png", 31203, 1, 140, 76, 61, 1, 0.1710526347160339, 0.6229507923126221,[],[0.4078943729400635,-0.4098357856273651,0.8289473652839661,-0.4262297749519348,0.8289473652839661,0.3770492076873779,0.3026313781738281,0.3770492076873779],0],
				["perfume-sheet1.png", 31203, 1, 75, 88, 64, 1, 0.2840909063816071, 0.640625,[],[0.3522720634937286,-0.390625,0.7159091234207153,-0.40625,0.7159091234207153,0.359375,0.2613631188869476,0.359375],0],
				["perfume-sheet1.png", 31203, 116, 72, 98, 68, 1, 0.3571428656578064, 0.6617646813392639,[],[0.3163261413574219,-0.3676466941833496,0.6428571343421936,-0.3823526799678803,0.6428571343421936,0.3382353186607361,0.2346941232681274,0.3382353186607361],0],
				["perfume-sheet1.png", 31203, 116, 1, 107, 70, 1, 0.4112149477005005, 0.6714285612106323,[],[0.2897190451622009,-0.3571425676345825,0.5887850522994995,-0.3714285492897034,0.5887850522994995,0.3285714387893677,0.2149530649185181,0.3285714387893677],0],
				["perfume-sheet1.png", 31203, 1, 1, 114, 73, 1, 0.4473684132099152, 0.6849315166473389,[],[0.2719295918941498,-0.3424655199050903,0.5526316165924072,-0.3561645150184631,0.5526316165924072,0.3150684833526611,0.2017545998096466,0.3150684833526611],0],
				["perfume-sheet0.png", 32292, 134, 79, 121, 75, 1, 0.4793388545513153, 0.6933333277702332,[],[0.2561981379985809,-0.3333333134651184,0.5206611156463623,-0.3466663360595703,0.5206611156463623,0.3066666722297669,0.1900821626186371,0.3066666722297669],0],
				["perfume-sheet0.png", 32292, 129, 1, 126, 77, 1, 0.5, 0.701298713684082,[],[0.2460319995880127,-0.3246757090091705,0.5,-0.3376627266407013,0.5,0.298701286315918,0.1825399994850159,0.298701286315918],0],
				["perfume-sheet0.png", 32292, 1, 83, 132, 76, 1, 0.5227272510528565, 0.6973684430122376,[],[0.2348487377166748,-0.3289474546909332,0.4772727489471436,-0.3421054482460022,0.4772727489471436,0.3026315569877625,0.1742427349090576,0.3026315569877625],0],
				["perfume-sheet0.png", 32292, 1, 1, 127, 81, 1, 0.5039370059967041, 0.7160493731498718,[],[0.2440940141677856,-0.3086423873901367,0.4960629940032959,-0.3209873735904694,0.4960629940032959,0.2839506268501282,0.1811019778251648,0.2839506268501282],0],
				["perfume-sheet0.png", 32292, 1, 160, 127, 73, 1, 0.5039370059967041, 0.6849315166473389,[],[0.2440940141677856,-0.3424655199050903,0.4960629940032959,-0.3561645150184631,0.4960629940032959,0.3150684833526611,0.1811019778251648,0.3150684833526611],0],
				["perfume-sheet0.png", 32292, 134, 155, 121, 71, 1, 0.4793388545513153, 0.6760563254356384,[],[0.2561981379985809,-0.3521123230457306,0.5206611156463623,-0.3661973178386688,0.5206611156463623,0.3239436745643616,0.1900821626186371,0.3239436745643616],0]
			]
			]
		],
		[
		],
		false,
		false,
		1776100413983511,
		[],
		null
	]
,	[
		"t88",
		cr.plugins_.Sprite,
		false,
		[],
		1,
		0,
		null,
		[
			[
			"anime1",
			8,
			false,
			1,
			0,
			true,
			4624573220176887,
			[
				["locao-sheet0.png", 11793, 69, 1, 30, 70, 1, 0.5, 0.5,[],[],0],
				["locao-sheet0.png", 11793, 36, 1, 32, 72, 1, 0.4375, 0.5,[],[],0],
				["locao-sheet1.png", 3781, 0, 0, 30, 70, 1, 0.5, 0.5,[],[],0],
				["locao-sheet0.png", 11793, 1, 1, 34, 72, 1, 0.5882353186607361, 0.5,[],[],0]
			]
			]
		],
		[
		[
			"LiteTween",
			cr.behaviors.lunarray_LiteTween,
			8902423871902818
		]
		],
		false,
		false,
		9255638303534815,
		[],
		null
	]
,	[
		"t89",
		cr.plugins_.Sprite,
		false,
		[],
		1,
		0,
		null,
		[
			[
			"anime1",
			8,
			false,
			1,
			0,
			true,
			2713507008310083,
			[
				["creme-sheet0.png", 12495, 74, 1, 32, 67, 1, 0.46875, 0.5373134613037109,[],[],0],
				["creme-sheet0.png", 12495, 1, 1, 36, 68, 1, 0.5833333134651184, 0.5441176295280457,[],[],0],
				["creme-sheet1.png", 3981, 0, 0, 32, 67, 1, 0.46875, 0.5373134613037109,[],[],0],
				["creme-sheet0.png", 12495, 38, 1, 35, 69, 1, 0.342857152223587, 0.5362318754196167,[],[],0]
			]
			]
		],
		[
		[
			"LiteTween",
			cr.behaviors.lunarray_LiteTween,
			7129323590370293
		]
		],
		false,
		false,
		1057953636270209,
		[],
		null
	]
,	[
		"t90",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"anime1",
			5,
			false,
			1,
			0,
			false,
			7431094256994907,
			[
				["vitrola-sheet0.png", 222248, 0, 0, 381, 520, 1, 0.5013123154640198, 0.5,[],[-0.320210337638855,-0.3673080205917358,-0.05511832237243652,-0.5,0.1732286810874939,-0.4711539149284363,0.3280836939811707,0.04230797290802002,0.3438326716423035,0.2538459897041321,-0.002624303102493286,0.4923080205917358,-0.5013123154640198,0.3653839826583862,-0.5013123154640198,0.1230769753456116],0]
			]
			]
		],
		[
		],
		false,
		false,
		7529354114581601,
		[],
		null
	]
,	[
		"t91",
		cr.plugins_.Sprite,
		false,
		[],
		1,
		0,
		null,
		[
			[
			"anime1",
			15,
			true,
			1,
			0,
			false,
			7652823906597285,
			[
				["vinil-sheet0.png", 565421, 1, 1, 300, 300, 1, 0.5, 0.5,[],[],0],
				["vinil-sheet0.png", 565421, 302, 1, 300, 300, 1, 0.5, 0.5,[],[],0],
				["vinil-sheet0.png", 565421, 603, 1, 300, 300, 1, 0.5, 0.5,[],[],0],
				["vinil-sheet0.png", 565421, 1, 302, 300, 300, 1, 0.5, 0.5,[],[],0],
				["vinil-sheet0.png", 565421, 302, 302, 300, 300, 1, 0.5, 0.5,[],[],0],
				["vinil-sheet0.png", 565421, 603, 302, 300, 300, 1, 0.5, 0.5,[],[],0],
				["vinil-sheet0.png", 565421, 1, 603, 300, 300, 1, 0.5, 0.5,[],[],0],
				["vinil-sheet0.png", 565421, 302, 603, 300, 300, 1, 0.5, 0.5,[],[],0],
				["vinil-sheet0.png", 565421, 603, 603, 300, 300, 1, 0.5, 0.5,[],[],0],
				["vinil-sheet1.png", 510456, 1, 1, 300, 300, 1, 0.5, 0.5,[],[],0],
				["vinil-sheet1.png", 510456, 302, 1, 300, 300, 1, 0.5, 0.5,[],[],0],
				["vinil-sheet1.png", 510456, 603, 1, 300, 300, 1, 0.5, 0.5,[],[],0],
				["vinil-sheet1.png", 510456, 1, 302, 300, 300, 1, 0.5, 0.5,[],[],0],
				["vinil-sheet1.png", 510456, 302, 302, 300, 300, 1, 0.5, 0.5,[],[],0],
				["vinil-sheet1.png", 510456, 603, 302, 300, 300, 1, 0.5, 0.5,[],[],0],
				["vinil-sheet1.png", 510456, 1, 603, 300, 300, 1, 0.5, 0.5,[],[],0],
				["vinil-sheet1.png", 510456, 302, 603, 300, 300, 1, 0.5, 0.5,[],[],0]
			]
			]
		],
		[
		[
			"LiteTween",
			cr.behaviors.lunarray_LiteTween,
			9862214107621707
		]
		],
		false,
		false,
		2152611356048407,
		[],
		null
	]
,	[
		"t92",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"anime1",
			10,
			false,
			1,
			0,
			false,
			7095757664026479,
			[
				["agulha-sheet0.png", 41107, 1, 1, 182, 118, 1, 0.5, -0.1610169559717178,[],[],0],
				["agulha-sheet0.png", 41107, 1, 120, 183, 109, 1, 0.5027322173118591, -0.1651376187801361,[],[],0],
				["agulha-sheet0.png", 41107, 1, 230, 183, 100, 1, 0.5027322173118591, -0.1800000071525574,[],[],0],
				["agulha-sheet0.png", 41107, 1, 331, 183, 90, 1, 0.5027322173118591, -0.2000000029802322,[],[],0],
				["agulha-sheet0.png", 41107, 1, 422, 184, 83, 1, 0.5054348111152649, -0.2048192769289017,[],[],0],
				["agulha-sheet1.png", 38296, 1, 1, 184, 76, 1, 0.5054348111152649, -0.2236842066049576,[],[],0],
				["agulha-sheet1.png", 38296, 1, 78, 183, 69, 1, 0.5027322173118591, -0.2463768124580383,[],[],0],
				["agulha-sheet1.png", 38296, 1, 148, 183, 62, 1, 0.5027322173118591, -0.2580645084381104,[],[],0],
				["agulha-sheet1.png", 38296, 1, 211, 183, 55, 1, 0.5027322173118591, -0.290909081697464,[],[],0],
				["agulha-sheet1.png", 38296, 1, 267, 181, 48, 1, 0.4972375631332398, -0.3333333432674408,[],[],0]
			]
			]
,			[
			"anime2",
			10,
			false,
			1,
			0,
			false,
			7949686442784199,
			[
				["agulha-sheet1.png", 38296, 183, 267, 181, 48, 1, 0.4972375631332398, -0.3333333432674408,[],[],0],
				["agulha-sheet1.png", 38296, 185, 211, 183, 55, 1, 0.5027322173118591, -0.290909081697464,[],[],0],
				["agulha-sheet1.png", 38296, 185, 148, 183, 62, 1, 0.5027322173118591, -0.2580645084381104,[],[],0],
				["agulha-sheet1.png", 38296, 185, 78, 183, 69, 1, 0.5027322173118591, -0.2463768124580383,[],[],0],
				["agulha-sheet1.png", 38296, 186, 1, 184, 76, 1, 0.5054348111152649, -0.2236842066049576,[],[],0],
				["agulha-sheet0.png", 41107, 186, 422, 184, 83, 1, 0.5054348111152649, -0.2048192769289017,[],[],0],
				["agulha-sheet0.png", 41107, 185, 331, 183, 90, 1, 0.5027322173118591, -0.2000000029802322,[],[],0],
				["agulha-sheet0.png", 41107, 185, 230, 183, 100, 1, 0.5027322173118591, -0.1800000071525574,[],[],0],
				["agulha-sheet0.png", 41107, 185, 120, 183, 109, 1, 0.5027322173118591, -0.1651376187801361,[],[],0],
				["agulha-sheet0.png", 41107, 184, 1, 182, 118, 1, 0.5, -0.1610169559717178,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		5496519521287747,
		[],
		null
	]
,	[
		"t93",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"anime1",
			10,
			false,
			1,
			0,
			false,
			8457859470101188,
			[
				["nota1-sheet0.png", 215028, 1971, 1, 38, 42, 1, 0.5, 0.4761904776096344,[],[],0],
				["nota1-sheet0.png", 215028, 1, 1, 320, 420, 1, 0.765625, 0.7309523820877075,[],[],0],
				["nota1-sheet0.png", 215028, 322, 1, 320, 420, 1, 0.765625, 0.7309523820877075,[],[],0],
				["nota1-sheet0.png", 215028, 643, 1, 320, 420, 1, 0.765625, 0.7309523820877075,[],[],0],
				["nota1-sheet0.png", 215028, 964, 1, 320, 420, 1, 0.765625, 0.7309523820877075,[],[],0],
				["nota1-sheet0.png", 215028, 1285, 1, 320, 420, 1, 0.765625, 0.7309523820877075,[],[],0],
				["nota1-sheet0.png", 215028, 1606, 1, 320, 420, 1, 0.765625, 0.7309523820877075,[],[],0],
				["nota1-sheet0.png", 215028, 1, 422, 320, 420, 1, 0.765625, 0.7309523820877075,[],[],0],
				["nota1-sheet0.png", 215028, 322, 422, 320, 420, 1, 0.765625, 0.7309523820877075,[],[],0],
				["nota1-sheet0.png", 215028, 643, 422, 320, 420, 1, 0.765625, 0.7309523820877075,[],[],0],
				["nota1-sheet0.png", 215028, 964, 422, 320, 420, 1, 0.765625, 0.7309523820877075,[],[],0],
				["nota1-sheet0.png", 215028, 1285, 422, 320, 420, 1, 0.765625, 0.7309523820877075,[],[],0],
				["nota1-sheet0.png", 215028, 1606, 422, 320, 420, 1, 0.765625, 0.7309523820877075,[],[],0],
				["nota1-sheet0.png", 215028, 1, 843, 320, 420, 1, 0.765625, 0.7309523820877075,[],[],0],
				["nota1-sheet0.png", 215028, 322, 843, 320, 420, 1, 0.765625, 0.7309523820877075,[],[],0],
				["nota1-sheet0.png", 215028, 643, 843, 320, 420, 1, 0.765625, 0.7309523820877075,[],[],0],
				["nota1-sheet0.png", 215028, 964, 843, 320, 420, 1, 0.765625, 0.7309523820877075,[],[],0],
				["nota1-sheet0.png", 215028, 1285, 843, 320, 420, 1, 0.765625, 0.7309523820877075,[],[],0],
				["nota1-sheet0.png", 215028, 1606, 843, 320, 420, 1, 0.765625, 0.7309523820877075,[],[],0],
				["nota1-sheet0.png", 215028, 1, 1264, 320, 420, 1, 0.765625, 0.7309523820877075,[],[],0]
			]
			]
,			[
			"anime2",
			10,
			false,
			1,
			0,
			false,
			4814316500138412,
			[
				["nota1-sheet0.png", 215028, 1927, 1, 43, 41, 1, 0.395348846912384, 0.1463414579629898,[],[],0],
				["nota1-sheet0.png", 215028, 322, 1264, 320, 420, 1, 0.765625, 0.7309523820877075,[],[],0],
				["nota1-sheet0.png", 215028, 643, 1264, 320, 420, 1, 0.765625, 0.7309523820877075,[],[],0],
				["nota1-sheet0.png", 215028, 964, 1264, 320, 420, 1, 0.765625, 0.7309523820877075,[],[],0],
				["nota1-sheet0.png", 215028, 1285, 1264, 320, 420, 1, 0.765625, 0.7309523820877075,[],[],0],
				["nota1-sheet0.png", 215028, 1606, 1264, 320, 420, 1, 0.765625, 0.7309523820877075,[],[],0],
				["nota1-sheet1.png", 45349, 1, 1, 320, 420, 1, 0.765625, 0.7309523820877075,[],[],0],
				["nota1-sheet1.png", 45349, 322, 1, 320, 420, 1, 0.765625, 0.7309523820877075,[],[],0],
				["nota1-sheet1.png", 45349, 643, 1, 320, 420, 1, 0.765625, 0.7309523820877075,[],[],0],
				["nota1-sheet1.png", 45349, 1, 422, 320, 420, 1, 0.765625, 0.7309523820877075,[],[],0],
				["nota1-sheet1.png", 45349, 322, 422, 320, 420, 1, 0.765625, 0.7309523820877075,[],[],0],
				["nota1-sheet1.png", 45349, 643, 422, 320, 420, 1, 0.765625, 0.7309523820877075,[],[],0],
				["nota1-sheet2.png", 63182, 1, 1, 320, 420, 1, 0.765625, 0.7309523820877075,[],[],0],
				["nota1-sheet2.png", 63182, 322, 1, 320, 420, 1, 0.765625, 0.7309523820877075,[],[],0],
				["nota1-sheet2.png", 63182, 643, 1, 320, 420, 1, 0.765625, 0.7309523820877075,[],[],0],
				["nota1-sheet2.png", 63182, 1, 422, 320, 420, 1, 0.765625, 0.7309523820877075,[],[],0],
				["nota1-sheet2.png", 63182, 322, 422, 320, 420, 1, 0.765625, 0.7309523820877075,[],[],0],
				["nota1-sheet2.png", 63182, 643, 422, 320, 420, 1, 0.765625, 0.7309523820877075,[],[],0],
				["nota1-sheet3.png", 11819, 1, 1, 320, 420, 1, 0.765625, 0.7309523820877075,[],[],0],
				["nota1-sheet3.png", 11819, 322, 1, 320, 420, 1, 0.765625, 0.7309523820877075,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		6479722986637962,
		[],
		null
	]
,	[
		"t94",
		cr.plugins_.Sprite,
		false,
		[3365396636029313],
		3,
		0,
		null,
		[
			[
			"anime1",
			7,
			true,
			1,
			0,
			true,
			4443815129513086,
			[
				["gato-sheet0.png", 136570, 1, 204, 82, 91, 1, 0.4024390280246735, 0.3296703398227692,[],[],0],
				["gato-sheet1.png", 184990, 141, 1, 81, 91, 1, 0.4074074029922485, 0.3296703398227692,[],[],0],
				["gato-sheet1.png", 184990, 349, 107, 80, 91, 1, 0.4124999940395355, 0.3296703398227692,[],[],0],
				["gato-sheet1.png", 184990, 357, 305, 79, 91, 1, 0.4177215099334717, 0.3296703398227692,[],[],0],
				["gato-sheet1.png", 184990, 424, 413, 77, 91, 1, 0.4285714328289032, 0.3296703398227692,[],[],0],
				["gato-sheet1.png", 184990, 1, 419, 77, 90, 1, 0.4285714328289032, 0.3222222328186035,[],[],0],
				["gato-sheet1.png", 184990, 204, 420, 75, 91, 1, 0.4399999976158142, 0.3296703398227692,[],[],0],
				["gato-sheet1.png", 184990, 280, 420, 74, 91, 1, 0.4459459483623505, 0.3296703398227692,[],[],0],
				["gato-sheet2.png", 12984, 1, 1, 73, 91, 1, 0.4520547986030579, 0.3296703398227692,[],[],0],
				["gato-sheet2.png", 12984, 75, 1, 72, 91, 1, 0.4583333432674408, 0.3296703398227692,[],[],0]
			]
			]
,			[
			"anime2",
			50,
			false,
			1,
			0,
			false,
			2840568368678192,
			[
				["gato-sheet1.png", 184990, 430, 107, 80, 91, 1, 0.4124999940395355, 0.3296703398227692,[],[],0],
				["gato-sheet1.png", 184990, 223, 1, 80, 92, 1, 0.4124999940395355, 0.3369565308094025,[],[],0],
				["gato-sheet0.png", 136570, 1, 296, 80, 93, 1, 0.4124999940395355, 0.3440860211849213,[],[],0],
				["gato-sheet0.png", 136570, 163, 304, 79, 94, 1, 0.4050633013248444, 0.3510638177394867,[],[],0],
				["gato-sheet0.png", 136570, 81, 398, 78, 95, 1, 0.410256415605545, 0.3578947484493256,[],[],0],
				["gato-sheet0.png", 136570, 301, 198, 78, 96, 1, 0.410256415605545, 0.3645833432674408,[],[],0],
				["gato-sheet0.png", 136570, 315, 1, 78, 97, 1, 0.410256415605545, 0.3711340129375458,[],[],0],
				["gato-sheet0.png", 136570, 1, 1, 78, 98, 1, 0.410256415605545, 0.3775510191917419,[],[],0],
				["gato-sheet0.png", 136570, 315, 99, 77, 98, 1, 0.4155844151973724, 0.3775510191917419,[],[],0],
				["gato-sheet0.png", 136570, 159, 1, 77, 99, 1, 0.4155844151973724, 0.3838383853435516,[],[],0],
				["gato-sheet0.png", 136570, 149, 101, 75, 100, 1, 0.4133333265781403, 0.3899999856948853,[],[],0],
				["gato-sheet0.png", 136570, 149, 202, 74, 101, 1, 0.4189189076423645, 0.396039605140686,[],[],0],
				["gato-sheet0.png", 136570, 299, 295, 73, 102, 1, 0.4246575236320496, 0.4019607901573181,[],[],0],
				["gato-sheet0.png", 136570, 1, 100, 73, 103, 1, 0.4246575236320496, 0.4077669978141785,[],[],0],
				["gato-sheet0.png", 136570, 322, 398, 71, 104, 1, 0.4225352108478546, 0.4134615361690521,[],[],0],
				["gato-sheet1.png", 184990, 385, 1, 70, 105, 1, 0.4428571462631226, 0.419047623872757,[],[],0],
				["gato-sheet1.png", 184990, 349, 199, 69, 105, 1, 0.4492753744125366, 0.419047623872757,[],[],0],
				["gato-sheet1.png", 184990, 219, 204, 68, 106, 1, 0.455882340669632, 0.4245283007621765,[],[],0],
				["gato-sheet1.png", 184990, 437, 305, 67, 107, 1, 0.4626865684986115, 0.4299065470695496,[],[],0],
				["gato-sheet1.png", 184990, 1, 310, 66, 108, 1, 0.469696968793869, 0.4351851940155029,[],[],0]
			]
			]
,			[
			"anime2b",
			140,
			false,
			1,
			0,
			false,
			2147134469992236,
			[
				["gato-sheet1.png", 184990, 219, 311, 66, 108, 1, 0.469696968793869, 0.4351851940155029,[],[],0],
				["gato-sheet1.png", 184990, 69, 307, 67, 107, 1, 0.4626865684986115, 0.4299065470695496,[],[],0],
				["gato-sheet1.png", 184990, 288, 305, 68, 106, 1, 0.455882340669632, 0.4245283007621765,[],[],0],
				["gato-sheet1.png", 184990, 419, 199, 69, 105, 1, 0.4492753744125366, 0.419047623872757,[],[],0],
				["gato-sheet1.png", 184990, 141, 93, 70, 105, 1, 0.4428571462631226, 0.419047623872757,[],[],0],
				["gato-sheet0.png", 136570, 394, 398, 71, 104, 1, 0.4225352108478546, 0.4134615361690521,[],[],0],
				["gato-sheet0.png", 136570, 75, 100, 73, 103, 1, 0.4246575236320496, 0.4077669978141785,[],[],0],
				["gato-sheet0.png", 136570, 373, 295, 73, 102, 1, 0.4246575236320496, 0.4019607901573181,[],[],0],
				["gato-sheet0.png", 136570, 224, 202, 74, 101, 1, 0.4189189076423645, 0.396039605140686,[],[],0],
				["gato-sheet0.png", 136570, 225, 101, 75, 100, 1, 0.4133333265781403, 0.3899999856948853,[],[],0],
				["gato-sheet0.png", 136570, 237, 1, 77, 99, 1, 0.4155844151973724, 0.3838383853435516,[],[],0],
				["gato-sheet0.png", 136570, 393, 99, 77, 98, 1, 0.4155844151973724, 0.3775510191917419,[],[],0],
				["gato-sheet0.png", 136570, 80, 1, 78, 98, 1, 0.410256415605545, 0.3775510191917419,[],[],0],
				["gato-sheet0.png", 136570, 394, 1, 78, 97, 1, 0.410256415605545, 0.3711340129375458,[],[],0],
				["gato-sheet0.png", 136570, 380, 198, 78, 96, 1, 0.410256415605545, 0.3645833432674408,[],[],0],
				["gato-sheet0.png", 136570, 243, 398, 78, 95, 1, 0.410256415605545, 0.3578947484493256,[],[],0],
				["gato-sheet0.png", 136570, 1, 390, 79, 94, 1, 0.4050633013248444, 0.3510638177394867,[],[],0],
				["gato-sheet0.png", 136570, 82, 304, 80, 93, 1, 0.4124999940395355, 0.3440860211849213,[],[],0],
				["gato-sheet1.png", 184990, 304, 1, 80, 92, 1, 0.4124999940395355, 0.3369565308094025,[],[],0],
				["gato-sheet1.png", 184990, 1, 109, 80, 91, 1, 0.4124999940395355, 0.3296703398227692,[],[],0]
			]
			]
,			[
			"anime3",
			16,
			true,
			1,
			0,
			true,
			1098993107977014,
			[
				["gato-sheet1.png", 184990, 137, 312, 66, 108, 1, 0.469696968793869, 0.4351851940155029,[],[],0],
				["gato-sheet1.png", 184990, 357, 397, 66, 108, 1, 0.469696968793869, 0.4351851940155029,[],[],0],
				["gato-sheet1.png", 184990, 1, 201, 67, 108, 1, 0.4626865684986115, 0.4351851940155029,[],[],0],
				["gato-sheet1.png", 184990, 281, 94, 67, 109, 1, 0.4626865684986115, 0.4403669834136963,[],[],0],
				["gato-sheet1.png", 184990, 151, 203, 67, 108, 1, 0.4626865684986115, 0.4444444477558136,[],[],0],
				["gato-sheet1.png", 184990, 212, 94, 68, 108, 1, 0.455882340669632, 0.4444444477558136,[],[],0],
				["gato-sheet1.png", 184990, 82, 199, 68, 107, 1, 0.455882340669632, 0.4392523467540741,[],[],0],
				["gato-sheet0.png", 136570, 160, 399, 69, 107, 1, 0.4492753744125366, 0.4392523467540741,[],[],0],
				["gato-sheet1.png", 184990, 1, 1, 69, 107, 1, 0.4492753744125366, 0.4392523467540741,[],[],0],
				["gato-sheet1.png", 184990, 71, 1, 69, 107, 1, 0.4492753744125366, 0.4392523467540741,[],[],0]
			]
			]
		],
		[
		[
			"DragDrop",
			cr.behaviors.DragnDrop,
			4626559610961421
		]
,		[
			"CustomMovement",
			cr.behaviors.custom,
			8892580728395785
		]
,		[
			"Solid",
			cr.behaviors.solid,
			178338954963693
		]
		],
		false,
		false,
		5058502840479385,
		[],
		null
	]
,	[
		"t95",
		cr.plugins_.Sprite,
		false,
		[],
		1,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			1787510148683735,
			[
				["chao-sheet0.png", 155, 0, 0, 250, 250, 1, 0.5, 0.5,[],[],1]
			]
			]
		],
		[
		[
			"Solid",
			cr.behaviors.solid,
			5221793398476624
		]
		],
		false,
		false,
		781613766127193,
		[],
		null
	]
,	[
		"t96",
		cr.plugins_.Sprite,
		false,
		[],
		2,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			9194922952107167,
			[
				["gatocolide-sheet0.png", 155, 0, 0, 250, 250, 1, 0.5, 0.5,[],[],1]
			]
			]
		],
		[
		[
			"Pin",
			cr.behaviors.Pin,
			3698980231203344
		]
,		[
			"Solid",
			cr.behaviors.solid,
			2079539490421246
		]
		],
		false,
		false,
		4679338813178118,
		[],
		null
	]
,	[
		"t97",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"anime1",
			12,
			false,
			1,
			0,
			false,
			2587943797985911,
			[
				["caixa-sheet0.png", 636240, 748, 697, 101, 101, 1, 0.5346534848213196, -0.1584158390760422,[],[],0],
				["caixa-sheet0.png", 636240, 1, 697, 101, 109, 1, 0.5346534848213196, -0.07339449226856232,[],[],0],
				["caixa-sheet0.png", 636240, 407, 696, 101, 118, 1, 0.5346534848213196, 0.008474576286971569,[],[],0],
				["caixa-sheet0.png", 636240, 203, 694, 101, 126, 1, 0.5346534848213196, 0.0714285746216774,[],[],0],
				["caixa-sheet0.png", 636240, 646, 560, 101, 135, 1, 0.5346534848213196, 0.1333333402872086,[],[],0],
				["caixa-sheet0.png", 636240, 344, 552, 100, 143, 1, 0.5299999713897705, 0.1818181872367859,[],[],0],
				["caixa-sheet0.png", 636240, 546, 393, 100, 152, 1, 0.5299999713897705, 0.2302631586790085,[],[],0],
				["caixa-sheet0.png", 636240, 445, 393, 100, 160, 1, 0.5299999713897705, 0.268750011920929,[],[],0],
				["caixa-sheet0.png", 636240, 243, 384, 100, 169, 1, 0.5299999713897705, 0.3076923191547394,[],[],0],
				["caixa-sheet0.png", 636240, 1, 557, 99, 122, 1, 0.5252525210380554, 0.04098360612988472,[],[],0],
				["caixa-sheet0.png", 636240, 445, 554, 99, 133, 1, 0.5252525210380554, 0.120300754904747,[],[],0],
				["caixa-sheet0.png", 636240, 101, 553, 101, 143, 1, 0.5346534848213196, 0.1818181872367859,[],[],0],
				["caixa-sheet0.png", 636240, 881, 390, 105, 153, 1, 0.5428571701049805, 0.2352941185235977,[],[],0],
				["caixa-sheet0.png", 636240, 1, 223, 110, 163, 1, 0.5363636612892151, 0.2822085916996002,[],[],0],
				["caixa-sheet0.png", 636240, 267, 211, 114, 172, 1, 0.5350877046585083, 0.3197674453258514,[],[],0],
				["caixa-sheet0.png", 636240, 396, 205, 118, 181, 1, 0.5338982939720154, 0.3535911738872528,[],[],0],
				["caixa-sheet0.png", 636240, 781, 1, 121, 189, 1, 0.5289255976676941, 0.380952388048172,[],[],0],
				["caixa-sheet0.png", 636240, 655, 1, 125, 198, 1, 0.5279999971389771, 0.4090909063816071,[],[],0],
				["caixa-sheet0.png", 636240, 527, 1, 127, 206, 1, 0.5275590419769287, 0.4320388436317444,[],[],0],
				["caixa-sheet0.png", 636240, 135, 1, 131, 213, 1, 0.5267175436019898, 0.4507042169570923,[],[],0],
				["caixa-sheet0.png", 636240, 1, 1, 133, 221, 1, 0.5263158082962036, 0.4705882370471954,[],[],0],
				["caixa-sheet0.png", 636240, 267, 1, 128, 209, 1, 0.4921875, 0.440191388130188,[],[],0],
				["caixa-sheet0.png", 636240, 396, 1, 130, 203, 1, 0.4923076927661896, 0.4236453175544739,[],[],0],
				["caixa-sheet0.png", 636240, 903, 1, 103, 209, 1, 0.5048543810844421, 0.440191388130188,[],[],0],
				["caixa-sheet0.png", 636240, 655, 200, 104, 206, 1, 0.5, 0.4320388436317444,[],[],0],
				["caixa-sheet0.png", 636240, 135, 215, 107, 172, 1, 0.4953271150588989, 0.3197674453258514,[],[],0],
				["caixa-sheet0.png", 636240, 881, 211, 110, 178, 1, 0.4909090995788574, 0.3426966369152069,[],[],0],
				["caixa-sheet0.png", 636240, 515, 208, 112, 184, 1, 0.4910714328289032, 0.364130437374115,[],[],0],
				["caixa-sheet0.png", 636240, 101, 388, 99, 164, 1, 0.5252525210380554, 0.2865853607654572,[],[],0],
				["caixa-sheet0.png", 636240, 1, 387, 99, 169, 1, 0.5252525210380554, 0.3076923191547394,[],[],0],
				["caixa-sheet0.png", 636240, 781, 191, 99, 217, 1, 0.5252525210380554, 0.2304147481918335,[],[],0],
				["caixa-sheet0.png", 636240, 848, 544, 99, 152, 1, 0.5252525210380554, 0.2302631586790085,[],[],0],
				["caixa-sheet0.png", 636240, 546, 546, 99, 151, 1, 0.5252525210380554, 0.2251655608415604,[],[],0],
				["caixa-sheet0.png", 636240, 748, 409, 99, 153, 1, 0.5252525210380554, 0.2352941185235977,[],[],0],
				["caixa-sheet0.png", 636240, 344, 387, 100, 164, 1, 0.5299999713897705, 0.2865853607654572,[],[],0],
				["caixa-sheet0.png", 636240, 647, 407, 100, 152, 1, 0.5299999713897705, 0.2302631586790085,[],[],0],
				["caixa-sheet0.png", 636240, 203, 554, 101, 139, 1, 0.5346534848213196, 0.158273383975029,[],[],0],
				["caixa-sheet0.png", 636240, 305, 696, 101, 126, 1, 0.5346534848213196, 0.0714285746216774,[],[],0],
				["caixa-sheet0.png", 636240, 646, 696, 101, 113, 1, 0.5346534848213196, -0.03539822995662689,[],[],0],
				["caixa-sheet0.png", 636240, 850, 697, 101, 101, 1, 0.5346534848213196, -0.1584158390760422,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		1942773938236502,
		[],
		null
	]
,	[
		"t98",
		cr.plugins_.Sprite,
		false,
		[8439577155162164],
		0,
		0,
		null,
		[
			[
			"anime1",
			8,
			true,
			1,
			0,
			false,
			7719363324373124,
			[
				["nanaperna-sheet0.png", 297025, 469, 655, 233, 92, 1, 0.1845493614673615, -0.08695652335882187,[],[],0],
				["nanaperna-sheet0.png", 297025, 469, 558, 233, 96, 1, 0.1845493614673615, -0.0416666679084301,[],[],0],
				["nanaperna-sheet0.png", 297025, 1, 555, 233, 107, 1, 0.1845493614673615, 0.06542056053876877,[],[],0],
				["nanaperna-sheet0.png", 297025, 703, 552, 233, 116, 1, 0.1845493614673615, 0.1379310339689255,[],[],0],
				["nanaperna-sheet0.png", 297025, 1, 430, 233, 124, 1, 0.1845493614673615, 0.1935483813285828,[],[],0],
				["nanaperna-sheet0.png", 297025, 469, 426, 233, 131, 1, 0.1845493614673615, 0.2366412281990051,[],[],0],
				["nanaperna-sheet0.png", 297025, 469, 289, 233, 136, 1, 0.1845493614673615, 0.2647058963775635,[],[],0],
				["nanaperna-sheet0.png", 297025, 1, 289, 233, 140, 1, 0.1845493614673615, 0.2857142984867096,[],[],0],
				["nanaperna-sheet0.png", 297025, 1, 1, 233, 143, 1, 0.1845493614673615, 0.3006992936134338,[],[],0],
				["nanaperna-sheet0.png", 297025, 235, 1, 233, 143, 1, 0.1845493614673615, 0.3006992936134338,[],[],0],
				["nanaperna-sheet0.png", 297025, 469, 1, 233, 143, 1, 0.1845493614673615, 0.3006992936134338,[],[],0],
				["nanaperna-sheet0.png", 297025, 703, 1, 233, 143, 1, 0.1845493614673615, 0.3006992936134338,[],[],0],
				["nanaperna-sheet0.png", 297025, 703, 145, 233, 142, 1, 0.1845493614673615, 0.2957746386528015,[],[],0],
				["nanaperna-sheet0.png", 297025, 1, 145, 233, 143, 1, 0.1845493614673615, 0.3006992936134338,[],[],0],
				["nanaperna-sheet0.png", 297025, 235, 145, 233, 143, 1, 0.1845493614673615, 0.3006992936134338,[],[],0],
				["nanaperna-sheet0.png", 297025, 469, 145, 233, 143, 1, 0.1845493614673615, 0.3006992936134338,[],[],0],
				["nanaperna-sheet0.png", 297025, 703, 288, 233, 142, 1, 0.1845493614673615, 0.2957746386528015,[],[],0],
				["nanaperna-sheet0.png", 297025, 235, 289, 233, 137, 1, 0.1845493614673615, 0.2700729966163635,[],[],0],
				["nanaperna-sheet0.png", 297025, 235, 427, 233, 130, 1, 0.1845493614673615, 0.2307692319154739,[],[],0],
				["nanaperna-sheet0.png", 297025, 703, 431, 233, 120, 1, 0.1845493614673615, 0.1666666716337204,[],[],0],
				["nanaperna-sheet0.png", 297025, 235, 558, 233, 107, 1, 0.1845493614673615, 0.06542056053876877,[],[],0],
				["nanaperna-sheet0.png", 297025, 1, 663, 233, 92, 1, 0.1845493614673615, -0.08695652335882187,[],[],0],
				["nanaperna-sheet0.png", 297025, 235, 666, 233, 92, 1, 0.1845493614673615, -0.08695652335882187,[],[],0],
				["nanaperna-sheet0.png", 297025, 703, 669, 233, 92, 1, 0.1845493614673615, -0.08695652335882187,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		9499271670048363,
		[],
		null
	]
,	[
		"t99",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"anime1",
			8,
			true,
			1,
			0,
			false,
			8411810917282083,
			[
				["nanacorpo-sheet0.png", 243077, 1, 1, 172, 194, 1, 1.075581431388855, 0.4948453605175018,[],[],0],
				["nanacorpo-sheet0.png", 243077, 1, 391, 172, 193, 1, 1.075581431388855, 0.49740931391716,[],[],0],
				["nanacorpo-sheet0.png", 243077, 172, 585, 172, 192, 1, 1.075581431388855, 0.5,[],[],0],
				["nanacorpo-sheet0.png", 243077, 345, 585, 172, 192, 1, 1.075581431388855, 0.5,[],[],0],
				["nanacorpo-sheet0.png", 243077, 518, 585, 172, 192, 1, 1.075581431388855, 0.5,[],[],0],
				["nanacorpo-sheet0.png", 243077, 691, 588, 172, 192, 1, 1.075581431388855, 0.5,[],[],0],
				["nanacorpo-sheet0.png", 243077, 172, 778, 172, 192, 1, 1.075581431388855, 0.5,[],[],0],
				["nanacorpo-sheet0.png", 243077, 345, 778, 172, 192, 1, 1.075581431388855, 0.5,[],[],0],
				["nanacorpo-sheet0.png", 243077, 518, 778, 172, 192, 1, 1.075581431388855, 0.5,[],[],0],
				["nanacorpo-sheet0.png", 243077, 691, 781, 172, 192, 1, 1.075581431388855, 0.5,[],[],0],
				["nanacorpo-sheet1.png", 189416, 1, 1, 172, 192, 1, 1.075581431388855, 0.5,[],[],0],
				["nanacorpo-sheet0.png", 243077, 174, 391, 172, 193, 1, 1.075581431388855, 0.49740931391716,[],[],0],
				["nanacorpo-sheet0.png", 243077, 174, 1, 172, 194, 1, 1.075581431388855, 0.4948453605175018,[],[],0],
				["nanacorpo-sheet0.png", 243077, 347, 391, 172, 193, 1, 1.075581431388855, 0.49740931391716,[],[],0],
				["nanacorpo-sheet1.png", 189416, 174, 1, 172, 192, 1, 1.075581431388855, 0.5,[],[],0],
				["nanacorpo-sheet1.png", 189416, 347, 1, 172, 192, 1, 1.075581431388855, 0.5,[],[],0],
				["nanacorpo-sheet1.png", 189416, 520, 1, 172, 192, 1, 1.075581431388855, 0.5,[],[],0],
				["nanacorpo-sheet1.png", 189416, 693, 1, 172, 192, 1, 1.075581431388855, 0.5,[],[],0],
				["nanacorpo-sheet1.png", 189416, 1, 194, 172, 192, 1, 1.075581431388855, 0.5,[],[],0],
				["nanacorpo-sheet1.png", 189416, 174, 194, 172, 192, 1, 1.075581431388855, 0.5,[],[],0],
				["nanacorpo-sheet1.png", 189416, 347, 194, 172, 192, 1, 1.075581431388855, 0.5,[],[],0],
				["nanacorpo-sheet1.png", 189416, 520, 194, 172, 192, 1, 1.075581431388855, 0.5,[],[],0],
				["nanacorpo-sheet1.png", 189416, 693, 194, 172, 192, 1, 1.075581431388855, 0.5,[],[],0],
				["nanacorpo-sheet0.png", 243077, 520, 391, 172, 193, 1, 1.075581431388855, 0.49740931391716,[],[],0]
			]
			]
,			[
			"anime2",
			8,
			false,
			1,
			0,
			false,
			4753552789634699,
			[
				["nanacorpo-sheet0.png", 243077, 347, 1, 172, 194, 1, 1.075581431388855, 0.4948453605175018,[],[],0],
				["nanacorpo-sheet0.png", 243077, 520, 1, 172, 194, 1, 1.075581431388855, 0.4948453605175018,[],[],0],
				["nanacorpo-sheet0.png", 243077, 693, 392, 170, 195, 1, 1.076470613479614, 0.4974358975887299,[],[],0],
				["nanacorpo-sheet0.png", 243077, 1, 781, 169, 195, 1, 1.076923131942749, 0.4974358975887299,[],[],0],
				["nanacorpo-sheet1.png", 189416, 340, 387, 167, 195, 1, 1.077844262123108, 0.4974358975887299,[],[],0],
				["nanacorpo-sheet1.png", 189416, 844, 387, 165, 194, 1, 1.078787922859192, 0.4948453605175018,[],[],0],
				["nanacorpo-sheet1.png", 189416, 508, 387, 167, 195, 1, 1.077844262123108, 0.4974358975887299,[],[],0],
				["nanacorpo-sheet1.png", 189416, 676, 387, 167, 195, 1, 1.077844262123108, 0.4974358975887299,[],[],0],
				["nanacorpo-sheet1.png", 189416, 171, 387, 168, 195, 1, 1.077380895614624, 0.4974358975887299,[],[],0],
				["nanacorpo-sheet1.png", 189416, 1, 387, 169, 195, 1, 1.076923131942749, 0.4974358975887299,[],[],0],
				["nanacorpo-sheet0.png", 243077, 1, 585, 170, 195, 1, 1.076470613479614, 0.4974358975887299,[],[],0],
				["nanacorpo-sheet0.png", 243077, 693, 196, 171, 195, 1, 1.07602334022522, 0.4974358975887299,[],[],0],
				["nanacorpo-sheet0.png", 243077, 693, 1, 172, 194, 1, 1.075581431388855, 0.4948453605175018,[],[],0],
				["nanacorpo-sheet0.png", 243077, 1, 196, 172, 194, 1, 1.075581431388855, 0.4948453605175018,[],[],0],
				["nanacorpo-sheet0.png", 243077, 174, 196, 172, 194, 1, 1.075581431388855, 0.4948453605175018,[],[],0],
				["nanacorpo-sheet0.png", 243077, 347, 196, 172, 194, 1, 1.075581431388855, 0.4948453605175018,[],[],0],
				["nanacorpo-sheet0.png", 243077, 520, 196, 172, 194, 1, 1.075581431388855, 0.4948453605175018,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		7055866661608829,
		[],
		null
	]
,	[
		"t100",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			3737829980908277,
			[
				["sprite-sheet0.png", 37315, 0, 0, 142, 142, 1, 0.5, 0.5,[],[],1]
			]
			]
		],
		[
		],
		false,
		false,
		9937820404784153,
		[],
		null
	]
,	[
		"t101",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			1676054626953435,
			[
				["areaquadro-sheet0.png", 3439, 0, 0, 513, 276, 1, 0.5009746551513672, 0.5,[],[-0.4844054579734802,-0.4692029058933258,0.4990253448486328,-0.4963768124580383,0.4288493394851685,-0.1195650100708008,0.2884983420372009,-0.1123189926147461,0.1432753205299377,0.2572460174560547,0.1306033730506897,0.4963769912719727,-0.2300196588039398,0.5],0]
			]
			]
		],
		[
		],
		false,
		false,
		1511681231420882,
		[],
		null
	]
,	[
		"t102",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			6157379892539593,
			[
				["maskcama-sheet0.png", 39743, 0, 0, 187, 218, 1, 0.5026738047599793, 0.5,[],[-0.1818177998065949,-0.2247709929943085,-0.00534781813621521,-0.2935779988765717,0.1390371918678284,-0.1926609873771668,0.3529412150382996,0,0.4973261952400208,0.5,-0.00534781813621521,0.5,-0.368983805179596,0.3853210210800171],0]
			]
			]
		],
		[
		],
		false,
		false,
		5531259550792249,
		[],
		null
	]
,	[
		"t103",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			937469953172525,
			[
				["diaicon-sheet0.png", 7523, 0, 0, 83, 74, 1, 0.5060241222381592, 0.5,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		6408421094542211,
		[],
		null
	]
,	[
		"t104",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			5167856525611737,
			[
				["noiteicon-sheet0.png", 3609, 0, 0, 46, 74, 1, 0.5, 0.5,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		1069778190352566,
		[],
		null
	]
,	[
		"t105",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			6051590297363603,
			[
				["setinha-sheet0.png", 1157, 0, 0, 27, 34, 1, 0.7037037014961243, 0.7352941036224365,[],[-0.4444447159767151,-0.5294120907783508,-0.2222227156162262,-0.5294120907783508,-0.0740736722946167,-0.4411761164665222,-0.0740736722946167,-0.2352941036224365,0.07407426834106445,0.08823490142822266,-0.2222227156162262,-0.1470590829849243,-0.1851847171783447,-0.1470590829849243,-0.2592597007751465,-0.2352941036224365],0]
			]
			]
		],
		[
		],
		false,
		false,
		1198533958740151,
		[],
		null
	]
,	[
		"t106",
		cr.plugins_.Sprite,
		false,
		[],
		1,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			8432149344010749,
			[
				["fade-sheet0.png", 155, 0, 0, 250, 250, 1, 0.5, 0.5,[],[],1]
			]
			]
		],
		[
		[
			"Fade",
			cr.behaviors.Fade,
			7997284259783493
		]
		],
		false,
		false,
		4749079542124785,
		[],
		null
	]
,	[
		"t107",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"anime1",
			5,
			false,
			1,
			0,
			false,
			9840337744882056,
			[
				["btnaudio-sheet0.png", 1023, 0, 0, 50, 50, 1, 0.5, 0.5,[],[],0]
			]
			]
,			[
			"anime2",
			5,
			false,
			1,
			0,
			false,
			3361583107333716,
			[
				["btnaudio-sheet1.png", 1018, 0, 0, 50, 50, 1, 0.5, 0.5,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		9348554138313756,
		[],
		null
	]
,	[
		"t108",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			2089744252741612,
			[
				["menu-sheet0.png", 768, 0, 0, 50, 50, 1, 0.5, 0.5,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		3390549900599593,
		[],
		null
	]
,	[
		"t109",
		cr.plugins_.Sprite,
		false,
		[],
		0,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			1713325369638502,
			[
				["replay-sheet0.png", 1108, 0, 0, 50, 50, 1, 0.5, 0.5,[],[],0]
			]
			]
		],
		[
		],
		false,
		false,
		7242843958502407,
		[],
		null
	]
,	[
		"t110",
		cr.plugins_.Sprite,
		false,
		[],
		1,
		0,
		null,
		[
			[
			"Default",
			5,
			false,
			1,
			0,
			false,
			3352142030373793,
			[
				["transito-sheet0.png", 155, 0, 0, 250, 250, 1, 0.5, 0.5,[],[],1]
			]
			]
		],
		[
		[
			"Pin",
			cr.behaviors.Pin,
			3338245352361438
		]
		],
		false,
		false,
		8165618736974315,
		[],
		null
	]
,	[
		"t111",
		cr.plugins_.TiledBg,
		false,
		[],
		0,
		0,
		["bgpreloader.png", 776495, 1],
		null,
		[
		],
		false,
		false,
		4965559185096872,
		[],
		null
	]
,	[
		"t112",
		cr.plugins_.Sprite,
		true,
		[],
		0,
		0,
		null,
		null,
		[
		],
		false,
		false,
		75239999821734,
		[],
		null
	]
,	[
		"t113",
		cr.plugins_.Sprite,
		true,
		[],
		0,
		0,
		null,
		null,
		[
		],
		false,
		false,
		1106729109821891,
		[],
		null
	]
,	[
		"t114",
		cr.plugins_.Sprite,
		true,
		[],
		0,
		0,
		null,
		null,
		[
		],
		false,
		false,
		3377912954364781,
		[],
		null
	]
,	[
		"t115",
		cr.plugins_.Sprite,
		true,
		[],
		0,
		0,
		null,
		null,
		[
		],
		false,
		false,
		7054766565038404,
		[],
		null
	]
	],
	[
		[112,56,47]
,		[113,46,52,76,63,69,1,107,43,44,78,103,82,83,81,84,85,53,108,104,47,41,49,50,66,65,67,68,109,61]
,		[114,4,13,5,6,7,8,9,10,11,12]
,		[115,14,15,16,17,18,19]
	],
	[
	[
		"cartaMenu",
		1500,
		768,
		true,
		"cartaEvents",
		1109987979492003,
		[
		[
			"bg",
			0,
			7002784094678717,
			true,
			[255, 255, 255],
			false,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[0, 0, 0, 1024, 768, 0, 0, 1, 0, 0, 0, 0, []],
				25,
				5,
				[
				],
				[
				],
				[
					0,
					0
				]
			]
			],
			[			]
		]
,		[
			"thumbs",
			1,
			1249209853356335,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[505.3029479980469, 453.9999694824219, 0, 239, 181, 0, 0, 0, 0.5020920634269714, 0.5027624368667603, 0, 0, []],
				29,
				9,
				[
				],
				[
				[
					1,
					400,
					0,
					0
				],
				[
					0,
					0.5,
					0,
					0,
					0
				],
				[
					0,
					0,
					0,
					0.5,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[505, 454, 0, 239, 181, 0, 0, 1, 0.5020920634269714, 0.5027624368667603, 0, 0, []],
				26,
				6,
				[
				],
				[
				[
					1,
					400,
					0,
					0
				],
				[
					0,
					0.5,
					0,
					0,
					0
				],
				[
					0,
					0,
					0,
					0.5,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[505.7900695800781, 455, 0, 239, 181, 0, 0, 0, 0.5020920634269714, 0.5027624368667603, 0, 0, []],
				30,
				10,
				[
				],
				[
				[
					1,
					400,
					0,
					0
				],
				[
					0,
					0.5,
					0,
					0,
					0
				],
				[
					0,
					0,
					0,
					0.5,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"mask",
			2,
			2625651249536771,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[506, 458, 0, 791, 192, 0, 0, 0, 0.500632107257843, 0.5, 0, 0, []],
				28,
				8,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"botoes",
			3,
			9415448795654888,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[664, 454, 0, 25, 29, 0, 0, 1, 0.5199999809265137, 0.517241358757019, 0, 0, []],
				31,
				11,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[342, 454, 0, 25, 29, 0, 0, 1, 0.4799999892711639, 0.517241358757019, 0, 0, []],
				32,
				12,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[505, 610, 0, 120, 65, 0, 0, 1, 0.5, 0.5076923370361328, 0, 0, []],
				34,
				14,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"parkDia",
		1500,
		768,
		false,
		"parkDiaScript",
		6907963597223058,
		[
		[
			"ceu",
			0,
			2826026762817375,
			true,
			[255, 255, 255],
			false,
			0.05000000074505806,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[-1.707015991210938, -2.319580078125, 0, 1500, 472, 0, 0, 1, 0, 0, 0, 0, []],
				2,
				7,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"balaoNuvens",
			1,
			3411742587911347,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"nuvem",
			2,
			1114982161429973,
			true,
			[255, 255, 255],
			true,
			0.05000000074505806,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[658.111572265625, 165.978271484375, 0, 428, 258, 0, 0, 1, 0, 0.7984496355056763, 0, 0, []],
				35,
				16,
				[
				],
				[
				[
					1,
					5,
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[532.2709350585938, 124.351806640625, 0, 428, 258, 0, 3.141592741012573, 1, 0, 0.7984496355056763, 0, 0, []],
				35,
				17,
				[
				],
				[
				[
					1,
					5,
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1046.278442382813, 384.7460632324219, 0, 428, 258, 0, 0, 1, 0, 0.7984496355056763, 0, 0, []],
				35,
				18,
				[
				],
				[
				[
					1,
					5,
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1508.012451171875, 175.6400604248047, 0, 380.3411254882813, 229.2710571289063, 0, 0, 1, 0, 0.7984496355056763, 0, 0, []],
				35,
				19,
				[
				],
				[
				[
					1,
					5,
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"balao",
			3,
			5322684901567741,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[544.6455688476563, 136.9900207519531, 0, 131, 166, 0, 0, 1, 0.5038167834281921, 0.5, 0, 0, []],
				56,
				47,
				[
				],
				[
				[
					0,
					1
				],
				[
					1,
					5,
					0,
					4,
					0,
					0,
					0,
					2,
					0
				],
				[
					1,
					20,
					0,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"cenario3",
			4,
			5778688248796114,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1.205841064453125, 528, 0, 1475, 329, 0, 0, 1, 0.000677966105286032, 1, 0, 0, []],
				1,
				27,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[649.5, 315, 0, 449, 168, 0, 0, 0, 0.5, 0.5, 0, 0, []],
				110,
				20,
				[
				],
				[
				[
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"cenario2",
			5,
			4708937284027029,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[-0.697662353515625, 698.9999389648438, 0, 1502, 532, 0, 0, 1, 0.0006657789344899356, 0.9981203079223633, 0, 0, []],
				3,
				26,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"cenario",
			6,
			7944331668911603,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[-0.55291748046875, 769.9999389648438, 0, 1502, 551, 0, 0, 1, 0.0006657789344899356, 1, 0, 0, []],
				0,
				15,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"horta",
			7,
			4496136287991006,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[247.6047210693359, 569.8951416015625, 0, 579.0532836914063, 194.8386077880859, 0, -0.3906075358390808, 0, 0.5, 0.5, 0, 0, []],
				55,
				46,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"borboletas",
			8,
			2506143809989237,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1342.558837890625, 519.6181030273438, 0, 31.28578758239746, 36.34672546386719, 0, 0, 1, 0.3676470518112183, 0.6455696225166321, 0, 0, []],
				43,
				33,
				[
					[0]
				],
				[
				[
					1,
					1,
					0,
					10,
					10,
					0,
					0,
					10,
					10
				],
				[
					1,
					0,
					0,
					20,
					20,
					0,
					0,
					40,
					40
				],
				[
					1,
					100,
					0,
					0
				],
				[
					0,
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1299.264770507813, 569.0532836914063, 0, 18.63747787475586, 21.65236473083496, 0, 0, 1, 0.3676470518112183, 0.6455696225166321, 0, 0, []],
				44,
				34,
				[
					[0]
				],
				[
				[
					1,
					1,
					0,
					5,
					5,
					0,
					0,
					15,
					15
				],
				[
					1,
					0,
					0,
					4,
					20,
					0,
					0,
					50,
					50
				],
				[
					1,
					150,
					0,
					0
				],
				[
					0,
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1363.0107421875, 581.808349609375, 0, 22.25216674804688, 25.85178375244141, 0, 0, 1, 0.3676470518112183, 0.6455696225166321, 0, 0, []],
				45,
				35,
				[
					[0]
				],
				[
				[
					1,
					1,
					0,
					8,
					8,
					0,
					0,
					20,
					20
				],
				[
					1,
					0,
					0,
					5,
					5,
					0,
					0,
					30,
					30
				],
				[
					1,
					70,
					0,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"macieira",
			9,
			3601930139795066,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[232.6084594726563, 356.2529296875, 0, 395, 511, 0, 0, 1, 0.501265823841095, 0.5009784698486328, 0, 0, []],
				52,
				40,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"flor",
			10,
			9657958055811164,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[49.58528137207031, 699.0971069335938, 0, 9.411748886108398, 8.128328323364258, 0, 0, 1, 0.5454545617103577, 0.5789473652839661, 0, 0, []],
				54,
				44,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[40.52215576171875, 653.2903442382813, 0, 9.411748886108398, 8.128328323364258, 0, 0, 1, 0.5454545617103577, 0.5789473652839661, 0, 0, []],
				54,
				45,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"macas",
			11,
			883132189289168,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[331.9376220703125, 251.3076171875, 0, 75, 75, 0, 0, 1, 0.5, 0.512499988079071, 0, 0, []],
				53,
				41,
				[
				],
				[
				[
					0,
					1,
					20,
					"40,40",
					0,
					1.5,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[248.540771484375, 201.6435699462891, 0, 60, 60, 0, 0, 1, 0.5, 0.512499988079071, 0, 0, []],
				53,
				42,
				[
				],
				[
				[
					0,
					1,
					20,
					"40,40",
					0,
					1.5,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[144.5103149414063, 253.4398193359375, 0, 64.76366424560547, 64.76366424560547, 0, 0.5880022048950195, 1, 0.5, 0.512499988079071, 0, 0, []],
				53,
				43,
				[
				],
				[
				[
					0,
					1,
					20,
					"40,40",
					0,
					1.5,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"elementos1",
			12,
			9503948731580245,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[797.2742919921875, 615, 0, 295, 169, 0, 0, 1, 0.501694917678833, 0.5029585957527161, 0, 0, []],
				36,
				21,
				[
				],
				[
				[
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[736.9737548828125, 548.266845703125, 0, 240.4101104736328, 288.4920959472656, 0, 0, 1, 0.4301886856555939, 0.4150943458080292, 0, 0, []],
				37,
				22,
				[
				],
				[
				[
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[588.4381103515625, 670, 0, 18.30719375610352, 18.30719375610352, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				38,
				23,
				[
				],
				[
				[
				]
				],
				[
					1,
					"Default",
					0,
					1
				]
			]
,			[
				[1337.93359375, 669.4346313476563, 0, 180.7376098632813, 143.4721221923828, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				42,
				32,
				[
					[0]
				],
				[
				[
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1302.156982421875, 321.1210021972656, 0, 399, 566, 0, 0, 1, 0.5012531280517578, 0.4858657121658325, 0, 0, []],
				46,
				36,
				[
				],
				[
				[
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[237.6735229492188, 696.0763549804688, 0, 78.80544281005859, 90.65589141845703, 0, 0, 1, 0.5037593841552734, 0.46405228972435, 0, 0, []],
				51,
				31,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"alpiste",
			13,
			6204604357468896,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[611.5127563476563, 617.3515014648438, 0, 10.03177070617676, 10.62187480926514, 0, 0, 1, 0.4117647111415863, 1.111111164093018, 0, 0, []],
				39,
				25,
				[
					[0]
				],
				[
				[
				],
				[
					0,
					0,
					0,
					3,
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"passaros",
			14,
			3133871981395674,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[435.6642150878906, 623.3309936523438, 0, 44.99368667602539, 45.94425964355469, 0, 0, 1, 0.6760563254356384, 0.3862068951129913, 0, 0, []],
				41,
				29,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[348.8896484375, 643.6465454101563, 0, 34.49711608886719, 35.22592926025391, 0, 0, 1, 0.6760563254356384, 0.3862068951129913, 0, 0, []],
				50,
				30,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[405.5365905761719, 664.9727172851563, 0, 51.00335693359375, 52.08088684082031, 0, 0, 1, 0.7394366264343262, 0.5034482479095459, 0, 0, []],
				49,
				28,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"passaroGordo",
			15,
			6653857923851347,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1356.057983398438, 305.5639953613281, 0, 65.66200256347656, 76.98200225830078, 0, 0, 1, 0.5, 0.5367646813392639, 0, 0, []],
				47,
				37,
				[
				],
				[
				[
				],
				[
					0,
					1
				],
				[
					0,
					5,
					0,
					4,
					0,
					0,
					0,
					5,
					0
				],
				[
					1,
					120,
					0,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1346.829345703125, 294.7064514160156, 0, 11.67822170257568, 11.67822170257568, 0, 0, 0.75, 0.5, 0.5, 0, 0, []],
				48,
				38,
				[
				],
				[
				[
					1024,
					1,
					1,
					180,
					0,
					0,
					500,
					1,
					1
				],
				[
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1365.867797851563, 294.7327575683594, 0, 11.67822170257568, 11.67822170257568, 0, 0, 0.75, 0.5, 0.5, 0, 0, []],
				48,
				39,
				[
				],
				[
				[
					1024,
					1,
					1,
					180,
					0,
					0,
					500,
					1,
					1
				],
				[
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"letra",
			16,
			7045451557501993,
			true,
			[255, 255, 255],
			true,
			0,
			0,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[512.74267578125, 38.57881927490234, 0, 1022.640930175781, 59, 0, 0, 1, 0.5004878044128418, 0.5, 0, 0, []],
				57,
				48,
				[
				],
				[
				[
					0,
					0,
					0,
					0,
					1
				]
				],
				[
					1,
					"Default",
					0,
					1
				]
			]
,			[
				[897.1506958007813, 57, 0, 83, 74, 0, 0, 1, 0.5060241222381592, 0.5, 0, 0, []],
				103,
				288,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[971.1506958007813, 55.97798538208008, 0, 46, 74, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				104,
				289,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[940.9657592773438, 103.0389099121094, 0, 27, 34, 0, -0.2719424366950989, 1, 0.7037037014961243, 0.7352941036224365, 0, 0, []],
				105,
				290,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[126.7318572998047, 34.14029693603516, 0, 50, 50, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				107,
				305,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[33.67237854003906, 33.92017364501953, 0, 50, 50, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				108,
				306,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[80.34317779541016, 33.92020416259766, 0, 50, 50, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				109,
				307,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"fade",
			17,
			1514043081898774,
			true,
			[255, 255, 255],
			true,
			0,
			0,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[512.80908203125, 388.1136169433594, 0, 1047, 792, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				106,
				301,
				[
				],
				[
				[
					1,
					0,
					0,
					2,
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"parkNoite",
		1500,
		768,
		false,
		"parkNoiteScript",
		596205633414494,
		[
		[
			"ceu",
			0,
			4713067369847688,
			true,
			[255, 255, 255],
			false,
			0,
			0,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[0, 0, 0, 1500, 472, 0, 0, 1, 0, 0, 0, 0, []],
				2,
				49,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[851, 80, 0, 108.6730651855469, 115.2815628051758, 0, 0, 1, 0.5067567825317383, 0.4968152940273285, 0, 0, []],
				61,
				62,
				[
				],
				[
				[
					400,
					10,
					50,
					0,
					1,
					0
				],
				[
					0,
					0,
					0,
					0.5,
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"stars",
			1,
			5337840792619125,
			true,
			[255, 255, 255],
			true,
			0,
			0,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"balaoNuvens",
			2,
			1468323240887184,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"aviao",
			3,
			6952149312674493,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1613.465576171875, 506.840087890625, 0, 112.0286407470703, 97.47124481201172, 0, 0, 1, 0.4971751272678375, 0.5, 0, 0, []],
				63,
				61,
				[
				],
				[
				[
					100,
					0,
					5,
					0,
					1,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"nuvem",
			4,
			9992168469379984,
			true,
			[255, 255, 255],
			true,
			0.05000000074505806,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[658.111572265625, 165.978271484375, 0, 428, 258, 0, 0, 1, 0, 0.7984496355056763, 0, 0, []],
				35,
				50,
				[
				],
				[
				[
					1,
					5,
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[532.2709350585938, 124.351806640625, 0, 428, 258, 0, 3.141592741012573, 1, 0, 0.7984496355056763, 0, 0, []],
				35,
				51,
				[
				],
				[
				[
					1,
					5,
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1046.278442382813, 424.7460632324219, 0, 428, 258, 0, 0, 1, 0, 0.7984496355056763, 0, 0, []],
				35,
				52,
				[
				],
				[
				[
					1,
					5,
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1508.012451171875, 175.6400604248047, 0, 380.3411254882813, 229.2710571289063, 0, 0, 1, 0, 0.7984496355056763, 0, 0, []],
				35,
				53,
				[
				],
				[
				[
					1,
					5,
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"balao",
			5,
			4650625937111183,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"cenario3",
			6,
			7916267739733206,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1.205841064453125, 528, 0, 1475, 329, 0, 0, 1, 0.000677966105286032, 1, 0, 0, []],
				1,
				55,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[612.6728515625, 300.84716796875, 0, 58.4468994140625, 143.0837707519531, 0, 0, 0, 0.5, 0.5, 0, 0, []],
				65,
				88,
				[
					[0]
				],
				[
				[
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[621.0342407226563, 259.1083984375, 0, 14.0684814453125, 22.85067749023438, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				64,
				63,
				[
					[0]
				],
				[
				[
				],
				[
					0,
					1,
					0,
					0,
					0
				],
				[
					0,
					0,
					0,
					1,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[605.4508666992188, 278.8150024414063, 0, 13.7188720703125, 22.8507080078125, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				64,
				72,
				[
					[1]
				],
				[
				[
				],
				[
					0,
					1,
					0,
					0,
					0
				],
				[
					0,
					0,
					0,
					1,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[621.8499755859375, 298.9762573242188, 0, 13.02178955078125, 22.2008056640625, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				64,
				84,
				[
					[2]
				],
				[
				[
				],
				[
					0,
					1,
					0,
					0,
					0
				],
				[
					0,
					0,
					0,
					1,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[601.4271240234375, 318.5569152832031, 0, 13.37030029296875, 23.06744384765625, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				64,
				85,
				[
					[3]
				],
				[
				[
				],
				[
					0,
					1,
					0,
					0,
					0
				],
				[
					0,
					0,
					0,
					1,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[626.211669921875, 339.2380981445313, 0, 12.67218017578125, 23.50027465820313, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				64,
				86,
				[
					[4]
				],
				[
				[
				],
				[
					0,
					1,
					0,
					0,
					0
				],
				[
					0,
					0,
					0,
					1,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[598.0450439453125, 359.7060852050781, 0, 13.83892822265625, 23.71734619140625, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				64,
				87,
				[
					[5]
				],
				[
				[
				],
				[
					0,
					1,
					0,
					0,
					0
				],
				[
					0,
					0,
					0,
					1,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[557.3479614257813, 342.709228515625, 0, 53.9095458984375, 131.87255859375, 0, 0, 0, 0.5, 0.5, 0, 0, []],
				66,
				89,
				[
					[0]
				],
				[
				[
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[559.2724609375, 298.7110290527344, 0, 13.41925048828125, 16.8929443359375, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				64,
				90,
				[
					[6]
				],
				[
				[
				],
				[
					0,
					1,
					0,
					0,
					0
				],
				[
					0,
					0,
					0,
					1,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[571.8247680664063, 313.297607421875, 0, 13.41925048828125, 16.35150146484375, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				64,
				91,
				[
					[7]
				],
				[
				[
				],
				[
					0,
					1,
					0,
					0,
					0
				],
				[
					0,
					0,
					0,
					1,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[553.6260986328125, 327.3252563476563, 0, 13.41925048828125, 16.35147094726563, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				64,
				92,
				[
					[8]
				],
				[
				[
				],
				[
					0,
					1,
					0,
					0,
					0
				],
				[
					0,
					0,
					0,
					1,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[565.974365234375, 341.4344482421875, 0, 13.41925048828125, 16.62203979492188, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				64,
				93,
				[
					[9]
				],
				[
				[
				],
				[
					0,
					1,
					0,
					0,
					0
				],
				[
					0,
					0,
					0,
					1,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[554.492431640625, 369.6531066894531, 0, 13.41925048828125, 17.16387939453125, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				64,
				94,
				[
					[10]
				],
				[
				[
				],
				[
					0,
					1,
					0,
					0,
					0
				],
				[
					0,
					0,
					0,
					1,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[571.9321899414063, 355.7355041503906, 0, 13.41925048828125, 16.35107421875, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				64,
				95,
				[
					[11]
				],
				[
				[
				],
				[
					0,
					1,
					0,
					0,
					0
				],
				[
					0,
					0,
					0,
					1,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[785.060546875, 277.6039428710938, 0, 43.37103271484375, 144.6549987792969, 0, 0, 0, 0.5, 0.5, 0, 0, []],
				67,
				96,
				[
					[0]
				],
				[
				[
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[770.9783935546875, 227.5038452148438, 0, 10.37675666809082, 14.29222679138184, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				64,
				97,
				[
					[12]
				],
				[
				[
				],
				[
					0,
					1,
					0,
					0,
					0
				],
				[
					0,
					0,
					0,
					1,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[781.051025390625, 237.2017517089844, 0, 10.24804019927979, 14.11494159698486, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				64,
				98,
				[
					[13]
				],
				[
				[
				],
				[
					0,
					1,
					0,
					0,
					0
				],
				[
					0,
					0,
					0,
					1,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[770.8426513671875, 255.8040466308594, 0, 9.912838935852051, 13.65325832366943, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				64,
				99,
				[
					[14]
				],
				[
				[
				],
				[
					0,
					1,
					0,
					0,
					0
				],
				[
					0,
					0,
					0,
					1,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[779.69677734375, 278.5524291992188, 0, 9.912532806396484, 13.65283679962158, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				64,
				100,
				[
					[15]
				],
				[
				[
				],
				[
					0,
					1,
					0,
					0,
					0
				],
				[
					0,
					0,
					0,
					1,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[768.9483032226563, 298.0504455566406, 0, 9.718600273132324, 13.38572788238525, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				64,
				101,
				[
					[16]
				],
				[
				[
				],
				[
					0,
					1,
					0,
					0,
					0
				],
				[
					0,
					0,
					0,
					1,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[812.4122314453125, 303.467041015625, 0, 40.66339111328125, 99.42959594726563, 0, 0, 0, 0.5, 0.5, 0, 0, []],
				68,
				102,
				[
					[0]
				],
				[
				[
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[798.7359008789063, 263.9282836914063, 0, 8.9228515625, 12.28971862792969, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				64,
				103,
				[
					[17]
				],
				[
				[
				],
				[
					0,
					1,
					0,
					0,
					0
				],
				[
					0,
					0,
					0,
					1,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[807.6728515625, 275.0315246582031, 0, 8.9228515625, 12.28971862792969, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				64,
				104,
				[
					[18]
				],
				[
				[
				],
				[
					0,
					1,
					0,
					0,
					0
				],
				[
					0,
					0,
					0,
					1,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[797.9242553710938, 288.3018493652344, 0, 8.9228515625, 12.28971862792969, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				64,
				105,
				[
					[19]
				],
				[
				[
				],
				[
					0,
					1,
					0,
					0,
					0
				],
				[
					0,
					0,
					0,
					1,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[806.048095703125, 310.5079345703125, 0, 8.9228515625, 12.28971862792969, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				64,
				106,
				[
					[20]
				],
				[
				[
				],
				[
					0,
					1,
					0,
					0,
					0
				],
				[
					0,
					0,
					0,
					1,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[796.840576171875, 335.9639587402344, 0, 8.9228515625, 12.28971862792969, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				64,
				107,
				[
					[21]
				],
				[
				[
				],
				[
					0,
					1,
					0,
					0,
					0
				],
				[
					0,
					0,
					0,
					1,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"cenario2",
			7,
			3664645591445645,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[-0.697662353515625, 698.9999389648438, 0, 1502, 532, 0, 0, 1, 0.0006657789344899356, 0.9981203079223633, 0, 0, []],
				3,
				56,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"cenario",
			8,
			8890652813838116,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[-0.55291748046875, 769.9999389648438, 0, 1502, 551, 0, 0, 1, 0.0006657789344899356, 1, 0, 0, []],
				0,
				57,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"macieira",
			9,
			6300928503549092,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[232.6084594726563, 356.2529296875, 0, 395, 511, 0, 0, 1, 0.501265823841095, 0.5009784698486328, 0, 0, []],
				52,
				64,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"elementos1",
			10,
			4623865479620268,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[797.2742919921875, 615, 0, 295, 169, 0, 0, 1, 0.501694917678833, 0.5029585957527161, 0, 0, []],
				36,
				70,
				[
				],
				[
				[
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[616.2742919921875, 670, 0, 18.30719375610352, 18.30719375610352, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				38,
				73,
				[
				],
				[
				[
				]
				],
				[
					1,
					"Default",
					0,
					1
				]
			]
,			[
				[1337.93359375, 669.4346313476563, 0, 180.7376098632813, 143.4721221923828, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				42,
				74,
				[
					[0]
				],
				[
				[
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1302.157104492188, 321.120849609375, 0, 399, 566, 0, 0, 1, 0.5012531280517578, 0.4858657121658325, 0, 0, []],
				46,
				75,
				[
				],
				[
				[
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[237.6735229492188, 696.0763549804688, 0, 78.80544281005859, 90.65589141845703, 0, 0, 1, 0.5037593841552734, 0.46405228972435, 0, 0, []],
				51,
				76,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"macas",
			11,
			5510458776030211,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[331.9376220703125, 251.3076171875, 0, 75, 75, 0, 0, 1, 0.5, 0.512499988079071, 0, 0, []],
				53,
				67,
				[
				],
				[
				[
					0,
					1,
					20,
					"40,40",
					0,
					1.5,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[248.540771484375, 201.6435699462891, 0, 60, 60, 0, 0, 1, 0.5, 0.512499988079071, 0, 0, []],
				53,
				68,
				[
				],
				[
				[
					0,
					1,
					20,
					"40,40",
					0,
					1.5,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[144.5103149414063, 253.4398193359375, 0, 64.76366424560547, 64.76366424560547, 0, 0.5880022048950195, 1, 0.5, 0.512499988079071, 0, 0, []],
				53,
				69,
				[
				],
				[
				[
					0,
					1,
					20,
					"40,40",
					0,
					1.5,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"flor",
			12,
			4286058495133924,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[49.58528137207031, 699.0971069335938, 0, 9.411748886108398, 8.128328323364258, 0, 0, 1, 0.5454545617103577, 0.5789473652839661, 0, 0, []],
				54,
				65,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[40.52215576171875, 653.2903442382813, 0, 9.411748886108398, 8.128328323364258, 0, 0, 1, 0.5454545617103577, 0.5789473652839661, 0, 0, []],
				54,
				66,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"filtro",
			13,
			2152261030556226,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"nanarosa",
			14,
			2327540900070921,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[746.2760009765625, 561.4500122070313, 0, 240.4101104736328, 288.4920959472656, 0, 0, 1, 0.4301886856555939, 0.4150943458080292, 0, 0, []],
				37,
				71,
				[
				],
				[
				[
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"borboletas",
			15,
			2425896110925994,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"horta",
			16,
			8072975019713524,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[247.6047210693359, 569.8951416015625, 0, 579.0532836914063, 194.8386077880859, 0, -0.3906075358390808, 0, 0.5, 0.5, 0, 0, []],
				55,
				59,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"alpiste",
			17,
			7493167112051799,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"passaros",
			18,
			5941270489794621,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[288.0213928222656, 336.760498046875, 0, 61.59236907958984, 62.89361953735352, 0, 0, 1, 0.6760563254356384, 0.3862068951129913, 0, 0, []],
				50,
				79,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[254.5991516113281, 337.7964172363281, 0, 60.94847106933594, 62.23610305786133, 0, 0.1414367854595184, 1, 0.7394366264343262, 0.5034482479095459, 0, 0, []],
				49,
				78,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[221.861083984375, 349.38525390625, 0, 53, 54, 0, 0, 1, 0.6760563254356384, 0.3862068951129913, 0, 0, []],
				41,
				77,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"passaroGordo",
			19,
			1109999931417922,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1356.057739257813, 305.5640258789063, 0, 65.66150665283203, 76.98246002197266, 0, 0, 1, 0.5, 0.5367646813392639, 0, 0, []],
				47,
				80,
				[
				],
				[
				[
				],
				[
					0,
					1
				],
				[
					0,
					5,
					0,
					4,
					0,
					0,
					0,
					5,
					0
				],
				[
					1,
					120,
					0,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1346.561645507813, 294.4842529296875, 0, 11.67822170257568, 11.67822170257568, 0, 0, 0.75, 0.5, 0.5, 0, 0, []],
				48,
				81,
				[
				],
				[
				[
					1024,
					1,
					1,
					180,
					0,
					0,
					500,
					1,
					1
				],
				[
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1365.847534179688, 294.5105590820313, 0, 11.67822170257568, 11.67822170257568, 0, 0, 0.75, 0.5, 0.5, 0, 0, []],
				48,
				82,
				[
				],
				[
				[
					1024,
					1,
					1,
					180,
					0,
					0,
					500,
					1,
					1
				],
				[
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1355.968627929688, 294.2152099609375, 0, 38.87435913085938, 19.04843902587891, 0, 0, 1, 0.5, 0.5102040767669678, 0, 0, []],
				58,
				24,
				[
				],
				[
				[
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1354.420776367188, 309.3001098632813, 0, 34.95973968505859, 10.75684356689453, 0, 0, 1, 0.4743589758872986, 1.541666626930237, 0, 0, []],
				59,
				54,
				[
				],
				[
				[
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1311, 259, 0, 17, 18, 0, 0, 1, -0.3529411852359772, -1.055555582046509, 0, 0, []],
				60,
				60,
				[
					[0]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"letra",
			20,
			8437536488810126,
			true,
			[255, 255, 255],
			true,
			0,
			0,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[512.2978515625, 38.57881927490234, 0, 1022.763061523438, 59, 0, 0, 1, 0.5004878044128418, 0.5, 0, 0, []],
				57,
				83,
				[
				],
				[
				[
					0,
					0,
					0,
					0,
					1
				]
				],
				[
					1,
					"Default",
					0,
					1
				]
			]
,			[
				[897.1510009765625, 57, 0, 83, 74, 0, 0, 1, 0.5060241222381592, 0.5, 0, 0, []],
				103,
				291,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[971.1510009765625, 55.97800064086914, 0, 46, 74, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				104,
				292,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[940.9660034179688, 103.0390014648438, 0, 27, 34, 0, 1.260373711585999, 1, 0.7037037014961243, 0.7352941036224365, 0, 0, []],
				105,
				293,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[127, 34, 0, 50, 50, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				107,
				308,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[34, 34, 0, 50, 50, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				108,
				311,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[80, 34, 0, 50, 50, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				109,
				312,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"aviaozinho",
			21,
			6640757938879281,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[358, 865, 0, 107, 51, 0, 0, 1, 0.4953271150588989, 0.4901960790157318, 0, 0, []],
				69,
				108,
				[
					[0]
				],
				[
				[
					1,
					1,
					0,
					4,
					0,
					0,
					0,
					10,
					0
				],
				[
					1,
					100,
					0,
					0
				],
				[
					1500,
					1,
					1,
					80,
					0,
					0,
					500,
					1,
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"lixeiraCima",
			22,
			3480528078926325,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[237.6739959716797, 696.0759887695313, 0, 94.80300903320313, 100.728889465332, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				70,
				109,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"fade",
			23,
			9281302720252095,
			true,
			[255, 255, 255],
			true,
			0,
			0,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[511.5, 384, 0, 1047, 792, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				106,
				300,
				[
				],
				[
				[
					1,
					0,
					0,
					2,
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"terraDia",
		1500,
		768,
		false,
		"terraDiaScript",
		627543838903508,
		[
		[
			"ceu",
			0,
			933200800840814,
			true,
			[255, 255, 255],
			false,
			0,
			0,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[0, 0, 0, 1500, 472, 0, 0, 1, 0, 0, 0, 0, []],
				2,
				110,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"nuvem",
			1,
			1199394741980782,
			true,
			[255, 255, 255],
			true,
			0.05000000074505806,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[658.111572265625, 165.978271484375, 0, 428, 258, 0, 0, 1, 0, 0.7984496355056763, 0, 0, []],
				35,
				113,
				[
				],
				[
				[
					1,
					5,
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[532.2709350585938, 124.351806640625, 0, 428, 258, 0, 3.141592741012573, 1, 0, 0.7984496355056763, 0, 0, []],
				35,
				114,
				[
				],
				[
				[
					1,
					5,
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1046.278442382813, 384.7460632324219, 0, 428, 258, 0, 0, 1, 0, 0.7984496355056763, 0, 0, []],
				35,
				115,
				[
				],
				[
				[
					1,
					5,
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1508.012451171875, 175.6400604248047, 0, 380.3411254882813, 229.2710571289063, 0, 0, 1, 0, 0.7984496355056763, 0, 0, []],
				35,
				116,
				[
				],
				[
				[
					1,
					5,
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"cenario3",
			2,
			1289313225729392,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[0, 486, 0, 1475, 329, 0, 0, 1, 0.000677966105286032, 1, 0, 0, []],
				1,
				117,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"cenario2",
			3,
			2906374599232651,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1.217945098876953, 687.92138671875, 0, 1502, 532, 0, 0, 1, 0.0006657789344899356, 0.9981203079223633, 0, 0, []],
				3,
				144,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"cenario",
			4,
			8348614080984968,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[-0.5495841503143311, 769.9999389648438, 0, 1507.006713867188, 551, 0, 0, 1, 0.0006657789344899356, 1, 0, 0, []],
				0,
				145,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"fumaca",
			5,
			1218061090039225,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[429.51416015625, 195.5243835449219, 0, 7.941843509674072, 12.99574375152588, 0, 0, 0.5, -1.545454502105713, -8.166666984558106, 0, 0, []],
				79,
				186,
				[
				],
				[
				[
				],
				[
					0,
					0,
					0,
					3.5,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"elementos1",
			6,
			1166380818385928,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[306.6914978027344, 417.7555541992188, 0, 55.64924621582031, 64.85277557373047, 0, 0, 1, 0.4961538314819336, 0.4917491674423218, 0, 0, []],
				75,
				180,
				[
				],
				[
				[
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[418.9429016113281, 361.9846496582031, 0, 135.19970703125, 127.7404098510742, 0, 0, 1, 0.5034482479095459, 0.5036496520042419, 0, 0, []],
				78,
				185,
				[
				],
				[
				[
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1272.141479492188, 389.5176391601563, 0, 567, 643, 0, 0, 1, 0.5008787512779236, 0.5023255944252014, 0, 0, []],
				76,
				183,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1210.066162109375, 687.9891357421875, 0, 270, 124, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				77,
				184,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[371.3674011230469, 574.1298828125, 0, 260, 303, 0, 0, 1, 0.4961538314819336, 0.4917491674423218, 0, 0, []],
				73,
				176,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[356.2121276855469, 507.4425659179688, 3.81500012736069e-006, 50.71213150024414, 56.01876449584961, 0, 0, 1, 0.7394366264343262, 0.5034482479095459, 0, 0, []],
				49,
				177,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1387.1064453125, 712.6829833984375, 0, 408.2004699707031, 206.4462127685547, 0, 0, 1, 0.5011494159698486, 0.5, 0, 0, []],
				74,
				178,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[639.7935791015625, 459.4150390625, 0, 89.76018524169922, 104.6051406860352, 0, 0, 1, 0.4961538314819336, 0.4917491674423218, 0, 0, []],
				75,
				179,
				[
				],
				[
				[
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[745.7147216796875, 393.4059448242188, 0, 55.64924621582031, 64.85277557373047, 0, 0, 1, 0.4961538314819336, 0.4917491674423218, 0, 0, []],
				75,
				181,
				[
				],
				[
				[
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[92.11669921875, 699.3184204101563, 0, -293.0449523925781, 157.4998626708984, 0, 0, 1, 0.5011494159698486, 0.5, 0, 0, []],
				74,
				182,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"nanarosa",
			7,
			4131761651654075,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[717.3385620117188, 553.4428100585938, 0, 153.9574737548828, 308.9212036132813, 0, 0.03490658476948738, 1, 0.4183006584644318, 0.4983713328838348, 0, 0, []],
				72,
				141,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"florzinhas",
			8,
			8565253940658247,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			0.2000000029802322,
			0,
			0,
			[
			[
				[834.5137939453125, 645.475830078125, 0, 18.29907417297363, 17.66807174682617, 0, 0, 1, 0.7931034564971924, 0.5714285969734192, 0, 0, []],
				7,
				132,
				[
					[9]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1010.681091308594, 654.0402221679688, 3.81500012736069e-006, 19.36266136169434, 19.36266136169434, 0, 0, 1, 0.8148148059844971, 0.4074074029922485, 0, 0, []],
				8,
				142,
				[
					[1]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[962.0398559570313, 635.2005004882813, 3.81500012736069e-006, 17.39499282836914, 16.795166015625, 0, 0, 1, 0.7931034564971924, 0.5714285969734192, 0, 0, []],
				7,
				167,
				[
					[3]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[937.5658569335938, 623.4490356445313, 0, 22.15100479125977, 20.84800529479981, 0, 0, 1, 0.7647058963775635, 0.46875, 0, 0, []],
				11,
				164,
				[
					[8]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[879.86083984375, 620.1648559570313, 0, 22.15100479125977, 20.84800529479981, 0, 0, 1, 0.7647058963775635, 0.46875, 0, 0, []],
				11,
				163,
				[
					[4]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[886.5912475585938, 668.3200073242188, 0, 21.5538501739502, 20.81061553955078, 0, 0, 1, 0.7931034564971924, 0.5714285969734192, 0, 0, []],
				7,
				162,
				[
					[7]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[864.863525390625, 676.1829833984375, 0, 31.24534416198731, 30.16791725158691, 0, 0, 1, 0.7931034564971924, 0.5714285969734192, 0, 0, []],
				7,
				138,
				[
					[8]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[911.7825927734375, 641.0068969726563, 0, 30.66462326049805, 29.67543983459473, 0, 0, 1, 0.8709677457809448, 0.6333333253860474, 0, 0, []],
				13,
				156,
				[
					[3]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[837.2632446289063, 663.68115234375, 0, 28.23252105712891, 27.35025405883789, 0, 0, 1, 0.5625, 0.4838709533214569, 0, 0, []],
				5,
				151,
				[
					[4]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[999.75927734375, 630.31884765625, 3.81500012736069e-006, 31.11482238769531, 29.2845401763916, 0, 0, 1, 0.7647058963775635, 0.46875, 0, 0, []],
				11,
				175,
				[
					[6]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[865.7830200195313, 647.2691650390625, 0, 23.1143970489502, 22.3687686920166, 0, 0, 1, 0.8709677457809448, 0.6333333253860474, 0, 0, []],
				13,
				155,
				[
					[1]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[876.1978149414063, 648.3799438476563, 0, 25.4323787689209, 24.63761711120606, 0, 0, 1, 0.5625, 0.4838709533214569, 0, 0, []],
				5,
				143,
				[
					[5]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[980.1513671875, 659.455810546875, 3.81500012736069e-006, 28, 27, 0, 0, 1, 0.7647058963775635, 0.46875, 0, 0, []],
				11,
				172,
				[
					[2]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[821.9038696289063, 671.7077026367188, 0, 35.04641342163086, 33.9158821105957, 0, 0, 1, 0.8709677457809448, 0.6333333253860474, 0, 0, []],
				13,
				154,
				[
					[1]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[825.1398315429688, 685.2102661132813, 0, 17.62237739562988, 17.07167625427246, 0, 0, 1, 0.5625, 0.4838709533214569, 0, 0, []],
				5,
				147,
				[
					[3]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[921.6952514648438, 684.8885498046875, 0, 25.94332504272461, 27.1787223815918, 0, 0, 1, 0.6666666865348816, 0.4318181872367859, 0, 0, []],
				12,
				158,
				[
					[2]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[934.173095703125, 675.2191162109375, 0, 14.76561260223389, 14.30418682098389, 0, 0, 1, 0.5625, 0.4838709533214569, 0, 0, []],
				5,
				148,
				[
					[9]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[947, 662, 0, 31.24534416198731, 30.16791725158691, 0, 0, 1, 0.7931034564971924, 0.5714285969734192, 0, 0, []],
				7,
				166,
				[
					[2]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1011.976806640625, 681.8148803710938, 0, 26.29825973510742, 25.39142227172852, 0, 0, 1, 0.7931034564971924, 0.5714285969734192, 0, 0, []],
				7,
				173,
				[
					[1]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1039.174682617188, 651.4729614257813, 3.81500012736069e-006, 24.74081420898438, 24.74081420898438, 0, 0, 1, 0.8148148059844971, 0.4074074029922485, 0, 0, []],
				8,
				133,
				[
					[2]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1058.989013671875, 693.1551513671875, 3.81500012736069e-006, 29.78892707824707, 28.0366382598877, 0, 0, 1, 0.7647058963775635, 0.46875, 0, 0, []],
				11,
				174,
				[
					[1]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1032.258544921875, 707.4266357421875, 0, 20.77669334411621, 20.06025695800781, 0, 0, 1, 0.7931034564971924, 0.5714285969734192, 0, 0, []],
				7,
				170,
				[
					[4]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1040.224609375, 724.042724609375, 3.81500012736069e-006, 14.00170993804932, 13.51889324188232, 0, 0, 1, 0.7931034564971924, 0.5714285969734192, 0, 0, []],
				7,
				171,
				[
					[5]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1074.763061523438, 706.4451293945313, 0, 14.78883743286133, 14.2788782119751, 0, 0, 1, 0.7931034564971924, 0.5714285969734192, 0, 0, []],
				7,
				168,
				[
					[6]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[903.1071166992188, 665.755615234375, 0, 27.15279197692871, 29.54862594604492, 0, 0, 1, 0.5588235259056091, 0.4324324429035187, 0, 0, []],
				4,
				129,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[890.3514404296875, 696.6224975585938, 0, 26.75829887390137, 25.89512634277344, 0, 0, 1, 0.8709677457809448, 0.6333333253860474, 0, 0, []],
				13,
				140,
				[
					[2]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[954.5884399414063, 709.6643676757813, 3.81500012736069e-006, 34.0356330871582, 32.03353881835938, 0, 0, 1, 0.7647058963775635, 0.46875, 0, 0, []],
				11,
				161,
				[
					[3]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[896.78515625, 717.4609375, 0, 22.15100479125977, 20.84800529479981, 0, 0, 1, 0.7647058963775635, 0.46875, 0, 0, []],
				11,
				160,
				[
					[5]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1038.388305664063, 678.0292358398438, 0, 29.15728950500488, 24.08645629882813, 0, 0, 1, 0.695652186870575, 0.4210526347160339, 0, 0, []],
				6,
				131,
				[
					[2]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1010.435302734375, 701.8927001953125, 3.81500012736069e-006, 44.45597076416016, 46.57292556762695, 0, 0, 1, 0.6666666865348816, 0.4318181872367859, 0, 0, []],
				12,
				153,
				[
					[4]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[967.252685546875, 689.8465576171875, 0, 30.87541580200195, 29.91055870056152, 0, 0, 1, 0.5625, 0.4838709533214569, 0, 0, []],
				5,
				149,
				[
					[6]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[979.8399047851563, 710.6937255859375, 0, 23.13101005554199, 22.40816688537598, 0, 0, 1, 0.5625, 0.4838709533214569, 0, 0, []],
				5,
				150,
				[
					[7]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[844.312255859375, 702.7467651367188, 0, 47.67180633544922, 32.0867919921875, 0, 0, 1, 0.6730769276618958, 0.4285714328289032, 0, 0, []],
				9,
				136,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[924.7382202148438, 714.2998046875, 0, 25.94332504272461, 27.1787223815918, 0, 0, 1, 0.6666666865348816, 0.4318181872367859, 0, 0, []],
				12,
				157,
				[
					[3]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[910.74658203125, 732.0388793945313, 0, 18.9786434173584, 18.38556098937988, 0, 0, 1, 0.5625, 0.4838709533214569, 0, 0, []],
				5,
				130,
				[
					[8]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[870.7124633789063, 721.2105102539063, 0, 33.48660659790039, 27.66284942626953, 0, 0, 1, 0.695652186870575, 0.4210526347160339, 0, 0, []],
				6,
				159,
				[
					[1]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[840.3593139648438, 729.8192138671875, 0, 22.35546112060547, 21.65685272216797, 0, 0, 1, 0.5625, 0.4838709533214569, 0, 0, []],
				5,
				152,
				[
					[2]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[812.8545532226563, 717.0050659179688, 3.81500012736069e-006, 37.50580215454102, 39.29179382324219, 0, 0, 1, 0.6666666865348816, 0.4318181872367859, 0, 0, []],
				12,
				139,
				[
					[1]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"passaroGordo",
			9,
			3751700572261133,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"borboletas",
			10,
			8778935286443361,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1089.3818359375, 499.152587890625, 0, 51.02073287963867, 59.27409362792969, 0, 0, 1, 0.3676470518112183, 0.6455696225166321, 0, 0, []],
				43,
				118,
				[
					[0]
				],
				[
				[
					1,
					1,
					0,
					10,
					10,
					0,
					0,
					10,
					10
				],
				[
					1,
					0,
					0,
					20,
					20,
					0,
					0,
					40,
					40
				],
				[
					1,
					100,
					10,
					10
				],
				[
					0,
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1167.749389648438, 600.1917114257813, 0, 31.39824676513672, 36.47737503051758, 0, 0, 1, 0.3676470518112183, 0.6455696225166321, 0, 0, []],
				44,
				128,
				[
					[0]
				],
				[
				[
					1,
					1,
					0,
					5,
					5,
					0,
					0,
					15,
					15
				],
				[
					1,
					0,
					0,
					4,
					20,
					0,
					0,
					50,
					50
				],
				[
					1,
					150,
					10,
					10
				],
				[
					0,
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"passaro",
			11,
			3999434006527017,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1168.05029296875, 328.98193359375, 0, 75.46488952636719, 88.47608184814453, 0, 0.1429126113653183, 1, 0.5, 0.5367646813392639, 0, 0, []],
				47,
				187,
				[
				],
				[
				[
				],
				[
					0,
					1
				],
				[
					0,
					5,
					0,
					4,
					0,
					0,
					0,
					5,
					0
				],
				[
					1,
					120,
					0,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1158.859497070313, 315.115478515625, 0, 11.67822170257568, 11.67822170257568, 0, 0, 0.75, 0.5, 0.5, 0, 0, []],
				48,
				188,
				[
				],
				[
				[
					1024,
					1,
					1,
					180,
					0,
					0,
					500,
					1,
					1
				],
				[
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1180.35302734375, 318.8070678710938, 0, 11.67822170257568, 11.67822170257568, 0, 0, 0.75, 0.5, 0.5, 0, 0, []],
				48,
				189,
				[
				],
				[
				[
					1024,
					1,
					1,
					180,
					0,
					0,
					500,
					1,
					1
				],
				[
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"letra",
			12,
			9099177781638877,
			true,
			[255, 255, 255],
			true,
			0,
			0,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[607.9215087890625, 38.57881927490234, 0, 1023.268493652344, 59, 0, 0, 1, 0.5004878044128418, 0.5, 0, 0, []],
				57,
				169,
				[
				],
				[
				[
					0,
					0,
					0,
					0,
					1
				]
				],
				[
					1,
					"Default",
					0,
					1
				]
			]
,			[
				[897.1510009765625, 57, 0, 83, 74, 0, 0, 1, 0.5060241222381592, 0.5, 0, 0, []],
				103,
				297,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[971.1510009765625, 55.97800064086914, 0, 46, 74, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				104,
				298,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[940.9660034179688, 103.0390014648438, 0, 27, 34, 0, -0.2719424366950989, 1, 0.7037037014961243, 0.7352941036224365, 0, 0, []],
				105,
				299,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[126.4750213623047, 34.70929718017578, 0, 50, 50, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				107,
				146,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[33.41554260253906, 34.48917388916016, 0, 50, 50, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				108,
				261,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[80.08634185791016, 34.48920440673828, 0, 50, 50, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				109,
				316,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"fade",
			13,
			9790767485017952,
			true,
			[255, 255, 255],
			true,
			0,
			0,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[518.0804443359375, 389.8996276855469, 0, 1047, 792, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				106,
				303,
				[
				],
				[
				[
					1,
					0,
					0,
					2,
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"terraNoite",
		1500,
		768,
		false,
		"terraNoiteScript",
		5560943984953073,
		[
		[
			"ceu",
			0,
			9933190309691842,
			true,
			[255, 255, 255],
			false,
			0,
			0,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[0, 0, 0, 1500, 472, 0, 0, 1, 0, 0, 0, 0, []],
				2,
				111,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"stars",
			1,
			8995113893281503,
			true,
			[255, 255, 255],
			true,
			0,
			0,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"lua",
			2,
			3234242069315078,
			true,
			[255, 255, 255],
			true,
			0,
			0,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[774.3840942382813, 216.0037841796875, 0, 297, 296, 0, 0, 1, 0.5016834735870361, 0.5, 0, 0, []],
				85,
				248,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"nuvem",
			3,
			5911256525056334,
			true,
			[255, 255, 255],
			true,
			0.05000000074505806,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[658.111572265625, 165.978271484375, 0, 428, 258, 0, 0, 1, 0, 0.7984496355056763, 0, 0, []],
				35,
				119,
				[
				],
				[
				[
					1,
					5,
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[532.2709350585938, 124.351806640625, 0, 428, 258, 0, 3.141592741012573, 1, 0, 0.7984496355056763, 0, 0, []],
				35,
				120,
				[
				],
				[
				[
					1,
					5,
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1046.278442382813, 384.7460632324219, 0, 428, 258, 0, 0, 1, 0, 0.7984496355056763, 0, 0, []],
				35,
				121,
				[
				],
				[
				[
					1,
					5,
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1508.012451171875, 175.6400604248047, 0, 380.3411254882813, 229.2710571289063, 0, 0, 1, 0, 0.7984496355056763, 0, 0, []],
				35,
				122,
				[
				],
				[
				[
					1,
					5,
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"cenario3",
			4,
			2533520330624848,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[0, 486, 0, 1475, 329, 0, 0, 1, 0.000677966105286032, 1, 0, 0, []],
				1,
				123,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"cenario2",
			5,
			935490579878415,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[-0.697662353515625, 698.9999389648438, 0, 1502, 532, 0, 0, 1, 0.0006657789344899356, 0.9981203079223633, 0, 0, []],
				3,
				124,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"cenario",
			6,
			1114603293404027,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[-0.5495841503143311, 769.9999389648438, 0, 1507.006713867188, 551, 0, 0, 1, 0.0006657789344899356, 1, 0, 0, []],
				0,
				125,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"poste",
			7,
			757367579609039,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"elementos1",
			8,
			8676234983320389,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[294.80224609375, 405.9208984375, 0, 81.464599609375, 91.07436370849609, 0, 0, 1, 0.5013405084609985, 0.5011990666389465, 0, 0, []],
				84,
				207,
				[
				],
				[
				[
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[294.62939453125, 405.7305908203125, 0, 81.464599609375, 91.07436370849609, 0, 0, 1, 0.5013405084609985, 0.5011990666389465, 0, 0, []],
				83,
				208,
				[
				],
				[
				[
					0,
					1,
					0,
					0,
					0
				],
				[
					0,
					0,
					0,
					1,
					0
				],
				[
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[620.5043334960938, 440.6381225585938, 0, 128.4386596679688, 143.589599609375, 0, 0, 1, 0.5013405084609985, 0.5011990666389465, 0, 0, []],
				84,
				205,
				[
				],
				[
				[
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1273.964965820313, 390.5830078125, 0, 567, 643, 0, 0, 1, 0.5008787512779236, 0.5023255944252014, 0, 0, []],
				76,
				191,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1169.050048828125, 324.9819946289063, 0, 75.46488952636719, 88.47608184814453, 0, 0.1429126113653183, 1, 0.5, 0.5367646813392639, 0, 0, []],
				47,
				192,
				[
				],
				[
				[
				],
				[
					0,
					1
				],
				[
					0,
					5,
					0,
					4,
					0,
					0,
					0,
					5,
					0
				],
				[
					1,
					120,
					0,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1169.437744140625, 314.4953918457031, 0, 42.25760269165039, 20.70622825622559, 0, 0.1429075598716736, 1, 0.5, 0.5102040767669678, 0, 0, []],
				58,
				193,
				[
				],
				[
				[
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1166.598022460938, 329.4196472167969, 0, 40.61976623535156, 12.49839019775391, 0, 0.1416858285665512, 1, 0.4743589758872986, 1.541666626930237, 0, 0, []],
				59,
				194,
				[
				],
				[
				[
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1210, 688.410400390625, 0, 270, 124, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				80,
				195,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[92.11699676513672, 699.3179931640625, 0, -293.0449523925781, 157.4998626708984, 0, 0, 1, 0.5011494159698486, 0.5, 0, 0, []],
				74,
				196,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1387.10595703125, 712.6829833984375, 0, 408.2000122070313, 206.4459991455078, 0, 0, 1, 0.5011494159698486, 0.5, 0, 0, []],
				74,
				197,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[314.8797912597656, 518.519287109375, 0, 373, 417, 0, 0, 1, 0.5013405084609985, 0.5011990666389465, 0, 0, []],
				81,
				198,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[620.3314819335938, 440.4478149414063, 0, 128.4386596679688, 143.589599609375, 0, 0, 1, 0.5013405084609985, 0.5011990666389465, 0, 0, []],
				83,
				203,
				[
				],
				[
				[
					0,
					1,
					0,
					0,
					0
				],
				[
					0,
					0,
					0,
					1,
					0
				],
				[
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[733.8390502929688, 381.6459350585938, 0, 81.464599609375, 91.07436370849609, 0, 0, 1, 0.5013405084609985, 0.5011990666389465, 0, 0, []],
				84,
				204,
				[
				],
				[
				[
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[733.6661987304688, 381.4556274414063, 0, 81.464599609375, 91.07436370849609, 0, 0, 1, 0.5013405084609985, 0.5011990666389465, 0, 0, []],
				83,
				206,
				[
				],
				[
				[
					0,
					1,
					0,
					0,
					0
				],
				[
					0,
					0,
					0,
					1,
					0
				],
				[
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[833.9694213867188, 647.5826416015625, 0, 18.29907417297363, 17.66807174682617, 0, 0, 1, 0.7931034564971924, 0.5714285969734192, 0, 0, []],
				7,
				200,
				[
					[9]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1005.888244628906, 638.0853881835938, 0, 19.36266136169434, 19.36266136169434, 0, 0, 1, 0.8148148059844971, 0.4074074029922485, 0, 0, []],
				8,
				201,
				[
					[1]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[976.7261352539063, 641.9402465820313, 0, 17.39499282836914, 16.795166015625, 0, 0, 1, 0.7931034564971924, 0.5714285969734192, 0, 0, []],
				7,
				202,
				[
					[3]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[937.021484375, 625.5558471679688, 0, 22.15100479125977, 20.84800529479981, 0, 0, 1, 0.7647058963775635, 0.46875, 0, 0, []],
				11,
				210,
				[
					[8]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[879.3164672851563, 622.2716674804688, 0, 22.15100479125977, 20.84800529479981, 0, 0, 1, 0.7647058963775635, 0.46875, 0, 0, []],
				11,
				211,
				[
					[4]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[886.046875, 670.4268188476563, 0, 21.5538501739502, 20.81061553955078, 0, 0, 1, 0.7931034564971924, 0.5714285969734192, 0, 0, []],
				7,
				212,
				[
					[7]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[864.3191528320313, 678.289794921875, 0, 31.24534416198731, 30.16791725158691, 0, 0, 1, 0.7931034564971924, 0.5714285969734192, 0, 0, []],
				7,
				213,
				[
					[8]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[911.2382202148438, 643.1137084960938, 0, 30.66462326049805, 29.67543983459473, 0, 0, 1, 0.8709677457809448, 0.6333333253860474, 0, 0, []],
				13,
				214,
				[
					[3]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[836.7188720703125, 665.7879638671875, 0, 28.23252105712891, 27.35025405883789, 0, 0, 1, 0.5625, 0.4838709533214569, 0, 0, []],
				5,
				215,
				[
					[4]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1032.595703125, 647.8993530273438, 0, 31.11482238769531, 29.2845401763916, 0, 0, 1, 0.7647058963775635, 0.46875, 0, 0, []],
				11,
				216,
				[
					[6]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[865.2386474609375, 649.3759765625, 0, 23.1143970489502, 22.3687686920166, 0, 0, 1, 0.8709677457809448, 0.6333333253860474, 0, 0, []],
				13,
				217,
				[
					[1]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[875.6534423828125, 650.4867553710938, 0, 25.4323787689209, 24.63761711120606, 0, 0, 1, 0.5625, 0.4838709533214569, 0, 0, []],
				5,
				218,
				[
					[5]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[990.4367065429688, 663.7571411132813, 0, 28.48067092895508, 26.80533981323242, 0, 0, 1, 0.7647058963775635, 0.46875, 0, 0, []],
				11,
				220,
				[
					[2]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[821.3594970703125, 673.8145141601563, 0, 35.04641342163086, 33.9158821105957, 0, 0, 1, 0.8709677457809448, 0.6333333253860474, 0, 0, []],
				13,
				221,
				[
					[1]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[824.595458984375, 687.3170776367188, 0, 17.62237739562988, 17.07167625427246, 0, 0, 1, 0.5625, 0.4838709533214569, 0, 0, []],
				5,
				222,
				[
					[3]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[921.15087890625, 686.995361328125, 0, 25.94332504272461, 27.1787223815918, 0, 0, 1, 0.6666666865348816, 0.4318181872367859, 0, 0, []],
				12,
				223,
				[
					[2]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[933.6287231445313, 677.325927734375, 0, 14.76561260223389, 14.30418682098389, 0, 0, 1, 0.5625, 0.4838709533214569, 0, 0, []],
				5,
				224,
				[
					[9]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[952.2799682617188, 660.7601318359375, 0, 31.24534416198731, 30.16791725158691, 0, 0, 1, 0.7931034564971924, 0.5714285969734192, 0, 0, []],
				7,
				225,
				[
					[2]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1011.432434082031, 683.9216918945313, 0, 26.29825973510742, 25.39142227172852, 0, 0, 1, 0.7931034564971924, 0.5714285969734192, 0, 0, []],
				7,
				226,
				[
					[1]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1055.9091796875, 660.6200561523438, 0, 24.74081420898438, 24.74081420898438, 0, 0, 1, 0.8148148059844971, 0.4074074029922485, 0, 0, []],
				8,
				227,
				[
					[2]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1072.525146484375, 682.4620971679688, 0, 29.78892707824707, 28.0366382598877, 0, 0, 1, 0.7647058963775635, 0.46875, 0, 0, []],
				11,
				228,
				[
					[1]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1024.714111328125, 706.533447265625, 0, 20.77669334411621, 20.06025695800781, 0, 0, 1, 0.7931034564971924, 0.5714285969734192, 0, 0, []],
				7,
				229,
				[
					[4]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1029.439453125, 723.59033203125, 0, 14.00170993804932, 13.51889324188232, 0, 0, 1, 0.7931034564971924, 0.5714285969734192, 0, 0, []],
				7,
				230,
				[
					[5]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[902.562744140625, 667.8624267578125, 0, 27.15279197692871, 29.54862594604492, 0, 0, 1, 0.5588235259056091, 0.4324324429035187, 0, 0, []],
				4,
				232,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[889.8070678710938, 698.7293090820313, 0, 26.75829887390137, 25.89512634277344, 0, 0, 1, 0.8709677457809448, 0.6333333253860474, 0, 0, []],
				13,
				233,
				[
					[2]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[950.2042846679688, 704.0916137695313, 0, 34.0356330871582, 32.03353881835938, 0, 0, 1, 0.7647058963775635, 0.46875, 0, 0, []],
				11,
				234,
				[
					[3]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[896.2407836914063, 719.5677490234375, 0, 22.15100479125977, 20.84800529479981, 0, 0, 1, 0.7647058963775635, 0.46875, 0, 0, []],
				11,
				235,
				[
					[5]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1037.843994140625, 680.1360473632813, 0, 29.15728950500488, 24.08645629882813, 0, 0, 1, 0.695652186870575, 0.4210526347160339, 0, 0, []],
				6,
				236,
				[
					[2]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1002.071594238281, 703.3380126953125, 0, 44.45597076416016, 46.57292556762695, 0, 0, 1, 0.6666666865348816, 0.4318181872367859, 0, 0, []],
				12,
				237,
				[
					[4]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[966.7083129882813, 691.953369140625, 0, 30.87541580200195, 29.91055870056152, 0, 0, 1, 0.5625, 0.4838709533214569, 0, 0, []],
				5,
				238,
				[
					[6]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[979.2955322265625, 706.421875, 0, 23.13101005554199, 22.40816688537598, 0, 0, 1, 0.5625, 0.4838709533214569, 0, 0, []],
				5,
				239,
				[
					[7]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[843.7678833007813, 704.8535766601563, 0, 47.67180633544922, 32.0867919921875, 0, 0, 1, 0.6730769276618958, 0.4285714328289032, 0, 0, []],
				9,
				240,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[924.19384765625, 716.4066162109375, 0, 25.94332504272461, 27.1787223815918, 0, 0, 1, 0.6666666865348816, 0.4318181872367859, 0, 0, []],
				12,
				241,
				[
					[3]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[910.2022094726563, 734.1456909179688, 0, 18.9786434173584, 18.38556098937988, 0, 0, 1, 0.5625, 0.4838709533214569, 0, 0, []],
				5,
				242,
				[
					[8]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[870.1680908203125, 723.3173217773438, 0, 33.48660659790039, 27.66284942626953, 0, 0, 1, 0.695652186870575, 0.4210526347160339, 0, 0, []],
				6,
				243,
				[
					[1]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[839.81494140625, 731.926025390625, 0, 22.35546112060547, 21.65685272216797, 0, 0, 1, 0.5625, 0.4838709533214569, 0, 0, []],
				5,
				244,
				[
					[2]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[823.8314819335938, 735.7515869140625, 0, 37.50580215454102, 39.29179382324219, 0, 0, 1, 0.6666666865348816, 0.4318181872367859, 0, 0, []],
				12,
				245,
				[
					[1]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1074.21875, 708.5519409179688, 0, 14.78883743286133, 14.2788782119751, 0, 0, 1, 0.7931034564971924, 0.5714285969734192, 0, 0, []],
				7,
				231,
				[
					[6]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[349.04248046875, 508.4163208007813, 0, 77.50929260253906, 79.14680480957031, 0, 0.1414367854595184, 1, 0.7394366264343262, 0.5034482479095459, 0, 0, []],
				49,
				246,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[314.8800048828125, 518.5189819335938, 0, 347, 410, 0, 0, 1, 0.5417867302894592, 0.5121951103210449, 0, 0, []],
				82,
				199,
				[
				],
				[
				[
					0,
					1,
					0,
					0,
					0
				],
				[
					0,
					0,
					0,
					1,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[418.9429931640625, 373.0693969726563, 0, 135.19970703125, 127.7404098510742, 0, 0, 1, 0.5034482479095459, 0.5036496520042419, 0, 0, []],
				78,
				247,
				[
				],
				[
				[
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"nanarosa",
			9,
			7531387164875937,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[720.71630859375, 550, 0, 153.9574737548828, 308.9212036132813, 0, 0.03490658476948738, 1, 0.4183006584644318, 0.4983713328838348, 0, 0, []],
				72,
				190,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"borboletas",
			10,
			6307310368948879,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[937.8226318359375, 270.62890625, 0, 27.03627967834473, 31.40979957580566, 0, 0, 1, 0.3676470518112183, 0.6455696225166321, 0, 0, []],
				43,
				249,
				[
					[0]
				],
				[
				[
					1,
					1,
					0,
					10,
					10,
					0,
					0,
					10,
					10
				],
				[
					1,
					0,
					0,
					20,
					20,
					0,
					0,
					40,
					40
				],
				[
					1,
					100,
					10,
					10
				],
				[
					0,
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[875.9366455078125, 105.3561782836914, 0, 22.8939094543457, 26.59733581542969, 0, 0, 1, 0.3676470518112183, 0.6455696225166321, 0, 0, []],
				44,
				250,
				[
					[0]
				],
				[
				[
					1,
					1,
					0,
					5,
					5,
					0,
					0,
					15,
					15
				],
				[
					1,
					0,
					0,
					4,
					20,
					0,
					0,
					50,
					50
				],
				[
					1,
					150,
					5,
					5
				],
				[
					0,
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[298.260986328125, 121.9456634521484, 0, 27.03627967834473, 31.40979957580566, 0, 0, 1, 0.3676470518112183, 0.6455696225166321, 0, 0, []],
				43,
				251,
				[
					[0]
				],
				[
				[
					1,
					1,
					0,
					10,
					10,
					0,
					0,
					10,
					10
				],
				[
					1,
					0,
					0,
					20,
					20,
					0,
					0,
					40,
					40
				],
				[
					1,
					100,
					30,
					30
				],
				[
					0,
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[243.4703369140625, 704.5737915039063, 0, 27.03627967834473, 31.40979957580566, 0, 0, 1, 0.3676470518112183, 0.6455696225166321, 0, 0, []],
				43,
				252,
				[
					[0]
				],
				[
				[
					1,
					1,
					0,
					10,
					10,
					0,
					0,
					10,
					10
				],
				[
					1,
					0,
					0,
					20,
					20,
					0,
					0,
					40,
					40
				],
				[
					1,
					100,
					20,
					20
				],
				[
					0,
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[48.32440185546875, 591.3338012695313, 0, 22.8939094543457, 26.59733581542969, 0, 0, 1, 0.3676470518112183, 0.6455696225166321, 0, 0, []],
				44,
				253,
				[
					[0]
				],
				[
				[
					1,
					1,
					0,
					5,
					5,
					0,
					0,
					15,
					15
				],
				[
					1,
					0,
					0,
					4,
					20,
					0,
					0,
					50,
					50
				],
				[
					1,
					150,
					10,
					10
				],
				[
					0,
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"passaroGordo",
			11,
			7941652718897175,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"letra",
			12,
			2823956158091502,
			true,
			[255, 255, 255],
			true,
			0,
			0,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[513.0729370117188, 38.57881927490234, 0, 1025, 52, 0, 0, 1, 0.5004878044128418, 0.5, 0, 0, []],
				57,
				127,
				[
				],
				[
				[
					0,
					0,
					0,
					0,
					1
				]
				],
				[
					1,
					"Default",
					0,
					1
				]
			]
,			[
				[897.1510009765625, 57, 0, 83, 74, 0, 0, 1, 0.5060241222381592, 0.5, 0, 0, []],
				103,
				294,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[971.1510009765625, 55.97800064086914, 0, 46, 74, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				104,
				295,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[940.9660034179688, 103.0390014648438, 0, 27, 34, 0, 1.100876688957214, 1, 0.7037037014961243, 0.7352941036224365, 0, 0, []],
				105,
				296,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[127.2817077636719, 34.49734497070313, 0, 50, 50, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				107,
				304,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[34.22222900390625, 34.2772216796875, 0, 50, 50, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				108,
				126,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[80.89302825927734, 34.27725219726563, 0, 50, 50, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				109,
				310,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"fade",
			13,
			8098823477846991,
			true,
			[255, 255, 255],
			true,
			0,
			0,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[513.607421875, 377.6421813964844, 0, 1047, 792, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				106,
				302,
				[
				],
				[
				[
					1,
					0,
					0,
					2,
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"quarto",
		1500,
		768,
		false,
		"quartoScript",
		8632103955594978,
		[
		[
			"cenario",
			0,
			3239351599613899,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[-1, 0, 0, 1500, 768, 0, 0, 1, 0, 0, 0, 0, []],
				71,
				112,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"quadros",
			1,
			4900420958771442,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[779.2450561523438, 219.4989166259766, 0, 75, 95, 0, 0, 1, 0.4266666769981384, 0.06315789371728897, 0, 0, []],
				14,
				281,
				[
				],
				[
				[
					0,
					5,
					0,
					1,
					0,
					0,
					0,
					5,
					0
				],
				[
					0,
					1
				],
				[
					1,
					400,
					0,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1068.519165039063, 140.5103607177734, 0, 76, 85, 0, 0, 1, 0.5263158082962036, 0.05882352963089943, 0, 0, []],
				15,
				283,
				[
				],
				[
				[
					0,
					1
				],
				[
					0,
					5,
					0,
					1,
					0,
					0,
					0,
					5,
					0
				],
				[
					1,
					400,
					0,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[955.1365356445313, 261.1441650390625, 0, 75, 94, 0, 0, 1, 0.5333333611488342, 0.07446808367967606, 0, 0, []],
				16,
				284,
				[
				],
				[
				[
					0,
					1
				],
				[
					1,
					400,
					0,
					0
				],
				[
					0,
					5,
					0,
					1,
					0,
					0,
					0,
					5,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[957.863037109375, 130.5339813232422, 0, 79, 97, 0, 0, 1, 0.4177215099334717, 0.1030927821993828, 0, 0, []],
				17,
				285,
				[
				],
				[
				[
					0,
					1
				],
				[
					0,
					5,
					0,
					1,
					0,
					0,
					0,
					5,
					0
				],
				[
					1,
					400,
					0,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1042.215698242188, 242.0987854003906, 0, 54, 67, 0, 0, 1, 0.5, 0.0746268630027771, 0, 0, []],
				18,
				286,
				[
				],
				[
				[
					0,
					1
				],
				[
					0,
					5,
					0,
					1,
					0,
					0,
					0,
					5,
					0
				],
				[
					1,
					400,
					0,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[868.0574951171875, 134.1596374511719, 0, 70, 119, 0, 0, 1, 0.5, 0.04201680794358254, 0, 0, []],
				19,
				287,
				[
				],
				[
				[
					0,
					1
				],
				[
					1,
					400,
					0,
					0
				],
				[
					0,
					5,
					0,
					1,
					0,
					0,
					0,
					5,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"elementos",
			2,
			9162900774455934,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[110, 437, 0, 56, 97, 0, 0, 1, 0.4464285671710968, 0.5360824465751648, 0, 0, []],
				86,
				254,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[445, 421, 0, 38, 46, 0, 0, 1, -0.6578947305679321, 0.5, 0, 0, []],
				87,
				255,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[647, 399, 0, 30, 70, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				88,
				256,
				[
				],
				[
				[
					0,
					0,
					23,
					"100,100",
					0,
					1,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[680, 402, 0, 32, 67, 0, 0, 1, 0.46875, 0.5373134613037109, 0, 0, []],
				89,
				257,
				[
				],
				[
				[
					0,
					0,
					23,
					"100,100",
					0,
					1,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[356.6913146972656, 496.8244323730469, 0, 101, 101, 0, 0, 1, 0.5346534848213196, -0.1584158390760422, 0, 0, []],
				97,
				274,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[463.7973022460938, 617.6216430664063, 0, 72, 21, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				95,
				275,
				[
				],
				[
				[
					1
				]
				],
				[
					1,
					"Default",
					0,
					1
				]
			]
,			[
				[1133.393676757813, 316.0223693847656, 0, 26.400146484375, 16.20028686523438, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				95,
				276,
				[
				],
				[
				[
					1
				]
				],
				[
					1,
					"Default",
					0,
					1
				]
			]
,			[
				[454.5901794433594, 445.421875, 0, 24.60101318359375, 16.3985595703125, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				95,
				277,
				[
				],
				[
				[
					1
				]
				],
				[
					1,
					"Default",
					0,
					1
				]
			]
,			[
				[379.381591796875, 284.0202026367188, 0, 142, 142, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				100,
				280,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1138.987670898438, 367.5502624511719, 0, 187, 218, 0, 0, 1, 0.5026738047599793, 0.5, 0, 0, []],
				102,
				282,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"vitrola",
			3,
			6563904763206558,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[1407.558837890625, 418.392333984375, 0, 381, 520, 0, 0, 1, 0.5013123154640198, 0.5, 0, 0, []],
				90,
				258,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1385.554443359375, 468.4974975585938, 0, 208.1092529296875, 132.7423095703125, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				91,
				259,
				[
				],
				[
				[
					0,
					6,
					0,
					"100,100",
					0,
					0.5,
					0
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1449.061279296875, 407.9105224609375, 0, 130.6665344238281, 84.71786499023438, 0, 0, 1, 0.5, -0.1610169559717178, 0, 0, []],
				92,
				260,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[1426, 294, 0, 38, 42, 0, 0, 1, 0.5, 0.4761904776096344, 0, 0, []],
				93,
				262,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"display",
			4,
			2322004658198463,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			],
			[			]
		]
,		[
			"nana",
			5,
			2337295229528637,
			true,
			[255, 255, 255],
			true,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[961.9789428710938, 420.8230895996094, 0, 233, 92, 0, 0, 1, 0.1845493614673615, -0.08695652335882187, 0, 0, []],
				98,
				278,
				[
					[1]
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[963.5796508789063, 420.8230895996094, 0, 172, 194, 0, 0, 1, 1.075581431388855, 0.4948453605175018, 0, 0, []],
				99,
				279,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"gato",
			6,
			5724475407096828,
			true,
			[255, 255, 255],
			true,
			1,
			0.5,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[601.2003173828125, 596.2432861328125, 0, 82, 91, 0, 0, 1, 0.4024390280246735, 0.3296703398227692, 0, 0, []],
				94,
				263,
				[
					[0]
				],
				[
				[
					0,
					1
				],
				[
					0,
					5,
					1
				],
				[
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[563, 760.0919799804688, 0, 1142, 37, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				95,
				264,
				[
				],
				[
				[
					1
				]
				],
				[
					1,
					"Default",
					0,
					1
				]
			]
,			[
				[713, 545.3004150390625, 0, 72, 21, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				95,
				265,
				[
				],
				[
				[
					1
				]
				],
				[
					1,
					"Default",
					0,
					1
				]
			]
,			[
				[1023.099853515625, 525.9990234375, 0, 393.8001708984375, 17.99810791015625, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				95,
				266,
				[
				],
				[
				[
					1
				]
				],
				[
					1,
					"Default",
					0,
					1
				]
			]
,			[
				[774.5993041992188, 519.1341552734375, 0, 50.2003173828125, 22.0023193359375, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				95,
				267,
				[
				],
				[
				[
					1
				]
				],
				[
					1,
					"Default",
					0,
					1
				]
			]
,			[
				[240.800048828125, 643.8997802734375, 0, 112, 27, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				95,
				268,
				[
				],
				[
				[
					1
				]
				],
				[
					1,
					"Default",
					0,
					1
				]
			]
,			[
				[597.0245361328125, 653.264404296875, 0, 43.599853515625, 4.39935302734375, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				96,
				269,
				[
				],
				[
				[
				],
				[
					1
				]
				],
				[
					1,
					"Default",
					0,
					1
				]
			]
,			[
				[731.4261474609375, 427.8217163085938, 0, 24.60101318359375, 16.3985595703125, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				95,
				270,
				[
				],
				[
				[
					1
				]
				],
				[
					1,
					"Default",
					0,
					1
				]
			]
,			[
				[249.0250091552734, 449.6210327148438, 0, 39.00021362304688, 20.399169921875, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				95,
				271,
				[
				],
				[
				[
					1
				]
				],
				[
					1,
					"Default",
					0,
					1
				]
			]
,			[
				[1153.826904296875, 440.8244018554688, 0, 51.200439453125, 16.20028686523438, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				95,
				272,
				[
				],
				[
				[
					1
				]
				],
				[
					1,
					"Default",
					0,
					1
				]
			]
,			[
				[597.8233642578125, 668.02294921875, 0, 43.7999267578125, 25.20135498046875, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				95,
				273,
				[
				],
				[
				[
					1
				]
				],
				[
					1,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
,		[
			"letra",
			7,
			427290297157872,
			true,
			[255, 255, 255],
			true,
			0,
			0,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[513.0729370117188, 38.57881927490234, 0, 1025, 52, 0, 0, 1, 0.5004878044128418, 0.5, 0, 0, []],
				57,
				135,
				[
				],
				[
				[
					0,
					0,
					0,
					0,
					1
				]
				],
				[
					1,
					"Default",
					0,
					1
				]
			]
,			[
				[125.8495941162109, 33.97405242919922, 0, 50, 50, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				107,
				313,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[32.79011535644531, 33.75392913818359, 0, 50, 50, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				108,
				314,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[79.46090698242188, 33.75395965576172, 0, 50, 50, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				109,
				315,
				[
				],
				[
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
,			[
				[22, 96, 0, 646.02392578125, 30, 0, 0, 1, 0, 0, 0, 0, []],
				27,
				134,
				[
				],
				[
				[
					0,
					0,
					0,
					0,
					1
				]
				],
				[
					"Text",
					1,
					"12pt Arial",
					"rgb(0,0,0)",
					0,
					0,
					0,
					0,
					0
				]
			]
			],
			[			]
		]
,		[
			"fade",
			8,
			8236422185782094,
			true,
			[255, 255, 255],
			true,
			0,
			0,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[518.6539306640625, 390.8536987304688, 0, 1047, 792, 0, 0, 1, 0.5, 0.5, 0, 0, []],
				106,
				309,
				[
				],
				[
				[
					1,
					0,
					0,
					2,
					1
				]
				],
				[
					0,
					"Default",
					0,
					1
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
,	[
		"preloader",
		1024,
		768,
		false,
		"preloaderEvents",
		8235578654186171,
		[
		[
			"Layer 0",
			0,
			9570340177298801,
			true,
			[255, 255, 255],
			false,
			1,
			1,
			1,
			false,
			1,
			0,
			0,
			[
			[
				[0, 0.300000011920929, 0, 1024, 768, 0, 0, 1, 0, 0, 0, 0, []],
				111,
				58,
				[
				],
				[
				],
				[
					0,
					0
				]
			]
			],
			[			]
		]
		],
		[
		],
		[]
	]
	],
	[
	[
		"cartaEvents",
		[
		[
			1,
			"counterFase",
			0,
			1,
false,false,3019819857684624,false
		]
,		[
			0,
			null,
			false,
			null,
			6310320379055095,
			[
			[
				-1,
				cr.system_object.prototype.cnds.OnLayoutStart,
				null,
				1,
				false,
				false,
				false,
				6003137667922487,
				false
			]
			],
			[
			[
				23,
				cr.plugins_.Audio.prototype.acts.StopAll,
				null,
				228453658613652,
				false
			]
,			[
				23,
				cr.plugins_.Audio.prototype.acts.Play,
				null,
				5276487221920729,
				false
				,[
				[
					2,
					["aberturaloop",true]
				]
,				[
					3,
					1
				]
,				[
					0,
					[
						0,
						0
					]
				]
,				[
					1,
					[
						2,
						"musicLoop"
					]
				]
				]
			]
,			[
				-1,
				cr.system_object.prototype.acts.ResetGlobals,
				null,
				69867635755888,
				false
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			9536035566338293,
			[
			[
				21,
				cr.plugins_.Touch.prototype.cnds.OnTouchObject,
				null,
				1,
				false,
				false,
				false,
				7962839508972652,
				false
				,[
				[
					4,
					31
				]
				]
			]
			],
			[
			[
				31,
				cr.plugins_.Sprite.prototype.acts.SetScale,
				null,
				7197953968606537,
				false
				,[
				[
					0,
					[
						1,
						1.3
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			3835458165207284,
			[
			[
				21,
				cr.plugins_.Touch.prototype.cnds.OnTouchObject,
				null,
				1,
				false,
				false,
				false,
				9173341588101763,
				false
				,[
				[
					4,
					32
				]
				]
			]
			],
			[
			[
				32,
				cr.plugins_.Sprite.prototype.acts.SetScale,
				null,
				9464049432894378,
				false
				,[
				[
					0,
					[
						1,
						1.3
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			3790519717660968,
			[
			[
				21,
				cr.plugins_.Touch.prototype.cnds.OnTouchEnd,
				null,
				1,
				false,
				false,
				false,
				5522443461487293,
				false
			]
,			[
				21,
				cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
				null,
				0,
				false,
				false,
				false,
				3864544417193955,
				false
				,[
				[
					4,
					32
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				4949397486992524,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					8831727514777339,
					false
					,[
					[
						11,
						"counterFase"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					1123508629741032,
					false
					,[
					[
						11,
						"counterFase"
					]
,					[
						7,
						[
							0,
							3
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6995091100893985,
				[
				[
					-1,
					cr.system_object.prototype.cnds.Else,
					null,
					0,
					false,
					false,
					false,
					5443099755947685,
					false
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					4771165919396814,
					false
					,[
					[
						11,
						"counterFase"
					]
,					[
						7,
						[
							0,
							-1
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				3672256023009247,
				[
				],
				[
				[
					33,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					7889032922654255,
					false
					,[
					[
						1,
						[
							2,
							"esquerda"
						]
					]
,					[
						13,
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			17740305168908,
			[
			[
				21,
				cr.plugins_.Touch.prototype.cnds.OnTouchEnd,
				null,
				1,
				false,
				false,
				false,
				3334912077385205,
				false
			]
,			[
				21,
				cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
				null,
				0,
				false,
				false,
				false,
				538613543303952,
				false
				,[
				[
					4,
					31
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				7434901988019021,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					4132685962277435,
					false
					,[
					[
						11,
						"counterFase"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							3
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					3293835150972183,
					false
					,[
					[
						11,
						"counterFase"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6166996223767402,
				[
				[
					-1,
					cr.system_object.prototype.cnds.Else,
					null,
					0,
					false,
					false,
					false,
					5386319292070494,
					false
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					1351025241892087,
					false
					,[
					[
						11,
						"counterFase"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				1061326542141975,
				[
				],
				[
				[
					33,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					8007309734394205,
					false
					,[
					[
						1,
						[
							2,
							"direita"
						]
					]
,					[
						13,
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			9512407599022468,
			[
			[
				33,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				6211250821459904,
				false
				,[
				[
					1,
					[
						2,
						"direita"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				8344865575473855,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					2164475559650002,
					false
					,[
					[
						11,
						"counterFase"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							3
						]
					]
					]
				]
				],
				[
				[
					29,
					cr.behaviors.Fade.prototype.acts.RestartFade,
					"FadeOut",
					5282036998993049,
					false
				]
,				[
					30,
					cr.behaviors.Fade.prototype.acts.RestartFade,
					"FadeIn",
					2163377925461114,
					false
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				2044817955200181,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					880502663350586,
					false
					,[
					[
						11,
						"counterFase"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							2
						]
					]
					]
				]
				],
				[
				[
					26,
					cr.behaviors.Fade.prototype.acts.RestartFade,
					"FadeOut",
					3365619082707393,
					false
				]
,				[
					29,
					cr.behaviors.Fade.prototype.acts.RestartFade,
					"FadeIn",
					6905688118152476,
					false
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				3328376691475899,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					5437521473863821,
					false
					,[
					[
						11,
						"counterFase"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				],
				[
				[
					30,
					cr.behaviors.Fade.prototype.acts.RestartFade,
					"FadeOut",
					2868280100692318,
					false
				]
,				[
					26,
					cr.behaviors.Fade.prototype.acts.RestartFade,
					"FadeIn",
					1898871977626863,
					false
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			3754404333241129,
			[
			[
				33,
				cr.plugins_.Function.prototype.cnds.OnFunction,
				null,
				2,
				false,
				false,
				false,
				6779717362056265,
				false
				,[
				[
					1,
					[
						2,
						"esquerda"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				6184569479935673,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					9267128514634725,
					false
					,[
					[
						11,
						"counterFase"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							3
						]
					]
					]
				]
				],
				[
				[
					26,
					cr.behaviors.Fade.prototype.acts.RestartFade,
					"FadeOut",
					6480826477621893,
					false
				]
,				[
					30,
					cr.behaviors.Fade.prototype.acts.RestartFade,
					"FadeIn",
					5264413339687916,
					false
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8146497799674555,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					2865905596696001,
					false
					,[
					[
						11,
						"counterFase"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							2
						]
					]
					]
				]
				],
				[
				[
					30,
					cr.behaviors.Fade.prototype.acts.RestartFade,
					"FadeOut",
					5373986433100639,
					false
				]
,				[
					29,
					cr.behaviors.Fade.prototype.acts.RestartFade,
					"FadeIn",
					6559475188160902,
					false
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6426901351385105,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					9293136642085455,
					false
					,[
					[
						11,
						"counterFase"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				],
				[
				[
					29,
					cr.behaviors.Fade.prototype.acts.RestartFade,
					"FadeOut",
					2956966082312066,
					false
				]
,				[
					26,
					cr.behaviors.Fade.prototype.acts.RestartFade,
					"FadeIn",
					4383801016345858,
					false
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			4649841887824135,
			[
			[
				21,
				cr.plugins_.Touch.prototype.cnds.OnTouchObject,
				null,
				1,
				false,
				false,
				false,
				7000317528575309,
				false
				,[
				[
					4,
					34
				]
				]
			]
			],
			[
			[
				34,
				cr.plugins_.Sprite.prototype.acts.SetOpacity,
				null,
				9869687025449954,
				false
				,[
				[
					0,
					[
						0,
						70
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			5920533261427947,
			[
			[
				21,
				cr.plugins_.Touch.prototype.cnds.OnTouchEnd,
				null,
				1,
				false,
				false,
				false,
				7983829779862052,
				false
			]
			],
			[
			[
				34,
				cr.plugins_.Sprite.prototype.acts.SetOpacity,
				null,
				7794482816214828,
				false
				,[
				[
					0,
					[
						0,
						100
					]
				]
				]
			]
,			[
				31,
				cr.plugins_.Sprite.prototype.acts.SetScale,
				null,
				5811696935638444,
				false
				,[
				[
					0,
					[
						0,
						1
					]
				]
				]
			]
,			[
				32,
				cr.plugins_.Sprite.prototype.acts.SetScale,
				null,
				8350400279042477,
				false
				,[
				[
					0,
					[
						0,
						1
					]
				]
				]
			]
			]
			,[
			[
				0,
				null,
				false,
				null,
				6333225194491884,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
					null,
					0,
					false,
					false,
					false,
					2948301225592034,
					false
					,[
					[
						4,
						34
					]
					]
				]
				],
				[
				[
					23,
					cr.plugins_.Audio.prototype.acts.StopAll,
					null,
					2011893527237228,
					false
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					4930726310050761,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						7480255661895454,
						false
						,[
						[
							11,
							"counterFase"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.GoToLayout,
						null,
						7285588040840675,
						false
						,[
						[
							6,
							"terraDia"
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					879530075994993,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						4085196294762771,
						false
						,[
						[
							11,
							"counterFase"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								2
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.GoToLayout,
						null,
						346094712561001,
						false
						,[
						[
							6,
							"parkDia"
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					574641905986362,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						755935635071809,
						false
						,[
						[
							11,
							"counterFase"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								3
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.GoToLayout,
						null,
						7293115125880925,
						false
						,[
						[
							6,
							"quarto"
						]
						]
					]
					]
				]
				]
			]
			]
		]
		]
	]
,	[
		"masterEvents",
		[
		[
			1,
			"macaShot",
			0,
			0,
false,false,8982401870047435,false
		]
,		[
			1,
			"id",
			0,
			0,
false,false,6338883916614867,false
		]
,		[
			1,
			"animePassaro",
			0,
			0,
false,false,8429445151964041,false
		]
,		[
			1,
			"macaPosition",
			0,
			0,
false,false,9944682951059114,false
		]
,		[
			1,
			"macas",
			0,
			0,
false,false,8370052484458953,false
		]
,		[
			1,
			"stageX",
			0,
			0,
false,false,5963713410486406,false
		]
,		[
			1,
			"stageX2",
			0,
			0,
false,false,6206387706846456,false
		]
,		[
			1,
			"olhando",
			0,
			0,
false,false,518924487246496,false
		]
,		[
			1,
			"arbusto",
			0,
			0,
false,false,9852981730644918,false
		]
,		[
			1,
			"nuvem",
			0,
			0,
false,false,1050415125803647,false
		]
,		[
			0,
			null,
			false,
			null,
			1973440078653518,
			[
			[
				-1,
				cr.system_object.prototype.cnds.OnLayoutStart,
				null,
				1,
				false,
				false,
				false,
				8801737604842401,
				false
			]
			],
			[
			[
				64,
				cr.behaviors.Pin.prototype.acts.Pin,
				"Pin",
				334532903583426,
				false
				,[
				[
					4,
					1
				]
,				[
					3,
					1
				]
				]
			]
,			[
				66,
				cr.behaviors.Pin.prototype.acts.Pin,
				"Pin",
				8921355259863101,
				false
				,[
				[
					4,
					1
				]
,				[
					3,
					1
				]
				]
			]
,			[
				65,
				cr.behaviors.Pin.prototype.acts.Pin,
				"Pin",
				1705390055463177,
				false
				,[
				[
					4,
					1
				]
,				[
					3,
					1
				]
				]
			]
,			[
				67,
				cr.behaviors.Pin.prototype.acts.Pin,
				"Pin",
				9366369521941769,
				false
				,[
				[
					4,
					1
				]
,				[
					3,
					1
				]
				]
			]
,			[
				68,
				cr.behaviors.Pin.prototype.acts.Pin,
				"Pin",
				2205062710600541,
				false
				,[
				[
					4,
					1
				]
,				[
					3,
					1
				]
				]
			]
,			[
				75,
				cr.behaviors.Pin.prototype.acts.Pin,
				"Pin",
				8452911140692257,
				false
				,[
				[
					4,
					3
				]
,				[
					3,
					1
				]
				]
			]
,			[
				78,
				cr.behaviors.Pin.prototype.acts.Pin,
				"Pin",
				904534341826424,
				false
				,[
				[
					4,
					3
				]
,				[
					3,
					1
				]
				]
			]
,			[
				79,
				cr.behaviors.Pin.prototype.acts.Pin,
				"Pin",
				2699055477514981,
				false
				,[
				[
					4,
					78
				]
,				[
					3,
					1
				]
				]
			]
,			[
				83,
				cr.behaviors.Pin.prototype.acts.Pin,
				"Pin",
				413317477797955,
				false
				,[
				[
					4,
					3
				]
,				[
					3,
					1
				]
				]
			]
,			[
				84,
				cr.behaviors.Pin.prototype.acts.Pin,
				"Pin",
				7596510351449604,
				false
				,[
				[
					4,
					3
				]
,				[
					3,
					1
				]
				]
			]
,			[
				110,
				cr.behaviors.Pin.prototype.acts.Pin,
				"Pin",
				2142115012959291,
				false
				,[
				[
					4,
					1
				]
,				[
					3,
					1
				]
				]
			]
,			[
				35,
				cr.behaviors.custom.prototype.acts.SetSpeed,
				"CustomMovement",
				2010845003241233,
				false
				,[
				[
					3,
					1
				]
,				[
					0,
					[
						0,
						-40
					]
				]
				]
			]
,			[
				0,
				cr.plugins_.Sprite.prototype.acts.SetX,
				null,
				8434809886653897,
				false
				,[
				[
					0,
					[
						0,
						0
					]
				]
				]
			]
,			[
				3,
				cr.plugins_.Sprite.prototype.acts.SetX,
				null,
				21009548876182,
				false
				,[
				[
					0,
					[
						0,
						60
					]
				]
				]
			]
,			[
				1,
				cr.plugins_.Sprite.prototype.acts.SetX,
				null,
				8685575986622554,
				false
				,[
				[
					0,
					[
						0,
						60
					]
				]
				]
			]
,			[
				-1,
				cr.system_object.prototype.acts.ScrollX,
				null,
				9268141679871486,
				false
				,[
				[
					0,
					[
						0,
						650
					]
				]
				]
			]
,			[
				3,
				cr.plugins_.Sprite.prototype.acts.SetX,
				null,
				4459867350432223,
				false
				,[
				[
					0,
					[
						5,
						[
							6,
							[
								19,
								cr.system_object.prototype.exps.scrollx
							]
							,[
								1,
								0.2
							]
						]
						,[
							0,
							40
						]
					]
				]
				]
			]
,			[
				1,
				cr.plugins_.Sprite.prototype.acts.SetX,
				null,
				4459913220638321,
				false
				,[
				[
					0,
					[
						5,
						[
							6,
							[
								19,
								cr.system_object.prototype.exps.scrollx
							]
							,[
								1,
								0.8
							]
						]
						,[
							0,
							420
						]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "NUVENS"],
			false,
			null,
			8042370980044185,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				8042370980044185,
				false
				,[
				[
					1,
					[
						2,
						"NUVENS"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				7483213768287587,
				[
				[
					-1,
					cr.system_object.prototype.cnds.Every,
					null,
					0,
					false,
					false,
					false,
					8259719252645059,
					false
					,[
					[
						0,
						[
							0,
							8
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					4933847823380535,
					false
					,[
					[
						4,
						35
					]
,					[
						5,
						[
							2,
							"nuvem"
						]
					]
,					[
						0,
						[
							0,
							1510
						]
					]
,					[
						0,
						[
							19,
							cr.system_object.prototype.exps.random
							,[
[
								0,
								50
							]
,[
								0,
								400
							]
							]
						]
					]
					]
				]
,				[
					35,
					cr.behaviors.custom.prototype.acts.SetSpeed,
					"CustomMovement",
					7893914492946335,
					false
					,[
					[
						3,
						1
					]
,					[
						0,
						[
							0,
							-40
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					7692238244122654,
					false
					,[
					[
						11,
						"nuvem"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps.floor
							,[
[
								19,
								cr.system_object.prototype.exps.random
								,[
[
									0,
									1
								]
,[
									0,
									6
								]
								]
							]
							]
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					2472200538783641,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						8440212666595525,
						false
						,[
						[
							11,
							"nuvem"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					],
					[
					[
						35,
						cr.plugins_.Sprite.prototype.acts.SetScale,
						null,
						2633947120397558,
						false
						,[
						[
							0,
							[
								1,
								0.5
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					4705895871615836,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						3480008865533032,
						false
						,[
						[
							11,
							"nuvem"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								2
							]
						]
						]
					]
					],
					[
					[
						35,
						cr.plugins_.Sprite.prototype.acts.SetScale,
						null,
						4740946059446835,
						false
						,[
						[
							0,
							[
								1,
								0.7
							]
						]
						]
					]
,					[
						35,
						cr.plugins_.Sprite.prototype.acts.SetMirrored,
						null,
						2685976609254276,
						false
						,[
						[
							3,
							0
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5350296293834977,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						5880327288996081,
						false
						,[
						[
							11,
							"nuvem"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								3
							]
						]
						]
					]
					],
					[
					[
						35,
						cr.plugins_.Sprite.prototype.acts.SetScale,
						null,
						4430021089057279,
						false
						,[
						[
							0,
							[
								1,
								0.3
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					true,
					null,
					7497215545659897,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						3652415881952028,
						false
						,[
						[
							7,
							[
								19,
								cr.system_object.prototype.exps.layoutname
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"terraNoite"
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						4313333051700092,
						false
						,[
						[
							7,
							[
								19,
								cr.system_object.prototype.exps.layoutname
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"parkNoite"
							]
						]
						]
					]
					],
					[
					[
						35,
						cr.plugins_.Sprite.prototype.acts.SetOpacity,
						null,
						2928521157768981,
						false
						,[
						[
							0,
							[
								0,
								40
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				5385305489244835,
				[
				[
					35,
					cr.plugins_.Sprite.prototype.cnds.CompareX,
					null,
					0,
					false,
					false,
					false,
					6942485942122187,
					false
					,[
					[
						8,
						2
					]
,					[
						0,
						[
							0,
							-500
						]
					]
					]
				]
				],
				[
				[
					35,
					cr.plugins_.Sprite.prototype.acts.Destroy,
					null,
					7926632335226671,
					false
				]
				]
			]
			]
		]
		]
	]
,	[
		"parkDiaScript",
		[
		[
			1,
			"randonAlpiste",
			0,
			0,
false,false,9141661152625989,false
		]
,		[
			1,
			"tempoAlpiste",
			0,
			0,
false,false,310429708861102,false
		]
,		[
			1,
			"counterNana",
			0,
			0,
false,false,2403920686041081,false
		]
,		[
			1,
			"alturaAlpiste",
			0,
			0,
false,false,5946355591570928,false
		]
,		[
			1,
			"counterBalao",
			0,
			0,
false,false,9719933550254117,false
		]
,		[
			1,
			"alpiste",
			0,
			0,
false,false,6607226763364435,false
		]
,		[
			1,
			"borboleta",
			0,
			0,
false,false,4973154594552597,false
		]
,		[
			1,
			"balao",
			0,
			0,
false,false,7535953856846562,false
		]
,		[
			1,
			"balaoScale",
			0,
			0,
false,false,7577239892988457,false
		]
,		[
			1,
			"balaoHeight",
			0,
			166,
false,false,5825342245183155,false
		]
,		[
			1,
			"velocidadeAlpiste",
			0,
			0,
false,false,7363289475024726,false
		]
,		[
			1,
			"aceleracaoAlpiste",
			0,
			-200,
false,false,7594555735451862,false
		]
,		[
			1,
			"counterAlpiste",
			0,
			0,
false,false,9663311649927555,false
		]
,		[
			2,
			"masterEvents",
			false
		]
,		[
			0,
			null,
			false,
			null,
			9483251379879779,
			[
			[
				-1,
				cr.system_object.prototype.cnds.OnLayoutStart,
				null,
				1,
				false,
				false,
				false,
				6831154646097346,
				false
			]
			],
			[
			[
				-1,
				cr.system_object.prototype.acts.ResetGlobals,
				null,
				2644922872423433,
				false
			]
,			[
				42,
				cr.plugins_.Sprite.prototype.acts.StopAnim,
				null,
				1289583004502404,
				false
			]
,			[
				43,
				cr.plugins_.Sprite.prototype.acts.Destroy,
				null,
				7871338655385424,
				false
			]
,			[
				44,
				cr.plugins_.Sprite.prototype.acts.Destroy,
				null,
				6575954082652642,
				false
			]
,			[
				45,
				cr.plugins_.Sprite.prototype.acts.Destroy,
				null,
				4098166931729378,
				false
			]
,			[
				49,
				cr.plugins_.Sprite.prototype.acts.SetMirrored,
				null,
				6386849515611957,
				false
				,[
				[
					3,
					0
				]
				]
			]
,			[
				49,
				cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
				null,
				2577040154593855,
				false
				,[
				[
					0,
					[
						0,
						6
					]
				]
				]
			]
,			[
				50,
				cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
				null,
				9628423851002596,
				false
				,[
				[
					0,
					[
						0,
						11
					]
				]
				]
			]
,			[
				48,
				cr.behaviors.Pin.prototype.acts.Pin,
				"Pin",
				2397557028577308,
				false
				,[
				[
					4,
					47
				]
,				[
					3,
					0
				]
				]
			]
,			[
				51,
				cr.plugins_.Sprite.prototype.acts.StopAnim,
				null,
				4444483751619676,
				false
			]
,			[
				33,
				cr.plugins_.Function.prototype.acts.CallFunction,
				null,
				395925923966023,
				false
				,[
				[
					1,
					[
						2,
						"balao"
					]
				]
,				[
					13,
				]
				]
			]
,			[
				39,
				cr.plugins_.Sprite.prototype.acts.Destroy,
				null,
				4738429827694927,
				false
			]
,			[
				-1,
				cr.system_object.prototype.acts.SetVar,
				null,
				3562637385305679,
				false
				,[
				[
					11,
					"tempoAlpiste"
				]
,				[
					7,
					[
						0,
						0
					]
				]
				]
			]
,			[
				-1,
				cr.system_object.prototype.acts.SetVar,
				null,
				6806993417180216,
				false
				,[
				[
					11,
					"alpiste"
				]
,				[
					7,
					[
						0,
						0
					]
				]
				]
			]
,			[
				57,
				cr.plugins_.Sprite.prototype.acts.StopAnim,
				null,
				2775543662766134,
				false
			]
,			[
				23,
				cr.plugins_.Audio.prototype.acts.Play,
				null,
				5735861104175733,
				false
				,[
				[
					2,
					["parkdia",true]
				]
,				[
					3,
					0
				]
,				[
					0,
					[
						0,
						-8
					]
				]
,				[
					1,
					[
						2,
						"parkDia"
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "CENARIO"],
			false,
			null,
			5693991733129742,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				5693991733129742,
				false
				,[
				[
					1,
					[
						2,
						"CENARIO"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				3351897049065134,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchStart,
					null,
					1,
					false,
					false,
					false,
					2448659536413748,
					false
				]
,				[
					21,
					cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
					null,
					0,
					false,
					true,
					false,
					2431848024223811,
					false
					,[
					[
						4,
						47
					]
					]
				]
,				[
					21,
					cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
					null,
					0,
					false,
					true,
					false,
					2831494043183236,
					false
					,[
					[
						4,
						56
					]
					]
				]
,				[
					56,
					cr.behaviors.DragnDrop.prototype.cnds.IsDragging,
					"DragDrop",
					0,
					false,
					true,
					false,
					2581330337576039,
					false
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					5417733571621816,
					false
					,[
					[
						11,
						"stageX"
					]
,					[
						7,
						[
							20,
							21,
							cr.plugins_.Touch.prototype.exps.X,
							false,
							null
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6727734447687798,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.IsInTouch,
					null,
					0,
					false,
					false,
					false,
					4480841377380962,
					false
				]
,				[
					21,
					cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
					null,
					0,
					false,
					true,
					false,
					4093874600056509,
					false
					,[
					[
						4,
						47
					]
					]
				]
,				[
					21,
					cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
					null,
					0,
					false,
					true,
					false,
					949343972316322,
					false
					,[
					[
						4,
						56
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					1257146982701448,
					false
					,[
					[
						11,
						"stageX2"
					]
,					[
						7,
						[
							20,
							21,
							cr.plugins_.Touch.prototype.exps.X,
							false,
							null
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.ScrollX,
					null,
					665483828129996,
					false
					,[
					[
						0,
						[
							4,
							[
								19,
								cr.system_object.prototype.exps.scrollx
							]
							,[
								6,
								[
									5,
									[
										23,
										"stageX2"
									]
									,[
										23,
										"stageX"
									]
								]
								,[
									0,
									-1
								]
							]
						]
					]
					]
				]
,				[
					3,
					cr.plugins_.Sprite.prototype.acts.SetX,
					null,
					6434306716483419,
					false
					,[
					[
						0,
						[
							5,
							[
								6,
								[
									19,
									cr.system_object.prototype.exps.scrollx
								]
								,[
									1,
									0.2
								]
							]
							,[
								0,
								40
							]
						]
					]
					]
				]
,				[
					1,
					cr.plugins_.Sprite.prototype.acts.SetX,
					null,
					2650776772975788,
					false
					,[
					[
						0,
						[
							5,
							[
								6,
								[
									19,
									cr.system_object.prototype.exps.scrollx
								]
								,[
									1,
									0.8
								]
							]
							,[
								0,
								420
							]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "NANAROSA"],
			false,
			null,
			5265169844938556,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				5265169844938556,
				false
				,[
				[
					1,
					[
						2,
						"NANAROSA"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				4502164577733182,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					3380569645858742,
					false
					,[
					[
						4,
						37
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					6617451151954655,
					false
					,[
					[
						11,
						"counterAlpiste"
					]
,					[
						8,
						4
					]
,					[
						7,
						[
							5,
							[
								23,
								"alturaAlpiste"
							]
							,[
								0,
								2
							]
						]
					]
					]
				]
				],
				[
				[
					37,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					4231435128997189,
					false
					,[
					[
						1,
						[
							2,
							"anime2"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					7764557373007253,
					false
					,[
					[
						11,
						"counterAlpiste"
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					7402562034200602,
					false
					,[
					[
						11,
						"counterNana"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.Wait,
					null,
					664634812058563,
					false
					,[
					[
						0,
						[
							1,
							0.6
						]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Play,
					null,
					5645075498763509,
					false
					,[
					[
						2,
						["joga",false]
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							0
						]
					]
,					[
						1,
						[
							2,
							""
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				3038838147832938,
				[
				[
					37,
					cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
					null,
					1,
					false,
					false,
					false,
					2718988336927013,
					false
					,[
					[
						1,
						[
							2,
							"anime2"
						]
					]
					]
				]
				],
				[
				[
					37,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					7966244212898008,
					false
					,[
					[
						1,
						[
							2,
							"anime1"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					37,
					cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
					null,
					9879709059836145,
					false
					,[
					[
						0,
						[
							0,
							1
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					194441739337601,
					false
					,[
					[
						11,
						"tempoAlpiste"
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					9115765830359377,
					false
					,[
					[
						11,
						"randonAlpiste"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps.floor
							,[
[
								19,
								cr.system_object.prototype.exps.random
								,[
[
									0,
									1
								]
,[
									0,
									3
								]
								]
							]
							]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "ALPISTE"],
			false,
			null,
			1108759033478394,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				1108759033478394,
				false
				,[
				[
					1,
					[
						2,
						"ALPISTE"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				3811106347404415,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					1481662101099641,
					false
					,[
					[
						11,
						"alpiste"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					764147346747155,
					[
					[
						-1,
						cr.system_object.prototype.cnds.While,
						null,
						0,
						true,
						false,
						false,
						8232231232550516,
						false
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						5346614846393651,
						false
						,[
						[
							11,
							"counterAlpiste"
						]
,						[
							8,
							2
						]
,						[
							7,
							[
								23,
								"alturaAlpiste"
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.Every,
						null,
						0,
						false,
						false,
						false,
						8243982822339993,
						false
						,[
						[
							0,
							[
								1,
								0.015
							]
						]
						]
					]
,					[
						39,
						cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,
						null,
						0,
						false,
						false,
						false,
						8449506030289408,
						false
						,[
						[
							1,
							[
								2,
								"anime1"
							]
						]
						]
					]
,					[
						39,
						cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						9066777485673988,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								23,
								"counterNana"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						2911223490929407,
						false
						,[
						[
							11,
							"counterAlpiste"
						]
,						[
							7,
							[
								6,
								[
									0,
									1
								]
								,[
									6,
									[
										0,
										60
									]
									,[
										19,
										cr.system_object.prototype.exps.dt
									]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						8802638041807205,
						false
						,[
						[
							11,
							"aceleracaoAlpiste"
						]
,						[
							7,
							[
								6,
								[
									1,
									-0.7
								]
								,[
									6,
									[
										0,
										65
									]
									,[
										19,
										cr.system_object.prototype.exps.dt
									]
								]
							]
						]
						]
					]
,					[
						39,
						cr.plugins_.Sprite.prototype.acts.SetPos,
						null,
						8853824889000229,
						false
						,[
						[
							0,
							[
								4,
								[
									20,
									38,
									cr.plugins_.Sprite.prototype.exps.X,
									false,
									null
								]
								,[
									6,
									[
										19,
										cr.system_object.prototype.exps.cos
										,[
[
											6,
											[
												23,
												"aceleracaoAlpiste"
											]
											,[
												0,
												2
											]
										]
										]
									]
									,[
										0,
										182
									]
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									38,
									cr.plugins_.Sprite.prototype.exps.Y,
									false,
									null
								]
								,[
									6,
									[
										19,
										cr.system_object.prototype.exps.sin
										,[
[
											6,
											[
												23,
												"aceleracaoAlpiste"
											]
											,[
												0,
												2
											]
										]
										]
									]
									,[
										0,
										200
									]
								]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				1121573116835215,
				[
				[
					-1,
					cr.system_object.prototype.cnds.Compare,
					null,
					0,
					false,
					false,
					false,
					3455508557102561,
					false
					,[
					[
						7,
						[
							20,
							37,
							cr.plugins_.Sprite.prototype.exps.AnimationName,
							true,
							null
						]
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							2,
							"anime2"
						]
					]
					]
				]
,				[
					37,
					cr.plugins_.Sprite.prototype.cnds.CompareFrame,
					null,
					0,
					false,
					false,
					false,
					5783601230178108,
					false
					,[
					[
						8,
						0
					]
,					[
						0,
						[
							0,
							22
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					8482841123645617,
					false
					,[
					[
						11,
						"alpiste"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					843224833659808,
					false
					,[
					[
						11,
						"aceleracaoAlpiste"
					]
,					[
						7,
						[
							0,
							-200
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					7754235143310735,
					false
					,[
					[
						4,
						39
					]
,					[
						5,
						[
							2,
							"alpiste"
						]
					]
,					[
						0,
						[
							4,
							[
								20,
								38,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
							,[
								6,
								[
									19,
									cr.system_object.prototype.exps.cos
									,[
[
										6,
										[
											23,
											"aceleracaoAlpiste"
										]
										,[
											0,
											2
										]
									]
									]
								]
								,[
									0,
									182
								]
							]
						]
					]
,					[
						0,
						[
							4,
							[
								20,
								38,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
							,[
								6,
								[
									19,
									cr.system_object.prototype.exps.sin
									,[
[
										6,
										[
											23,
											"aceleracaoAlpiste"
										]
										,[
											0,
											2
										]
									]
									]
								]
								,[
									0,
									200
								]
							]
						]
					]
					]
				]
,				[
					39,
					cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
					null,
					3608560635698173,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							23,
							"counterNana"
						]
					]
					]
				]
,				[
					39,
					cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
					null,
					2376560318890016,
					false
					,[
					[
						0,
						[
							0,
							0
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					1484210782167858,
					false
					,[
					[
						11,
						"alturaAlpiste"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps.floor
							,[
[
								19,
								cr.system_object.prototype.exps.random
								,[
[
									0,
									83
								]
,[
									0,
									95
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					39,
					cr.plugins_.Sprite.prototype.acts.SetScale,
					null,
					2275526003122689,
					false
					,[
					[
						0,
						[
							19,
							cr.system_object.prototype.exps.random
							,[
[
								1,
								0.35
							]
,[
								1,
								0.55
							]
							]
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					5730665279442286,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						7669974521388794,
						false
						,[
						[
							11,
							"randonAlpiste"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								2
							]
						]
						]
					]
					],
					[
					[
						39,
						cr.plugins_.Sprite.prototype.acts.SetMirrored,
						null,
						9697968796705548,
						false
						,[
						[
							3,
							0
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				9515759622662282,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					2463640330195272,
					false
					,[
					[
						11,
						"counterAlpiste"
					]
,					[
						8,
						4
					]
,					[
						7,
						[
							5,
							[
								23,
								"alturaAlpiste"
							]
							,[
								0,
								2
							]
						]
					]
					]
				]
,				[
					39,
					cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
					null,
					0,
					false,
					false,
					false,
					7411243920877433,
					false
					,[
					[
						10,
						0
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							23,
							"counterNana"
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.Compare,
					null,
					0,
					false,
					false,
					false,
					4796419592196346,
					false
					,[
					[
						7,
						[
							20,
							39,
							cr.plugins_.Sprite.prototype.exps.AnimationName,
							true,
							null
						]
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							2,
							"anime1"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					4629778107551904,
					false
					,[
					[
						11,
						"alpiste"
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					41,
					cr.plugins_.Sprite.prototype.acts.SetAnimSpeed,
					null,
					4037136764131429,
					false
					,[
					[
						0,
						[
							0,
							23
						]
					]
					]
				]
,				[
					49,
					cr.plugins_.Sprite.prototype.acts.SetAnimSpeed,
					null,
					3019577685362422,
					false
					,[
					[
						0,
						[
							0,
							23
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Sprite.prototype.acts.SetAnimSpeed,
					null,
					5324351534981253,
					false
					,[
					[
						0,
						[
							0,
							23
						]
					]
					]
				]
,				[
					39,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					5501039278648837,
					false
					,[
					[
						1,
						[
							2,
							"anime2"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Play,
					null,
					8640468610464047,
					false
					,[
					[
						2,
						["graos",false]
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							0
						]
					]
,					[
						1,
						[
							2,
							""
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				7678447371980383,
				[
				[
					-1,
					cr.system_object.prototype.cnds.Every,
					null,
					0,
					false,
					false,
					false,
					6316263665911791,
					false
					,[
					[
						0,
						[
							1,
							1
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					2219480833109833,
					false
					,[
					[
						11,
						"tempoAlpiste"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				2135295577777777,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					8168043612199471,
					false
					,[
					[
						11,
						"tempoAlpiste"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							6
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.Wait,
					null,
					6808966714115561,
					false
					,[
					[
						0,
						[
							0,
							2
						]
					]
					]
				]
,				[
					41,
					cr.plugins_.Sprite.prototype.acts.SetAnimSpeed,
					null,
					3265453761852413,
					false
					,[
					[
						0,
						[
							0,
							15
						]
					]
					]
				]
,				[
					49,
					cr.plugins_.Sprite.prototype.acts.SetAnimSpeed,
					null,
					2915016625795429,
					false
					,[
					[
						0,
						[
							0,
							15
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Sprite.prototype.acts.SetAnimSpeed,
					null,
					6532068152036738,
					false
					,[
					[
						0,
						[
							0,
							15
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			3628060216266598,
			[
			[
				39,
				cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
				null,
				1,
				false,
				false,
				false,
				7423379412988928,
				false
				,[
				[
					1,
					[
						2,
						"anime2"
					]
				]
				]
			]
			],
			[
			[
				-1,
				cr.system_object.prototype.acts.Wait,
				null,
				6599340923652117,
				false
				,[
				[
					0,
					[
						0,
						10
					]
				]
				]
			]
,			[
				39,
				cr.behaviors.Fade.prototype.acts.RestartFade,
				"fadeOut",
				2602981091435334,
				false
			]
			]
		]
,		[
			0,
			[true, "PASSAROS"],
			false,
			null,
			9774910483524619,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				9774910483524619,
				false
				,[
				[
					1,
					[
						2,
						"PASSAROS"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				1819068019945629,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					2130449804345497,
					false
					,[
					[
						4,
						41
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.Compare,
					null,
					0,
					false,
					false,
					false,
					6704127311170949,
					false
					,[
					[
						7,
						[
							20,
							41,
							cr.plugins_.Sprite.prototype.exps.AnimationName,
							true,
							null
						]
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							2,
							"anime1"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					6116250341187396,
					false
					,[
					[
						11,
						"animePassaro"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps.floor
							,[
[
								19,
								cr.system_object.prototype.exps.random
								,[
[
									0,
									2
								]
,[
									0,
									4
								]
								]
							]
							]
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					887938810629461,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						7376320252541196,
						false
						,[
						[
							11,
							"animePassaro"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								2
							]
						]
						]
					]
					],
					[
					[
						41,
						cr.plugins_.Sprite.prototype.acts.SetAnim,
						null,
						229607164104398,
						false
						,[
						[
							1,
							[
								2,
								"anime2"
							]
						]
,						[
							3,
							1
						]
						]
					]
,					[
						23,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						5851525646997337,
						false
						,[
						[
							2,
							["birdjump",false]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								0
							]
						]
,						[
							1,
							[
								2,
								""
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					6244130995467388,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						7940169159060953,
						false
						,[
						[
							11,
							"animePassaro"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								3
							]
						]
						]
					]
					],
					[
					[
						41,
						cr.plugins_.Sprite.prototype.acts.SetAnim,
						null,
						2927240010144813,
						false
						,[
						[
							1,
							[
								2,
								"anime3"
							]
						]
,						[
							3,
							1
						]
						]
					]
,					[
						23,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						6565543812553802,
						false
						,[
						[
							2,
							["birdinho",false]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								0
							]
						]
,						[
							1,
							[
								2,
								""
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				true,
				null,
				4963892795565316,
				[
				[
					41,
					cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
					null,
					1,
					false,
					false,
					false,
					9449764199292733,
					false
					,[
					[
						1,
						[
							2,
							"anime2"
						]
					]
					]
				]
,				[
					41,
					cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
					null,
					1,
					false,
					false,
					false,
					2469373511673117,
					false
					,[
					[
						1,
						[
							2,
							"anime3"
						]
					]
					]
				]
				],
				[
				[
					41,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					1097711767901836,
					false
					,[
					[
						1,
						[
							2,
							"anime1"
						]
					]
,					[
						3,
						1
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				1670121782843469,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					8235421142377594,
					false
					,[
					[
						4,
						49
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.Compare,
					null,
					0,
					false,
					false,
					false,
					1010321194498139,
					false
					,[
					[
						7,
						[
							20,
							49,
							cr.plugins_.Sprite.prototype.exps.AnimationName,
							true,
							null
						]
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							2,
							"anime1"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					4966652615248472,
					false
					,[
					[
						11,
						"animePassaro"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps.floor
							,[
[
								19,
								cr.system_object.prototype.exps.random
								,[
[
									0,
									2
								]
,[
									0,
									4
								]
								]
							]
							]
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					9129996351120792,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						5321607742567368,
						false
						,[
						[
							11,
							"animePassaro"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								2
							]
						]
						]
					]
					],
					[
					[
						49,
						cr.plugins_.Sprite.prototype.acts.SetAnim,
						null,
						336963130408351,
						false
						,[
						[
							1,
							[
								2,
								"anime2"
							]
						]
,						[
							3,
							1
						]
						]
					]
,					[
						23,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						7311258424402952,
						false
						,[
						[
							2,
							["birdjump",false]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								0
							]
						]
,						[
							1,
							[
								2,
								""
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					9047043995678213,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						3553310335165144,
						false
						,[
						[
							11,
							"animePassaro"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								3
							]
						]
						]
					]
					],
					[
					[
						49,
						cr.plugins_.Sprite.prototype.acts.SetAnim,
						null,
						8175087427293023,
						false
						,[
						[
							1,
							[
								2,
								"anime3"
							]
						]
,						[
							3,
							1
						]
						]
					]
,					[
						23,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						4411987874149532,
						false
						,[
						[
							2,
							["birdinho",false]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								0
							]
						]
,						[
							1,
							[
								2,
								""
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				true,
				null,
				5467247106711475,
				[
				[
					49,
					cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
					null,
					1,
					false,
					false,
					false,
					1895212030497714,
					false
					,[
					[
						1,
						[
							2,
							"anime2"
						]
					]
					]
				]
,				[
					49,
					cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
					null,
					1,
					false,
					false,
					false,
					6996303601847147,
					false
					,[
					[
						1,
						[
							2,
							"anime3"
						]
					]
					]
				]
				],
				[
				[
					49,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					2442606042360937,
					false
					,[
					[
						1,
						[
							2,
							"anime1"
						]
					]
,					[
						3,
						1
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				7990510343652276,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					5013302270992257,
					false
					,[
					[
						4,
						50
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.Compare,
					null,
					0,
					false,
					false,
					false,
					4760295574275371,
					false
					,[
					[
						7,
						[
							20,
							50,
							cr.plugins_.Sprite.prototype.exps.AnimationName,
							true,
							null
						]
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							2,
							"anime1"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					8835700423871966,
					false
					,[
					[
						11,
						"animePassaro"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps.floor
							,[
[
								19,
								cr.system_object.prototype.exps.random
								,[
[
									0,
									2
								]
,[
									0,
									4
								]
								]
							]
							]
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					2287391584597689,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						8170442269278649,
						false
						,[
						[
							11,
							"animePassaro"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								2
							]
						]
						]
					]
					],
					[
					[
						50,
						cr.plugins_.Sprite.prototype.acts.SetAnim,
						null,
						7594688086015041,
						false
						,[
						[
							1,
							[
								2,
								"anime2"
							]
						]
,						[
							3,
							1
						]
						]
					]
,					[
						23,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						9096225749022586,
						false
						,[
						[
							2,
							["birdjump",false]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								0
							]
						]
,						[
							1,
							[
								2,
								""
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3445323972247366,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						90901069523622,
						false
						,[
						[
							11,
							"animePassaro"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								3
							]
						]
						]
					]
					],
					[
					[
						50,
						cr.plugins_.Sprite.prototype.acts.SetAnim,
						null,
						2571849341439812,
						false
						,[
						[
							1,
							[
								2,
								"anime3"
							]
						]
,						[
							3,
							1
						]
						]
					]
,					[
						23,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						9474134413135444,
						false
						,[
						[
							2,
							["birdinho",false]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								0
							]
						]
,						[
							1,
							[
								2,
								""
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				true,
				null,
				6032688703954396,
				[
				[
					50,
					cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
					null,
					1,
					false,
					false,
					false,
					9601279290581107,
					false
					,[
					[
						1,
						[
							2,
							"anime2"
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
					null,
					1,
					false,
					false,
					false,
					6176468018567001,
					false
					,[
					[
						1,
						[
							2,
							"anime3"
						]
					]
					]
				]
				],
				[
				[
					50,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					3123072955418051,
					false
					,[
					[
						1,
						[
							2,
							"anime1"
						]
					]
,					[
						3,
						1
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "ARBUSTO"],
			false,
			null,
			6061405002753972,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				6061405002753972,
				false
				,[
				[
					1,
					[
						2,
						"ARBUSTO"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				9309084707617893,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					5882740839910876,
					false
					,[
					[
						4,
						42
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					937033773273157,
					false
					,[
					[
						11,
						"arbusto"
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					3636142879740166,
					false
					,[
					[
						11,
						"borboleta"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					42,
					cr.plugins_.Sprite.prototype.acts.StartAnim,
					null,
					265923937276639,
					false
					,[
					[
						3,
						1
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Play,
					null,
					5337869628239025,
					false
					,[
					[
						2,
						["arbusto",false]
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							-8
						]
					]
,					[
						1,
						[
							2,
							"arbusto"
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					1019319373254046,
					[
					[
						42,
						cr.plugins_.Sprite.prototype.cnds.IsBoolInstanceVarSet,
						null,
						0,
						false,
						true,
						false,
						9499059037000682,
						false
						,[
						[
							10,
							0
						]
						]
					]
					],
					[
					[
						42,
						cr.plugins_.Sprite.prototype.acts.SetBoolInstanceVar,
						null,
						6654505483040247,
						false
						,[
						[
							10,
							0
						]
,						[
							3,
							1
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						2488752721687603,
						false
						,[
						[
							4,
							43
						]
,						[
							5,
							[
								2,
								"borboletas"
							]
						]
,						[
							0,
							[
								20,
								42,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
						]
,						[
							0,
							[
								20,
								42,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						9988016140275799,
						false
						,[
						[
							4,
							44
						]
,						[
							5,
							[
								2,
								"borboletas"
							]
						]
,						[
							0,
							[
								20,
								42,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
						]
,						[
							0,
							[
								20,
								42,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						9237108266926174,
						false
						,[
						[
							4,
							45
						]
,						[
							5,
							[
								2,
								"borboletas"
							]
						]
,						[
							0,
							[
								20,
								42,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
						]
,						[
							0,
							[
								20,
								42,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
						]
						]
					]
,					[
						43,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						9150451898128659,
						false
						,[
						[
							0,
							[
								19,
								cr.system_object.prototype.exps.floor
								,[
[
									19,
									cr.system_object.prototype.exps.random
									,[
[
										0,
										0
									]
,[
										0,
										5
									]
									]
								]
								]
							]
						]
						]
					]
,					[
						44,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						5035051674509905,
						false
						,[
						[
							0,
							[
								19,
								cr.system_object.prototype.exps.floor
								,[
[
									19,
									cr.system_object.prototype.exps.random
									,[
[
										0,
										0
									]
,[
										0,
										5
									]
									]
								]
								]
							]
						]
						]
					]
,					[
						45,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						2354083474123777,
						false
						,[
						[
							0,
							[
								19,
								cr.system_object.prototype.exps.floor
								,[
[
									19,
									cr.system_object.prototype.exps.random
									,[
[
										0,
										0
									]
,[
										0,
										5
									]
									]
								]
								]
							]
						]
						]
					]
,					[
						43,
						cr.behaviors.Rex_MoveTo.prototype.acts.SetTargetPos,
						"MoveTo",
						3459874580423534,
						false
						,[
						[
							0,
							[
								4,
								[
									20,
									42,
									cr.plugins_.Sprite.prototype.exps.X,
									false,
									null
								]
								,[
									19,
									cr.system_object.prototype.exps.random
									,[
[
										0,
										-100
									]
,[
										0,
										100
									]
									]
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									42,
									cr.plugins_.Sprite.prototype.exps.Y,
									false,
									null
								]
								,[
									19,
									cr.system_object.prototype.exps.random
									,[
[
										0,
										-70
									]
,[
										0,
										-140
									]
									]
								]
							]
						]
						]
					]
,					[
						44,
						cr.behaviors.Rex_MoveTo.prototype.acts.SetTargetPos,
						"MoveTo",
						6320954139597512,
						false
						,[
						[
							0,
							[
								4,
								[
									20,
									42,
									cr.plugins_.Sprite.prototype.exps.X,
									false,
									null
								]
								,[
									19,
									cr.system_object.prototype.exps.random
									,[
[
										0,
										-100
									]
,[
										0,
										100
									]
									]
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									42,
									cr.plugins_.Sprite.prototype.exps.Y,
									false,
									null
								]
								,[
									19,
									cr.system_object.prototype.exps.random
									,[
[
										0,
										-80
									]
,[
										0,
										-150
									]
									]
								]
							]
						]
						]
					]
,					[
						45,
						cr.behaviors.Rex_MoveTo.prototype.acts.SetTargetPos,
						"MoveTo",
						3283627773185717,
						false
						,[
						[
							0,
							[
								4,
								[
									20,
									42,
									cr.plugins_.Sprite.prototype.exps.X,
									false,
									null
								]
								,[
									19,
									cr.system_object.prototype.exps.random
									,[
[
										0,
										-110
									]
,[
										0,
										70
									]
									]
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									42,
									cr.plugins_.Sprite.prototype.exps.Y,
									false,
									null
								]
								,[
									19,
									cr.system_object.prototype.exps.random
									,[
[
										0,
										-90
									]
,[
										0,
										-150
									]
									]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						7017588619465371,
						false
						,[
						[
							0,
							[
								0,
								5
							]
						]
						]
					]
,					[
						43,
						cr.behaviors.Rex_MoveTo.prototype.acts.SetTargetPos,
						"MoveTo",
						8211304232185202,
						false
						,[
						[
							0,
							[
								20,
								42,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
						]
,						[
							0,
							[
								20,
								42,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
						]
						]
					]
,					[
						44,
						cr.behaviors.Rex_MoveTo.prototype.acts.SetTargetPos,
						"MoveTo",
						1939835332697314,
						false
						,[
						[
							0,
							[
								20,
								42,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
						]
,						[
							0,
							[
								20,
								42,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
						]
						]
					]
,					[
						45,
						cr.behaviors.Rex_MoveTo.prototype.acts.SetTargetPos,
						"MoveTo",
						1688807938293368,
						false
						,[
						[
							0,
							[
								20,
								42,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
						]
,						[
							0,
							[
								20,
								42,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				3952861610102283,
				[
				[
					42,
					cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
					null,
					1,
					false,
					false,
					false,
					4066127547963557,
					false
					,[
					[
						1,
						[
							2,
							"anime1"
						]
					]
					]
				]
				],
				[
				[
					42,
					cr.plugins_.Sprite.prototype.acts.StopAnim,
					null,
					6735720556481312,
					false
				]
,				[
					42,
					cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
					null,
					8666496406517299,
					false
					,[
					[
						0,
						[
							0,
							0
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "BORBOLETAS"],
			false,
			null,
			8508186502635749,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				8508186502635749,
				false
				,[
				[
					1,
					[
						2,
						"BORBOLETAS"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				2613185859470987,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					4681644119027757,
					false
					,[
					[
						11,
						"borboleta"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.Every,
					null,
					0,
					false,
					false,
					false,
					7858119614923236,
					false
					,[
					[
						0,
						[
							1,
							1
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					426597787607685,
					false
					,[
					[
						11,
						"arbusto"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				9054293311101633,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					610970811043899,
					false
					,[
					[
						11,
						"arbusto"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							9
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					7383822980955569,
					false
					,[
					[
						11,
						"borboleta"
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					8675433241921898,
					false
					,[
					[
						11,
						"arbusto"
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					43,
					cr.behaviors.Rex_MoveTo.prototype.acts.SetTargetPos,
					"MoveTo",
					5633213466492801,
					false
					,[
					[
						0,
						[
							20,
							42,
							cr.plugins_.Sprite.prototype.exps.X,
							false,
							null
						]
					]
,					[
						0,
						[
							20,
							42,
							cr.plugins_.Sprite.prototype.exps.Y,
							false,
							null
						]
					]
					]
				]
,				[
					44,
					cr.behaviors.Rex_MoveTo.prototype.acts.SetTargetPos,
					"MoveTo",
					2608517073936819,
					false
					,[
					[
						0,
						[
							20,
							42,
							cr.plugins_.Sprite.prototype.exps.X,
							false,
							null
						]
					]
,					[
						0,
						[
							20,
							42,
							cr.plugins_.Sprite.prototype.exps.Y,
							false,
							null
						]
					]
					]
				]
,				[
					45,
					cr.behaviors.Rex_MoveTo.prototype.acts.SetTargetPos,
					"MoveTo",
					4095814118455883,
					false
					,[
					[
						0,
						[
							20,
							42,
							cr.plugins_.Sprite.prototype.exps.X,
							false,
							null
						]
					]
,					[
						0,
						[
							20,
							42,
							cr.plugins_.Sprite.prototype.exps.Y,
							false,
							null
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6523765218379234,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					3218771771136221,
					false
					,[
					[
						11,
						"arbusto"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							2
						]
					]
					]
				]
				],
				[
				[
					42,
					cr.plugins_.Sprite.prototype.acts.SetBoolInstanceVar,
					null,
					3331440231787305,
					false
					,[
					[
						10,
						0
					]
,					[
						3,
						0
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8378578943045091,
				[
				[
					43,
					cr.behaviors.Rex_MoveTo.prototype.cnds.OnHitTarget,
					"MoveTo",
					1,
					false,
					false,
					false,
					1741273590253016,
					false
				]
,				[
					43,
					cr.plugins_.Sprite.prototype.cnds.CompareY,
					null,
					0,
					false,
					false,
					false,
					277418103600269,
					false
					,[
					[
						8,
						4
					]
,					[
						0,
						[
							5,
							[
								20,
								42,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
							,[
								0,
								5
							]
						]
					]
					]
				]
,				[
					43,
					cr.plugins_.Sprite.prototype.cnds.CompareX,
					null,
					0,
					false,
					false,
					false,
					5477256539224697,
					false
					,[
					[
						8,
						4
					]
,					[
						0,
						[
							5,
							[
								20,
								42,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
							,[
								0,
								100
							]
						]
					]
					]
				]
,				[
					43,
					cr.plugins_.Sprite.prototype.cnds.CompareX,
					null,
					0,
					false,
					false,
					false,
					8462704521374327,
					false
					,[
					[
						8,
						2
					]
,					[
						0,
						[
							4,
							[
								20,
								42,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
							,[
								0,
								80
							]
						]
					]
					]
				]
				],
				[
				[
					43,
					cr.plugins_.Sprite.prototype.acts.Destroy,
					null,
					9882480772166749,
					false
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6383712390103649,
				[
				[
					44,
					cr.behaviors.Rex_MoveTo.prototype.cnds.OnHitTarget,
					"MoveTo",
					1,
					false,
					false,
					false,
					1164915411478468,
					false
				]
,				[
					44,
					cr.plugins_.Sprite.prototype.cnds.CompareY,
					null,
					0,
					false,
					false,
					false,
					9045667096423375,
					false
					,[
					[
						8,
						4
					]
,					[
						0,
						[
							5,
							[
								20,
								42,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
							,[
								0,
								5
							]
						]
					]
					]
				]
,				[
					44,
					cr.plugins_.Sprite.prototype.cnds.CompareX,
					null,
					0,
					false,
					false,
					false,
					5715569449773063,
					false
					,[
					[
						8,
						4
					]
,					[
						0,
						[
							5,
							[
								20,
								42,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
							,[
								0,
								100
							]
						]
					]
					]
				]
,				[
					44,
					cr.plugins_.Sprite.prototype.cnds.CompareX,
					null,
					0,
					false,
					false,
					false,
					7646352765283096,
					false
					,[
					[
						8,
						2
					]
,					[
						0,
						[
							4,
							[
								20,
								42,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
							,[
								0,
								80
							]
						]
					]
					]
				]
				],
				[
				[
					44,
					cr.plugins_.Sprite.prototype.acts.Destroy,
					null,
					4356003783070316,
					false
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				1071843173255431,
				[
				[
					45,
					cr.behaviors.Rex_MoveTo.prototype.cnds.OnHitTarget,
					"MoveTo",
					1,
					false,
					false,
					false,
					6922895323941611,
					false
				]
,				[
					45,
					cr.plugins_.Sprite.prototype.cnds.CompareY,
					null,
					0,
					false,
					false,
					false,
					8313415356763802,
					false
					,[
					[
						8,
						4
					]
,					[
						0,
						[
							5,
							[
								20,
								42,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
							,[
								0,
								5
							]
						]
					]
					]
				]
,				[
					45,
					cr.plugins_.Sprite.prototype.cnds.CompareX,
					null,
					0,
					false,
					false,
					false,
					562411219066464,
					false
					,[
					[
						8,
						4
					]
,					[
						0,
						[
							5,
							[
								20,
								42,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
							,[
								0,
								100
							]
						]
					]
					]
				]
,				[
					45,
					cr.plugins_.Sprite.prototype.cnds.CompareX,
					null,
					0,
					false,
					false,
					false,
					6449557746624571,
					false
					,[
					[
						8,
						2
					]
,					[
						0,
						[
							4,
							[
								20,
								42,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
							,[
								0,
								80
							]
						]
					]
					]
				]
				],
				[
				[
					45,
					cr.plugins_.Sprite.prototype.acts.Destroy,
					null,
					6257071439076007,
					false
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6905252607518985,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					5477515909335899,
					false
					,[
					[
						11,
						"borboleta"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.Every,
					null,
					0,
					false,
					false,
					false,
					8366210378877446,
					false
					,[
					[
						0,
						[
							1,
							0.1
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					1322979356005917,
					[
					[
						43,
						cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						8504887044693959,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							2
						]
,						[
							7,
							[
								20,
								43,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
						]
						]
					]
					],
					[
					[
						43,
						cr.plugins_.Sprite.prototype.acts.SetMirrored,
						null,
						1202320678258086,
						false
						,[
						[
							3,
							0
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5748927255564824,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Else,
						null,
						0,
						false,
						false,
						false,
						3083494005540796,
						false
					]
					],
					[
					[
						43,
						cr.plugins_.Sprite.prototype.acts.SetMirrored,
						null,
						5872830336907326,
						false
						,[
						[
							3,
							1
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					6814566290357937,
					[
					[
						44,
						cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						5126525123068261,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							2
						]
,						[
							7,
							[
								20,
								44,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
						]
						]
					]
					],
					[
					[
						44,
						cr.plugins_.Sprite.prototype.acts.SetMirrored,
						null,
						2932531932477158,
						false
						,[
						[
							3,
							0
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7272720393355708,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Else,
						null,
						0,
						false,
						false,
						false,
						2800121340613828,
						false
					]
					],
					[
					[
						44,
						cr.plugins_.Sprite.prototype.acts.SetMirrored,
						null,
						1774393386734787,
						false
						,[
						[
							3,
							1
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					434599288359592,
					[
					[
						45,
						cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						5878006634143584,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							2
						]
,						[
							7,
							[
								20,
								45,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
						]
						]
					]
					],
					[
					[
						45,
						cr.plugins_.Sprite.prototype.acts.SetMirrored,
						null,
						2369775676590883,
						false
						,[
						[
							3,
							0
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7572035642750223,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Else,
						null,
						0,
						false,
						false,
						false,
						9842051569561349,
						false
					]
					],
					[
					[
						45,
						cr.plugins_.Sprite.prototype.acts.SetMirrored,
						null,
						1024229624243613,
						false
						,[
						[
							3,
							1
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					313943966121453,
					[
					],
					[
					[
						43,
						cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
						null,
						6059648072613557,
						false
						,[
						[
							10,
							0
						]
,						[
							7,
							[
								20,
								43,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
						]
						]
					]
,					[
						44,
						cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
						null,
						789286505644208,
						false
						,[
						[
							10,
							0
						]
,						[
							7,
							[
								20,
								44,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
						]
						]
					]
,					[
						45,
						cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
						null,
						6880252543530461,
						false
						,[
						[
							10,
							0
						]
,						[
							7,
							[
								20,
								45,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
						]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "PASSARO GORDO"],
			false,
			null,
			5497440162520147,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				5497440162520147,
				false
				,[
				[
					1,
					[
						2,
						"PASSARO GORDO"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				3839376388480551,
				[
				[
					47,
					cr.plugins_.Sprite.prototype.cnds.CompareX,
					null,
					0,
					false,
					false,
					false,
					8649929727336398,
					false
					,[
					[
						8,
						4
					]
,					[
						0,
						[
							5,
							[
								20,
								49,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
							,[
								0,
								200
							]
						]
					]
					]
				]
,				[
					47,
					cr.plugins_.Sprite.prototype.cnds.CompareX,
					null,
					0,
					false,
					false,
					false,
					8353906690913562,
					false
					,[
					[
						8,
						2
					]
,					[
						0,
						[
							4,
							[
								20,
								49,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
							,[
								0,
								200
							]
						]
					]
					]
				]
,				[
					47,
					cr.plugins_.Sprite.prototype.cnds.CompareY,
					null,
					0,
					false,
					false,
					false,
					1213615672506727,
					false
					,[
					[
						8,
						2
					]
,					[
						0,
						[
							4,
							[
								20,
								49,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
							,[
								0,
								40
							]
						]
					]
					]
				]
,				[
					47,
					cr.plugins_.Sprite.prototype.cnds.CompareY,
					null,
					0,
					false,
					false,
					false,
					1889538812099366,
					false
					,[
					[
						8,
						4
					]
,					[
						0,
						[
							5,
							[
								20,
								49,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
							,[
								0,
								300
							]
						]
					]
					]
				]
				],
				[
				[
					41,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					9721025998620295,
					false
					,[
					[
						1,
						[
							2,
							"anime2"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.Wait,
					null,
					6533618272265822,
					false
					,[
					[
						0,
						[
							1,
							0.5
						]
					]
					]
				]
,				[
					49,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					2497715256540374,
					false
					,[
					[
						1,
						[
							2,
							"anime2"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.Wait,
					null,
					3832312208688138,
					false
					,[
					[
						0,
						[
							1,
							0.5
						]
					]
					]
				]
,				[
					50,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					7382033501163011,
					false
					,[
					[
						1,
						[
							2,
							"anime2"
						]
					]
,					[
						3,
						1
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				4752039759717043,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					805386468918576,
					false
					,[
					[
						4,
						47
					]
					]
				]
				],
				[
				[
					47,
					cr.behaviors.Pin.prototype.acts.Unpin,
					"Pin",
					3059042105248851,
					false
				]
,				[
					47,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					9876481633572299,
					false
					,[
					[
						1,
						[
							2,
							"anime2"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					48,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					5171271465168788,
					false
					,[
					[
						1,
						[
							2,
							"anime2"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					47,
					cr.behaviors.Rex_MoveTo.prototype.acts.Stop,
					"MoveTo",
					192683421664757,
					false
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				7010268268314281,
				[
				[
					47,
					cr.behaviors.DragnDrop.prototype.cnds.OnDragStart,
					"DragDrop",
					1,
					false,
					false,
					false,
					8603256361878279,
					false
				]
				],
				[
				[
					47,
					cr.behaviors.Sin.prototype.acts.SetActive,
					"Sine",
					7494974775358225,
					false
					,[
					[
						3,
						1
					]
					]
				]
,				[
					47,
					cr.behaviors.Rex_MoveTo.prototype.acts.SetMaxSpeed,
					"MoveTo",
					9546059059485827,
					false
					,[
					[
						0,
						[
							0,
							120
						]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Play,
					null,
					3833557316629535,
					false
					,[
					[
						2,
						["birdao",false]
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							-10
						]
					]
,					[
						1,
						[
							2,
							""
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				5869392472263684,
				[
				[
					47,
					cr.behaviors.DragnDrop.prototype.cnds.OnDrop,
					"DragDrop",
					1,
					false,
					false,
					false,
					2764415029150058,
					false
				]
				],
				[
				[
					47,
					cr.behaviors.Sin.prototype.acts.SetActive,
					"Sine",
					3089300433895374,
					false
					,[
					[
						3,
						1
					]
					]
				]
,				[
					47,
					cr.behaviors.Rex_MoveTo.prototype.acts.SetTargetPos,
					"MoveTo",
					6011032134836186,
					false
					,[
					[
						0,
						[
							4,
							[
								20,
								46,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
							,[
								0,
								55
							]
						]
					]
,					[
						0,
						[
							5,
							[
								20,
								46,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
							,[
								0,
								5
							]
						]
					]
					]
				]
,				[
					47,
					cr.plugins_.Sprite.prototype.acts.SetAnimSpeed,
					null,
					4935887811249523,
					false
					,[
					[
						0,
						[
							0,
							30
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					2795753082192847,
					[
					[
						23,
						cr.plugins_.Audio.prototype.cnds.IsTagPlaying,
						null,
						0,
						false,
						true,
						false,
						9379854656554487,
						false
						,[
						[
							1,
							[
								2,
								"birdFlying"
							]
						]
						]
					]
					],
					[
					[
						23,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						3087609429995561,
						false
						,[
						[
							2,
							["birdflying",false]
						]
,						[
							3,
							1
						]
,						[
							0,
							[
								0,
								-6
							]
						]
,						[
							1,
							[
								2,
								"birdFlying"
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				1355908480795485,
				[
				[
					47,
					cr.behaviors.Rex_MoveTo.prototype.cnds.OnHitTarget,
					"MoveTo",
					1,
					false,
					false,
					false,
					6563267169827089,
					false
				]
,				[
					47,
					cr.plugins_.Sprite.prototype.cnds.CompareY,
					null,
					0,
					false,
					false,
					false,
					7697953072820173,
					false
					,[
					[
						8,
						0
					]
,					[
						0,
						[
							5,
							[
								20,
								46,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
							,[
								0,
								5
							]
						]
					]
					]
				]
				],
				[
				[
					47,
					cr.behaviors.Rex_MoveTo.prototype.acts.SetMaxSpeed,
					"MoveTo",
					4577516257820004,
					false
					,[
					[
						0,
						[
							0,
							30
						]
					]
					]
				]
,				[
					47,
					cr.behaviors.Rex_MoveTo.prototype.acts.SetTargetPos,
					"MoveTo",
					4601370811753837,
					false
					,[
					[
						0,
						[
							4,
							[
								20,
								46,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
							,[
								0,
								55
							]
						]
					]
,					[
						0,
						[
							5,
							[
								20,
								46,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
							,[
								0,
								25
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				2343665490889345,
				[
				[
					47,
					cr.behaviors.Rex_MoveTo.prototype.cnds.OnHitTarget,
					"MoveTo",
					1,
					false,
					false,
					false,
					3128214032995387,
					false
				]
,				[
					47,
					cr.plugins_.Sprite.prototype.cnds.CompareY,
					null,
					0,
					false,
					false,
					false,
					9267510020978654,
					false
					,[
					[
						8,
						0
					]
,					[
						0,
						[
							5,
							[
								20,
								46,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
							,[
								0,
								25
							]
						]
					]
					]
				]
				],
				[
				[
					47,
					cr.behaviors.Rex_MoveTo.prototype.acts.SetMaxSpeed,
					"MoveTo",
					3033840299532227,
					false
					,[
					[
						0,
						[
							0,
							10
						]
					]
					]
				]
,				[
					47,
					cr.behaviors.Rex_MoveTo.prototype.acts.SetTargetPos,
					"MoveTo",
					6257530563236862,
					false
					,[
					[
						0,
						[
							4,
							[
								20,
								46,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
							,[
								0,
								55
							]
						]
					]
,					[
						0,
						[
							5,
							[
								20,
								46,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
							,[
								0,
								15
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6191160512984754,
				[
				[
					47,
					cr.behaviors.Rex_MoveTo.prototype.cnds.OnHitTarget,
					"MoveTo",
					1,
					false,
					false,
					false,
					7609963272113361,
					false
				]
,				[
					47,
					cr.plugins_.Sprite.prototype.cnds.CompareY,
					null,
					0,
					false,
					false,
					false,
					1881639562840816,
					false
					,[
					[
						8,
						0
					]
,					[
						0,
						[
							5,
							[
								20,
								46,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
							,[
								0,
								15
							]
						]
					]
					]
				]
				],
				[
				[
					47,
					cr.behaviors.Pin.prototype.acts.Pin,
					"Pin",
					677842681086278,
					false
					,[
					[
						4,
						46
					]
,					[
						3,
						1
					]
					]
				]
,				[
					47,
					cr.behaviors.Sin.prototype.acts.SetActive,
					"Sine",
					2266971285026781,
					false
					,[
					[
						3,
						0
					]
					]
				]
,				[
					47,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					2529541941700197,
					false
					,[
					[
						1,
						[
							2,
							"anime1"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					48,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					2070072160740232,
					false
					,[
					[
						1,
						[
							2,
							"anime1"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					48,
					cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
					null,
					7684107288911043,
					false
					,[
					[
						0,
						[
							0,
							0
						]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Stop,
					null,
					2358471614876493,
					false
					,[
					[
						1,
						[
							2,
							"birdFlying"
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8675047430739154,
				[
				[
					-1,
					cr.system_object.prototype.cnds.Every,
					null,
					0,
					false,
					false,
					false,
					1626952085088862,
					false
					,[
					[
						0,
						[
							0,
							1
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					3926949754983567,
					false
					,[
					[
						11,
						"olhando"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps.floor
							,[
[
								19,
								cr.system_object.prototype.exps.random
								,[
[
									0,
									0
								]
,[
									0,
									5
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					48,
					cr.behaviors.Turret.prototype.acts.ClearTargets,
					"Turret",
					4778553441137618,
					false
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					2220521379274606,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						7045626207541531,
						false
						,[
						[
							11,
							"olhando"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						43,
						cr.plugins_.Sprite.prototype.cnds.IsVisible,
						null,
						0,
						false,
						false,
						false,
						4525460490663487,
						false
					]
					],
					[
					[
						48,
						cr.behaviors.Turret.prototype.acts.AcquireTarget,
						"Turret",
						937316896048753,
						false
						,[
						[
							4,
							43
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					6241400760654558,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						1768646459368419,
						false
						,[
						[
							11,
							"olhando"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					],
					[
					[
						48,
						cr.behaviors.Turret.prototype.acts.AcquireTarget,
						"Turret",
						8075082855231702,
						false
						,[
						[
							4,
							46
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					9205269328375183,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						9118294681465243,
						false
						,[
						[
							11,
							"olhando"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								2
							]
						]
						]
					]
					],
					[
					[
						48,
						cr.behaviors.Turret.prototype.acts.AcquireTarget,
						"Turret",
						4510325695374798,
						false
						,[
						[
							4,
							37
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3233948439239495,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						5561138140716076,
						false
						,[
						[
							11,
							"olhando"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								3
							]
						]
						]
					]
					],
					[
					[
						48,
						cr.behaviors.Turret.prototype.acts.AcquireTarget,
						"Turret",
						3089138064695374,
						false
						,[
						[
							4,
							35
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					6781628434322404,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						8883849489695069,
						false
						,[
						[
							11,
							"olhando"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								4
							]
						]
						]
					]
					],
					[
					[
						48,
						cr.behaviors.Turret.prototype.acts.AcquireTarget,
						"Turret",
						2217323588463066,
						false
						,[
						[
							4,
							41
						]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "MACAS"],
			false,
			null,
			1895845132957781,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				1895845132957781,
				false
				,[
				[
					1,
					[
						2,
						"MACAS"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				281051410268917,
				[
				[
					53,
					cr.plugins_.Sprite.prototype.cnds.OnCollision,
					null,
					0,
					false,
					false,
					true,
					6310891401584403,
					false
					,[
					[
						4,
						55
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					3708312211598353,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						8545941193887274,
						false
						,[
						[
							11,
							"macaShot"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						23,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						3196451587740404,
						false
						,[
						[
							2,
							["appleground",false]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								-18
							]
						]
,						[
							1,
							[
								2,
								""
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7900228565308459,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						2078172763966966,
						false
						,[
						[
							11,
							"macaShot"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					],
					[
					[
						23,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						5972745313695486,
						false
						,[
						[
							2,
							["appleground2",false]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								-18
							]
						]
,						[
							1,
							[
								2,
								""
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5662877311043699,
					[
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						9769728679877455,
						false
						,[
						[
							11,
							"macaShot"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						3489647797061,
						false
						,[
						[
							0,
							[
								0,
								2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						6754892040482747,
						false
						,[
						[
							11,
							"macaShot"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8886333741826659,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					1793298281726686,
					false
					,[
					[
						4,
						52
					]
					]
				]
,				[
					21,
					cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
					null,
					0,
					false,
					true,
					false,
					5286348681297858,
					false
					,[
					[
						4,
						53
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					4718716345918548,
					false
					,[
					[
						11,
						"macas"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps.random
							,[
[
								0,
								30
							]
,[
								0,
								70
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					3898514565179118,
					false
					,[
					[
						4,
						53
					]
,					[
						5,
						[
							2,
							"macas"
						]
					]
,					[
						0,
						[
							20,
							21,
							cr.plugins_.Touch.prototype.exps.X,
							false,
							null
						]
					]
,					[
						0,
						[
							20,
							21,
							cr.plugins_.Touch.prototype.exps.Y,
							false,
							null
						]
					]
					]
				]
,				[
					53,
					cr.plugins_.Sprite.prototype.acts.SetAngle,
					null,
					6332404851170643,
					false
					,[
					[
						0,
						[
							19,
							cr.system_object.prototype.exps.random
							,[
[
								0,
								-20
							]
,[
								0,
								70
							]
							]
						]
					]
					]
				]
,				[
					53,
					cr.plugins_.Sprite.prototype.acts.SetScale,
					null,
					7393350014152972,
					false
					,[
					[
						0,
						[
							0,
							0
						]
					]
					]
				]
,				[
					53,
					cr.behaviors.lunarray_LiteTween.prototype.acts.SetTarget,
					"LiteTween",
					6008931660058905,
					false
					,[
					[
						3,
						5
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							23,
							"macas"
						]
					]
					]
				]
,				[
					53,
					cr.behaviors.lunarray_LiteTween.prototype.acts.SetTarget,
					"LiteTween",
					8998474899638762,
					false
					,[
					[
						3,
						4
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							23,
							"macas"
						]
					]
					]
				]
,				[
					53,
					cr.behaviors.lunarray_LiteTween.prototype.acts.SetDuration,
					"LiteTween",
					8319009849812802,
					false
					,[
					[
						0,
						[
							0,
							1
						]
					]
					]
				]
,				[
					53,
					cr.behaviors.lunarray_LiteTween.prototype.acts.Start,
					"LiteTween",
					7190605864045333,
					false
					,[
					[
						3,
						0
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Play,
					null,
					1176940794440612,
					false
					,[
					[
						2,
						["apple",false]
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							-12
						]
					]
,					[
						1,
						[
							2,
							"maca"
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8268925173666349,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					1858048841511516,
					false
					,[
					[
						4,
						53
					]
					]
				]
,				[
					53,
					cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
					null,
					0,
					false,
					false,
					false,
					5762600381817001,
					false
					,[
					[
						4,
						52
					]
					]
				]
				],
				[
				[
					53,
					cr.behaviors.lunarray_LiteTween.prototype.acts.SetTweenedProperty,
					"LiteTween",
					5219625833550519,
					false
					,[
					[
						3,
						0
					]
					]
				]
,				[
					53,
					cr.behaviors.lunarray_LiteTween.prototype.acts.SetTarget,
					"LiteTween",
					9317923195282017,
					false
					,[
					[
						3,
						0
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							20,
							53,
							cr.plugins_.Sprite.prototype.exps.X,
							false,
							null
						]
					]
					]
				]
,				[
					53,
					cr.behaviors.lunarray_LiteTween.prototype.acts.SetTarget,
					"LiteTween",
					6838092261926943,
					false
					,[
					[
						3,
						1
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							4,
							[
								20,
								53,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
							,[
								0,
								350
							]
						]
					]
					]
				]
,				[
					53,
					cr.behaviors.lunarray_LiteTween.prototype.acts.SetDuration,
					"LiteTween",
					406443871913207,
					false
					,[
					[
						0,
						[
							0,
							1
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					3317157294007491,
					false
					,[
					[
						11,
						"macaPosition"
					]
,					[
						7,
						[
							4,
							[
								20,
								53,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
							,[
								0,
								350
							]
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					8630302313860948,
					[
					[
						53,
						cr.plugins_.Sprite.prototype.cnds.CompareX,
						null,
						0,
						false,
						false,
						false,
						1111067399595548,
						false
						,[
						[
							8,
							2
						]
,						[
							0,
							[
								5,
								[
									20,
									52,
									cr.plugins_.Sprite.prototype.exps.X,
									false,
									null
								]
								,[
									0,
									20
								]
							]
						]
						]
					]
,					[
						53,
						cr.plugins_.Sprite.prototype.cnds.CompareX,
						null,
						0,
						false,
						false,
						false,
						3239557007183593,
						false
						,[
						[
							8,
							4
						]
,						[
							0,
							[
								5,
								[
									20,
									52,
									cr.plugins_.Sprite.prototype.exps.X,
									false,
									null
								]
								,[
									0,
									90
								]
							]
						]
						]
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						518918823811178,
						[
						[
							53,
							cr.plugins_.Sprite.prototype.cnds.CompareY,
							null,
							0,
							false,
							false,
							false,
							7305306214879184,
							false
							,[
							[
								8,
								3
							]
,							[
								0,
								[
									4,
									[
										20,
										52,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										100
									]
								]
							]
							]
						]
,						[
							53,
							cr.plugins_.Sprite.prototype.cnds.CompareY,
							null,
							0,
							false,
							false,
							false,
							5054833246757445,
							false
							,[
							[
								8,
								4
							]
,							[
								0,
								[
									5,
									[
										20,
										52,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										40
									]
								]
							]
							]
						]
						],
						[
						[
							53,
							cr.behaviors.lunarray_LiteTween.prototype.acts.SetTarget,
							"LiteTween",
							4400846300102591,
							false
							,[
							[
								3,
								1
							]
,							[
								3,
								0
							]
,							[
								0,
								[
									4,
									[
										20,
										53,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										275
									]
								]
							]
							]
						]
,						[
							27,
							cr.plugins_.Text.prototype.acts.SetText,
							null,
							9238766883800517,
							false
							,[
							[
								7,
								[
									2,
									"01"
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.acts.SetVar,
							null,
							7551853919852736,
							false
							,[
							[
								11,
								"macaPosition"
							]
,							[
								7,
								[
									4,
									[
										20,
										53,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										275
									]
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						8664091131190631,
						[
						[
							53,
							cr.plugins_.Sprite.prototype.cnds.CompareY,
							null,
							0,
							false,
							false,
							false,
							8165057715681972,
							false
							,[
							[
								8,
								3
							]
,							[
								0,
								[
									5,
									[
										20,
										52,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										40
									]
								]
							]
							]
						]
,						[
							53,
							cr.plugins_.Sprite.prototype.cnds.CompareY,
							null,
							0,
							false,
							false,
							false,
							6917867755606473,
							false
							,[
							[
								8,
								4
							]
,							[
								0,
								[
									5,
									[
										20,
										52,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										90
									]
								]
							]
							]
						]
						],
						[
						[
							53,
							cr.behaviors.lunarray_LiteTween.prototype.acts.SetTarget,
							"LiteTween",
							5810098173709583,
							false
							,[
							[
								3,
								1
							]
,							[
								3,
								0
							]
,							[
								0,
								[
									4,
									[
										20,
										53,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										335
									]
								]
							]
							]
						]
,						[
							27,
							cr.plugins_.Text.prototype.acts.SetText,
							null,
							8547403812398951,
							false
							,[
							[
								7,
								[
									2,
									"02"
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.acts.SetVar,
							null,
							4634148416715461,
							false
							,[
							[
								11,
								"macaPosition"
							]
,							[
								7,
								[
									4,
									[
										20,
										53,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										335
									]
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						2852643503956802,
						[
						[
							53,
							cr.plugins_.Sprite.prototype.cnds.CompareY,
							null,
							0,
							false,
							false,
							false,
							528052537703238,
							false
							,[
							[
								8,
								3
							]
,							[
								0,
								[
									5,
									[
										20,
										52,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										90
									]
								]
							]
							]
						]
,						[
							53,
							cr.plugins_.Sprite.prototype.cnds.CompareY,
							null,
							0,
							false,
							false,
							false,
							1855664172113351,
							false
							,[
							[
								8,
								4
							]
,							[
								0,
								[
									5,
									[
										20,
										52,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										130
									]
								]
							]
							]
						]
						],
						[
						[
							53,
							cr.behaviors.lunarray_LiteTween.prototype.acts.SetTarget,
							"LiteTween",
							138599778922384,
							false
							,[
							[
								3,
								1
							]
,							[
								3,
								0
							]
,							[
								0,
								[
									4,
									[
										20,
										53,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										380
									]
								]
							]
							]
						]
,						[
							27,
							cr.plugins_.Text.prototype.acts.SetText,
							null,
							692174238698157,
							false
							,[
							[
								7,
								[
									2,
									"03"
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.acts.SetVar,
							null,
							332316051552055,
							false
							,[
							[
								11,
								"macaPosition"
							]
,							[
								7,
								[
									4,
									[
										20,
										53,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										380
									]
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						9601025111103011,
						[
						[
							53,
							cr.plugins_.Sprite.prototype.cnds.CompareY,
							null,
							0,
							false,
							false,
							false,
							59809223108235,
							false
							,[
							[
								8,
								3
							]
,							[
								0,
								[
									5,
									[
										20,
										52,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										130
									]
								]
							]
							]
						]
						],
						[
						[
							53,
							cr.behaviors.lunarray_LiteTween.prototype.acts.SetTarget,
							"LiteTween",
							9205865873526097,
							false
							,[
							[
								3,
								1
							]
,							[
								3,
								0
							]
,							[
								0,
								[
									4,
									[
										20,
										53,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										420
									]
								]
							]
							]
						]
,						[
							27,
							cr.plugins_.Text.prototype.acts.SetText,
							null,
							1473783547517987,
							false
							,[
							[
								7,
								[
									2,
									"04"
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.acts.SetVar,
							null,
							5808008494071289,
							false
							,[
							[
								11,
								"macaPosition"
							]
,							[
								7,
								[
									4,
									[
										20,
										53,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										420
									]
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					1120115773720071,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Else,
						null,
						0,
						false,
						false,
						false,
						6955351234361432,
						false
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						3648068917089948,
						[
						[
							53,
							cr.plugins_.Sprite.prototype.cnds.CompareY,
							null,
							0,
							false,
							false,
							false,
							3030907448428278,
							false
							,[
							[
								8,
								3
							]
,							[
								0,
								[
									4,
									[
										20,
										52,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										100
									]
								]
							]
							]
						]
,						[
							53,
							cr.plugins_.Sprite.prototype.cnds.CompareY,
							null,
							0,
							false,
							false,
							false,
							5009949571424421,
							false
							,[
							[
								8,
								4
							]
,							[
								0,
								[
									5,
									[
										20,
										52,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										40
									]
								]
							]
							]
						]
						],
						[
						[
							53,
							cr.behaviors.lunarray_LiteTween.prototype.acts.SetTarget,
							"LiteTween",
							2521241600778051,
							false
							,[
							[
								3,
								1
							]
,							[
								3,
								0
							]
,							[
								0,
								[
									4,
									[
										20,
										53,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										200
									]
								]
							]
							]
						]
,						[
							27,
							cr.plugins_.Text.prototype.acts.SetText,
							null,
							8025854391683688,
							false
							,[
							[
								7,
								[
									2,
									"05"
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.acts.SetVar,
							null,
							350223893503246,
							false
							,[
							[
								11,
								"macaPosition"
							]
,							[
								7,
								[
									4,
									[
										20,
										53,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										200
									]
								]
							]
							]
						]
						]
						,[
						[
							0,
							null,
							false,
							null,
							5428548890488356,
							[
							[
								53,
								cr.plugins_.Sprite.prototype.cnds.CompareX,
								null,
								0,
								false,
								false,
								false,
								2251544261124377,
								false
								,[
								[
									8,
									3
								]
,								[
									0,
									[
										5,
										[
											20,
											52,
											cr.plugins_.Sprite.prototype.exps.X,
											false,
											null
										]
										,[
											0,
											90
										]
									]
								]
								]
							]
							],
							[
							[
								53,
								cr.behaviors.lunarray_LiteTween.prototype.acts.SetTarget,
								"LiteTween",
								8559645474278711,
								false
								,[
								[
									3,
									1
								]
,								[
									3,
									0
								]
,								[
									0,
									[
										4,
										[
											20,
											53,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											280
										]
									]
								]
								]
							]
,							[
								27,
								cr.plugins_.Text.prototype.acts.SetText,
								null,
								1786259984076585,
								false
								,[
								[
									7,
									[
										2,
										"06"
									]
								]
								]
							]
,							[
								-1,
								cr.system_object.prototype.acts.SetVar,
								null,
								4477340158487996,
								false
								,[
								[
									11,
									"macaPosition"
								]
,								[
									7,
									[
										4,
										[
											20,
											53,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											280
										]
									]
								]
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						7632869940586974,
						[
						[
							53,
							cr.plugins_.Sprite.prototype.cnds.CompareY,
							null,
							0,
							false,
							false,
							false,
							2374260325825802,
							false
							,[
							[
								8,
								3
							]
,							[
								0,
								[
									5,
									[
										20,
										52,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										40
									]
								]
							]
							]
						]
,						[
							53,
							cr.plugins_.Sprite.prototype.cnds.CompareY,
							null,
							0,
							false,
							false,
							false,
							9632148827448338,
							false
							,[
							[
								8,
								4
							]
,							[
								0,
								[
									5,
									[
										20,
										52,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										80
									]
								]
							]
							]
						]
						],
						[
						]
						,[
						[
							0,
							null,
							false,
							null,
							3567995366984711,
							[
							[
								53,
								cr.plugins_.Sprite.prototype.cnds.CompareX,
								null,
								0,
								false,
								false,
								false,
								395474817050408,
								false
								,[
								[
									8,
									2
								]
,								[
									0,
									[
										4,
										[
											20,
											52,
											cr.plugins_.Sprite.prototype.exps.X,
											false,
											null
										]
										,[
											0,
											120
										]
									]
								]
								]
							]
							],
							[
							[
								53,
								cr.behaviors.lunarray_LiteTween.prototype.acts.SetTarget,
								"LiteTween",
								1548165499579464,
								false
								,[
								[
									3,
									1
								]
,								[
									3,
									0
								]
,								[
									0,
									[
										4,
										[
											20,
											53,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											270
										]
									]
								]
								]
							]
,							[
								27,
								cr.plugins_.Text.prototype.acts.SetText,
								null,
								1311152910551913,
								false
								,[
								[
									7,
									[
										2,
										"07"
									]
								]
								]
							]
,							[
								-1,
								cr.system_object.prototype.acts.SetVar,
								null,
								2912634730287236,
								false
								,[
								[
									11,
									"macaPosition"
								]
,								[
									7,
									[
										4,
										[
											20,
											53,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											270
										]
									]
								]
								]
							]
							]
						]
,						[
							0,
							null,
							false,
							null,
							1376425163878129,
							[
							[
								-1,
								cr.system_object.prototype.cnds.Else,
								null,
								0,
								false,
								false,
								false,
								7388045481645128,
								false
							]
							],
							[
							[
								53,
								cr.behaviors.lunarray_LiteTween.prototype.acts.SetTarget,
								"LiteTween",
								8508069483889924,
								false
								,[
								[
									3,
									1
								]
,								[
									3,
									0
								]
,								[
									0,
									[
										4,
										[
											20,
											53,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											250
										]
									]
								]
								]
							]
,							[
								27,
								cr.plugins_.Text.prototype.acts.SetText,
								null,
								917504594614091,
								false
								,[
								[
									7,
									[
										2,
										"07b"
									]
								]
								]
							]
,							[
								-1,
								cr.system_object.prototype.acts.SetVar,
								null,
								3349262813201743,
								false
								,[
								[
									11,
									"macaPosition"
								]
,								[
									7,
									[
										4,
										[
											20,
											53,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											250
										]
									]
								]
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						5152000660171322,
						[
						[
							53,
							cr.plugins_.Sprite.prototype.cnds.CompareY,
							null,
							0,
							false,
							false,
							false,
							8299194298206309,
							false
							,[
							[
								8,
								3
							]
,							[
								0,
								[
									5,
									[
										20,
										52,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										80
									]
								]
							]
							]
						]
,						[
							53,
							cr.plugins_.Sprite.prototype.cnds.CompareY,
							null,
							0,
							false,
							false,
							false,
							375724564665403,
							false
							,[
							[
								8,
								4
							]
,							[
								0,
								[
									5,
									[
										20,
										52,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										130
									]
								]
							]
							]
						]
						],
						[
						[
							53,
							cr.behaviors.lunarray_LiteTween.prototype.acts.SetTarget,
							"LiteTween",
							3221127418702087,
							false
							,[
							[
								3,
								1
							]
,							[
								3,
								0
							]
,							[
								0,
								[
									4,
									[
										20,
										53,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										300
									]
								]
							]
							]
						]
,						[
							27,
							cr.plugins_.Text.prototype.acts.SetText,
							null,
							7419878974372244,
							false
							,[
							[
								7,
								[
									2,
									"08"
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.acts.SetVar,
							null,
							6235417196145131,
							false
							,[
							[
								11,
								"macaPosition"
							]
,							[
								7,
								[
									4,
									[
										20,
										53,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										300
									]
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						5841826587956477,
						[
						[
							53,
							cr.plugins_.Sprite.prototype.cnds.CompareY,
							null,
							0,
							false,
							false,
							false,
							2400066948517125,
							false
							,[
							[
								8,
								3
							]
,							[
								0,
								[
									5,
									[
										20,
										52,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										130
									]
								]
							]
							]
						]
						],
						[
						[
							53,
							cr.behaviors.lunarray_LiteTween.prototype.acts.SetTarget,
							"LiteTween",
							5017593284232964,
							false
							,[
							[
								3,
								1
							]
,							[
								3,
								0
							]
,							[
								0,
								[
									4,
									[
										20,
										53,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										340
									]
								]
							]
							]
						]
,						[
							27,
							cr.plugins_.Text.prototype.acts.SetText,
							null,
							690279527353307,
							false
							,[
							[
								7,
								[
									2,
									"09"
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.acts.SetVar,
							null,
							1457302145066422,
							false
							,[
							[
								11,
								"macaPosition"
							]
,							[
								7,
								[
									4,
									[
										20,
										53,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										340
									]
								]
							]
							]
						]
						]
						,[
						[
							0,
							null,
							false,
							null,
							1481465301932602,
							[
							[
								53,
								cr.plugins_.Sprite.prototype.cnds.CompareX,
								null,
								0,
								false,
								false,
								false,
								6076374765396517,
								false
								,[
								[
									8,
									2
								]
,								[
									0,
									[
										4,
										[
											20,
											52,
											cr.plugins_.Sprite.prototype.exps.X,
											false,
											null
										]
										,[
											0,
											70
										]
									]
								]
								]
							]
							],
							[
							[
								53,
								cr.behaviors.lunarray_LiteTween.prototype.acts.SetTarget,
								"LiteTween",
								984329152737757,
								false
								,[
								[
									3,
									1
								]
,								[
									3,
									0
								]
,								[
									0,
									[
										4,
										[
											20,
											53,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											375
										]
									]
								]
								]
							]
,							[
								27,
								cr.plugins_.Text.prototype.acts.SetText,
								null,
								1294387346524687,
								false
								,[
								[
									7,
									[
										2,
										"10"
									]
								]
								]
							]
,							[
								-1,
								cr.system_object.prototype.acts.SetVar,
								null,
								3401284350240927,
								false
								,[
								[
									11,
									"macaPosition"
								]
,								[
									7,
									[
										4,
										[
											20,
											53,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											375
										]
									]
								]
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					8626387824812962,
					[
					],
					[
					[
						53,
						cr.behaviors.lunarray_LiteTween.prototype.acts.SetEasing,
						"LiteTween",
						3805298691826528,
						false
						,[
						[
							3,
							23
						]
						]
					]
,					[
						53,
						cr.behaviors.lunarray_LiteTween.prototype.acts.Start,
						"LiteTween",
						2508845069858162,
						false
						,[
						[
							3,
							0
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				7565362983596317,
				[
				[
					53,
					cr.behaviors.lunarray_LiteTween.prototype.cnds.OnEnd,
					"LiteTween",
					1,
					false,
					false,
					false,
					6710929098685298,
					false
				]
,				[
					53,
					cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
					null,
					0,
					false,
					true,
					false,
					9395371568378223,
					false
					,[
					[
						4,
						52
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.Wait,
					null,
					6989026652185585,
					false
					,[
					[
						0,
						[
							0,
							2
						]
					]
					]
				]
,				[
					53,
					cr.behaviors.lunarray_LiteTween.prototype.acts.SetTweenedProperty,
					"LiteTween",
					2032527891353692,
					false
					,[
					[
						3,
						5
					]
					]
				]
,				[
					53,
					cr.behaviors.lunarray_LiteTween.prototype.acts.SetEasing,
					"LiteTween",
					3732481037467712,
					false
					,[
					[
						3,
						0
					]
					]
				]
,				[
					53,
					cr.behaviors.lunarray_LiteTween.prototype.acts.SetDuration,
					"LiteTween",
					7601673593317589,
					false
					,[
					[
						0,
						[
							0,
							2
						]
					]
					]
				]
,				[
					53,
					cr.behaviors.lunarray_LiteTween.prototype.acts.SetTarget,
					"LiteTween",
					9474185184872758,
					false
					,[
					[
						3,
						3
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							0
						]
					]
					]
				]
,				[
					53,
					cr.behaviors.lunarray_LiteTween.prototype.acts.Start,
					"LiteTween",
					972166643200305,
					false
					,[
					[
						3,
						0
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				3826709939782389,
				[
				[
					53,
					cr.plugins_.Sprite.prototype.cnds.CompareOpacity,
					null,
					0,
					false,
					false,
					false,
					8075441052716119,
					false
					,[
					[
						8,
						0
					]
,					[
						0,
						[
							0,
							0
						]
					]
					]
				]
				],
				[
				[
					53,
					cr.plugins_.Sprite.prototype.acts.Destroy,
					null,
					7604841110909261,
					false
				]
				]
			]
			]
		]
,		[
			0,
			[true, "LIXEIRA"],
			false,
			null,
			8654897429095777,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				8654897429095777,
				false
				,[
				[
					1,
					[
						2,
						"LIXEIRA"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				6347789039010242,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					4114081930338774,
					false
					,[
					[
						4,
						51
					]
					]
				]
				],
				[
				[
					51,
					cr.plugins_.Sprite.prototype.acts.StartAnim,
					null,
					7945942209371479,
					false
					,[
					[
						3,
						0
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Play,
					null,
					2273353613836172,
					false
					,[
					[
						2,
						["lixeira",false]
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							-15
						]
					]
,					[
						1,
						[
							2,
							"lixeira"
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "TRANSITO"],
			false,
			null,
			7043037914308423,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				7043037914308423,
				false
				,[
				[
					1,
					[
						2,
						"TRANSITO"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				6627595744237508,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					8786402439541605,
					false
					,[
					[
						4,
						110
					]
					]
				]
,				[
					21,
					cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
					null,
					0,
					false,
					true,
					false,
					4205011141537123,
					false
					,[
					[
						4,
						47
					]
					]
				]
				],
				[
				[
					23,
					cr.plugins_.Audio.prototype.acts.Play,
					null,
					7710204924167731,
					false
					,[
					[
						2,
						["transito",false]
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							-10
						]
					]
,					[
						1,
						[
							2,
							"transito"
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "FLORES"],
			false,
			null,
			6981522755275755,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				6981522755275755,
				false
				,[
				[
					1,
					[
						2,
						"FLORES"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				618995038612709,
				[
				[
					54,
					cr.plugins_.Sprite.prototype.cnds.CompareFrame,
					null,
					0,
					false,
					false,
					false,
					8918182699416717,
					false
					,[
					[
						8,
						0
					]
,					[
						0,
						[
							0,
							9
						]
					]
					]
				]
				],
				[
				[
					54,
					cr.plugins_.Sprite.prototype.acts.StopAnim,
					null,
					8847749823964282,
					false
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				1865084312463955,
				[
				[
					54,
					cr.plugins_.Sprite.prototype.cnds.CompareFrame,
					null,
					0,
					false,
					false,
					false,
					8754988552685007,
					false
					,[
					[
						8,
						0
					]
,					[
						0,
						[
							0,
							18
						]
					]
					]
				]
				],
				[
				[
					54,
					cr.plugins_.Sprite.prototype.acts.Destroy,
					null,
					95108611127231,
					false
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				9041991354516873,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					4105720073322997,
					false
					,[
					[
						4,
						55
					]
					]
				]
,				[
					21,
					cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
					null,
					0,
					false,
					true,
					false,
					5594868916246772,
					false
					,[
					[
						4,
						54
					]
					]
				]
,				[
					21,
					cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
					null,
					0,
					false,
					true,
					false,
					5724527034214578,
					false
					,[
					[
						4,
						53
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					2214226468043941,
					false
					,[
					[
						4,
						54
					]
,					[
						5,
						[
							2,
							"flor"
						]
					]
,					[
						0,
						[
							20,
							21,
							cr.plugins_.Touch.prototype.exps.X,
							false,
							null
						]
					]
,					[
						0,
						[
							20,
							21,
							cr.plugins_.Touch.prototype.exps.Y,
							false,
							null
						]
					]
					]
				]
,				[
					54,
					cr.plugins_.Sprite.prototype.acts.SetScale,
					null,
					8041429944546833,
					false
					,[
					[
						0,
						[
							19,
							cr.system_object.prototype.exps.random
							,[
[
								1,
								0.2
							]
,[
								1,
								0.5
							]
							]
						]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Play,
					null,
					7355505656762908,
					false
					,[
					[
						2,
						["florcresce",false]
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							-5
						]
					]
,					[
						1,
						[
							2,
							""
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				7249210595808941,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					8955310766169846,
					false
					,[
					[
						4,
						54
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.Compare,
					null,
					0,
					false,
					false,
					false,
					9808023347907955,
					false
					,[
					[
						7,
						[
							20,
							54,
							cr.plugins_.Sprite.prototype.exps.AnimationName,
							true,
							null
						]
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							2,
							"anime1"
						]
					]
					]
				]
,				[
					54,
					cr.plugins_.Sprite.prototype.cnds.CompareFrame,
					null,
					0,
					false,
					false,
					false,
					3585066514860945,
					false
					,[
					[
						8,
						0
					]
,					[
						0,
						[
							0,
							9
						]
					]
					]
				]
				],
				[
				[
					54,
					cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
					null,
					3296394855927061,
					false
					,[
					[
						0,
						[
							0,
							10
						]
					]
					]
				]
,				[
					54,
					cr.plugins_.Sprite.prototype.acts.StartAnim,
					null,
					1225138087235942,
					false
					,[
					[
						3,
						0
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Play,
					null,
					628142893270907,
					false
					,[
					[
						2,
						["florencolhe",false]
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							-5
						]
					]
,					[
						1,
						[
							2,
							""
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8303268549218311,
				[
				[
					54,
					cr.plugins_.Sprite.prototype.cnds.OnCollision,
					null,
					0,
					false,
					false,
					true,
					1798491764759184,
					false
					,[
					[
						4,
						53
					]
					]
				]
,				[
					54,
					cr.plugins_.Sprite.prototype.cnds.CompareFrame,
					null,
					0,
					false,
					false,
					false,
					5420209660346394,
					false
					,[
					[
						8,
						0
					]
,					[
						0,
						[
							0,
							9
						]
					]
					]
				]
,				[
					54,
					cr.plugins_.Sprite.prototype.cnds.CompareY,
					null,
					0,
					false,
					false,
					false,
					6655941335418698,
					false
					,[
					[
						8,
						5
					]
,					[
						0,
						[
							5,
							[
								23,
								"macaPosition"
							]
							,[
								0,
								10
							]
						]
					]
					]
				]
				],
				[
				[
					54,
					cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
					null,
					5626108956624653,
					false
					,[
					[
						0,
						[
							0,
							10
						]
					]
					]
				]
,				[
					54,
					cr.plugins_.Sprite.prototype.acts.StartAnim,
					null,
					6037084917829113,
					false
					,[
					[
						3,
						0
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Play,
					null,
					9305957498506104,
					false
					,[
					[
						2,
						["florencolhe",false]
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							-5
						]
					]
,					[
						1,
						[
							2,
							""
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "BALAO"],
			false,
			null,
			571754338972626,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				571754338972626,
				false
				,[
				[
					1,
					[
						2,
						"BALAO"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				8130540487666313,
				[
				[
					33,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					8498916069367622,
					false
					,[
					[
						1,
						[
							2,
							"balao"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					5088506278500664,
					false
					,[
					[
						11,
						"balao"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps.floor
							,[
[
								19,
								cr.system_object.prototype.exps.random
								,[
[
									0,
									1
								]
,[
									0,
									3
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					56,
					cr.behaviors.Rex_MoveTo.prototype.acts.SetMaxSpeed,
					"MoveTo",
					1132354625480362,
					false
					,[
					[
						0,
						[
							19,
							cr.system_object.prototype.exps.random
							,[
[
								0,
								20
							]
,[
								0,
								40
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					828405634687951,
					false
					,[
					[
						11,
						"balaoScale"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					5869929515657299,
					false
					,[
					[
						11,
						"balaoHeight"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps.floor
							,[
[
								19,
								cr.system_object.prototype.exps.random
								,[
[
									0,
									60
								]
,[
									0,
									166
								]
								]
							]
							]
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					2650407487812327,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						2343082989932998,
						false
						,[
						[
							11,
							"balao"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					],
					[
					[
						56,
						cr.behaviors.Rex_MoveTo.prototype.acts.SetTargetPos,
						"MoveTo",
						4691534682904375,
						false
						,[
						[
							0,
							[
								0,
								-50
							]
						]
,						[
							0,
							[
								19,
								cr.system_object.prototype.exps.random
								,[
[
									0,
									100
								]
,[
									0,
									300
								]
								]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					4462984890688957,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						4439320664081607,
						false
						,[
						[
							11,
							"balao"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								2
							]
						]
						]
					]
					],
					[
					[
						56,
						cr.behaviors.Rex_MoveTo.prototype.acts.SetTargetPos,
						"MoveTo",
						3960518278117359,
						false
						,[
						[
							0,
							[
								0,
								1550
							]
						]
,						[
							0,
							[
								19,
								cr.system_object.prototype.exps.random
								,[
[
									0,
									100
								]
,[
									0,
									300
								]
								]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				1577923361677786,
				[
				[
					56,
					cr.behaviors.Rex_MoveTo.prototype.cnds.OnHitTarget,
					"MoveTo",
					1,
					false,
					false,
					false,
					6671965352342239,
					false
				]
				],
				[
				[
					33,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					6097492444717866,
					false
					,[
					[
						1,
						[
							2,
							"balao"
						]
					]
,					[
						13,
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6001677652057206,
				[
				[
					56,
					cr.behaviors.DragnDrop.prototype.cnds.OnDragStart,
					"DragDrop",
					1,
					false,
					false,
					false,
					6975274283611017,
					false
				]
				],
				[
				[
					56,
					cr.behaviors.Rex_MoveTo.prototype.acts.Stop,
					"MoveTo",
					9699018744642705,
					false
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Play,
					null,
					316063300465486,
					false
					,[
					[
						2,
						["balloon",false]
					]
,					[
						3,
						1
					]
,					[
						0,
						[
							0,
							0
						]
					]
,					[
						1,
						[
							2,
							"balloon"
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				9326471413982423,
				[
				[
					56,
					cr.behaviors.DragnDrop.prototype.cnds.OnDrop,
					"DragDrop",
					1,
					false,
					false,
					false,
					6069704344736135,
					false
				]
				],
				[
				[
					33,
					cr.plugins_.Function.prototype.acts.CallFunction,
					null,
					6969359601739382,
					false
					,[
					[
						1,
						[
							2,
							"balao"
						]
					]
,					[
						13,
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.SetLooping,
					null,
					5970944331606765,
					false
					,[
					[
						1,
						[
							2,
							"balloon"
						]
					]
,					[
						3,
						1
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				4289153685134886,
				[
				[
					56,
					cr.plugins_.Sprite.prototype.cnds.CompareY,
					null,
					0,
					false,
					false,
					false,
					6085181070671371,
					false
					,[
					[
						8,
						4
					]
,					[
						0,
						[
							0,
							260
						]
					]
					]
				]
				],
				[
				[
					56,
					cr.plugins_.Sprite.prototype.acts.SetY,
					null,
					2141821764326506,
					false
					,[
					[
						0,
						[
							0,
							260
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6894572683932122,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					1345614213282628,
					false
					,[
					[
						11,
						"balaoScale"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.Compare,
					null,
					0,
					false,
					false,
					false,
					527991730754585,
					false
					,[
					[
						7,
						[
							20,
							56,
							cr.plugins_.Sprite.prototype.exps.Height,
							false,
							null
						]
					]
,					[
						8,
						1
					]
,					[
						7,
						[
							23,
							"balaoHeight"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					7827271771148577,
					[
					[
						-1,
						cr.system_object.prototype.cnds.While,
						null,
						0,
						true,
						false,
						false,
						7467656650809325,
						false
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						4735705182459675,
						false
						,[
						[
							11,
							"balaoHeight"
						]
,						[
							8,
							2
						]
,						[
							7,
							[
								20,
								56,
								cr.plugins_.Sprite.prototype.exps.Height,
								false,
								null
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.Every,
						null,
						0,
						false,
						false,
						false,
						5787483018968479,
						false
						,[
						[
							0,
							[
								1,
								0.01
							]
						]
						]
					]
					],
					[
					[
						56,
						cr.plugins_.Sprite.prototype.acts.SetHeight,
						null,
						7512570341108506,
						false
						,[
						[
							0,
							[
								5,
								[
									20,
									56,
									cr.plugins_.Sprite.prototype.exps.Height,
									false,
									null
								]
								,[
									1,
									0.1
								]
							]
						]
						]
					]
,					[
						56,
						cr.plugins_.Sprite.prototype.acts.SetWidth,
						null,
						3483915823383464,
						false
						,[
						[
							0,
							[
								6,
								[
									20,
									56,
									cr.plugins_.Sprite.prototype.exps.Height,
									false,
									null
								]
								,[
									1,
									0.78
								]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5049547049664339,
					[
					[
						-1,
						cr.system_object.prototype.cnds.While,
						null,
						0,
						true,
						false,
						false,
						3117606909858962,
						false
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						6629224597107183,
						false
						,[
						[
							11,
							"balaoHeight"
						]
,						[
							8,
							4
						]
,						[
							7,
							[
								20,
								56,
								cr.plugins_.Sprite.prototype.exps.Height,
								false,
								null
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.Every,
						null,
						0,
						false,
						false,
						false,
						8308189108639161,
						false
						,[
						[
							0,
							[
								1,
								0.01
							]
						]
						]
					]
					],
					[
					[
						56,
						cr.plugins_.Sprite.prototype.acts.SetHeight,
						null,
						1932207311557371,
						false
						,[
						[
							0,
							[
								4,
								[
									20,
									56,
									cr.plugins_.Sprite.prototype.exps.Height,
									false,
									null
								]
								,[
									1,
									0.1
								]
							]
						]
						]
					]
,					[
						56,
						cr.plugins_.Sprite.prototype.acts.SetWidth,
						null,
						431877014591797,
						false
						,[
						[
							0,
							[
								6,
								[
									20,
									56,
									cr.plugins_.Sprite.prototype.exps.Height,
									false,
									null
								]
								,[
									1,
									0.78
								]
							]
						]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "AUDIO3"],
			false,
			null,
			9167480879430588,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				9167480879430588,
				false
				,[
				[
					1,
					[
						2,
						"AUDIO3"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				2872685702873411,
				[
				[
					23,
					cr.plugins_.Audio.prototype.cnds.IsTagPlaying,
					null,
					0,
					false,
					false,
					false,
					6600781640194131,
					false
					,[
					[
						1,
						[
							2,
							"ParkDia"
						]
					]
					]
				]
,				[
					57,
					cr.plugins_.Sprite.prototype.cnds.IsVisible,
					null,
					0,
					false,
					true,
					false,
					7908161282729226,
					false
				]
				],
				[
				[
					57,
					cr.plugins_.Sprite.prototype.acts.SetVisible,
					null,
					9641010142702106,
					false
					,[
					[
						3,
						1
					]
					]
				]
,				[
					57,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					6448965056864446,
					false
					,[
					[
						1,
						[
							2,
							"anime5"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					57,
					cr.plugins_.Sprite.prototype.acts.StartAnim,
					null,
					5063816593762025,
					false
					,[
					[
						3,
						1
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "DIANOITE"],
			false,
			null,
			9164430655459693,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				9164430655459693,
				false
				,[
				[
					1,
					[
						2,
						"DIANOITE"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				8833736674752978,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchEnd,
					null,
					1,
					false,
					false,
					false,
					2648090411301829,
					false
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					7682867077106171,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
						null,
						0,
						false,
						false,
						false,
						3737742724857314,
						false
						,[
						[
							4,
							104
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.GoToLayout,
						null,
						2496609536036499,
						false
						,[
						[
							6,
							"parkNoite"
						]
						]
					]
,					[
						23,
						cr.plugins_.Audio.prototype.acts.StopAll,
						null,
						2008527570379282,
						false
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "BOTOES2"],
			false,
			null,
			709415124522231,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				709415124522231,
				false
				,[
				[
					1,
					[
						2,
						"BOTOES2"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				786281286559768,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					5453607238039138,
					false
					,[
					[
						4,
						107
					]
					]
				]
				],
				[
				[
					107,
					cr.plugins_.Sprite.prototype.acts.SetOpacity,
					null,
					1330746731973891,
					false
					,[
					[
						0,
						[
							0,
							70
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				1248228465469555,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					6802634469648051,
					false
					,[
					[
						4,
						109
					]
					]
				]
				],
				[
				[
					109,
					cr.plugins_.Sprite.prototype.acts.SetOpacity,
					null,
					3697223487511048,
					false
					,[
					[
						0,
						[
							0,
							70
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				2749654886415442,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					2252979136895032,
					false
					,[
					[
						4,
						108
					]
					]
				]
				],
				[
				[
					108,
					cr.plugins_.Sprite.prototype.acts.SetOpacity,
					null,
					832099496362943,
					false
					,[
					[
						0,
						[
							0,
							70
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				7781310351739441,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchEnd,
					null,
					1,
					false,
					false,
					false,
					6549592439775831,
					false
				]
				],
				[
				[
					107,
					cr.plugins_.Sprite.prototype.acts.SetOpacity,
					null,
					5275472792178586,
					false
					,[
					[
						0,
						[
							0,
							100
						]
					]
					]
				]
,				[
					109,
					cr.plugins_.Sprite.prototype.acts.SetOpacity,
					null,
					9447674772421996,
					false
					,[
					[
						0,
						[
							0,
							100
						]
					]
					]
				]
,				[
					108,
					cr.plugins_.Sprite.prototype.acts.SetOpacity,
					null,
					619137745547418,
					false
					,[
					[
						0,
						[
							0,
							100
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					367383544644527,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
						null,
						0,
						false,
						false,
						false,
						3298473989809718,
						false
						,[
						[
							4,
							109
						]
						]
					]
					],
					[
					[
						57,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						4899597706086554,
						false
						,[
						[
							0,
							[
								0,
								0
							]
						]
						]
					]
,					[
						57,
						cr.plugins_.Sprite.prototype.acts.StartAnim,
						null,
						3030109756475695,
						false
						,[
						[
							3,
							1
						]
						]
					]
,					[
						57,
						cr.plugins_.Sprite.prototype.acts.SetOpacity,
						null,
						498968370877397,
						false
						,[
						[
							0,
							[
								0,
								100
							]
						]
						]
					]
,					[
						23,
						cr.plugins_.Audio.prototype.acts.StopAll,
						null,
						9941574267437907,
						false
					]
,					[
						23,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						5234690414014219,
						false
						,[
						[
							2,
							["parkdia",true]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								-8
							]
						]
,						[
							1,
							[
								2,
								"parkDia"
							]
						]
						]
					]
,					[
						107,
						cr.plugins_.Sprite.prototype.acts.SetAnim,
						null,
						2017478152898798,
						false
						,[
						[
							1,
							[
								2,
								"anime1"
							]
						]
,						[
							3,
							1
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					4272241973592211,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
						null,
						0,
						false,
						false,
						false,
						8462138252197766,
						false
						,[
						[
							4,
							108
						]
						]
					]
					],
					[
					[
						23,
						cr.plugins_.Audio.prototype.acts.StopAll,
						null,
						6306969030641393,
						false
					]
,					[
						-1,
						cr.system_object.prototype.acts.GoToLayout,
						null,
						9502499039036366,
						false
						,[
						[
							6,
							"cartaMenu"
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7936353052012942,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
						null,
						0,
						false,
						false,
						false,
						6738655546269487,
						false
						,[
						[
							4,
							107
						]
						]
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						29841145913538,
						[
						[
							-1,
							cr.system_object.prototype.cnds.Compare,
							null,
							0,
							false,
							false,
							false,
							7952710557177523,
							false
							,[
							[
								7,
								[
									20,
									107,
									cr.plugins_.Sprite.prototype.exps.AnimationName,
									true,
									null
								]
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									2,
									"anime1"
								]
							]
							]
						]
						],
						[
						[
							107,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							9649020027820014,
							false
							,[
							[
								1,
								[
									2,
									"anime2"
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							23,
							cr.plugins_.Audio.prototype.acts.SetMuted,
							null,
							7491435114890309,
							false
							,[
							[
								1,
								[
									2,
									"parkDia"
								]
							]
,							[
								3,
								0
							]
							]
						]
,						[
							23,
							cr.plugins_.Audio.prototype.acts.SetMuted,
							null,
							2833618097797261,
							false
							,[
							[
								1,
								[
									2,
									"musicLoop"
								]
							]
,							[
								3,
								0
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						466055032148352,
						[
						[
							-1,
							cr.system_object.prototype.cnds.Else,
							null,
							0,
							false,
							false,
							false,
							2086295904042072,
							false
						]
						],
						[
						[
							107,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							5758276795862988,
							false
							,[
							[
								1,
								[
									2,
									"anime1"
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							23,
							cr.plugins_.Audio.prototype.acts.SetMuted,
							null,
							6673678799222588,
							false
							,[
							[
								1,
								[
									2,
									"parkDia"
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							23,
							cr.plugins_.Audio.prototype.acts.SetMuted,
							null,
							1497277673900449,
							false
							,[
							[
								1,
								[
									2,
									"musicLoop"
								]
							]
,							[
								3,
								1
							]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				5536443865033991,
				[
				[
					23,
					cr.plugins_.Audio.prototype.cnds.OnEnded,
					null,
					1,
					false,
					false,
					false,
					4608849061726395,
					false
					,[
					[
						1,
						[
							2,
							"parkDia"
						]
					]
					]
				]
				],
				[
				[
					57,
					cr.plugins_.Sprite.prototype.acts.SetOpacity,
					null,
					9811836188337032,
					false
					,[
					[
						0,
						[
							0,
							0
						]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Play,
					null,
					5721833587489394,
					false
					,[
					[
						2,
						["aberturaloop",true]
					]
,					[
						3,
						1
					]
,					[
						0,
						[
							0,
							-25
						]
					]
,					[
						1,
						[
							2,
							"musicLoop"
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					2600386878412484,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						9037612414004628,
						false
						,[
						[
							7,
							[
								20,
								107,
								cr.plugins_.Sprite.prototype.exps.AnimationName,
								true,
								null
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"anime2"
							]
						]
						]
					]
					],
					[
					[
						23,
						cr.plugins_.Audio.prototype.acts.SetMuted,
						null,
						5573675145388066,
						false
						,[
						[
							1,
							[
								2,
								"musicLoop"
							]
						]
,						[
							3,
							0
						]
						]
					]
					]
				]
				]
			]
			]
		]
		]
	]
,	[
		"parkNoiteScript",
		[
		[
			1,
			"aviaozinho",
			0,
			1,
false,false,4483256034087206,false
		]
,		[
			1,
			"predio2",
			0,
			0,
false,false,2469750386861457,false
		]
,		[
			1,
			"aviaoState",
			0,
			0,
false,false,1980848840072631,false
		]
,		[
			1,
			"aviao",
			0,
			0,
false,false,7677642952705804,false
		]
,		[
			1,
			"starDestroy",
			0,
			0,
false,false,5990303228328953,false
		]
,		[
			1,
			"counterZ",
			0,
			0,
false,false,8522875185681519,false
		]
,		[
			2,
			"masterEvents",
			false
		]
,		[
			0,
			null,
			false,
			null,
			5958919782645259,
			[
			[
				-1,
				cr.system_object.prototype.cnds.OnLayoutStart,
				null,
				1,
				false,
				false,
				false,
				3497694755841341,
				false
			]
			],
			[
			[
				-1,
				cr.system_object.prototype.acts.ResetGlobals,
				null,
				7737868556582668,
				false
			]
,			[
				47,
				cr.plugins_.Sprite.prototype.acts.SetAnim,
				null,
				5854148644139936,
				false
				,[
				[
					1,
					[
						2,
						"anime3"
					]
				]
,				[
					3,
					1
				]
				]
			]
,			[
				48,
				cr.plugins_.Sprite.prototype.acts.SetOpacity,
				null,
				4571270449633826,
				false
				,[
				[
					0,
					[
						0,
						0
					]
				]
				]
			]
,			[
				58,
				cr.plugins_.Sprite.prototype.acts.SetOpacity,
				null,
				9869075975274836,
				false
				,[
				[
					0,
					[
						0,
						0
					]
				]
				]
			]
,			[
				59,
				cr.plugins_.Sprite.prototype.acts.SetOpacity,
				null,
				8826458020582246,
				false
				,[
				[
					0,
					[
						0,
						0
					]
				]
				]
			]
,			[
				59,
				cr.plugins_.Sprite.prototype.acts.StopAnim,
				null,
				3139618162507699,
				false
			]
,			[
				59,
				cr.behaviors.Pin.prototype.acts.Pin,
				"Pin",
				5798296638183919,
				false
				,[
				[
					4,
					47
				]
,				[
					3,
					0
				]
				]
			]
,			[
				58,
				cr.behaviors.Pin.prototype.acts.Pin,
				"Pin",
				8399212068162558,
				false
				,[
				[
					4,
					47
				]
,				[
					3,
					0
				]
				]
			]
,			[
				47,
				cr.behaviors.DragnDrop.prototype.acts.SetEnabled,
				"DragDrop",
				6081811649781851,
				false
				,[
				[
					3,
					0
				]
				]
			]
,			[
				37,
				cr.plugins_.Sprite.prototype.acts.SetAnim,
				null,
				3921412299360494,
				false
				,[
				[
					1,
					[
						2,
						"anime3"
					]
				]
,				[
					3,
					1
				]
				]
			]
,			[
				52,
				cr.plugins_.Sprite.prototype.acts.SetAnim,
				null,
				3514166596086456,
				false
				,[
				[
					1,
					[
						2,
						"anime2"
					]
				]
,				[
					3,
					1
				]
				]
			]
,			[
				0,
				cr.plugins_.Sprite.prototype.acts.SetAnim,
				null,
				7916374634118852,
				false
				,[
				[
					1,
					[
						2,
						"anime2"
					]
				]
,				[
					3,
					1
				]
				]
			]
,			[
				3,
				cr.plugins_.Sprite.prototype.acts.SetAnim,
				null,
				6738182738709303,
				false
				,[
				[
					1,
					[
						2,
						"anime2"
					]
				]
,				[
					3,
					1
				]
				]
			]
,			[
				1,
				cr.plugins_.Sprite.prototype.acts.SetAnim,
				null,
				3592959186544505,
				false
				,[
				[
					1,
					[
						2,
						"anime2"
					]
				]
,				[
					3,
					1
				]
				]
			]
,			[
				2,
				cr.plugins_.Sprite.prototype.acts.SetAnim,
				null,
				967166556387036,
				false
				,[
				[
					1,
					[
						2,
						"anime2"
					]
				]
,				[
					3,
					1
				]
				]
			]
,			[
				46,
				cr.plugins_.Sprite.prototype.acts.SetAnim,
				null,
				906735061135486,
				false
				,[
				[
					1,
					[
						2,
						"anime2"
					]
				]
,				[
					3,
					1
				]
				]
			]
,			[
				42,
				cr.plugins_.Sprite.prototype.acts.SetAnim,
				null,
				6500972990475414,
				false
				,[
				[
					1,
					[
						2,
						"anime2"
					]
				]
,				[
					3,
					1
				]
				]
			]
,			[
				51,
				cr.plugins_.Sprite.prototype.acts.SetAnim,
				null,
				8704993013727899,
				false
				,[
				[
					1,
					[
						2,
						"anime2"
					]
				]
,				[
					3,
					1
				]
				]
			]
,			[
				36,
				cr.plugins_.Sprite.prototype.acts.SetAnim,
				null,
				2016630789043167,
				false
				,[
				[
					1,
					[
						2,
						"anime2"
					]
				]
,				[
					3,
					1
				]
				]
			]
,			[
				53,
				cr.plugins_.Sprite.prototype.acts.SetAnim,
				null,
				8884263501841636,
				false
				,[
				[
					1,
					[
						2,
						"anime2"
					]
				]
,				[
					3,
					1
				]
				]
			]
,			[
				54,
				cr.plugins_.Sprite.prototype.acts.SetAnim,
				null,
				7645731564315118,
				false
				,[
				[
					1,
					[
						2,
						"anime2"
					]
				]
,				[
					3,
					1
				]
				]
			]
,			[
				-1,
				cr.system_object.prototype.acts.SetLayerOpacity,
				null,
				5670325384461976,
				false
				,[
				[
					5,
					[
						2,
						"nuvem"
					]
				]
,				[
					0,
					[
						0,
						50
					]
				]
				]
			]
,			[
				62,
				cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
				null,
				9016608379305804,
				false
				,[
				[
					0,
					[
						0,
						4
					]
				]
				]
			]
,			[
				63,
				cr.plugins_.Sprite.prototype.acts.Destroy,
				null,
				9136515419647766,
				false
			]
,			[
				64,
				cr.plugins_.Sprite.prototype.acts.StopAnim,
				null,
				9220705403499446,
				false
			]
,			[
				41,
				cr.plugins_.Sprite.prototype.acts.SetAnim,
				null,
				9202121271386194,
				false
				,[
				[
					1,
					[
						2,
						"anime4"
					]
				]
,				[
					3,
					1
				]
				]
			]
,			[
				49,
				cr.plugins_.Sprite.prototype.acts.SetAnim,
				null,
				9789593442261199,
				false
				,[
				[
					1,
					[
						2,
						"anime4"
					]
				]
,				[
					3,
					1
				]
				]
			]
,			[
				50,
				cr.plugins_.Sprite.prototype.acts.SetAnim,
				null,
				8771582550696036,
				false
				,[
				[
					1,
					[
						2,
						"anime4"
					]
				]
,				[
					3,
					1
				]
				]
			]
,			[
				49,
				cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
				null,
				2401793186307911,
				false
				,[
				[
					0,
					[
						0,
						4
					]
				]
				]
			]
,			[
				50,
				cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
				null,
				5160606085432162,
				false
				,[
				[
					0,
					[
						0,
						2
					]
				]
				]
			]
,			[
				23,
				cr.plugins_.Audio.prototype.acts.Play,
				null,
				815344873498105,
				false
				,[
				[
					2,
					["parknoite",true]
				]
,				[
					3,
					0
				]
,				[
					0,
					[
						0,
						-20
					]
				]
,				[
					1,
					[
						2,
						"parkNoite"
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "CENARIO2"],
			false,
			null,
			2360521578616147,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				2360521578616147,
				false
				,[
				[
					1,
					[
						2,
						"CENARIO2"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				3351897049065134,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchStart,
					null,
					1,
					false,
					false,
					false,
					2448659536413748,
					false
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					5417733571621816,
					false
					,[
					[
						11,
						"stageX"
					]
,					[
						7,
						[
							20,
							21,
							cr.plugins_.Touch.prototype.exps.X,
							false,
							null
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6727734447687798,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.IsInTouch,
					null,
					0,
					false,
					false,
					false,
					4480841377380962,
					false
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					1257146982701448,
					false
					,[
					[
						11,
						"stageX2"
					]
,					[
						7,
						[
							20,
							21,
							cr.plugins_.Touch.prototype.exps.X,
							false,
							null
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.ScrollX,
					null,
					665483828129996,
					false
					,[
					[
						0,
						[
							4,
							[
								19,
								cr.system_object.prototype.exps.scrollx
							]
							,[
								6,
								[
									5,
									[
										23,
										"stageX2"
									]
									,[
										23,
										"stageX"
									]
								]
								,[
									0,
									-1
								]
							]
						]
					]
					]
				]
,				[
					3,
					cr.plugins_.Sprite.prototype.acts.SetX,
					null,
					6434306716483419,
					false
					,[
					[
						0,
						[
							5,
							[
								6,
								[
									19,
									cr.system_object.prototype.exps.scrollx
								]
								,[
									1,
									0.2
								]
							]
							,[
								0,
								40
							]
						]
					]
					]
				]
,				[
					1,
					cr.plugins_.Sprite.prototype.acts.SetX,
					null,
					2650776772975788,
					false
					,[
					[
						0,
						[
							5,
							[
								6,
								[
									19,
									cr.system_object.prototype.exps.scrollx
								]
								,[
									1,
									0.8
								]
							]
							,[
								0,
								420
							]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "ARBUSTO2"],
			false,
			null,
			3013709005146725,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				3013709005146725,
				false
				,[
				[
					1,
					[
						2,
						"ARBUSTO2"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				9309084707617893,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					5882740839910876,
					false
					,[
					[
						4,
						42
					]
					]
				]
,				[
					21,
					cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
					null,
					0,
					false,
					true,
					false,
					446544679264579,
					false
					,[
					[
						4,
						69
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					937033773273157,
					false
					,[
					[
						11,
						"arbusto"
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					3636142879740166,
					false
					,[
					[
						11,
						"borboleta"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					42,
					cr.plugins_.Sprite.prototype.acts.StartAnim,
					null,
					265923937276639,
					false
					,[
					[
						3,
						1
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Play,
					null,
					6827841009194644,
					false
					,[
					[
						2,
						["arbusto",false]
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							-8
						]
					]
,					[
						1,
						[
							2,
							""
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					1019319373254046,
					[
					[
						42,
						cr.plugins_.Sprite.prototype.cnds.IsBoolInstanceVarSet,
						null,
						0,
						false,
						true,
						false,
						9499059037000682,
						false
						,[
						[
							10,
							0
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						473334872843101,
						false
						,[
						[
							0,
							[
								1,
								0.5
							]
						]
						]
					]
,					[
						42,
						cr.plugins_.Sprite.prototype.acts.SetBoolInstanceVar,
						null,
						6654505483040247,
						false
						,[
						[
							10,
							0
						]
,						[
							3,
							1
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						2488752721687603,
						false
						,[
						[
							4,
							43
						]
,						[
							5,
							[
								2,
								"borboletas"
							]
						]
,						[
							0,
							[
								20,
								42,
								cr.plugins_.Sprite.prototype.exps.ImagePointX,
								false,
								null
								,[
[
									19,
									cr.system_object.prototype.exps.floor
									,[
[
										19,
										cr.system_object.prototype.exps.random
										,[
[
											0,
											1
										]
,[
											0,
											4
										]
										]
									]
									]
								]
								]
							]
						]
,						[
							0,
							[
								20,
								42,
								cr.plugins_.Sprite.prototype.exps.ImagePointY,
								false,
								null
								,[
[
									19,
									cr.system_object.prototype.exps.floor
									,[
[
										19,
										cr.system_object.prototype.exps.random
										,[
[
											0,
											1
										]
,[
											0,
											4
										]
										]
									]
									]
								]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						3141230137355929,
						false
						,[
						[
							4,
							44
						]
,						[
							5,
							[
								2,
								"borboletas"
							]
						]
,						[
							0,
							[
								20,
								42,
								cr.plugins_.Sprite.prototype.exps.ImagePointX,
								false,
								null
								,[
[
									19,
									cr.system_object.prototype.exps.floor
									,[
[
										19,
										cr.system_object.prototype.exps.random
										,[
[
											0,
											1
										]
,[
											0,
											4
										]
										]
									]
									]
								]
								]
							]
						]
,						[
							0,
							[
								20,
								42,
								cr.plugins_.Sprite.prototype.exps.ImagePointY,
								false,
								null
								,[
[
									19,
									cr.system_object.prototype.exps.floor
									,[
[
										19,
										cr.system_object.prototype.exps.random
										,[
[
											0,
											1
										]
,[
											0,
											4
										]
										]
									]
									]
								]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						1765292381544277,
						false
						,[
						[
							4,
							45
						]
,						[
							5,
							[
								2,
								"borboletas"
							]
						]
,						[
							0,
							[
								20,
								42,
								cr.plugins_.Sprite.prototype.exps.ImagePointX,
								false,
								null
								,[
[
									19,
									cr.system_object.prototype.exps.floor
									,[
[
										19,
										cr.system_object.prototype.exps.random
										,[
[
											0,
											1
										]
,[
											0,
											4
										]
										]
									]
									]
								]
								]
							]
						]
,						[
							0,
							[
								20,
								42,
								cr.plugins_.Sprite.prototype.exps.ImagePointY,
								false,
								null
								,[
[
									19,
									cr.system_object.prototype.exps.floor
									,[
[
										19,
										cr.system_object.prototype.exps.random
										,[
[
											0,
											1
										]
,[
											0,
											4
										]
										]
									]
									]
								]
								]
							]
						]
						]
					]
,					[
						43,
						cr.plugins_.Sprite.prototype.acts.SetAnim,
						null,
						7420154959548894,
						false
						,[
						[
							1,
							[
								2,
								"anime2"
							]
						]
,						[
							3,
							1
						]
						]
					]
,					[
						44,
						cr.plugins_.Sprite.prototype.acts.SetAnim,
						null,
						608953656042223,
						false
						,[
						[
							1,
							[
								2,
								"anime2"
							]
						]
,						[
							3,
							1
						]
						]
					]
,					[
						45,
						cr.plugins_.Sprite.prototype.acts.SetAnim,
						null,
						5696220610036714,
						false
						,[
						[
							1,
							[
								2,
								"anime2"
							]
						]
,						[
							3,
							1
						]
						]
					]
,					[
						43,
						cr.behaviors.Rex_MoveTo.prototype.acts.SetTargetPos,
						"MoveTo",
						3459874580423534,
						false
						,[
						[
							0,
							[
								4,
								[
									20,
									42,
									cr.plugins_.Sprite.prototype.exps.X,
									false,
									null
								]
								,[
									19,
									cr.system_object.prototype.exps.random
									,[
[
										0,
										-100
									]
,[
										0,
										100
									]
									]
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									42,
									cr.plugins_.Sprite.prototype.exps.Y,
									false,
									null
								]
								,[
									19,
									cr.system_object.prototype.exps.random
									,[
[
										0,
										-100
									]
,[
										0,
										-180
									]
									]
								]
							]
						]
						]
					]
,					[
						44,
						cr.behaviors.Rex_MoveTo.prototype.acts.SetTargetPos,
						"MoveTo",
						6320954139597512,
						false
						,[
						[
							0,
							[
								4,
								[
									20,
									42,
									cr.plugins_.Sprite.prototype.exps.X,
									false,
									null
								]
								,[
									19,
									cr.system_object.prototype.exps.random
									,[
[
										0,
										-100
									]
,[
										0,
										100
									]
									]
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									42,
									cr.plugins_.Sprite.prototype.exps.Y,
									false,
									null
								]
								,[
									19,
									cr.system_object.prototype.exps.random
									,[
[
										0,
										-80
									]
,[
										0,
										-180
									]
									]
								]
							]
						]
						]
					]
,					[
						45,
						cr.behaviors.Rex_MoveTo.prototype.acts.SetTargetPos,
						"MoveTo",
						3283627773185717,
						false
						,[
						[
							0,
							[
								4,
								[
									20,
									42,
									cr.plugins_.Sprite.prototype.exps.X,
									false,
									null
								]
								,[
									19,
									cr.system_object.prototype.exps.random
									,[
[
										0,
										-110
									]
,[
										0,
										70
									]
									]
								]
							]
						]
,						[
							0,
							[
								4,
								[
									20,
									42,
									cr.plugins_.Sprite.prototype.exps.Y,
									false,
									null
								]
								,[
									19,
									cr.system_object.prototype.exps.random
									,[
[
										0,
										-90
									]
,[
										0,
										-180
									]
									]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						7017588619465371,
						false
						,[
						[
							0,
							[
								0,
								5
							]
						]
						]
					]
,					[
						43,
						cr.behaviors.Rex_MoveTo.prototype.acts.SetTargetPos,
						"MoveTo",
						8211304232185202,
						false
						,[
						[
							0,
							[
								20,
								42,
								cr.plugins_.Sprite.prototype.exps.ImagePointX,
								false,
								null
								,[
[
									19,
									cr.system_object.prototype.exps.floor
									,[
[
										19,
										cr.system_object.prototype.exps.random
										,[
[
											0,
											1
										]
,[
											0,
											4
										]
										]
									]
									]
								]
								]
							]
						]
,						[
							0,
							[
								20,
								42,
								cr.plugins_.Sprite.prototype.exps.ImagePointY,
								false,
								null
								,[
[
									19,
									cr.system_object.prototype.exps.floor
									,[
[
										19,
										cr.system_object.prototype.exps.random
										,[
[
											0,
											1
										]
,[
											0,
											4
										]
										]
									]
									]
								]
								]
							]
						]
						]
					]
,					[
						44,
						cr.behaviors.Rex_MoveTo.prototype.acts.SetTargetPos,
						"MoveTo",
						1939835332697314,
						false
						,[
						[
							0,
							[
								20,
								42,
								cr.plugins_.Sprite.prototype.exps.ImagePointX,
								false,
								null
								,[
[
									19,
									cr.system_object.prototype.exps.floor
									,[
[
										19,
										cr.system_object.prototype.exps.random
										,[
[
											0,
											1
										]
,[
											0,
											4
										]
										]
									]
									]
								]
								]
							]
						]
,						[
							0,
							[
								20,
								42,
								cr.plugins_.Sprite.prototype.exps.ImagePointY,
								false,
								null
								,[
[
									19,
									cr.system_object.prototype.exps.floor
									,[
[
										19,
										cr.system_object.prototype.exps.random
										,[
[
											0,
											1
										]
,[
											0,
											4
										]
										]
									]
									]
								]
								]
							]
						]
						]
					]
,					[
						45,
						cr.behaviors.Rex_MoveTo.prototype.acts.SetTargetPos,
						"MoveTo",
						1688807938293368,
						false
						,[
						[
							0,
							[
								20,
								42,
								cr.plugins_.Sprite.prototype.exps.ImagePointX,
								false,
								null
								,[
[
									19,
									cr.system_object.prototype.exps.floor
									,[
[
										19,
										cr.system_object.prototype.exps.random
										,[
[
											0,
											1
										]
,[
											0,
											4
										]
										]
									]
									]
								]
								]
							]
						]
,						[
							0,
							[
								20,
								42,
								cr.plugins_.Sprite.prototype.exps.ImagePointY,
								false,
								null
								,[
[
									19,
									cr.system_object.prototype.exps.floor
									,[
[
										19,
										cr.system_object.prototype.exps.random
										,[
[
											0,
											1
										]
,[
											0,
											4
										]
										]
									]
									]
								]
								]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				3952861610102283,
				[
				[
					42,
					cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
					null,
					1,
					false,
					false,
					false,
					4066127547963557,
					false
					,[
					[
						1,
						[
							2,
							"anime2"
						]
					]
					]
				]
				],
				[
				[
					42,
					cr.plugins_.Sprite.prototype.acts.StopAnim,
					null,
					6735720556481312,
					false
				]
,				[
					42,
					cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
					null,
					8666496406517299,
					false
					,[
					[
						0,
						[
							0,
							0
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "BORBOLETAS2"],
			false,
			null,
			9760284493512354,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				9760284493512354,
				false
				,[
				[
					1,
					[
						2,
						"BORBOLETAS2"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				2613185859470987,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					4681644119027757,
					false
					,[
					[
						11,
						"borboleta"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.Every,
					null,
					0,
					false,
					false,
					false,
					7858119614923236,
					false
					,[
					[
						0,
						[
							1,
							1
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					426597787607685,
					false
					,[
					[
						11,
						"arbusto"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				9054293311101633,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					610970811043899,
					false
					,[
					[
						11,
						"arbusto"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							16
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					7383822980955569,
					false
					,[
					[
						11,
						"borboleta"
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					8675433241921898,
					false
					,[
					[
						11,
						"arbusto"
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					43,
					cr.behaviors.Rex_MoveTo.prototype.acts.SetTargetPos,
					"MoveTo",
					5633213466492801,
					false
					,[
					[
						0,
						[
							20,
							42,
							cr.plugins_.Sprite.prototype.exps.ImagePointX,
							false,
							null
							,[
[
								19,
								cr.system_object.prototype.exps.floor
								,[
[
									19,
									cr.system_object.prototype.exps.random
									,[
[
										0,
										1
									]
,[
										0,
										4
									]
									]
								]
								]
							]
							]
						]
					]
,					[
						0,
						[
							20,
							42,
							cr.plugins_.Sprite.prototype.exps.ImagePointY,
							false,
							null
							,[
[
								19,
								cr.system_object.prototype.exps.floor
								,[
[
									19,
									cr.system_object.prototype.exps.random
									,[
[
										0,
										1
									]
,[
										0,
										4
									]
									]
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					44,
					cr.behaviors.Rex_MoveTo.prototype.acts.SetTargetPos,
					"MoveTo",
					2608517073936819,
					false
					,[
					[
						0,
						[
							20,
							42,
							cr.plugins_.Sprite.prototype.exps.ImagePointX,
							false,
							null
							,[
[
								19,
								cr.system_object.prototype.exps.floor
								,[
[
									19,
									cr.system_object.prototype.exps.random
									,[
[
										0,
										1
									]
,[
										0,
										4
									]
									]
								]
								]
							]
							]
						]
					]
,					[
						0,
						[
							20,
							42,
							cr.plugins_.Sprite.prototype.exps.ImagePointY,
							false,
							null
							,[
[
								19,
								cr.system_object.prototype.exps.floor
								,[
[
									19,
									cr.system_object.prototype.exps.random
									,[
[
										0,
										1
									]
,[
										0,
										4
									]
									]
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					45,
					cr.behaviors.Rex_MoveTo.prototype.acts.SetTargetPos,
					"MoveTo",
					4095814118455883,
					false
					,[
					[
						0,
						[
							20,
							42,
							cr.plugins_.Sprite.prototype.exps.ImagePointX,
							false,
							null
							,[
[
								19,
								cr.system_object.prototype.exps.floor
								,[
[
									19,
									cr.system_object.prototype.exps.random
									,[
[
										0,
										1
									]
,[
										0,
										4
									]
									]
								]
								]
							]
							]
						]
					]
,					[
						0,
						[
							20,
							42,
							cr.plugins_.Sprite.prototype.exps.ImagePointY,
							false,
							null
							,[
[
								19,
								cr.system_object.prototype.exps.floor
								,[
[
									19,
									cr.system_object.prototype.exps.random
									,[
[
										0,
										1
									]
,[
										0,
										4
									]
									]
								]
								]
							]
							]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6523765218379234,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					3218771771136221,
					false
					,[
					[
						11,
						"arbusto"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							2
						]
					]
					]
				]
				],
				[
				[
					42,
					cr.plugins_.Sprite.prototype.acts.SetBoolInstanceVar,
					null,
					3331440231787305,
					false
					,[
					[
						10,
						0
					]
,					[
						3,
						0
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8378578943045091,
				[
				[
					43,
					cr.behaviors.Rex_MoveTo.prototype.cnds.OnHitTarget,
					"MoveTo",
					1,
					false,
					false,
					false,
					1741273590253016,
					false
				]
,				[
					43,
					cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
					null,
					0,
					false,
					false,
					false,
					16337875917999,
					false
					,[
					[
						4,
						42
					]
					]
				]
				],
				[
				[
					43,
					cr.plugins_.Sprite.prototype.acts.Destroy,
					null,
					9882480772166749,
					false
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6383712390103649,
				[
				[
					44,
					cr.behaviors.Rex_MoveTo.prototype.cnds.OnHitTarget,
					"MoveTo",
					1,
					false,
					false,
					false,
					1164915411478468,
					false
				]
,				[
					44,
					cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
					null,
					0,
					false,
					false,
					false,
					4540444720068884,
					false
					,[
					[
						4,
						42
					]
					]
				]
				],
				[
				[
					44,
					cr.plugins_.Sprite.prototype.acts.Destroy,
					null,
					4356003783070316,
					false
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				1071843173255431,
				[
				[
					45,
					cr.behaviors.Rex_MoveTo.prototype.cnds.OnHitTarget,
					"MoveTo",
					1,
					false,
					false,
					false,
					6922895323941611,
					false
				]
,				[
					45,
					cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
					null,
					0,
					false,
					false,
					false,
					9673483913141205,
					false
					,[
					[
						4,
						42
					]
					]
				]
				],
				[
				[
					45,
					cr.plugins_.Sprite.prototype.acts.Destroy,
					null,
					6257071439076007,
					false
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6905252607518985,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					5477515909335899,
					false
					,[
					[
						11,
						"borboleta"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.Every,
					null,
					0,
					false,
					false,
					false,
					8366210378877446,
					false
					,[
					[
						0,
						[
							1,
							0.1
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					1322979356005917,
					[
					[
						43,
						cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						8504887044693959,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							2
						]
,						[
							7,
							[
								20,
								43,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
						]
						]
					]
					],
					[
					[
						43,
						cr.plugins_.Sprite.prototype.acts.SetMirrored,
						null,
						1202320678258086,
						false
						,[
						[
							3,
							0
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5748927255564824,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Else,
						null,
						0,
						false,
						false,
						false,
						3083494005540796,
						false
					]
					],
					[
					[
						43,
						cr.plugins_.Sprite.prototype.acts.SetMirrored,
						null,
						5872830336907326,
						false
						,[
						[
							3,
							1
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					6814566290357937,
					[
					[
						44,
						cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						5126525123068261,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							2
						]
,						[
							7,
							[
								20,
								44,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
						]
						]
					]
					],
					[
					[
						44,
						cr.plugins_.Sprite.prototype.acts.SetMirrored,
						null,
						2932531932477158,
						false
						,[
						[
							3,
							0
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7272720393355708,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Else,
						null,
						0,
						false,
						false,
						false,
						2800121340613828,
						false
					]
					],
					[
					[
						44,
						cr.plugins_.Sprite.prototype.acts.SetMirrored,
						null,
						1774393386734787,
						false
						,[
						[
							3,
							1
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					434599288359592,
					[
					[
						45,
						cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						5878006634143584,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							2
						]
,						[
							7,
							[
								20,
								45,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
						]
						]
					]
					],
					[
					[
						45,
						cr.plugins_.Sprite.prototype.acts.SetMirrored,
						null,
						2369775676590883,
						false
						,[
						[
							3,
							0
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7572035642750223,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Else,
						null,
						0,
						false,
						false,
						false,
						9842051569561349,
						false
					]
					],
					[
					[
						45,
						cr.plugins_.Sprite.prototype.acts.SetMirrored,
						null,
						1024229624243613,
						false
						,[
						[
							3,
							1
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					313943966121453,
					[
					],
					[
					[
						43,
						cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
						null,
						6059648072613557,
						false
						,[
						[
							10,
							0
						]
,						[
							7,
							[
								20,
								43,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
						]
						]
					]
,					[
						44,
						cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
						null,
						789286505644208,
						false
						,[
						[
							10,
							0
						]
,						[
							7,
							[
								20,
								44,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
						]
						]
					]
,					[
						45,
						cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
						null,
						6880252543530461,
						false
						,[
						[
							10,
							0
						]
,						[
							7,
							[
								20,
								45,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
						]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "MACAS2"],
			false,
			null,
			8887290373101081,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				8887290373101081,
				false
				,[
				[
					1,
					[
						2,
						"MACAS2"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				5860462607347781,
				[
				[
					53,
					cr.plugins_.Sprite.prototype.cnds.OnCollision,
					null,
					0,
					false,
					false,
					true,
					751609818411339,
					false
					,[
					[
						4,
						55
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					4958201726921022,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						99326297159498,
						false
						,[
						[
							11,
							"macaShot"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						23,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						1370774561794723,
						false
						,[
						[
							2,
							["appleground",false]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								-18
							]
						]
,						[
							1,
							[
								2,
								""
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					2640860489824885,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						7275461391334174,
						false
						,[
						[
							11,
							"macaShot"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					],
					[
					[
						23,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						4318399298692685,
						false
						,[
						[
							2,
							["appleground2",false]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								-18
							]
						]
,						[
							1,
							[
								2,
								""
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					72392679241961,
					[
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.AddVar,
						null,
						626004481117817,
						false
						,[
						[
							11,
							"macaShot"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						3872058414306939,
						false
						,[
						[
							0,
							[
								0,
								2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						8818662251751721,
						false
						,[
						[
							11,
							"macaShot"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8886333741826659,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					1793298281726686,
					false
					,[
					[
						4,
						52
					]
					]
				]
,				[
					21,
					cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
					null,
					0,
					false,
					true,
					false,
					5286348681297858,
					false
					,[
					[
						4,
						53
					]
					]
				]
,				[
					21,
					cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
					null,
					0,
					false,
					true,
					false,
					8046744370990679,
					false
					,[
					[
						4,
						69
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					4718716345918548,
					false
					,[
					[
						11,
						"macas"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps.random
							,[
[
								0,
								30
							]
,[
								0,
								70
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					3898514565179118,
					false
					,[
					[
						4,
						53
					]
,					[
						5,
						[
							2,
							"macas"
						]
					]
,					[
						0,
						[
							20,
							21,
							cr.plugins_.Touch.prototype.exps.X,
							false,
							null
						]
					]
,					[
						0,
						[
							20,
							21,
							cr.plugins_.Touch.prototype.exps.Y,
							false,
							null
						]
					]
					]
				]
,				[
					53,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					752263965940302,
					false
					,[
					[
						1,
						[
							2,
							"anime2"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					53,
					cr.plugins_.Sprite.prototype.acts.SetAngle,
					null,
					6332404851170643,
					false
					,[
					[
						0,
						[
							19,
							cr.system_object.prototype.exps.random
							,[
[
								0,
								-20
							]
,[
								0,
								70
							]
							]
						]
					]
					]
				]
,				[
					53,
					cr.plugins_.Sprite.prototype.acts.SetScale,
					null,
					7393350014152972,
					false
					,[
					[
						0,
						[
							0,
							0
						]
					]
					]
				]
,				[
					53,
					cr.behaviors.lunarray_LiteTween.prototype.acts.SetTarget,
					"LiteTween",
					6008931660058905,
					false
					,[
					[
						3,
						5
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							23,
							"macas"
						]
					]
					]
				]
,				[
					53,
					cr.behaviors.lunarray_LiteTween.prototype.acts.SetTarget,
					"LiteTween",
					8998474899638762,
					false
					,[
					[
						3,
						4
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							23,
							"macas"
						]
					]
					]
				]
,				[
					53,
					cr.behaviors.lunarray_LiteTween.prototype.acts.SetDuration,
					"LiteTween",
					8319009849812802,
					false
					,[
					[
						0,
						[
							0,
							1
						]
					]
					]
				]
,				[
					53,
					cr.behaviors.lunarray_LiteTween.prototype.acts.Start,
					"LiteTween",
					7190605864045333,
					false
					,[
					[
						3,
						0
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Play,
					null,
					147503894369252,
					false
					,[
					[
						2,
						["apple",false]
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							-12
						]
					]
,					[
						1,
						[
							2,
							"maca"
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8268925173666349,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					1858048841511516,
					false
					,[
					[
						4,
						53
					]
					]
				]
,				[
					53,
					cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
					null,
					0,
					false,
					false,
					false,
					5762600381817001,
					false
					,[
					[
						4,
						52
					]
					]
				]
				],
				[
				[
					53,
					cr.behaviors.lunarray_LiteTween.prototype.acts.SetTweenedProperty,
					"LiteTween",
					5219625833550519,
					false
					,[
					[
						3,
						0
					]
					]
				]
,				[
					53,
					cr.behaviors.lunarray_LiteTween.prototype.acts.SetTarget,
					"LiteTween",
					9317923195282017,
					false
					,[
					[
						3,
						0
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							20,
							53,
							cr.plugins_.Sprite.prototype.exps.X,
							false,
							null
						]
					]
					]
				]
,				[
					53,
					cr.behaviors.lunarray_LiteTween.prototype.acts.SetTarget,
					"LiteTween",
					6838092261926943,
					false
					,[
					[
						3,
						1
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							4,
							[
								20,
								53,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
							,[
								0,
								350
							]
						]
					]
					]
				]
,				[
					53,
					cr.behaviors.lunarray_LiteTween.prototype.acts.SetDuration,
					"LiteTween",
					406443871913207,
					false
					,[
					[
						0,
						[
							0,
							1
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					3317157294007491,
					false
					,[
					[
						11,
						"macaPosition"
					]
,					[
						7,
						[
							4,
							[
								20,
								53,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
							,[
								0,
								350
							]
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					8630302313860948,
					[
					[
						53,
						cr.plugins_.Sprite.prototype.cnds.CompareX,
						null,
						0,
						false,
						false,
						false,
						1111067399595548,
						false
						,[
						[
							8,
							2
						]
,						[
							0,
							[
								5,
								[
									20,
									52,
									cr.plugins_.Sprite.prototype.exps.X,
									false,
									null
								]
								,[
									0,
									20
								]
							]
						]
						]
					]
,					[
						53,
						cr.plugins_.Sprite.prototype.cnds.CompareX,
						null,
						0,
						false,
						false,
						false,
						3239557007183593,
						false
						,[
						[
							8,
							4
						]
,						[
							0,
							[
								5,
								[
									20,
									52,
									cr.plugins_.Sprite.prototype.exps.X,
									false,
									null
								]
								,[
									0,
									90
								]
							]
						]
						]
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						518918823811178,
						[
						[
							53,
							cr.plugins_.Sprite.prototype.cnds.CompareY,
							null,
							0,
							false,
							false,
							false,
							7305306214879184,
							false
							,[
							[
								8,
								3
							]
,							[
								0,
								[
									4,
									[
										20,
										52,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										100
									]
								]
							]
							]
						]
,						[
							53,
							cr.plugins_.Sprite.prototype.cnds.CompareY,
							null,
							0,
							false,
							false,
							false,
							5054833246757445,
							false
							,[
							[
								8,
								4
							]
,							[
								0,
								[
									5,
									[
										20,
										52,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										40
									]
								]
							]
							]
						]
						],
						[
						[
							53,
							cr.behaviors.lunarray_LiteTween.prototype.acts.SetTarget,
							"LiteTween",
							4400846300102591,
							false
							,[
							[
								3,
								1
							]
,							[
								3,
								0
							]
,							[
								0,
								[
									4,
									[
										20,
										53,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										275
									]
								]
							]
							]
						]
,						[
							27,
							cr.plugins_.Text.prototype.acts.SetText,
							null,
							9238766883800517,
							false
							,[
							[
								7,
								[
									2,
									"01"
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.acts.SetVar,
							null,
							7551853919852736,
							false
							,[
							[
								11,
								"macaPosition"
							]
,							[
								7,
								[
									4,
									[
										20,
										53,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										275
									]
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						8664091131190631,
						[
						[
							53,
							cr.plugins_.Sprite.prototype.cnds.CompareY,
							null,
							0,
							false,
							false,
							false,
							8165057715681972,
							false
							,[
							[
								8,
								3
							]
,							[
								0,
								[
									5,
									[
										20,
										52,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										40
									]
								]
							]
							]
						]
,						[
							53,
							cr.plugins_.Sprite.prototype.cnds.CompareY,
							null,
							0,
							false,
							false,
							false,
							6917867755606473,
							false
							,[
							[
								8,
								4
							]
,							[
								0,
								[
									5,
									[
										20,
										52,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										90
									]
								]
							]
							]
						]
						],
						[
						[
							53,
							cr.behaviors.lunarray_LiteTween.prototype.acts.SetTarget,
							"LiteTween",
							5810098173709583,
							false
							,[
							[
								3,
								1
							]
,							[
								3,
								0
							]
,							[
								0,
								[
									4,
									[
										20,
										53,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										335
									]
								]
							]
							]
						]
,						[
							27,
							cr.plugins_.Text.prototype.acts.SetText,
							null,
							8547403812398951,
							false
							,[
							[
								7,
								[
									2,
									"02"
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.acts.SetVar,
							null,
							4634148416715461,
							false
							,[
							[
								11,
								"macaPosition"
							]
,							[
								7,
								[
									4,
									[
										20,
										53,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										335
									]
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						2852643503956802,
						[
						[
							53,
							cr.plugins_.Sprite.prototype.cnds.CompareY,
							null,
							0,
							false,
							false,
							false,
							528052537703238,
							false
							,[
							[
								8,
								3
							]
,							[
								0,
								[
									5,
									[
										20,
										52,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										90
									]
								]
							]
							]
						]
,						[
							53,
							cr.plugins_.Sprite.prototype.cnds.CompareY,
							null,
							0,
							false,
							false,
							false,
							1855664172113351,
							false
							,[
							[
								8,
								4
							]
,							[
								0,
								[
									5,
									[
										20,
										52,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										130
									]
								]
							]
							]
						]
						],
						[
						[
							53,
							cr.behaviors.lunarray_LiteTween.prototype.acts.SetTarget,
							"LiteTween",
							138599778922384,
							false
							,[
							[
								3,
								1
							]
,							[
								3,
								0
							]
,							[
								0,
								[
									4,
									[
										20,
										53,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										380
									]
								]
							]
							]
						]
,						[
							27,
							cr.plugins_.Text.prototype.acts.SetText,
							null,
							692174238698157,
							false
							,[
							[
								7,
								[
									2,
									"03"
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.acts.SetVar,
							null,
							332316051552055,
							false
							,[
							[
								11,
								"macaPosition"
							]
,							[
								7,
								[
									4,
									[
										20,
										53,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										380
									]
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						9601025111103011,
						[
						[
							53,
							cr.plugins_.Sprite.prototype.cnds.CompareY,
							null,
							0,
							false,
							false,
							false,
							59809223108235,
							false
							,[
							[
								8,
								3
							]
,							[
								0,
								[
									5,
									[
										20,
										52,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										130
									]
								]
							]
							]
						]
						],
						[
						[
							53,
							cr.behaviors.lunarray_LiteTween.prototype.acts.SetTarget,
							"LiteTween",
							9205865873526097,
							false
							,[
							[
								3,
								1
							]
,							[
								3,
								0
							]
,							[
								0,
								[
									4,
									[
										20,
										53,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										420
									]
								]
							]
							]
						]
,						[
							27,
							cr.plugins_.Text.prototype.acts.SetText,
							null,
							1473783547517987,
							false
							,[
							[
								7,
								[
									2,
									"04"
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.acts.SetVar,
							null,
							5808008494071289,
							false
							,[
							[
								11,
								"macaPosition"
							]
,							[
								7,
								[
									4,
									[
										20,
										53,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										420
									]
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					1120115773720071,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Else,
						null,
						0,
						false,
						false,
						false,
						6955351234361432,
						false
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						3648068917089948,
						[
						[
							53,
							cr.plugins_.Sprite.prototype.cnds.CompareY,
							null,
							0,
							false,
							false,
							false,
							3030907448428278,
							false
							,[
							[
								8,
								3
							]
,							[
								0,
								[
									4,
									[
										20,
										52,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										100
									]
								]
							]
							]
						]
,						[
							53,
							cr.plugins_.Sprite.prototype.cnds.CompareY,
							null,
							0,
							false,
							false,
							false,
							5009949571424421,
							false
							,[
							[
								8,
								4
							]
,							[
								0,
								[
									5,
									[
										20,
										52,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										40
									]
								]
							]
							]
						]
						],
						[
						[
							53,
							cr.behaviors.lunarray_LiteTween.prototype.acts.SetTarget,
							"LiteTween",
							2521241600778051,
							false
							,[
							[
								3,
								1
							]
,							[
								3,
								0
							]
,							[
								0,
								[
									4,
									[
										20,
										53,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										200
									]
								]
							]
							]
						]
,						[
							27,
							cr.plugins_.Text.prototype.acts.SetText,
							null,
							8025854391683688,
							false
							,[
							[
								7,
								[
									2,
									"05"
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.acts.SetVar,
							null,
							350223893503246,
							false
							,[
							[
								11,
								"macaPosition"
							]
,							[
								7,
								[
									4,
									[
										20,
										53,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										200
									]
								]
							]
							]
						]
						]
						,[
						[
							0,
							null,
							false,
							null,
							5428548890488356,
							[
							[
								53,
								cr.plugins_.Sprite.prototype.cnds.CompareX,
								null,
								0,
								false,
								false,
								false,
								2251544261124377,
								false
								,[
								[
									8,
									3
								]
,								[
									0,
									[
										5,
										[
											20,
											52,
											cr.plugins_.Sprite.prototype.exps.X,
											false,
											null
										]
										,[
											0,
											90
										]
									]
								]
								]
							]
							],
							[
							[
								53,
								cr.behaviors.lunarray_LiteTween.prototype.acts.SetTarget,
								"LiteTween",
								8559645474278711,
								false
								,[
								[
									3,
									1
								]
,								[
									3,
									0
								]
,								[
									0,
									[
										4,
										[
											20,
											53,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											280
										]
									]
								]
								]
							]
,							[
								27,
								cr.plugins_.Text.prototype.acts.SetText,
								null,
								1786259984076585,
								false
								,[
								[
									7,
									[
										2,
										"06"
									]
								]
								]
							]
,							[
								-1,
								cr.system_object.prototype.acts.SetVar,
								null,
								4477340158487996,
								false
								,[
								[
									11,
									"macaPosition"
								]
,								[
									7,
									[
										4,
										[
											20,
											53,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											280
										]
									]
								]
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						7632869940586974,
						[
						[
							53,
							cr.plugins_.Sprite.prototype.cnds.CompareY,
							null,
							0,
							false,
							false,
							false,
							2374260325825802,
							false
							,[
							[
								8,
								3
							]
,							[
								0,
								[
									5,
									[
										20,
										52,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										40
									]
								]
							]
							]
						]
,						[
							53,
							cr.plugins_.Sprite.prototype.cnds.CompareY,
							null,
							0,
							false,
							false,
							false,
							9632148827448338,
							false
							,[
							[
								8,
								4
							]
,							[
								0,
								[
									5,
									[
										20,
										52,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										80
									]
								]
							]
							]
						]
						],
						[
						]
						,[
						[
							0,
							null,
							false,
							null,
							3567995366984711,
							[
							[
								53,
								cr.plugins_.Sprite.prototype.cnds.CompareX,
								null,
								0,
								false,
								false,
								false,
								395474817050408,
								false
								,[
								[
									8,
									2
								]
,								[
									0,
									[
										4,
										[
											20,
											52,
											cr.plugins_.Sprite.prototype.exps.X,
											false,
											null
										]
										,[
											0,
											120
										]
									]
								]
								]
							]
							],
							[
							[
								53,
								cr.behaviors.lunarray_LiteTween.prototype.acts.SetTarget,
								"LiteTween",
								1548165499579464,
								false
								,[
								[
									3,
									1
								]
,								[
									3,
									0
								]
,								[
									0,
									[
										4,
										[
											20,
											53,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											270
										]
									]
								]
								]
							]
,							[
								27,
								cr.plugins_.Text.prototype.acts.SetText,
								null,
								1311152910551913,
								false
								,[
								[
									7,
									[
										2,
										"07"
									]
								]
								]
							]
,							[
								-1,
								cr.system_object.prototype.acts.SetVar,
								null,
								2912634730287236,
								false
								,[
								[
									11,
									"macaPosition"
								]
,								[
									7,
									[
										4,
										[
											20,
											53,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											270
										]
									]
								]
								]
							]
							]
						]
,						[
							0,
							null,
							false,
							null,
							1376425163878129,
							[
							[
								-1,
								cr.system_object.prototype.cnds.Else,
								null,
								0,
								false,
								false,
								false,
								7388045481645128,
								false
							]
							],
							[
							[
								53,
								cr.behaviors.lunarray_LiteTween.prototype.acts.SetTarget,
								"LiteTween",
								8508069483889924,
								false
								,[
								[
									3,
									1
								]
,								[
									3,
									0
								]
,								[
									0,
									[
										4,
										[
											20,
											53,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											250
										]
									]
								]
								]
							]
,							[
								27,
								cr.plugins_.Text.prototype.acts.SetText,
								null,
								917504594614091,
								false
								,[
								[
									7,
									[
										2,
										"07b"
									]
								]
								]
							]
,							[
								-1,
								cr.system_object.prototype.acts.SetVar,
								null,
								3349262813201743,
								false
								,[
								[
									11,
									"macaPosition"
								]
,								[
									7,
									[
										4,
										[
											20,
											53,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											250
										]
									]
								]
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						5152000660171322,
						[
						[
							53,
							cr.plugins_.Sprite.prototype.cnds.CompareY,
							null,
							0,
							false,
							false,
							false,
							8299194298206309,
							false
							,[
							[
								8,
								3
							]
,							[
								0,
								[
									5,
									[
										20,
										52,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										80
									]
								]
							]
							]
						]
,						[
							53,
							cr.plugins_.Sprite.prototype.cnds.CompareY,
							null,
							0,
							false,
							false,
							false,
							375724564665403,
							false
							,[
							[
								8,
								4
							]
,							[
								0,
								[
									5,
									[
										20,
										52,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										130
									]
								]
							]
							]
						]
						],
						[
						[
							53,
							cr.behaviors.lunarray_LiteTween.prototype.acts.SetTarget,
							"LiteTween",
							3221127418702087,
							false
							,[
							[
								3,
								1
							]
,							[
								3,
								0
							]
,							[
								0,
								[
									4,
									[
										20,
										53,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										300
									]
								]
							]
							]
						]
,						[
							27,
							cr.plugins_.Text.prototype.acts.SetText,
							null,
							7419878974372244,
							false
							,[
							[
								7,
								[
									2,
									"08"
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.acts.SetVar,
							null,
							6235417196145131,
							false
							,[
							[
								11,
								"macaPosition"
							]
,							[
								7,
								[
									4,
									[
										20,
										53,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										300
									]
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						5841826587956477,
						[
						[
							53,
							cr.plugins_.Sprite.prototype.cnds.CompareY,
							null,
							0,
							false,
							false,
							false,
							2400066948517125,
							false
							,[
							[
								8,
								3
							]
,							[
								0,
								[
									5,
									[
										20,
										52,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										130
									]
								]
							]
							]
						]
						],
						[
						[
							53,
							cr.behaviors.lunarray_LiteTween.prototype.acts.SetTarget,
							"LiteTween",
							5017593284232964,
							false
							,[
							[
								3,
								1
							]
,							[
								3,
								0
							]
,							[
								0,
								[
									4,
									[
										20,
										53,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										340
									]
								]
							]
							]
						]
,						[
							27,
							cr.plugins_.Text.prototype.acts.SetText,
							null,
							690279527353307,
							false
							,[
							[
								7,
								[
									2,
									"09"
								]
							]
							]
						]
,						[
							-1,
							cr.system_object.prototype.acts.SetVar,
							null,
							1457302145066422,
							false
							,[
							[
								11,
								"macaPosition"
							]
,							[
								7,
								[
									4,
									[
										20,
										53,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										0,
										340
									]
								]
							]
							]
						]
						]
						,[
						[
							0,
							null,
							false,
							null,
							1481465301932602,
							[
							[
								53,
								cr.plugins_.Sprite.prototype.cnds.CompareX,
								null,
								0,
								false,
								false,
								false,
								6076374765396517,
								false
								,[
								[
									8,
									2
								]
,								[
									0,
									[
										4,
										[
											20,
											52,
											cr.plugins_.Sprite.prototype.exps.X,
											false,
											null
										]
										,[
											0,
											70
										]
									]
								]
								]
							]
							],
							[
							[
								53,
								cr.behaviors.lunarray_LiteTween.prototype.acts.SetTarget,
								"LiteTween",
								984329152737757,
								false
								,[
								[
									3,
									1
								]
,								[
									3,
									0
								]
,								[
									0,
									[
										4,
										[
											20,
											53,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											375
										]
									]
								]
								]
							]
,							[
								27,
								cr.plugins_.Text.prototype.acts.SetText,
								null,
								1294387346524687,
								false
								,[
								[
									7,
									[
										2,
										"10"
									]
								]
								]
							]
,							[
								-1,
								cr.system_object.prototype.acts.SetVar,
								null,
								3401284350240927,
								false
								,[
								[
									11,
									"macaPosition"
								]
,								[
									7,
									[
										4,
										[
											20,
											53,
											cr.plugins_.Sprite.prototype.exps.Y,
											false,
											null
										]
										,[
											0,
											375
										]
									]
								]
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					8626387824812962,
					[
					],
					[
					[
						53,
						cr.behaviors.lunarray_LiteTween.prototype.acts.SetEasing,
						"LiteTween",
						3805298691826528,
						false
						,[
						[
							3,
							23
						]
						]
					]
,					[
						53,
						cr.behaviors.lunarray_LiteTween.prototype.acts.Start,
						"LiteTween",
						2508845069858162,
						false
						,[
						[
							3,
							0
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				7565362983596317,
				[
				[
					53,
					cr.behaviors.lunarray_LiteTween.prototype.cnds.OnEnd,
					"LiteTween",
					1,
					false,
					false,
					false,
					6710929098685298,
					false
				]
,				[
					53,
					cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
					null,
					0,
					false,
					true,
					false,
					9395371568378223,
					false
					,[
					[
						4,
						52
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.Wait,
					null,
					6989026652185585,
					false
					,[
					[
						0,
						[
							0,
							2
						]
					]
					]
				]
,				[
					53,
					cr.behaviors.lunarray_LiteTween.prototype.acts.SetTweenedProperty,
					"LiteTween",
					2032527891353692,
					false
					,[
					[
						3,
						5
					]
					]
				]
,				[
					53,
					cr.behaviors.lunarray_LiteTween.prototype.acts.SetEasing,
					"LiteTween",
					3732481037467712,
					false
					,[
					[
						3,
						0
					]
					]
				]
,				[
					53,
					cr.behaviors.lunarray_LiteTween.prototype.acts.SetDuration,
					"LiteTween",
					7601673593317589,
					false
					,[
					[
						0,
						[
							0,
							2
						]
					]
					]
				]
,				[
					53,
					cr.behaviors.lunarray_LiteTween.prototype.acts.SetTarget,
					"LiteTween",
					9474185184872758,
					false
					,[
					[
						3,
						3
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							0
						]
					]
					]
				]
,				[
					53,
					cr.behaviors.lunarray_LiteTween.prototype.acts.Start,
					"LiteTween",
					972166643200305,
					false
					,[
					[
						3,
						0
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				3826709939782389,
				[
				[
					53,
					cr.plugins_.Sprite.prototype.cnds.CompareOpacity,
					null,
					0,
					false,
					false,
					false,
					8075441052716119,
					false
					,[
					[
						8,
						0
					]
,					[
						0,
						[
							0,
							0
						]
					]
					]
				]
				],
				[
				[
					53,
					cr.plugins_.Sprite.prototype.acts.Destroy,
					null,
					7604841110909261,
					false
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			865360780716241,
			[
			[
				-1,
				cr.system_object.prototype.cnds.EveryTick,
				null,
				0,
				false,
				false,
				false,
				114827586911812,
				false
			]
			],
			[
			[
				27,
				cr.plugins_.Text.prototype.acts.SetText,
				null,
				3302893376458181,
				false
				,[
				[
					7,
					[
						20,
						35,
						cr.plugins_.Sprite.prototype.exps.Opacity,
						false,
						null
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "NANAROSA2"],
			false,
			null,
			5641163820829992,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				5641163820829992,
				false
				,[
				[
					1,
					[
						2,
						"NANAROSA2"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				633590235106519,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					9714854756010279,
					false
					,[
					[
						4,
						37
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.Compare,
					null,
					0,
					false,
					false,
					false,
					3796848336671051,
					false
					,[
					[
						7,
						[
							20,
							37,
							cr.plugins_.Sprite.prototype.exps.AnimationName,
							true,
							null
						]
					]
,					[
						8,
						1
					]
,					[
						7,
						[
							2,
							"anime4"
						]
					]
					]
				]
				],
				[
				[
					37,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					4804436182551214,
					false
					,[
					[
						1,
						[
							2,
							"anime4"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.Wait,
					null,
					4583726325364266,
					false
					,[
					[
						0,
						[
							1,
							0.5
						]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Play,
					null,
					718838122926727,
					false
					,[
					[
						2,
						["nanarindo",false]
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							0
						]
					]
,					[
						1,
						[
							2,
							"nanaRindo"
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				9193269011806983,
				[
				[
					37,
					cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
					null,
					1,
					false,
					false,
					false,
					1125458077355428,
					false
					,[
					[
						1,
						[
							2,
							"anime4"
						]
					]
					]
				]
				],
				[
				[
					37,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					4104120054015626,
					false
					,[
					[
						1,
						[
							2,
							"anime3"
						]
					]
,					[
						3,
						1
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "PASSAROGORDO"],
			false,
			null,
			2935852251951194,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				2935852251951194,
				false
				,[
				[
					1,
					[
						2,
						"PASSAROGORDO"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				7464582805781094,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					4566054534056553,
					false
					,[
					[
						4,
						47
					]
					]
				]
,				[
					59,
					cr.plugins_.Sprite.prototype.cnds.CompareOpacity,
					null,
					0,
					false,
					false,
					false,
					2380084184817299,
					false
					,[
					[
						8,
						0
					]
,					[
						0,
						[
							0,
							0
						]
					]
					]
				]
				],
				[
				[
					58,
					cr.plugins_.Sprite.prototype.acts.SetOpacity,
					null,
					9264488486325249,
					false
					,[
					[
						0,
						[
							0,
							100
						]
					]
					]
				]
,				[
					59,
					cr.plugins_.Sprite.prototype.acts.SetOpacity,
					null,
					3375181421085506,
					false
					,[
					[
						0,
						[
							0,
							100
						]
					]
					]
				]
,				[
					59,
					cr.plugins_.Sprite.prototype.acts.StartAnim,
					null,
					6170105805530742,
					false
					,[
					[
						3,
						1
					]
					]
				]
,				[
					47,
					cr.plugins_.Sprite.prototype.acts.StopAnim,
					null,
					7194530673229488,
					false
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Play,
					null,
					567926564536694,
					false
					,[
					[
						2,
						["birdao",false]
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							0
						]
					]
,					[
						1,
						[
							2,
							""
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8206011516936304,
				[
				[
					59,
					cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
					null,
					1,
					false,
					false,
					false,
					7220978572916538,
					false
					,[
					[
						1,
						[
							2,
							"anime1"
						]
					]
					]
				]
				],
				[
				[
					58,
					cr.plugins_.Sprite.prototype.acts.SetOpacity,
					null,
					7926321207263594,
					false
					,[
					[
						0,
						[
							0,
							0
						]
					]
					]
				]
,				[
					59,
					cr.plugins_.Sprite.prototype.acts.SetOpacity,
					null,
					6413162810495047,
					false
					,[
					[
						0,
						[
							0,
							0
						]
					]
					]
				]
,				[
					47,
					cr.plugins_.Sprite.prototype.acts.StartAnim,
					null,
					5538935923927468,
					false
					,[
					[
						3,
						0
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				2460581680054653,
				[
				[
					-1,
					cr.system_object.prototype.cnds.Every,
					null,
					0,
					false,
					false,
					false,
					2519081008422759,
					false
					,[
					[
						0,
						[
							0,
							1
						]
					]
					]
				]
,				[
					59,
					cr.plugins_.Sprite.prototype.cnds.CompareOpacity,
					null,
					0,
					false,
					false,
					false,
					2266793185630033,
					false
					,[
					[
						8,
						0
					]
,					[
						0,
						[
							0,
							0
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					32655044031909,
					false
					,[
					[
						4,
						60
					]
,					[
						5,
						[
							2,
							"passaroGordo"
						]
					]
,					[
						0,
						[
							0,
							1311
						]
					]
,					[
						0,
						[
							0,
							259
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					9219501747316494,
					false
					,[
					[
						11,
						"counterZ"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					60,
					cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
					null,
					3496905746354333,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							23,
							"counterZ"
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				4368650921345918,
				[
				[
					60,
					cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
					null,
					1,
					false,
					false,
					false,
					6293933058817992,
					false
					,[
					[
						1,
						[
							2,
							"anime1"
						]
					]
					]
				]
				],
				[
				[
					60,
					cr.plugins_.Sprite.prototype.acts.Destroy,
					null,
					3405830771661826,
					false
				]
				]
			]
			]
		]
,		[
			0,
			[true, "FLORES2"],
			false,
			null,
			4141412801193761,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				4141412801193761,
				false
				,[
				[
					1,
					[
						2,
						"FLORES2"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				618995038612709,
				[
				[
					54,
					cr.plugins_.Sprite.prototype.cnds.CompareFrame,
					null,
					0,
					false,
					false,
					false,
					8918182699416717,
					false
					,[
					[
						8,
						0
					]
,					[
						0,
						[
							0,
							9
						]
					]
					]
				]
				],
				[
				[
					54,
					cr.plugins_.Sprite.prototype.acts.StopAnim,
					null,
					8847749823964282,
					false
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				1865084312463955,
				[
				[
					54,
					cr.plugins_.Sprite.prototype.cnds.CompareFrame,
					null,
					0,
					false,
					false,
					false,
					8754988552685007,
					false
					,[
					[
						8,
						0
					]
,					[
						0,
						[
							0,
							18
						]
					]
					]
				]
				],
				[
				[
					54,
					cr.plugins_.Sprite.prototype.acts.Destroy,
					null,
					95108611127231,
					false
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				9041991354516873,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					4105720073322997,
					false
					,[
					[
						4,
						55
					]
					]
				]
,				[
					21,
					cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
					null,
					0,
					false,
					true,
					false,
					5594868916246772,
					false
					,[
					[
						4,
						54
					]
					]
				]
,				[
					21,
					cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
					null,
					0,
					false,
					true,
					false,
					5724527034214578,
					false
					,[
					[
						4,
						53
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					2214226468043941,
					false
					,[
					[
						4,
						54
					]
,					[
						5,
						[
							2,
							"flor"
						]
					]
,					[
						0,
						[
							20,
							21,
							cr.plugins_.Touch.prototype.exps.X,
							false,
							null
						]
					]
,					[
						0,
						[
							20,
							21,
							cr.plugins_.Touch.prototype.exps.Y,
							false,
							null
						]
					]
					]
				]
,				[
					54,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					5493976963369998,
					false
					,[
					[
						1,
						[
							2,
							"anime2"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					54,
					cr.plugins_.Sprite.prototype.acts.SetScale,
					null,
					8041429944546833,
					false
					,[
					[
						0,
						[
							19,
							cr.system_object.prototype.exps.random
							,[
[
								1,
								0.2
							]
,[
								1,
								0.5
							]
							]
						]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Play,
					null,
					7888549981221804,
					false
					,[
					[
						2,
						["florcresce",false]
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							-5
						]
					]
,					[
						1,
						[
							2,
							""
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				7249210595808941,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					8955310766169846,
					false
					,[
					[
						4,
						54
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.Compare,
					null,
					0,
					false,
					false,
					false,
					9808023347907955,
					false
					,[
					[
						7,
						[
							20,
							54,
							cr.plugins_.Sprite.prototype.exps.AnimationName,
							true,
							null
						]
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							2,
							"anime2"
						]
					]
					]
				]
,				[
					54,
					cr.plugins_.Sprite.prototype.cnds.CompareFrame,
					null,
					0,
					false,
					false,
					false,
					3585066514860945,
					false
					,[
					[
						8,
						0
					]
,					[
						0,
						[
							0,
							9
						]
					]
					]
				]
				],
				[
				[
					54,
					cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
					null,
					3296394855927061,
					false
					,[
					[
						0,
						[
							0,
							10
						]
					]
					]
				]
,				[
					54,
					cr.plugins_.Sprite.prototype.acts.StartAnim,
					null,
					1225138087235942,
					false
					,[
					[
						3,
						0
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Play,
					null,
					307543771074144,
					false
					,[
					[
						2,
						["florencolhe",false]
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							-5
						]
					]
,					[
						1,
						[
							2,
							""
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8303268549218311,
				[
				[
					54,
					cr.plugins_.Sprite.prototype.cnds.OnCollision,
					null,
					0,
					false,
					false,
					true,
					1798491764759184,
					false
					,[
					[
						4,
						53
					]
					]
				]
,				[
					54,
					cr.plugins_.Sprite.prototype.cnds.CompareFrame,
					null,
					0,
					false,
					false,
					false,
					5420209660346394,
					false
					,[
					[
						8,
						0
					]
,					[
						0,
						[
							0,
							9
						]
					]
					]
				]
,				[
					54,
					cr.plugins_.Sprite.prototype.cnds.CompareY,
					null,
					0,
					false,
					false,
					false,
					6655941335418698,
					false
					,[
					[
						8,
						5
					]
,					[
						0,
						[
							5,
							[
								23,
								"macaPosition"
							]
							,[
								0,
								10
							]
						]
					]
					]
				]
				],
				[
				[
					54,
					cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
					null,
					5626108956624653,
					false
					,[
					[
						0,
						[
							0,
							10
						]
					]
					]
				]
,				[
					54,
					cr.plugins_.Sprite.prototype.acts.StartAnim,
					null,
					6037084917829113,
					false
					,[
					[
						3,
						0
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Play,
					null,
					5000620569771831,
					false
					,[
					[
						2,
						["florencolhe",false]
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							-5
						]
					]
,					[
						1,
						[
							2,
							""
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "LIXEIRA2"],
			false,
			null,
			7699674731445763,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				7699674731445763,
				false
				,[
				[
					1,
					[
						2,
						"LIXEIRA2"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				6347789039010242,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					4114081930338774,
					false
					,[
					[
						4,
						51
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.cnds.IsTagPlaying,
					null,
					0,
					false,
					true,
					false,
					7678143705998748,
					false
					,[
					[
						1,
						[
							2,
							"lixeira"
						]
					]
					]
				]
				],
				[
				[
					51,
					cr.plugins_.Sprite.prototype.acts.StartAnim,
					null,
					7945942209371479,
					false
					,[
					[
						3,
						0
					]
					]
				]
,				[
					70,
					cr.plugins_.Sprite.prototype.acts.StartAnim,
					null,
					3136218694897686,
					false
					,[
					[
						3,
						0
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Play,
					null,
					580331852218174,
					false
					,[
					[
						2,
						["lixeira",false]
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							-10
						]
					]
,					[
						1,
						[
							2,
							"lixeira"
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "ESTRELAS"],
			false,
			null,
			7772143012207468,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				7772143012207468,
				false
				,[
				[
					1,
					[
						2,
						"ESTRELAS"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				310366716821647,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					1264175390394722,
					false
					,[
					[
						4,
						2
					]
					]
				]
,				[
					21,
					cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
					null,
					0,
					false,
					true,
					false,
					94192867157128,
					false
					,[
					[
						4,
						113
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					8816320114976734,
					false
					,[
					[
						4,
						61
					]
,					[
						5,
						[
							2,
							"ceu"
						]
					]
,					[
						0,
						[
							5,
							[
								20,
								21,
								cr.plugins_.Touch.prototype.exps.X,
								false,
								null
							]
							,[
								5,
								[
									19,
									cr.system_object.prototype.exps.scrollx
								]
								,[
									0,
									512
								]
							]
						]
					]
,					[
						0,
						[
							20,
							21,
							cr.plugins_.Touch.prototype.exps.Y,
							false,
							null
						]
					]
					]
				]
,				[
					61,
					cr.plugins_.Sprite.prototype.acts.SetScale,
					null,
					9887305056722282,
					false
					,[
					[
						0,
						[
							19,
							cr.system_object.prototype.exps.random
							,[
[
								1,
								0.1
							]
,[
								1,
								0.5
							]
							]
						]
					]
					]
				]
,				[
					61,
					cr.plugins_.Sprite.prototype.acts.SetAngle,
					null,
					5330556852853633,
					false
					,[
					[
						0,
						[
							19,
							cr.system_object.prototype.exps.random
							,[
[
								0,
								0
							]
,[
								0,
								180
							]
							]
						]
					]
					]
				]
,				[
					61,
					cr.plugins_.Sprite.prototype.acts.SetOpacity,
					null,
					9724325444594753,
					false
					,[
					[
						0,
						[
							19,
							cr.system_object.prototype.exps.random
							,[
[
								0,
								90
							]
,[
								0,
								100
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					7534729367440178,
					false
					,[
					[
						11,
						"starDestroy"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Play,
					null,
					1180700519590918,
					false
					,[
					[
						2,
						["estrela",false]
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							0
						]
					]
,					[
						1,
						[
							2,
							""
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				3875417120792797,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					8989183263024264,
					false
					,[
					[
						4,
						61
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					4036194074695479,
					false
					,[
					[
						11,
						"starDestroy"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					21,
					cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
					null,
					0,
					false,
					true,
					false,
					1895062925125413,
					false
					,[
					[
						4,
						63
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					2097158060732907,
					[
					[
						61,
						cr.plugins_.Sprite.prototype.cnds.CompareX,
						null,
						0,
						false,
						false,
						false,
						6690740528682202,
						false
						,[
						[
							8,
							4
						]
,						[
							0,
							[
								7,
								[
									19,
									cr.system_object.prototype.exps.windowwidth
								]
								,[
									0,
									2
								]
							]
						]
						]
					]
					],
					[
					[
						61,
						cr.plugins_.Sprite.prototype.acts.SetAngle,
						null,
						4755790741225163,
						false
						,[
						[
							0,
							[
								0,
								180
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5010055197014177,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Else,
						null,
						0,
						false,
						false,
						false,
						6280309484546021,
						false
					]
					],
					[
					[
						61,
						cr.plugins_.Sprite.prototype.acts.SetAngle,
						null,
						1070660585745415,
						false
						,[
						[
							0,
							[
								0,
								0
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					4548733403674542,
					[
					],
					[
					[
						61,
						cr.behaviors.Bullet.prototype.acts.SetEnabled,
						"Bullet",
						4704980550583876,
						false
						,[
						[
							3,
							1
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						1918144072169393,
						false
						,[
						[
							0,
							[
								1,
								0.5
							]
						]
						]
					]
,					[
						61,
						cr.plugins_.Sprite.prototype.acts.SetHeight,
						null,
						3111866168150013,
						false
						,[
						[
							0,
							[
								5,
								[
									20,
									61,
									cr.plugins_.Sprite.prototype.exps.Height,
									false,
									null
								]
								,[
									7,
									[
										20,
										61,
										cr.plugins_.Sprite.prototype.exps.Height,
										false,
										null
									]
									,[
										0,
										5
									]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						8337314971217465,
						false
						,[
						[
							0,
							[
								1,
								0.1
							]
						]
						]
					]
,					[
						61,
						cr.plugins_.Sprite.prototype.acts.SetHeight,
						null,
						449582581843725,
						false
						,[
						[
							0,
							[
								5,
								[
									20,
									61,
									cr.plugins_.Sprite.prototype.exps.Height,
									false,
									null
								]
								,[
									7,
									[
										20,
										61,
										cr.plugins_.Sprite.prototype.exps.Height,
										false,
										null
									]
									,[
										0,
										5
									]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						5860822870957111,
						false
						,[
						[
							0,
							[
								1,
								0.1
							]
						]
						]
					]
,					[
						61,
						cr.plugins_.Sprite.prototype.acts.SetHeight,
						null,
						8028758621837868,
						false
						,[
						[
							0,
							[
								5,
								[
									20,
									61,
									cr.plugins_.Sprite.prototype.exps.Height,
									false,
									null
								]
								,[
									7,
									[
										20,
										61,
										cr.plugins_.Sprite.prototype.exps.Height,
										false,
										null
									]
									,[
										0,
										5
									]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						761177343734823,
						false
						,[
						[
							0,
							[
								1,
								0.1
							]
						]
						]
					]
,					[
						61,
						cr.plugins_.Sprite.prototype.acts.SetHeight,
						null,
						1283124181435789,
						false
						,[
						[
							0,
							[
								5,
								[
									20,
									61,
									cr.plugins_.Sprite.prototype.exps.Height,
									false,
									null
								]
								,[
									7,
									[
										20,
										61,
										cr.plugins_.Sprite.prototype.exps.Height,
										false,
										null
									]
									,[
										0,
										5
									]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						5442915391239368,
						false
						,[
						[
							0,
							[
								1,
								0.1
							]
						]
						]
					]
,					[
						61,
						cr.plugins_.Sprite.prototype.acts.SetHeight,
						null,
						9407559081442299,
						false
						,[
						[
							0,
							[
								5,
								[
									20,
									61,
									cr.plugins_.Sprite.prototype.exps.Height,
									false,
									null
								]
								,[
									7,
									[
										20,
										61,
										cr.plugins_.Sprite.prototype.exps.Height,
										false,
										null
									]
									,[
										0,
										5
									]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						9886035194810516,
						false
						,[
						[
							0,
							[
								1,
								0.1
							]
						]
						]
					]
,					[
						61,
						cr.plugins_.Sprite.prototype.acts.SetHeight,
						null,
						5191032121757644,
						false
						,[
						[
							0,
							[
								5,
								[
									20,
									61,
									cr.plugins_.Sprite.prototype.exps.Height,
									false,
									null
								]
								,[
									7,
									[
										20,
										61,
										cr.plugins_.Sprite.prototype.exps.Height,
										false,
										null
									]
									,[
										0,
										5
									]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						8140716582001047,
						false
						,[
						[
							0,
							[
								1,
								0.1
							]
						]
						]
					]
,					[
						61,
						cr.plugins_.Sprite.prototype.acts.SetHeight,
						null,
						5697224651082171,
						false
						,[
						[
							0,
							[
								5,
								[
									20,
									61,
									cr.plugins_.Sprite.prototype.exps.Height,
									false,
									null
								]
								,[
									7,
									[
										20,
										61,
										cr.plugins_.Sprite.prototype.exps.Height,
										false,
										null
									]
									,[
										0,
										5
									]
								]
							]
						]
						]
					]
,					[
						61,
						cr.behaviors.Fade.prototype.acts.RestartFade,
						"Fade",
						9230055742781048,
						false
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8018588062584159,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchEnd,
					null,
					1,
					false,
					false,
					false,
					6832413673939247,
					false
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					7738017760397067,
					false
					,[
					[
						11,
						"starDestroy"
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "AVIAO"],
			false,
			null,
			7483574967071699,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				7483574967071699,
				false
				,[
				[
					1,
					[
						2,
						"AVIAO"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				2286919476689162,
				[
				[
					-1,
					cr.system_object.prototype.cnds.Every,
					null,
					0,
					false,
					false,
					false,
					652638809618862,
					false
					,[
					[
						0,
						[
							0,
							2
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					5313728723977306,
					false
					,[
					[
						11,
						"aviaoState"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					4887265855927778,
					false
					,[
					[
						11,
						"aviao"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps.floor
							,[
[
								19,
								cr.system_object.prototype.exps.random
								,[
[
									0,
									3
								]
								]
							]
							]
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					5115662129686377,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						442090768879378,
						false
						,[
						[
							11,
							"aviao"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						452212158104423,
						false
						,[
						[
							4,
							63
						]
,						[
							5,
							[
								2,
								"aviao"
							]
						]
,						[
							0,
							[
								0,
								1600
							]
						]
,						[
							0,
							[
								19,
								cr.system_object.prototype.exps.random
								,[
[
									0,
									50
								]
,[
									0,
									300
								]
								]
							]
						]
						]
					]
,					[
						63,
						cr.plugins_.Sprite.prototype.acts.SetScale,
						null,
						780806637979329,
						false
						,[
						[
							0,
							[
								19,
								cr.system_object.prototype.exps.random
								,[
[
									1,
									0.5
								]
,[
									1,
									0.9
								]
								]
							]
						]
						]
					]
,					[
						63,
						cr.behaviors.Bullet.prototype.acts.SetEnabled,
						"Bullet",
						2576459242282755,
						false
						,[
						[
							3,
							1
						]
						]
					]
,					[
						63,
						cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,
						"Bullet",
						5018864577881611,
						false
						,[
						[
							0,
							[
								0,
								180
							]
						]
						]
					]
,					[
						63,
						cr.behaviors.Bullet.prototype.acts.SetGravity,
						"Bullet",
						4700400445345209,
						false
						,[
						[
							0,
							[
								0,
								2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						2554245173191637,
						false
						,[
						[
							11,
							"aviaoState"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						2559079645985836,
						[
						[
							63,
							cr.plugins_.Sprite.prototype.cnds.CompareY,
							null,
							0,
							false,
							false,
							false,
							8283792091753682,
							false
							,[
							[
								8,
								4
							]
,							[
								0,
								[
									0,
									180
								]
							]
							]
						]
						],
						[
						[
							63,
							cr.behaviors.Bullet.prototype.acts.SetGravity,
							"Bullet",
							176153682825591,
							false
							,[
							[
								0,
								[
									0,
									-2
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7116727690099586,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						5352560896186593,
						false
						,[
						[
							11,
							"aviao"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.CreateObject,
						null,
						3394163842954553,
						false
						,[
						[
							4,
							63
						]
,						[
							5,
							[
								2,
								"aviao"
							]
						]
,						[
							0,
							[
								0,
								-100
							]
						]
,						[
							0,
							[
								19,
								cr.system_object.prototype.exps.random
								,[
[
									0,
									50
								]
,[
									0,
									300
								]
								]
							]
						]
						]
					]
,					[
						63,
						cr.plugins_.Sprite.prototype.acts.SetFlipped,
						null,
						669776258173679,
						false
						,[
						[
							3,
							0
						]
						]
					]
,					[
						63,
						cr.plugins_.Sprite.prototype.acts.SetScale,
						null,
						4026223808660071,
						false
						,[
						[
							0,
							[
								19,
								cr.system_object.prototype.exps.random
								,[
[
									1,
									0.5
								]
,[
									1,
									0.9
								]
								]
							]
						]
						]
					]
,					[
						63,
						cr.behaviors.Bullet.prototype.acts.SetEnabled,
						"Bullet",
						8892692721398272,
						false
						,[
						[
							3,
							1
						]
						]
					]
,					[
						63,
						cr.behaviors.Bullet.prototype.acts.SetGravity,
						"Bullet",
						4296944224490125,
						false
						,[
						[
							0,
							[
								0,
								2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						6540093497698646,
						false
						,[
						[
							11,
							"aviaoState"
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						4154929829812641,
						[
						[
							63,
							cr.plugins_.Sprite.prototype.cnds.CompareY,
							null,
							0,
							false,
							false,
							false,
							435821518086953,
							false
							,[
							[
								8,
								4
							]
,							[
								0,
								[
									0,
									180
								]
							]
							]
						]
						],
						[
						[
							63,
							cr.behaviors.Bullet.prototype.acts.SetGravity,
							"Bullet",
							3232684206919248,
							false
							,[
							[
								0,
								[
									0,
									-2
								]
							]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				true,
				null,
				3509139093078385,
				[
				[
					63,
					cr.plugins_.Sprite.prototype.cnds.CompareX,
					null,
					0,
					false,
					false,
					false,
					7777029341343089,
					false
					,[
					[
						8,
						2
					]
,					[
						0,
						[
							0,
							-105
						]
					]
					]
				]
,				[
					63,
					cr.plugins_.Sprite.prototype.cnds.CompareX,
					null,
					0,
					false,
					false,
					false,
					2555289668662455,
					false
					,[
					[
						8,
						4
					]
,					[
						0,
						[
							0,
							1605
						]
					]
					]
				]
				],
				[
				[
					63,
					cr.plugins_.Sprite.prototype.acts.Destroy,
					null,
					3699124619725913,
					false
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					7549448042876561,
					false
					,[
					[
						11,
						"aviaoState"
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				5404569722163945,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					2861203366024889,
					false
					,[
					[
						4,
						63
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.cnds.IsTagPlaying,
					null,
					0,
					false,
					true,
					false,
					8503492711728611,
					false
					,[
					[
						1,
						[
							2,
							"aviao"
						]
					]
					]
				]
				],
				[
				[
					63,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					3751998401185738,
					false
					,[
					[
						1,
						[
							2,
							"anime2"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Play,
					null,
					3797638334105255,
					false
					,[
					[
						2,
						["aviao",false]
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							-15
						]
					]
,					[
						1,
						[
							2,
							"aviao"
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				9455575732135604,
				[
				[
					63,
					cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
					null,
					1,
					false,
					false,
					false,
					8896841965394106,
					false
					,[
					[
						1,
						[
							2,
							"anime2"
						]
					]
					]
				]
				],
				[
				[
					63,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					9474034278283733,
					false
					,[
					[
						1,
						[
							2,
							"anime1"
						]
					]
,					[
						3,
						1
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "LUZES"],
			false,
			null,
			2726211490926683,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				2726211490926683,
				false
				,[
				[
					1,
					[
						2,
						"LUZES"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				6667410019266988,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					2806878868390734,
					false
					,[
					[
						4,
						66
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					4362584907866882,
					[
					[
						66,
						cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						8174854620761992,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						4444858042751264,
						[
						[
							64,
							cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							9316136239373087,
							false
							,[
							[
								10,
								0
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									6
								]
							]
							]
						]
						],
						[
						[
							64,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							8242707195226136,
							false
							,[
							[
								3,
								1
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							6190633611497188,
							false
							,[
							[
								1,
								[
									10,
									[
										2,
										"anime"
									]
									,[
										19,
										cr.system_object.prototype.exps.floor
										,[
[
											19,
											cr.system_object.prototype.exps.random
											,[
[
												0,
												3
											]
											]
										]
										]
									]
								]
							]
,							[
								3,
								1
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						5005586026735231,
						[
						[
							64,
							cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							2883349684930615,
							false
							,[
							[
								10,
								0
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									7
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.Wait,
							null,
							8366190170193518,
							false
							,[
							[
								0,
								[
									1,
									0.2
								]
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							1501610708102002,
							false
							,[
							[
								1,
								[
									10,
									[
										2,
										"anime"
									]
									,[
										19,
										cr.system_object.prototype.exps.floor
										,[
[
											19,
											cr.system_object.prototype.exps.random
											,[
[
												0,
												3
											]
											]
										]
										]
									]
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							4589152182997704,
							false
							,[
							[
								3,
								1
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						9443050709839357,
						[
						[
							64,
							cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							6992457184116778,
							false
							,[
							[
								10,
								0
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									8
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.Wait,
							null,
							5199731755009946,
							false
							,[
							[
								0,
								[
									1,
									0.4
								]
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							2156282959573155,
							false
							,[
							[
								1,
								[
									10,
									[
										2,
										"anime"
									]
									,[
										19,
										cr.system_object.prototype.exps.floor
										,[
[
											19,
											cr.system_object.prototype.exps.random
											,[
[
												0,
												3
											]
											]
										]
										]
									]
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							105098795298484,
							false
							,[
							[
								3,
								1
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						3060119654370102,
						[
						[
							64,
							cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							2120173627213166,
							false
							,[
							[
								10,
								0
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									9
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.Wait,
							null,
							1558329913470176,
							false
							,[
							[
								0,
								[
									1,
									0.6
								]
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							4482748282417817,
							false
							,[
							[
								1,
								[
									10,
									[
										2,
										"anime"
									]
									,[
										19,
										cr.system_object.prototype.exps.floor
										,[
[
											19,
											cr.system_object.prototype.exps.random
											,[
[
												0,
												3
											]
											]
										]
										]
									]
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							5247075723768623,
							false
							,[
							[
								3,
								1
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						6735189249194046,
						[
						[
							64,
							cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							3684987718353094,
							false
							,[
							[
								10,
								0
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									10
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.Wait,
							null,
							5024708431428522,
							false
							,[
							[
								0,
								[
									1,
									0.8
								]
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							2611189295669113,
							false
							,[
							[
								1,
								[
									10,
									[
										2,
										"anime"
									]
									,[
										19,
										cr.system_object.prototype.exps.floor
										,[
[
											19,
											cr.system_object.prototype.exps.random
											,[
[
												0,
												3
											]
											]
										]
										]
									]
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							2401126480430913,
							false
							,[
							[
								3,
								1
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						7534391047229856,
						[
						[
							64,
							cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							6239707528792426,
							false
							,[
							[
								10,
								0
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									11
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.Wait,
							null,
							6836636570465778,
							false
							,[
							[
								0,
								[
									0,
									1
								]
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							2542157419302452,
							false
							,[
							[
								1,
								[
									10,
									[
										2,
										"anime"
									]
									,[
										19,
										cr.system_object.prototype.exps.floor
										,[
[
											19,
											cr.system_object.prototype.exps.random
											,[
[
												0,
												3
											]
											]
										]
										]
									]
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							9056357246752344,
							false
							,[
							[
								3,
								1
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7907008178329821,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Else,
						null,
						0,
						false,
						false,
						false,
						5986873585646965,
						false
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						2683859766257364,
						[
						[
							64,
							cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							7246123689924112,
							false
							,[
							[
								10,
								0
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									6
								]
							]
							]
						]
						],
						[
						[
							64,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							8062257123606459,
							false
							,[
							[
								3,
								1
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							3173845568336066,
							false
							,[
							[
								1,
								[
									10,
									[
										2,
										"anime"
									]
									,[
										19,
										cr.system_object.prototype.exps.floor
										,[
[
											19,
											cr.system_object.prototype.exps.random
											,[
[
												0,
												3
											]
,[
												0,
												5
											]
											]
										]
										]
									]
								]
							]
,							[
								3,
								1
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						2314241184102361,
						[
						[
							64,
							cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							2711490128179135,
							false
							,[
							[
								10,
								0
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									7
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.Wait,
							null,
							7546480258139946,
							false
							,[
							[
								0,
								[
									1,
									0.2
								]
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							2713529296710492,
							false
							,[
							[
								3,
								1
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							2960668140207487,
							false
							,[
							[
								1,
								[
									10,
									[
										2,
										"anime"
									]
									,[
										19,
										cr.system_object.prototype.exps.floor
										,[
[
											19,
											cr.system_object.prototype.exps.random
											,[
[
												0,
												3
											]
,[
												0,
												5
											]
											]
										]
										]
									]
								]
							]
,							[
								3,
								1
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						9462523947579871,
						[
						[
							64,
							cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							549266692493545,
							false
							,[
							[
								10,
								0
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									8
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.Wait,
							null,
							5663981801963698,
							false
							,[
							[
								0,
								[
									1,
									0.4
								]
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							9326123469842094,
							false
							,[
							[
								3,
								1
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							6020346876299992,
							false
							,[
							[
								1,
								[
									10,
									[
										2,
										"anime"
									]
									,[
										19,
										cr.system_object.prototype.exps.floor
										,[
[
											19,
											cr.system_object.prototype.exps.random
											,[
[
												0,
												3
											]
,[
												0,
												5
											]
											]
										]
										]
									]
								]
							]
,							[
								3,
								1
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						2915917938011065,
						[
						[
							64,
							cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							5956163286109664,
							false
							,[
							[
								10,
								0
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									9
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.Wait,
							null,
							6530528332754772,
							false
							,[
							[
								0,
								[
									1,
									0.6
								]
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							9843605341114958,
							false
							,[
							[
								3,
								1
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							1874645206903599,
							false
							,[
							[
								1,
								[
									10,
									[
										2,
										"anime"
									]
									,[
										19,
										cr.system_object.prototype.exps.floor
										,[
[
											19,
											cr.system_object.prototype.exps.random
											,[
[
												0,
												3
											]
,[
												0,
												5
											]
											]
										]
										]
									]
								]
							]
,							[
								3,
								1
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						7320955961278921,
						[
						[
							64,
							cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							471260111275492,
							false
							,[
							[
								10,
								0
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									10
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.Wait,
							null,
							9544837868143636,
							false
							,[
							[
								0,
								[
									1,
									0.8
								]
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							855971357108012,
							false
							,[
							[
								3,
								1
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							1979925130597239,
							false
							,[
							[
								1,
								[
									10,
									[
										2,
										"anime"
									]
									,[
										19,
										cr.system_object.prototype.exps.floor
										,[
[
											19,
											cr.system_object.prototype.exps.random
											,[
[
												0,
												3
											]
,[
												0,
												5
											]
											]
										]
										]
									]
								]
							]
,							[
								3,
								1
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						2256627728453628,
						[
						[
							64,
							cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							5776676912569727,
							false
							,[
							[
								10,
								0
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									11
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.Wait,
							null,
							8544168568915754,
							false
							,[
							[
								0,
								[
									0,
									1
								]
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							9128282583448381,
							false
							,[
							[
								3,
								1
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							8997419153295246,
							false
							,[
							[
								1,
								[
									10,
									[
										2,
										"anime"
									]
									,[
										19,
										cr.system_object.prototype.exps.floor
										,[
[
											19,
											cr.system_object.prototype.exps.random
											,[
[
												0,
												3
											]
,[
												0,
												5
											]
											]
										]
										]
									]
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							66,
							cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
							null,
							9124052230966876,
							false
							,[
							[
								10,
								0
							]
,							[
								7,
								[
									0,
									0
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					6879928773147031,
					[
					],
					[
					[
						66,
						cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
						null,
						3491395718087745,
						false
						,[
						[
							10,
							0
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				578141280417956,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					1601035673021392,
					false
					,[
					[
						4,
						65
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					4767216682724258,
					[
					[
						65,
						cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						4063381945454065,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						6684813601860518,
						[
						[
							64,
							cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							7620042270386841,
							false
							,[
							[
								10,
								0
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							64,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							3974516491969509,
							false
							,[
							[
								3,
								1
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							4694608538052533,
							false
							,[
							[
								1,
								[
									10,
									[
										2,
										"anime"
									]
									,[
										19,
										cr.system_object.prototype.exps.floor
										,[
[
											19,
											cr.system_object.prototype.exps.random
											,[
[
												0,
												3
											]
											]
										]
										]
									]
								]
							]
,							[
								3,
								1
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						7035021554080332,
						[
						[
							64,
							cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							635490669674845,
							false
							,[
							[
								10,
								0
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									1
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.Wait,
							null,
							1278964884634592,
							false
							,[
							[
								0,
								[
									1,
									0.2
								]
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							7505190765732803,
							false
							,[
							[
								1,
								[
									10,
									[
										2,
										"anime"
									]
									,[
										19,
										cr.system_object.prototype.exps.floor
										,[
[
											19,
											cr.system_object.prototype.exps.random
											,[
[
												0,
												3
											]
											]
										]
										]
									]
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							4861944122501074,
							false
							,[
							[
								3,
								1
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						9886018864939171,
						[
						[
							64,
							cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							8336931083832925,
							false
							,[
							[
								10,
								0
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									2
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.Wait,
							null,
							822267792043026,
							false
							,[
							[
								0,
								[
									1,
									0.4
								]
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							6954699880200646,
							false
							,[
							[
								1,
								[
									10,
									[
										2,
										"anime"
									]
									,[
										19,
										cr.system_object.prototype.exps.floor
										,[
[
											19,
											cr.system_object.prototype.exps.random
											,[
[
												0,
												3
											]
											]
										]
										]
									]
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							6497582046827977,
							false
							,[
							[
								3,
								1
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						8216287852566277,
						[
						[
							64,
							cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							9228087078526823,
							false
							,[
							[
								10,
								0
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									3
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.Wait,
							null,
							2994699576258714,
							false
							,[
							[
								0,
								[
									1,
									0.6
								]
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							409160442011807,
							false
							,[
							[
								1,
								[
									10,
									[
										2,
										"anime"
									]
									,[
										19,
										cr.system_object.prototype.exps.floor
										,[
[
											19,
											cr.system_object.prototype.exps.random
											,[
[
												0,
												3
											]
											]
										]
										]
									]
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							2602830827639442,
							false
							,[
							[
								3,
								1
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						5902287214944394,
						[
						[
							64,
							cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							356043348328291,
							false
							,[
							[
								10,
								0
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									4
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.Wait,
							null,
							7391614747697058,
							false
							,[
							[
								0,
								[
									1,
									0.8
								]
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							3137554289727309,
							false
							,[
							[
								1,
								[
									10,
									[
										2,
										"anime"
									]
									,[
										19,
										cr.system_object.prototype.exps.floor
										,[
[
											19,
											cr.system_object.prototype.exps.random
											,[
[
												0,
												3
											]
											]
										]
										]
									]
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							2596784405406994,
							false
							,[
							[
								3,
								1
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						1305508400941259,
						[
						[
							64,
							cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							4640644888061468,
							false
							,[
							[
								10,
								0
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									5
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.Wait,
							null,
							7814723105067553,
							false
							,[
							[
								0,
								[
									0,
									1
								]
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							2058008461498398,
							false
							,[
							[
								1,
								[
									10,
									[
										2,
										"anime"
									]
									,[
										19,
										cr.system_object.prototype.exps.floor
										,[
[
											19,
											cr.system_object.prototype.exps.random
											,[
[
												0,
												3
											]
											]
										]
										]
									]
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							5071471780804512,
							false
							,[
							[
								3,
								1
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5757947942007278,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Else,
						null,
						0,
						false,
						false,
						false,
						5001587784913891,
						false
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						7934536936227897,
						[
						[
							64,
							cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							767672383102048,
							false
							,[
							[
								10,
								0
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							64,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							9257362045038356,
							false
							,[
							[
								3,
								1
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							3039767916376459,
							false
							,[
							[
								1,
								[
									10,
									[
										2,
										"anime"
									]
									,[
										19,
										cr.system_object.prototype.exps.floor
										,[
[
											19,
											cr.system_object.prototype.exps.random
											,[
[
												0,
												3
											]
,[
												0,
												5
											]
											]
										]
										]
									]
								]
							]
,							[
								3,
								1
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						5637308986040857,
						[
						[
							64,
							cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							1088905093543379,
							false
							,[
							[
								10,
								0
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									1
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.Wait,
							null,
							812332065511501,
							false
							,[
							[
								0,
								[
									1,
									0.2
								]
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							1221428978099227,
							false
							,[
							[
								3,
								1
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							7619298228176818,
							false
							,[
							[
								1,
								[
									10,
									[
										2,
										"anime"
									]
									,[
										19,
										cr.system_object.prototype.exps.floor
										,[
[
											19,
											cr.system_object.prototype.exps.random
											,[
[
												0,
												3
											]
,[
												0,
												5
											]
											]
										]
										]
									]
								]
							]
,							[
								3,
								1
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						9439312054597224,
						[
						[
							64,
							cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							300230212001608,
							false
							,[
							[
								10,
								0
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									2
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.Wait,
							null,
							2407579778316147,
							false
							,[
							[
								0,
								[
									1,
									0.4
								]
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							9814676471153703,
							false
							,[
							[
								3,
								1
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							8729409524545917,
							false
							,[
							[
								1,
								[
									10,
									[
										2,
										"anime"
									]
									,[
										19,
										cr.system_object.prototype.exps.floor
										,[
[
											19,
											cr.system_object.prototype.exps.random
											,[
[
												0,
												3
											]
,[
												0,
												5
											]
											]
										]
										]
									]
								]
							]
,							[
								3,
								1
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						8210798478216499,
						[
						[
							64,
							cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							1862622974333211,
							false
							,[
							[
								10,
								0
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									3
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.Wait,
							null,
							450527827515928,
							false
							,[
							[
								0,
								[
									1,
									0.6
								]
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							8528765983238843,
							false
							,[
							[
								3,
								1
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							3591150499074125,
							false
							,[
							[
								1,
								[
									10,
									[
										2,
										"anime"
									]
									,[
										19,
										cr.system_object.prototype.exps.floor
										,[
[
											19,
											cr.system_object.prototype.exps.random
											,[
[
												0,
												3
											]
,[
												0,
												5
											]
											]
										]
										]
									]
								]
							]
,							[
								3,
								1
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						5580307702187408,
						[
						[
							64,
							cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							8969619595075068,
							false
							,[
							[
								10,
								0
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									4
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.Wait,
							null,
							2662983508278532,
							false
							,[
							[
								0,
								[
									1,
									0.8
								]
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							7054833388538963,
							false
							,[
							[
								3,
								1
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							7818105439088666,
							false
							,[
							[
								1,
								[
									10,
									[
										2,
										"anime"
									]
									,[
										19,
										cr.system_object.prototype.exps.floor
										,[
[
											19,
											cr.system_object.prototype.exps.random
											,[
[
												0,
												3
											]
,[
												0,
												5
											]
											]
										]
										]
									]
								]
							]
,							[
								3,
								1
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						8260083426188292,
						[
						[
							64,
							cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							6444022512006818,
							false
							,[
							[
								10,
								0
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									5
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.Wait,
							null,
							9530276013709659,
							false
							,[
							[
								0,
								[
									0,
									1
								]
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							5908668949915252,
							false
							,[
							[
								3,
								1
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							2150080198272557,
							false
							,[
							[
								1,
								[
									10,
									[
										2,
										"anime"
									]
									,[
										19,
										cr.system_object.prototype.exps.floor
										,[
[
											19,
											cr.system_object.prototype.exps.random
											,[
[
												0,
												3
											]
,[
												0,
												5
											]
											]
										]
										]
									]
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							65,
							cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
							null,
							1890333772336631,
							false
							,[
							[
								10,
								0
							]
,							[
								7,
								[
									0,
									0
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3207012825252804,
					[
					],
					[
					[
						65,
						cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
						null,
						4179170353562424,
						false
						,[
						[
							10,
							0
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				424286865981003,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					9187801347300064,
					false
					,[
					[
						4,
						67
					]
					]
				]
,				[
					21,
					cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
					null,
					0,
					false,
					true,
					false,
					9594430301553144,
					false
					,[
					[
						4,
						68
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					9882945693712403,
					[
					[
						67,
						cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						2624422450720247,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						1604470990774318,
						[
						[
							64,
							cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							6501668212191298,
							false
							,[
							[
								10,
								0
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									12
								]
							]
							]
						]
						],
						[
						[
							64,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							8099616806446197,
							false
							,[
							[
								3,
								1
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							7847162972365322,
							false
							,[
							[
								1,
								[
									10,
									[
										2,
										"anime"
									]
									,[
										19,
										cr.system_object.prototype.exps.floor
										,[
[
											19,
											cr.system_object.prototype.exps.random
											,[
[
												0,
												3
											]
											]
										]
										]
									]
								]
							]
,							[
								3,
								1
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						9422201884899684,
						[
						[
							64,
							cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							4387991411650897,
							false
							,[
							[
								10,
								0
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									13
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.Wait,
							null,
							6820125289906955,
							false
							,[
							[
								0,
								[
									1,
									0.2
								]
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							8254468076205278,
							false
							,[
							[
								1,
								[
									10,
									[
										2,
										"anime"
									]
									,[
										19,
										cr.system_object.prototype.exps.floor
										,[
[
											19,
											cr.system_object.prototype.exps.random
											,[
[
												0,
												3
											]
											]
										]
										]
									]
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							7321576449914206,
							false
							,[
							[
								3,
								1
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						5195534407239488,
						[
						[
							64,
							cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							193901681143249,
							false
							,[
							[
								10,
								0
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									14
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.Wait,
							null,
							5872245281557771,
							false
							,[
							[
								0,
								[
									1,
									0.4
								]
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							9322226377464696,
							false
							,[
							[
								1,
								[
									10,
									[
										2,
										"anime"
									]
									,[
										19,
										cr.system_object.prototype.exps.floor
										,[
[
											19,
											cr.system_object.prototype.exps.random
											,[
[
												0,
												3
											]
											]
										]
										]
									]
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							164408625533501,
							false
							,[
							[
								3,
								1
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						7698951742714857,
						[
						[
							64,
							cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							9727200099116745,
							false
							,[
							[
								10,
								0
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									15
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.Wait,
							null,
							3108901876883688,
							false
							,[
							[
								0,
								[
									1,
									0.6
								]
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							8543169331403881,
							false
							,[
							[
								1,
								[
									10,
									[
										2,
										"anime"
									]
									,[
										19,
										cr.system_object.prototype.exps.floor
										,[
[
											19,
											cr.system_object.prototype.exps.random
											,[
[
												0,
												3
											]
											]
										]
										]
									]
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							7238464736381224,
							false
							,[
							[
								3,
								1
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						1980841273536094,
						[
						[
							64,
							cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							1713371194954445,
							false
							,[
							[
								10,
								0
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									16
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.Wait,
							null,
							8418462085805223,
							false
							,[
							[
								0,
								[
									1,
									0.8
								]
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							9310831812283024,
							false
							,[
							[
								1,
								[
									10,
									[
										2,
										"anime"
									]
									,[
										19,
										cr.system_object.prototype.exps.floor
										,[
[
											19,
											cr.system_object.prototype.exps.random
											,[
[
												0,
												3
											]
											]
										]
										]
									]
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							1910992427710605,
							false
							,[
							[
								3,
								1
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7736939431596685,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Else,
						null,
						0,
						false,
						false,
						false,
						9069132225583551,
						false
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						4814812023590541,
						[
						[
							64,
							cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							1694349915535792,
							false
							,[
							[
								10,
								0
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									12
								]
							]
							]
						]
						],
						[
						[
							64,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							9490822147976951,
							false
							,[
							[
								3,
								1
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							3503430778537936,
							false
							,[
							[
								1,
								[
									10,
									[
										2,
										"anime"
									]
									,[
										19,
										cr.system_object.prototype.exps.floor
										,[
[
											19,
											cr.system_object.prototype.exps.random
											,[
[
												0,
												3
											]
,[
												0,
												5
											]
											]
										]
										]
									]
								]
							]
,							[
								3,
								1
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						2741374613183024,
						[
						[
							64,
							cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							2324771381882645,
							false
							,[
							[
								10,
								0
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									13
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.Wait,
							null,
							5628073254147651,
							false
							,[
							[
								0,
								[
									1,
									0.2
								]
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							3321642668021539,
							false
							,[
							[
								3,
								1
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							9099688408384928,
							false
							,[
							[
								1,
								[
									10,
									[
										2,
										"anime"
									]
									,[
										19,
										cr.system_object.prototype.exps.floor
										,[
[
											19,
											cr.system_object.prototype.exps.random
											,[
[
												0,
												3
											]
,[
												0,
												5
											]
											]
										]
										]
									]
								]
							]
,							[
								3,
								1
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						972215619965494,
						[
						[
							64,
							cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							6465723492115087,
							false
							,[
							[
								10,
								0
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									14
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.Wait,
							null,
							1199648315125954,
							false
							,[
							[
								0,
								[
									1,
									0.4
								]
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							4382069655596349,
							false
							,[
							[
								3,
								1
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							8455848295907999,
							false
							,[
							[
								1,
								[
									10,
									[
										2,
										"anime"
									]
									,[
										19,
										cr.system_object.prototype.exps.floor
										,[
[
											19,
											cr.system_object.prototype.exps.random
											,[
[
												0,
												3
											]
,[
												0,
												5
											]
											]
										]
										]
									]
								]
							]
,							[
								3,
								1
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						2153138313484006,
						[
						[
							64,
							cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							4441349366823014,
							false
							,[
							[
								10,
								0
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									15
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.Wait,
							null,
							7868472887173095,
							false
							,[
							[
								0,
								[
									1,
									0.6
								]
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							3625221388186889,
							false
							,[
							[
								3,
								1
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							1511561403119673,
							false
							,[
							[
								1,
								[
									10,
									[
										2,
										"anime"
									]
									,[
										19,
										cr.system_object.prototype.exps.floor
										,[
[
											19,
											cr.system_object.prototype.exps.random
											,[
[
												0,
												3
											]
,[
												0,
												5
											]
											]
										]
										]
									]
								]
							]
,							[
								3,
								1
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						1292893995140402,
						[
						[
							64,
							cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							348842779478714,
							false
							,[
							[
								10,
								0
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									16
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.Wait,
							null,
							455884174131905,
							false
							,[
							[
								0,
								[
									1,
									0.8
								]
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							360363514821021,
							false
							,[
							[
								3,
								1
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							8482383633169091,
							false
							,[
							[
								1,
								[
									10,
									[
										2,
										"anime"
									]
									,[
										19,
										cr.system_object.prototype.exps.floor
										,[
[
											19,
											cr.system_object.prototype.exps.random
											,[
[
												0,
												3
											]
,[
												0,
												5
											]
											]
										]
										]
									]
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							67,
							cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
							null,
							7293712888568195,
							false
							,[
							[
								10,
								0
							]
,							[
								7,
								[
									0,
									0
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					2427777319664914,
					[
					],
					[
					[
						67,
						cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
						null,
						4842087465946875,
						false
						,[
						[
							10,
							0
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				5638298674817468,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					5133117430496867,
					false
					,[
					[
						4,
						68
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					6618538037481418,
					[
					[
						68,
						cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						4603945320503291,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						3844494869481979,
						[
						[
							64,
							cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							384902660590236,
							false
							,[
							[
								10,
								0
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									17
								]
							]
							]
						]
						],
						[
						[
							64,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							6307804717012704,
							false
							,[
							[
								3,
								1
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							6758708158225808,
							false
							,[
							[
								1,
								[
									10,
									[
										2,
										"anime"
									]
									,[
										19,
										cr.system_object.prototype.exps.floor
										,[
[
											19,
											cr.system_object.prototype.exps.random
											,[
[
												0,
												3
											]
											]
										]
										]
									]
								]
							]
,							[
								3,
								1
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						7949613938173649,
						[
						[
							64,
							cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							7739666854844395,
							false
							,[
							[
								10,
								0
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									18
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.Wait,
							null,
							3744313169109276,
							false
							,[
							[
								0,
								[
									1,
									0.2
								]
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							6700219581672188,
							false
							,[
							[
								1,
								[
									10,
									[
										2,
										"anime"
									]
									,[
										19,
										cr.system_object.prototype.exps.floor
										,[
[
											19,
											cr.system_object.prototype.exps.random
											,[
[
												0,
												3
											]
											]
										]
										]
									]
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							7205366453520612,
							false
							,[
							[
								3,
								1
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						4936200433401719,
						[
						[
							64,
							cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							1961562063093216,
							false
							,[
							[
								10,
								0
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									19
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.Wait,
							null,
							8197614755911344,
							false
							,[
							[
								0,
								[
									1,
									0.4
								]
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							7927743008198635,
							false
							,[
							[
								1,
								[
									10,
									[
										2,
										"anime"
									]
									,[
										19,
										cr.system_object.prototype.exps.floor
										,[
[
											19,
											cr.system_object.prototype.exps.random
											,[
[
												0,
												3
											]
											]
										]
										]
									]
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							9727319874947541,
							false
							,[
							[
								3,
								1
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						4041253933630766,
						[
						[
							64,
							cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							5802142362539266,
							false
							,[
							[
								10,
								0
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									20
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.Wait,
							null,
							5214027881101164,
							false
							,[
							[
								0,
								[
									1,
									0.6
								]
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							1942419697470626,
							false
							,[
							[
								1,
								[
									10,
									[
										2,
										"anime"
									]
									,[
										19,
										cr.system_object.prototype.exps.floor
										,[
[
											19,
											cr.system_object.prototype.exps.random
											,[
[
												0,
												3
											]
											]
										]
										]
									]
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							2975029834288224,
							false
							,[
							[
								3,
								1
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						9920286370478881,
						[
						[
							64,
							cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							5443502319240805,
							false
							,[
							[
								10,
								0
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									21
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.Wait,
							null,
							980210282582383,
							false
							,[
							[
								0,
								[
									1,
									0.8
								]
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							741804586719212,
							false
							,[
							[
								1,
								[
									10,
									[
										2,
										"anime"
									]
									,[
										19,
										cr.system_object.prototype.exps.floor
										,[
[
											19,
											cr.system_object.prototype.exps.random
											,[
[
												0,
												3
											]
											]
										]
										]
									]
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							3272286450697486,
							false
							,[
							[
								3,
								1
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					1162095832638995,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Else,
						null,
						0,
						false,
						false,
						false,
						7641972454069723,
						false
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						5043717290593234,
						[
						[
							64,
							cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							6212885457625199,
							false
							,[
							[
								10,
								0
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									17
								]
							]
							]
						]
						],
						[
						[
							64,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							1894673738595967,
							false
							,[
							[
								3,
								1
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							4291057600311129,
							false
							,[
							[
								1,
								[
									10,
									[
										2,
										"anime"
									]
									,[
										19,
										cr.system_object.prototype.exps.floor
										,[
[
											19,
											cr.system_object.prototype.exps.random
											,[
[
												0,
												3
											]
,[
												0,
												5
											]
											]
										]
										]
									]
								]
							]
,							[
								3,
								1
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						4457167704975609,
						[
						[
							64,
							cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							1157893466388686,
							false
							,[
							[
								10,
								0
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									18
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.Wait,
							null,
							3867788817519297,
							false
							,[
							[
								0,
								[
									1,
									0.2
								]
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							5899288391331181,
							false
							,[
							[
								3,
								1
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							6002673818468978,
							false
							,[
							[
								1,
								[
									10,
									[
										2,
										"anime"
									]
									,[
										19,
										cr.system_object.prototype.exps.floor
										,[
[
											19,
											cr.system_object.prototype.exps.random
											,[
[
												0,
												3
											]
,[
												0,
												5
											]
											]
										]
										]
									]
								]
							]
,							[
								3,
								1
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						6152771141313376,
						[
						[
							64,
							cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							4580831058500217,
							false
							,[
							[
								10,
								0
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									19
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.Wait,
							null,
							3739219118754601,
							false
							,[
							[
								0,
								[
									1,
									0.4
								]
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							3024150028489021,
							false
							,[
							[
								3,
								1
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							769058722709902,
							false
							,[
							[
								1,
								[
									10,
									[
										2,
										"anime"
									]
									,[
										19,
										cr.system_object.prototype.exps.floor
										,[
[
											19,
											cr.system_object.prototype.exps.random
											,[
[
												0,
												3
											]
,[
												0,
												5
											]
											]
										]
										]
									]
								]
							]
,							[
								3,
								1
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						9576511533255751,
						[
						[
							64,
							cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							2010202334995804,
							false
							,[
							[
								10,
								0
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									20
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.Wait,
							null,
							625299775442497,
							false
							,[
							[
								0,
								[
									1,
									0.6
								]
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							3346549369855238,
							false
							,[
							[
								3,
								1
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							3606016608043219,
							false
							,[
							[
								1,
								[
									10,
									[
										2,
										"anime"
									]
									,[
										19,
										cr.system_object.prototype.exps.floor
										,[
[
											19,
											cr.system_object.prototype.exps.random
											,[
[
												0,
												3
											]
,[
												0,
												5
											]
											]
										]
										]
									]
								]
							]
,							[
								3,
								1
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						2128132379142949,
						[
						[
							64,
							cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
							null,
							0,
							false,
							false,
							false,
							718097346903346,
							false
							,[
							[
								10,
								0
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									0,
									21
								]
							]
							]
						]
						],
						[
						[
							-1,
							cr.system_object.prototype.acts.Wait,
							null,
							4181449324348427,
							false
							,[
							[
								0,
								[
									1,
									0.8
								]
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							7633254371555004,
							false
							,[
							[
								3,
								1
							]
							]
						]
,						[
							64,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							5730246651507392,
							false
							,[
							[
								1,
								[
									10,
									[
										2,
										"anime"
									]
									,[
										19,
										cr.system_object.prototype.exps.floor
										,[
[
											19,
											cr.system_object.prototype.exps.random
											,[
[
												0,
												3
											]
,[
												0,
												5
											]
											]
										]
										]
									]
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							68,
							cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
							null,
							7956031295653976,
							false
							,[
							[
								10,
								0
							]
,							[
								7,
								[
									0,
									0
								]
							]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					484129097678423,
					[
					],
					[
					[
						68,
						cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
						null,
						4283643044605651,
						false
						,[
						[
							10,
							0
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "PASSAROS2"],
			false,
			null,
			8898869722317652,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				8898869722317652,
				false
				,[
				[
					1,
					[
						2,
						"PASSAROS2"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				2300483936633569,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					7757757827871306,
					false
					,[
					[
						4,
						41
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.cnds.IsTagPlaying,
					null,
					0,
					false,
					true,
					false,
					4821041625900165,
					false
					,[
					[
						1,
						[
							2,
							"ronquinho"
						]
					]
					]
				]
				],
				[
				[
					41,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					8271596766519688,
					false
					,[
					[
						1,
						[
							2,
							"anime5"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Play,
					null,
					871902639167017,
					false
					,[
					[
						2,
						["ronquinho3",false]
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							0
						]
					]
,					[
						1,
						[
							2,
							"ronquinho"
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				9507854706512247,
				[
				[
					41,
					cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
					null,
					1,
					false,
					false,
					false,
					3068876286817152,
					false
					,[
					[
						1,
						[
							2,
							"anime5"
						]
					]
					]
				]
				],
				[
				[
					41,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					4941738117596914,
					false
					,[
					[
						1,
						[
							2,
							"anime4"
						]
					]
,					[
						3,
						1
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				1937427892098819,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					3531900053207235,
					false
					,[
					[
						4,
						49
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.cnds.IsTagPlaying,
					null,
					0,
					false,
					true,
					false,
					3549751632563313,
					false
					,[
					[
						1,
						[
							2,
							"ronquinho2"
						]
					]
					]
				]
				],
				[
				[
					49,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					8247199224781914,
					false
					,[
					[
						1,
						[
							2,
							"anime5"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Play,
					null,
					3309469221791621,
					false
					,[
					[
						2,
						["ronquinho2",false]
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							0
						]
					]
,					[
						1,
						[
							2,
							"ronquinho2"
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8153519015311925,
				[
				[
					49,
					cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
					null,
					1,
					false,
					false,
					false,
					6725764785933393,
					false
					,[
					[
						1,
						[
							2,
							"anime5"
						]
					]
					]
				]
				],
				[
				[
					49,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					1530609372575894,
					false
					,[
					[
						1,
						[
							2,
							"anime4"
						]
					]
,					[
						3,
						1
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				5495104533846454,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					7431752457935835,
					false
					,[
					[
						4,
						50
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.cnds.IsTagPlaying,
					null,
					0,
					false,
					true,
					false,
					7494155078548678,
					false
					,[
					[
						1,
						[
							2,
							"ronquinho3"
						]
					]
					]
				]
				],
				[
				[
					50,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					658678786372141,
					false
					,[
					[
						1,
						[
							2,
							"anime5"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Play,
					null,
					2544127961170788,
					false
					,[
					[
						2,
						["ronquinho",false]
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							0
						]
					]
,					[
						1,
						[
							2,
							"ronquinho3"
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				7451416152506984,
				[
				[
					50,
					cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
					null,
					1,
					false,
					false,
					false,
					5268502492123178,
					false
					,[
					[
						1,
						[
							2,
							"anime5"
						]
					]
					]
				]
				],
				[
				[
					50,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					9547543060358393,
					false
					,[
					[
						1,
						[
							2,
							"anime4"
						]
					]
,					[
						3,
						1
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "AVIAOZINHO"],
			false,
			null,
			4962671074453521,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				4962671074453521,
				false
				,[
				[
					1,
					[
						2,
						"AVIAOZINHO"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				true,
				null,
				5946207706448678,
				[
				[
					69,
					cr.plugins_.Sprite.prototype.cnds.CompareX,
					null,
					0,
					false,
					false,
					false,
					3047856324179348,
					false
					,[
					[
						8,
						0
					]
,					[
						0,
						[
							0,
							1600
						]
					]
					]
				]
,				[
					69,
					cr.plugins_.Sprite.prototype.cnds.CompareX,
					null,
					0,
					false,
					false,
					false,
					7975739508751208,
					false
					,[
					[
						8,
						0
					]
,					[
						0,
						[
							0,
							-100
						]
					]
					]
				]
				],
				[
				[
					69,
					cr.plugins_.Sprite.prototype.acts.Destroy,
					null,
					259864628379478,
					false
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				3894681254558731,
				[
				[
					-1,
					cr.system_object.prototype.cnds.Every,
					null,
					0,
					false,
					false,
					false,
					5065380848255644,
					false
					,[
					[
						0,
						[
							0,
							12
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					1154351667796259,
					false
					,[
					[
						4,
						69
					]
,					[
						5,
						[
							2,
							"aviaozinho"
						]
					]
,					[
						0,
						[
							0,
							1550
						]
					]
,					[
						0,
						[
							19,
							cr.system_object.prototype.exps.random
							,[
[
								0,
								200
							]
,[
								0,
								500
							]
							]
						]
					]
					]
				]
,				[
					69,
					cr.plugins_.Sprite.prototype.acts.SetScale,
					null,
					9664976484088811,
					false
					,[
					[
						0,
						[
							19,
							cr.system_object.prototype.exps.random
							,[
[
								1,
								0.6
							]
,[
								0,
								1
							]
							]
						]
					]
					]
				]
,				[
					69,
					cr.plugins_.Sprite.prototype.acts.SetMirrored,
					null,
					5500709759566345,
					false
					,[
					[
						3,
						0
					]
					]
				]
,				[
					69,
					cr.plugins_.Sprite.prototype.acts.SetAngle,
					null,
					6979253208008493,
					false
					,[
					[
						0,
						[
							0,
							180
						]
					]
					]
				]
,				[
					69,
					cr.behaviors.Rex_MoveTo.prototype.acts.SetTargetPos,
					"MoveTo",
					9355341682606046,
					false
					,[
					[
						0,
						[
							0,
							-100
						]
					]
,					[
						0,
						[
							19,
							cr.system_object.prototype.exps.random
							,[
[
								0,
								200
							]
,[
								0,
								400
							]
							]
						]
					]
					]
				]
,				[
					69,
					cr.behaviors.Turret.prototype.acts.SetEnabled,
					"Turret",
					630645287768692,
					false
					,[
					[
						3,
						0
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				4805364507837862,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					6526458618356916,
					false
					,[
					[
						4,
						69
					]
					]
				]
				],
				[
				[
					69,
					cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
					null,
					962206894153146,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					69,
					cr.behaviors.Rex_MoveTo.prototype.acts.SetTargetPos,
					"MoveTo",
					9623467746869871,
					false
					,[
					[
						0,
						[
							20,
							51,
							cr.plugins_.Sprite.prototype.exps.X,
							false,
							null
						]
					]
,					[
						0,
						[
							5,
							[
								20,
								51,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
							,[
								0,
								50
							]
						]
					]
					]
				]
,				[
					69,
					cr.behaviors.Rex_MoveTo.prototype.acts.SetAcceleration,
					"MoveTo",
					3131165192957748,
					false
					,[
					[
						0,
						[
							0,
							200
						]
					]
					]
				]
,				[
					69,
					cr.behaviors.Rex_MoveTo.prototype.acts.SetMaxSpeed,
					"MoveTo",
					3052872212798512,
					false
					,[
					[
						0,
						[
							0,
							500
						]
					]
					]
				]
,				[
					69,
					cr.behaviors.Turret.prototype.acts.SetEnabled,
					"Turret",
					9479044436021006,
					false
					,[
					[
						3,
						1
					]
					]
				]
,				[
					69,
					cr.behaviors.Turret.prototype.acts.AddTarget,
					"Turret",
					4953725081365416,
					false
					,[
					[
						4,
						51
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Play,
					null,
					9518437721662328,
					false
					,[
					[
						2,
						["aviaozinhocaindo",false]
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							5
						]
					]
,					[
						1,
						[
							2,
							"aviaozinhoCaindo"
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				1708424993581827,
				[
				[
					69,
					cr.plugins_.Sprite.prototype.cnds.CompareY,
					null,
					0,
					false,
					false,
					false,
					52483604629159,
					false
					,[
					[
						8,
						0
					]
,					[
						0,
						[
							20,
							51,
							cr.plugins_.Sprite.prototype.exps.Y,
							false,
							null
						]
					]
					]
				]
				],
				[
				[
					69,
					cr.behaviors.Sin.prototype.acts.SetActive,
					"Sine",
					1919582203976477,
					false
					,[
					[
						3,
						0
					]
					]
				]
,				[
					69,
					cr.behaviors.Turret.prototype.acts.SetEnabled,
					"Turret",
					47790099029684,
					false
					,[
					[
						3,
						0
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6518527620145583,
				[
				[
					69,
					cr.behaviors.Rex_MoveTo.prototype.cnds.OnHitTarget,
					"MoveTo",
					1,
					false,
					false,
					false,
					5973748107040858,
					false
				]
,				[
					23,
					cr.plugins_.Audio.prototype.cnds.IsTagPlaying,
					null,
					0,
					false,
					true,
					false,
					3624159412258115,
					false
					,[
					[
						1,
						[
							2,
							"aviaoLixo"
						]
					]
					]
				]
				],
				[
				[
					69,
					cr.behaviors.Rex_MoveTo.prototype.acts.SetMaxSpeed,
					"MoveTo",
					6871625152199641,
					false
					,[
					[
						0,
						[
							0,
							500
						]
					]
					]
				]
,				[
					69,
					cr.behaviors.Rex_MoveTo.prototype.acts.SetTargetPos,
					"MoveTo",
					4255272211403186,
					false
					,[
					[
						0,
						[
							20,
							51,
							cr.plugins_.Sprite.prototype.exps.X,
							false,
							null
						]
					]
,					[
						0,
						[
							20,
							51,
							cr.plugins_.Sprite.prototype.exps.Y,
							false,
							null
						]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Stop,
					null,
					1021657771509855,
					false
					,[
					[
						1,
						[
							2,
							"aviaozinhoCaindo"
						]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Play,
					null,
					3791239395628064,
					false
					,[
					[
						2,
						["aviaolixo",false]
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							-24
						]
					]
,					[
						1,
						[
							2,
							"aviaoLixo"
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "DIANOITE2"],
			false,
			null,
			8390248303346326,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				8390248303346326,
				false
				,[
				[
					1,
					[
						2,
						"DIANOITE2"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				8833736674752978,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchEnd,
					null,
					1,
					false,
					false,
					false,
					2648090411301829,
					false
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					7682867077106171,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
						null,
						0,
						false,
						false,
						false,
						3737742724857314,
						false
						,[
						[
							4,
							103
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.GoToLayout,
						null,
						2496609536036499,
						false
						,[
						[
							6,
							"parkDia"
						]
						]
					]
,					[
						23,
						cr.plugins_.Audio.prototype.acts.StopAll,
						null,
						8840479612182703,
						false
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "AUDIO4"],
			false,
			null,
			6671038206766051,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				6671038206766051,
				false
				,[
				[
					1,
					[
						2,
						"AUDIO4"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				1408164760894838,
				[
				[
					23,
					cr.plugins_.Audio.prototype.cnds.IsTagPlaying,
					null,
					0,
					false,
					false,
					false,
					2302745101032358,
					false
					,[
					[
						1,
						[
							2,
							"parkNoite"
						]
					]
					]
				]
,				[
					57,
					cr.plugins_.Sprite.prototype.cnds.IsVisible,
					null,
					0,
					false,
					true,
					false,
					1706082916832265,
					false
				]
				],
				[
				[
					57,
					cr.plugins_.Sprite.prototype.acts.SetVisible,
					null,
					8213433237869766,
					false
					,[
					[
						3,
						1
					]
					]
				]
,				[
					57,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					5493493011521287,
					false
					,[
					[
						1,
						[
							2,
							"anime4"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					57,
					cr.plugins_.Sprite.prototype.acts.StartAnim,
					null,
					4871771781165306,
					false
					,[
					[
						3,
						1
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "BOTOES3"],
			false,
			null,
			6666116406128323,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				6666116406128323,
				false
				,[
				[
					1,
					[
						2,
						"BOTOES3"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				786281286559768,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					5453607238039138,
					false
					,[
					[
						4,
						107
					]
					]
				]
				],
				[
				[
					107,
					cr.plugins_.Sprite.prototype.acts.SetOpacity,
					null,
					1330746731973891,
					false
					,[
					[
						0,
						[
							0,
							70
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				1248228465469555,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					6802634469648051,
					false
					,[
					[
						4,
						109
					]
					]
				]
				],
				[
				[
					109,
					cr.plugins_.Sprite.prototype.acts.SetOpacity,
					null,
					3697223487511048,
					false
					,[
					[
						0,
						[
							0,
							70
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				2749654886415442,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					2252979136895032,
					false
					,[
					[
						4,
						108
					]
					]
				]
				],
				[
				[
					108,
					cr.plugins_.Sprite.prototype.acts.SetOpacity,
					null,
					832099496362943,
					false
					,[
					[
						0,
						[
							0,
							70
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				7781310351739441,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchEnd,
					null,
					1,
					false,
					false,
					false,
					6549592439775831,
					false
				]
				],
				[
				[
					107,
					cr.plugins_.Sprite.prototype.acts.SetOpacity,
					null,
					5275472792178586,
					false
					,[
					[
						0,
						[
							0,
							100
						]
					]
					]
				]
,				[
					109,
					cr.plugins_.Sprite.prototype.acts.SetOpacity,
					null,
					9447674772421996,
					false
					,[
					[
						0,
						[
							0,
							100
						]
					]
					]
				]
,				[
					108,
					cr.plugins_.Sprite.prototype.acts.SetOpacity,
					null,
					619137745547418,
					false
					,[
					[
						0,
						[
							0,
							100
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					367383544644527,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
						null,
						0,
						false,
						false,
						false,
						3298473989809718,
						false
						,[
						[
							4,
							109
						]
						]
					]
					],
					[
					[
						57,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						4899597706086554,
						false
						,[
						[
							0,
							[
								0,
								0
							]
						]
						]
					]
,					[
						57,
						cr.plugins_.Sprite.prototype.acts.StartAnim,
						null,
						3030109756475695,
						false
						,[
						[
							3,
							1
						]
						]
					]
,					[
						57,
						cr.plugins_.Sprite.prototype.acts.SetOpacity,
						null,
						5333297720387891,
						false
						,[
						[
							0,
							[
								0,
								100
							]
						]
						]
					]
,					[
						23,
						cr.plugins_.Audio.prototype.acts.StopAll,
						null,
						9941574267437907,
						false
					]
,					[
						23,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						5234690414014219,
						false
						,[
						[
							2,
							["parknoite",true]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								-20
							]
						]
,						[
							1,
							[
								2,
								"parkNoite"
							]
						]
						]
					]
,					[
						107,
						cr.plugins_.Sprite.prototype.acts.SetAnim,
						null,
						2017478152898798,
						false
						,[
						[
							1,
							[
								2,
								"anime1"
							]
						]
,						[
							3,
							1
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					4272241973592211,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
						null,
						0,
						false,
						false,
						false,
						8462138252197766,
						false
						,[
						[
							4,
							108
						]
						]
					]
					],
					[
					[
						23,
						cr.plugins_.Audio.prototype.acts.StopAll,
						null,
						6306969030641393,
						false
					]
,					[
						-1,
						cr.system_object.prototype.acts.GoToLayout,
						null,
						9502499039036366,
						false
						,[
						[
							6,
							"cartaMenu"
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7936353052012942,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
						null,
						0,
						false,
						false,
						false,
						6738655546269487,
						false
						,[
						[
							4,
							107
						]
						]
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						29841145913538,
						[
						[
							-1,
							cr.system_object.prototype.cnds.Compare,
							null,
							0,
							false,
							false,
							false,
							7952710557177523,
							false
							,[
							[
								7,
								[
									20,
									107,
									cr.plugins_.Sprite.prototype.exps.AnimationName,
									true,
									null
								]
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									2,
									"anime1"
								]
							]
							]
						]
						],
						[
						[
							107,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							9649020027820014,
							false
							,[
							[
								1,
								[
									2,
									"anime2"
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							23,
							cr.plugins_.Audio.prototype.acts.SetMuted,
							null,
							7491435114890309,
							false
							,[
							[
								1,
								[
									2,
									"parkNoite"
								]
							]
,							[
								3,
								0
							]
							]
						]
,						[
							23,
							cr.plugins_.Audio.prototype.acts.SetMuted,
							null,
							4532626439391747,
							false
							,[
							[
								1,
								[
									2,
									"musicLoop"
								]
							]
,							[
								3,
								0
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						466055032148352,
						[
						[
							-1,
							cr.system_object.prototype.cnds.Else,
							null,
							0,
							false,
							false,
							false,
							2086295904042072,
							false
						]
						],
						[
						[
							107,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							5758276795862988,
							false
							,[
							[
								1,
								[
									2,
									"anime1"
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							23,
							cr.plugins_.Audio.prototype.acts.SetMuted,
							null,
							6673678799222588,
							false
							,[
							[
								1,
								[
									2,
									"parkNoite"
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							23,
							cr.plugins_.Audio.prototype.acts.SetMuted,
							null,
							1956961072632387,
							false
							,[
							[
								1,
								[
									2,
									"musicLoop"
								]
							]
,							[
								3,
								1
							]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				1123960056387195,
				[
				[
					23,
					cr.plugins_.Audio.prototype.cnds.OnEnded,
					null,
					1,
					false,
					false,
					false,
					9822058034132276,
					false
					,[
					[
						1,
						[
							2,
							"parkNoite"
						]
					]
					]
				]
				],
				[
				[
					57,
					cr.plugins_.Sprite.prototype.acts.SetOpacity,
					null,
					7723283277890261,
					false
					,[
					[
						0,
						[
							0,
							0
						]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Play,
					null,
					7362051208838764,
					false
					,[
					[
						2,
						["aberturaloop",true]
					]
,					[
						3,
						1
					]
,					[
						0,
						[
							0,
							-25
						]
					]
,					[
						1,
						[
							2,
							"musicLoop"
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					5720828794726324,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						1824720682550155,
						false
						,[
						[
							7,
							[
								20,
								107,
								cr.plugins_.Sprite.prototype.exps.AnimationName,
								true,
								null
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"anime2"
							]
						]
						]
					]
					],
					[
					[
						23,
						cr.plugins_.Audio.prototype.acts.SetMuted,
						null,
						58036053453999,
						false
						,[
						[
							1,
							[
								2,
								"musicLoop"
							]
						]
,						[
							3,
							0
						]
						]
					]
					]
				]
				]
			]
			]
		]
		]
	]
,	[
		"terraDiaScript",
		[
		[
			1,
			"fumaca",
			0,
			0,
false,false,4495738817470663,false
		]
,		[
			2,
			"masterEvents",
			false
		]
,		[
			0,
			null,
			false,
			null,
			5641451401175833,
			[
			[
				-1,
				cr.system_object.prototype.cnds.OnLayoutStart,
				null,
				1,
				false,
				false,
				false,
				2432666852969675,
				false
			]
			],
			[
			[
				-1,
				cr.system_object.prototype.acts.ResetGlobals,
				null,
				7482959264455412,
				false
			]
,			[
				3,
				cr.plugins_.Sprite.prototype.acts.SetX,
				null,
				1050904434633135,
				false
				,[
				[
					0,
					[
						5,
						[
							6,
							[
								19,
								cr.system_object.prototype.exps.scrollx
							]
							,[
								1,
								0.4
							]
						]
						,[
							0,
							210
						]
					]
				]
				]
			]
,			[
				0,
				cr.plugins_.Sprite.prototype.acts.SetAnim,
				null,
				244841125428806,
				false
				,[
				[
					1,
					[
						2,
						"anime3"
					]
				]
,				[
					3,
					1
				]
				]
			]
,			[
				3,
				cr.plugins_.Sprite.prototype.acts.SetAnim,
				null,
				740507516121283,
				false
				,[
				[
					1,
					[
						2,
						"anime3"
					]
				]
,				[
					3,
					1
				]
				]
			]
,			[
				1,
				cr.plugins_.Sprite.prototype.acts.SetAnim,
				null,
				2219865083179203,
				false
				,[
				[
					1,
					[
						2,
						"anime3"
					]
				]
,				[
					3,
					1
				]
				]
			]
,			[
				2,
				cr.plugins_.Sprite.prototype.acts.SetAnim,
				null,
				1690300671951451,
				false
				,[
				[
					1,
					[
						2,
						"anime3"
					]
				]
,				[
					3,
					1
				]
				]
			]
,			[
				47,
				cr.plugins_.Sprite.prototype.acts.SetAnim,
				null,
				3947829927373342,
				false
				,[
				[
					1,
					[
						2,
						"anime4"
					]
				]
,				[
					3,
					1
				]
				]
			]
,			[
				48,
				cr.plugins_.Sprite.prototype.acts.SetAnim,
				null,
				4859429622395085,
				false
				,[
				[
					1,
					[
						2,
						"anime3"
					]
				]
,				[
					3,
					1
				]
				]
			]
,			[
				48,
				cr.behaviors.Pin.prototype.acts.Pin,
				"Pin",
				2039986188440895,
				false
				,[
				[
					4,
					47
				]
,				[
					3,
					0
				]
				]
			]
,			[
				-1,
				cr.system_object.prototype.acts.SetVar,
				null,
				5314439175143805,
				false
				,[
				[
					11,
					"borboleta"
				]
,				[
					7,
					[
						0,
						1
					]
				]
				]
			]
,			[
				43,
				cr.behaviors.Rex_MoveTo.prototype.acts.SetMaxSpeed,
				"MoveTo",
				1965163705157635,
				false
				,[
				[
					0,
					[
						0,
						60
					]
				]
				]
			]
,			[
				44,
				cr.behaviors.Rex_MoveTo.prototype.acts.SetMaxSpeed,
				"MoveTo",
				9607235721404275,
				false
				,[
				[
					0,
					[
						0,
						60
					]
				]
				]
			]
,			[
				44,
				cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
				null,
				3665176141784686,
				false
				,[
				[
					0,
					[
						0,
						3
					]
				]
				]
			]
,			[
				33,
				cr.plugins_.Function.prototype.acts.CallFunction,
				null,
				8260680807057755,
				false
				,[
				[
					1,
					[
						2,
						"florzinhas"
					]
				]
,				[
					13,
				]
				]
			]
,			[
				74,
				cr.plugins_.Sprite.prototype.acts.StopAnim,
				null,
				7936347301402429,
				false
			]
,			[
				79,
				cr.plugins_.Sprite.prototype.acts.StopAnim,
				null,
				9397722810715187,
				false
			]
,			[
				57,
				cr.plugins_.Sprite.prototype.acts.StopAnim,
				null,
				3021758076202758,
				false
			]
,			[
				23,
				cr.plugins_.Audio.prototype.acts.Play,
				null,
				2000906922863986,
				false
				,[
				[
					2,
					["terradorosadia",true]
				]
,				[
					3,
					0
				]
,				[
					0,
					[
						0,
						-10
					]
				]
,				[
					1,
					[
						2,
						"terraDia"
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "CENARIO3"],
			false,
			null,
			4532567996116879,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				4532567996116879,
				false
				,[
				[
					1,
					[
						2,
						"CENARIO3"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				3351897049065134,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchStart,
					null,
					1,
					false,
					false,
					false,
					2448659536413748,
					false
				]
,				[
					21,
					cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
					null,
					0,
					false,
					true,
					false,
					6540733635819165,
					false
					,[
					[
						4,
						43
					]
					]
				]
,				[
					21,
					cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
					null,
					0,
					false,
					true,
					false,
					5691176084168976,
					false
					,[
					[
						4,
						44
					]
					]
				]
,				[
					21,
					cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
					null,
					0,
					false,
					true,
					false,
					5755601891979309,
					false
					,[
					[
						4,
						47
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					5417733571621816,
					false
					,[
					[
						11,
						"stageX"
					]
,					[
						7,
						[
							20,
							21,
							cr.plugins_.Touch.prototype.exps.X,
							false,
							null
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6727734447687798,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.IsInTouch,
					null,
					0,
					false,
					false,
					false,
					4480841377380962,
					false
				]
,				[
					21,
					cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
					null,
					0,
					false,
					true,
					false,
					2085334289629283,
					false
					,[
					[
						4,
						43
					]
					]
				]
,				[
					21,
					cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
					null,
					0,
					false,
					true,
					false,
					4893898918342751,
					false
					,[
					[
						4,
						44
					]
					]
				]
,				[
					21,
					cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
					null,
					0,
					false,
					true,
					false,
					6048045550969094,
					false
					,[
					[
						4,
						47
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					1257146982701448,
					false
					,[
					[
						11,
						"stageX2"
					]
,					[
						7,
						[
							20,
							21,
							cr.plugins_.Touch.prototype.exps.X,
							false,
							null
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.ScrollX,
					null,
					665483828129996,
					false
					,[
					[
						0,
						[
							4,
							[
								19,
								cr.system_object.prototype.exps.scrollx
							]
							,[
								6,
								[
									5,
									[
										23,
										"stageX2"
									]
									,[
										23,
										"stageX"
									]
								]
								,[
									0,
									-1
								]
							]
						]
					]
					]
				]
,				[
					3,
					cr.plugins_.Sprite.prototype.acts.SetX,
					null,
					6434306716483419,
					false
					,[
					[
						0,
						[
							5,
							[
								6,
								[
									19,
									cr.system_object.prototype.exps.scrollx
								]
								,[
									1,
									0.4
								]
							]
							,[
								0,
								210
							]
						]
					]
					]
				]
,				[
					1,
					cr.plugins_.Sprite.prototype.acts.SetX,
					null,
					2650776772975788,
					false
					,[
					[
						0,
						[
							5,
							[
								6,
								[
									19,
									cr.system_object.prototype.exps.scrollx
								]
								,[
									1,
									0.8
								]
							]
							,[
								0,
								420
							]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "BORBOLETAS TOUCH"],
			false,
			null,
			9423346466727275,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				9423346466727275,
				false
				,[
				[
					1,
					[
						2,
						"BORBOLETAS TOUCH"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				6227293977227998,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					1124014611495192,
					false
					,[
					[
						11,
						"borboleta"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.Every,
					null,
					0,
					false,
					false,
					false,
					7808260909325336,
					false
					,[
					[
						0,
						[
							1,
							0.1
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					5950113380719887,
					[
					[
						43,
						cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						5791803423479742,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							2
						]
,						[
							7,
							[
								20,
								43,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
						]
						]
					]
					],
					[
					[
						43,
						cr.plugins_.Sprite.prototype.acts.SetMirrored,
						null,
						3391130690187802,
						false
						,[
						[
							3,
							0
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					1993103393679153,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Else,
						null,
						0,
						false,
						false,
						false,
						5565207748122288,
						false
					]
					],
					[
					[
						43,
						cr.plugins_.Sprite.prototype.acts.SetMirrored,
						null,
						3095788214117241,
						false
						,[
						[
							3,
							1
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3867439715337305,
					[
					[
						44,
						cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						2290362580245203,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							2
						]
,						[
							7,
							[
								20,
								44,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
						]
						]
					]
					],
					[
					[
						44,
						cr.plugins_.Sprite.prototype.acts.SetMirrored,
						null,
						6599361811327021,
						false
						,[
						[
							3,
							0
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5926702716152198,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Else,
						null,
						0,
						false,
						false,
						false,
						4178025096974283,
						false
					]
					],
					[
					[
						44,
						cr.plugins_.Sprite.prototype.acts.SetMirrored,
						null,
						1483727094788805,
						false
						,[
						[
							3,
							1
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					8072357108137156,
					[
					],
					[
					[
						43,
						cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
						null,
						7222935110843491,
						false
						,[
						[
							10,
							0
						]
,						[
							7,
							[
								20,
								43,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
						]
						]
					]
,					[
						44,
						cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
						null,
						5511940749252204,
						false
						,[
						[
							10,
							0
						]
,						[
							7,
							[
								20,
								44,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				4110276048281187,
				[
				[
					-1,
					cr.system_object.prototype.cnds.Every,
					null,
					0,
					false,
					false,
					false,
					9344771520672116,
					false
					,[
					[
						0,
						[
							0,
							5
						]
					]
					]
				]
				],
				[
				]
			]
,			[
				0,
				null,
				false,
				null,
				9260061160322176,
				[
				[
					43,
					cr.behaviors.DragnDrop.prototype.cnds.OnDragStart,
					"DragDrop",
					1,
					false,
					false,
					false,
					3043274692141267,
					false
				]
				],
				[
				[
					43,
					cr.behaviors.Sin.prototype.acts.SetActive,
					"Sine",
					3305858743397781,
					false
					,[
					[
						3,
						0
					]
					]
				]
,				[
					43,
					cr.behaviors.Sin.prototype.acts.SetActive,
					"Sine2",
					38152710716419,
					false
					,[
					[
						3,
						0
					]
					]
				]
,				[
					43,
					cr.behaviors.Rex_MoveTo.prototype.acts.Stop,
					"MoveTo",
					7850163604225233,
					false
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				9055299251320227,
				[
				[
					44,
					cr.behaviors.DragnDrop.prototype.cnds.OnDragStart,
					"DragDrop",
					1,
					false,
					false,
					false,
					4883675716000157,
					false
				]
				],
				[
				[
					44,
					cr.behaviors.Sin.prototype.acts.SetActive,
					"Sine",
					7495755294200508,
					false
					,[
					[
						3,
						0
					]
					]
				]
,				[
					44,
					cr.behaviors.Sin.prototype.acts.SetActive,
					"Sine2",
					2994736784763232,
					false
					,[
					[
						3,
						0
					]
					]
				]
,				[
					44,
					cr.behaviors.Rex_MoveTo.prototype.acts.Stop,
					"MoveTo",
					3863325111971785,
					false
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				9357517045743487,
				[
				[
					43,
					cr.behaviors.DragnDrop.prototype.cnds.OnDrop,
					"DragDrop",
					1,
					false,
					false,
					false,
					2821283739025508,
					false
				]
				],
				[
				[
					43,
					cr.behaviors.Sin.prototype.acts.SetActive,
					"Sine",
					6795510078121193,
					false
					,[
					[
						3,
						1
					]
					]
				]
,				[
					43,
					cr.behaviors.Sin.prototype.acts.SetActive,
					"Sine2",
					9446322320514483,
					false
					,[
					[
						3,
						1
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				5010842384192648,
				[
				[
					44,
					cr.behaviors.DragnDrop.prototype.cnds.OnDrop,
					"DragDrop",
					1,
					false,
					false,
					false,
					6403292364588133,
					false
				]
				],
				[
				[
					44,
					cr.behaviors.Sin.prototype.acts.SetActive,
					"Sine",
					7570754682347308,
					false
					,[
					[
						3,
						1
					]
					]
				]
,				[
					44,
					cr.behaviors.Sin.prototype.acts.SetActive,
					"Sine2",
					763454046998566,
					false
					,[
					[
						3,
						1
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6417479539426325,
				[
				[
					-1,
					cr.system_object.prototype.cnds.Every,
					null,
					0,
					false,
					false,
					false,
					3685031031410806,
					false
					,[
					[
						0,
						[
							0,
							12
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					4854961001851816,
					[
					[
						43,
						cr.behaviors.DragnDrop.prototype.cnds.IsDragging,
						"DragDrop",
						0,
						false,
						true,
						false,
						8785886030617813,
						false
					]
					],
					[
					[
						43,
						cr.behaviors.Rex_MoveTo.prototype.acts.SetTargetPos,
						"MoveTo",
						8639735699282549,
						false
						,[
						[
							0,
							[
								19,
								cr.system_object.prototype.exps.random
								,[
[
									0,
									50
								]
,[
									0,
									1400
								]
								]
							]
						]
,						[
							0,
							[
								19,
								cr.system_object.prototype.exps.random
								,[
[
									0,
									50
								]
,[
									0,
									650
								]
								]
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					6393471303881059,
					[
					[
						44,
						cr.behaviors.DragnDrop.prototype.cnds.IsDragging,
						"DragDrop",
						0,
						false,
						true,
						false,
						6366719513006408,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						1423422549369625,
						false
						,[
						[
							0,
							[
								1,
								1
							]
						]
						]
					]
,					[
						44,
						cr.behaviors.Rex_MoveTo.prototype.acts.SetTargetPos,
						"MoveTo",
						9657981827405334,
						false
						,[
						[
							0,
							[
								19,
								cr.system_object.prototype.exps.random
								,[
[
									0,
									50
								]
,[
									0,
									1400
								]
								]
							]
						]
,						[
							0,
							[
								19,
								cr.system_object.prototype.exps.random
								,[
[
									0,
									50
								]
,[
									0,
									650
								]
								]
							]
						]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "FLORZINHAS"],
			false,
			null,
			5008356287979523,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				5008356287979523,
				false
				,[
				[
					1,
					[
						2,
						"FLORZINHAS"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				2469471384266141,
				[
				[
					33,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					7240552453443435,
					false
					,[
					[
						1,
						[
							2,
							"florzinhas"
						]
					]
					]
				]
				],
				[
				[
					4,
					cr.plugins_.Sprite.prototype.acts.StopAnim,
					null,
					2319411988828681,
					false
				]
,				[
					5,
					cr.plugins_.Sprite.prototype.acts.StopAnim,
					null,
					7253551700731761,
					false
				]
,				[
					6,
					cr.plugins_.Sprite.prototype.acts.StopAnim,
					null,
					9787070556962143,
					false
				]
,				[
					7,
					cr.plugins_.Sprite.prototype.acts.StopAnim,
					null,
					8160859245507127,
					false
				]
,				[
					8,
					cr.plugins_.Sprite.prototype.acts.StopAnim,
					null,
					8889557135428731,
					false
				]
,				[
					9,
					cr.plugins_.Sprite.prototype.acts.StopAnim,
					null,
					250279045876178,
					false
				]
,				[
					10,
					cr.plugins_.Sprite.prototype.acts.StopAnim,
					null,
					7587039070391442,
					false
				]
,				[
					11,
					cr.plugins_.Sprite.prototype.acts.StopAnim,
					null,
					2204295980372239,
					false
				]
,				[
					12,
					cr.plugins_.Sprite.prototype.acts.StopAnim,
					null,
					3083050511559311,
					false
				]
,				[
					13,
					cr.plugins_.Sprite.prototype.acts.StopAnim,
					null,
					7380185280306409,
					false
				]
				]
			]
,			[
				0,
				[true, "1"],
				false,
				null,
				2909598875175852,
				[
				[
					-1,
					cr.system_object.prototype.cnds.IsGroupActive,
					null,
					0,
					false,
					false,
					false,
					2909598875175852,
					false
					,[
					[
						1,
						[
							2,
							"1"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					7470124842750682,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.OnTouchObject,
						null,
						1,
						false,
						false,
						false,
						1945109504604312,
						false
						,[
						[
							4,
							4
						]
						]
					]
,					[
						4,
						cr.plugins_.Sprite.prototype.cnds.CompareFrame,
						null,
						0,
						false,
						false,
						false,
						6931590384423761,
						false
						,[
						[
							8,
							0
						]
,						[
							0,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						4,
						cr.plugins_.Sprite.prototype.acts.SetAnim,
						null,
						193446772368828,
						false
						,[
						[
							1,
							[
								2,
								"anime1"
							]
						]
,						[
							3,
							1
						]
						]
					]
,					[
						4,
						cr.plugins_.Sprite.prototype.acts.StartAnim,
						null,
						4835473864315645,
						false
						,[
						[
							3,
							0
						]
						]
					]
,					[
						23,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						5187711449216128,
						false
						,[
						[
							2,
							["florcresce",false]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								-5
							]
						]
,						[
							1,
							[
								2,
								"florCresce"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					6698035415059968,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.OnTouchObject,
						null,
						1,
						false,
						false,
						false,
						1037249154212119,
						false
						,[
						[
							4,
							4
						]
						]
					]
,					[
						4,
						cr.plugins_.Sprite.prototype.cnds.CompareFrame,
						null,
						0,
						false,
						false,
						false,
						1724792361474982,
						false
						,[
						[
							8,
							0
						]
,						[
							0,
							[
								0,
								7
							]
						]
						]
					]
					],
					[
					[
						4,
						cr.plugins_.Sprite.prototype.acts.SetAnim,
						null,
						1848536228912044,
						false
						,[
						[
							1,
							[
								2,
								"anime2"
							]
						]
,						[
							3,
							1
						]
						]
					]
,					[
						4,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						8516017600874713,
						false
						,[
						[
							0,
							[
								0,
								7
							]
						]
						]
					]
,					[
						4,
						cr.plugins_.Sprite.prototype.acts.StartAnim,
						null,
						9997652697651951,
						false
						,[
						[
							3,
							0
						]
						]
					]
,					[
						23,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						26994041850516,
						false
						,[
						[
							2,
							["florencolhe",false]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								-5
							]
						]
,						[
							1,
							[
								2,
								"florEncolhe"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3774574100320021,
					[
					[
						4,
						cr.plugins_.Sprite.prototype.cnds.CompareFrame,
						null,
						0,
						false,
						false,
						false,
						8698744962878098,
						false
						,[
						[
							8,
							0
						]
,						[
							0,
							[
								0,
								7
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						8470283412294475,
						false
						,[
						[
							7,
							[
								20,
								4,
								cr.plugins_.Sprite.prototype.exps.AnimationName,
								true,
								null
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"anime1"
							]
						]
						]
					]
					],
					[
					[
						4,
						cr.plugins_.Sprite.prototype.acts.StopAnim,
						null,
						3877330527754431,
						false
					]
					]
				]
				]
			]
,			[
				0,
				[true, "2"],
				false,
				null,
				5600745396458062,
				[
				[
					-1,
					cr.system_object.prototype.cnds.IsGroupActive,
					null,
					0,
					false,
					false,
					false,
					5600745396458062,
					false
					,[
					[
						1,
						[
							2,
							"2"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					5196307376008646,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.OnTouchObject,
						null,
						1,
						false,
						false,
						false,
						7539778308400831,
						false
						,[
						[
							4,
							5
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						5027595694960392,
						false
						,[
						[
							11,
							"id"
						]
,						[
							7,
							[
								21,
								5,
								false,
								null
								,0
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					8067694379412104,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
						null,
						0,
						false,
						false,
						false,
						9050623040167169,
						false
						,[
						[
							4,
							5
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						9235504930526552,
						false
						,[
						[
							11,
							"id"
						]
,						[
							8,
							4
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						5,
						cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						1935436433704883,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								23,
								"id"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						7158665099484246,
						false
						,[
						[
							11,
							"id"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						5703466914835327,
						[
						[
							5,
							cr.plugins_.Sprite.prototype.cnds.CompareFrame,
							null,
							0,
							false,
							false,
							false,
							5164495585002152,
							false
							,[
							[
								8,
								0
							]
,							[
								0,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							5,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							40652075678159,
							false
							,[
							[
								1,
								[
									2,
									"anime1"
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							5,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							1159916459260806,
							false
							,[
							[
								3,
								0
							]
							]
						]
,						[
							23,
							cr.plugins_.Audio.prototype.acts.Play,
							null,
							9515474506213791,
							false
							,[
							[
								2,
								["florcresce",false]
							]
,							[
								3,
								0
							]
,							[
								0,
								[
									0,
									-5
								]
							]
,							[
								1,
								[
									2,
									"florCresce"
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						3542958140149686,
						[
						[
							5,
							cr.plugins_.Sprite.prototype.cnds.CompareFrame,
							null,
							0,
							false,
							false,
							false,
							4617040504446607,
							false
							,[
							[
								8,
								0
							]
,							[
								0,
								[
									0,
									7
								]
							]
							]
						]
						],
						[
						[
							5,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							1684525117511351,
							false
							,[
							[
								1,
								[
									2,
									"anime2"
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							5,
							cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
							null,
							9534962135231997,
							false
							,[
							[
								0,
								[
									0,
									7
								]
							]
							]
						]
,						[
							5,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							4935264977097005,
							false
							,[
							[
								3,
								0
							]
							]
						]
,						[
							23,
							cr.plugins_.Audio.prototype.acts.Play,
							null,
							3917231262659164,
							false
							,[
							[
								2,
								["florencolhe",false]
							]
,							[
								3,
								0
							]
,							[
								0,
								[
									0,
									-5
								]
							]
,							[
								1,
								[
									2,
									"florEncolhe"
								]
							]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				[true, "3"],
				false,
				null,
				9123391208289336,
				[
				[
					-1,
					cr.system_object.prototype.cnds.IsGroupActive,
					null,
					0,
					false,
					false,
					false,
					9123391208289336,
					false
					,[
					[
						1,
						[
							2,
							"3"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					3071886357717474,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.OnTouchObject,
						null,
						1,
						false,
						false,
						false,
						4876779487179224,
						false
						,[
						[
							4,
							6
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						1453191878419358,
						false
						,[
						[
							11,
							"id"
						]
,						[
							7,
							[
								21,
								6,
								false,
								null
								,0
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3846835005823839,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
						null,
						0,
						false,
						false,
						false,
						7202240238475063,
						false
						,[
						[
							4,
							6
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						1515366157003846,
						false
						,[
						[
							11,
							"id"
						]
,						[
							8,
							4
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						6,
						cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						7535689466192278,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								23,
								"id"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						425646390980757,
						false
						,[
						[
							11,
							"id"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						7280077509749157,
						[
						[
							6,
							cr.plugins_.Sprite.prototype.cnds.CompareFrame,
							null,
							0,
							false,
							false,
							false,
							7854934716014877,
							false
							,[
							[
								8,
								0
							]
,							[
								0,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							6,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							663975387343871,
							false
							,[
							[
								1,
								[
									2,
									"anime1"
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							6,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							9922863330541259,
							false
							,[
							[
								3,
								0
							]
							]
						]
,						[
							23,
							cr.plugins_.Audio.prototype.acts.Play,
							null,
							1947384052527172,
							false
							,[
							[
								2,
								["florcresce",false]
							]
,							[
								3,
								0
							]
,							[
								0,
								[
									0,
									-5
								]
							]
,							[
								1,
								[
									2,
									"florCresce"
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						608785843826577,
						[
						[
							6,
							cr.plugins_.Sprite.prototype.cnds.CompareFrame,
							null,
							0,
							false,
							false,
							false,
							2466888184568475,
							false
							,[
							[
								8,
								0
							]
,							[
								0,
								[
									0,
									7
								]
							]
							]
						]
						],
						[
						[
							6,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							9148740529565541,
							false
							,[
							[
								1,
								[
									2,
									"anime2"
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							6,
							cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
							null,
							5359719072241626,
							false
							,[
							[
								0,
								[
									0,
									7
								]
							]
							]
						]
,						[
							6,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							3587142370654304,
							false
							,[
							[
								3,
								0
							]
							]
						]
,						[
							23,
							cr.plugins_.Audio.prototype.acts.Play,
							null,
							5275494707982558,
							false
							,[
							[
								2,
								["florencolhe",false]
							]
,							[
								3,
								0
							]
,							[
								0,
								[
									0,
									-5
								]
							]
,							[
								1,
								[
									2,
									"florEncolhe"
								]
							]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				[true, "4"],
				false,
				null,
				1251188384011087,
				[
				[
					-1,
					cr.system_object.prototype.cnds.IsGroupActive,
					null,
					0,
					false,
					false,
					false,
					1251188384011087,
					false
					,[
					[
						1,
						[
							2,
							"4"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					3757556581439174,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.OnTouchObject,
						null,
						1,
						false,
						false,
						false,
						3094703319660229,
						false
						,[
						[
							4,
							7
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						8262729023359253,
						false
						,[
						[
							11,
							"id"
						]
,						[
							7,
							[
								21,
								7,
								false,
								null
								,0
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					311602639432317,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
						null,
						0,
						false,
						false,
						false,
						3729958373973137,
						false
						,[
						[
							4,
							7
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						752088406771311,
						false
						,[
						[
							11,
							"id"
						]
,						[
							8,
							4
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						7,
						cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						9723247028850268,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								23,
								"id"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						6809688443069305,
						false
						,[
						[
							11,
							"id"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						4804340825353757,
						[
						[
							7,
							cr.plugins_.Sprite.prototype.cnds.CompareFrame,
							null,
							0,
							false,
							false,
							false,
							1400809009737867,
							false
							,[
							[
								8,
								0
							]
,							[
								0,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							7,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							6231799833761497,
							false
							,[
							[
								1,
								[
									2,
									"anime1"
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							7,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							6937584828448144,
							false
							,[
							[
								3,
								0
							]
							]
						]
,						[
							23,
							cr.plugins_.Audio.prototype.acts.Play,
							null,
							9274373474111909,
							false
							,[
							[
								2,
								["florcresce",false]
							]
,							[
								3,
								0
							]
,							[
								0,
								[
									0,
									-5
								]
							]
,							[
								1,
								[
									2,
									"florCresce"
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						8674661632400944,
						[
						[
							7,
							cr.plugins_.Sprite.prototype.cnds.CompareFrame,
							null,
							0,
							false,
							false,
							false,
							2832053885681725,
							false
							,[
							[
								8,
								0
							]
,							[
								0,
								[
									0,
									7
								]
							]
							]
						]
						],
						[
						[
							7,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							9451296264596384,
							false
							,[
							[
								1,
								[
									2,
									"anime2"
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							7,
							cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
							null,
							8709868468730384,
							false
							,[
							[
								0,
								[
									0,
									7
								]
							]
							]
						]
,						[
							7,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							2868944009584716,
							false
							,[
							[
								3,
								0
							]
							]
						]
,						[
							23,
							cr.plugins_.Audio.prototype.acts.Play,
							null,
							1908308821310263,
							false
							,[
							[
								2,
								["florencolhe",false]
							]
,							[
								3,
								0
							]
,							[
								0,
								[
									0,
									-5
								]
							]
,							[
								1,
								[
									2,
									"florEncolhe"
								]
							]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				[true, "5"],
				false,
				null,
				9066247158296976,
				[
				[
					-1,
					cr.system_object.prototype.cnds.IsGroupActive,
					null,
					0,
					false,
					false,
					false,
					9066247158296976,
					false
					,[
					[
						1,
						[
							2,
							"5"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					7228280168759482,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.OnTouchObject,
						null,
						1,
						false,
						false,
						false,
						9973453511203517,
						false
						,[
						[
							4,
							8
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						1527312372863727,
						false
						,[
						[
							11,
							"id"
						]
,						[
							7,
							[
								21,
								8,
								false,
								null
								,0
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					50401087506299,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
						null,
						0,
						false,
						false,
						false,
						1069366507478361,
						false
						,[
						[
							4,
							8
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						7536839752684167,
						false
						,[
						[
							11,
							"id"
						]
,						[
							8,
							4
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						8,
						cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						8123393415713465,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								23,
								"id"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						9993823200229913,
						false
						,[
						[
							11,
							"id"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						6256749111511009,
						[
						[
							8,
							cr.plugins_.Sprite.prototype.cnds.CompareFrame,
							null,
							0,
							false,
							false,
							false,
							7640809499228378,
							false
							,[
							[
								8,
								0
							]
,							[
								0,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							8,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							6874061123763051,
							false
							,[
							[
								1,
								[
									2,
									"anime1"
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							8,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							5801886788762262,
							false
							,[
							[
								3,
								0
							]
							]
						]
,						[
							23,
							cr.plugins_.Audio.prototype.acts.Play,
							null,
							9446197004827656,
							false
							,[
							[
								2,
								["florcresce",false]
							]
,							[
								3,
								0
							]
,							[
								0,
								[
									0,
									-5
								]
							]
,							[
								1,
								[
									2,
									"florCresce"
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						3135849782930737,
						[
						[
							8,
							cr.plugins_.Sprite.prototype.cnds.CompareFrame,
							null,
							0,
							false,
							false,
							false,
							3862797386297164,
							false
							,[
							[
								8,
								0
							]
,							[
								0,
								[
									0,
									7
								]
							]
							]
						]
						],
						[
						[
							8,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							4435780362359817,
							false
							,[
							[
								1,
								[
									2,
									"anime2"
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							8,
							cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
							null,
							7169428449381166,
							false
							,[
							[
								0,
								[
									0,
									7
								]
							]
							]
						]
,						[
							8,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							6696443288634545,
							false
							,[
							[
								3,
								0
							]
							]
						]
,						[
							23,
							cr.plugins_.Audio.prototype.acts.Play,
							null,
							3676036464498294,
							false
							,[
							[
								2,
								["florencolhe",false]
							]
,							[
								3,
								0
							]
,							[
								0,
								[
									0,
									-5
								]
							]
,							[
								1,
								[
									2,
									"florEncolhe"
								]
							]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				[true, "6"],
				false,
				null,
				2219318660257763,
				[
				[
					-1,
					cr.system_object.prototype.cnds.IsGroupActive,
					null,
					0,
					false,
					false,
					false,
					2219318660257763,
					false
					,[
					[
						1,
						[
							2,
							"6"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					7470124842750682,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.OnTouchObject,
						null,
						1,
						false,
						false,
						false,
						1945109504604312,
						false
						,[
						[
							4,
							9
						]
						]
					]
,					[
						9,
						cr.plugins_.Sprite.prototype.cnds.CompareFrame,
						null,
						0,
						false,
						false,
						false,
						6931590384423761,
						false
						,[
						[
							8,
							0
						]
,						[
							0,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						9,
						cr.plugins_.Sprite.prototype.acts.SetAnim,
						null,
						193446772368828,
						false
						,[
						[
							1,
							[
								2,
								"anime1"
							]
						]
,						[
							3,
							1
						]
						]
					]
,					[
						9,
						cr.plugins_.Sprite.prototype.acts.StartAnim,
						null,
						4835473864315645,
						false
						,[
						[
							3,
							0
						]
						]
					]
,					[
						23,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						5570430425108053,
						false
						,[
						[
							2,
							["florcresce",false]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								-5
							]
						]
,						[
							1,
							[
								2,
								"florCresce"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					604354396949837,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.OnTouchObject,
						null,
						1,
						false,
						false,
						false,
						2708484735760083,
						false
						,[
						[
							4,
							9
						]
						]
					]
,					[
						9,
						cr.plugins_.Sprite.prototype.cnds.CompareFrame,
						null,
						0,
						false,
						false,
						false,
						1144504707579438,
						false
						,[
						[
							8,
							0
						]
,						[
							0,
							[
								0,
								7
							]
						]
						]
					]
					],
					[
					[
						9,
						cr.plugins_.Sprite.prototype.acts.SetAnim,
						null,
						1848536228912044,
						false
						,[
						[
							1,
							[
								2,
								"anime2"
							]
						]
,						[
							3,
							1
						]
						]
					]
,					[
						9,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						8516017600874713,
						false
						,[
						[
							0,
							[
								0,
								7
							]
						]
						]
					]
,					[
						9,
						cr.plugins_.Sprite.prototype.acts.StartAnim,
						null,
						9997652697651951,
						false
						,[
						[
							3,
							0
						]
						]
					]
,					[
						23,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						5896600474312059,
						false
						,[
						[
							2,
							["florencolhe",false]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								-5
							]
						]
,						[
							1,
							[
								2,
								"florEncolhe"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3774574100320021,
					[
					[
						9,
						cr.plugins_.Sprite.prototype.cnds.CompareFrame,
						null,
						0,
						false,
						false,
						false,
						8698744962878098,
						false
						,[
						[
							8,
							0
						]
,						[
							0,
							[
								0,
								7
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						8470283412294475,
						false
						,[
						[
							7,
							[
								20,
								9,
								cr.plugins_.Sprite.prototype.exps.AnimationName,
								true,
								null
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"anime1"
							]
						]
						]
					]
					],
					[
					[
						9,
						cr.plugins_.Sprite.prototype.acts.StopAnim,
						null,
						3877330527754431,
						false
					]
					]
				]
				]
			]
,			[
				0,
				[true, "7"],
				false,
				null,
				1048602013433201,
				[
				[
					-1,
					cr.system_object.prototype.cnds.IsGroupActive,
					null,
					0,
					false,
					false,
					false,
					1048602013433201,
					false
					,[
					[
						1,
						[
							2,
							"7"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					8255246126506356,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.OnTouchObject,
						null,
						1,
						false,
						false,
						false,
						7064715978624593,
						false
						,[
						[
							4,
							10
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						6918892708991428,
						false
						,[
						[
							11,
							"id"
						]
,						[
							7,
							[
								21,
								10,
								false,
								null
								,0
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					1703792008762748,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
						null,
						0,
						false,
						false,
						false,
						1206293933742266,
						false
						,[
						[
							4,
							10
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						9114864922884363,
						false
						,[
						[
							11,
							"id"
						]
,						[
							8,
							4
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						10,
						cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						297331936936796,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								23,
								"id"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						7056498601348329,
						false
						,[
						[
							11,
							"id"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						8812964365687393,
						[
						[
							10,
							cr.plugins_.Sprite.prototype.cnds.CompareFrame,
							null,
							0,
							false,
							false,
							false,
							2839969648486075,
							false
							,[
							[
								8,
								0
							]
,							[
								0,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							10,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							407525845576011,
							false
							,[
							[
								1,
								[
									2,
									"anime1"
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							10,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							3648378219344013,
							false
							,[
							[
								3,
								0
							]
							]
						]
,						[
							23,
							cr.plugins_.Audio.prototype.acts.Play,
							null,
							8609148037612257,
							false
							,[
							[
								2,
								["florcresce",false]
							]
,							[
								3,
								0
							]
,							[
								0,
								[
									0,
									-5
								]
							]
,							[
								1,
								[
									2,
									"florCresce"
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						2991326618339794,
						[
						[
							10,
							cr.plugins_.Sprite.prototype.cnds.CompareFrame,
							null,
							0,
							false,
							false,
							false,
							4752798555907494,
							false
							,[
							[
								8,
								0
							]
,							[
								0,
								[
									0,
									7
								]
							]
							]
						]
						],
						[
						[
							10,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							6953102111978211,
							false
							,[
							[
								1,
								[
									2,
									"anime2"
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							10,
							cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
							null,
							6468135196933253,
							false
							,[
							[
								0,
								[
									0,
									7
								]
							]
							]
						]
,						[
							10,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							7010510350648181,
							false
							,[
							[
								3,
								0
							]
							]
						]
,						[
							23,
							cr.plugins_.Audio.prototype.acts.Play,
							null,
							6699449957859545,
							false
							,[
							[
								2,
								["florencolhe",false]
							]
,							[
								3,
								0
							]
,							[
								0,
								[
									0,
									-5
								]
							]
,							[
								1,
								[
									2,
									"florEncolhe"
								]
							]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				[true, "8"],
				false,
				null,
				5855116907304965,
				[
				[
					-1,
					cr.system_object.prototype.cnds.IsGroupActive,
					null,
					0,
					false,
					false,
					false,
					5855116907304965,
					false
					,[
					[
						1,
						[
							2,
							"8"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					7470124842750682,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.OnTouchObject,
						null,
						1,
						false,
						false,
						false,
						147536654982884,
						false
						,[
						[
							4,
							11
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						7631012662387145,
						false
						,[
						[
							11,
							"id"
						]
,						[
							7,
							[
								21,
								11,
								false,
								null
								,0
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3425377361542376,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
						null,
						0,
						false,
						false,
						false,
						8572421315186664,
						false
						,[
						[
							4,
							11
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						136852080669974,
						false
						,[
						[
							11,
							"id"
						]
,						[
							8,
							4
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						11,
						cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						797201847480471,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								23,
								"id"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						6028281923956998,
						false
						,[
						[
							11,
							"id"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						4374897570683306,
						[
						[
							11,
							cr.plugins_.Sprite.prototype.cnds.CompareFrame,
							null,
							0,
							false,
							false,
							false,
							8282749675960495,
							false
							,[
							[
								8,
								0
							]
,							[
								0,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							11,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							9423715560859269,
							false
							,[
							[
								1,
								[
									2,
									"anime1"
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							11,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							362550836130526,
							false
							,[
							[
								3,
								0
							]
							]
						]
,						[
							23,
							cr.plugins_.Audio.prototype.acts.Play,
							null,
							3351234153823844,
							false
							,[
							[
								2,
								["florcresce",false]
							]
,							[
								3,
								0
							]
,							[
								0,
								[
									0,
									-5
								]
							]
,							[
								1,
								[
									2,
									"florCresce"
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						220240632385415,
						[
						[
							11,
							cr.plugins_.Sprite.prototype.cnds.CompareFrame,
							null,
							0,
							false,
							false,
							false,
							5491939573993425,
							false
							,[
							[
								8,
								0
							]
,							[
								0,
								[
									0,
									7
								]
							]
							]
						]
						],
						[
						[
							11,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							1848536228912044,
							false
							,[
							[
								1,
								[
									2,
									"anime2"
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							11,
							cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
							null,
							8516017600874713,
							false
							,[
							[
								0,
								[
									0,
									7
								]
							]
							]
						]
,						[
							11,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							5398783210204424,
							false
							,[
							[
								3,
								0
							]
							]
						]
,						[
							23,
							cr.plugins_.Audio.prototype.acts.Play,
							null,
							8050419021436476,
							false
							,[
							[
								2,
								["florencolhe",false]
							]
,							[
								3,
								0
							]
,							[
								0,
								[
									0,
									-5
								]
							]
,							[
								1,
								[
									2,
									"florEncolhe"
								]
							]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				[true, "9"],
				false,
				null,
				1251506045375193,
				[
				[
					-1,
					cr.system_object.prototype.cnds.IsGroupActive,
					null,
					0,
					false,
					false,
					false,
					1251506045375193,
					false
					,[
					[
						1,
						[
							2,
							"9"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					9533451439527017,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.OnTouchObject,
						null,
						1,
						false,
						false,
						false,
						7163681880515178,
						false
						,[
						[
							4,
							12
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						599348571240079,
						false
						,[
						[
							11,
							"id"
						]
,						[
							7,
							[
								21,
								12,
								false,
								null
								,0
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					6935681706113313,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
						null,
						0,
						false,
						false,
						false,
						2137463704867668,
						false
						,[
						[
							4,
							12
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						257732537660281,
						false
						,[
						[
							11,
							"id"
						]
,						[
							8,
							4
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						12,
						cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						5788863538736941,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								23,
								"id"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						3788685141496862,
						false
						,[
						[
							11,
							"id"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						7031930957641625,
						[
						[
							12,
							cr.plugins_.Sprite.prototype.cnds.CompareFrame,
							null,
							0,
							false,
							false,
							false,
							6455115906786368,
							false
							,[
							[
								8,
								0
							]
,							[
								0,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							12,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							1510573498625103,
							false
							,[
							[
								1,
								[
									2,
									"anime1"
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							12,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							9956228460076776,
							false
							,[
							[
								3,
								0
							]
							]
						]
,						[
							23,
							cr.plugins_.Audio.prototype.acts.Play,
							null,
							1233975737850256,
							false
							,[
							[
								2,
								["florcresce",false]
							]
,							[
								3,
								0
							]
,							[
								0,
								[
									0,
									-5
								]
							]
,							[
								1,
								[
									2,
									"florCresce"
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						1161089301674132,
						[
						[
							12,
							cr.plugins_.Sprite.prototype.cnds.CompareFrame,
							null,
							0,
							false,
							false,
							false,
							3381896795471785,
							false
							,[
							[
								8,
								0
							]
,							[
								0,
								[
									0,
									7
								]
							]
							]
						]
						],
						[
						[
							12,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							1136475300750917,
							false
							,[
							[
								1,
								[
									2,
									"anime2"
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							12,
							cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
							null,
							5692161561771737,
							false
							,[
							[
								0,
								[
									0,
									7
								]
							]
							]
						]
,						[
							12,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							4152291625621345,
							false
							,[
							[
								3,
								0
							]
							]
						]
,						[
							23,
							cr.plugins_.Audio.prototype.acts.Play,
							null,
							2007183282876991,
							false
							,[
							[
								2,
								["florencolhe",false]
							]
,							[
								3,
								0
							]
,							[
								0,
								[
									0,
									-5
								]
							]
,							[
								1,
								[
									2,
									"florEncolhe"
								]
							]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				[true, "10"],
				false,
				null,
				8058658733686428,
				[
				[
					-1,
					cr.system_object.prototype.cnds.IsGroupActive,
					null,
					0,
					false,
					false,
					false,
					8058658733686428,
					false
					,[
					[
						1,
						[
							2,
							"10"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					5406125409284867,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.OnTouchObject,
						null,
						1,
						false,
						false,
						false,
						9282724191460352,
						false
						,[
						[
							4,
							13
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						5568133051882346,
						false
						,[
						[
							11,
							"id"
						]
,						[
							7,
							[
								21,
								13,
								false,
								null
								,0
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					9490356954198617,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
						null,
						0,
						false,
						false,
						false,
						5023212210798528,
						false
						,[
						[
							4,
							13
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						4482930409823086,
						false
						,[
						[
							11,
							"id"
						]
,						[
							8,
							4
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						13,
						cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						154579485059381,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								23,
								"id"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						6940249367023512,
						false
						,[
						[
							11,
							"id"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						6466093679051842,
						[
						[
							13,
							cr.plugins_.Sprite.prototype.cnds.CompareFrame,
							null,
							0,
							false,
							false,
							false,
							9789121549259219,
							false
							,[
							[
								8,
								0
							]
,							[
								0,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							13,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							6391777984982816,
							false
							,[
							[
								1,
								[
									2,
									"anime1"
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							13,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							5014317146749255,
							false
							,[
							[
								3,
								0
							]
							]
						]
,						[
							23,
							cr.plugins_.Audio.prototype.acts.Play,
							null,
							1808738597537254,
							false
							,[
							[
								2,
								["florcresce",false]
							]
,							[
								3,
								0
							]
,							[
								0,
								[
									0,
									-5
								]
							]
,							[
								1,
								[
									2,
									"florCresce"
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						8486443889912029,
						[
						[
							13,
							cr.plugins_.Sprite.prototype.cnds.CompareFrame,
							null,
							0,
							false,
							false,
							false,
							8122679493210072,
							false
							,[
							[
								8,
								0
							]
,							[
								0,
								[
									0,
									7
								]
							]
							]
						]
						],
						[
						[
							13,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							3908557544422723,
							false
							,[
							[
								1,
								[
									2,
									"anime2"
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							13,
							cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
							null,
							3369787001134444,
							false
							,[
							[
								0,
								[
									0,
									7
								]
							]
							]
						]
,						[
							13,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							5748880602847884,
							false
							,[
							[
								3,
								0
							]
							]
						]
,						[
							23,
							cr.plugins_.Audio.prototype.acts.Play,
							null,
							9790343628492832,
							false
							,[
							[
								2,
								["florencolhe",false]
							]
,							[
								3,
								0
							]
,							[
								0,
								[
									0,
									-5
								]
							]
,							[
								1,
								[
									2,
									"florEncolhe"
								]
							]
							]
						]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			7622636233012016,
			[
			[
				-1,
				cr.system_object.prototype.cnds.EveryTick,
				null,
				0,
				false,
				false,
				false,
				9856465516804364,
				false
			]
			],
			[
			[
				27,
				cr.plugins_.Text.prototype.acts.SetText,
				null,
				8076046258407968,
				false
				,[
				[
					7,
					[
						23,
						"id"
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "NANA TERRA"],
			false,
			null,
			6239586690547095,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				6239586690547095,
				false
				,[
				[
					1,
					[
						2,
						"NANA TERRA"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				6517166059283412,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					2513917884260723,
					false
					,[
					[
						4,
						72
					]
					]
				]
				],
				[
				[
					72,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					6966764913776249,
					false
					,[
					[
						1,
						[
							2,
							"anime2"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.Wait,
					null,
					2860585999322897,
					false
					,[
					[
						0,
						[
							1,
							0.7
						]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Play,
					null,
					1845234602564522,
					false
					,[
					[
						2,
						["nanarindo2",false]
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							0
						]
					]
,					[
						1,
						[
							2,
							""
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				2636542796889255,
				[
				[
					72,
					cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
					null,
					1,
					false,
					false,
					false,
					5228002452311244,
					false
					,[
					[
						1,
						[
							2,
							"anime2"
						]
					]
					]
				]
				],
				[
				[
					72,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					4904102867796651,
					false
					,[
					[
						1,
						[
							2,
							"anime1"
						]
					]
,					[
						3,
						1
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "PASSARO AZUL"],
			false,
			null,
			6145937562866166,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				6145937562866166,
				false
				,[
				[
					1,
					[
						2,
						"PASSARO AZUL"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				2114559935224552,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					9220570271632559,
					false
					,[
					[
						4,
						49
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.Compare,
					null,
					0,
					false,
					false,
					false,
					7972009804523963,
					false
					,[
					[
						7,
						[
							20,
							49,
							cr.plugins_.Sprite.prototype.exps.AnimationName,
							true,
							null
						]
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							2,
							"anime1"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					2077879343492888,
					false
					,[
					[
						11,
						"animePassaro"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps.floor
							,[
[
								19,
								cr.system_object.prototype.exps.random
								,[
[
									0,
									2
								]
,[
									0,
									4
								]
								]
							]
							]
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					1323818347652936,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						4234550106862451,
						false
						,[
						[
							11,
							"animePassaro"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								2
							]
						]
						]
					]
					],
					[
					[
						49,
						cr.plugins_.Sprite.prototype.acts.SetAnim,
						null,
						5950650006027236,
						false
						,[
						[
							1,
							[
								2,
								"anime2"
							]
						]
,						[
							3,
							1
						]
						]
					]
,					[
						23,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						3441682745524168,
						false
						,[
						[
							2,
							["birdjump",false]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								0
							]
						]
,						[
							1,
							[
								2,
								""
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					4682124822861489,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						470973358764558,
						false
						,[
						[
							11,
							"animePassaro"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								3
							]
						]
						]
					]
					],
					[
					[
						49,
						cr.plugins_.Sprite.prototype.acts.SetAnim,
						null,
						3199782712565391,
						false
						,[
						[
							1,
							[
								2,
								"anime3"
							]
						]
,						[
							3,
							1
						]
						]
					]
,					[
						23,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						4262993499485809,
						false
						,[
						[
							2,
							["birdinho",false]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								0
							]
						]
,						[
							1,
							[
								2,
								""
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				true,
				null,
				694936530871329,
				[
				[
					49,
					cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
					null,
					1,
					false,
					false,
					false,
					6396511866499406,
					false
					,[
					[
						1,
						[
							2,
							"anime2"
						]
					]
					]
				]
,				[
					49,
					cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
					null,
					1,
					false,
					false,
					false,
					1369199574716664,
					false
					,[
					[
						1,
						[
							2,
							"anime3"
						]
					]
					]
				]
				],
				[
				[
					49,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					683049103038552,
					false
					,[
					[
						1,
						[
							2,
							"anime1"
						]
					]
,					[
						3,
						1
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "ARBUSTAO"],
			false,
			null,
			5418819898003388,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				5418819898003388,
				false
				,[
				[
					1,
					[
						2,
						"ARBUSTAO"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				5606728754813607,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					550605319495552,
					false
					,[
					[
						4,
						74
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.cnds.IsTagPlaying,
					null,
					0,
					false,
					true,
					false,
					160549608717925,
					false
					,[
					[
						1,
						[
							2,
							"arbusto"
						]
					]
					]
				]
				],
				[
				[
					74,
					cr.plugins_.Sprite.prototype.acts.StartAnim,
					null,
					4850351851568878,
					false
					,[
					[
						3,
						0
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Play,
					null,
					4618721346409431,
					false
					,[
					[
						2,
						["arbusto",false]
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							-8
						]
					]
,					[
						1,
						[
							2,
							"arbusto"
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.Wait,
					null,
					4889544737291811,
					false
					,[
					[
						0,
						[
							1,
							0.8
						]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Play,
					null,
					5102754259419017,
					false
					,[
					[
						2,
						["arbusto",false]
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							-8
						]
					]
,					[
						1,
						[
							2,
							"arbusto"
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "CASA"],
			false,
			null,
			1236325430849213,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				1236325430849213,
				false
				,[
				[
					1,
					[
						2,
						"CASA"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				1201534024928581,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					2921060956650655,
					false
					,[
					[
						4,
						78
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					2861366637448812,
					false
					,[
					[
						11,
						"fumaca"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					7355810649567436,
					false
					,[
					[
						11,
						"fumaca"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					79,
					cr.plugins_.Sprite.prototype.acts.SetOpacity,
					null,
					1898691428310303,
					false
					,[
					[
						0,
						[
							0,
							50
						]
					]
					]
				]
,				[
					79,
					cr.plugins_.Sprite.prototype.acts.StartAnim,
					null,
					1304992285457435,
					false
					,[
					[
						3,
						1
					]
					]
				]
,				[
					79,
					cr.plugins_.Sprite.prototype.acts.SetAnimSpeed,
					null,
					5410969745339735,
					false
					,[
					[
						0,
						[
							0,
							11
						]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Play,
					null,
					4080151394252734,
					false
					,[
					[
						2,
						["fumaca",false]
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							0
						]
					]
,					[
						1,
						[
							2,
							""
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6631851924786002,
				[
				[
					79,
					cr.plugins_.Sprite.prototype.cnds.CompareFrame,
					null,
					0,
					false,
					false,
					false,
					6345350537524767,
					false
					,[
					[
						8,
						0
					]
,					[
						0,
						[
							0,
							100
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					3445789844363301,
					false
					,[
					[
						11,
						"fumaca"
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				3172971810756069,
				[
				[
					79,
					cr.plugins_.Sprite.prototype.cnds.CompareFrame,
					null,
					0,
					false,
					false,
					false,
					1589939717011041,
					false
					,[
					[
						8,
						0
					]
,					[
						0,
						[
							0,
							74
						]
					]
					]
				]
				],
				[
				[
					79,
					cr.behaviors.Fade.prototype.acts.RestartFade,
					"Fade",
					282967235201909,
					false
				]
,				[
					79,
					cr.plugins_.Sprite.prototype.acts.SetAnimSpeed,
					null,
					1139149704595029,
					false
					,[
					[
						0,
						[
							0,
							10
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "PASSAROOBESO"],
			false,
			null,
			4822878487330874,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				4822878487330874,
				false
				,[
				[
					1,
					[
						2,
						"PASSAROOBESO"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				8894511443931401,
				[
				[
					-1,
					cr.system_object.prototype.cnds.Every,
					null,
					0,
					false,
					false,
					false,
					34305698987054,
					false
					,[
					[
						0,
						[
							0,
							1
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					4916596592792232,
					false
					,[
					[
						11,
						"olhando"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps.floor
							,[
[
								19,
								cr.system_object.prototype.exps.random
								,[
[
									0,
									0
								]
,[
									0,
									5
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					48,
					cr.behaviors.Turret.prototype.acts.ClearTargets,
					"Turret",
					7709835677497085,
					false
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					2268516560879236,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						8102757904279582,
						false
						,[
						[
							11,
							"olhando"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						43,
						cr.plugins_.Sprite.prototype.cnds.IsVisible,
						null,
						0,
						false,
						false,
						false,
						7599020523663059,
						false
					]
					],
					[
					[
						48,
						cr.behaviors.Turret.prototype.acts.AcquireTarget,
						"Turret",
						307745784784423,
						false
						,[
						[
							4,
							43
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					2862294631079336,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						2215887983995286,
						false
						,[
						[
							11,
							"olhando"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								1
							]
						]
						]
					]
					],
					[
					[
						48,
						cr.behaviors.Turret.prototype.acts.AcquireTarget,
						"Turret",
						1757794608832203,
						false
						,[
						[
							4,
							74
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					9144654816513397,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						3940631778907291,
						false
						,[
						[
							11,
							"olhando"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								2
							]
						]
						]
					]
					],
					[
					[
						48,
						cr.behaviors.Turret.prototype.acts.AcquireTarget,
						"Turret",
						206575334366165,
						false
						,[
						[
							4,
							72
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					6766099788370037,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						2359483935162728,
						false
						,[
						[
							11,
							"olhando"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								3
							]
						]
						]
					]
					],
					[
					[
						48,
						cr.behaviors.Turret.prototype.acts.AcquireTarget,
						"Turret",
						2036129553712906,
						false
						,[
						[
							4,
							35
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					4871117402743976,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						2822211462055362,
						false
						,[
						[
							11,
							"olhando"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								4
							]
						]
						]
					]
					],
					[
					[
						48,
						cr.behaviors.Turret.prototype.acts.AcquireTarget,
						"Turret",
						3898728991222642,
						false
						,[
						[
							4,
							49
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				4040555813086753,
				[
				[
					47,
					cr.behaviors.DragnDrop.prototype.cnds.OnDragStart,
					"DragDrop",
					1,
					false,
					false,
					false,
					1893148064545733,
					false
				]
				],
				[
				[
					47,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					4540988302824252,
					false
					,[
					[
						1,
						[
							2,
							"anime5"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					48,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					2110070828314338,
					false
					,[
					[
						1,
						[
							2,
							"anime2"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Play,
					null,
					1612819235607209,
					false
					,[
					[
						2,
						["birdao",false]
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							-6
						]
					]
,					[
						1,
						[
							2,
							""
						]
					]
					]
				]
,				[
					47,
					cr.behaviors.Rex_MoveTo.prototype.acts.Stop,
					"MoveTo",
					8828534991915242,
					false
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				5940960207849086,
				[
				[
					47,
					cr.behaviors.DragnDrop.prototype.cnds.OnDrop,
					"DragDrop",
					1,
					false,
					false,
					false,
					5769347941379094,
					false
				]
				],
				[
				[
					47,
					cr.behaviors.Rex_MoveTo.prototype.acts.SetTargetPos,
					"MoveTo",
					4990909286289553,
					false
					,[
					[
						0,
						[
							0,
							1168
						]
					]
,					[
						0,
						[
							0,
							380
						]
					]
					]
				]
,				[
					47,
					cr.behaviors.Sin.prototype.acts.SetActive,
					"Sine",
					6968596988717077,
					false
					,[
					[
						3,
						1
					]
					]
				]
,				[
					47,
					cr.plugins_.Sprite.prototype.acts.SetAnimSpeed,
					null,
					8303083599869668,
					false
					,[
					[
						0,
						[
							0,
							18
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					6059558493962973,
					[
					[
						23,
						cr.plugins_.Audio.prototype.cnds.IsTagPlaying,
						null,
						0,
						false,
						true,
						false,
						1095259886170526,
						false
						,[
						[
							1,
							[
								2,
								"birdFlying"
							]
						]
						]
					]
					],
					[
					[
						23,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						9298419810119277,
						false
						,[
						[
							2,
							["birdflying",false]
						]
,						[
							3,
							1
						]
,						[
							0,
							[
								0,
								-6
							]
						]
,						[
							1,
							[
								2,
								"birdFlying"
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				3283684161163323,
				[
				[
					47,
					cr.behaviors.Rex_MoveTo.prototype.cnds.OnHitTarget,
					"MoveTo",
					1,
					false,
					false,
					false,
					9526124514065827,
					false
				]
,				[
					47,
					cr.plugins_.Sprite.prototype.cnds.CompareY,
					null,
					0,
					false,
					false,
					false,
					9029916247822998,
					false
					,[
					[
						8,
						0
					]
,					[
						0,
						[
							0,
							380
						]
					]
					]
				]
				],
				[
				[
					47,
					cr.plugins_.Sprite.prototype.acts.SetAnimSpeed,
					null,
					1987375756158919,
					false
					,[
					[
						0,
						[
							0,
							25
						]
					]
					]
				]
,				[
					47,
					cr.behaviors.Rex_MoveTo.prototype.acts.SetTargetPos,
					"MoveTo",
					7532176871620504,
					false
					,[
					[
						0,
						[
							0,
							1168
						]
					]
,					[
						0,
						[
							0,
							310
						]
					]
					]
				]
,				[
					47,
					cr.behaviors.Rex_MoveTo.prototype.acts.SetCurrentSpeed,
					"MoveTo",
					1305497117258162,
					false
					,[
					[
						0,
						[
							0,
							60
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				3300435687781426,
				[
				[
					47,
					cr.behaviors.Rex_MoveTo.prototype.cnds.OnHitTarget,
					"MoveTo",
					1,
					false,
					false,
					false,
					9386489942566542,
					false
				]
,				[
					47,
					cr.plugins_.Sprite.prototype.cnds.CompareY,
					null,
					0,
					false,
					false,
					false,
					6815625268650974,
					false
					,[
					[
						8,
						0
					]
,					[
						0,
						[
							0,
							310
						]
					]
					]
				]
				],
				[
				[
					47,
					cr.plugins_.Sprite.prototype.acts.SetAnimSpeed,
					null,
					7316413825362762,
					false
					,[
					[
						0,
						[
							0,
							8
						]
					]
					]
				]
,				[
					47,
					cr.behaviors.Rex_MoveTo.prototype.acts.SetTargetPos,
					"MoveTo",
					7441911990199597,
					false
					,[
					[
						0,
						[
							0,
							1168
						]
					]
,					[
						0,
						[
							0,
							329
						]
					]
					]
				]
,				[
					47,
					cr.behaviors.Rex_MoveTo.prototype.acts.SetCurrentSpeed,
					"MoveTo",
					8880134439810888,
					false
					,[
					[
						0,
						[
							0,
							60
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				7216863779522307,
				[
				[
					47,
					cr.behaviors.Rex_MoveTo.prototype.cnds.OnHitTarget,
					"MoveTo",
					1,
					false,
					false,
					false,
					349452570725936,
					false
				]
,				[
					47,
					cr.plugins_.Sprite.prototype.cnds.CompareY,
					null,
					0,
					false,
					false,
					false,
					1051414591648137,
					false
					,[
					[
						8,
						0
					]
,					[
						0,
						[
							0,
							329
						]
					]
					]
				]
				],
				[
				[
					47,
					cr.behaviors.Sin.prototype.acts.SetActive,
					"Sine",
					4237416005459228,
					false
					,[
					[
						3,
						0
					]
					]
				]
,				[
					47,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					131846602610211,
					false
					,[
					[
						1,
						[
							2,
							"anime4"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					48,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					5298516525857014,
					false
					,[
					[
						1,
						[
							2,
							"anime3"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Stop,
					null,
					7081909765631764,
					false
					,[
					[
						1,
						[
							2,
							"birdFlying"
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "DIANOITE4"],
			false,
			null,
			603216433743455,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				603216433743455,
				false
				,[
				[
					1,
					[
						2,
						"DIANOITE4"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				8833736674752978,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchEnd,
					null,
					1,
					false,
					false,
					false,
					2648090411301829,
					false
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					7682867077106171,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
						null,
						0,
						false,
						false,
						false,
						3737742724857314,
						false
						,[
						[
							4,
							104
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.GoToLayout,
						null,
						2496609536036499,
						false
						,[
						[
							6,
							"terraNoite"
						]
						]
					]
,					[
						23,
						cr.plugins_.Audio.prototype.acts.StopAll,
						null,
						1442892533105558,
						false
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "AUDIO5"],
			false,
			null,
			4455018480731914,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				4455018480731914,
				false
				,[
				[
					1,
					[
						2,
						"AUDIO5"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				9411968498137333,
				[
				[
					23,
					cr.plugins_.Audio.prototype.cnds.IsTagPlaying,
					null,
					0,
					false,
					false,
					false,
					7144054388684545,
					false
					,[
					[
						1,
						[
							2,
							"terraDia"
						]
					]
					]
				]
,				[
					57,
					cr.plugins_.Sprite.prototype.cnds.IsVisible,
					null,
					0,
					false,
					true,
					false,
					857891378584256,
					false
				]
				],
				[
				[
					57,
					cr.plugins_.Sprite.prototype.acts.SetVisible,
					null,
					3111283766868451,
					false
					,[
					[
						3,
						1
					]
					]
				]
,				[
					57,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					3058735677729048,
					false
					,[
					[
						1,
						[
							2,
							"anime2"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					57,
					cr.plugins_.Sprite.prototype.acts.StartAnim,
					null,
					3124298418511804,
					false
					,[
					[
						3,
						1
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "BOTOES5"],
			false,
			null,
			4233066924662395,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				4233066924662395,
				false
				,[
				[
					1,
					[
						2,
						"BOTOES5"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				786281286559768,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					5453607238039138,
					false
					,[
					[
						4,
						107
					]
					]
				]
				],
				[
				[
					107,
					cr.plugins_.Sprite.prototype.acts.SetOpacity,
					null,
					1330746731973891,
					false
					,[
					[
						0,
						[
							0,
							70
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				1248228465469555,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					6802634469648051,
					false
					,[
					[
						4,
						109
					]
					]
				]
				],
				[
				[
					109,
					cr.plugins_.Sprite.prototype.acts.SetOpacity,
					null,
					3697223487511048,
					false
					,[
					[
						0,
						[
							0,
							70
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				2749654886415442,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					2252979136895032,
					false
					,[
					[
						4,
						108
					]
					]
				]
				],
				[
				[
					108,
					cr.plugins_.Sprite.prototype.acts.SetOpacity,
					null,
					832099496362943,
					false
					,[
					[
						0,
						[
							0,
							70
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				7781310351739441,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchEnd,
					null,
					1,
					false,
					false,
					false,
					6549592439775831,
					false
				]
				],
				[
				[
					107,
					cr.plugins_.Sprite.prototype.acts.SetOpacity,
					null,
					5275472792178586,
					false
					,[
					[
						0,
						[
							0,
							100
						]
					]
					]
				]
,				[
					109,
					cr.plugins_.Sprite.prototype.acts.SetOpacity,
					null,
					9447674772421996,
					false
					,[
					[
						0,
						[
							0,
							100
						]
					]
					]
				]
,				[
					108,
					cr.plugins_.Sprite.prototype.acts.SetOpacity,
					null,
					619137745547418,
					false
					,[
					[
						0,
						[
							0,
							100
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					367383544644527,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
						null,
						0,
						false,
						false,
						false,
						3298473989809718,
						false
						,[
						[
							4,
							109
						]
						]
					]
					],
					[
					[
						57,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						4899597706086554,
						false
						,[
						[
							0,
							[
								0,
								0
							]
						]
						]
					]
,					[
						57,
						cr.plugins_.Sprite.prototype.acts.StartAnim,
						null,
						3030109756475695,
						false
						,[
						[
							3,
							1
						]
						]
					]
,					[
						57,
						cr.plugins_.Sprite.prototype.acts.SetOpacity,
						null,
						4713483521305024,
						false
						,[
						[
							0,
							[
								0,
								100
							]
						]
						]
					]
,					[
						23,
						cr.plugins_.Audio.prototype.acts.StopAll,
						null,
						9941574267437907,
						false
					]
,					[
						23,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						5234690414014219,
						false
						,[
						[
							2,
							["terradorosadia",true]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								-10
							]
						]
,						[
							1,
							[
								2,
								"terraDia"
							]
						]
						]
					]
,					[
						107,
						cr.plugins_.Sprite.prototype.acts.SetAnim,
						null,
						2017478152898798,
						false
						,[
						[
							1,
							[
								2,
								"anime1"
							]
						]
,						[
							3,
							1
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					4272241973592211,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
						null,
						0,
						false,
						false,
						false,
						8462138252197766,
						false
						,[
						[
							4,
							108
						]
						]
					]
					],
					[
					[
						23,
						cr.plugins_.Audio.prototype.acts.StopAll,
						null,
						6306969030641393,
						false
					]
,					[
						-1,
						cr.system_object.prototype.acts.GoToLayout,
						null,
						9502499039036366,
						false
						,[
						[
							6,
							"cartaMenu"
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7936353052012942,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
						null,
						0,
						false,
						false,
						false,
						6738655546269487,
						false
						,[
						[
							4,
							107
						]
						]
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						29841145913538,
						[
						[
							-1,
							cr.system_object.prototype.cnds.Compare,
							null,
							0,
							false,
							false,
							false,
							7952710557177523,
							false
							,[
							[
								7,
								[
									20,
									107,
									cr.plugins_.Sprite.prototype.exps.AnimationName,
									true,
									null
								]
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									2,
									"anime1"
								]
							]
							]
						]
						],
						[
						[
							107,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							9649020027820014,
							false
							,[
							[
								1,
								[
									2,
									"anime2"
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							23,
							cr.plugins_.Audio.prototype.acts.SetMuted,
							null,
							7491435114890309,
							false
							,[
							[
								1,
								[
									2,
									"terraDia"
								]
							]
,							[
								3,
								0
							]
							]
						]
,						[
							23,
							cr.plugins_.Audio.prototype.acts.SetMuted,
							null,
							5105529834208221,
							false
							,[
							[
								1,
								[
									2,
									"musicLoop"
								]
							]
,							[
								3,
								0
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						466055032148352,
						[
						[
							-1,
							cr.system_object.prototype.cnds.Else,
							null,
							0,
							false,
							false,
							false,
							2086295904042072,
							false
						]
						],
						[
						[
							107,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							5758276795862988,
							false
							,[
							[
								1,
								[
									2,
									"anime1"
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							23,
							cr.plugins_.Audio.prototype.acts.SetMuted,
							null,
							6673678799222588,
							false
							,[
							[
								1,
								[
									2,
									"terraDia"
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							23,
							cr.plugins_.Audio.prototype.acts.SetMuted,
							null,
							1713290038457954,
							false
							,[
							[
								1,
								[
									2,
									"musicLoop"
								]
							]
,							[
								3,
								1
							]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				265822988620107,
				[
				[
					23,
					cr.plugins_.Audio.prototype.cnds.OnEnded,
					null,
					1,
					false,
					false,
					false,
					2376929244659958,
					false
					,[
					[
						1,
						[
							2,
							"terraDia"
						]
					]
					]
				]
				],
				[
				[
					57,
					cr.plugins_.Sprite.prototype.acts.SetOpacity,
					null,
					5530019849158133,
					false
					,[
					[
						0,
						[
							0,
							0
						]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Play,
					null,
					2620037435437747,
					false
					,[
					[
						2,
						["aberturaloop",true]
					]
,					[
						3,
						1
					]
,					[
						0,
						[
							0,
							-25
						]
					]
,					[
						1,
						[
							2,
							"musicLoop"
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					4881731054941411,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						19678481693078,
						false
						,[
						[
							7,
							[
								20,
								107,
								cr.plugins_.Sprite.prototype.exps.AnimationName,
								true,
								null
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"anime2"
							]
						]
						]
					]
					],
					[
					[
						23,
						cr.plugins_.Audio.prototype.acts.SetMuted,
						null,
						7124646131750642,
						false
						,[
						[
							1,
							[
								2,
								"musicLoop"
							]
						]
,						[
							3,
							0
						]
						]
					]
					]
				]
				]
			]
			]
		]
		]
	]
,	[
		"terraNoiteScript",
		[
		[
			2,
			"masterEvents",
			false
		]
,		[
			0,
			null,
			false,
			null,
			2727571696411518,
			[
			[
				-1,
				cr.system_object.prototype.cnds.OnLayoutStart,
				null,
				1,
				false,
				false,
				false,
				2611114857997574,
				false
			]
			],
			[
			[
				-1,
				cr.system_object.prototype.acts.ResetGlobals,
				null,
				6559273470237087,
				false
			]
,			[
				3,
				cr.plugins_.Sprite.prototype.acts.SetX,
				null,
				309346150239764,
				false
				,[
				[
					0,
					[
						5,
						[
							6,
							[
								19,
								cr.system_object.prototype.exps.scrollx
							]
							,[
								1,
								0.4
							]
						]
						,[
							0,
							210
						]
					]
				]
				]
			]
,			[
				35,
				cr.plugins_.Sprite.prototype.acts.SetOpacity,
				null,
				3768731090475438,
				false
				,[
				[
					0,
					[
						0,
						40
					]
				]
				]
			]
,			[
				0,
				cr.plugins_.Sprite.prototype.acts.SetAnim,
				null,
				9060611279618376,
				false
				,[
				[
					1,
					[
						2,
						"anime4"
					]
				]
,				[
					3,
					1
				]
				]
			]
,			[
				3,
				cr.plugins_.Sprite.prototype.acts.SetAnim,
				null,
				8136595413891821,
				false
				,[
				[
					1,
					[
						2,
						"anime4"
					]
				]
,				[
					3,
					1
				]
				]
			]
,			[
				1,
				cr.plugins_.Sprite.prototype.acts.SetAnim,
				null,
				1803602230530376,
				false
				,[
				[
					1,
					[
						2,
						"anime4"
					]
				]
,				[
					3,
					1
				]
				]
			]
,			[
				2,
				cr.plugins_.Sprite.prototype.acts.SetAnim,
				null,
				7604235909130361,
				false
				,[
				[
					1,
					[
						2,
						"anime2"
					]
				]
,				[
					3,
					1
				]
				]
			]
,			[
				72,
				cr.plugins_.Sprite.prototype.acts.SetAnim,
				null,
				9266655907480836,
				false
				,[
				[
					1,
					[
						2,
						"anime3"
					]
				]
,				[
					3,
					1
				]
				]
			]
,			[
				76,
				cr.plugins_.Sprite.prototype.acts.SetAnim,
				null,
				2635934274658354,
				false
				,[
				[
					1,
					[
						2,
						"anime2"
					]
				]
,				[
					3,
					1
				]
				]
			]
,			[
				47,
				cr.plugins_.Sprite.prototype.acts.SetAnim,
				null,
				6852422995767897,
				false
				,[
				[
					1,
					[
						2,
						"anime6"
					]
				]
,				[
					3,
					1
				]
				]
			]
,			[
				58,
				cr.plugins_.Sprite.prototype.acts.SetOpacity,
				null,
				5109910844098638,
				false
				,[
				[
					0,
					[
						0,
						0
					]
				]
				]
			]
,			[
				59,
				cr.plugins_.Sprite.prototype.acts.SetOpacity,
				null,
				364398713135236,
				false
				,[
				[
					0,
					[
						0,
						0
					]
				]
				]
			]
,			[
				59,
				cr.plugins_.Sprite.prototype.acts.StopAnim,
				null,
				739622624575958,
				false
			]
,			[
				59,
				cr.behaviors.Pin.prototype.acts.Pin,
				"Pin",
				8893067930730268,
				false
				,[
				[
					4,
					47
				]
,				[
					3,
					0
				]
				]
			]
,			[
				58,
				cr.behaviors.Pin.prototype.acts.Pin,
				"Pin",
				8714862577936309,
				false
				,[
				[
					4,
					47
				]
,				[
					3,
					0
				]
				]
			]
,			[
				47,
				cr.behaviors.DragnDrop.prototype.acts.SetEnabled,
				"DragDrop",
				9810127919559302,
				false
				,[
				[
					3,
					0
				]
				]
			]
,			[
				58,
				cr.plugins_.Sprite.prototype.acts.SetAnim,
				null,
				9760924741843277,
				false
				,[
				[
					1,
					[
						2,
						"anime2"
					]
				]
,				[
					3,
					1
				]
				]
			]
,			[
				59,
				cr.plugins_.Sprite.prototype.acts.SetAnim,
				null,
				7930453959429807,
				false
				,[
				[
					1,
					[
						2,
						"anime2"
					]
				]
,				[
					3,
					1
				]
				]
			]
,			[
				74,
				cr.plugins_.Sprite.prototype.acts.SetAnim,
				null,
				4359804890589471,
				false
				,[
				[
					1,
					[
						2,
						"anime2"
					]
				]
,				[
					3,
					1
				]
				]
			]
,			[
				74,
				cr.plugins_.Sprite.prototype.acts.StopAnim,
				null,
				5272677458247353,
				false
			]
,			[
				82,
				cr.plugins_.Sprite.prototype.acts.SetOpacity,
				null,
				579939655390172,
				false
				,[
				[
					0,
					[
						0,
						0
					]
				]
				]
			]
,			[
				83,
				cr.plugins_.Sprite.prototype.acts.SetOpacity,
				null,
				4005111370071053,
				false
				,[
				[
					0,
					[
						0,
						0
					]
				]
				]
			]
,			[
				33,
				cr.plugins_.Function.prototype.acts.CallFunction,
				null,
				4524715960435939,
				false
				,[
				[
					1,
					[
						2,
						"floresInicial"
					]
				]
,				[
					13,
				]
				]
			]
,			[
				49,
				cr.plugins_.Sprite.prototype.acts.SetAnim,
				null,
				3777291906737916,
				false
				,[
				[
					1,
					[
						2,
						"anime4"
					]
				]
,				[
					3,
					1
				]
				]
			]
,			[
				78,
				cr.plugins_.Sprite.prototype.acts.SetAnim,
				null,
				9888628688883582,
				false
				,[
				[
					1,
					[
						2,
						"anime2"
					]
				]
,				[
					3,
					1
				]
				]
			]
,			[
				78,
				cr.plugins_.Sprite.prototype.acts.StopAnim,
				null,
				664875621969383,
				false
			]
,			[
				85,
				cr.plugins_.Sprite.prototype.acts.StopAnim,
				null,
				9480591949666502,
				false
			]
,			[
				43,
				cr.plugins_.Sprite.prototype.acts.SetAnim,
				null,
				651920210931777,
				false
				,[
				[
					1,
					[
						2,
						"anime2"
					]
				]
,				[
					3,
					1
				]
				]
			]
,			[
				44,
				cr.plugins_.Sprite.prototype.acts.SetAnim,
				null,
				7321943564177132,
				false
				,[
				[
					1,
					[
						2,
						"anime2"
					]
				]
,				[
					3,
					1
				]
				]
			]
,			[
				44,
				cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
				null,
				7352426408581376,
				false
				,[
				[
					0,
					[
						0,
						3
					]
				]
				]
			]
,			[
				57,
				cr.plugins_.Sprite.prototype.acts.StopAnim,
				null,
				1794407584539549,
				false
			]
,			[
				23,
				cr.plugins_.Audio.prototype.acts.Play,
				null,
				4829404678738283,
				false
				,[
				[
					2,
					["terradorosanoite",true]
				]
,				[
					3,
					0
				]
,				[
					0,
					[
						0,
						-5
					]
				]
,				[
					1,
					[
						2,
						"terraNoite"
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "ARBUSTAO2"],
			false,
			null,
			5438281871247277,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				5438281871247277,
				false
				,[
				[
					1,
					[
						2,
						"ARBUSTAO2"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				5606728754813607,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					550605319495552,
					false
					,[
					[
						4,
						74
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.cnds.IsTagPlaying,
					null,
					0,
					false,
					true,
					false,
					7772236149590134,
					false
					,[
					[
						1,
						[
							2,
							"arbusto"
						]
					]
					]
				]
				],
				[
				[
					74,
					cr.plugins_.Sprite.prototype.acts.StartAnim,
					null,
					4850351851568878,
					false
					,[
					[
						3,
						0
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Play,
					null,
					6300711913614687,
					false
					,[
					[
						2,
						["arbusto",false]
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							-8
						]
					]
,					[
						1,
						[
							2,
							"arbusto"
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.Wait,
					null,
					2959680288079149,
					false
					,[
					[
						0,
						[
							1,
							0.8
						]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Play,
					null,
					1185745361113897,
					false
					,[
					[
						2,
						["arbusto",false]
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							-8
						]
					]
,					[
						1,
						[
							2,
							"arbusto"
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "CENARIO4"],
			false,
			null,
			4717930556144386,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				4717930556144386,
				false
				,[
				[
					1,
					[
						2,
						"CENARIO4"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				3351897049065134,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchStart,
					null,
					1,
					false,
					false,
					false,
					2448659536413748,
					false
				]
,				[
					21,
					cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
					null,
					0,
					false,
					true,
					false,
					3871475386966922,
					false
					,[
					[
						4,
						43
					]
					]
				]
,				[
					21,
					cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
					null,
					0,
					false,
					true,
					false,
					6655157250181995,
					false
					,[
					[
						4,
						44
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					5417733571621816,
					false
					,[
					[
						11,
						"stageX"
					]
,					[
						7,
						[
							20,
							21,
							cr.plugins_.Touch.prototype.exps.X,
							false,
							null
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6727734447687798,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.IsInTouch,
					null,
					0,
					false,
					false,
					false,
					4480841377380962,
					false
				]
,				[
					21,
					cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
					null,
					0,
					false,
					true,
					false,
					1970447711123521,
					false
					,[
					[
						4,
						43
					]
					]
				]
,				[
					21,
					cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
					null,
					0,
					false,
					true,
					false,
					8022617610373568,
					false
					,[
					[
						4,
						44
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					1257146982701448,
					false
					,[
					[
						11,
						"stageX2"
					]
,					[
						7,
						[
							20,
							21,
							cr.plugins_.Touch.prototype.exps.X,
							false,
							null
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.ScrollX,
					null,
					665483828129996,
					false
					,[
					[
						0,
						[
							4,
							[
								19,
								cr.system_object.prototype.exps.scrollx
							]
							,[
								6,
								[
									5,
									[
										23,
										"stageX2"
									]
									,[
										23,
										"stageX"
									]
								]
								,[
									0,
									-1
								]
							]
						]
					]
					]
				]
,				[
					3,
					cr.plugins_.Sprite.prototype.acts.SetX,
					null,
					6434306716483419,
					false
					,[
					[
						0,
						[
							5,
							[
								6,
								[
									19,
									cr.system_object.prototype.exps.scrollx
								]
								,[
									1,
									0.4
								]
							]
							,[
								0,
								210
							]
						]
					]
					]
				]
,				[
					1,
					cr.plugins_.Sprite.prototype.acts.SetX,
					null,
					2650776772975788,
					false
					,[
					[
						0,
						[
							5,
							[
								6,
								[
									19,
									cr.system_object.prototype.exps.scrollx
								]
								,[
									1,
									0.8
								]
							]
							,[
								0,
								420
							]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "NANA"],
			false,
			null,
			8819866501509025,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				8819866501509025,
				false
				,[
				[
					1,
					[
						2,
						"NANA"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				2267879594243798,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					482024231067934,
					false
					,[
					[
						4,
						72
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.Compare,
					null,
					0,
					false,
					false,
					false,
					622396552998228,
					false
					,[
					[
						7,
						[
							20,
							72,
							cr.plugins_.Sprite.prototype.exps.AnimationName,
							true,
							null
						]
					]
,					[
						8,
						1
					]
,					[
						7,
						[
							2,
							"anime4"
						]
					]
					]
				]
				],
				[
				[
					72,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					6571437583910129,
					false
					,[
					[
						1,
						[
							2,
							"anime4"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.Wait,
					null,
					1604764511441443,
					false
					,[
					[
						0,
						[
							1,
							0.7
						]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Play,
					null,
					8449739683840449,
					false
					,[
					[
						2,
						["nanahaha",false]
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							-8
						]
					]
,					[
						1,
						[
							2,
							"nanaHaha"
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				7215888701691774,
				[
				[
					72,
					cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
					null,
					1,
					false,
					false,
					false,
					2100361556150304,
					false
					,[
					[
						1,
						[
							2,
							"anime4"
						]
					]
					]
				]
				],
				[
				[
					72,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					787907877306518,
					false
					,[
					[
						1,
						[
							2,
							"anime3"
						]
					]
,					[
						3,
						1
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "PASSAROGORDO3"],
			false,
			null,
			277526196843186,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				277526196843186,
				false
				,[
				[
					1,
					[
						2,
						"PASSAROGORDO3"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				7464582805781094,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					4566054534056553,
					false
					,[
					[
						4,
						47
					]
					]
				]
,				[
					59,
					cr.plugins_.Sprite.prototype.cnds.CompareOpacity,
					null,
					0,
					false,
					false,
					false,
					2380084184817299,
					false
					,[
					[
						8,
						0
					]
,					[
						0,
						[
							0,
							0
						]
					]
					]
				]
				],
				[
				[
					58,
					cr.plugins_.Sprite.prototype.acts.SetOpacity,
					null,
					9264488486325249,
					false
					,[
					[
						0,
						[
							0,
							100
						]
					]
					]
				]
,				[
					59,
					cr.plugins_.Sprite.prototype.acts.SetOpacity,
					null,
					3375181421085506,
					false
					,[
					[
						0,
						[
							0,
							100
						]
					]
					]
				]
,				[
					59,
					cr.plugins_.Sprite.prototype.acts.StartAnim,
					null,
					6170105805530742,
					false
					,[
					[
						3,
						1
					]
					]
				]
,				[
					47,
					cr.plugins_.Sprite.prototype.acts.StopAnim,
					null,
					7194530673229488,
					false
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Play,
					null,
					6858899746022596,
					false
					,[
					[
						2,
						["birdao",false]
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							-6
						]
					]
,					[
						1,
						[
							2,
							""
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8206011516936304,
				[
				[
					59,
					cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
					null,
					1,
					false,
					false,
					false,
					7220978572916538,
					false
					,[
					[
						1,
						[
							2,
							"anime2"
						]
					]
					]
				]
				],
				[
				[
					58,
					cr.plugins_.Sprite.prototype.acts.SetOpacity,
					null,
					7926321207263594,
					false
					,[
					[
						0,
						[
							0,
							0
						]
					]
					]
				]
,				[
					59,
					cr.plugins_.Sprite.prototype.acts.SetOpacity,
					null,
					6413162810495047,
					false
					,[
					[
						0,
						[
							0,
							0
						]
					]
					]
				]
,				[
					47,
					cr.plugins_.Sprite.prototype.acts.StartAnim,
					null,
					5538935923927468,
					false
					,[
					[
						3,
						0
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				2460581680054653,
				[
				[
					-1,
					cr.system_object.prototype.cnds.Every,
					null,
					0,
					false,
					false,
					false,
					2519081008422759,
					false
					,[
					[
						0,
						[
							0,
							1
						]
					]
					]
				]
,				[
					59,
					cr.plugins_.Sprite.prototype.cnds.CompareOpacity,
					null,
					0,
					false,
					false,
					false,
					2266793185630033,
					false
					,[
					[
						8,
						0
					]
,					[
						0,
						[
							0,
							0
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					32655044031909,
					false
					,[
					[
						4,
						60
					]
,					[
						5,
						[
							2,
							"passaroGordo"
						]
					]
,					[
						0,
						[
							0,
							1130
						]
					]
,					[
						0,
						[
							0,
							260
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.AddVar,
					null,
					9219501747316494,
					false
					,[
					[
						11,
						"counterZ"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					60,
					cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
					null,
					3496905746354333,
					false
					,[
					[
						10,
						0
					]
,					[
						7,
						[
							23,
							"counterZ"
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				4368650921345918,
				[
				[
					60,
					cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
					null,
					1,
					false,
					false,
					false,
					6293933058817992,
					false
					,[
					[
						1,
						[
							2,
							"anime1"
						]
					]
					]
				]
				],
				[
				[
					60,
					cr.plugins_.Sprite.prototype.acts.Destroy,
					null,
					3405830771661826,
					false
				]
				]
			]
			]
		]
,		[
			0,
			[true, "POSTES"],
			false,
			null,
			2906102194055917,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				2906102194055917,
				false
				,[
				[
					1,
					[
						2,
						"POSTES"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				2258751649888183,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					3880596859586356,
					false
					,[
					[
						4,
						82
					]
					]
				]
				],
				[
				[
					23,
					cr.plugins_.Audio.prototype.acts.Play,
					null,
					1111451480877141,
					false
					,[
					[
						2,
						["interruptor",false]
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							-18
						]
					]
,					[
						1,
						[
							2,
							""
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					6324935375711909,
					[
					[
						82,
						cr.plugins_.Sprite.prototype.cnds.CompareOpacity,
						null,
						0,
						false,
						false,
						false,
						1196113049979908,
						false
						,[
						[
							8,
							0
						]
,						[
							0,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						82,
						cr.behaviors.Fade.prototype.acts.RestartFade,
						"fadeIn",
						3983358564470688,
						false
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					8489405035763849,
					[
					[
						82,
						cr.plugins_.Sprite.prototype.cnds.CompareOpacity,
						null,
						0,
						false,
						false,
						false,
						1996233256811928,
						false
						,[
						[
							8,
							0
						]
,						[
							0,
							[
								0,
								100
							]
						]
						]
					]
					],
					[
					[
						82,
						cr.behaviors.Fade.prototype.acts.RestartFade,
						"fadeOut",
						260530943163163,
						false
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				785462310593332,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					7500594692555195,
					false
					,[
					[
						4,
						83
					]
					]
				]
				],
				[
				[
					23,
					cr.plugins_.Audio.prototype.acts.Play,
					null,
					3314437970313572,
					false
					,[
					[
						2,
						["interruptor",false]
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							-18
						]
					]
,					[
						1,
						[
							2,
							""
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					8026067813213948,
					[
					[
						83,
						cr.plugins_.Sprite.prototype.cnds.CompareOpacity,
						null,
						0,
						false,
						false,
						false,
						8639871525992219,
						false
						,[
						[
							8,
							0
						]
,						[
							0,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						83,
						cr.behaviors.Fade.prototype.acts.RestartFade,
						"fadeIn",
						9166465185138332,
						false
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					1782126012169437,
					[
					[
						83,
						cr.plugins_.Sprite.prototype.cnds.CompareOpacity,
						null,
						0,
						false,
						false,
						false,
						3698253488112149,
						false
						,[
						[
							8,
							0
						]
,						[
							0,
							[
								0,
								100
							]
						]
						]
					]
					],
					[
					[
						83,
						cr.behaviors.Fade.prototype.acts.RestartFade,
						"fadeOut",
						4040118211833971,
						false
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "FLORZINHAS2"],
			false,
			null,
			9782128762500011,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				9782128762500011,
				false
				,[
				[
					1,
					[
						2,
						"FLORZINHAS2"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				4566705578727334,
				[
				[
					33,
					cr.plugins_.Function.prototype.cnds.OnFunction,
					null,
					2,
					false,
					false,
					false,
					8957504268868331,
					false
					,[
					[
						1,
						[
							2,
							"floresInicial"
						]
					]
					]
				]
				],
				[
				[
					4,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					3053251143055166,
					false
					,[
					[
						1,
						[
							2,
							"anime3"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					4,
					cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
					null,
					7744495674438949,
					false
					,[
					[
						0,
						[
							0,
							7
						]
					]
					]
				]
,				[
					5,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					554566946455836,
					false
					,[
					[
						1,
						[
							2,
							"anime3"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					5,
					cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
					null,
					9621586471589158,
					false
					,[
					[
						0,
						[
							0,
							7
						]
					]
					]
				]
,				[
					6,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					295462945318962,
					false
					,[
					[
						1,
						[
							2,
							"anime3"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					6,
					cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
					null,
					8864514459761202,
					false
					,[
					[
						0,
						[
							0,
							7
						]
					]
					]
				]
,				[
					7,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					1855594303879676,
					false
					,[
					[
						1,
						[
							2,
							"anime3"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					7,
					cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
					null,
					5681784771362347,
					false
					,[
					[
						0,
						[
							0,
							7
						]
					]
					]
				]
,				[
					8,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					6870985420115489,
					false
					,[
					[
						1,
						[
							2,
							"anime3"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					8,
					cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
					null,
					3592400080869665,
					false
					,[
					[
						0,
						[
							0,
							7
						]
					]
					]
				]
,				[
					9,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					3152430477419326,
					false
					,[
					[
						1,
						[
							2,
							"anime3"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					9,
					cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
					null,
					5275492161057447,
					false
					,[
					[
						0,
						[
							0,
							7
						]
					]
					]
				]
,				[
					10,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					236169629691168,
					false
					,[
					[
						1,
						[
							2,
							"anime3"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					10,
					cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
					null,
					1007094451555662,
					false
					,[
					[
						0,
						[
							0,
							7
						]
					]
					]
				]
,				[
					11,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					2691473392249419,
					false
					,[
					[
						1,
						[
							2,
							"anime3"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					11,
					cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
					null,
					672638461574935,
					false
					,[
					[
						0,
						[
							0,
							7
						]
					]
					]
				]
,				[
					12,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					5563719033071014,
					false
					,[
					[
						1,
						[
							2,
							"anime3"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					12,
					cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
					null,
					6655468729946439,
					false
					,[
					[
						0,
						[
							0,
							7
						]
					]
					]
				]
,				[
					13,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					3293702942121837,
					false
					,[
					[
						1,
						[
							2,
							"anime3"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					13,
					cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
					null,
					3421926469827844,
					false
					,[
					[
						0,
						[
							0,
							7
						]
					]
					]
				]
				]
			]
,			[
				0,
				[true, "11"],
				false,
				null,
				5551160913195021,
				[
				[
					-1,
					cr.system_object.prototype.cnds.IsGroupActive,
					null,
					0,
					false,
					false,
					false,
					5551160913195021,
					false
					,[
					[
						1,
						[
							2,
							"11"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					7470124842750682,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.OnTouchObject,
						null,
						1,
						false,
						false,
						false,
						1945109504604312,
						false
						,[
						[
							4,
							4
						]
						]
					]
,					[
						4,
						cr.plugins_.Sprite.prototype.cnds.CompareFrame,
						null,
						0,
						false,
						false,
						false,
						6931590384423761,
						false
						,[
						[
							8,
							0
						]
,						[
							0,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						4,
						cr.plugins_.Sprite.prototype.acts.SetAnim,
						null,
						193446772368828,
						false
						,[
						[
							1,
							[
								2,
								"anime3"
							]
						]
,						[
							3,
							1
						]
						]
					]
,					[
						4,
						cr.plugins_.Sprite.prototype.acts.StartAnim,
						null,
						4835473864315645,
						false
						,[
						[
							3,
							0
						]
						]
					]
,					[
						23,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						2894794640548294,
						false
						,[
						[
							2,
							["florcresce",false]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								-5
							]
						]
,						[
							1,
							[
								2,
								"florCresce"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					6698035415059968,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.OnTouchObject,
						null,
						1,
						false,
						false,
						false,
						1037249154212119,
						false
						,[
						[
							4,
							4
						]
						]
					]
,					[
						4,
						cr.plugins_.Sprite.prototype.cnds.CompareFrame,
						null,
						0,
						false,
						false,
						false,
						1724792361474982,
						false
						,[
						[
							8,
							0
						]
,						[
							0,
							[
								0,
								7
							]
						]
						]
					]
					],
					[
					[
						4,
						cr.plugins_.Sprite.prototype.acts.SetAnim,
						null,
						1848536228912044,
						false
						,[
						[
							1,
							[
								2,
								"anime4"
							]
						]
,						[
							3,
							1
						]
						]
					]
,					[
						4,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						8516017600874713,
						false
						,[
						[
							0,
							[
								0,
								7
							]
						]
						]
					]
,					[
						4,
						cr.plugins_.Sprite.prototype.acts.StartAnim,
						null,
						9997652697651951,
						false
						,[
						[
							3,
							0
						]
						]
					]
,					[
						23,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						9347449697004164,
						false
						,[
						[
							2,
							["florencolhe",false]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								-5
							]
						]
,						[
							1,
							[
								2,
								"florEncolhe"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3774574100320021,
					[
					[
						4,
						cr.plugins_.Sprite.prototype.cnds.CompareFrame,
						null,
						0,
						false,
						false,
						false,
						8698744962878098,
						false
						,[
						[
							8,
							0
						]
,						[
							0,
							[
								0,
								7
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						8470283412294475,
						false
						,[
						[
							7,
							[
								20,
								4,
								cr.plugins_.Sprite.prototype.exps.AnimationName,
								true,
								null
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"anime3"
							]
						]
						]
					]
					],
					[
					[
						4,
						cr.plugins_.Sprite.prototype.acts.StopAnim,
						null,
						3877330527754431,
						false
					]
					]
				]
				]
			]
,			[
				0,
				[true, "12"],
				false,
				null,
				3493113295951786,
				[
				[
					-1,
					cr.system_object.prototype.cnds.IsGroupActive,
					null,
					0,
					false,
					false,
					false,
					3493113295951786,
					false
					,[
					[
						1,
						[
							2,
							"12"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					5196307376008646,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.OnTouchObject,
						null,
						1,
						false,
						false,
						false,
						7539778308400831,
						false
						,[
						[
							4,
							5
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						5027595694960392,
						false
						,[
						[
							11,
							"id"
						]
,						[
							7,
							[
								21,
								5,
								false,
								null
								,0
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					8067694379412104,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
						null,
						0,
						false,
						false,
						false,
						9050623040167169,
						false
						,[
						[
							4,
							5
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						9235504930526552,
						false
						,[
						[
							11,
							"id"
						]
,						[
							8,
							4
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						5,
						cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						1935436433704883,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								23,
								"id"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						7158665099484246,
						false
						,[
						[
							11,
							"id"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						5703466914835327,
						[
						[
							5,
							cr.plugins_.Sprite.prototype.cnds.CompareFrame,
							null,
							0,
							false,
							false,
							false,
							5164495585002152,
							false
							,[
							[
								8,
								0
							]
,							[
								0,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							5,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							40652075678159,
							false
							,[
							[
								1,
								[
									2,
									"anime3"
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							5,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							1159916459260806,
							false
							,[
							[
								3,
								0
							]
							]
						]
,						[
							23,
							cr.plugins_.Audio.prototype.acts.Play,
							null,
							2512909800309136,
							false
							,[
							[
								2,
								["florcresce",false]
							]
,							[
								3,
								0
							]
,							[
								0,
								[
									0,
									-5
								]
							]
,							[
								1,
								[
									2,
									"florCresce"
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						3542958140149686,
						[
						[
							5,
							cr.plugins_.Sprite.prototype.cnds.CompareFrame,
							null,
							0,
							false,
							false,
							false,
							4617040504446607,
							false
							,[
							[
								8,
								0
							]
,							[
								0,
								[
									0,
									7
								]
							]
							]
						]
						],
						[
						[
							5,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							1684525117511351,
							false
							,[
							[
								1,
								[
									2,
									"anime4"
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							5,
							cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
							null,
							9534962135231997,
							false
							,[
							[
								0,
								[
									0,
									7
								]
							]
							]
						]
,						[
							5,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							4935264977097005,
							false
							,[
							[
								3,
								0
							]
							]
						]
,						[
							23,
							cr.plugins_.Audio.prototype.acts.Play,
							null,
							9982914087090765,
							false
							,[
							[
								2,
								["florencolhe",false]
							]
,							[
								3,
								0
							]
,							[
								0,
								[
									0,
									-5
								]
							]
,							[
								1,
								[
									2,
									"florEncolhe"
								]
							]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				[true, "13"],
				false,
				null,
				4311603688353212,
				[
				[
					-1,
					cr.system_object.prototype.cnds.IsGroupActive,
					null,
					0,
					false,
					false,
					false,
					4311603688353212,
					false
					,[
					[
						1,
						[
							2,
							"13"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					5196307376008646,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.OnTouchObject,
						null,
						1,
						false,
						false,
						false,
						7539778308400831,
						false
						,[
						[
							4,
							6
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						5027595694960392,
						false
						,[
						[
							11,
							"id"
						]
,						[
							7,
							[
								21,
								6,
								false,
								null
								,0
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					8067694379412104,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
						null,
						0,
						false,
						false,
						false,
						9050623040167169,
						false
						,[
						[
							4,
							6
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						9235504930526552,
						false
						,[
						[
							11,
							"id"
						]
,						[
							8,
							4
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						6,
						cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						1935436433704883,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								23,
								"id"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						7158665099484246,
						false
						,[
						[
							11,
							"id"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						5703466914835327,
						[
						[
							6,
							cr.plugins_.Sprite.prototype.cnds.CompareFrame,
							null,
							0,
							false,
							false,
							false,
							5164495585002152,
							false
							,[
							[
								8,
								0
							]
,							[
								0,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							6,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							40652075678159,
							false
							,[
							[
								1,
								[
									2,
									"anime3"
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							6,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							1159916459260806,
							false
							,[
							[
								3,
								0
							]
							]
						]
,						[
							23,
							cr.plugins_.Audio.prototype.acts.Play,
							null,
							8717593717104504,
							false
							,[
							[
								2,
								["florcresce",false]
							]
,							[
								3,
								0
							]
,							[
								0,
								[
									0,
									-5
								]
							]
,							[
								1,
								[
									2,
									"florCresce"
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						3542958140149686,
						[
						[
							6,
							cr.plugins_.Sprite.prototype.cnds.CompareFrame,
							null,
							0,
							false,
							false,
							false,
							4617040504446607,
							false
							,[
							[
								8,
								0
							]
,							[
								0,
								[
									0,
									7
								]
							]
							]
						]
						],
						[
						[
							6,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							1684525117511351,
							false
							,[
							[
								1,
								[
									2,
									"anime4"
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							6,
							cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
							null,
							9534962135231997,
							false
							,[
							[
								0,
								[
									0,
									7
								]
							]
							]
						]
,						[
							6,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							4935264977097005,
							false
							,[
							[
								3,
								0
							]
							]
						]
,						[
							23,
							cr.plugins_.Audio.prototype.acts.Play,
							null,
							9797411396527168,
							false
							,[
							[
								2,
								["florencolhe",false]
							]
,							[
								3,
								0
							]
,							[
								0,
								[
									0,
									-5
								]
							]
,							[
								1,
								[
									2,
									"florEncolhe"
								]
							]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				[true, "14"],
				false,
				null,
				5583922496232106,
				[
				[
					-1,
					cr.system_object.prototype.cnds.IsGroupActive,
					null,
					0,
					false,
					false,
					false,
					5583922496232106,
					false
					,[
					[
						1,
						[
							2,
							"14"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					3071886357717474,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.OnTouchObject,
						null,
						1,
						false,
						false,
						false,
						4876779487179224,
						false
						,[
						[
							4,
							7
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						1453191878419358,
						false
						,[
						[
							11,
							"id"
						]
,						[
							7,
							[
								21,
								7,
								false,
								null
								,0
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3846835005823839,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
						null,
						0,
						false,
						false,
						false,
						7202240238475063,
						false
						,[
						[
							4,
							7
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						1515366157003846,
						false
						,[
						[
							11,
							"id"
						]
,						[
							8,
							4
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						7,
						cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						7535689466192278,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								23,
								"id"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						425646390980757,
						false
						,[
						[
							11,
							"id"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						7280077509749157,
						[
						[
							7,
							cr.plugins_.Sprite.prototype.cnds.CompareFrame,
							null,
							0,
							false,
							false,
							false,
							7854934716014877,
							false
							,[
							[
								8,
								0
							]
,							[
								0,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							7,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							663975387343871,
							false
							,[
							[
								1,
								[
									2,
									"anime3"
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							7,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							9922863330541259,
							false
							,[
							[
								3,
								0
							]
							]
						]
,						[
							23,
							cr.plugins_.Audio.prototype.acts.Play,
							null,
							1534505422659828,
							false
							,[
							[
								2,
								["florcresce",false]
							]
,							[
								3,
								0
							]
,							[
								0,
								[
									0,
									-5
								]
							]
,							[
								1,
								[
									2,
									"florCresce"
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						608785843826577,
						[
						[
							7,
							cr.plugins_.Sprite.prototype.cnds.CompareFrame,
							null,
							0,
							false,
							false,
							false,
							2466888184568475,
							false
							,[
							[
								8,
								0
							]
,							[
								0,
								[
									0,
									7
								]
							]
							]
						]
						],
						[
						[
							7,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							9148740529565541,
							false
							,[
							[
								1,
								[
									2,
									"anime4"
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							7,
							cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
							null,
							5359719072241626,
							false
							,[
							[
								0,
								[
									0,
									7
								]
							]
							]
						]
,						[
							7,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							3587142370654304,
							false
							,[
							[
								3,
								0
							]
							]
						]
,						[
							23,
							cr.plugins_.Audio.prototype.acts.Play,
							null,
							6488638190883103,
							false
							,[
							[
								2,
								["florencolhe",false]
							]
,							[
								3,
								0
							]
,							[
								0,
								[
									0,
									-5
								]
							]
,							[
								1,
								[
									2,
									"florEncolhe"
								]
							]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				[true, "15"],
				false,
				null,
				6073708472261458,
				[
				[
					-1,
					cr.system_object.prototype.cnds.IsGroupActive,
					null,
					0,
					false,
					false,
					false,
					6073708472261458,
					false
					,[
					[
						1,
						[
							2,
							"15"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					7228280168759482,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.OnTouchObject,
						null,
						1,
						false,
						false,
						false,
						9973453511203517,
						false
						,[
						[
							4,
							8
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						1527312372863727,
						false
						,[
						[
							11,
							"id"
						]
,						[
							7,
							[
								21,
								8,
								false,
								null
								,0
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					50401087506299,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
						null,
						0,
						false,
						false,
						false,
						1069366507478361,
						false
						,[
						[
							4,
							8
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						7536839752684167,
						false
						,[
						[
							11,
							"id"
						]
,						[
							8,
							4
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						8,
						cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						8123393415713465,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								23,
								"id"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						9993823200229913,
						false
						,[
						[
							11,
							"id"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						6256749111511009,
						[
						[
							8,
							cr.plugins_.Sprite.prototype.cnds.CompareFrame,
							null,
							0,
							false,
							false,
							false,
							7640809499228378,
							false
							,[
							[
								8,
								0
							]
,							[
								0,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							8,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							6874061123763051,
							false
							,[
							[
								1,
								[
									2,
									"anime3"
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							8,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							5801886788762262,
							false
							,[
							[
								3,
								0
							]
							]
						]
,						[
							23,
							cr.plugins_.Audio.prototype.acts.Play,
							null,
							5584709415513762,
							false
							,[
							[
								2,
								["florcresce",false]
							]
,							[
								3,
								0
							]
,							[
								0,
								[
									0,
									-5
								]
							]
,							[
								1,
								[
									2,
									"florCresce"
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						3135849782930737,
						[
						[
							8,
							cr.plugins_.Sprite.prototype.cnds.CompareFrame,
							null,
							0,
							false,
							false,
							false,
							3862797386297164,
							false
							,[
							[
								8,
								0
							]
,							[
								0,
								[
									0,
									7
								]
							]
							]
						]
						],
						[
						[
							8,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							4435780362359817,
							false
							,[
							[
								1,
								[
									2,
									"anime4"
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							8,
							cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
							null,
							7169428449381166,
							false
							,[
							[
								0,
								[
									0,
									7
								]
							]
							]
						]
,						[
							8,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							6696443288634545,
							false
							,[
							[
								3,
								0
							]
							]
						]
,						[
							23,
							cr.plugins_.Audio.prototype.acts.Play,
							null,
							121646098963902,
							false
							,[
							[
								2,
								["florencolhe",false]
							]
,							[
								3,
								0
							]
,							[
								0,
								[
									0,
									-5
								]
							]
,							[
								1,
								[
									2,
									"florEncolhe"
								]
							]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				[true, "16"],
				false,
				null,
				6269402768050709,
				[
				[
					-1,
					cr.system_object.prototype.cnds.IsGroupActive,
					null,
					0,
					false,
					false,
					false,
					6269402768050709,
					false
					,[
					[
						1,
						[
							2,
							"16"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					7470124842750682,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.OnTouchObject,
						null,
						1,
						false,
						false,
						false,
						1945109504604312,
						false
						,[
						[
							4,
							9
						]
						]
					]
,					[
						9,
						cr.plugins_.Sprite.prototype.cnds.CompareFrame,
						null,
						0,
						false,
						false,
						false,
						6931590384423761,
						false
						,[
						[
							8,
							0
						]
,						[
							0,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						9,
						cr.plugins_.Sprite.prototype.acts.SetAnim,
						null,
						193446772368828,
						false
						,[
						[
							1,
							[
								2,
								"anime3"
							]
						]
,						[
							3,
							1
						]
						]
					]
,					[
						9,
						cr.plugins_.Sprite.prototype.acts.StartAnim,
						null,
						4835473864315645,
						false
						,[
						[
							3,
							0
						]
						]
					]
,					[
						23,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						726604493169364,
						false
						,[
						[
							2,
							["florcresce",false]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								-5
							]
						]
,						[
							1,
							[
								2,
								"florCresce"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					604354396949837,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.OnTouchObject,
						null,
						1,
						false,
						false,
						false,
						2708484735760083,
						false
						,[
						[
							4,
							9
						]
						]
					]
,					[
						9,
						cr.plugins_.Sprite.prototype.cnds.CompareFrame,
						null,
						0,
						false,
						false,
						false,
						1144504707579438,
						false
						,[
						[
							8,
							0
						]
,						[
							0,
							[
								0,
								7
							]
						]
						]
					]
					],
					[
					[
						9,
						cr.plugins_.Sprite.prototype.acts.SetAnim,
						null,
						1848536228912044,
						false
						,[
						[
							1,
							[
								2,
								"anime4"
							]
						]
,						[
							3,
							1
						]
						]
					]
,					[
						9,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						8516017600874713,
						false
						,[
						[
							0,
							[
								0,
								7
							]
						]
						]
					]
,					[
						9,
						cr.plugins_.Sprite.prototype.acts.StartAnim,
						null,
						9997652697651951,
						false
						,[
						[
							3,
							0
						]
						]
					]
,					[
						23,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						1961482496664778,
						false
						,[
						[
							2,
							["florencolhe",false]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								-5
							]
						]
,						[
							1,
							[
								2,
								"florEncolhe"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3774574100320021,
					[
					[
						9,
						cr.plugins_.Sprite.prototype.cnds.CompareFrame,
						null,
						0,
						false,
						false,
						false,
						8698744962878098,
						false
						,[
						[
							8,
							0
						]
,						[
							0,
							[
								0,
								7
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						8470283412294475,
						false
						,[
						[
							7,
							[
								20,
								9,
								cr.plugins_.Sprite.prototype.exps.AnimationName,
								true,
								null
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"anime3"
							]
						]
						]
					]
					],
					[
					[
						9,
						cr.plugins_.Sprite.prototype.acts.StopAnim,
						null,
						3877330527754431,
						false
					]
					]
				]
				]
			]
,			[
				0,
				[true, "17"],
				false,
				null,
				4433586450862508,
				[
				[
					-1,
					cr.system_object.prototype.cnds.IsGroupActive,
					null,
					0,
					false,
					false,
					false,
					4433586450862508,
					false
					,[
					[
						1,
						[
							2,
							"17"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					8255246126506356,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.OnTouchObject,
						null,
						1,
						false,
						false,
						false,
						7064715978624593,
						false
						,[
						[
							4,
							10
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						6918892708991428,
						false
						,[
						[
							11,
							"id"
						]
,						[
							7,
							[
								21,
								10,
								false,
								null
								,0
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					1703792008762748,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
						null,
						0,
						false,
						false,
						false,
						1206293933742266,
						false
						,[
						[
							4,
							10
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						9114864922884363,
						false
						,[
						[
							11,
							"id"
						]
,						[
							8,
							4
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						10,
						cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						297331936936796,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								23,
								"id"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						7056498601348329,
						false
						,[
						[
							11,
							"id"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						8812964365687393,
						[
						[
							10,
							cr.plugins_.Sprite.prototype.cnds.CompareFrame,
							null,
							0,
							false,
							false,
							false,
							2839969648486075,
							false
							,[
							[
								8,
								0
							]
,							[
								0,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							10,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							407525845576011,
							false
							,[
							[
								1,
								[
									2,
									"anime3"
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							10,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							3648378219344013,
							false
							,[
							[
								3,
								0
							]
							]
						]
,						[
							23,
							cr.plugins_.Audio.prototype.acts.Play,
							null,
							3982427956224937,
							false
							,[
							[
								2,
								["florcresce",false]
							]
,							[
								3,
								0
							]
,							[
								0,
								[
									0,
									-5
								]
							]
,							[
								1,
								[
									2,
									"florCresce"
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						2991326618339794,
						[
						[
							10,
							cr.plugins_.Sprite.prototype.cnds.CompareFrame,
							null,
							0,
							false,
							false,
							false,
							4752798555907494,
							false
							,[
							[
								8,
								0
							]
,							[
								0,
								[
									0,
									7
								]
							]
							]
						]
						],
						[
						[
							10,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							6953102111978211,
							false
							,[
							[
								1,
								[
									2,
									"anime4"
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							10,
							cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
							null,
							6468135196933253,
							false
							,[
							[
								0,
								[
									0,
									7
								]
							]
							]
						]
,						[
							10,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							7010510350648181,
							false
							,[
							[
								3,
								0
							]
							]
						]
,						[
							23,
							cr.plugins_.Audio.prototype.acts.Play,
							null,
							185636950027639,
							false
							,[
							[
								2,
								["florencolhe",false]
							]
,							[
								3,
								0
							]
,							[
								0,
								[
									0,
									-5
								]
							]
,							[
								1,
								[
									2,
									"florEncolhe"
								]
							]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				[true, "18"],
				false,
				null,
				6710533662339518,
				[
				[
					-1,
					cr.system_object.prototype.cnds.IsGroupActive,
					null,
					0,
					false,
					false,
					false,
					6710533662339518,
					false
					,[
					[
						1,
						[
							2,
							"18"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					7470124842750682,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.OnTouchObject,
						null,
						1,
						false,
						false,
						false,
						147536654982884,
						false
						,[
						[
							4,
							11
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						7631012662387145,
						false
						,[
						[
							11,
							"id"
						]
,						[
							7,
							[
								21,
								11,
								false,
								null
								,0
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3425377361542376,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
						null,
						0,
						false,
						false,
						false,
						8572421315186664,
						false
						,[
						[
							4,
							11
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						136852080669974,
						false
						,[
						[
							11,
							"id"
						]
,						[
							8,
							4
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						11,
						cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						797201847480471,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								23,
								"id"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						6028281923956998,
						false
						,[
						[
							11,
							"id"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						4374897570683306,
						[
						[
							11,
							cr.plugins_.Sprite.prototype.cnds.CompareFrame,
							null,
							0,
							false,
							false,
							false,
							8282749675960495,
							false
							,[
							[
								8,
								0
							]
,							[
								0,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							11,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							9423715560859269,
							false
							,[
							[
								1,
								[
									2,
									"anime3"
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							11,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							362550836130526,
							false
							,[
							[
								3,
								0
							]
							]
						]
,						[
							23,
							cr.plugins_.Audio.prototype.acts.Play,
							null,
							221011091149087,
							false
							,[
							[
								2,
								["florcresce",false]
							]
,							[
								3,
								0
							]
,							[
								0,
								[
									0,
									-5
								]
							]
,							[
								1,
								[
									2,
									"florCresce"
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						220240632385415,
						[
						[
							11,
							cr.plugins_.Sprite.prototype.cnds.CompareFrame,
							null,
							0,
							false,
							false,
							false,
							5491939573993425,
							false
							,[
							[
								8,
								0
							]
,							[
								0,
								[
									0,
									7
								]
							]
							]
						]
						],
						[
						[
							11,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							1848536228912044,
							false
							,[
							[
								1,
								[
									2,
									"anime4"
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							11,
							cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
							null,
							8516017600874713,
							false
							,[
							[
								0,
								[
									0,
									7
								]
							]
							]
						]
,						[
							11,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							5398783210204424,
							false
							,[
							[
								3,
								0
							]
							]
						]
,						[
							23,
							cr.plugins_.Audio.prototype.acts.Play,
							null,
							4509378427210901,
							false
							,[
							[
								2,
								["florencolhe",false]
							]
,							[
								3,
								0
							]
,							[
								0,
								[
									0,
									-5
								]
							]
,							[
								1,
								[
									2,
									"florEncolhe"
								]
							]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				[true, "19"],
				false,
				null,
				8768967501919772,
				[
				[
					-1,
					cr.system_object.prototype.cnds.IsGroupActive,
					null,
					0,
					false,
					false,
					false,
					8768967501919772,
					false
					,[
					[
						1,
						[
							2,
							"19"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					9533451439527017,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.OnTouchObject,
						null,
						1,
						false,
						false,
						false,
						7163681880515178,
						false
						,[
						[
							4,
							12
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						599348571240079,
						false
						,[
						[
							11,
							"id"
						]
,						[
							7,
							[
								21,
								12,
								false,
								null
								,0
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					6935681706113313,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
						null,
						0,
						false,
						false,
						false,
						2137463704867668,
						false
						,[
						[
							4,
							12
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						257732537660281,
						false
						,[
						[
							11,
							"id"
						]
,						[
							8,
							4
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						12,
						cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						5788863538736941,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								23,
								"id"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						3788685141496862,
						false
						,[
						[
							11,
							"id"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						7031930957641625,
						[
						[
							12,
							cr.plugins_.Sprite.prototype.cnds.CompareFrame,
							null,
							0,
							false,
							false,
							false,
							6455115906786368,
							false
							,[
							[
								8,
								0
							]
,							[
								0,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							12,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							1510573498625103,
							false
							,[
							[
								1,
								[
									2,
									"anime3"
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							12,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							9956228460076776,
							false
							,[
							[
								3,
								0
							]
							]
						]
,						[
							23,
							cr.plugins_.Audio.prototype.acts.Play,
							null,
							3355896173990195,
							false
							,[
							[
								2,
								["florcresce",false]
							]
,							[
								3,
								0
							]
,							[
								0,
								[
									0,
									-5
								]
							]
,							[
								1,
								[
									2,
									"florCresce"
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						1161089301674132,
						[
						[
							12,
							cr.plugins_.Sprite.prototype.cnds.CompareFrame,
							null,
							0,
							false,
							false,
							false,
							3381896795471785,
							false
							,[
							[
								8,
								0
							]
,							[
								0,
								[
									0,
									7
								]
							]
							]
						]
						],
						[
						[
							12,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							1136475300750917,
							false
							,[
							[
								1,
								[
									2,
									"anime4"
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							12,
							cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
							null,
							5692161561771737,
							false
							,[
							[
								0,
								[
									0,
									7
								]
							]
							]
						]
,						[
							12,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							4152291625621345,
							false
							,[
							[
								3,
								0
							]
							]
						]
,						[
							23,
							cr.plugins_.Audio.prototype.acts.Play,
							null,
							7463285507260163,
							false
							,[
							[
								2,
								["florencolhe",false]
							]
,							[
								3,
								0
							]
,							[
								0,
								[
									0,
									-5
								]
							]
,							[
								1,
								[
									2,
									"florEncolhe"
								]
							]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				[true, "20"],
				false,
				null,
				3367829182783941,
				[
				[
					-1,
					cr.system_object.prototype.cnds.IsGroupActive,
					null,
					0,
					false,
					false,
					false,
					3367829182783941,
					false
					,[
					[
						1,
						[
							2,
							"20"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					5406125409284867,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.OnTouchObject,
						null,
						1,
						false,
						false,
						false,
						9282724191460352,
						false
						,[
						[
							4,
							13
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						5568133051882346,
						false
						,[
						[
							11,
							"id"
						]
,						[
							7,
							[
								21,
								13,
								false,
								null
								,0
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					9490356954198617,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
						null,
						0,
						false,
						false,
						false,
						5023212210798528,
						false
						,[
						[
							4,
							13
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						4482930409823086,
						false
						,[
						[
							11,
							"id"
						]
,						[
							8,
							4
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						13,
						cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						154579485059381,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								23,
								"id"
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						6940249367023512,
						false
						,[
						[
							11,
							"id"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					]
					,[
					[
						0,
						null,
						false,
						null,
						6466093679051842,
						[
						[
							13,
							cr.plugins_.Sprite.prototype.cnds.CompareFrame,
							null,
							0,
							false,
							false,
							false,
							9789121549259219,
							false
							,[
							[
								8,
								0
							]
,							[
								0,
								[
									0,
									0
								]
							]
							]
						]
						],
						[
						[
							13,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							6391777984982816,
							false
							,[
							[
								1,
								[
									2,
									"anime3"
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							13,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							5014317146749255,
							false
							,[
							[
								3,
								0
							]
							]
						]
,						[
							23,
							cr.plugins_.Audio.prototype.acts.Play,
							null,
							530972227719693,
							false
							,[
							[
								2,
								["florcresce",false]
							]
,							[
								3,
								0
							]
,							[
								0,
								[
									0,
									-5
								]
							]
,							[
								1,
								[
									2,
									"florCresce"
								]
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						8486443889912029,
						[
						[
							13,
							cr.plugins_.Sprite.prototype.cnds.CompareFrame,
							null,
							0,
							false,
							false,
							false,
							8122679493210072,
							false
							,[
							[
								8,
								0
							]
,							[
								0,
								[
									0,
									7
								]
							]
							]
						]
						],
						[
						[
							13,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							3908557544422723,
							false
							,[
							[
								1,
								[
									2,
									"anime4"
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							13,
							cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
							null,
							3369787001134444,
							false
							,[
							[
								0,
								[
									0,
									7
								]
							]
							]
						]
,						[
							13,
							cr.plugins_.Sprite.prototype.acts.StartAnim,
							null,
							5748880602847884,
							false
							,[
							[
								3,
								0
							]
							]
						]
,						[
							23,
							cr.plugins_.Audio.prototype.acts.Play,
							null,
							6031725936452001,
							false
							,[
							[
								2,
								["florencolhe",false]
							]
,							[
								3,
								0
							]
,							[
								0,
								[
									0,
									-5
								]
							]
,							[
								1,
								[
									2,
									"florEncolhe"
								]
							]
							]
						]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "PASSARINHO DORMINDO"],
			false,
			null,
			3358149655482956,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				3358149655482956,
				false
				,[
				[
					1,
					[
						2,
						"PASSARINHO DORMINDO"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				1395637752388516,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					331871813064104,
					false
					,[
					[
						4,
						49
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.cnds.IsTagPlaying,
					null,
					0,
					false,
					true,
					false,
					7766016652161866,
					false
					,[
					[
						1,
						[
							2,
							"ronquinho2"
						]
					]
					]
				]
				],
				[
				[
					49,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					3749388238052456,
					false
					,[
					[
						1,
						[
							2,
							"anime5"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Play,
					null,
					557117022551365,
					false
					,[
					[
						2,
						["ronquinho2",false]
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							6
						]
					]
,					[
						1,
						[
							2,
							"ronquinho2"
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6384821538683701,
				[
				[
					49,
					cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
					null,
					1,
					false,
					false,
					false,
					2009144801592436,
					false
					,[
					[
						1,
						[
							2,
							"anime5"
						]
					]
					]
				]
				],
				[
				[
					49,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					2489486524065489,
					false
					,[
					[
						1,
						[
							2,
							"anime4"
						]
					]
,					[
						3,
						1
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "CASA2"],
			false,
			null,
			8969205373721444,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				8969205373721444,
				false
				,[
				[
					1,
					[
						2,
						"CASA2"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				3931039357818312,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					6448788504253033,
					false
					,[
					[
						4,
						78
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					3846388370065489,
					[
					[
						78,
						cr.plugins_.Sprite.prototype.cnds.CompareFrame,
						null,
						0,
						false,
						false,
						false,
						3473661974020565,
						false
						,[
						[
							8,
							0
						]
,						[
							0,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						78,
						cr.plugins_.Sprite.prototype.acts.SetAnim,
						null,
						5725558032835906,
						false
						,[
						[
							1,
							[
								2,
								"anime2"
							]
						]
,						[
							3,
							1
						]
						]
					]
,					[
						78,
						cr.plugins_.Sprite.prototype.acts.StartAnim,
						null,
						3158065074249365,
						false
						,[
						[
							3,
							1
						]
						]
					]
,					[
						23,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						4102304839254641,
						false
						,[
						[
							2,
							["interruptor2",false]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								-10
							]
						]
,						[
							1,
							[
								2,
								""
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						2100889257854101,
						false
						,[
						[
							0,
							[
								1,
								0.4
							]
						]
						]
					]
,					[
						23,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						4895238263558518,
						false
						,[
						[
							2,
							["interruptor2",false]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								-10
							]
						]
,						[
							1,
							[
								2,
								""
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						9050564940511236,
						false
						,[
						[
							0,
							[
								1,
								0.2
							]
						]
						]
					]
,					[
						23,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						8071437575447314,
						false
						,[
						[
							2,
							["interruptor2",false]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								-10
							]
						]
,						[
							1,
							[
								2,
								""
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					2540818453900096,
					[
					[
						78,
						cr.plugins_.Sprite.prototype.cnds.CompareFrame,
						null,
						0,
						false,
						false,
						false,
						9861320638048239,
						false
						,[
						[
							8,
							0
						]
,						[
							0,
							[
								0,
								7
							]
						]
						]
					]
					],
					[
					[
						78,
						cr.plugins_.Sprite.prototype.acts.SetAnim,
						null,
						3669954850142527,
						false
						,[
						[
							1,
							[
								2,
								"anime3"
							]
						]
,						[
							3,
							1
						]
						]
					]
,					[
						78,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						1474180222892287,
						false
						,[
						[
							0,
							[
								0,
								7
							]
						]
						]
					]
,					[
						78,
						cr.plugins_.Sprite.prototype.acts.StartAnim,
						null,
						262616716941924,
						false
						,[
						[
							3,
							0
						]
						]
					]
,					[
						23,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						1751542929274528,
						false
						,[
						[
							2,
							["interruptor2",false]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								-10
							]
						]
,						[
							1,
							[
								2,
								""
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						7572051415621648,
						false
						,[
						[
							0,
							[
								1,
								0.4
							]
						]
						]
					]
,					[
						23,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						6880208659802618,
						false
						,[
						[
							2,
							["interruptor2",false]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								-10
							]
						]
,						[
							1,
							[
								2,
								""
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						2040499418756718,
						false
						,[
						[
							0,
							[
								1,
								0.2
							]
						]
						]
					]
,					[
						23,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						403478515247243,
						false
						,[
						[
							2,
							["interruptor2",false]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								-10
							]
						]
,						[
							1,
							[
								2,
								""
							]
						]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "LUA"],
			false,
			null,
			4710506304029176,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				4710506304029176,
				false
				,[
				[
					1,
					[
						2,
						"LUA"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				7362056439306338,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					9932622829894361,
					false
					,[
					[
						4,
						85
					]
					]
				]
				],
				[
				[
					23,
					cr.plugins_.Audio.prototype.acts.Stop,
					null,
					9221067659301829,
					false
					,[
					[
						1,
						[
							2,
							"lua"
						]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Play,
					null,
					6854233697395059,
					false
					,[
					[
						2,
						["lua",false]
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							-7
						]
					]
,					[
						1,
						[
							2,
							"lua"
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					9656306322983199,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						4609592111477182,
						false
						,[
						[
							7,
							[
								20,
								85,
								cr.plugins_.Sprite.prototype.exps.AnimationName,
								true,
								null
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"anime1"
							]
						]
						]
					]
,					[
						85,
						cr.plugins_.Sprite.prototype.cnds.CompareFrame,
						null,
						0,
						false,
						false,
						false,
						6875305144982353,
						false
						,[
						[
							8,
							0
						]
,						[
							0,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						85,
						cr.plugins_.Sprite.prototype.acts.StartAnim,
						null,
						9521960834860682,
						false
						,[
						[
							3,
							1
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3572733824377829,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						1728569479339981,
						false
						,[
						[
							7,
							[
								20,
								85,
								cr.plugins_.Sprite.prototype.exps.AnimationName,
								true,
								null
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"anime1"
							]
						]
						]
					]
,					[
						85,
						cr.plugins_.Sprite.prototype.cnds.CompareFrame,
						null,
						0,
						false,
						false,
						false,
						1030324003503441,
						false
						,[
						[
							8,
							0
						]
,						[
							0,
							[
								0,
								6
							]
						]
						]
					]
					],
					[
					[
						85,
						cr.plugins_.Sprite.prototype.acts.SetAnim,
						null,
						9623090203460755,
						false
						,[
						[
							1,
							[
								2,
								"anime2"
							]
						]
,						[
							3,
							1
						]
						]
					]
,					[
						85,
						cr.plugins_.Sprite.prototype.acts.StartAnim,
						null,
						6235019160730437,
						false
						,[
						[
							3,
							1
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					2389957661119122,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						6679550900140712,
						false
						,[
						[
							7,
							[
								20,
								85,
								cr.plugins_.Sprite.prototype.exps.AnimationName,
								true,
								null
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"anime2"
							]
						]
						]
					]
,					[
						85,
						cr.plugins_.Sprite.prototype.cnds.CompareFrame,
						null,
						0,
						false,
						false,
						false,
						7973659466690097,
						false
						,[
						[
							8,
							0
						]
,						[
							0,
							[
								0,
								5
							]
						]
						]
					]
					],
					[
					[
						85,
						cr.plugins_.Sprite.prototype.acts.SetAnim,
						null,
						6163359718394952,
						false
						,[
						[
							1,
							[
								2,
								"anime3"
							]
						]
,						[
							3,
							1
						]
						]
					]
,					[
						85,
						cr.plugins_.Sprite.prototype.acts.StartAnim,
						null,
						5449665112348298,
						false
						,[
						[
							3,
							1
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					2254019491710499,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						765246694991425,
						false
						,[
						[
							7,
							[
								20,
								85,
								cr.plugins_.Sprite.prototype.exps.AnimationName,
								true,
								null
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"anime3"
							]
						]
						]
					]
,					[
						85,
						cr.plugins_.Sprite.prototype.cnds.CompareFrame,
						null,
						0,
						false,
						false,
						false,
						9801438113682949,
						false
						,[
						[
							8,
							0
						]
,						[
							0,
							[
								0,
								5
							]
						]
						]
					]
					],
					[
					[
						85,
						cr.plugins_.Sprite.prototype.acts.SetAnim,
						null,
						5850958408156795,
						false
						,[
						[
							1,
							[
								2,
								"anime4"
							]
						]
,						[
							3,
							1
						]
						]
					]
,					[
						85,
						cr.plugins_.Sprite.prototype.acts.StartAnim,
						null,
						4620555083359076,
						false
						,[
						[
							3,
							1
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					4378379030077279,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						4918750229184736,
						false
						,[
						[
							7,
							[
								20,
								85,
								cr.plugins_.Sprite.prototype.exps.AnimationName,
								true,
								null
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"anime4"
							]
						]
						]
					]
,					[
						85,
						cr.plugins_.Sprite.prototype.cnds.CompareFrame,
						null,
						0,
						false,
						false,
						false,
						4014184245654008,
						false
						,[
						[
							8,
							0
						]
,						[
							0,
							[
								0,
								4
							]
						]
						]
					]
					],
					[
					[
						85,
						cr.plugins_.Sprite.prototype.acts.SetAnim,
						null,
						5766553383457844,
						false
						,[
						[
							1,
							[
								2,
								"anime5"
							]
						]
,						[
							3,
							1
						]
						]
					]
,					[
						85,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						1312858664768373,
						false
						,[
						[
							0,
							[
								0,
								4
							]
						]
						]
					]
,					[
						85,
						cr.plugins_.Sprite.prototype.acts.StartAnim,
						null,
						6608408426100906,
						false
						,[
						[
							3,
							0
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					9097210426776755,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						3738703877468501,
						false
						,[
						[
							7,
							[
								20,
								85,
								cr.plugins_.Sprite.prototype.exps.AnimationName,
								true,
								null
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"anime5"
							]
						]
						]
					]
,					[
						85,
						cr.plugins_.Sprite.prototype.cnds.CompareFrame,
						null,
						0,
						false,
						false,
						false,
						7333377363205865,
						false
						,[
						[
							8,
							0
						]
,						[
							0,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						85,
						cr.plugins_.Sprite.prototype.acts.SetAnim,
						null,
						8558109368208771,
						false
						,[
						[
							1,
							[
								2,
								"anime6"
							]
						]
,						[
							3,
							1
						]
						]
					]
,					[
						85,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						6355038822298198,
						false
						,[
						[
							0,
							[
								0,
								5
							]
						]
						]
					]
,					[
						85,
						cr.plugins_.Sprite.prototype.acts.StartAnim,
						null,
						4588047048653829,
						false
						,[
						[
							3,
							0
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					4124772068810678,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						4513167543764169,
						false
						,[
						[
							7,
							[
								20,
								85,
								cr.plugins_.Sprite.prototype.exps.AnimationName,
								true,
								null
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"anime6"
							]
						]
						]
					]
,					[
						85,
						cr.plugins_.Sprite.prototype.cnds.CompareFrame,
						null,
						0,
						false,
						false,
						false,
						7916343247948507,
						false
						,[
						[
							8,
							0
						]
,						[
							0,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						85,
						cr.plugins_.Sprite.prototype.acts.SetAnim,
						null,
						8032229458482008,
						false
						,[
						[
							1,
							[
								2,
								"anime7"
							]
						]
,						[
							3,
							1
						]
						]
					]
,					[
						85,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						2271987321885333,
						false
						,[
						[
							0,
							[
								0,
								5
							]
						]
						]
					]
,					[
						85,
						cr.plugins_.Sprite.prototype.acts.StartAnim,
						null,
						7690344302614825,
						false
						,[
						[
							3,
							0
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3924344912731936,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						1711419339638371,
						false
						,[
						[
							7,
							[
								20,
								85,
								cr.plugins_.Sprite.prototype.exps.AnimationName,
								true,
								null
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"anime7"
							]
						]
						]
					]
,					[
						85,
						cr.plugins_.Sprite.prototype.cnds.CompareFrame,
						null,
						0,
						false,
						false,
						false,
						8426798271183147,
						false
						,[
						[
							8,
							0
						]
,						[
							0,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						85,
						cr.plugins_.Sprite.prototype.acts.SetAnim,
						null,
						2227820126582052,
						false
						,[
						[
							1,
							[
								2,
								"anime8"
							]
						]
,						[
							3,
							1
						]
						]
					]
,					[
						85,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						3806685917259302,
						false
						,[
						[
							0,
							[
								0,
								6
							]
						]
						]
					]
,					[
						85,
						cr.plugins_.Sprite.prototype.acts.StartAnim,
						null,
						1566702555540523,
						false
						,[
						[
							3,
							0
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					9108506345401116,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						1194352688047018,
						false
						,[
						[
							7,
							[
								20,
								85,
								cr.plugins_.Sprite.prototype.exps.AnimationName,
								true,
								null
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"anime8"
							]
						]
						]
					]
,					[
						85,
						cr.plugins_.Sprite.prototype.cnds.CompareFrame,
						null,
						0,
						false,
						false,
						false,
						4291275834659367,
						false
						,[
						[
							8,
							0
						]
,						[
							0,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						85,
						cr.plugins_.Sprite.prototype.acts.SetAnim,
						null,
						7350698253922913,
						false
						,[
						[
							1,
							[
								2,
								"anime1"
							]
						]
,						[
							3,
							1
						]
						]
					]
,					[
						85,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						1125526803184707,
						false
						,[
						[
							0,
							[
								0,
								0
							]
						]
						]
					]
,					[
						85,
						cr.plugins_.Sprite.prototype.acts.StartAnim,
						null,
						6229718799792598,
						false
						,[
						[
							3,
							0
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				true,
				null,
				942427040966793,
				[
				[
					85,
					cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
					null,
					1,
					false,
					false,
					false,
					8393940858619051,
					false
					,[
					[
						1,
						[
							2,
							"anime1"
						]
					]
					]
				]
,				[
					85,
					cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
					null,
					1,
					false,
					false,
					false,
					9623346573296192,
					false
					,[
					[
						1,
						[
							2,
							"anime2"
						]
					]
					]
				]
,				[
					85,
					cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
					null,
					1,
					false,
					false,
					false,
					1462881644472633,
					false
					,[
					[
						1,
						[
							2,
							"anime3"
						]
					]
					]
				]
,				[
					85,
					cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
					null,
					1,
					false,
					false,
					false,
					2164208164904354,
					false
					,[
					[
						1,
						[
							2,
							"anime4"
						]
					]
					]
				]
,				[
					85,
					cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
					null,
					1,
					false,
					false,
					false,
					1217805270993804,
					false
					,[
					[
						1,
						[
							2,
							"anime5"
						]
					]
					]
				]
,				[
					85,
					cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
					null,
					1,
					false,
					false,
					false,
					5979367733460174,
					false
					,[
					[
						1,
						[
							2,
							"anime6"
						]
					]
					]
				]
,				[
					85,
					cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
					null,
					1,
					false,
					false,
					false,
					7795149742051438,
					false
					,[
					[
						1,
						[
							2,
							"anime7"
						]
					]
					]
				]
,				[
					85,
					cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
					null,
					1,
					false,
					false,
					false,
					6034180321219059,
					false
					,[
					[
						1,
						[
							2,
							"anime8"
						]
					]
					]
				]
				],
				[
				[
					23,
					cr.plugins_.Audio.prototype.acts.Stop,
					null,
					1114454442991517,
					false
					,[
					[
						1,
						[
							2,
							"lua"
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "ESTRELAS2"],
			false,
			null,
			128861545574718,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				128861545574718,
				false
				,[
				[
					1,
					[
						2,
						"ESTRELAS2"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				310366716821647,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					1264175390394722,
					false
					,[
					[
						4,
						2
					]
					]
				]
,				[
					21,
					cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
					null,
					0,
					false,
					true,
					false,
					94192867157128,
					false
					,[
					[
						4,
						113
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					8816320114976734,
					false
					,[
					[
						4,
						61
					]
,					[
						5,
						[
							2,
							"ceu"
						]
					]
,					[
						0,
						[
							5,
							[
								20,
								21,
								cr.plugins_.Touch.prototype.exps.X,
								false,
								null
							]
							,[
								5,
								[
									19,
									cr.system_object.prototype.exps.scrollx
								]
								,[
									0,
									512
								]
							]
						]
					]
,					[
						0,
						[
							20,
							21,
							cr.plugins_.Touch.prototype.exps.Y,
							false,
							null
						]
					]
					]
				]
,				[
					61,
					cr.plugins_.Sprite.prototype.acts.SetScale,
					null,
					9887305056722282,
					false
					,[
					[
						0,
						[
							19,
							cr.system_object.prototype.exps.random
							,[
[
								1,
								0.1
							]
,[
								1,
								0.5
							]
							]
						]
					]
					]
				]
,				[
					61,
					cr.plugins_.Sprite.prototype.acts.SetAngle,
					null,
					5330556852853633,
					false
					,[
					[
						0,
						[
							19,
							cr.system_object.prototype.exps.random
							,[
[
								0,
								0
							]
,[
								0,
								180
							]
							]
						]
					]
					]
				]
,				[
					61,
					cr.plugins_.Sprite.prototype.acts.SetOpacity,
					null,
					9724325444594753,
					false
					,[
					[
						0,
						[
							19,
							cr.system_object.prototype.exps.random
							,[
[
								0,
								90
							]
,[
								0,
								100
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					7534729367440178,
					false
					,[
					[
						11,
						"starDestroy"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Play,
					null,
					4684435104780437,
					false
					,[
					[
						2,
						["estrela",false]
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							-10
						]
					]
,					[
						1,
						[
							2,
							""
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				3875417120792797,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					8989183263024264,
					false
					,[
					[
						4,
						61
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					4036194074695479,
					false
					,[
					[
						11,
						"starDestroy"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					21,
					cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
					null,
					0,
					false,
					true,
					false,
					1895062925125413,
					false
					,[
					[
						4,
						63
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					2097158060732907,
					[
					[
						61,
						cr.plugins_.Sprite.prototype.cnds.CompareX,
						null,
						0,
						false,
						false,
						false,
						6690740528682202,
						false
						,[
						[
							8,
							4
						]
,						[
							0,
							[
								7,
								[
									19,
									cr.system_object.prototype.exps.windowwidth
								]
								,[
									0,
									2
								]
							]
						]
						]
					]
					],
					[
					[
						61,
						cr.plugins_.Sprite.prototype.acts.SetAngle,
						null,
						4755790741225163,
						false
						,[
						[
							0,
							[
								0,
								180
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5010055197014177,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Else,
						null,
						0,
						false,
						false,
						false,
						6280309484546021,
						false
					]
					],
					[
					[
						61,
						cr.plugins_.Sprite.prototype.acts.SetAngle,
						null,
						1070660585745415,
						false
						,[
						[
							0,
							[
								0,
								0
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					4548733403674542,
					[
					],
					[
					[
						61,
						cr.behaviors.Bullet.prototype.acts.SetEnabled,
						"Bullet",
						4704980550583876,
						false
						,[
						[
							3,
							1
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						1918144072169393,
						false
						,[
						[
							0,
							[
								1,
								0.5
							]
						]
						]
					]
,					[
						61,
						cr.plugins_.Sprite.prototype.acts.SetHeight,
						null,
						3111866168150013,
						false
						,[
						[
							0,
							[
								5,
								[
									20,
									61,
									cr.plugins_.Sprite.prototype.exps.Height,
									false,
									null
								]
								,[
									7,
									[
										20,
										61,
										cr.plugins_.Sprite.prototype.exps.Height,
										false,
										null
									]
									,[
										0,
										5
									]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						8337314971217465,
						false
						,[
						[
							0,
							[
								1,
								0.1
							]
						]
						]
					]
,					[
						61,
						cr.plugins_.Sprite.prototype.acts.SetHeight,
						null,
						449582581843725,
						false
						,[
						[
							0,
							[
								5,
								[
									20,
									61,
									cr.plugins_.Sprite.prototype.exps.Height,
									false,
									null
								]
								,[
									7,
									[
										20,
										61,
										cr.plugins_.Sprite.prototype.exps.Height,
										false,
										null
									]
									,[
										0,
										5
									]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						5860822870957111,
						false
						,[
						[
							0,
							[
								1,
								0.1
							]
						]
						]
					]
,					[
						61,
						cr.plugins_.Sprite.prototype.acts.SetHeight,
						null,
						8028758621837868,
						false
						,[
						[
							0,
							[
								5,
								[
									20,
									61,
									cr.plugins_.Sprite.prototype.exps.Height,
									false,
									null
								]
								,[
									7,
									[
										20,
										61,
										cr.plugins_.Sprite.prototype.exps.Height,
										false,
										null
									]
									,[
										0,
										5
									]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						761177343734823,
						false
						,[
						[
							0,
							[
								1,
								0.1
							]
						]
						]
					]
,					[
						61,
						cr.plugins_.Sprite.prototype.acts.SetHeight,
						null,
						1283124181435789,
						false
						,[
						[
							0,
							[
								5,
								[
									20,
									61,
									cr.plugins_.Sprite.prototype.exps.Height,
									false,
									null
								]
								,[
									7,
									[
										20,
										61,
										cr.plugins_.Sprite.prototype.exps.Height,
										false,
										null
									]
									,[
										0,
										5
									]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						5442915391239368,
						false
						,[
						[
							0,
							[
								1,
								0.1
							]
						]
						]
					]
,					[
						61,
						cr.plugins_.Sprite.prototype.acts.SetHeight,
						null,
						9407559081442299,
						false
						,[
						[
							0,
							[
								5,
								[
									20,
									61,
									cr.plugins_.Sprite.prototype.exps.Height,
									false,
									null
								]
								,[
									7,
									[
										20,
										61,
										cr.plugins_.Sprite.prototype.exps.Height,
										false,
										null
									]
									,[
										0,
										5
									]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						9886035194810516,
						false
						,[
						[
							0,
							[
								1,
								0.1
							]
						]
						]
					]
,					[
						61,
						cr.plugins_.Sprite.prototype.acts.SetHeight,
						null,
						5191032121757644,
						false
						,[
						[
							0,
							[
								5,
								[
									20,
									61,
									cr.plugins_.Sprite.prototype.exps.Height,
									false,
									null
								]
								,[
									7,
									[
										20,
										61,
										cr.plugins_.Sprite.prototype.exps.Height,
										false,
										null
									]
									,[
										0,
										5
									]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						8140716582001047,
						false
						,[
						[
							0,
							[
								1,
								0.1
							]
						]
						]
					]
,					[
						61,
						cr.plugins_.Sprite.prototype.acts.SetHeight,
						null,
						5697224651082171,
						false
						,[
						[
							0,
							[
								5,
								[
									20,
									61,
									cr.plugins_.Sprite.prototype.exps.Height,
									false,
									null
								]
								,[
									7,
									[
										20,
										61,
										cr.plugins_.Sprite.prototype.exps.Height,
										false,
										null
									]
									,[
										0,
										5
									]
								]
							]
						]
						]
					]
,					[
						61,
						cr.behaviors.Fade.prototype.acts.RestartFade,
						"Fade",
						9230055742781048,
						false
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8018588062584159,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchEnd,
					null,
					1,
					false,
					false,
					false,
					6832413673939247,
					false
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					7738017760397067,
					false
					,[
					[
						11,
						"starDestroy"
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "BORBOLETAS TOUCH2"],
			false,
			null,
			8070547348122396,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				8070547348122396,
				false
				,[
				[
					1,
					[
						2,
						"BORBOLETAS TOUCH2"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				6227293977227998,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					1124014611495192,
					false
					,[
					[
						11,
						"borboleta"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.Every,
					null,
					0,
					false,
					false,
					false,
					7808260909325336,
					false
					,[
					[
						0,
						[
							1,
							0.1
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					5950113380719887,
					[
					[
						43,
						cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						5791803423479742,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							2
						]
,						[
							7,
							[
								20,
								43,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
						]
						]
					]
					],
					[
					[
						43,
						cr.plugins_.Sprite.prototype.acts.SetMirrored,
						null,
						3391130690187802,
						false
						,[
						[
							3,
							0
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					1993103393679153,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Else,
						null,
						0,
						false,
						false,
						false,
						5565207748122288,
						false
					]
					],
					[
					[
						43,
						cr.plugins_.Sprite.prototype.acts.SetMirrored,
						null,
						3095788214117241,
						false
						,[
						[
							3,
							1
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3867439715337305,
					[
					[
						44,
						cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
						null,
						0,
						false,
						false,
						false,
						2290362580245203,
						false
						,[
						[
							10,
							0
						]
,						[
							8,
							2
						]
,						[
							7,
							[
								20,
								44,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
						]
						]
					]
					],
					[
					[
						44,
						cr.plugins_.Sprite.prototype.acts.SetMirrored,
						null,
						6599361811327021,
						false
						,[
						[
							3,
							0
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5926702716152198,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Else,
						null,
						0,
						false,
						false,
						false,
						4178025096974283,
						false
					]
					],
					[
					[
						44,
						cr.plugins_.Sprite.prototype.acts.SetMirrored,
						null,
						1483727094788805,
						false
						,[
						[
							3,
							1
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					8072357108137156,
					[
					],
					[
					[
						43,
						cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
						null,
						7222935110843491,
						false
						,[
						[
							10,
							0
						]
,						[
							7,
							[
								20,
								43,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
						]
						]
					]
,					[
						44,
						cr.plugins_.Sprite.prototype.acts.SetInstanceVar,
						null,
						5511940749252204,
						false
						,[
						[
							10,
							0
						]
,						[
							7,
							[
								20,
								44,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				4110276048281187,
				[
				[
					-1,
					cr.system_object.prototype.cnds.Every,
					null,
					0,
					false,
					false,
					false,
					9344771520672116,
					false
					,[
					[
						0,
						[
							0,
							5
						]
					]
					]
				]
				],
				[
				]
			]
,			[
				0,
				null,
				false,
				null,
				9260061160322176,
				[
				[
					43,
					cr.behaviors.DragnDrop.prototype.cnds.OnDragStart,
					"DragDrop",
					1,
					false,
					false,
					false,
					3043274692141267,
					false
				]
				],
				[
				[
					43,
					cr.behaviors.Sin.prototype.acts.SetActive,
					"Sine",
					3305858743397781,
					false
					,[
					[
						3,
						0
					]
					]
				]
,				[
					43,
					cr.behaviors.Sin.prototype.acts.SetActive,
					"Sine2",
					38152710716419,
					false
					,[
					[
						3,
						0
					]
					]
				]
,				[
					43,
					cr.behaviors.Rex_MoveTo.prototype.acts.Stop,
					"MoveTo",
					7850163604225233,
					false
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				9055299251320227,
				[
				[
					44,
					cr.behaviors.DragnDrop.prototype.cnds.OnDragStart,
					"DragDrop",
					1,
					false,
					false,
					false,
					4883675716000157,
					false
				]
				],
				[
				[
					44,
					cr.behaviors.Sin.prototype.acts.SetActive,
					"Sine",
					7495755294200508,
					false
					,[
					[
						3,
						0
					]
					]
				]
,				[
					44,
					cr.behaviors.Sin.prototype.acts.SetActive,
					"Sine2",
					2994736784763232,
					false
					,[
					[
						3,
						0
					]
					]
				]
,				[
					44,
					cr.behaviors.Rex_MoveTo.prototype.acts.Stop,
					"MoveTo",
					3863325111971785,
					false
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				9357517045743487,
				[
				[
					43,
					cr.behaviors.DragnDrop.prototype.cnds.OnDrop,
					"DragDrop",
					1,
					false,
					false,
					false,
					2821283739025508,
					false
				]
				],
				[
				[
					43,
					cr.behaviors.Sin.prototype.acts.SetActive,
					"Sine",
					6795510078121193,
					false
					,[
					[
						3,
						1
					]
					]
				]
,				[
					43,
					cr.behaviors.Sin.prototype.acts.SetActive,
					"Sine2",
					9446322320514483,
					false
					,[
					[
						3,
						1
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				5010842384192648,
				[
				[
					44,
					cr.behaviors.DragnDrop.prototype.cnds.OnDrop,
					"DragDrop",
					1,
					false,
					false,
					false,
					6403292364588133,
					false
				]
				],
				[
				[
					44,
					cr.behaviors.Sin.prototype.acts.SetActive,
					"Sine",
					7570754682347308,
					false
					,[
					[
						3,
						1
					]
					]
				]
,				[
					44,
					cr.behaviors.Sin.prototype.acts.SetActive,
					"Sine2",
					763454046998566,
					false
					,[
					[
						3,
						1
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6417479539426325,
				[
				[
					-1,
					cr.system_object.prototype.cnds.Every,
					null,
					0,
					false,
					false,
					false,
					3685031031410806,
					false
					,[
					[
						0,
						[
							0,
							12
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					4854961001851816,
					[
					[
						43,
						cr.behaviors.DragnDrop.prototype.cnds.IsDragging,
						"DragDrop",
						0,
						false,
						true,
						false,
						8785886030617813,
						false
					]
					],
					[
					[
						43,
						cr.behaviors.Rex_MoveTo.prototype.acts.SetTargetPos,
						"MoveTo",
						8639735699282549,
						false
						,[
						[
							0,
							[
								19,
								cr.system_object.prototype.exps.random
								,[
[
									0,
									50
								]
,[
									0,
									1400
								]
								]
							]
						]
,						[
							0,
							[
								19,
								cr.system_object.prototype.exps.random
								,[
[
									0,
									50
								]
,[
									0,
									650
								]
								]
							]
						]
						]
					]
,					[
						43,
						cr.behaviors.Rex_MoveTo.prototype.acts.SetMaxSpeed,
						"MoveTo",
						6413851458775271,
						false
						,[
						[
							0,
							[
								0,
								60
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					6393471303881059,
					[
					[
						44,
						cr.behaviors.DragnDrop.prototype.cnds.IsDragging,
						"DragDrop",
						0,
						false,
						true,
						false,
						6366719513006408,
						false
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						1423422549369625,
						false
						,[
						[
							0,
							[
								1,
								1
							]
						]
						]
					]
,					[
						44,
						cr.behaviors.Rex_MoveTo.prototype.acts.SetTargetPos,
						"MoveTo",
						9657981827405334,
						false
						,[
						[
							0,
							[
								19,
								cr.system_object.prototype.exps.random
								,[
[
									0,
									50
								]
,[
									0,
									1400
								]
								]
							]
						]
,						[
							0,
							[
								19,
								cr.system_object.prototype.exps.random
								,[
[
									0,
									50
								]
,[
									0,
									650
								]
								]
							]
						]
						]
					]
,					[
						44,
						cr.behaviors.Rex_MoveTo.prototype.acts.SetMaxSpeed,
						"MoveTo",
						5417023441753462,
						false
						,[
						[
							0,
							[
								0,
								60
							]
						]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "DIANOITE3"],
			false,
			null,
			7874407990912715,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				7874407990912715,
				false
				,[
				[
					1,
					[
						2,
						"DIANOITE3"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				8833736674752978,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchEnd,
					null,
					1,
					false,
					false,
					false,
					2648090411301829,
					false
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					7682867077106171,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
						null,
						0,
						false,
						false,
						false,
						3737742724857314,
						false
						,[
						[
							4,
							103
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.GoToLayout,
						null,
						2496609536036499,
						false
						,[
						[
							6,
							"terraDia"
						]
						]
					]
,					[
						23,
						cr.plugins_.Audio.prototype.acts.StopAll,
						null,
						518760708372614,
						false
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "AUDIO2"],
			false,
			null,
			2033122084250161,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				2033122084250161,
				false
				,[
				[
					1,
					[
						2,
						"AUDIO2"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				6610412322469085,
				[
				[
					23,
					cr.plugins_.Audio.prototype.cnds.IsTagPlaying,
					null,
					0,
					false,
					false,
					false,
					8603118506131961,
					false
					,[
					[
						1,
						[
							2,
							"terraNoite"
						]
					]
					]
				]
,				[
					57,
					cr.plugins_.Sprite.prototype.cnds.IsVisible,
					null,
					0,
					false,
					true,
					false,
					5950411999962849,
					false
				]
				],
				[
				[
					57,
					cr.plugins_.Sprite.prototype.acts.SetVisible,
					null,
					9482608441468712,
					false
					,[
					[
						3,
						1
					]
					]
				]
,				[
					57,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					6481707264162426,
					false
					,[
					[
						1,
						[
							2,
							"anime3"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					57,
					cr.plugins_.Sprite.prototype.acts.StartAnim,
					null,
					6779819777893096,
					false
					,[
					[
						3,
						1
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "BOTOES"],
			false,
			null,
			9384762272895419,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				9384762272895419,
				false
				,[
				[
					1,
					[
						2,
						"BOTOES"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				786281286559768,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					5453607238039138,
					false
					,[
					[
						4,
						107
					]
					]
				]
				],
				[
				[
					107,
					cr.plugins_.Sprite.prototype.acts.SetOpacity,
					null,
					1330746731973891,
					false
					,[
					[
						0,
						[
							0,
							70
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				1248228465469555,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					6802634469648051,
					false
					,[
					[
						4,
						109
					]
					]
				]
				],
				[
				[
					109,
					cr.plugins_.Sprite.prototype.acts.SetOpacity,
					null,
					3697223487511048,
					false
					,[
					[
						0,
						[
							0,
							70
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				2749654886415442,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					2252979136895032,
					false
					,[
					[
						4,
						108
					]
					]
				]
				],
				[
				[
					108,
					cr.plugins_.Sprite.prototype.acts.SetOpacity,
					null,
					832099496362943,
					false
					,[
					[
						0,
						[
							0,
							70
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				7781310351739441,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchEnd,
					null,
					1,
					false,
					false,
					false,
					6549592439775831,
					false
				]
				],
				[
				[
					107,
					cr.plugins_.Sprite.prototype.acts.SetOpacity,
					null,
					5275472792178586,
					false
					,[
					[
						0,
						[
							0,
							100
						]
					]
					]
				]
,				[
					109,
					cr.plugins_.Sprite.prototype.acts.SetOpacity,
					null,
					9447674772421996,
					false
					,[
					[
						0,
						[
							0,
							100
						]
					]
					]
				]
,				[
					108,
					cr.plugins_.Sprite.prototype.acts.SetOpacity,
					null,
					619137745547418,
					false
					,[
					[
						0,
						[
							0,
							100
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					367383544644527,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
						null,
						0,
						false,
						false,
						false,
						3298473989809718,
						false
						,[
						[
							4,
							109
						]
						]
					]
					],
					[
					[
						57,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						4899597706086554,
						false
						,[
						[
							0,
							[
								0,
								0
							]
						]
						]
					]
,					[
						57,
						cr.plugins_.Sprite.prototype.acts.StartAnim,
						null,
						3030109756475695,
						false
						,[
						[
							3,
							1
						]
						]
					]
,					[
						57,
						cr.plugins_.Sprite.prototype.acts.SetOpacity,
						null,
						6426906550586363,
						false
						,[
						[
							0,
							[
								0,
								100
							]
						]
						]
					]
,					[
						23,
						cr.plugins_.Audio.prototype.acts.StopAll,
						null,
						9941574267437907,
						false
					]
,					[
						23,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						5234690414014219,
						false
						,[
						[
							2,
							["terradorosanoite",true]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								-5
							]
						]
,						[
							1,
							[
								2,
								"terraNoite"
							]
						]
						]
					]
,					[
						107,
						cr.plugins_.Sprite.prototype.acts.SetAnim,
						null,
						2017478152898798,
						false
						,[
						[
							1,
							[
								2,
								"anime1"
							]
						]
,						[
							3,
							1
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					4272241973592211,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
						null,
						0,
						false,
						false,
						false,
						8462138252197766,
						false
						,[
						[
							4,
							108
						]
						]
					]
					],
					[
					[
						23,
						cr.plugins_.Audio.prototype.acts.StopAll,
						null,
						6306969030641393,
						false
					]
,					[
						-1,
						cr.system_object.prototype.acts.GoToLayout,
						null,
						9502499039036366,
						false
						,[
						[
							6,
							"cartaMenu"
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7936353052012942,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
						null,
						0,
						false,
						false,
						false,
						6738655546269487,
						false
						,[
						[
							4,
							107
						]
						]
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						29841145913538,
						[
						[
							-1,
							cr.system_object.prototype.cnds.Compare,
							null,
							0,
							false,
							false,
							false,
							7952710557177523,
							false
							,[
							[
								7,
								[
									20,
									107,
									cr.plugins_.Sprite.prototype.exps.AnimationName,
									true,
									null
								]
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									2,
									"anime1"
								]
							]
							]
						]
						],
						[
						[
							107,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							9649020027820014,
							false
							,[
							[
								1,
								[
									2,
									"anime2"
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							23,
							cr.plugins_.Audio.prototype.acts.SetMuted,
							null,
							7491435114890309,
							false
							,[
							[
								1,
								[
									2,
									"terraNoite"
								]
							]
,							[
								3,
								0
							]
							]
						]
,						[
							23,
							cr.plugins_.Audio.prototype.acts.SetMuted,
							null,
							5980973524526705,
							false
							,[
							[
								1,
								[
									2,
									"musicLoop"
								]
							]
,							[
								3,
								0
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						466055032148352,
						[
						[
							-1,
							cr.system_object.prototype.cnds.Else,
							null,
							0,
							false,
							false,
							false,
							2086295904042072,
							false
						]
						],
						[
						[
							107,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							5758276795862988,
							false
							,[
							[
								1,
								[
									2,
									"anime1"
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							23,
							cr.plugins_.Audio.prototype.acts.SetMuted,
							null,
							6673678799222588,
							false
							,[
							[
								1,
								[
									2,
									"terraNoite"
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							23,
							cr.plugins_.Audio.prototype.acts.SetMuted,
							null,
							7285297597293122,
							false
							,[
							[
								1,
								[
									2,
									"musicLoop"
								]
							]
,							[
								3,
								1
							]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6906231505571743,
				[
				[
					23,
					cr.plugins_.Audio.prototype.cnds.OnEnded,
					null,
					1,
					false,
					false,
					false,
					6405873254755759,
					false
					,[
					[
						1,
						[
							2,
							"terraNoite"
						]
					]
					]
				]
				],
				[
				[
					57,
					cr.plugins_.Sprite.prototype.acts.SetOpacity,
					null,
					7316086068788971,
					false
					,[
					[
						0,
						[
							0,
							0
						]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Play,
					null,
					2034606295955927,
					false
					,[
					[
						2,
						["aberturaloop",true]
					]
,					[
						3,
						1
					]
,					[
						0,
						[
							0,
							-25
						]
					]
,					[
						1,
						[
							2,
							"musicLoop"
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					131127250306499,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						4565368500652507,
						false
						,[
						[
							7,
							[
								20,
								107,
								cr.plugins_.Sprite.prototype.exps.AnimationName,
								true,
								null
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"anime2"
							]
						]
						]
					]
					],
					[
					[
						23,
						cr.plugins_.Audio.prototype.acts.SetMuted,
						null,
						9203115596836051,
						false
						,[
						[
							1,
							[
								2,
								"musicLoop"
							]
						]
,						[
							3,
							0
						]
						]
					]
					]
				]
				]
			]
			]
		]
		]
	]
,	[
		"quartoScript",
		[
		[
			1,
			"quadroY",
			0,
			0,
false,false,6401935311572615,false
		]
,		[
			1,
			"quadroX",
			0,
			0,
false,false,5048084530452507,false
		]
,		[
			1,
			"gatoChaoY",
			0,
			0,
false,false,6767396035711067,false
		]
,		[
			1,
			"gatoChaoX",
			0,
			0,
false,false,9576569097541293,false
		]
,		[
			1,
			"gato",
			0,
			0,
false,false,5943508856014721,false
		]
,		[
			1,
			"gatoPos1",
			0,
			0,
false,false,5019021932091749,false
		]
,		[
			1,
			"gatoPos2",
			0,
			0,
false,false,7410316171370646,false
		]
,		[
			1,
			"notas",
			0,
			0,
false,false,7047522693422083,false
		]
,		[
			1,
			"vitrola",
			0,
			0,
false,false,9299967288158999,false
		]
,		[
			1,
			"cremePosition",
			0,
			0,
false,false,7230328178878251,false
		]
,		[
			1,
			"locaoPosition",
			0,
			0,
false,false,5076056993351027,false
		]
,		[
			0,
			null,
			false,
			null,
			4687176830935923,
			[
			[
				-1,
				cr.system_object.prototype.cnds.OnLayoutStart,
				null,
				1,
				false,
				false,
				false,
				6997840199711681,
				false
			]
			],
			[
			[
				-1,
				cr.system_object.prototype.acts.ResetGlobals,
				null,
				4883800642186259,
				false
			]
,			[
				86,
				cr.plugins_.Sprite.prototype.acts.StopAnim,
				null,
				3020142425295363,
				false
			]
,			[
				87,
				cr.plugins_.Sprite.prototype.acts.StopAnim,
				null,
				2849505788052342,
				false
			]
,			[
				88,
				cr.plugins_.Sprite.prototype.acts.StopAnim,
				null,
				4129000793886878,
				false
			]
,			[
				89,
				cr.plugins_.Sprite.prototype.acts.StopAnim,
				null,
				6342806768412538,
				false
			]
,			[
				-1,
				cr.system_object.prototype.acts.SetVar,
				null,
				424045145285736,
				false
				,[
				[
					11,
					"locaoPosition"
				]
,				[
					7,
					[
						5,
						[
							20,
							88,
							cr.plugins_.Sprite.prototype.exps.Y,
							false,
							null
						]
						,[
							0,
							50
						]
					]
				]
				]
			]
,			[
				-1,
				cr.system_object.prototype.acts.SetVar,
				null,
				1478174962105873,
				false
				,[
				[
					11,
					"cremePosition"
				]
,				[
					7,
					[
						5,
						[
							20,
							89,
							cr.plugins_.Sprite.prototype.exps.Y,
							false,
							null
						]
						,[
							0,
							50
						]
					]
				]
				]
			]
,			[
				92,
				cr.plugins_.Sprite.prototype.acts.StopAnim,
				null,
				5262180572701293,
				false
			]
,			[
				-1,
				cr.system_object.prototype.acts.SetVar,
				null,
				247021265051888,
				false
				,[
				[
					11,
					"gatoChaoY"
				]
,				[
					7,
					[
						20,
						94,
						cr.plugins_.Sprite.prototype.exps.Y,
						false,
						null
					]
				]
				]
			]
,			[
				-1,
				cr.system_object.prototype.acts.SetVar,
				null,
				4987700727288805,
				false
				,[
				[
					11,
					"gatoChaoX"
				]
,				[
					7,
					[
						20,
						94,
						cr.plugins_.Sprite.prototype.exps.X,
						false,
						null
					]
				]
				]
			]
,			[
				96,
				cr.behaviors.Pin.prototype.acts.Pin,
				"Pin",
				2979684364907794,
				false
				,[
				[
					4,
					94
				]
,				[
					3,
					1
				]
				]
			]
,			[
				97,
				cr.plugins_.Sprite.prototype.acts.StopAnim,
				null,
				3203919504025433,
				false
			]
,			[
				-1,
				cr.system_object.prototype.acts.ScrollX,
				null,
				4392986435679904,
				false
				,[
				[
					0,
					[
						0,
						860
					]
				]
				]
			]
,			[
				23,
				cr.plugins_.Audio.prototype.acts.Play,
				null,
				6062323823176971,
				false
				,[
				[
					2,
					["quarto",true]
				]
,				[
					3,
					0
				]
,				[
					0,
					[
						0,
						-12
					]
				]
,				[
					1,
					[
						2,
						"quarto"
					]
				]
				]
			]
,			[
				57,
				cr.plugins_.Sprite.prototype.acts.StopAnim,
				null,
				4863004546099286,
				false
			]
			]
		]
,		[
			0,
			[true, "CENARIO5"],
			false,
			null,
			1201053114880271,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				1201053114880271,
				false
				,[
				[
					1,
					[
						2,
						"CENARIO5"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				3351897049065134,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchStart,
					null,
					1,
					false,
					false,
					false,
					2448659536413748,
					false
				]
,				[
					21,
					cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
					null,
					0,
					false,
					true,
					false,
					6642900070437343,
					false
					,[
					[
						4,
						94
					]
					]
				]
,				[
					21,
					cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
					null,
					0,
					false,
					true,
					false,
					4042901890687479,
					false
					,[
					[
						4,
						115
					]
					]
				]
,				[
					94,
					cr.plugins_.Sprite.prototype.cnds.IsBoolInstanceVarSet,
					null,
					0,
					false,
					true,
					false,
					3567689831887507,
					false
					,[
					[
						10,
						0
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					5417733571621816,
					false
					,[
					[
						11,
						"stageX"
					]
,					[
						7,
						[
							20,
							21,
							cr.plugins_.Touch.prototype.exps.X,
							false,
							null
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6727734447687798,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.IsInTouch,
					null,
					0,
					false,
					false,
					false,
					4480841377380962,
					false
				]
,				[
					21,
					cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
					null,
					0,
					false,
					true,
					false,
					4650817715452594,
					false
					,[
					[
						4,
						94
					]
					]
				]
,				[
					21,
					cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
					null,
					0,
					false,
					true,
					false,
					6575046314427507,
					false
					,[
					[
						4,
						115
					]
					]
				]
,				[
					94,
					cr.plugins_.Sprite.prototype.cnds.IsBoolInstanceVarSet,
					null,
					0,
					false,
					true,
					false,
					2228381910344643,
					false
					,[
					[
						10,
						0
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					1257146982701448,
					false
					,[
					[
						11,
						"stageX2"
					]
,					[
						7,
						[
							20,
							21,
							cr.plugins_.Touch.prototype.exps.X,
							false,
							null
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.ScrollX,
					null,
					665483828129996,
					false
					,[
					[
						0,
						[
							4,
							[
								19,
								cr.system_object.prototype.exps.scrollx
							]
							,[
								6,
								[
									5,
									[
										23,
										"stageX2"
									]
									,[
										23,
										"stageX"
									]
								]
								,[
									0,
									-1
								]
							]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "PORTA"],
			false,
			null,
			8644618449506636,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				8644618449506636,
				false
				,[
				[
					1,
					[
						2,
						"PORTA"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				531031689312702,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					4651791944711753,
					false
					,[
					[
						4,
						86
					]
					]
				]
,				[
					86,
					cr.plugins_.Sprite.prototype.cnds.CompareFrame,
					null,
					0,
					false,
					false,
					false,
					3342770507202753,
					false
					,[
					[
						8,
						0
					]
,					[
						0,
						[
							0,
							0
						]
					]
					]
				]
				],
				[
				[
					86,
					cr.plugins_.Sprite.prototype.acts.StartAnim,
					null,
					630738867801194,
					false
					,[
					[
						3,
						1
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Play,
					null,
					335598714391806,
					false
					,[
					[
						2,
						["plaquinha",false]
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							0
						]
					]
,					[
						1,
						[
							2,
							""
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				3431241759985111,
				[
				[
					86,
					cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
					null,
					1,
					false,
					false,
					false,
					4170484292410424,
					false
					,[
					[
						1,
						[
							2,
							"anime1"
						]
					]
					]
				]
				],
				[
				[
					86,
					cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
					null,
					6533611540000374,
					false
					,[
					[
						0,
						[
							0,
							0
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "PERFUME"],
			false,
			null,
			450666543375742,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				450666543375742,
				false
				,[
				[
					1,
					[
						2,
						"PERFUME"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				1659631624806079,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					502902347630928,
					false
					,[
					[
						4,
						87
					]
					]
				]
,				[
					87,
					cr.plugins_.Sprite.prototype.cnds.CompareFrame,
					null,
					0,
					false,
					false,
					false,
					225865384588661,
					false
					,[
					[
						8,
						0
					]
,					[
						0,
						[
							0,
							0
						]
					]
					]
				]
				],
				[
				[
					87,
					cr.plugins_.Sprite.prototype.acts.StartAnim,
					null,
					2156130343127722,
					false
					,[
					[
						3,
						1
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Play,
					null,
					6668887832959593,
					false
					,[
					[
						2,
						["perfume",false]
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							0
						]
					]
,					[
						1,
						[
							2,
							""
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				1147171376139343,
				[
				[
					87,
					cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
					null,
					1,
					false,
					false,
					false,
					2460263202135525,
					false
					,[
					[
						1,
						[
							2,
							"anime1"
						]
					]
					]
				]
				],
				[
				[
					87,
					cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
					null,
					5971644307822586,
					false
					,[
					[
						0,
						[
							0,
							0
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "LOCAO e CREME"],
			false,
			null,
			9072576442143956,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				9072576442143956,
				false
				,[
				[
					1,
					[
						2,
						"LOCAO e CREME"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				9939049171518353,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					7760128751363641,
					false
					,[
					[
						4,
						88
					]
					]
				]
,				[
					88,
					cr.plugins_.Sprite.prototype.cnds.CompareFrame,
					null,
					0,
					false,
					false,
					false,
					6384789972184833,
					false
					,[
					[
						8,
						0
					]
,					[
						0,
						[
							0,
							0
						]
					]
					]
				]
				],
				[
				[
					23,
					cr.plugins_.Audio.prototype.acts.Play,
					null,
					9096049227776308,
					false
					,[
					[
						2,
						["potes",false]
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							0
						]
					]
,					[
						1,
						[
							2,
							""
						]
					]
					]
				]
,				[
					88,
					cr.behaviors.lunarray_LiteTween.prototype.acts.SetTarget,
					"LiteTween",
					4721353330378381,
					false
					,[
					[
						3,
						1
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							23,
							"locaoPosition"
						]
					]
					]
				]
,				[
					88,
					cr.behaviors.lunarray_LiteTween.prototype.acts.SetTarget,
					"LiteTween",
					9815845993247757,
					false
					,[
					[
						3,
						0
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							20,
							88,
							cr.plugins_.Sprite.prototype.exps.X,
							false,
							null
						]
					]
					]
				]
,				[
					88,
					cr.behaviors.lunarray_LiteTween.prototype.acts.SetEasing,
					"LiteTween",
					3427555848406511,
					false
					,[
					[
						3,
						26
					]
					]
				]
,				[
					88,
					cr.behaviors.lunarray_LiteTween.prototype.acts.SetDuration,
					"LiteTween",
					4331257037072022,
					false
					,[
					[
						0,
						[
							1,
							0.5
						]
					]
					]
				]
,				[
					88,
					cr.behaviors.lunarray_LiteTween.prototype.acts.Start,
					"LiteTween",
					288452636987117,
					false
					,[
					[
						3,
						0
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.Wait,
					null,
					7185405442749983,
					false
					,[
					[
						0,
						[
							1,
							0.5
						]
					]
					]
				]
,				[
					88,
					cr.behaviors.lunarray_LiteTween.prototype.acts.SetEasing,
					"LiteTween",
					7254235932473277,
					false
					,[
					[
						3,
						23
					]
					]
				]
,				[
					88,
					cr.behaviors.lunarray_LiteTween.prototype.acts.SetTarget,
					"LiteTween",
					1050916967511477,
					false
					,[
					[
						3,
						1
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							4,
							[
								23,
								"locaoPosition"
							]
							,[
								0,
								50
							]
						]
					]
					]
				]
,				[
					88,
					cr.behaviors.lunarray_LiteTween.prototype.acts.SetDuration,
					"LiteTween",
					9008944173471172,
					false
					,[
					[
						0,
						[
							0,
							1
						]
					]
					]
				]
,				[
					88,
					cr.behaviors.lunarray_LiteTween.prototype.acts.Start,
					"LiteTween",
					3066071840957769,
					false
					,[
					[
						3,
						0
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.Wait,
					null,
					8810139745870335,
					false
					,[
					[
						0,
						[
							1,
							0.2
						]
					]
					]
				]
,				[
					88,
					cr.plugins_.Sprite.prototype.acts.StartAnim,
					null,
					5650206131155586,
					false
					,[
					[
						3,
						1
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8364156059332388,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					6709472062849797,
					false
					,[
					[
						4,
						89
					]
					]
				]
,				[
					89,
					cr.plugins_.Sprite.prototype.cnds.CompareFrame,
					null,
					0,
					false,
					false,
					false,
					4443918501731584,
					false
					,[
					[
						8,
						0
					]
,					[
						0,
						[
							0,
							0
						]
					]
					]
				]
				],
				[
				[
					23,
					cr.plugins_.Audio.prototype.acts.Play,
					null,
					1753589595803458,
					false
					,[
					[
						2,
						["potes",false]
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							0
						]
					]
,					[
						1,
						[
							2,
							""
						]
					]
					]
				]
,				[
					89,
					cr.behaviors.lunarray_LiteTween.prototype.acts.SetTarget,
					"LiteTween",
					5457689563797156,
					false
					,[
					[
						3,
						1
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							23,
							"cremePosition"
						]
					]
					]
				]
,				[
					89,
					cr.behaviors.lunarray_LiteTween.prototype.acts.SetTarget,
					"LiteTween",
					3570567220490148,
					false
					,[
					[
						3,
						0
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							20,
							89,
							cr.plugins_.Sprite.prototype.exps.X,
							false,
							null
						]
					]
					]
				]
,				[
					89,
					cr.behaviors.lunarray_LiteTween.prototype.acts.SetEasing,
					"LiteTween",
					3518325998191603,
					false
					,[
					[
						3,
						26
					]
					]
				]
,				[
					89,
					cr.behaviors.lunarray_LiteTween.prototype.acts.SetDuration,
					"LiteTween",
					3971576189144944,
					false
					,[
					[
						0,
						[
							1,
							0.5
						]
					]
					]
				]
,				[
					89,
					cr.behaviors.lunarray_LiteTween.prototype.acts.Start,
					"LiteTween",
					9834691878474911,
					false
					,[
					[
						3,
						0
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.Wait,
					null,
					2373307774404144,
					false
					,[
					[
						0,
						[
							1,
							0.5
						]
					]
					]
				]
,				[
					89,
					cr.behaviors.lunarray_LiteTween.prototype.acts.SetEasing,
					"LiteTween",
					1245633286986977,
					false
					,[
					[
						3,
						23
					]
					]
				]
,				[
					89,
					cr.behaviors.lunarray_LiteTween.prototype.acts.SetTarget,
					"LiteTween",
					2770780030713711,
					false
					,[
					[
						3,
						1
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							4,
							[
								23,
								"cremePosition"
							]
							,[
								0,
								50
							]
						]
					]
					]
				]
,				[
					89,
					cr.behaviors.lunarray_LiteTween.prototype.acts.SetDuration,
					"LiteTween",
					7878808458245142,
					false
					,[
					[
						0,
						[
							0,
							1
						]
					]
					]
				]
,				[
					89,
					cr.behaviors.lunarray_LiteTween.prototype.acts.Start,
					"LiteTween",
					9964821772200232,
					false
					,[
					[
						3,
						0
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.Wait,
					null,
					4622049462546408,
					false
					,[
					[
						0,
						[
							1,
							0.2
						]
					]
					]
				]
,				[
					89,
					cr.plugins_.Sprite.prototype.acts.StartAnim,
					null,
					2948838740752362,
					false
					,[
					[
						3,
						1
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "VITROLA"],
			false,
			null,
			276139725091138,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				276139725091138,
				false
				,[
				[
					1,
					[
						2,
						"VITROLA"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				2983665222349671,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					5781910870582813,
					false
					,[
					[
						4,
						90
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					3504853362521833,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						4443373067798282,
						false
						,[
						[
							11,
							"vitrola"
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						92,
						cr.plugins_.Sprite.prototype.acts.SetAnim,
						null,
						3619640199713355,
						false
						,[
						[
							1,
							[
								2,
								"anime1"
							]
						]
,						[
							3,
							1
						]
						]
					]
,					[
						91,
						cr.plugins_.Sprite.prototype.acts.SetAnimSpeed,
						null,
						5658686529387585,
						false
						,[
						[
							0,
							[
								0,
								9
							]
						]
						]
					]
,					[
						23,
						cr.plugins_.Audio.prototype.acts.Stop,
						null,
						766302038283767,
						false
						,[
						[
							1,
							[
								2,
								"vinil"
							]
						]
						]
					]
,					[
						107,
						cr.plugins_.Sprite.prototype.acts.SetAnim,
						null,
						6149867525539411,
						false
						,[
						[
							1,
							[
								2,
								"anime2"
							]
						]
,						[
							3,
							1
						]
						]
					]
,					[
						23,
						cr.plugins_.Audio.prototype.acts.SetMuted,
						null,
						8844862189485667,
						false
						,[
						[
							1,
							[
								2,
								"quarto"
							]
						]
,						[
							3,
							0
						]
						]
					]
,					[
						23,
						cr.plugins_.Audio.prototype.acts.SetMuted,
						null,
						6154166198614503,
						false
						,[
						[
							1,
							[
								2,
								"musicLoop"
							]
						]
,						[
							3,
							0
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3303179360738924,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Else,
						null,
						0,
						false,
						false,
						false,
						2271752961589053,
						false
					]
,					[
						23,
						cr.plugins_.Audio.prototype.cnds.IsTagPlaying,
						null,
						0,
						false,
						true,
						false,
						8692935800584172,
						false
						,[
						[
							1,
							[
								2,
								"vinil"
							]
						]
						]
					]
					],
					[
					[
						92,
						cr.plugins_.Sprite.prototype.acts.SetAnim,
						null,
						3693622206803661,
						false
						,[
						[
							1,
							[
								2,
								"anime2"
							]
						]
,						[
							3,
							1
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						4004340152079289,
						false
						,[
						[
							0,
							[
								1,
								1
							]
						]
						]
					]
,					[
						23,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						9880180476488069,
						false
						,[
						[
							2,
							["vinil",false]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								0
							]
						]
,						[
							1,
							[
								2,
								"vinil"
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						5661578429695504,
						false
						,[
						[
							0,
							[
								1,
								1.5
							]
						]
						]
					]
,					[
						107,
						cr.plugins_.Sprite.prototype.acts.SetAnim,
						null,
						7889282259580217,
						false
						,[
						[
							1,
							[
								2,
								"anime1"
							]
						]
,						[
							3,
							1
						]
						]
					]
,					[
						23,
						cr.plugins_.Audio.prototype.acts.SetMuted,
						null,
						2011826639824299,
						false
						,[
						[
							1,
							[
								2,
								"quarto"
							]
						]
,						[
							3,
							1
						]
						]
					]
,					[
						23,
						cr.plugins_.Audio.prototype.acts.SetMuted,
						null,
						9165264453141542,
						false
						,[
						[
							1,
							[
								2,
								"musicLoop"
							]
						]
,						[
							3,
							1
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				4076283763177192,
				[
				[
					92,
					cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
					null,
					1,
					false,
					false,
					false,
					3705591688874169,
					false
					,[
					[
						1,
						[
							2,
							"anime1"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					2280914515360885,
					false
					,[
					[
						11,
						"vitrola"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					91,
					cr.plugins_.Sprite.prototype.acts.StopAnim,
					null,
					5739493026789915,
					false
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6803649285673236,
				[
				[
					92,
					cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
					null,
					1,
					false,
					false,
					false,
					7667965832189169,
					false
					,[
					[
						1,
						[
							2,
							"anime2"
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					3047203112461129,
					false
					,[
					[
						11,
						"vitrola"
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					91,
					cr.plugins_.Sprite.prototype.acts.SetAnimSpeed,
					null,
					3045398314186708,
					false
					,[
					[
						0,
						[
							0,
							15
						]
					]
					]
				]
,				[
					91,
					cr.plugins_.Sprite.prototype.acts.StartAnim,
					null,
					1886335991301843,
					false
					,[
					[
						3,
						0
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				1968810653058895,
				[
				[
					91,
					cr.plugins_.Sprite.prototype.cnds.CompareAnimSpeed,
					null,
					0,
					false,
					false,
					false,
					2703095853213023,
					false
					,[
					[
						8,
						0
					]
,					[
						0,
						[
							0,
							15
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.Every,
					null,
					0,
					false,
					false,
					false,
					1701458894982998,
					false
					,[
					[
						0,
						[
							0,
							1
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.CreateObject,
					null,
					7828945248392022,
					false
					,[
					[
						4,
						93
					]
,					[
						5,
						[
							2,
							"vitrola"
						]
					]
,					[
						0,
						[
							0,
							1426
						]
					]
,					[
						0,
						[
							0,
							294
						]
					]
					]
				]
,				[
					93,
					cr.plugins_.Sprite.prototype.acts.SetScale,
					null,
					9346415405094566,
					false
					,[
					[
						0,
						[
							19,
							cr.system_object.prototype.exps.random
							,[
[
								1,
								0.5
							]
,[
								1,
								1.1
							]
							]
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					3259974089567354,
					false
					,[
					[
						11,
						"notas"
					]
,					[
						7,
						[
							19,
							cr.system_object.prototype.exps.floor
							,[
[
								19,
								cr.system_object.prototype.exps.random
								,[
[
									0,
									1
								]
,[
									0,
									3
								]
								]
							]
							]
						]
					]
					]
				]
,				[
					93,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					9826277810352942,
					false
					,[
					[
						1,
						[
							10,
							[
								2,
								"anime"
							]
							,[
								23,
								"notas"
							]
						]
					]
,					[
						3,
						1
					]
					]
				]
				]
			]
,			[
				0,
				null,
				true,
				null,
				5073042898549295,
				[
				[
					93,
					cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
					null,
					1,
					false,
					false,
					false,
					2379143457098549,
					false
					,[
					[
						1,
						[
							2,
							"anime1"
						]
					]
					]
				]
,				[
					93,
					cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
					null,
					1,
					false,
					false,
					false,
					7235962160009815,
					false
					,[
					[
						1,
						[
							2,
							"anime2"
						]
					]
					]
				]
				],
				[
				[
					93,
					cr.plugins_.Sprite.prototype.acts.Destroy,
					null,
					869364893471581,
					false
				]
				]
			]
			]
		]
,		[
			0,
			[true, "GATO"],
			false,
			null,
			8215891108684013,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				8215891108684013,
				false
				,[
				[
					1,
					[
						2,
						"GATO"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				6658528200568028,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					7452541295063392,
					false
					,[
					[
						4,
						94
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.cnds.IsTagPlaying,
					null,
					0,
					false,
					true,
					false,
					1666722100139291,
					false
					,[
					[
						1,
						[
							2,
							"gato1"
						]
					]
					]
				]
				],
				[
				[
					94,
					cr.behaviors.DragnDrop.prototype.acts.SetEnabled,
					"DragDrop",
					6926585033772012,
					false
					,[
					[
						3,
						1
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Play,
					null,
					4588928625127955,
					false
					,[
					[
						2,
						["gato1",false]
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							0
						]
					]
,					[
						1,
						[
							2,
							"gato1"
						]
					]
					]
				]
,				[
					94,
					cr.plugins_.Sprite.prototype.acts.SetBoolInstanceVar,
					null,
					4892644219755154,
					false
					,[
					[
						10,
						0
					]
,					[
						3,
						1
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				5009334474555407,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					2739164480110643,
					false
					,[
					[
						11,
						"gatoPos2"
					]
,					[
						8,
						2
					]
,					[
						7,
						[
							0,
							-1
						]
					]
					]
				]
				],
				[
				[
					94,
					cr.behaviors.DragnDrop.prototype.acts.SetEnabled,
					"DragDrop",
					6806369859528648,
					false
					,[
					[
						3,
						0
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					6209235811152188,
					false
					,[
					[
						11,
						"gatoPos2"
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
,				[
					94,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					9104732877717041,
					false
					,[
					[
						1,
						[
							2,
							"anime1"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					94,
					cr.plugins_.Sprite.prototype.acts.SetY,
					null,
					6123038476187482,
					false
					,[
					[
						0,
						[
							23,
							"gatoChaoY"
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				2435182958748811,
				[
				[
					-1,
					cr.system_object.prototype.cnds.Compare,
					null,
					0,
					false,
					false,
					false,
					429134999816838,
					false
					,[
					[
						7,
						[
							20,
							94,
							cr.plugins_.Sprite.prototype.exps.AnimationName,
							true,
							null
						]
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							2,
							"anime2"
						]
					]
					]
				]
,				[
					94,
					cr.plugins_.Sprite.prototype.cnds.CompareFrame,
					null,
					0,
					false,
					false,
					false,
					7653310906787822,
					false
					,[
					[
						8,
						0
					]
,					[
						0,
						[
							0,
							19
						]
					]
					]
				]
,				[
					94,
					cr.behaviors.DragnDrop.prototype.cnds.IsDragging,
					"DragDrop",
					0,
					false,
					false,
					false,
					5083853595559787,
					false
				]
				],
				[
				[
					94,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					6198606948678882,
					false
					,[
					[
						1,
						[
							2,
							"anime3"
						]
					]
,					[
						3,
						1
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8832648269226203,
				[
				[
					94,
					cr.behaviors.DragnDrop.prototype.cnds.OnDragStart,
					"DragDrop",
					1,
					false,
					false,
					false,
					4150027510229257,
					false
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					6813256424890436,
					[
					[
						94,
						cr.behaviors.custom.prototype.cnds.IsMoving,
						"CustomMovement",
						0,
						false,
						true,
						false,
						6974801448889528,
						false
					]
					],
					[
					[
						94,
						cr.plugins_.Sprite.prototype.acts.SetAnim,
						null,
						1081152312387654,
						false
						,[
						[
							1,
							[
								2,
								"anime2"
							]
						]
,						[
							3,
							1
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5832054856053825,
					[
					],
					[
					[
						94,
						cr.plugins_.Sprite.prototype.acts.StopAnim,
						null,
						8932786519743207,
						false
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						2849404591599351,
						false
						,[
						[
							11,
							"gatoPos1"
						]
,						[
							7,
							[
								20,
								94,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						553870889586991,
						false
						,[
						[
							11,
							"gatoPos1"
						]
,						[
							7,
							[
								19,
								cr.system_object.prototype.exps.floor
								,[
[
									23,
									"gatoPos1"
								]
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						7152908084145707,
						false
						,[
						[
							11,
							"gato"
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						94,
						cr.behaviors.custom.prototype.acts.Stop,
						"CustomMovement",
						8712221207750677,
						false
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				3823292665026206,
				[
				[
					94,
					cr.behaviors.DragnDrop.prototype.cnds.IsDragging,
					"DragDrop",
					0,
					false,
					false,
					false,
					9606777249429041,
					false
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					6382393909623987,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						3254229636254624,
						false
						,[
						[
							11,
							"gatoPos2"
						]
,						[
							8,
							2
						]
,						[
							7,
							[
								0,
								20
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						7490894574633162,
						false
						,[
						[
							11,
							"gatoPos2"
						]
,						[
							7,
							[
								6,
								[
									5,
									[
										20,
										94,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										23,
										"gatoPos1"
									]
								]
								,[
									0,
									-1
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						5080642607590697,
						false
						,[
						[
							11,
							"gatoPos2"
						]
,						[
							7,
							[
								19,
								cr.system_object.prototype.exps.floor
								,[
[
									7,
									[
										23,
										"gatoPos2"
									]
									,[
										0,
										2
									]
								]
								]
							]
						]
						]
					]
,					[
						94,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						8229772372009381,
						false
						,[
						[
							0,
							[
								23,
								"gatoPos2"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					3120457266999415,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						3150344060996992,
						false
						,[
						[
							11,
							"gatoPos2"
						]
,						[
							8,
							2
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						96,
						cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
						null,
						0,
						false,
						true,
						false,
						5900004927596307,
						false
						,[
						[
							4,
							95
						]
						]
					]
					],
					[
					[
						94,
						cr.behaviors.custom.prototype.acts.SetSpeed,
						"CustomMovement",
						2172815224994392,
						false
						,[
						[
							3,
							2
						]
,						[
							0,
							[
								0,
								400
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				7997262645952683,
				[
				[
					94,
					cr.behaviors.DragnDrop.prototype.cnds.OnDrop,
					"DragDrop",
					1,
					false,
					false,
					false,
					2634094948074399,
					false
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					6347436594307289,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						4599856681317763,
						false
						,[
						[
							11,
							"gatoPos2"
						]
,						[
							8,
							4
						]
,						[
							7,
							[
								0,
								0
							]
						]
						]
					]
,					[
						96,
						cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
						null,
						0,
						false,
						true,
						false,
						3265991692410011,
						false
						,[
						[
							4,
							95
						]
						]
					]
					],
					[
					[
						94,
						cr.behaviors.custom.prototype.acts.SetSpeed,
						"CustomMovement",
						171068999855873,
						false
						,[
						[
							3,
							2
						]
,						[
							0,
							[
								0,
								400
							]
						]
						]
					]
,					[
						94,
						cr.plugins_.Sprite.prototype.acts.SetAnim,
						null,
						9034417996475973,
						false
						,[
						[
							1,
							[
								2,
								"anime2"
							]
						]
,						[
							3,
							1
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					4422238280388248,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Else,
						null,
						0,
						false,
						false,
						false,
						2756081108587076,
						false
					]
					],
					[
					[
						94,
						cr.plugins_.Sprite.prototype.acts.SetAnim,
						null,
						9688325850068676,
						false
						,[
						[
							1,
							[
								2,
								"anime1"
							]
						]
,						[
							3,
							1
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					2602350220633923,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						3459017746315968,
						false
						,[
						[
							11,
							"gatoPos2"
						]
,						[
							8,
							2
						]
,						[
							7,
							[
								0,
								20
							]
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						6451190758252152,
						false
						,[
						[
							11,
							"gatoPos2"
						]
,						[
							7,
							[
								6,
								[
									5,
									[
										20,
										94,
										cr.plugins_.Sprite.prototype.exps.Y,
										false,
										null
									]
									,[
										23,
										"gatoPos1"
									]
								]
								,[
									0,
									-1
								]
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						4072088114271417,
						false
						,[
						[
							11,
							"gatoPos2"
						]
,						[
							7,
							[
								19,
								cr.system_object.prototype.exps.floor
								,[
[
									7,
									[
										23,
										"gatoPos2"
									]
									,[
										0,
										2
									]
								]
								]
							]
						]
						]
					]
,					[
						94,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						4347692138828981,
						false
						,[
						[
							0,
							[
								23,
								"gatoPos2"
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					1379013231017027,
					[
					[
						-1,
						cr.system_object.prototype.cnds.CompareVar,
						null,
						0,
						false,
						false,
						false,
						5615056215830248,
						false
						,[
						[
							11,
							"gatoPos2"
						]
,						[
							8,
							5
						]
,						[
							7,
							[
								0,
								20
							]
						]
						]
					]
					],
					[
					[
						94,
						cr.behaviors.custom.prototype.acts.SetSpeed,
						"CustomMovement",
						7117705503921636,
						false
						,[
						[
							3,
							2
						]
,						[
							0,
							[
								0,
								400
							]
						]
						]
					]
,					[
						94,
						cr.plugins_.Sprite.prototype.acts.SetAnim,
						null,
						6044873201361375,
						false
						,[
						[
							1,
							[
								2,
								"anime2"
							]
						]
,						[
							3,
							1
						]
						]
					]
,					[
						94,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						234405374231597,
						false
						,[
						[
							0,
							[
								0,
								19
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6482227215838104,
				[
				[
					96,
					cr.plugins_.Sprite.prototype.cnds.OnCollision,
					null,
					0,
					false,
					false,
					true,
					7278468617786759,
					false
					,[
					[
						4,
						95
					]
					]
				]
,				[
					94,
					cr.behaviors.DragnDrop.prototype.cnds.IsDragging,
					"DragDrop",
					0,
					false,
					true,
					false,
					6003876921969051,
					false
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					8410229524935689,
					false
					,[
					[
						11,
						"gatoChaoY"
					]
,					[
						7,
						[
							20,
							94,
							cr.plugins_.Sprite.prototype.exps.Y,
							false,
							null
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					449512672086689,
					false
					,[
					[
						11,
						"gatoChaoX"
					]
,					[
						7,
						[
							20,
							94,
							cr.plugins_.Sprite.prototype.exps.X,
							false,
							null
						]
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					4075180039858414,
					false
					,[
					[
						11,
						"gato"
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
,				[
					94,
					cr.behaviors.custom.prototype.acts.Stop,
					"CustomMovement",
					3084022256790989,
					false
				]
,				[
					94,
					cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
					null,
					6248078934947944,
					false
					,[
					[
						0,
						[
							5,
							[
								0,
								20
							]
							,[
								20,
								94,
								cr.plugins_.Sprite.prototype.exps.AnimationFrame,
								false,
								null
							]
						]
					]
					]
				]
,				[
					94,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					2013876423124565,
					false
					,[
					[
						1,
						[
							2,
							"anime2b"
						]
					]
,					[
						3,
						0
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8135212883208301,
				[
				[
					94,
					cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
					null,
					1,
					false,
					false,
					false,
					710870250601313,
					false
					,[
					[
						1,
						[
							2,
							"anime2b"
						]
					]
					]
				]
				],
				[
				[
					94,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					1726323882662919,
					false
					,[
					[
						1,
						[
							2,
							"anime1"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.SetVar,
					null,
					4764552838000402,
					false
					,[
					[
						11,
						"gatoPos2"
					]
,					[
						7,
						[
							0,
							0
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8260359122772287,
				[
				[
					94,
					cr.plugins_.Sprite.prototype.cnds.CompareX,
					null,
					0,
					false,
					false,
					false,
					3331210445722378,
					false
					,[
					[
						8,
						2
					]
,					[
						0,
						[
							0,
							100
						]
					]
					]
				]
				],
				[
				[
					94,
					cr.plugins_.Sprite.prototype.acts.SetX,
					null,
					2350219835055031,
					false
					,[
					[
						0,
						[
							0,
							100
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				7310041517401276,
				[
				[
					94,
					cr.plugins_.Sprite.prototype.cnds.CompareX,
					null,
					0,
					false,
					false,
					false,
					4880035154299442,
					false
					,[
					[
						8,
						4
					]
,					[
						0,
						[
							0,
							1160
						]
					]
					]
				]
,				[
					94,
					cr.plugins_.Sprite.prototype.cnds.CompareY,
					null,
					0,
					false,
					false,
					false,
					2640544993964182,
					false
					,[
					[
						8,
						2
					]
,					[
						0,
						[
							0,
							520
						]
					]
					]
				]
				],
				[
				[
					94,
					cr.plugins_.Sprite.prototype.acts.SetX,
					null,
					785560099627658,
					false
					,[
					[
						0,
						[
							0,
							1160
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				7781858543529775,
				[
				[
					94,
					cr.plugins_.Sprite.prototype.cnds.CompareX,
					null,
					0,
					false,
					false,
					false,
					3228093804486795,
					false
					,[
					[
						8,
						4
					]
,					[
						0,
						[
							0,
							1050
						]
					]
					]
				]
,				[
					94,
					cr.plugins_.Sprite.prototype.cnds.CompareY,
					null,
					0,
					false,
					false,
					false,
					6663149167189236,
					false
					,[
					[
						8,
						5
					]
,					[
						0,
						[
							0,
							520
						]
					]
					]
				]
				],
				[
				[
					94,
					cr.plugins_.Sprite.prototype.acts.SetX,
					null,
					7239936879000579,
					false
					,[
					[
						0,
						[
							0,
							1050
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				9120365808024068,
				[
				[
					94,
					cr.plugins_.Sprite.prototype.cnds.CompareY,
					null,
					0,
					false,
					false,
					false,
					2258551486650581,
					false
					,[
					[
						8,
						2
					]
,					[
						0,
						[
							0,
							100
						]
					]
					]
				]
				],
				[
				[
					94,
					cr.plugins_.Sprite.prototype.acts.SetY,
					null,
					8941207767805043,
					false
					,[
					[
						0,
						[
							0,
							100
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				6570436744182879,
				[
				[
					94,
					cr.plugins_.Sprite.prototype.cnds.CompareY,
					null,
					0,
					false,
					false,
					false,
					7384757360791112,
					false
					,[
					[
						8,
						4
					]
,					[
						0,
						[
							0,
							670
						]
					]
					]
				]
,				[
					94,
					cr.behaviors.DragnDrop.prototype.cnds.IsDragging,
					"DragDrop",
					0,
					false,
					false,
					false,
					5753820267034937,
					false
				]
,				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					7709058710941292,
					false
					,[
					[
						11,
						"gatoPos2"
					]
,					[
						8,
						5
					]
,					[
						7,
						[
							0,
							20
						]
					]
					]
				]
				],
				[
				[
					94,
					cr.plugins_.Sprite.prototype.acts.SetY,
					null,
					4082450509160184,
					false
					,[
					[
						0,
						[
							0,
							670
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "CAIXA"],
			false,
			null,
			2260141110076693,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				2260141110076693,
				false
				,[
				[
					1,
					[
						2,
						"CAIXA"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				9067992317560761,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					3855712771384713,
					false
					,[
					[
						4,
						97
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					3968562300772562,
					[
					[
						97,
						cr.plugins_.Sprite.prototype.cnds.CompareFrame,
						null,
						0,
						false,
						false,
						false,
						9884597535712815,
						false
						,[
						[
							8,
							0
						]
,						[
							0,
							[
								0,
								0
							]
						]
						]
					]
					],
					[
					[
						23,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						6674505732773481,
						false
						,[
						[
							2,
							["magicbox",false]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								0
							]
						]
,						[
							1,
							[
								2,
								""
							]
						]
						]
					]
,					[
						97,
						cr.plugins_.Sprite.prototype.acts.StartAnim,
						null,
						269318083000034,
						false
						,[
						[
							3,
							1
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				1483224532875137,
				[
				[
					97,
					cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
					null,
					1,
					false,
					false,
					false,
					236105938455201,
					false
					,[
					[
						1,
						[
							2,
							"anime1"
						]
					]
					]
				]
				],
				[
				[
					97,
					cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
					null,
					4793288716318266,
					false
					,[
					[
						0,
						[
							0,
							0
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			766318098601165,
			[
			[
				-1,
				cr.system_object.prototype.cnds.EveryTick,
				null,
				0,
				false,
				false,
				false,
				1910221178973312,
				false
			]
			],
			[
			[
				27,
				cr.plugins_.Text.prototype.acts.SetText,
				null,
				3525417345613436,
				false
				,[
				[
					7,
					[
						10,
						[
							10,
							[
								20,
								94,
								cr.plugins_.Sprite.prototype.exps.AnimationName,
								true,
								null
							]
							,[
								2,
								" "
							]
						]
						,[
							23,
							"gatoPos2"
						]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "NANACAMA"],
			false,
			null,
			4955240454532378,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				4955240454532378,
				false
				,[
				[
					1,
					[
						2,
						"NANACAMA"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				9678190686561377,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					4872544598950859,
					false
					,[
					[
						4,
						99
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.cnds.Compare,
					null,
					0,
					false,
					false,
					false,
					682054551654647,
					false
					,[
					[
						7,
						[
							20,
							99,
							cr.plugins_.Sprite.prototype.exps.AnimationName,
							true,
							null
						]
					]
,					[
						8,
						1
					]
,					[
						7,
						[
							2,
							"anime2"
						]
					]
					]
				]
				],
				[
				[
					99,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					9209807468627259,
					false
					,[
					[
						1,
						[
							2,
							"anime2"
						]
					]
,					[
						3,
						1
					]
					]
				]
,				[
					-1,
					cr.system_object.prototype.acts.Wait,
					null,
					8218972097804296,
					false
					,[
					[
						0,
						[
							1,
							0.5
						]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Play,
					null,
					1932203629879739,
					false
					,[
					[
						2,
						["nanabeijinho",false]
					]
,					[
						3,
						0
					]
,					[
						0,
						[
							0,
							6
						]
					]
,					[
						1,
						[
							2,
							"nanaBeijinho"
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				8123938932027674,
				[
				[
					99,
					cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,
					null,
					1,
					false,
					false,
					false,
					6163521090311351,
					false
					,[
					[
						1,
						[
							2,
							"anime2"
						]
					]
					]
				]
				],
				[
				[
					99,
					cr.plugins_.Sprite.prototype.acts.SetAnim,
					null,
					7582087404216061,
					false
					,[
					[
						1,
						[
							2,
							"anime1"
						]
					]
,					[
						3,
						1
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				9711079911536454,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					3729973816015815,
					false
					,[
					[
						4,
						98
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					4709178835958689,
					[
					[
						98,
						cr.plugins_.Sprite.prototype.cnds.IsBoolInstanceVarSet,
						null,
						0,
						false,
						false,
						false,
						320333896298367,
						false
						,[
						[
							10,
							0
						]
						]
					]
					],
					[
					[
						98,
						cr.plugins_.Sprite.prototype.acts.StopAnim,
						null,
						1671415493846467,
						false
					]
,					[
						98,
						cr.plugins_.Sprite.prototype.acts.SetBoolInstanceVar,
						null,
						2566302859257745,
						false
						,[
						[
							10,
							0
						]
,						[
							3,
							0
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					2122605805774246,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Else,
						null,
						0,
						false,
						false,
						false,
						5400813820384414,
						false
					]
					],
					[
					[
						98,
						cr.plugins_.Sprite.prototype.acts.StartAnim,
						null,
						2405473061852211,
						false
						,[
						[
							3,
							0
						]
						]
					]
,					[
						98,
						cr.plugins_.Sprite.prototype.acts.SetBoolInstanceVar,
						null,
						5271060877940981,
						false
						,[
						[
							10,
							0
						]
,						[
							3,
							1
						]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "QUADROS"],
			false,
			null,
			7659128755261454,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				7659128755261454,
				false
				,[
				[
					1,
					[
						2,
						"QUADROS"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				[true, "quadro1"],
				false,
				null,
				6944025311165225,
				[
				[
					-1,
					cr.system_object.prototype.cnds.IsGroupActive,
					null,
					0,
					false,
					false,
					false,
					6944025311165225,
					false
					,[
					[
						1,
						[
							2,
							"quadro1"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					3272606225223566,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.OnTouchEnd,
						null,
						1,
						false,
						false,
						false,
						6852372896782134,
						false
					]
,					[
						21,
						cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
						null,
						0,
						false,
						false,
						false,
						9676594481017379,
						false
						,[
						[
							4,
							14
						]
						]
					]
,					[
						14,
						cr.behaviors.Sin.prototype.cnds.IsActive,
						"Sine",
						0,
						false,
						true,
						false,
						6925028717312149,
						false
					]
					],
					[
					[
						14,
						cr.behaviors.Sin.prototype.acts.SetActive,
						"Sine",
						1073517013655394,
						false
						,[
						[
							3,
							1
						]
						]
					]
,					[
						14,
						cr.behaviors.Sin.prototype.acts.SetMagnitude,
						"Sine",
						5003428149760814,
						false
						,[
						[
							0,
							[
								0,
								5
							]
						]
						]
					]
,					[
						23,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						6874025227549712,
						false
						,[
						[
							2,
							["quadroshake",false]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								15
							]
						]
,						[
							1,
							[
								2,
								"quadroShake"
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						915335474262225,
						false
						,[
						[
							0,
							[
								1,
								0.6
							]
						]
						]
					]
,					[
						14,
						cr.behaviors.Sin.prototype.acts.SetMagnitude,
						"Sine",
						6137658177441159,
						false
						,[
						[
							0,
							[
								0,
								4
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						1119661347043522,
						false
						,[
						[
							0,
							[
								1,
								0.6
							]
						]
						]
					]
,					[
						14,
						cr.behaviors.Sin.prototype.acts.SetMagnitude,
						"Sine",
						1407919186028137,
						false
						,[
						[
							0,
							[
								0,
								3
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						9765453168282247,
						false
						,[
						[
							0,
							[
								1,
								0.6
							]
						]
						]
					]
,					[
						14,
						cr.behaviors.Sin.prototype.acts.SetMagnitude,
						"Sine",
						6073245592752909,
						false
						,[
						[
							0,
							[
								0,
								2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						3714371547044699,
						false
						,[
						[
							0,
							[
								1,
								0.6
							]
						]
						]
					]
,					[
						14,
						cr.behaviors.Sin.prototype.acts.SetMagnitude,
						"Sine",
						5762971455654456,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						7625048944309981,
						false
						,[
						[
							0,
							[
								1,
								0.6
							]
						]
						]
					]
,					[
						14,
						cr.behaviors.Sin.prototype.acts.SetActive,
						"Sine",
						3044085274087194,
						false
						,[
						[
							3,
							0
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					8522271561047008,
					[
					[
						14,
						cr.plugins_.Sprite.prototype.cnds.CompareX,
						null,
						0,
						false,
						false,
						false,
						5903164382305059,
						false
						,[
						[
							8,
							2
						]
,						[
							0,
							[
								0,
								750
							]
						]
						]
					]
					],
					[
					[
						14,
						cr.plugins_.Sprite.prototype.acts.SetX,
						null,
						820210053760217,
						false
						,[
						[
							0,
							[
								0,
								750
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7492986265029808,
					[
					[
						14,
						cr.plugins_.Sprite.prototype.cnds.CompareX,
						null,
						0,
						false,
						false,
						false,
						977827833834911,
						false
						,[
						[
							8,
							4
						]
,						[
							0,
							[
								0,
								1150
							]
						]
						]
					]
					],
					[
					[
						14,
						cr.plugins_.Sprite.prototype.acts.SetX,
						null,
						552991357515184,
						false
						,[
						[
							0,
							[
								0,
								1150
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7584424980329822,
					[
					[
						14,
						cr.plugins_.Sprite.prototype.cnds.CompareY,
						null,
						0,
						false,
						false,
						false,
						7771133455058145,
						false
						,[
						[
							8,
							4
						]
,						[
							0,
							[
								0,
								310
							]
						]
						]
					]
					],
					[
					[
						14,
						cr.plugins_.Sprite.prototype.acts.SetY,
						null,
						5741242160315169,
						false
						,[
						[
							0,
							[
								0,
								310
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5503943076346653,
					[
					[
						14,
						cr.plugins_.Sprite.prototype.cnds.CompareY,
						null,
						0,
						false,
						false,
						false,
						729825220839706,
						false
						,[
						[
							8,
							2
						]
,						[
							0,
							[
								0,
								110
							]
						]
						]
					]
					],
					[
					[
						14,
						cr.plugins_.Sprite.prototype.acts.SetY,
						null,
						2337022124659089,
						false
						,[
						[
							0,
							[
								0,
								110
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5462827182955213,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.OnTouchObject,
						null,
						1,
						false,
						false,
						false,
						6352931973156436,
						false
						,[
						[
							4,
							14
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						2503185292566781,
						false
						,[
						[
							11,
							"quadroX"
						]
,						[
							7,
							[
								20,
								14,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						6916471919978226,
						false
						,[
						[
							11,
							"quadroY"
						]
,						[
							7,
							[
								20,
								14,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
						]
						]
					]
,					[
						14,
						cr.plugins_.Sprite.prototype.acts.MoveToTop,
						null,
						1378910488111434,
						false
					]
,					[
						94,
						cr.plugins_.Sprite.prototype.acts.SetBoolInstanceVar,
						null,
						9790629683907605,
						false
						,[
						[
							10,
							0
						]
,						[
							3,
							1
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					8847973778572336,
					[
					[
						14,
						cr.behaviors.DragnDrop.prototype.cnds.OnDrop,
						"DragDrop",
						1,
						false,
						false,
						false,
						6942794415146276,
						false
					]
,					[
						14,
						cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
						null,
						0,
						false,
						false,
						false,
						985763337279273,
						false
						,[
						[
							4,
							115
						]
						]
					]
					],
					[
					[
						14,
						cr.behaviors.Rex_MoveTo.prototype.acts.SetTargetPos,
						"MoveTo",
						1000321699058988,
						false
						,[
						[
							0,
							[
								23,
								"quadroX"
							]
						]
,						[
							0,
							[
								23,
								"quadroY"
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				[true, "quadro2"],
				false,
				null,
				4050930426652521,
				[
				[
					-1,
					cr.system_object.prototype.cnds.IsGroupActive,
					null,
					0,
					false,
					false,
					false,
					4050930426652521,
					false
					,[
					[
						1,
						[
							2,
							"quadro2"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					3272606225223566,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.OnTouchEnd,
						null,
						1,
						false,
						false,
						false,
						6852372896782134,
						false
					]
,					[
						21,
						cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
						null,
						0,
						false,
						false,
						false,
						9676594481017379,
						false
						,[
						[
							4,
							15
						]
						]
					]
,					[
						15,
						cr.behaviors.Sin.prototype.cnds.IsActive,
						"Sine",
						0,
						false,
						true,
						false,
						6925028717312149,
						false
					]
					],
					[
					[
						15,
						cr.behaviors.Sin.prototype.acts.SetActive,
						"Sine",
						1073517013655394,
						false
						,[
						[
							3,
							1
						]
						]
					]
,					[
						15,
						cr.behaviors.Sin.prototype.acts.SetMagnitude,
						"Sine",
						5003428149760814,
						false
						,[
						[
							0,
							[
								0,
								5
							]
						]
						]
					]
,					[
						23,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						6557250441123494,
						false
						,[
						[
							2,
							["quadroshake",false]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								15
							]
						]
,						[
							1,
							[
								2,
								"quadroShake"
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						915335474262225,
						false
						,[
						[
							0,
							[
								1,
								0.6
							]
						]
						]
					]
,					[
						15,
						cr.behaviors.Sin.prototype.acts.SetMagnitude,
						"Sine",
						6137658177441159,
						false
						,[
						[
							0,
							[
								0,
								4
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						1119661347043522,
						false
						,[
						[
							0,
							[
								1,
								0.6
							]
						]
						]
					]
,					[
						15,
						cr.behaviors.Sin.prototype.acts.SetMagnitude,
						"Sine",
						1407919186028137,
						false
						,[
						[
							0,
							[
								0,
								3
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						9765453168282247,
						false
						,[
						[
							0,
							[
								1,
								0.6
							]
						]
						]
					]
,					[
						15,
						cr.behaviors.Sin.prototype.acts.SetMagnitude,
						"Sine",
						6073245592752909,
						false
						,[
						[
							0,
							[
								0,
								2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						3714371547044699,
						false
						,[
						[
							0,
							[
								1,
								0.6
							]
						]
						]
					]
,					[
						15,
						cr.behaviors.Sin.prototype.acts.SetMagnitude,
						"Sine",
						5762971455654456,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						7625048944309981,
						false
						,[
						[
							0,
							[
								1,
								0.6
							]
						]
						]
					]
,					[
						15,
						cr.behaviors.Sin.prototype.acts.SetActive,
						"Sine",
						3044085274087194,
						false
						,[
						[
							3,
							0
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					8522271561047008,
					[
					[
						15,
						cr.plugins_.Sprite.prototype.cnds.CompareX,
						null,
						0,
						false,
						false,
						false,
						5903164382305059,
						false
						,[
						[
							8,
							2
						]
,						[
							0,
							[
								0,
								750
							]
						]
						]
					]
					],
					[
					[
						15,
						cr.plugins_.Sprite.prototype.acts.SetX,
						null,
						820210053760217,
						false
						,[
						[
							0,
							[
								0,
								750
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7492986265029808,
					[
					[
						15,
						cr.plugins_.Sprite.prototype.cnds.CompareX,
						null,
						0,
						false,
						false,
						false,
						977827833834911,
						false
						,[
						[
							8,
							4
						]
,						[
							0,
							[
								0,
								1150
							]
						]
						]
					]
					],
					[
					[
						15,
						cr.plugins_.Sprite.prototype.acts.SetX,
						null,
						552991357515184,
						false
						,[
						[
							0,
							[
								0,
								1150
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7584424980329822,
					[
					[
						15,
						cr.plugins_.Sprite.prototype.cnds.CompareY,
						null,
						0,
						false,
						false,
						false,
						7771133455058145,
						false
						,[
						[
							8,
							4
						]
,						[
							0,
							[
								0,
								310
							]
						]
						]
					]
					],
					[
					[
						15,
						cr.plugins_.Sprite.prototype.acts.SetY,
						null,
						5741242160315169,
						false
						,[
						[
							0,
							[
								0,
								310
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5503943076346653,
					[
					[
						15,
						cr.plugins_.Sprite.prototype.cnds.CompareY,
						null,
						0,
						false,
						false,
						false,
						729825220839706,
						false
						,[
						[
							8,
							2
						]
,						[
							0,
							[
								0,
								110
							]
						]
						]
					]
					],
					[
					[
						15,
						cr.plugins_.Sprite.prototype.acts.SetY,
						null,
						2337022124659089,
						false
						,[
						[
							0,
							[
								0,
								110
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7873076189183531,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.OnTouchObject,
						null,
						1,
						false,
						false,
						false,
						3595065045559822,
						false
						,[
						[
							4,
							15
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						2992926435495185,
						false
						,[
						[
							11,
							"quadroX"
						]
,						[
							7,
							[
								20,
								15,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						3252364906297466,
						false
						,[
						[
							11,
							"quadroY"
						]
,						[
							7,
							[
								20,
								15,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
						]
						]
					]
,					[
						15,
						cr.plugins_.Sprite.prototype.acts.MoveToTop,
						null,
						9732001179364446,
						false
					]
,					[
						94,
						cr.plugins_.Sprite.prototype.acts.SetBoolInstanceVar,
						null,
						8789121138888841,
						false
						,[
						[
							10,
							0
						]
,						[
							3,
							1
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					8571809328549642,
					[
					[
						15,
						cr.behaviors.DragnDrop.prototype.cnds.OnDrop,
						"DragDrop",
						1,
						false,
						false,
						false,
						9889110515319522,
						false
					]
,					[
						15,
						cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
						null,
						0,
						false,
						false,
						false,
						9012307187065187,
						false
						,[
						[
							4,
							115
						]
						]
					]
					],
					[
					[
						15,
						cr.behaviors.Rex_MoveTo.prototype.acts.SetTargetPos,
						"MoveTo",
						1483159990836618,
						false
						,[
						[
							0,
							[
								23,
								"quadroX"
							]
						]
,						[
							0,
							[
								23,
								"quadroY"
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				[true, "quadro3"],
				false,
				null,
				9077893152404843,
				[
				[
					-1,
					cr.system_object.prototype.cnds.IsGroupActive,
					null,
					0,
					false,
					false,
					false,
					9077893152404843,
					false
					,[
					[
						1,
						[
							2,
							"quadro3"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					3272606225223566,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.OnTouchEnd,
						null,
						1,
						false,
						false,
						false,
						6852372896782134,
						false
					]
,					[
						21,
						cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
						null,
						0,
						false,
						false,
						false,
						9676594481017379,
						false
						,[
						[
							4,
							16
						]
						]
					]
,					[
						16,
						cr.behaviors.Sin.prototype.cnds.IsActive,
						"Sine",
						0,
						false,
						true,
						false,
						6925028717312149,
						false
					]
					],
					[
					[
						16,
						cr.behaviors.Sin.prototype.acts.SetActive,
						"Sine",
						1073517013655394,
						false
						,[
						[
							3,
							1
						]
						]
					]
,					[
						16,
						cr.behaviors.Sin.prototype.acts.SetMagnitude,
						"Sine",
						5003428149760814,
						false
						,[
						[
							0,
							[
								0,
								5
							]
						]
						]
					]
,					[
						23,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						1609236677285677,
						false
						,[
						[
							2,
							["quadroshake",false]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								15
							]
						]
,						[
							1,
							[
								2,
								"quadroShake"
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						915335474262225,
						false
						,[
						[
							0,
							[
								1,
								0.6
							]
						]
						]
					]
,					[
						16,
						cr.behaviors.Sin.prototype.acts.SetMagnitude,
						"Sine",
						6137658177441159,
						false
						,[
						[
							0,
							[
								0,
								4
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						1119661347043522,
						false
						,[
						[
							0,
							[
								1,
								0.6
							]
						]
						]
					]
,					[
						16,
						cr.behaviors.Sin.prototype.acts.SetMagnitude,
						"Sine",
						1407919186028137,
						false
						,[
						[
							0,
							[
								0,
								3
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						9765453168282247,
						false
						,[
						[
							0,
							[
								1,
								0.6
							]
						]
						]
					]
,					[
						16,
						cr.behaviors.Sin.prototype.acts.SetMagnitude,
						"Sine",
						6073245592752909,
						false
						,[
						[
							0,
							[
								0,
								2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						3714371547044699,
						false
						,[
						[
							0,
							[
								1,
								0.6
							]
						]
						]
					]
,					[
						16,
						cr.behaviors.Sin.prototype.acts.SetMagnitude,
						"Sine",
						5762971455654456,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						7625048944309981,
						false
						,[
						[
							0,
							[
								1,
								0.6
							]
						]
						]
					]
,					[
						16,
						cr.behaviors.Sin.prototype.acts.SetActive,
						"Sine",
						3044085274087194,
						false
						,[
						[
							3,
							0
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					8522271561047008,
					[
					[
						16,
						cr.plugins_.Sprite.prototype.cnds.CompareX,
						null,
						0,
						false,
						false,
						false,
						5903164382305059,
						false
						,[
						[
							8,
							2
						]
,						[
							0,
							[
								0,
								750
							]
						]
						]
					]
					],
					[
					[
						16,
						cr.plugins_.Sprite.prototype.acts.SetX,
						null,
						820210053760217,
						false
						,[
						[
							0,
							[
								0,
								750
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7492986265029808,
					[
					[
						16,
						cr.plugins_.Sprite.prototype.cnds.CompareX,
						null,
						0,
						false,
						false,
						false,
						977827833834911,
						false
						,[
						[
							8,
							4
						]
,						[
							0,
							[
								0,
								1150
							]
						]
						]
					]
					],
					[
					[
						16,
						cr.plugins_.Sprite.prototype.acts.SetX,
						null,
						552991357515184,
						false
						,[
						[
							0,
							[
								0,
								1150
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7584424980329822,
					[
					[
						16,
						cr.plugins_.Sprite.prototype.cnds.CompareY,
						null,
						0,
						false,
						false,
						false,
						7771133455058145,
						false
						,[
						[
							8,
							4
						]
,						[
							0,
							[
								0,
								310
							]
						]
						]
					]
					],
					[
					[
						16,
						cr.plugins_.Sprite.prototype.acts.SetY,
						null,
						5741242160315169,
						false
						,[
						[
							0,
							[
								0,
								310
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5503943076346653,
					[
					[
						16,
						cr.plugins_.Sprite.prototype.cnds.CompareY,
						null,
						0,
						false,
						false,
						false,
						729825220839706,
						false
						,[
						[
							8,
							2
						]
,						[
							0,
							[
								0,
								110
							]
						]
						]
					]
					],
					[
					[
						16,
						cr.plugins_.Sprite.prototype.acts.SetY,
						null,
						2337022124659089,
						false
						,[
						[
							0,
							[
								0,
								110
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7873076189183531,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.OnTouchObject,
						null,
						1,
						false,
						false,
						false,
						3595065045559822,
						false
						,[
						[
							4,
							16
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						2992926435495185,
						false
						,[
						[
							11,
							"quadroX"
						]
,						[
							7,
							[
								20,
								16,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						3252364906297466,
						false
						,[
						[
							11,
							"quadroY"
						]
,						[
							7,
							[
								20,
								16,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
						]
						]
					]
,					[
						16,
						cr.plugins_.Sprite.prototype.acts.MoveToTop,
						null,
						9732001179364446,
						false
					]
,					[
						94,
						cr.plugins_.Sprite.prototype.acts.SetBoolInstanceVar,
						null,
						7751280230723085,
						false
						,[
						[
							10,
							0
						]
,						[
							3,
							1
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					8571809328549642,
					[
					[
						16,
						cr.behaviors.DragnDrop.prototype.cnds.OnDrop,
						"DragDrop",
						1,
						false,
						false,
						false,
						9889110515319522,
						false
					]
,					[
						16,
						cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
						null,
						0,
						false,
						false,
						false,
						9012307187065187,
						false
						,[
						[
							4,
							115
						]
						]
					]
					],
					[
					[
						16,
						cr.behaviors.Rex_MoveTo.prototype.acts.SetTargetPos,
						"MoveTo",
						1483159990836618,
						false
						,[
						[
							0,
							[
								23,
								"quadroX"
							]
						]
,						[
							0,
							[
								23,
								"quadroY"
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				[true, "quadro4"],
				false,
				null,
				6556458510653367,
				[
				[
					-1,
					cr.system_object.prototype.cnds.IsGroupActive,
					null,
					0,
					false,
					false,
					false,
					6556458510653367,
					false
					,[
					[
						1,
						[
							2,
							"quadro4"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					3272606225223566,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.OnTouchEnd,
						null,
						1,
						false,
						false,
						false,
						6852372896782134,
						false
					]
,					[
						21,
						cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
						null,
						0,
						false,
						false,
						false,
						9676594481017379,
						false
						,[
						[
							4,
							17
						]
						]
					]
,					[
						17,
						cr.behaviors.Sin.prototype.cnds.IsActive,
						"Sine",
						0,
						false,
						true,
						false,
						6925028717312149,
						false
					]
					],
					[
					[
						17,
						cr.behaviors.Sin.prototype.acts.SetActive,
						"Sine",
						1073517013655394,
						false
						,[
						[
							3,
							1
						]
						]
					]
,					[
						17,
						cr.behaviors.Sin.prototype.acts.SetMagnitude,
						"Sine",
						5003428149760814,
						false
						,[
						[
							0,
							[
								0,
								5
							]
						]
						]
					]
,					[
						23,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						9498634470854728,
						false
						,[
						[
							2,
							["quadroshake",false]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								15
							]
						]
,						[
							1,
							[
								2,
								"quadroShake"
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						915335474262225,
						false
						,[
						[
							0,
							[
								1,
								0.6
							]
						]
						]
					]
,					[
						17,
						cr.behaviors.Sin.prototype.acts.SetMagnitude,
						"Sine",
						6137658177441159,
						false
						,[
						[
							0,
							[
								0,
								4
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						1119661347043522,
						false
						,[
						[
							0,
							[
								1,
								0.6
							]
						]
						]
					]
,					[
						17,
						cr.behaviors.Sin.prototype.acts.SetMagnitude,
						"Sine",
						1407919186028137,
						false
						,[
						[
							0,
							[
								0,
								3
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						9765453168282247,
						false
						,[
						[
							0,
							[
								1,
								0.6
							]
						]
						]
					]
,					[
						17,
						cr.behaviors.Sin.prototype.acts.SetMagnitude,
						"Sine",
						6073245592752909,
						false
						,[
						[
							0,
							[
								0,
								2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						3714371547044699,
						false
						,[
						[
							0,
							[
								1,
								0.6
							]
						]
						]
					]
,					[
						17,
						cr.behaviors.Sin.prototype.acts.SetMagnitude,
						"Sine",
						5762971455654456,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						7625048944309981,
						false
						,[
						[
							0,
							[
								1,
								0.6
							]
						]
						]
					]
,					[
						17,
						cr.behaviors.Sin.prototype.acts.SetActive,
						"Sine",
						3044085274087194,
						false
						,[
						[
							3,
							0
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					8522271561047008,
					[
					[
						17,
						cr.plugins_.Sprite.prototype.cnds.CompareX,
						null,
						0,
						false,
						false,
						false,
						5903164382305059,
						false
						,[
						[
							8,
							2
						]
,						[
							0,
							[
								0,
								750
							]
						]
						]
					]
					],
					[
					[
						17,
						cr.plugins_.Sprite.prototype.acts.SetX,
						null,
						820210053760217,
						false
						,[
						[
							0,
							[
								0,
								750
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7492986265029808,
					[
					[
						17,
						cr.plugins_.Sprite.prototype.cnds.CompareX,
						null,
						0,
						false,
						false,
						false,
						977827833834911,
						false
						,[
						[
							8,
							4
						]
,						[
							0,
							[
								0,
								1150
							]
						]
						]
					]
					],
					[
					[
						17,
						cr.plugins_.Sprite.prototype.acts.SetX,
						null,
						552991357515184,
						false
						,[
						[
							0,
							[
								0,
								1150
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7584424980329822,
					[
					[
						17,
						cr.plugins_.Sprite.prototype.cnds.CompareY,
						null,
						0,
						false,
						false,
						false,
						7771133455058145,
						false
						,[
						[
							8,
							4
						]
,						[
							0,
							[
								0,
								310
							]
						]
						]
					]
					],
					[
					[
						17,
						cr.plugins_.Sprite.prototype.acts.SetY,
						null,
						5741242160315169,
						false
						,[
						[
							0,
							[
								0,
								310
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5503943076346653,
					[
					[
						17,
						cr.plugins_.Sprite.prototype.cnds.CompareY,
						null,
						0,
						false,
						false,
						false,
						729825220839706,
						false
						,[
						[
							8,
							2
						]
,						[
							0,
							[
								0,
								110
							]
						]
						]
					]
					],
					[
					[
						17,
						cr.plugins_.Sprite.prototype.acts.SetY,
						null,
						2337022124659089,
						false
						,[
						[
							0,
							[
								0,
								110
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7873076189183531,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.OnTouchObject,
						null,
						1,
						false,
						false,
						false,
						3595065045559822,
						false
						,[
						[
							4,
							17
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						2992926435495185,
						false
						,[
						[
							11,
							"quadroX"
						]
,						[
							7,
							[
								20,
								17,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						3252364906297466,
						false
						,[
						[
							11,
							"quadroY"
						]
,						[
							7,
							[
								20,
								17,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
						]
						]
					]
,					[
						17,
						cr.plugins_.Sprite.prototype.acts.MoveToTop,
						null,
						9732001179364446,
						false
					]
,					[
						94,
						cr.plugins_.Sprite.prototype.acts.SetBoolInstanceVar,
						null,
						1214666514645713,
						false
						,[
						[
							10,
							0
						]
,						[
							3,
							1
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					8571809328549642,
					[
					[
						17,
						cr.behaviors.DragnDrop.prototype.cnds.OnDrop,
						"DragDrop",
						1,
						false,
						false,
						false,
						9889110515319522,
						false
					]
,					[
						17,
						cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
						null,
						0,
						false,
						false,
						false,
						9012307187065187,
						false
						,[
						[
							4,
							115
						]
						]
					]
					],
					[
					[
						17,
						cr.behaviors.Rex_MoveTo.prototype.acts.SetTargetPos,
						"MoveTo",
						1483159990836618,
						false
						,[
						[
							0,
							[
								23,
								"quadroX"
							]
						]
,						[
							0,
							[
								23,
								"quadroY"
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				[true, "quadro5"],
				false,
				null,
				6430183676274294,
				[
				[
					-1,
					cr.system_object.prototype.cnds.IsGroupActive,
					null,
					0,
					false,
					false,
					false,
					6430183676274294,
					false
					,[
					[
						1,
						[
							2,
							"quadro5"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					3272606225223566,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.OnTouchEnd,
						null,
						1,
						false,
						false,
						false,
						6852372896782134,
						false
					]
,					[
						21,
						cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
						null,
						0,
						false,
						false,
						false,
						9676594481017379,
						false
						,[
						[
							4,
							18
						]
						]
					]
,					[
						18,
						cr.behaviors.Sin.prototype.cnds.IsActive,
						"Sine",
						0,
						false,
						true,
						false,
						6925028717312149,
						false
					]
					],
					[
					[
						18,
						cr.behaviors.Sin.prototype.acts.SetActive,
						"Sine",
						1073517013655394,
						false
						,[
						[
							3,
							1
						]
						]
					]
,					[
						18,
						cr.behaviors.Sin.prototype.acts.SetMagnitude,
						"Sine",
						5003428149760814,
						false
						,[
						[
							0,
							[
								0,
								5
							]
						]
						]
					]
,					[
						23,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						8179320367619851,
						false
						,[
						[
							2,
							["quadroshake",false]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								15
							]
						]
,						[
							1,
							[
								2,
								"quadroShake"
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						915335474262225,
						false
						,[
						[
							0,
							[
								1,
								0.6
							]
						]
						]
					]
,					[
						18,
						cr.behaviors.Sin.prototype.acts.SetMagnitude,
						"Sine",
						6137658177441159,
						false
						,[
						[
							0,
							[
								0,
								4
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						1119661347043522,
						false
						,[
						[
							0,
							[
								1,
								0.6
							]
						]
						]
					]
,					[
						18,
						cr.behaviors.Sin.prototype.acts.SetMagnitude,
						"Sine",
						1407919186028137,
						false
						,[
						[
							0,
							[
								0,
								3
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						9765453168282247,
						false
						,[
						[
							0,
							[
								1,
								0.6
							]
						]
						]
					]
,					[
						18,
						cr.behaviors.Sin.prototype.acts.SetMagnitude,
						"Sine",
						6073245592752909,
						false
						,[
						[
							0,
							[
								0,
								2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						3714371547044699,
						false
						,[
						[
							0,
							[
								1,
								0.6
							]
						]
						]
					]
,					[
						18,
						cr.behaviors.Sin.prototype.acts.SetMagnitude,
						"Sine",
						5762971455654456,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						7625048944309981,
						false
						,[
						[
							0,
							[
								1,
								0.6
							]
						]
						]
					]
,					[
						18,
						cr.behaviors.Sin.prototype.acts.SetActive,
						"Sine",
						3044085274087194,
						false
						,[
						[
							3,
							0
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					8522271561047008,
					[
					[
						18,
						cr.plugins_.Sprite.prototype.cnds.CompareX,
						null,
						0,
						false,
						false,
						false,
						5903164382305059,
						false
						,[
						[
							8,
							2
						]
,						[
							0,
							[
								0,
								750
							]
						]
						]
					]
					],
					[
					[
						18,
						cr.plugins_.Sprite.prototype.acts.SetX,
						null,
						820210053760217,
						false
						,[
						[
							0,
							[
								0,
								750
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7492986265029808,
					[
					[
						18,
						cr.plugins_.Sprite.prototype.cnds.CompareX,
						null,
						0,
						false,
						false,
						false,
						977827833834911,
						false
						,[
						[
							8,
							4
						]
,						[
							0,
							[
								0,
								1150
							]
						]
						]
					]
					],
					[
					[
						18,
						cr.plugins_.Sprite.prototype.acts.SetX,
						null,
						552991357515184,
						false
						,[
						[
							0,
							[
								0,
								1150
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7584424980329822,
					[
					[
						18,
						cr.plugins_.Sprite.prototype.cnds.CompareY,
						null,
						0,
						false,
						false,
						false,
						7771133455058145,
						false
						,[
						[
							8,
							4
						]
,						[
							0,
							[
								0,
								310
							]
						]
						]
					]
					],
					[
					[
						18,
						cr.plugins_.Sprite.prototype.acts.SetY,
						null,
						5741242160315169,
						false
						,[
						[
							0,
							[
								0,
								310
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5503943076346653,
					[
					[
						18,
						cr.plugins_.Sprite.prototype.cnds.CompareY,
						null,
						0,
						false,
						false,
						false,
						729825220839706,
						false
						,[
						[
							8,
							2
						]
,						[
							0,
							[
								0,
								110
							]
						]
						]
					]
					],
					[
					[
						18,
						cr.plugins_.Sprite.prototype.acts.SetY,
						null,
						2337022124659089,
						false
						,[
						[
							0,
							[
								0,
								110
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7873076189183531,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.OnTouchObject,
						null,
						1,
						false,
						false,
						false,
						3595065045559822,
						false
						,[
						[
							4,
							18
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						2992926435495185,
						false
						,[
						[
							11,
							"quadroX"
						]
,						[
							7,
							[
								20,
								18,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						3252364906297466,
						false
						,[
						[
							11,
							"quadroY"
						]
,						[
							7,
							[
								20,
								18,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
						]
						]
					]
,					[
						18,
						cr.plugins_.Sprite.prototype.acts.MoveToTop,
						null,
						9732001179364446,
						false
					]
,					[
						94,
						cr.plugins_.Sprite.prototype.acts.SetBoolInstanceVar,
						null,
						9799292860471049,
						false
						,[
						[
							10,
							0
						]
,						[
							3,
							1
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					8571809328549642,
					[
					[
						18,
						cr.behaviors.DragnDrop.prototype.cnds.OnDrop,
						"DragDrop",
						1,
						false,
						false,
						false,
						9889110515319522,
						false
					]
,					[
						18,
						cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
						null,
						0,
						false,
						false,
						false,
						9012307187065187,
						false
						,[
						[
							4,
							115
						]
						]
					]
					],
					[
					[
						18,
						cr.behaviors.Rex_MoveTo.prototype.acts.SetTargetPos,
						"MoveTo",
						1483159990836618,
						false
						,[
						[
							0,
							[
								23,
								"quadroX"
							]
						]
,						[
							0,
							[
								23,
								"quadroY"
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				[true, "quadro6"],
				false,
				null,
				482997177656197,
				[
				[
					-1,
					cr.system_object.prototype.cnds.IsGroupActive,
					null,
					0,
					false,
					false,
					false,
					482997177656197,
					false
					,[
					[
						1,
						[
							2,
							"quadro6"
						]
					]
					]
				]
				],
				[
				]
				,[
				[
					0,
					null,
					false,
					null,
					3272606225223566,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.OnTouchEnd,
						null,
						1,
						false,
						false,
						false,
						6852372896782134,
						false
					]
,					[
						21,
						cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
						null,
						0,
						false,
						false,
						false,
						9676594481017379,
						false
						,[
						[
							4,
							19
						]
						]
					]
,					[
						19,
						cr.behaviors.Sin.prototype.cnds.IsActive,
						"Sine",
						0,
						false,
						true,
						false,
						6925028717312149,
						false
					]
					],
					[
					[
						19,
						cr.behaviors.Sin.prototype.acts.SetActive,
						"Sine",
						1073517013655394,
						false
						,[
						[
							3,
							1
						]
						]
					]
,					[
						19,
						cr.behaviors.Sin.prototype.acts.SetMagnitude,
						"Sine",
						5003428149760814,
						false
						,[
						[
							0,
							[
								0,
								5
							]
						]
						]
					]
,					[
						23,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						5382402079270161,
						false
						,[
						[
							2,
							["quadroshake",false]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								15
							]
						]
,						[
							1,
							[
								2,
								"quadroShake"
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						915335474262225,
						false
						,[
						[
							0,
							[
								1,
								0.6
							]
						]
						]
					]
,					[
						19,
						cr.behaviors.Sin.prototype.acts.SetMagnitude,
						"Sine",
						6137658177441159,
						false
						,[
						[
							0,
							[
								0,
								4
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						1119661347043522,
						false
						,[
						[
							0,
							[
								1,
								0.6
							]
						]
						]
					]
,					[
						19,
						cr.behaviors.Sin.prototype.acts.SetMagnitude,
						"Sine",
						1407919186028137,
						false
						,[
						[
							0,
							[
								0,
								3
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						9765453168282247,
						false
						,[
						[
							0,
							[
								1,
								0.6
							]
						]
						]
					]
,					[
						19,
						cr.behaviors.Sin.prototype.acts.SetMagnitude,
						"Sine",
						6073245592752909,
						false
						,[
						[
							0,
							[
								0,
								2
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						3714371547044699,
						false
						,[
						[
							0,
							[
								1,
								0.6
							]
						]
						]
					]
,					[
						19,
						cr.behaviors.Sin.prototype.acts.SetMagnitude,
						"Sine",
						5762971455654456,
						false
						,[
						[
							0,
							[
								0,
								1
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.Wait,
						null,
						7625048944309981,
						false
						,[
						[
							0,
							[
								1,
								0.6
							]
						]
						]
					]
,					[
						19,
						cr.behaviors.Sin.prototype.acts.SetActive,
						"Sine",
						3044085274087194,
						false
						,[
						[
							3,
							0
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					8522271561047008,
					[
					[
						19,
						cr.plugins_.Sprite.prototype.cnds.CompareX,
						null,
						0,
						false,
						false,
						false,
						5903164382305059,
						false
						,[
						[
							8,
							2
						]
,						[
							0,
							[
								0,
								750
							]
						]
						]
					]
					],
					[
					[
						19,
						cr.plugins_.Sprite.prototype.acts.SetX,
						null,
						820210053760217,
						false
						,[
						[
							0,
							[
								0,
								750
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7492986265029808,
					[
					[
						19,
						cr.plugins_.Sprite.prototype.cnds.CompareX,
						null,
						0,
						false,
						false,
						false,
						977827833834911,
						false
						,[
						[
							8,
							4
						]
,						[
							0,
							[
								0,
								1150
							]
						]
						]
					]
					],
					[
					[
						19,
						cr.plugins_.Sprite.prototype.acts.SetX,
						null,
						552991357515184,
						false
						,[
						[
							0,
							[
								0,
								1150
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7584424980329822,
					[
					[
						19,
						cr.plugins_.Sprite.prototype.cnds.CompareY,
						null,
						0,
						false,
						false,
						false,
						7771133455058145,
						false
						,[
						[
							8,
							4
						]
,						[
							0,
							[
								0,
								310
							]
						]
						]
					]
					],
					[
					[
						19,
						cr.plugins_.Sprite.prototype.acts.SetY,
						null,
						5741242160315169,
						false
						,[
						[
							0,
							[
								0,
								310
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					5503943076346653,
					[
					[
						19,
						cr.plugins_.Sprite.prototype.cnds.CompareY,
						null,
						0,
						false,
						false,
						false,
						729825220839706,
						false
						,[
						[
							8,
							2
						]
,						[
							0,
							[
								0,
								110
							]
						]
						]
					]
					],
					[
					[
						19,
						cr.plugins_.Sprite.prototype.acts.SetY,
						null,
						2337022124659089,
						false
						,[
						[
							0,
							[
								0,
								110
							]
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7873076189183531,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.OnTouchObject,
						null,
						1,
						false,
						false,
						false,
						3595065045559822,
						false
						,[
						[
							4,
							19
						]
						]
					]
					],
					[
					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						2992926435495185,
						false
						,[
						[
							11,
							"quadroX"
						]
,						[
							7,
							[
								20,
								19,
								cr.plugins_.Sprite.prototype.exps.X,
								false,
								null
							]
						]
						]
					]
,					[
						-1,
						cr.system_object.prototype.acts.SetVar,
						null,
						3252364906297466,
						false
						,[
						[
							11,
							"quadroY"
						]
,						[
							7,
							[
								20,
								19,
								cr.plugins_.Sprite.prototype.exps.Y,
								false,
								null
							]
						]
						]
					]
,					[
						19,
						cr.plugins_.Sprite.prototype.acts.MoveToTop,
						null,
						9732001179364446,
						false
					]
,					[
						94,
						cr.plugins_.Sprite.prototype.acts.SetBoolInstanceVar,
						null,
						346410041010742,
						false
						,[
						[
							10,
							0
						]
,						[
							3,
							1
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					8571809328549642,
					[
					[
						19,
						cr.behaviors.DragnDrop.prototype.cnds.OnDrop,
						"DragDrop",
						1,
						false,
						false,
						false,
						9889110515319522,
						false
					]
,					[
						19,
						cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
						null,
						0,
						false,
						false,
						false,
						9012307187065187,
						false
						,[
						[
							4,
							115
						]
						]
					]
					],
					[
					[
						19,
						cr.behaviors.Rex_MoveTo.prototype.acts.SetTargetPos,
						"MoveTo",
						1483159990836618,
						false
						,[
						[
							0,
							[
								23,
								"quadroX"
							]
						]
,						[
							0,
							[
								23,
								"quadroY"
							]
						]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "AUDIO"],
			false,
			null,
			91938091812645,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				91938091812645,
				false
				,[
				[
					1,
					[
						2,
						"AUDIO"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				7910541962282671,
				[
				[
					23,
					cr.plugins_.Audio.prototype.cnds.IsTagPlaying,
					null,
					0,
					false,
					false,
					false,
					4532289760653629,
					false
					,[
					[
						1,
						[
							2,
							"quarto"
						]
					]
					]
				]
,				[
					57,
					cr.plugins_.Sprite.prototype.cnds.IsVisible,
					null,
					0,
					false,
					true,
					false,
					334539893371304,
					false
				]
				],
				[
				[
					57,
					cr.plugins_.Sprite.prototype.acts.SetVisible,
					null,
					8149649518692951,
					false
					,[
					[
						3,
						1
					]
					]
				]
,				[
					57,
					cr.plugins_.Sprite.prototype.acts.StartAnim,
					null,
					4136648793721262,
					false
					,[
					[
						3,
						1
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			[true, "BOTOES4"],
			false,
			null,
			5865846323562204,
			[
			[
				-1,
				cr.system_object.prototype.cnds.IsGroupActive,
				null,
				0,
				false,
				false,
				false,
				5865846323562204,
				false
				,[
				[
					1,
					[
						2,
						"BOTOES4"
					]
				]
				]
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				786281286559768,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					5453607238039138,
					false
					,[
					[
						4,
						107
					]
					]
				]
				],
				[
				[
					107,
					cr.plugins_.Sprite.prototype.acts.SetOpacity,
					null,
					1330746731973891,
					false
					,[
					[
						0,
						[
							0,
							70
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				1248228465469555,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					6802634469648051,
					false
					,[
					[
						4,
						109
					]
					]
				]
				],
				[
				[
					109,
					cr.plugins_.Sprite.prototype.acts.SetOpacity,
					null,
					3697223487511048,
					false
					,[
					[
						0,
						[
							0,
							70
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				2749654886415442,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchObject,
					null,
					1,
					false,
					false,
					false,
					2252979136895032,
					false
					,[
					[
						4,
						108
					]
					]
				]
				],
				[
				[
					108,
					cr.plugins_.Sprite.prototype.acts.SetOpacity,
					null,
					832099496362943,
					false
					,[
					[
						0,
						[
							0,
							70
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				7781310351739441,
				[
				[
					21,
					cr.plugins_.Touch.prototype.cnds.OnTouchEnd,
					null,
					1,
					false,
					false,
					false,
					6549592439775831,
					false
				]
				],
				[
				[
					107,
					cr.plugins_.Sprite.prototype.acts.SetOpacity,
					null,
					5275472792178586,
					false
					,[
					[
						0,
						[
							0,
							100
						]
					]
					]
				]
,				[
					109,
					cr.plugins_.Sprite.prototype.acts.SetOpacity,
					null,
					9447674772421996,
					false
					,[
					[
						0,
						[
							0,
							100
						]
					]
					]
				]
,				[
					108,
					cr.plugins_.Sprite.prototype.acts.SetOpacity,
					null,
					619137745547418,
					false
					,[
					[
						0,
						[
							0,
							100
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					367383544644527,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
						null,
						0,
						false,
						false,
						false,
						3298473989809718,
						false
						,[
						[
							4,
							109
						]
						]
					]
					],
					[
					[
						57,
						cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
						null,
						4899597706086554,
						false
						,[
						[
							0,
							[
								0,
								0
							]
						]
						]
					]
,					[
						57,
						cr.plugins_.Sprite.prototype.acts.StartAnim,
						null,
						3030109756475695,
						false
						,[
						[
							3,
							1
						]
						]
					]
,					[
						57,
						cr.plugins_.Sprite.prototype.acts.SetOpacity,
						null,
						2924323062494174,
						false
						,[
						[
							0,
							[
								0,
								100
							]
						]
						]
					]
,					[
						23,
						cr.plugins_.Audio.prototype.acts.StopAll,
						null,
						9941574267437907,
						false
					]
,					[
						23,
						cr.plugins_.Audio.prototype.acts.Play,
						null,
						5234690414014219,
						false
						,[
						[
							2,
							["quarto",true]
						]
,						[
							3,
							0
						]
,						[
							0,
							[
								0,
								-12
							]
						]
,						[
							1,
							[
								2,
								"quarto"
							]
						]
						]
					]
,					[
						107,
						cr.plugins_.Sprite.prototype.acts.SetAnim,
						null,
						2017478152898798,
						false
						,[
						[
							1,
							[
								2,
								"anime1"
							]
						]
,						[
							3,
							1
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					4272241973592211,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
						null,
						0,
						false,
						false,
						false,
						8462138252197766,
						false
						,[
						[
							4,
							108
						]
						]
					]
					],
					[
					[
						23,
						cr.plugins_.Audio.prototype.acts.StopAll,
						null,
						6306969030641393,
						false
					]
,					[
						-1,
						cr.system_object.prototype.acts.GoToLayout,
						null,
						9502499039036366,
						false
						,[
						[
							6,
							"cartaMenu"
						]
						]
					]
					]
				]
,				[
					0,
					null,
					false,
					null,
					7936353052012942,
					[
					[
						21,
						cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
						null,
						0,
						false,
						false,
						false,
						6738655546269487,
						false
						,[
						[
							4,
							107
						]
						]
					]
					],
					[
					]
					,[
					[
						0,
						null,
						false,
						null,
						29841145913538,
						[
						[
							-1,
							cr.system_object.prototype.cnds.Compare,
							null,
							0,
							false,
							false,
							false,
							7952710557177523,
							false
							,[
							[
								7,
								[
									20,
									107,
									cr.plugins_.Sprite.prototype.exps.AnimationName,
									true,
									null
								]
							]
,							[
								8,
								0
							]
,							[
								7,
								[
									2,
									"anime1"
								]
							]
							]
						]
						],
						[
						[
							107,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							9649020027820014,
							false
							,[
							[
								1,
								[
									2,
									"anime2"
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							23,
							cr.plugins_.Audio.prototype.acts.SetMuted,
							null,
							7491435114890309,
							false
							,[
							[
								1,
								[
									2,
									"quarto"
								]
							]
,							[
								3,
								0
							]
							]
						]
,						[
							23,
							cr.plugins_.Audio.prototype.acts.SetMuted,
							null,
							8039870438992855,
							false
							,[
							[
								1,
								[
									2,
									"musicLoop"
								]
							]
,							[
								3,
								0
							]
							]
						]
						]
					]
,					[
						0,
						null,
						false,
						null,
						466055032148352,
						[
						[
							-1,
							cr.system_object.prototype.cnds.Else,
							null,
							0,
							false,
							false,
							false,
							2086295904042072,
							false
						]
						],
						[
						[
							107,
							cr.plugins_.Sprite.prototype.acts.SetAnim,
							null,
							5758276795862988,
							false
							,[
							[
								1,
								[
									2,
									"anime1"
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							23,
							cr.plugins_.Audio.prototype.acts.SetMuted,
							null,
							6673678799222588,
							false
							,[
							[
								1,
								[
									2,
									"quarto"
								]
							]
,							[
								3,
								1
							]
							]
						]
,						[
							23,
							cr.plugins_.Audio.prototype.acts.SetMuted,
							null,
							6807903280245495,
							false
							,[
							[
								1,
								[
									2,
									"musicLoop"
								]
							]
,							[
								3,
								1
							]
							]
						]
						]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				5586681868183113,
				[
				[
					23,
					cr.plugins_.Audio.prototype.cnds.OnEnded,
					null,
					1,
					false,
					false,
					false,
					9600751574922329,
					false
					,[
					[
						1,
						[
							2,
							"quarto"
						]
					]
					]
				]
				],
				[
				[
					57,
					cr.plugins_.Sprite.prototype.acts.SetOpacity,
					null,
					2772336703813562,
					false
					,[
					[
						0,
						[
							0,
							0
						]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Play,
					null,
					9710578898602929,
					false
					,[
					[
						2,
						["aberturaloop",true]
					]
,					[
						3,
						1
					]
,					[
						0,
						[
							0,
							-25
						]
					]
,					[
						1,
						[
							2,
							"musicLoop"
						]
					]
					]
				]
				]
				,[
				[
					0,
					null,
					false,
					null,
					3704353603780844,
					[
					[
						-1,
						cr.system_object.prototype.cnds.Compare,
						null,
						0,
						false,
						false,
						false,
						2937106550567182,
						false
						,[
						[
							7,
							[
								20,
								107,
								cr.plugins_.Sprite.prototype.exps.AnimationName,
								true,
								null
							]
						]
,						[
							8,
							0
						]
,						[
							7,
							[
								2,
								"anime2"
							]
						]
						]
					]
					],
					[
					[
						23,
						cr.plugins_.Audio.prototype.acts.SetMuted,
						null,
						7127936017097703,
						false
						,[
						[
							1,
							[
								2,
								"musicLoop"
							]
						]
,						[
							3,
							0
						]
						]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			1469823290976944,
			[
			[
				21,
				cr.plugins_.Touch.prototype.cnds.OnTouchEnd,
				null,
				1,
				false,
				false,
				false,
				1716324282285432,
				false
			]
			],
			[
			[
				94,
				cr.plugins_.Sprite.prototype.acts.SetBoolInstanceVar,
				null,
				6794153935775249,
				false
				,[
				[
					10,
					0
				]
,				[
					3,
					0
				]
				]
			]
,			[
				94,
				cr.behaviors.DragnDrop.prototype.acts.SetEnabled,
				"DragDrop",
				6938977719523862,
				false
				,[
				[
					3,
					1
				]
				]
			]
			]
		]
		]
	]
,	[
		"preloaderEvents",
		[
		[
			0,
			null,
			false,
			null,
			3559011047230406,
			[
			[
				-1,
				cr.system_object.prototype.cnds.OnLayoutStart,
				null,
				1,
				false,
				false,
				false,
				7596361324335377,
				false
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				6088851782738056,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					4607745793015851,
					false
					,[
					[
						11,
						"counterFase"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				],
				[
				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					9914170823702642,
					false
					,[
					[
						2,
						["terradorosadia",true]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					5633357977409922,
					false
					,[
					[
						2,
						["terradorosanoite",true]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					3700868769762313,
					false
					,[
					[
						2,
						["arbusto",false]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					8282654882645218,
					false
					,[
					[
						2,
						["birdinho",false]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					2745904701098392,
					false
					,[
					[
						2,
						["birdjump",false]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					4111400962598036,
					false
					,[
					[
						2,
						["fumaca",false]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					6218228557639377,
					false
					,[
					[
						2,
						["birdflying",false]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					9839963315251752,
					false
					,[
					[
						2,
						["florcresce",false]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					4696335471730364,
					false
					,[
					[
						2,
						["florencolhe",false]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					8893931053582858,
					false
					,[
					[
						2,
						["nanahaha",false]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					5492821417783828,
					false
					,[
					[
						2,
						["interruptor",false]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					5417174777006496,
					false
					,[
					[
						2,
						["interruptor2",false]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					9625251487652216,
					false
					,[
					[
						2,
						["nanarindo",false]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					6814782870789261,
					false
					,[
					[
						2,
						["nanarindo2",false]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					3182320720373586,
					false
					,[
					[
						2,
						["ronquinho2",false]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					3829499169711431,
					false
					,[
					[
						2,
						["estrela",false]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					810380551239563,
					false
					,[
					[
						2,
						["birdao",false]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					7252133491167687,
					false
					,[
					[
						2,
						["lua",false]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				4700850884619732,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					3797764551703081,
					false
					,[
					[
						11,
						"counterFase"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							2
						]
					]
					]
				]
				],
				[
				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					4036241701204033,
					false
					,[
					[
						2,
						["parkdia",true]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					4080826571123001,
					false
					,[
					[
						2,
						["parknoite",true]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					9379139199128436,
					false
					,[
					[
						2,
						["lixeira",false]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					1673677352685837,
					false
					,[
					[
						2,
						["birdflying",false]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					6499345075306325,
					false
					,[
					[
						2,
						["birdinho",false]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					8089719844580684,
					false
					,[
					[
						2,
						["birdjump",false]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					4805298544741061,
					false
					,[
					[
						2,
						["apple",false]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					4954903495985633,
					false
					,[
					[
						2,
						["appleground",false]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					6459887999086364,
					false
					,[
					[
						2,
						["appleground2",false]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					4852729833452291,
					false
					,[
					[
						2,
						["balloon",false]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					5706898384124344,
					false
					,[
					[
						2,
						["joga",false]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					870529835992466,
					false
					,[
					[
						2,
						["graos",false]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					8761641432030782,
					false
					,[
					[
						2,
						["florcresce",false]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					3740652272910916,
					false
					,[
					[
						2,
						["florencolhe",false]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					7226384023493071,
					false
					,[
					[
						2,
						["transito",false]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					4229227219863562,
					false
					,[
					[
						2,
						["nanahaha",false]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					3083696685566761,
					false
					,[
					[
						2,
						["aviao",false]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					8803107124804571,
					false
					,[
					[
						2,
						["aviaolixo",false]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					4098565189507835,
					false
					,[
					[
						2,
						["aviaozinhocaindo",false]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					7648484448889788,
					false
					,[
					[
						2,
						["estrela",false]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					6511147045312401,
					false
					,[
					[
						2,
						["ronquinho",false]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					8316995029157469,
					false
					,[
					[
						2,
						["ronquinho2",false]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					9509189661041045,
					false
					,[
					[
						2,
						["ronquinho3",false]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					3718768094201776,
					false
					,[
					[
						2,
						["ronquinho3",false]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					6874853530558191,
					false
					,[
					[
						2,
						["birdao",false]
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				7522464852945183,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					5607244396060633,
					false
					,[
					[
						11,
						"counterFase"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							3
						]
					]
					]
				]
				],
				[
				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					8362901189339594,
					false
					,[
					[
						2,
						["quarto",true]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					2500160397828678,
					false
					,[
					[
						2,
						["vinil",false]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					8886194236810937,
					false
					,[
					[
						2,
						["potes",false]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					5945431031213767,
					false
					,[
					[
						2,
						["quadroshake",false]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					7204707351549198,
					false
					,[
					[
						2,
						["plaquinha",false]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					4397974560479712,
					false
					,[
					[
						2,
						["perfume",false]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					5059694560778764,
					false
					,[
					[
						2,
						["nanabeijinho",false]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					2414847785363892,
					false
					,[
					[
						2,
						["magicbox",false]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					9054123589968603,
					false
					,[
					[
						2,
						["gato2",false]
					]
					]
				]
,				[
					23,
					cr.plugins_.Audio.prototype.acts.Preload,
					null,
					7908222245064761,
					false
					,[
					[
						2,
						["gato1",false]
					]
					]
				]
				]
			]
			]
		]
,		[
			0,
			null,
			false,
			null,
			8907994676639742,
			[
			[
				23,
				cr.plugins_.Audio.prototype.cnds.PreloadsComplete,
				null,
				0,
				false,
				false,
				false,
				7772974064422136,
				false
			]
			],
			[
			]
			,[
			[
				0,
				null,
				false,
				null,
				5295951622053359,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					6905392146135398,
					false
					,[
					[
						11,
						"counterFase"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							1
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.GoToLayout,
					null,
					9950355056550829,
					false
					,[
					[
						6,
						"terraDia"
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				5650304145102695,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					1797852079319395,
					false
					,[
					[
						11,
						"counterFase"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							2
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.GoToLayout,
					null,
					2987363004891347,
					false
					,[
					[
						6,
						"parkDia"
					]
					]
				]
				]
			]
,			[
				0,
				null,
				false,
				null,
				4805070095638418,
				[
				[
					-1,
					cr.system_object.prototype.cnds.CompareVar,
					null,
					0,
					false,
					false,
					false,
					3176334220490515,
					false
					,[
					[
						11,
						"counterFase"
					]
,					[
						8,
						0
					]
,					[
						7,
						[
							0,
							3
						]
					]
					]
				]
				],
				[
				[
					-1,
					cr.system_object.prototype.acts.GoToLayout,
					null,
					5277588751971853,
					false
					,[
					[
						6,
						"quarto"
					]
					]
				]
				]
			]
			]
		]
		]
	]
	],
	"",
	false,
	1024,
	768,
	3,
	true,
	true,
	true,
	"1.0",
	true,
	false,
	0,
	2,
	317,
	false,
	true,
	[
	]
];};

createCocoonJSRuntime();

})();
